%------------------------------------------------------------------------------
% File     : HWV091+1 : TPTP v6.1.0. Released v6.1.0.
% Domain   : Hardware Verification
% Problem  : dmu_dmc property 5 cone of influence 5_b20
% Version  : Especial.
% English  : Verification of a property of the SPARCT2 RTL hardware design.

% Refs     : [Kha14] Khasidashvili (2014), Email to Geoff Sutcliffe
% Source   : [Kha14]
% Names    : dmu_dmc_prop5_cone5_b20 [Kha14]

% Status   : Theorem
% Rating   : 0.80 v6.1.0
% Syntax   : Number of formulae    : 26681 (3217 unit)
%            Number of atoms       : 88832 (1978 equality)
%            Maximal formula depth :  131 (   4 average)
%            Number of connectives : 69404 (7253   ~;5025   |;14589   &)
%                                         (35215 <=>;7308  =>;   0  <=;  14 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  : 15746 (   2 propositional; 0-3 arity)
%            Number of functors    : 2275 (2275 constant; 0-0 arity)
%            Number of variables   : 27038 (   0 sgn;27038   !;   0   ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : Copyright 2013 Moshe Emmer and Zurab Khasidashvili
%            Licensed under the Apache License, Version 2.0 (the "License");
%            you may not use this file except in compliance with the License.
%            You may obtain a copy of the License at
%                http://www.apache.org/licenses/LICENSE-2.0
%            Unless required by applicable law or agreed to in writing,
%            software distributed under the License is distributed on an "AS
%            IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
%            express or implied. See the License for the specific language
%            governing permissions and limitations under the License.
%------------------------------------------------------------------------------
fof(pathAxiom_8,axiom,(
    nextState(constB8,constB9) )).

fof(pathAxiom_7,axiom,(
    nextState(constB7,constB8) )).

fof(pathAxiom_6,axiom,(
    nextState(constB6,constB7) )).

fof(pathAxiom_5,axiom,(
    nextState(constB5,constB6) )).

fof(pathAxiom_4,axiom,(
    nextState(constB4,constB5) )).

fof(pathAxiom_3,axiom,(
    nextState(constB3,constB4) )).

fof(pathAxiom_2,axiom,(
    nextState(constB2,constB3) )).

fof(pathAxiom_1,axiom,(
    nextState(constB1,constB2) )).

fof(pathAxiom,axiom,(
    nextState(constB0,constB1) )).

fof(reachableStateAxiom_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( reachableState(VarCurr)
        & reachableState(VarNext) ) ) )).

fof(reachableStateAxiom_21,axiom,(
    ! [VarState] :
      ( reachableState(VarState)
     => ( constB0 = VarState
        | constB1 = VarState
        | constB2 = VarState
        | constB3 = VarState
        | constB4 = VarState
        | constB5 = VarState
        | constB6 = VarState
        | constB7 = VarState
        | constB8 = VarState
        | constB9 = VarState
        | constB10 = VarState
        | constB11 = VarState
        | constB12 = VarState
        | constB13 = VarState
        | constB14 = VarState
        | constB15 = VarState
        | constB16 = VarState
        | constB17 = VarState
        | constB18 = VarState
        | constB19 = VarState
        | constB20 = VarState ) ) )).

fof(reachableStateAxiom_20,axiom,(
    reachableState(constB20) )).

fof(reachableStateAxiom_19,axiom,(
    reachableState(constB19) )).

fof(reachableStateAxiom_18,axiom,(
    reachableState(constB18) )).

fof(reachableStateAxiom_17,axiom,(
    reachableState(constB17) )).

fof(reachableStateAxiom_16,axiom,(
    reachableState(constB16) )).

fof(reachableStateAxiom_15,axiom,(
    reachableState(constB15) )).

fof(reachableStateAxiom_14,axiom,(
    reachableState(constB14) )).

fof(reachableStateAxiom_13,axiom,(
    reachableState(constB13) )).

fof(reachableStateAxiom_12,axiom,(
    reachableState(constB12) )).

fof(reachableStateAxiom_11,axiom,(
    reachableState(constB11) )).

fof(reachableStateAxiom_10,axiom,(
    reachableState(constB10) )).

fof(reachableStateAxiom_9,axiom,(
    reachableState(constB9) )).

fof(reachableStateAxiom_8,axiom,(
    reachableState(constB8) )).

fof(reachableStateAxiom_7,axiom,(
    reachableState(constB7) )).

fof(reachableStateAxiom_6,axiom,(
    reachableState(constB6) )).

fof(reachableStateAxiom_5,axiom,(
    reachableState(constB5) )).

fof(reachableStateAxiom_4,axiom,(
    reachableState(constB4) )).

fof(reachableStateAxiom_3,axiom,(
    reachableState(constB3) )).

fof(reachableStateAxiom_2,axiom,(
    reachableState(constB2) )).

fof(reachableStateAxiom_1,axiom,(
    reachableState(constB1) )).

fof(reachableStateAxiom,axiom,(
    reachableState(constB0) )).

fof(clock_toggling,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1(VarCurr)
      <=> ~ v1(VarNext) ) ) )).

fof(clock_pattern,axiom,(
    ~ v1(constB0) )).

fof(transient_address_definition_125,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_20,B)
    <=> v3316(constB20,B) ) )).

fof(is_address_141,axiom,(
    address(v3316_range_3_to_0_address_term_bound_20) )).

fof(address_association_125,axiom,(
    v3316_range_3_to_0_address_association(constB20,v3316_range_3_to_0_address_term_bound_20) )).

fof(transient_address_definition_124,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_19,B)
    <=> v3316(constB19,B) ) )).

fof(is_address_140,axiom,(
    address(v3316_range_3_to_0_address_term_bound_19) )).

fof(address_association_124,axiom,(
    v3316_range_3_to_0_address_association(constB19,v3316_range_3_to_0_address_term_bound_19) )).

fof(transient_address_definition_123,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_18,B)
    <=> v3316(constB18,B) ) )).

fof(is_address_139,axiom,(
    address(v3316_range_3_to_0_address_term_bound_18) )).

fof(address_association_123,axiom,(
    v3316_range_3_to_0_address_association(constB18,v3316_range_3_to_0_address_term_bound_18) )).

fof(transient_address_definition_122,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_17,B)
    <=> v3316(constB17,B) ) )).

fof(is_address_138,axiom,(
    address(v3316_range_3_to_0_address_term_bound_17) )).

fof(address_association_122,axiom,(
    v3316_range_3_to_0_address_association(constB17,v3316_range_3_to_0_address_term_bound_17) )).

fof(transient_address_definition_121,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_16,B)
    <=> v3316(constB16,B) ) )).

fof(is_address_137,axiom,(
    address(v3316_range_3_to_0_address_term_bound_16) )).

fof(address_association_121,axiom,(
    v3316_range_3_to_0_address_association(constB16,v3316_range_3_to_0_address_term_bound_16) )).

fof(transient_address_definition_120,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_15,B)
    <=> v3316(constB15,B) ) )).

fof(is_address_136,axiom,(
    address(v3316_range_3_to_0_address_term_bound_15) )).

fof(address_association_120,axiom,(
    v3316_range_3_to_0_address_association(constB15,v3316_range_3_to_0_address_term_bound_15) )).

fof(transient_address_definition_119,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_14,B)
    <=> v3316(constB14,B) ) )).

fof(is_address_135,axiom,(
    address(v3316_range_3_to_0_address_term_bound_14) )).

fof(address_association_119,axiom,(
    v3316_range_3_to_0_address_association(constB14,v3316_range_3_to_0_address_term_bound_14) )).

fof(transient_address_definition_118,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_13,B)
    <=> v3316(constB13,B) ) )).

fof(is_address_134,axiom,(
    address(v3316_range_3_to_0_address_term_bound_13) )).

fof(address_association_118,axiom,(
    v3316_range_3_to_0_address_association(constB13,v3316_range_3_to_0_address_term_bound_13) )).

fof(transient_address_definition_117,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_12,B)
    <=> v3316(constB12,B) ) )).

fof(is_address_133,axiom,(
    address(v3316_range_3_to_0_address_term_bound_12) )).

fof(address_association_117,axiom,(
    v3316_range_3_to_0_address_association(constB12,v3316_range_3_to_0_address_term_bound_12) )).

fof(transient_address_definition_116,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_11,B)
    <=> v3316(constB11,B) ) )).

fof(is_address_132,axiom,(
    address(v3316_range_3_to_0_address_term_bound_11) )).

fof(address_association_116,axiom,(
    v3316_range_3_to_0_address_association(constB11,v3316_range_3_to_0_address_term_bound_11) )).

fof(transient_address_definition_115,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_10,B)
    <=> v3316(constB10,B) ) )).

fof(is_address_131,axiom,(
    address(v3316_range_3_to_0_address_term_bound_10) )).

fof(address_association_115,axiom,(
    v3316_range_3_to_0_address_association(constB10,v3316_range_3_to_0_address_term_bound_10) )).

fof(transient_address_definition_114,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_9,B)
    <=> v3316(constB9,B) ) )).

fof(is_address_130,axiom,(
    address(v3316_range_3_to_0_address_term_bound_9) )).

fof(address_association_114,axiom,(
    v3316_range_3_to_0_address_association(constB9,v3316_range_3_to_0_address_term_bound_9) )).

fof(transient_address_definition_113,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_8,B)
    <=> v3316(constB8,B) ) )).

fof(is_address_129,axiom,(
    address(v3316_range_3_to_0_address_term_bound_8) )).

fof(address_association_113,axiom,(
    v3316_range_3_to_0_address_association(constB8,v3316_range_3_to_0_address_term_bound_8) )).

fof(transient_address_definition_112,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_7,B)
    <=> v3316(constB7,B) ) )).

fof(is_address_128,axiom,(
    address(v3316_range_3_to_0_address_term_bound_7) )).

fof(address_association_112,axiom,(
    v3316_range_3_to_0_address_association(constB7,v3316_range_3_to_0_address_term_bound_7) )).

fof(transient_address_definition_111,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_6,B)
    <=> v3316(constB6,B) ) )).

fof(is_address_127,axiom,(
    address(v3316_range_3_to_0_address_term_bound_6) )).

fof(address_association_111,axiom,(
    v3316_range_3_to_0_address_association(constB6,v3316_range_3_to_0_address_term_bound_6) )).

fof(transient_address_definition_110,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_5,B)
    <=> v3316(constB5,B) ) )).

fof(is_address_126,axiom,(
    address(v3316_range_3_to_0_address_term_bound_5) )).

fof(address_association_110,axiom,(
    v3316_range_3_to_0_address_association(constB5,v3316_range_3_to_0_address_term_bound_5) )).

fof(transient_address_definition_109,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_4,B)
    <=> v3316(constB4,B) ) )).

fof(is_address_125,axiom,(
    address(v3316_range_3_to_0_address_term_bound_4) )).

fof(address_association_109,axiom,(
    v3316_range_3_to_0_address_association(constB4,v3316_range_3_to_0_address_term_bound_4) )).

fof(transient_address_definition_108,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_3,B)
    <=> v3316(constB3,B) ) )).

fof(is_address_124,axiom,(
    address(v3316_range_3_to_0_address_term_bound_3) )).

fof(address_association_108,axiom,(
    v3316_range_3_to_0_address_association(constB3,v3316_range_3_to_0_address_term_bound_3) )).

fof(transient_address_definition_107,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_2,B)
    <=> v3316(constB2,B) ) )).

fof(is_address_123,axiom,(
    address(v3316_range_3_to_0_address_term_bound_2) )).

fof(address_association_107,axiom,(
    v3316_range_3_to_0_address_association(constB2,v3316_range_3_to_0_address_term_bound_2) )).

fof(transient_address_definition_106,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_1,B)
    <=> v3316(constB1,B) ) )).

fof(is_address_122,axiom,(
    address(v3316_range_3_to_0_address_term_bound_1) )).

fof(address_association_106,axiom,(
    v3316_range_3_to_0_address_association(constB1,v3316_range_3_to_0_address_term_bound_1) )).

fof(transient_address_definition_105,axiom,(
    ! [B] :
      ( addressVal(v3316_range_3_to_0_address_term_bound_0,B)
    <=> v3316(constB0,B) ) )).

fof(is_address_121,axiom,(
    address(v3316_range_3_to_0_address_term_bound_0) )).

fof(address_association_105,axiom,(
    v3316_range_3_to_0_address_association(constB0,v3316_range_3_to_0_address_term_bound_0) )).

fof(transient_address_definition_104,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_20,B)
    <=> v3288(constB20,B) ) )).

fof(is_address_120,axiom,(
    address(v3288_range_3_to_0_address_term_bound_20) )).

fof(address_association_104,axiom,(
    v3288_range_3_to_0_address_association(constB20,v3288_range_3_to_0_address_term_bound_20) )).

fof(transient_address_definition_103,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_19,B)
    <=> v3288(constB19,B) ) )).

fof(is_address_119,axiom,(
    address(v3288_range_3_to_0_address_term_bound_19) )).

fof(address_association_103,axiom,(
    v3288_range_3_to_0_address_association(constB19,v3288_range_3_to_0_address_term_bound_19) )).

fof(transient_address_definition_102,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_18,B)
    <=> v3288(constB18,B) ) )).

fof(is_address_118,axiom,(
    address(v3288_range_3_to_0_address_term_bound_18) )).

fof(address_association_102,axiom,(
    v3288_range_3_to_0_address_association(constB18,v3288_range_3_to_0_address_term_bound_18) )).

fof(transient_address_definition_101,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_17,B)
    <=> v3288(constB17,B) ) )).

fof(is_address_117,axiom,(
    address(v3288_range_3_to_0_address_term_bound_17) )).

fof(address_association_101,axiom,(
    v3288_range_3_to_0_address_association(constB17,v3288_range_3_to_0_address_term_bound_17) )).

fof(transient_address_definition_100,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_16,B)
    <=> v3288(constB16,B) ) )).

fof(is_address_116,axiom,(
    address(v3288_range_3_to_0_address_term_bound_16) )).

fof(address_association_100,axiom,(
    v3288_range_3_to_0_address_association(constB16,v3288_range_3_to_0_address_term_bound_16) )).

fof(transient_address_definition_99,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_15,B)
    <=> v3288(constB15,B) ) )).

fof(is_address_115,axiom,(
    address(v3288_range_3_to_0_address_term_bound_15) )).

fof(address_association_99,axiom,(
    v3288_range_3_to_0_address_association(constB15,v3288_range_3_to_0_address_term_bound_15) )).

fof(transient_address_definition_98,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_14,B)
    <=> v3288(constB14,B) ) )).

fof(is_address_114,axiom,(
    address(v3288_range_3_to_0_address_term_bound_14) )).

fof(address_association_98,axiom,(
    v3288_range_3_to_0_address_association(constB14,v3288_range_3_to_0_address_term_bound_14) )).

fof(transient_address_definition_97,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_13,B)
    <=> v3288(constB13,B) ) )).

fof(is_address_113,axiom,(
    address(v3288_range_3_to_0_address_term_bound_13) )).

fof(address_association_97,axiom,(
    v3288_range_3_to_0_address_association(constB13,v3288_range_3_to_0_address_term_bound_13) )).

fof(transient_address_definition_96,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_12,B)
    <=> v3288(constB12,B) ) )).

fof(is_address_112,axiom,(
    address(v3288_range_3_to_0_address_term_bound_12) )).

fof(address_association_96,axiom,(
    v3288_range_3_to_0_address_association(constB12,v3288_range_3_to_0_address_term_bound_12) )).

fof(transient_address_definition_95,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_11,B)
    <=> v3288(constB11,B) ) )).

fof(is_address_111,axiom,(
    address(v3288_range_3_to_0_address_term_bound_11) )).

fof(address_association_95,axiom,(
    v3288_range_3_to_0_address_association(constB11,v3288_range_3_to_0_address_term_bound_11) )).

fof(transient_address_definition_94,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_10,B)
    <=> v3288(constB10,B) ) )).

fof(is_address_110,axiom,(
    address(v3288_range_3_to_0_address_term_bound_10) )).

fof(address_association_94,axiom,(
    v3288_range_3_to_0_address_association(constB10,v3288_range_3_to_0_address_term_bound_10) )).

fof(transient_address_definition_93,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_9,B)
    <=> v3288(constB9,B) ) )).

fof(is_address_109,axiom,(
    address(v3288_range_3_to_0_address_term_bound_9) )).

fof(address_association_93,axiom,(
    v3288_range_3_to_0_address_association(constB9,v3288_range_3_to_0_address_term_bound_9) )).

fof(transient_address_definition_92,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_8,B)
    <=> v3288(constB8,B) ) )).

fof(is_address_108,axiom,(
    address(v3288_range_3_to_0_address_term_bound_8) )).

fof(address_association_92,axiom,(
    v3288_range_3_to_0_address_association(constB8,v3288_range_3_to_0_address_term_bound_8) )).

fof(transient_address_definition_91,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_7,B)
    <=> v3288(constB7,B) ) )).

fof(is_address_107,axiom,(
    address(v3288_range_3_to_0_address_term_bound_7) )).

fof(address_association_91,axiom,(
    v3288_range_3_to_0_address_association(constB7,v3288_range_3_to_0_address_term_bound_7) )).

fof(transient_address_definition_90,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_6,B)
    <=> v3288(constB6,B) ) )).

fof(is_address_106,axiom,(
    address(v3288_range_3_to_0_address_term_bound_6) )).

fof(address_association_90,axiom,(
    v3288_range_3_to_0_address_association(constB6,v3288_range_3_to_0_address_term_bound_6) )).

fof(transient_address_definition_89,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_5,B)
    <=> v3288(constB5,B) ) )).

fof(is_address_105,axiom,(
    address(v3288_range_3_to_0_address_term_bound_5) )).

fof(address_association_89,axiom,(
    v3288_range_3_to_0_address_association(constB5,v3288_range_3_to_0_address_term_bound_5) )).

fof(transient_address_definition_88,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_4,B)
    <=> v3288(constB4,B) ) )).

fof(is_address_104,axiom,(
    address(v3288_range_3_to_0_address_term_bound_4) )).

fof(address_association_88,axiom,(
    v3288_range_3_to_0_address_association(constB4,v3288_range_3_to_0_address_term_bound_4) )).

fof(transient_address_definition_87,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_3,B)
    <=> v3288(constB3,B) ) )).

fof(is_address_103,axiom,(
    address(v3288_range_3_to_0_address_term_bound_3) )).

fof(address_association_87,axiom,(
    v3288_range_3_to_0_address_association(constB3,v3288_range_3_to_0_address_term_bound_3) )).

fof(transient_address_definition_86,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_2,B)
    <=> v3288(constB2,B) ) )).

fof(is_address_102,axiom,(
    address(v3288_range_3_to_0_address_term_bound_2) )).

fof(address_association_86,axiom,(
    v3288_range_3_to_0_address_association(constB2,v3288_range_3_to_0_address_term_bound_2) )).

fof(transient_address_definition_85,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_1,B)
    <=> v3288(constB1,B) ) )).

fof(is_address_101,axiom,(
    address(v3288_range_3_to_0_address_term_bound_1) )).

fof(address_association_85,axiom,(
    v3288_range_3_to_0_address_association(constB1,v3288_range_3_to_0_address_term_bound_1) )).

fof(transient_address_definition_84,axiom,(
    ! [B] :
      ( addressVal(v3288_range_3_to_0_address_term_bound_0,B)
    <=> v3288(constB0,B) ) )).

fof(is_address_100,axiom,(
    address(v3288_range_3_to_0_address_term_bound_0) )).

fof(address_association_84,axiom,(
    v3288_range_3_to_0_address_association(constB0,v3288_range_3_to_0_address_term_bound_0) )).

fof(transient_address_definition_83,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_20,B)
    <=> v2890(constB20,B) ) )).

fof(is_address_99,axiom,(
    address(v2890_range_3_to_0_address_term_bound_20) )).

fof(address_association_83,axiom,(
    v2890_range_3_to_0_address_association(constB20,v2890_range_3_to_0_address_term_bound_20) )).

fof(transient_address_definition_82,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_19,B)
    <=> v2890(constB19,B) ) )).

fof(is_address_98,axiom,(
    address(v2890_range_3_to_0_address_term_bound_19) )).

fof(address_association_82,axiom,(
    v2890_range_3_to_0_address_association(constB19,v2890_range_3_to_0_address_term_bound_19) )).

fof(transient_address_definition_81,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_18,B)
    <=> v2890(constB18,B) ) )).

fof(is_address_97,axiom,(
    address(v2890_range_3_to_0_address_term_bound_18) )).

fof(address_association_81,axiom,(
    v2890_range_3_to_0_address_association(constB18,v2890_range_3_to_0_address_term_bound_18) )).

fof(transient_address_definition_80,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_17,B)
    <=> v2890(constB17,B) ) )).

fof(is_address_96,axiom,(
    address(v2890_range_3_to_0_address_term_bound_17) )).

fof(address_association_80,axiom,(
    v2890_range_3_to_0_address_association(constB17,v2890_range_3_to_0_address_term_bound_17) )).

fof(transient_address_definition_79,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_16,B)
    <=> v2890(constB16,B) ) )).

fof(is_address_95,axiom,(
    address(v2890_range_3_to_0_address_term_bound_16) )).

fof(address_association_79,axiom,(
    v2890_range_3_to_0_address_association(constB16,v2890_range_3_to_0_address_term_bound_16) )).

fof(transient_address_definition_78,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_15,B)
    <=> v2890(constB15,B) ) )).

fof(is_address_94,axiom,(
    address(v2890_range_3_to_0_address_term_bound_15) )).

fof(address_association_78,axiom,(
    v2890_range_3_to_0_address_association(constB15,v2890_range_3_to_0_address_term_bound_15) )).

fof(transient_address_definition_77,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_14,B)
    <=> v2890(constB14,B) ) )).

fof(is_address_93,axiom,(
    address(v2890_range_3_to_0_address_term_bound_14) )).

fof(address_association_77,axiom,(
    v2890_range_3_to_0_address_association(constB14,v2890_range_3_to_0_address_term_bound_14) )).

fof(transient_address_definition_76,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_13,B)
    <=> v2890(constB13,B) ) )).

fof(is_address_92,axiom,(
    address(v2890_range_3_to_0_address_term_bound_13) )).

fof(address_association_76,axiom,(
    v2890_range_3_to_0_address_association(constB13,v2890_range_3_to_0_address_term_bound_13) )).

fof(transient_address_definition_75,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_12,B)
    <=> v2890(constB12,B) ) )).

fof(is_address_91,axiom,(
    address(v2890_range_3_to_0_address_term_bound_12) )).

fof(address_association_75,axiom,(
    v2890_range_3_to_0_address_association(constB12,v2890_range_3_to_0_address_term_bound_12) )).

fof(transient_address_definition_74,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_11,B)
    <=> v2890(constB11,B) ) )).

fof(is_address_90,axiom,(
    address(v2890_range_3_to_0_address_term_bound_11) )).

fof(address_association_74,axiom,(
    v2890_range_3_to_0_address_association(constB11,v2890_range_3_to_0_address_term_bound_11) )).

fof(transient_address_definition_73,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_10,B)
    <=> v2890(constB10,B) ) )).

fof(is_address_89,axiom,(
    address(v2890_range_3_to_0_address_term_bound_10) )).

fof(address_association_73,axiom,(
    v2890_range_3_to_0_address_association(constB10,v2890_range_3_to_0_address_term_bound_10) )).

fof(transient_address_definition_72,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_9,B)
    <=> v2890(constB9,B) ) )).

fof(is_address_88,axiom,(
    address(v2890_range_3_to_0_address_term_bound_9) )).

fof(address_association_72,axiom,(
    v2890_range_3_to_0_address_association(constB9,v2890_range_3_to_0_address_term_bound_9) )).

fof(transient_address_definition_71,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_8,B)
    <=> v2890(constB8,B) ) )).

fof(is_address_87,axiom,(
    address(v2890_range_3_to_0_address_term_bound_8) )).

fof(address_association_71,axiom,(
    v2890_range_3_to_0_address_association(constB8,v2890_range_3_to_0_address_term_bound_8) )).

fof(transient_address_definition_70,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_7,B)
    <=> v2890(constB7,B) ) )).

fof(is_address_86,axiom,(
    address(v2890_range_3_to_0_address_term_bound_7) )).

fof(address_association_70,axiom,(
    v2890_range_3_to_0_address_association(constB7,v2890_range_3_to_0_address_term_bound_7) )).

fof(transient_address_definition_69,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_6,B)
    <=> v2890(constB6,B) ) )).

fof(is_address_85,axiom,(
    address(v2890_range_3_to_0_address_term_bound_6) )).

fof(address_association_69,axiom,(
    v2890_range_3_to_0_address_association(constB6,v2890_range_3_to_0_address_term_bound_6) )).

fof(transient_address_definition_68,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_5,B)
    <=> v2890(constB5,B) ) )).

fof(is_address_84,axiom,(
    address(v2890_range_3_to_0_address_term_bound_5) )).

fof(address_association_68,axiom,(
    v2890_range_3_to_0_address_association(constB5,v2890_range_3_to_0_address_term_bound_5) )).

fof(transient_address_definition_67,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_4,B)
    <=> v2890(constB4,B) ) )).

fof(is_address_83,axiom,(
    address(v2890_range_3_to_0_address_term_bound_4) )).

fof(address_association_67,axiom,(
    v2890_range_3_to_0_address_association(constB4,v2890_range_3_to_0_address_term_bound_4) )).

fof(transient_address_definition_66,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_3,B)
    <=> v2890(constB3,B) ) )).

fof(is_address_82,axiom,(
    address(v2890_range_3_to_0_address_term_bound_3) )).

fof(address_association_66,axiom,(
    v2890_range_3_to_0_address_association(constB3,v2890_range_3_to_0_address_term_bound_3) )).

fof(transient_address_definition_65,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_2,B)
    <=> v2890(constB2,B) ) )).

fof(is_address_81,axiom,(
    address(v2890_range_3_to_0_address_term_bound_2) )).

fof(address_association_65,axiom,(
    v2890_range_3_to_0_address_association(constB2,v2890_range_3_to_0_address_term_bound_2) )).

fof(transient_address_definition_64,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_1,B)
    <=> v2890(constB1,B) ) )).

fof(is_address_80,axiom,(
    address(v2890_range_3_to_0_address_term_bound_1) )).

fof(address_association_64,axiom,(
    v2890_range_3_to_0_address_association(constB1,v2890_range_3_to_0_address_term_bound_1) )).

fof(transient_address_definition_63,axiom,(
    ! [B] :
      ( addressVal(v2890_range_3_to_0_address_term_bound_0,B)
    <=> v2890(constB0,B) ) )).

fof(is_address_79,axiom,(
    address(v2890_range_3_to_0_address_term_bound_0) )).

fof(address_association_63,axiom,(
    v2890_range_3_to_0_address_association(constB0,v2890_range_3_to_0_address_term_bound_0) )).

fof(transient_address_definition_62,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_20,B)
    <=> v2862(constB20,B) ) )).

fof(is_address_78,axiom,(
    address(v2862_range_3_to_0_address_term_bound_20) )).

fof(address_association_62,axiom,(
    v2862_range_3_to_0_address_association(constB20,v2862_range_3_to_0_address_term_bound_20) )).

fof(transient_address_definition_61,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_19,B)
    <=> v2862(constB19,B) ) )).

fof(is_address_77,axiom,(
    address(v2862_range_3_to_0_address_term_bound_19) )).

fof(address_association_61,axiom,(
    v2862_range_3_to_0_address_association(constB19,v2862_range_3_to_0_address_term_bound_19) )).

fof(transient_address_definition_60,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_18,B)
    <=> v2862(constB18,B) ) )).

fof(is_address_76,axiom,(
    address(v2862_range_3_to_0_address_term_bound_18) )).

fof(address_association_60,axiom,(
    v2862_range_3_to_0_address_association(constB18,v2862_range_3_to_0_address_term_bound_18) )).

fof(transient_address_definition_59,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_17,B)
    <=> v2862(constB17,B) ) )).

fof(is_address_75,axiom,(
    address(v2862_range_3_to_0_address_term_bound_17) )).

fof(address_association_59,axiom,(
    v2862_range_3_to_0_address_association(constB17,v2862_range_3_to_0_address_term_bound_17) )).

fof(transient_address_definition_58,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_16,B)
    <=> v2862(constB16,B) ) )).

fof(is_address_74,axiom,(
    address(v2862_range_3_to_0_address_term_bound_16) )).

fof(address_association_58,axiom,(
    v2862_range_3_to_0_address_association(constB16,v2862_range_3_to_0_address_term_bound_16) )).

fof(transient_address_definition_57,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_15,B)
    <=> v2862(constB15,B) ) )).

fof(is_address_73,axiom,(
    address(v2862_range_3_to_0_address_term_bound_15) )).

fof(address_association_57,axiom,(
    v2862_range_3_to_0_address_association(constB15,v2862_range_3_to_0_address_term_bound_15) )).

fof(transient_address_definition_56,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_14,B)
    <=> v2862(constB14,B) ) )).

fof(is_address_72,axiom,(
    address(v2862_range_3_to_0_address_term_bound_14) )).

fof(address_association_56,axiom,(
    v2862_range_3_to_0_address_association(constB14,v2862_range_3_to_0_address_term_bound_14) )).

fof(transient_address_definition_55,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_13,B)
    <=> v2862(constB13,B) ) )).

fof(is_address_71,axiom,(
    address(v2862_range_3_to_0_address_term_bound_13) )).

fof(address_association_55,axiom,(
    v2862_range_3_to_0_address_association(constB13,v2862_range_3_to_0_address_term_bound_13) )).

fof(transient_address_definition_54,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_12,B)
    <=> v2862(constB12,B) ) )).

fof(is_address_70,axiom,(
    address(v2862_range_3_to_0_address_term_bound_12) )).

fof(address_association_54,axiom,(
    v2862_range_3_to_0_address_association(constB12,v2862_range_3_to_0_address_term_bound_12) )).

fof(transient_address_definition_53,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_11,B)
    <=> v2862(constB11,B) ) )).

fof(is_address_69,axiom,(
    address(v2862_range_3_to_0_address_term_bound_11) )).

fof(address_association_53,axiom,(
    v2862_range_3_to_0_address_association(constB11,v2862_range_3_to_0_address_term_bound_11) )).

fof(transient_address_definition_52,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_10,B)
    <=> v2862(constB10,B) ) )).

fof(is_address_68,axiom,(
    address(v2862_range_3_to_0_address_term_bound_10) )).

fof(address_association_52,axiom,(
    v2862_range_3_to_0_address_association(constB10,v2862_range_3_to_0_address_term_bound_10) )).

fof(transient_address_definition_51,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_9,B)
    <=> v2862(constB9,B) ) )).

fof(is_address_67,axiom,(
    address(v2862_range_3_to_0_address_term_bound_9) )).

fof(address_association_51,axiom,(
    v2862_range_3_to_0_address_association(constB9,v2862_range_3_to_0_address_term_bound_9) )).

fof(transient_address_definition_50,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_8,B)
    <=> v2862(constB8,B) ) )).

fof(is_address_66,axiom,(
    address(v2862_range_3_to_0_address_term_bound_8) )).

fof(address_association_50,axiom,(
    v2862_range_3_to_0_address_association(constB8,v2862_range_3_to_0_address_term_bound_8) )).

fof(transient_address_definition_49,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_7,B)
    <=> v2862(constB7,B) ) )).

fof(is_address_65,axiom,(
    address(v2862_range_3_to_0_address_term_bound_7) )).

fof(address_association_49,axiom,(
    v2862_range_3_to_0_address_association(constB7,v2862_range_3_to_0_address_term_bound_7) )).

fof(transient_address_definition_48,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_6,B)
    <=> v2862(constB6,B) ) )).

fof(is_address_64,axiom,(
    address(v2862_range_3_to_0_address_term_bound_6) )).

fof(address_association_48,axiom,(
    v2862_range_3_to_0_address_association(constB6,v2862_range_3_to_0_address_term_bound_6) )).

fof(transient_address_definition_47,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_5,B)
    <=> v2862(constB5,B) ) )).

fof(is_address_63,axiom,(
    address(v2862_range_3_to_0_address_term_bound_5) )).

fof(address_association_47,axiom,(
    v2862_range_3_to_0_address_association(constB5,v2862_range_3_to_0_address_term_bound_5) )).

fof(transient_address_definition_46,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_4,B)
    <=> v2862(constB4,B) ) )).

fof(is_address_62,axiom,(
    address(v2862_range_3_to_0_address_term_bound_4) )).

fof(address_association_46,axiom,(
    v2862_range_3_to_0_address_association(constB4,v2862_range_3_to_0_address_term_bound_4) )).

fof(transient_address_definition_45,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_3,B)
    <=> v2862(constB3,B) ) )).

fof(is_address_61,axiom,(
    address(v2862_range_3_to_0_address_term_bound_3) )).

fof(address_association_45,axiom,(
    v2862_range_3_to_0_address_association(constB3,v2862_range_3_to_0_address_term_bound_3) )).

fof(transient_address_definition_44,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_2,B)
    <=> v2862(constB2,B) ) )).

fof(is_address_60,axiom,(
    address(v2862_range_3_to_0_address_term_bound_2) )).

fof(address_association_44,axiom,(
    v2862_range_3_to_0_address_association(constB2,v2862_range_3_to_0_address_term_bound_2) )).

fof(transient_address_definition_43,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_1,B)
    <=> v2862(constB1,B) ) )).

fof(is_address_59,axiom,(
    address(v2862_range_3_to_0_address_term_bound_1) )).

fof(address_association_43,axiom,(
    v2862_range_3_to_0_address_association(constB1,v2862_range_3_to_0_address_term_bound_1) )).

fof(transient_address_definition_42,axiom,(
    ! [B] :
      ( addressVal(v2862_range_3_to_0_address_term_bound_0,B)
    <=> v2862(constB0,B) ) )).

fof(is_address_58,axiom,(
    address(v2862_range_3_to_0_address_term_bound_0) )).

fof(address_association_42,axiom,(
    v2862_range_3_to_0_address_association(constB0,v2862_range_3_to_0_address_term_bound_0) )).

fof(is_address_57,axiom,(
    address(b1110_address_term) )).

fof(constant_address_definition_15,axiom,(
    ! [B] :
      ( addressVal(b1110_address_term,B)
    <=> b1110(B) ) )).

fof(is_address_56,axiom,(
    address(b1101_address_term) )).

fof(constant_address_definition_14,axiom,(
    ! [B] :
      ( addressVal(b1101_address_term,B)
    <=> b1101(B) ) )).

fof(is_address_55,axiom,(
    address(b1100_address_term) )).

fof(constant_address_definition_13,axiom,(
    ! [B] :
      ( addressVal(b1100_address_term,B)
    <=> b1100(B) ) )).

fof(is_address_54,axiom,(
    address(b1011_address_term) )).

fof(constant_address_definition_12,axiom,(
    ! [B] :
      ( addressVal(b1011_address_term,B)
    <=> b1011(B) ) )).

fof(is_address_53,axiom,(
    address(b1010_address_term) )).

fof(constant_address_definition_11,axiom,(
    ! [B] :
      ( addressVal(b1010_address_term,B)
    <=> b1010(B) ) )).

fof(is_address_52,axiom,(
    address(b1001_address_term) )).

fof(constant_address_definition_10,axiom,(
    ! [B] :
      ( addressVal(b1001_address_term,B)
    <=> b1001(B) ) )).

fof(transient_address_definition_41,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_20,B)
    <=> v2595(constB20,B) ) )).

fof(is_address_51,axiom,(
    address(v2595_range_3_to_0_address_term_bound_20) )).

fof(address_association_41,axiom,(
    v2595_range_3_to_0_address_association(constB20,v2595_range_3_to_0_address_term_bound_20) )).

fof(transient_address_definition_40,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_19,B)
    <=> v2595(constB19,B) ) )).

fof(is_address_50,axiom,(
    address(v2595_range_3_to_0_address_term_bound_19) )).

fof(address_association_40,axiom,(
    v2595_range_3_to_0_address_association(constB19,v2595_range_3_to_0_address_term_bound_19) )).

fof(transient_address_definition_39,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_18,B)
    <=> v2595(constB18,B) ) )).

fof(is_address_49,axiom,(
    address(v2595_range_3_to_0_address_term_bound_18) )).

fof(address_association_39,axiom,(
    v2595_range_3_to_0_address_association(constB18,v2595_range_3_to_0_address_term_bound_18) )).

fof(transient_address_definition_38,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_17,B)
    <=> v2595(constB17,B) ) )).

fof(is_address_48,axiom,(
    address(v2595_range_3_to_0_address_term_bound_17) )).

fof(address_association_38,axiom,(
    v2595_range_3_to_0_address_association(constB17,v2595_range_3_to_0_address_term_bound_17) )).

fof(transient_address_definition_37,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_16,B)
    <=> v2595(constB16,B) ) )).

fof(is_address_47,axiom,(
    address(v2595_range_3_to_0_address_term_bound_16) )).

fof(address_association_37,axiom,(
    v2595_range_3_to_0_address_association(constB16,v2595_range_3_to_0_address_term_bound_16) )).

fof(transient_address_definition_36,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_15,B)
    <=> v2595(constB15,B) ) )).

fof(is_address_46,axiom,(
    address(v2595_range_3_to_0_address_term_bound_15) )).

fof(address_association_36,axiom,(
    v2595_range_3_to_0_address_association(constB15,v2595_range_3_to_0_address_term_bound_15) )).

fof(transient_address_definition_35,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_14,B)
    <=> v2595(constB14,B) ) )).

fof(is_address_45,axiom,(
    address(v2595_range_3_to_0_address_term_bound_14) )).

fof(address_association_35,axiom,(
    v2595_range_3_to_0_address_association(constB14,v2595_range_3_to_0_address_term_bound_14) )).

fof(transient_address_definition_34,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_13,B)
    <=> v2595(constB13,B) ) )).

fof(is_address_44,axiom,(
    address(v2595_range_3_to_0_address_term_bound_13) )).

fof(address_association_34,axiom,(
    v2595_range_3_to_0_address_association(constB13,v2595_range_3_to_0_address_term_bound_13) )).

fof(transient_address_definition_33,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_12,B)
    <=> v2595(constB12,B) ) )).

fof(is_address_43,axiom,(
    address(v2595_range_3_to_0_address_term_bound_12) )).

fof(address_association_33,axiom,(
    v2595_range_3_to_0_address_association(constB12,v2595_range_3_to_0_address_term_bound_12) )).

fof(transient_address_definition_32,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_11,B)
    <=> v2595(constB11,B) ) )).

fof(is_address_42,axiom,(
    address(v2595_range_3_to_0_address_term_bound_11) )).

fof(address_association_32,axiom,(
    v2595_range_3_to_0_address_association(constB11,v2595_range_3_to_0_address_term_bound_11) )).

fof(transient_address_definition_31,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_10,B)
    <=> v2595(constB10,B) ) )).

fof(is_address_41,axiom,(
    address(v2595_range_3_to_0_address_term_bound_10) )).

fof(address_association_31,axiom,(
    v2595_range_3_to_0_address_association(constB10,v2595_range_3_to_0_address_term_bound_10) )).

fof(transient_address_definition_30,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_9,B)
    <=> v2595(constB9,B) ) )).

fof(is_address_40,axiom,(
    address(v2595_range_3_to_0_address_term_bound_9) )).

fof(address_association_30,axiom,(
    v2595_range_3_to_0_address_association(constB9,v2595_range_3_to_0_address_term_bound_9) )).

fof(transient_address_definition_29,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_8,B)
    <=> v2595(constB8,B) ) )).

fof(is_address_39,axiom,(
    address(v2595_range_3_to_0_address_term_bound_8) )).

fof(address_association_29,axiom,(
    v2595_range_3_to_0_address_association(constB8,v2595_range_3_to_0_address_term_bound_8) )).

fof(transient_address_definition_28,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_7,B)
    <=> v2595(constB7,B) ) )).

fof(is_address_38,axiom,(
    address(v2595_range_3_to_0_address_term_bound_7) )).

fof(address_association_28,axiom,(
    v2595_range_3_to_0_address_association(constB7,v2595_range_3_to_0_address_term_bound_7) )).

fof(transient_address_definition_27,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_6,B)
    <=> v2595(constB6,B) ) )).

fof(is_address_37,axiom,(
    address(v2595_range_3_to_0_address_term_bound_6) )).

fof(address_association_27,axiom,(
    v2595_range_3_to_0_address_association(constB6,v2595_range_3_to_0_address_term_bound_6) )).

fof(transient_address_definition_26,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_5,B)
    <=> v2595(constB5,B) ) )).

fof(is_address_36,axiom,(
    address(v2595_range_3_to_0_address_term_bound_5) )).

fof(address_association_26,axiom,(
    v2595_range_3_to_0_address_association(constB5,v2595_range_3_to_0_address_term_bound_5) )).

fof(transient_address_definition_25,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_4,B)
    <=> v2595(constB4,B) ) )).

fof(is_address_35,axiom,(
    address(v2595_range_3_to_0_address_term_bound_4) )).

fof(address_association_25,axiom,(
    v2595_range_3_to_0_address_association(constB4,v2595_range_3_to_0_address_term_bound_4) )).

fof(transient_address_definition_24,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_3,B)
    <=> v2595(constB3,B) ) )).

fof(is_address_34,axiom,(
    address(v2595_range_3_to_0_address_term_bound_3) )).

fof(address_association_24,axiom,(
    v2595_range_3_to_0_address_association(constB3,v2595_range_3_to_0_address_term_bound_3) )).

fof(transient_address_definition_23,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_2,B)
    <=> v2595(constB2,B) ) )).

fof(is_address_33,axiom,(
    address(v2595_range_3_to_0_address_term_bound_2) )).

fof(address_association_23,axiom,(
    v2595_range_3_to_0_address_association(constB2,v2595_range_3_to_0_address_term_bound_2) )).

fof(transient_address_definition_22,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_1,B)
    <=> v2595(constB1,B) ) )).

fof(is_address_32,axiom,(
    address(v2595_range_3_to_0_address_term_bound_1) )).

fof(address_association_22,axiom,(
    v2595_range_3_to_0_address_association(constB1,v2595_range_3_to_0_address_term_bound_1) )).

fof(transient_address_definition_21,axiom,(
    ! [B] :
      ( addressVal(v2595_range_3_to_0_address_term_bound_0,B)
    <=> v2595(constB0,B) ) )).

fof(is_address_31,axiom,(
    address(v2595_range_3_to_0_address_term_bound_0) )).

fof(address_association_21,axiom,(
    v2595_range_3_to_0_address_association(constB0,v2595_range_3_to_0_address_term_bound_0) )).

fof(is_address_30,axiom,(
    address(b1111_address_term) )).

fof(constant_address_definition_9,axiom,(
    ! [B] :
      ( addressVal(b1111_address_term,B)
    <=> b1111(B) ) )).

fof(is_address_29,axiom,(
    address(b0011_address_term) )).

fof(constant_address_definition_8,axiom,(
    ! [B] :
      ( addressVal(b0011_address_term,B)
    <=> b0011(B) ) )).

fof(is_address_28,axiom,(
    address(b0111_address_term) )).

fof(constant_address_definition_7,axiom,(
    ! [B] :
      ( addressVal(b0111_address_term,B)
    <=> b0111(B) ) )).

fof(is_address_27,axiom,(
    address(b1000_address_term) )).

fof(constant_address_definition_6,axiom,(
    ! [B] :
      ( addressVal(b1000_address_term,B)
    <=> b1000(B) ) )).

fof(is_address_26,axiom,(
    address(b0101_address_term) )).

fof(constant_address_definition_5,axiom,(
    ! [B] :
      ( addressVal(b0101_address_term,B)
    <=> b0101(B) ) )).

fof(is_address_25,axiom,(
    address(b0110_address_term) )).

fof(constant_address_definition_4,axiom,(
    ! [B] :
      ( addressVal(b0110_address_term,B)
    <=> b0110(B) ) )).

fof(is_address_24,axiom,(
    address(b0001_address_term) )).

fof(constant_address_definition_3,axiom,(
    ! [B] :
      ( addressVal(b0001_address_term,B)
    <=> b0001(B) ) )).

fof(is_address_23,axiom,(
    address(b0100_address_term) )).

fof(constant_address_definition_2,axiom,(
    ! [B] :
      ( addressVal(b0100_address_term,B)
    <=> b0100(B) ) )).

fof(is_address_22,axiom,(
    address(b0010_address_term) )).

fof(constant_address_definition_1,axiom,(
    ! [B] :
      ( addressVal(b0010_address_term,B)
    <=> b0010(B) ) )).

fof(is_address_21,axiom,(
    address(b0000_address_term) )).

fof(constant_address_definition,axiom,(
    ! [B] :
      ( addressVal(b0000_address_term,B)
    <=> b0000(B) ) )).

fof(transient_address_definition_20,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_20,B)
    <=> v8(constB20,B) ) )).

fof(is_address_20,axiom,(
    address(v8_range_3_to_0_address_term_bound_20) )).

fof(address_association_20,axiom,(
    v8_range_3_to_0_address_association(constB20,v8_range_3_to_0_address_term_bound_20) )).

fof(transient_address_definition_19,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_19,B)
    <=> v8(constB19,B) ) )).

fof(is_address_19,axiom,(
    address(v8_range_3_to_0_address_term_bound_19) )).

fof(address_association_19,axiom,(
    v8_range_3_to_0_address_association(constB19,v8_range_3_to_0_address_term_bound_19) )).

fof(transient_address_definition_18,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_18,B)
    <=> v8(constB18,B) ) )).

fof(is_address_18,axiom,(
    address(v8_range_3_to_0_address_term_bound_18) )).

fof(address_association_18,axiom,(
    v8_range_3_to_0_address_association(constB18,v8_range_3_to_0_address_term_bound_18) )).

fof(transient_address_definition_17,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_17,B)
    <=> v8(constB17,B) ) )).

fof(is_address_17,axiom,(
    address(v8_range_3_to_0_address_term_bound_17) )).

fof(address_association_17,axiom,(
    v8_range_3_to_0_address_association(constB17,v8_range_3_to_0_address_term_bound_17) )).

fof(transient_address_definition_16,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_16,B)
    <=> v8(constB16,B) ) )).

fof(is_address_16,axiom,(
    address(v8_range_3_to_0_address_term_bound_16) )).

fof(address_association_16,axiom,(
    v8_range_3_to_0_address_association(constB16,v8_range_3_to_0_address_term_bound_16) )).

fof(transient_address_definition_15,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_15,B)
    <=> v8(constB15,B) ) )).

fof(is_address_15,axiom,(
    address(v8_range_3_to_0_address_term_bound_15) )).

fof(address_association_15,axiom,(
    v8_range_3_to_0_address_association(constB15,v8_range_3_to_0_address_term_bound_15) )).

fof(transient_address_definition_14,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_14,B)
    <=> v8(constB14,B) ) )).

fof(is_address_14,axiom,(
    address(v8_range_3_to_0_address_term_bound_14) )).

fof(address_association_14,axiom,(
    v8_range_3_to_0_address_association(constB14,v8_range_3_to_0_address_term_bound_14) )).

fof(transient_address_definition_13,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_13,B)
    <=> v8(constB13,B) ) )).

fof(is_address_13,axiom,(
    address(v8_range_3_to_0_address_term_bound_13) )).

fof(address_association_13,axiom,(
    v8_range_3_to_0_address_association(constB13,v8_range_3_to_0_address_term_bound_13) )).

fof(transient_address_definition_12,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_12,B)
    <=> v8(constB12,B) ) )).

fof(is_address_12,axiom,(
    address(v8_range_3_to_0_address_term_bound_12) )).

fof(address_association_12,axiom,(
    v8_range_3_to_0_address_association(constB12,v8_range_3_to_0_address_term_bound_12) )).

fof(transient_address_definition_11,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_11,B)
    <=> v8(constB11,B) ) )).

fof(is_address_11,axiom,(
    address(v8_range_3_to_0_address_term_bound_11) )).

fof(address_association_11,axiom,(
    v8_range_3_to_0_address_association(constB11,v8_range_3_to_0_address_term_bound_11) )).

fof(transient_address_definition_10,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_10,B)
    <=> v8(constB10,B) ) )).

fof(is_address_10,axiom,(
    address(v8_range_3_to_0_address_term_bound_10) )).

fof(address_association_10,axiom,(
    v8_range_3_to_0_address_association(constB10,v8_range_3_to_0_address_term_bound_10) )).

fof(transient_address_definition_9,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_9,B)
    <=> v8(constB9,B) ) )).

fof(is_address_9,axiom,(
    address(v8_range_3_to_0_address_term_bound_9) )).

fof(address_association_9,axiom,(
    v8_range_3_to_0_address_association(constB9,v8_range_3_to_0_address_term_bound_9) )).

fof(transient_address_definition_8,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_8,B)
    <=> v8(constB8,B) ) )).

fof(is_address_8,axiom,(
    address(v8_range_3_to_0_address_term_bound_8) )).

fof(address_association_8,axiom,(
    v8_range_3_to_0_address_association(constB8,v8_range_3_to_0_address_term_bound_8) )).

fof(transient_address_definition_7,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_7,B)
    <=> v8(constB7,B) ) )).

fof(is_address_7,axiom,(
    address(v8_range_3_to_0_address_term_bound_7) )).

fof(address_association_7,axiom,(
    v8_range_3_to_0_address_association(constB7,v8_range_3_to_0_address_term_bound_7) )).

fof(transient_address_definition_6,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_6,B)
    <=> v8(constB6,B) ) )).

fof(is_address_6,axiom,(
    address(v8_range_3_to_0_address_term_bound_6) )).

fof(address_association_6,axiom,(
    v8_range_3_to_0_address_association(constB6,v8_range_3_to_0_address_term_bound_6) )).

fof(transient_address_definition_5,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_5,B)
    <=> v8(constB5,B) ) )).

fof(is_address_5,axiom,(
    address(v8_range_3_to_0_address_term_bound_5) )).

fof(address_association_5,axiom,(
    v8_range_3_to_0_address_association(constB5,v8_range_3_to_0_address_term_bound_5) )).

fof(transient_address_definition_4,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_4,B)
    <=> v8(constB4,B) ) )).

fof(is_address_4,axiom,(
    address(v8_range_3_to_0_address_term_bound_4) )).

fof(address_association_4,axiom,(
    v8_range_3_to_0_address_association(constB4,v8_range_3_to_0_address_term_bound_4) )).

fof(transient_address_definition_3,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_3,B)
    <=> v8(constB3,B) ) )).

fof(is_address_3,axiom,(
    address(v8_range_3_to_0_address_term_bound_3) )).

fof(address_association_3,axiom,(
    v8_range_3_to_0_address_association(constB3,v8_range_3_to_0_address_term_bound_3) )).

fof(transient_address_definition_2,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_2,B)
    <=> v8(constB2,B) ) )).

fof(is_address_2,axiom,(
    address(v8_range_3_to_0_address_term_bound_2) )).

fof(address_association_2,axiom,(
    v8_range_3_to_0_address_association(constB2,v8_range_3_to_0_address_term_bound_2) )).

fof(transient_address_definition_1,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_1,B)
    <=> v8(constB1,B) ) )).

fof(is_address_1,axiom,(
    address(v8_range_3_to_0_address_term_bound_1) )).

fof(address_association_1,axiom,(
    v8_range_3_to_0_address_association(constB1,v8_range_3_to_0_address_term_bound_1) )).

fof(transient_address_definition,axiom,(
    ! [B] :
      ( addressVal(v8_range_3_to_0_address_term_bound_0,B)
    <=> v8(constB0,B) ) )).

fof(is_address,axiom,(
    address(v8_range_3_to_0_address_term_bound_0) )).

fof(address_association,axiom,(
    v8_range_3_to_0_address_association(constB0,v8_range_3_to_0_address_term_bound_0) )).

fof(addressDiff,axiom,(
    ! [B,A2,A1] :
      ( ( address(A1)
        & address(A2)
        & addressDiff(A1,A2,B) )
     => ( A1 = A2
        | ( addressVal(A1,B)
        <=> ~ addressVal(A2,B) ) ) ) )).

fof(addressDomain,axiom,(
    ! [A1,A2] :
      ( addressDiff(A1,A2,bitIndex0)
      | addressDiff(A1,A2,bitIndex1)
      | addressDiff(A1,A2,bitIndex2)
      | addressDiff(A1,A2,bitIndex3) ) )).

fof(addAssertion,conjecture,(
    ! [VarCurr] :
      ( reachableState(VarCurr)
     => v4(VarCurr) ) )).

fof(writeUnaryOperator_2753,axiom,(
    ! [VarCurr] :
      ( ~ v4(VarCurr)
    <=> v22287(VarCurr) ) )).

fof(writeUnaryOperator_2752,axiom,(
    ! [VarCurr] :
      ( ~ v22287(VarCurr)
    <=> v22288(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5375,axiom,(
    ! [VarCurr] :
      ( v22288(VarCurr)
    <=> ( v22290(VarCurr)
        & v22314(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1475,axiom,(
    ! [VarCurr] :
      ( v22314(VarCurr)
    <=> ( v22292(VarCurr,bitIndex0)
        | v22292(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2751,axiom,(
    ! [VarCurr] :
      ( ~ v22290(VarCurr)
    <=> v22291(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1474,axiom,(
    ! [VarCurr] :
      ( v22291(VarCurr)
    <=> ( v22292(VarCurr,bitIndex0)
        & v22292(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8257,axiom,(
    ! [VarCurr] :
      ( v22292(VarCurr,bitIndex0)
    <=> v22293(VarCurr) ) )).

fof(addAssignment_8256,axiom,(
    ! [VarCurr] :
      ( v22292(VarCurr,bitIndex1)
    <=> $true ) )).

fof(writeBinaryOperatorShiftedRanges_1473,axiom,(
    ! [VarCurr] :
      ( v22293(VarCurr)
    <=> ( v22295(VarCurr)
        & v22296(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1472,axiom,(
    ! [VarCurr] :
      ( v22295(VarCurr)
    <=> ( v22296(VarCurr,bitIndex8)
        | v22297(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5374,axiom,(
    ! [VarCurr] :
      ( v22297(VarCurr)
    <=> ( v22298(VarCurr)
        & v22313(VarCurr) ) ) )).

fof(writeUnaryOperator_2750,axiom,(
    ! [VarCurr] :
      ( ~ v22313(VarCurr)
    <=> v22296(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorShiftedRanges_1471,axiom,(
    ! [VarCurr] :
      ( v22298(VarCurr)
    <=> ( v22296(VarCurr,bitIndex7)
        | v22299(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5373,axiom,(
    ! [VarCurr] :
      ( v22299(VarCurr)
    <=> ( v22300(VarCurr)
        & v22312(VarCurr) ) ) )).

fof(writeUnaryOperator_2749,axiom,(
    ! [VarCurr] :
      ( ~ v22312(VarCurr)
    <=> v22296(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorShiftedRanges_1470,axiom,(
    ! [VarCurr] :
      ( v22300(VarCurr)
    <=> ( v22301(VarCurr)
        & v22296(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1469,axiom,(
    ! [VarCurr] :
      ( v22301(VarCurr)
    <=> ( v22302(VarCurr)
        & v22296(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1468,axiom,(
    ! [VarCurr] :
      ( v22302(VarCurr)
    <=> ( v22296(VarCurr,bitIndex4)
        | v22303(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5372,axiom,(
    ! [VarCurr] :
      ( v22303(VarCurr)
    <=> ( v22304(VarCurr)
        & v22311(VarCurr) ) ) )).

fof(writeUnaryOperator_2748,axiom,(
    ! [VarCurr] :
      ( ~ v22311(VarCurr)
    <=> v22296(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1467,axiom,(
    ! [VarCurr] :
      ( v22304(VarCurr)
    <=> ( v22296(VarCurr,bitIndex3)
        | v22305(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5371,axiom,(
    ! [VarCurr] :
      ( v22305(VarCurr)
    <=> ( v22306(VarCurr)
        & v22310(VarCurr) ) ) )).

fof(writeUnaryOperator_2747,axiom,(
    ! [VarCurr] :
      ( ~ v22310(VarCurr)
    <=> v22296(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1466,axiom,(
    ! [VarCurr] :
      ( v22306(VarCurr)
    <=> ( v22296(VarCurr,bitIndex2)
        | v22307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5370,axiom,(
    ! [VarCurr] :
      ( v22307(VarCurr)
    <=> ( v22308(VarCurr)
        & v22309(VarCurr) ) ) )).

fof(writeUnaryOperator_2746,axiom,(
    ! [VarCurr] :
      ( ~ v22309(VarCurr)
    <=> v22296(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1465,axiom,(
    ! [VarCurr] :
      ( v22308(VarCurr)
    <=> ( v22296(VarCurr,bitIndex0)
        & v22296(VarCurr,bitIndex1) ) ) )).

fof(addZeroExtensionConstraint_13,axiom,(
    ! [VarCurr] : ~ v22296(VarCurr,bitIndex4) )).

fof(addZeroExtensionConstraint_12,axiom,(
    ! [VarCurr] : ~ v22296(VarCurr,bitIndex5) )).

fof(addZeroExtensionConstraint_11,axiom,(
    ! [VarCurr] : ~ v22296(VarCurr,bitIndex6) )).

fof(addZeroExtensionConstraint_10,axiom,(
    ! [VarCurr] : ~ v22296(VarCurr,bitIndex7) )).

fof(addZeroExtensionConstraint_9,axiom,(
    ! [VarCurr] : ~ v22296(VarCurr,bitIndex8) )).

fof(addZeroExtensionConstraint_8,axiom,(
    ! [VarCurr] : ~ v22296(VarCurr,bitIndex9) )).

fof(addAssignment_8255,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v22296(VarCurr,B)
      <=> v8(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22274(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v8(VarNext,B)
            <=> v8(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_326,axiom,(
    ! [VarNext] :
      ( v22274(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v8(VarNext,B)
          <=> v22282(VarNext,B) ) ) ) )).

fof(addAssignment_8254,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v22282(VarNext,B)
          <=> v22280(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_453,axiom,(
    ! [VarCurr] :
      ( ~ v2632(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v22280(VarCurr,B)
          <=> v21(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_410,axiom,(
    ! [VarCurr] :
      ( v2632(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v22280(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5369,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22274(VarNext)
      <=> v22275(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5368,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22275(VarNext)
      <=> ( v22277(VarNext)
          & v597(VarNext) ) ) ) )).

fof(writeUnaryOperator_2745,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22277(VarNext)
      <=> v608(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_452,axiom,(
    ! [VarCurr] :
      ( ~ v23(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21(VarCurr,B)
          <=> v8(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_409,axiom,(
    ! [VarCurr] :
      ( v23(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21(VarCurr,B)
          <=> v22251(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_451,axiom,(
    ! [VarCurr] :
      ( ~ v22252(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v22251(VarCurr,B)
          <=> v22253(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_408,axiom,(
    ! [VarCurr] :
      ( v22252(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v22251(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_8253,axiom,(
    ! [VarCurr] :
      ( v22253(VarCurr,bitIndex0)
    <=> v22269(VarCurr) ) )).

fof(addAssignment_8252,axiom,(
    ! [VarCurr] :
      ( v22253(VarCurr,bitIndex1)
    <=> v22267(VarCurr) ) )).

fof(addAssignment_8251,axiom,(
    ! [VarCurr] :
      ( v22253(VarCurr,bitIndex2)
    <=> v22262(VarCurr) ) )).

fof(addAssignment_8250,axiom,(
    ! [VarCurr] :
      ( v22253(VarCurr,bitIndex3)
    <=> v22255(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5367,axiom,(
    ! [VarCurr] :
      ( v22267(VarCurr)
    <=> ( v22268(VarCurr)
        & v22271(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1464,axiom,(
    ! [VarCurr] :
      ( v22271(VarCurr)
    <=> ( v8(VarCurr,bitIndex0)
        | v8(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5366,axiom,(
    ! [VarCurr] :
      ( v22268(VarCurr)
    <=> ( v22269(VarCurr)
        | v22270(VarCurr) ) ) )).

fof(writeUnaryOperator_2744,axiom,(
    ! [VarCurr] :
      ( ~ v22270(VarCurr)
    <=> v8(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2743,axiom,(
    ! [VarCurr] :
      ( ~ v22269(VarCurr)
    <=> v8(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5365,axiom,(
    ! [VarCurr] :
      ( v22262(VarCurr)
    <=> ( v22263(VarCurr)
        & v22266(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1463,axiom,(
    ! [VarCurr] :
      ( v22266(VarCurr)
    <=> ( v22259(VarCurr)
        | v8(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5364,axiom,(
    ! [VarCurr] :
      ( v22263(VarCurr)
    <=> ( v22264(VarCurr)
        | v22265(VarCurr) ) ) )).

fof(writeUnaryOperator_2742,axiom,(
    ! [VarCurr] :
      ( ~ v22265(VarCurr)
    <=> v8(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2741,axiom,(
    ! [VarCurr] :
      ( ~ v22264(VarCurr)
    <=> v22259(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5363,axiom,(
    ! [VarCurr] :
      ( v22255(VarCurr)
    <=> ( v22256(VarCurr)
        & v22261(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1462,axiom,(
    ! [VarCurr] :
      ( v22261(VarCurr)
    <=> ( v22258(VarCurr)
        | v8(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5362,axiom,(
    ! [VarCurr] :
      ( v22256(VarCurr)
    <=> ( v22257(VarCurr)
        | v22260(VarCurr) ) ) )).

fof(writeUnaryOperator_2740,axiom,(
    ! [VarCurr] :
      ( ~ v22260(VarCurr)
    <=> v8(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2739,axiom,(
    ! [VarCurr] :
      ( ~ v22257(VarCurr)
    <=> v22258(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1461,axiom,(
    ! [VarCurr] :
      ( v22258(VarCurr)
    <=> ( v22259(VarCurr)
        & v8(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1460,axiom,(
    ! [VarCurr] :
      ( v22259(VarCurr)
    <=> ( v8(VarCurr,bitIndex0)
        & v8(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1354,axiom,(
    ! [VarCurr] :
      ( v22252(VarCurr)
    <=> ( ( v8(VarCurr,bitIndex3)
        <=> $true )
        & ( v8(VarCurr,bitIndex2)
        <=> $false )
        & ( v8(VarCurr,bitIndex1)
        <=> $false )
        & ( v8(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8249,axiom,(
    ! [VarCurr] :
      ( v23(VarCurr)
    <=> v25(VarCurr) ) )).

fof(addAssignment_8248,axiom,(
    ! [VarCurr] :
      ( v25(VarCurr)
    <=> v27(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5361,axiom,(
    ! [VarCurr] :
      ( v27(VarCurr)
    <=> ( v22244(VarCurr)
        | v22038(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5360,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr)
    <=> ( v22245(VarCurr)
        | v22220(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1459,axiom,(
    ! [VarCurr] :
      ( v22245(VarCurr)
    <=> ( v22246(VarCurr)
        | v29(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5359,axiom,(
    ! [VarCurr] :
      ( v22246(VarCurr)
    <=> ( v22247(VarCurr)
        | v12112(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5358,axiom,(
    ! [VarCurr] :
      ( v22247(VarCurr)
    <=> ( v22248(VarCurr)
        | v22108(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1458,axiom,(
    ! [VarCurr] :
      ( v22248(VarCurr)
    <=> ( v22249(VarCurr)
        | v29(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1457,axiom,(
    ! [VarCurr] :
      ( v22249(VarCurr)
    <=> ( v29(VarCurr,bitIndex3)
        | v29(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5357,axiom,(
    ! [VarCurr] :
      ( v22220(VarCurr)
    <=> ( v22236(VarCurr)
        & v22237(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5356,axiom,(
    ! [VarCurr] :
      ( v22237(VarCurr)
    <=> ( v22238(VarCurr)
        | v22240(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5355,axiom,(
    ! [VarCurr] :
      ( v22240(VarCurr)
    <=> ( v22241(VarCurr)
        & v22242(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5354,axiom,(
    ! [VarCurr] :
      ( v22242(VarCurr)
    <=> ( v22232(VarCurr)
        | v22234(VarCurr) ) ) )).

fof(writeUnaryOperator_2738,axiom,(
    ! [VarCurr] :
      ( ~ v22241(VarCurr)
    <=> v22228(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5353,axiom,(
    ! [VarCurr] :
      ( v22238(VarCurr)
    <=> ( v22239(VarCurr)
        & v22226(VarCurr) ) ) )).

fof(writeUnaryOperator_2737,axiom,(
    ! [VarCurr] :
      ( ~ v22239(VarCurr)
    <=> v22222(VarCurr) ) )).

fof(writeUnaryOperator_2736,axiom,(
    ! [VarCurr] :
      ( ~ v22236(VarCurr)
    <=> v39(VarCurr) ) )).

fof(addAssignment_8247,axiom,(
    ! [VarCurr] :
      ( v22234(VarCurr)
    <=> v19336(VarCurr) ) )).

fof(addAssignment_8246,axiom,(
    ! [VarCurr] :
      ( v22232(VarCurr)
    <=> v19329(VarCurr) ) )).

fof(addAssignment_8245,axiom,(
    ! [VarCurr] :
      ( v22228(VarCurr)
    <=> v22230(VarCurr) ) )).

fof(addAssignment_8244,axiom,(
    ! [VarCurr] :
      ( v22230(VarCurr)
    <=> v19317(VarCurr) ) )).

fof(addAssignment_8243,axiom,(
    ! [VarCurr] :
      ( v22226(VarCurr)
    <=> v13086(VarCurr) ) )).

fof(addAssignment_8242,axiom,(
    ! [VarCurr] :
      ( v22222(VarCurr)
    <=> v22224(VarCurr) ) )).

fof(addAssignment_8241,axiom,(
    ! [VarCurr] :
      ( v22224(VarCurr)
    <=> v13079(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5352,axiom,(
    ! [VarCurr] :
      ( v22108(VarCurr)
    <=> ( v22217(VarCurr)
        & v22124(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5351,axiom,(
    ! [VarCurr] :
      ( v22217(VarCurr)
    <=> ( v22218(VarCurr)
        & v22110(VarCurr) ) ) )).

fof(writeUnaryOperator_2735,axiom,(
    ! [VarCurr] :
      ( ~ v22218(VarCurr)
    <=> v39(VarCurr) ) )).

fof(addAssignment_8240,axiom,(
    ! [VarCurr] :
      ( v22124(VarCurr)
    <=> v22126(VarCurr) ) )).

fof(addAssignment_8239,axiom,(
    ! [VarCurr] :
      ( v22126(VarCurr)
    <=> v22128(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1456,axiom,(
    ! [VarCurr] :
      ( v22128(VarCurr)
    <=> ( v22190(VarCurr)
        | v22130(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_282,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22195(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v22130(VarNext,B)
            <=> v22130(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_325,axiom,(
    ! [VarNext] :
      ( v22195(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v22130(VarNext,B)
          <=> v22211(VarNext,B) ) ) ) )).

fof(addAssignment_8238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v22211(VarNext,B)
          <=> v22209(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_527,axiom,(
    ! [VarCurr] :
      ( ~ v22206(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v22209(VarCurr,B)
          <=> v22165(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_513,axiom,(
    ! [VarCurr] :
      ( v22206(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v22209(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5350,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22195(VarNext)
      <=> ( v22196(VarNext)
          & v22205(VarNext) ) ) ) )).

fof(addAssignment_8237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22205(VarNext)
      <=> v22203(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5349,axiom,(
    ! [VarCurr] :
      ( v22203(VarCurr)
    <=> ( v22206(VarCurr)
        | v22207(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5348,axiom,(
    ! [VarCurr] :
      ( v22207(VarCurr)
    <=> ( v22134(VarCurr)
        & v22208(VarCurr) ) ) )).

fof(writeUnaryOperator_2734,axiom,(
    ! [VarCurr] :
      ( ~ v22208(VarCurr)
    <=> v22206(VarCurr) ) )).

fof(writeUnaryOperator_2733,axiom,(
    ! [VarCurr] :
      ( ~ v22206(VarCurr)
    <=> v22132(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5347,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22196(VarNext)
      <=> ( v22197(VarNext)
          & v22192(VarNext) ) ) ) )).

fof(writeUnaryOperator_2732,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22197(VarNext)
      <=> v22199(VarNext) ) ) )).

fof(addAssignment_8236,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22199(VarNext)
      <=> v22192(VarCurr) ) ) )).

fof(addAssignment_8235,axiom,(
    ! [VarCurr] :
      ( v22192(VarCurr)
    <=> v599(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_450,axiom,(
    ! [VarCurr] :
      ( ~ v22160(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v22165(VarCurr,B)
          <=> v22181(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_407,axiom,(
    ! [VarCurr] :
      ( v22160(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v22165(VarCurr,B)
          <=> v22167(VarCurr,B) ) ) ) )).

fof(addAssignment_8234,axiom,(
    ! [VarCurr] :
      ( v22181(VarCurr,bitIndex0)
    <=> v22179(VarCurr) ) )).

fof(addAssignment_8233,axiom,(
    ! [VarCurr] :
      ( v22181(VarCurr,bitIndex1)
    <=> v22188(VarCurr) ) )).

fof(addAssignment_8232,axiom,(
    ! [VarCurr] :
      ( v22181(VarCurr,bitIndex2)
    <=> v22183(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5346,axiom,(
    ! [VarCurr] :
      ( v22188(VarCurr)
    <=> ( v22189(VarCurr)
        & v22190(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1455,axiom,(
    ! [VarCurr] :
      ( v22190(VarCurr)
    <=> ( v22130(VarCurr,bitIndex0)
        | v22130(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5345,axiom,(
    ! [VarCurr] :
      ( v22189(VarCurr)
    <=> ( v22179(VarCurr)
        | v22174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5344,axiom,(
    ! [VarCurr] :
      ( v22183(VarCurr)
    <=> ( v22184(VarCurr)
        & v22187(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1454,axiom,(
    ! [VarCurr] :
      ( v22187(VarCurr)
    <=> ( v22130(VarCurr,bitIndex2)
        | v22186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5343,axiom,(
    ! [VarCurr] :
      ( v22184(VarCurr)
    <=> ( v22176(VarCurr)
        | v22185(VarCurr) ) ) )).

fof(writeUnaryOperator_2731,axiom,(
    ! [VarCurr] :
      ( ~ v22185(VarCurr)
    <=> v22186(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1453,axiom,(
    ! [VarCurr] :
      ( v22186(VarCurr)
    <=> ( v22130(VarCurr,bitIndex0)
        & v22130(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8231,axiom,(
    ! [VarCurr] :
      ( v22167(VarCurr,bitIndex0)
    <=> v22179(VarCurr) ) )).

fof(addAssignment_8230,axiom,(
    ! [VarCurr] :
      ( v22167(VarCurr,bitIndex1)
    <=> v22177(VarCurr) ) )).

fof(addAssignment_8229,axiom,(
    ! [VarCurr] :
      ( v22167(VarCurr,bitIndex2)
    <=> v22169(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5342,axiom,(
    ! [VarCurr] :
      ( v22177(VarCurr)
    <=> ( v22178(VarCurr)
        & v22180(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5341,axiom,(
    ! [VarCurr] :
      ( v22180(VarCurr)
    <=> ( v22130(VarCurr,bitIndex0)
        | v22174(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1452,axiom,(
    ! [VarCurr] :
      ( v22178(VarCurr)
    <=> ( v22179(VarCurr)
        | v22130(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2730,axiom,(
    ! [VarCurr] :
      ( ~ v22179(VarCurr)
    <=> v22130(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5340,axiom,(
    ! [VarCurr] :
      ( v22169(VarCurr)
    <=> ( v22170(VarCurr)
        & v22175(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5339,axiom,(
    ! [VarCurr] :
      ( v22175(VarCurr)
    <=> ( v22172(VarCurr)
        | v22176(VarCurr) ) ) )).

fof(writeUnaryOperator_2729,axiom,(
    ! [VarCurr] :
      ( ~ v22176(VarCurr)
    <=> v22130(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1451,axiom,(
    ! [VarCurr] :
      ( v22170(VarCurr)
    <=> ( v22171(VarCurr)
        | v22130(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2728,axiom,(
    ! [VarCurr] :
      ( ~ v22171(VarCurr)
    <=> v22172(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1450,axiom,(
    ! [VarCurr] :
      ( v22172(VarCurr)
    <=> ( v22130(VarCurr,bitIndex1)
        | v22173(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5338,axiom,(
    ! [VarCurr] :
      ( v22173(VarCurr)
    <=> ( v22130(VarCurr,bitIndex0)
        & v22174(VarCurr) ) ) )).

fof(writeUnaryOperator_2727,axiom,(
    ! [VarCurr] :
      ( ~ v22174(VarCurr)
    <=> v22130(VarCurr,bitIndex1) ) )).

fof(addAssignmentInitValueVector_45,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v22130(constB0,B)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5337,axiom,(
    ! [VarCurr] :
      ( v22134(VarCurr)
    <=> ( v22136(VarCurr)
      <~> v22160(VarCurr) ) ) )).

fof(addAssignment_8228,axiom,(
    ! [VarCurr] :
      ( v22160(VarCurr)
    <=> v22162(VarCurr) ) )).

fof(addAssignment_8227,axiom,(
    ! [VarCurr] :
      ( v22162(VarCurr)
    <=> v22108(VarCurr) ) )).

fof(addAssignment_8226,axiom,(
    ! [VarCurr] :
      ( v22136(VarCurr)
    <=> v22138(VarCurr) ) )).

fof(addAssignment_8225,axiom,(
    ! [VarCurr] :
      ( v22138(VarCurr)
    <=> v22140(VarCurr) ) )).

fof(addAssignment_8224,axiom,(
    ! [VarCurr] :
      ( v22140(VarCurr)
    <=> v22142(VarCurr) ) )).

fof(addAssignment_8223,axiom,(
    ! [VarCurr] :
      ( v22142(VarCurr)
    <=> v22144(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_281,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22147(VarNext)
       => ( v22144(VarNext)
        <=> v22144(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_324,axiom,(
    ! [VarNext] :
      ( v22147(VarNext)
     => ( v22144(VarNext)
      <=> v22155(VarNext) ) ) )).

fof(addAssignment_8222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22155(VarNext)
      <=> v22153(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_449,axiom,(
    ! [VarCurr] :
      ( ~ v4774(VarCurr)
     => ( v22153(VarCurr)
      <=> v22156(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_406,axiom,(
    ! [VarCurr] :
      ( v4774(VarCurr)
     => ( v22153(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_448,axiom,(
    ! [VarCurr] :
      ( ~ v3188(VarCurr)
     => ( v22156(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_405,axiom,(
    ! [VarCurr] :
      ( v3188(VarCurr)
     => ( v22156(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5336,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22147(VarNext)
      <=> v22148(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5335,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22148(VarNext)
      <=> ( v22150(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_2726,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22150(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(addAssignment_8221,axiom,(
    ! [VarCurr] :
      ( v22132(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_8220,axiom,(
    ! [VarCurr] :
      ( v22110(VarCurr)
    <=> v22112(VarCurr) ) )).

fof(addAssignment_8219,axiom,(
    ! [VarCurr] :
      ( v22112(VarCurr)
    <=> v22114(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_447,axiom,(
    ! [VarCurr] :
      ( ~ v22116(VarCurr)
     => ( v22114(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_404,axiom,(
    ! [VarCurr] :
      ( v22116(VarCurr)
     => ( v22114(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5334,axiom,(
    ! [VarCurr] :
      ( v22116(VarCurr)
    <=> ( v22117(VarCurr)
        | v22122(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1353,axiom,(
    ! [VarCurr] :
      ( v22122(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $false )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5333,axiom,(
    ! [VarCurr] :
      ( v22117(VarCurr)
    <=> ( v22118(VarCurr)
        | v22119(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5332,axiom,(
    ! [VarCurr] :
      ( v22119(VarCurr)
    <=> ( v22120(VarCurr)
        | v22121(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1352,axiom,(
    ! [VarCurr] :
      ( v22121(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $false )
        & ( v2660(VarCurr,bitIndex5)
        <=> $true )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1351,axiom,(
    ! [VarCurr] :
      ( v22120(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $false )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5331,axiom,(
    ! [VarCurr] :
      ( v22118(VarCurr)
    <=> ( v2704(VarCurr,bitIndex0)
        & v12128(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_367,axiom,(
    ! [VarCurr] :
      ( ~ v22105(VarCurr)
     => ( v29(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_410,axiom,(
    ! [VarCurr] :
      ( v22105(VarCurr)
     => ( v29(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5330,axiom,(
    ! [VarCurr] :
      ( v22105(VarCurr)
    <=> ( v22106(VarCurr)
        & v22095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5329,axiom,(
    ! [VarCurr] :
      ( v22106(VarCurr)
    <=> ( v4798(VarCurr)
        & v31(VarCurr) ) ) )).

fof(addAssignment_8218,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex2)
    <=> v22097(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_57,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22098(VarNext)
       => ( ( v22097(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v22097(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v22097(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v22097(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v22097(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v22097(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v22097(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v22097(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v22097(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v22097(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v22097(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v22097(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_323,axiom,(
    ! [VarNext] :
      ( v22098(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v22097(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22098(VarNext)
      <=> v22099(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22099(VarNext)
      <=> ( v22101(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2725,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22101(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_366,axiom,(
    ! [VarCurr] :
      ( ~ v22089(VarCurr)
     => ( v29(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_409,axiom,(
    ! [VarCurr] :
      ( v22089(VarCurr)
     => ( v29(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5326,axiom,(
    ! [VarCurr] :
      ( v22089(VarCurr)
    <=> ( v22090(VarCurr)
        | v22091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5325,axiom,(
    ! [VarCurr] :
      ( v22091(VarCurr)
    <=> ( v22092(VarCurr)
        & v22095(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1350,axiom,(
    ! [VarCurr] :
      ( v22095(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5324,axiom,(
    ! [VarCurr] :
      ( v22092(VarCurr)
    <=> ( v22093(VarCurr)
        | v22094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5323,axiom,(
    ! [VarCurr] :
      ( v22094(VarCurr)
    <=> ( v4920(VarCurr)
        & v31(VarCurr) ) ) )).

fof(writeUnaryOperator_2724,axiom,(
    ! [VarCurr] :
      ( ~ v22093(VarCurr)
    <=> v31(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1349,axiom,(
    ! [VarCurr] :
      ( v22090(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8217,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex1)
    <=> v22081(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_56,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22082(VarNext)
       => ( ( v22081(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v22081(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v22081(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v22081(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v22081(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v22081(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v22081(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v22081(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v22081(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v22081(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v22081(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v22081(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_322,axiom,(
    ! [VarNext] :
      ( v22082(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v22081(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5322,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22082(VarNext)
      <=> v22083(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5321,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22083(VarNext)
      <=> ( v22085(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22085(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_365,axiom,(
    ! [VarCurr] :
      ( ~ v22076(VarCurr)
     => ( v29(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_408,axiom,(
    ! [VarCurr] :
      ( v22076(VarCurr)
     => ( v29(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5320,axiom,(
    ! [VarCurr] :
      ( v22076(VarCurr)
    <=> ( v22077(VarCurr)
        & v4868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5319,axiom,(
    ! [VarCurr] :
      ( v22077(VarCurr)
    <=> ( v22079(VarCurr)
        & v4867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5318,axiom,(
    ! [VarCurr] :
      ( v22079(VarCurr)
    <=> ( v4861(VarCurr)
        & v4814(VarCurr) ) ) )).

fof(addAssignment_8216,axiom,(
    ! [VarCurr] :
      ( v31(VarCurr)
    <=> v33(VarCurr,bitIndex1) ) )).

fof(addAssignment_8215,axiom,(
    ! [VarCurr] :
      ( v33(VarCurr,bitIndex1)
    <=> v12107(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorShiftedRanges_1449,axiom,(
    ! [VarCurr] :
      ( v12106(VarCurr,bitIndex1)
    <=> ( v12106(VarCurr,bitIndex0)
        | v35(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8214,axiom,(
    ! [VarCurr] :
      ( v35(VarCurr,bitIndex1)
    <=> v12104(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5317,axiom,(
    ! [VarCurr] :
      ( v37(VarCurr)
    <=> ( v22070(VarCurr)
        & v22073(VarCurr) ) ) )).

fof(writeUnaryOperator_2722,axiom,(
    ! [VarCurr] :
      ( ~ v22073(VarCurr)
    <=> v628(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5316,axiom,(
    ! [VarCurr] :
      ( v22070(VarCurr)
    <=> ( v22071(VarCurr)
        & v22072(VarCurr) ) ) )).

fof(writeUnaryOperator_2721,axiom,(
    ! [VarCurr] :
      ( ~ v22072(VarCurr)
    <=> v620(VarCurr) ) )).

fof(writeUnaryOperator_2720,axiom,(
    ! [VarCurr] :
      ( ~ v22071(VarCurr)
    <=> v39(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5315,axiom,(
    ! [VarCurr] :
      ( v628(VarCurr)
    <=> ( v22067(VarCurr)
        | v22038(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5314,axiom,(
    ! [VarCurr] :
      ( v22067(VarCurr)
    <=> ( v630(VarCurr)
        & v22068(VarCurr) ) ) )).

fof(writeUnaryOperator_2719,axiom,(
    ! [VarCurr] :
      ( ~ v22068(VarCurr)
    <=> v21969(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_280,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22054(VarNext)
       => ( v22038(VarNext)
        <=> v22038(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_321,axiom,(
    ! [VarNext] :
      ( v22054(VarNext)
     => ( v22038(VarNext)
      <=> v22062(VarNext) ) ) )).

fof(addAssignment_8213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22062(VarNext)
      <=> v22060(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_446,axiom,(
    ! [VarCurr] :
      ( ~ v22063(VarCurr)
     => ( v22060(VarCurr)
      <=> v22040(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_403,axiom,(
    ! [VarCurr] :
      ( v22063(VarCurr)
     => ( v22060(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2718,axiom,(
    ! [VarCurr] :
      ( ~ v22063(VarCurr)
    <=> v632(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5313,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22054(VarNext)
      <=> v22055(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5312,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22055(VarNext)
      <=> ( v22056(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2717,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22056(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addAssignmentInitValueVector_44,axiom,
    ( v22038(constB0)
  <=> $false )).

fof(writeBinaryOperatorEqualRangesSingleBits_5311,axiom,(
    ! [VarCurr] :
      ( v22040(VarCurr)
    <=> ( v22050(VarCurr)
        & v22051(VarCurr) ) ) )).

fof(writeUnaryOperator_2716,axiom,(
    ! [VarCurr] :
      ( ~ v22051(VarCurr)
    <=> v630(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5310,axiom,(
    ! [VarCurr] :
      ( v22050(VarCurr)
    <=> ( v31(VarCurr)
        & v22042(VarCurr) ) ) )).

fof(addAssignment_8212,axiom,(
    ! [VarCurr] :
      ( v22042(VarCurr)
    <=> v22044(VarCurr) ) )).

fof(addAssignment_8211,axiom,(
    ! [VarCurr] :
      ( v22044(VarCurr)
    <=> v22046(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_445,axiom,(
    ! [VarCurr] :
      ( ~ v22048(VarCurr)
     => ( v22046(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_402,axiom,(
    ! [VarCurr] :
      ( v22048(VarCurr)
     => ( v22046(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1348,axiom,(
    ! [VarCurr] :
      ( v22048(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $false )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $true )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_279,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22024(VarNext)
       => ( v630(VarNext)
        <=> v630(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_320,axiom,(
    ! [VarNext] :
      ( v22024(VarNext)
     => ( v630(VarNext)
      <=> v22032(VarNext) ) ) )).

fof(addAssignment_8210,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22032(VarNext)
      <=> v22030(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_444,axiom,(
    ! [VarCurr] :
      ( ~ v21985(VarCurr)
     => ( v22030(VarCurr)
      <=> v22033(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_401,axiom,(
    ! [VarCurr] :
      ( v21985(VarCurr)
     => ( v22030(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_443,axiom,(
    ! [VarCurr] :
      ( ~ v21987(VarCurr)
     => ( v22033(VarCurr)
      <=> v22034(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_400,axiom,(
    ! [VarCurr] :
      ( v21987(VarCurr)
     => ( v22033(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_442,axiom,(
    ! [VarCurr] :
      ( ~ v21989(VarCurr)
     => ( v22034(VarCurr)
      <=> v21969(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_399,axiom,(
    ! [VarCurr] :
      ( v21989(VarCurr)
     => ( v22034(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5309,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22024(VarNext)
      <=> v22025(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5308,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22025(VarNext)
      <=> ( v22027(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2715,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22027(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_278,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22009(VarNext)
       => ( v21969(VarNext)
        <=> v21969(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_319,axiom,(
    ! [VarNext] :
      ( v22009(VarNext)
     => ( v21969(VarNext)
      <=> v22017(VarNext) ) ) )).

fof(addAssignment_8209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22017(VarNext)
      <=> v22015(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_441,axiom,(
    ! [VarCurr] :
      ( ~ v21985(VarCurr)
     => ( v22015(VarCurr)
      <=> v22018(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_398,axiom,(
    ! [VarCurr] :
      ( v21985(VarCurr)
     => ( v22015(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_440,axiom,(
    ! [VarCurr] :
      ( ~ v21987(VarCurr)
     => ( v22018(VarCurr)
      <=> v22019(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_397,axiom,(
    ! [VarCurr] :
      ( v21987(VarCurr)
     => ( v22018(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_439,axiom,(
    ! [VarCurr] :
      ( ~ v21989(VarCurr)
     => ( v22019(VarCurr)
      <=> v21971(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_396,axiom,(
    ! [VarCurr] :
      ( v21989(VarCurr)
     => ( v22019(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5307,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22009(VarNext)
      <=> v22010(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5306,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22010(VarNext)
      <=> ( v22012(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2714,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22012(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addAssignmentInitValueVector_43,axiom,
    ( v21969(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_277,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21994(VarNext)
       => ( v21971(VarNext)
        <=> v21971(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_318,axiom,(
    ! [VarNext] :
      ( v21994(VarNext)
     => ( v21971(VarNext)
      <=> v22002(VarNext) ) ) )).

fof(addAssignment_8208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22002(VarNext)
      <=> v22000(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_438,axiom,(
    ! [VarCurr] :
      ( ~ v21985(VarCurr)
     => ( v22000(VarCurr)
      <=> v22003(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_395,axiom,(
    ! [VarCurr] :
      ( v21985(VarCurr)
     => ( v22000(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_437,axiom,(
    ! [VarCurr] :
      ( ~ v21987(VarCurr)
     => ( v22003(VarCurr)
      <=> v22004(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_394,axiom,(
    ! [VarCurr] :
      ( v21987(VarCurr)
     => ( v22003(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_436,axiom,(
    ! [VarCurr] :
      ( ~ v21989(VarCurr)
     => ( v22004(VarCurr)
      <=> v21973(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_393,axiom,(
    ! [VarCurr] :
      ( v21989(VarCurr)
     => ( v22004(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5305,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21994(VarNext)
      <=> v21995(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5304,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21995(VarNext)
      <=> ( v21997(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2713,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21997(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addAssignmentInitValueVector_42,axiom,
    ( v21971(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_276,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21976(VarNext)
       => ( v21973(VarNext)
        <=> v21973(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_317,axiom,(
    ! [VarNext] :
      ( v21976(VarNext)
     => ( v21973(VarNext)
      <=> v21984(VarNext) ) ) )).

fof(addAssignment_8207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21984(VarNext)
      <=> v21982(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_435,axiom,(
    ! [VarCurr] :
      ( ~ v21985(VarCurr)
     => ( v21982(VarCurr)
      <=> v21986(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_392,axiom,(
    ! [VarCurr] :
      ( v21985(VarCurr)
     => ( v21982(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_434,axiom,(
    ! [VarCurr] :
      ( ~ v21987(VarCurr)
     => ( v21986(VarCurr)
      <=> v21988(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_391,axiom,(
    ! [VarCurr] :
      ( v21987(VarCurr)
     => ( v21986(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_433,axiom,(
    ! [VarCurr] :
      ( ~ v21989(VarCurr)
     => ( v21988(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_390,axiom,(
    ! [VarCurr] :
      ( v21989(VarCurr)
     => ( v21988(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorShiftedRanges_1448,axiom,(
    ! [VarCurr] :
      ( v21989(VarCurr)
    <=> ( v29(VarCurr,bitIndex9)
        | v29(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1447,axiom,(
    ! [VarCurr] :
      ( v21987(VarCurr)
    <=> ( v29(VarCurr,bitIndex3)
        | v29(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_2712,axiom,(
    ! [VarCurr] :
      ( ~ v21985(VarCurr)
    <=> v632(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5303,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21976(VarNext)
      <=> v21977(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5302,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21977(VarNext)
      <=> ( v21978(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2711,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21978(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_364,axiom,(
    ! [VarCurr] :
      ( ~ v21967(VarCurr)
     => ( v29(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_407,axiom,(
    ! [VarCurr] :
      ( v21967(VarCurr)
     => ( v29(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5301,axiom,(
    ! [VarCurr] :
      ( v21967(VarCurr)
    <=> ( v31(VarCurr)
        & v21957(VarCurr) ) ) )).

fof(addAssignment_8206,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex8)
    <=> v21959(VarNext,bitIndex7) ) )).

fof(addCaseBooleanConditionShiftedRanges1_55,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21960(VarNext)
       => ( ( v21959(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v21959(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v21959(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v21959(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v21959(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v21959(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v21959(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v21959(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v21959(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v21959(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v21959(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v21959(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_316,axiom,(
    ! [VarNext] :
      ( v21960(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v21959(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5300,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21960(VarNext)
      <=> v21961(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5299,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21961(VarNext)
      <=> ( v21963(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2710,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21963(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_363,axiom,(
    ! [VarCurr] :
      ( ~ v21953(VarCurr)
     => ( v29(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_406,axiom,(
    ! [VarCurr] :
      ( v21953(VarCurr)
     => ( v29(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5298,axiom,(
    ! [VarCurr] :
      ( v21953(VarCurr)
    <=> ( v21954(VarCurr)
        | v21955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5297,axiom,(
    ! [VarCurr] :
      ( v21955(VarCurr)
    <=> ( v21956(VarCurr)
        & v21957(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1347,axiom,(
    ! [VarCurr] :
      ( v21957(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex8) ) ) )).

fof(writeUnaryOperator_2709,axiom,(
    ! [VarCurr] :
      ( ~ v21956(VarCurr)
    <=> v31(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1346,axiom,(
    ! [VarCurr] :
      ( v21954(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_8205,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex7)
    <=> v21945(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionShiftedRanges1_54,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21946(VarNext)
       => ( ( v21945(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v21945(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v21945(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v21945(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v21945(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v21945(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v21945(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v21945(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v21945(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v21945(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v21945(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v21945(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_315,axiom,(
    ! [VarNext] :
      ( v21946(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v21945(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5296,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21946(VarNext)
      <=> v21947(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5295,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21947(VarNext)
      <=> ( v21949(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2708,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21949(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_362,axiom,(
    ! [VarCurr] :
      ( ~ v21938(VarCurr)
     => ( v29(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_405,axiom,(
    ! [VarCurr] :
      ( v21938(VarCurr)
     => ( v29(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5294,axiom,(
    ! [VarCurr] :
      ( v21938(VarCurr)
    <=> ( v21939(VarCurr)
        & v4868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5293,axiom,(
    ! [VarCurr] :
      ( v21939(VarCurr)
    <=> ( v21941(VarCurr)
        & v4867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5292,axiom,(
    ! [VarCurr] :
      ( v21941(VarCurr)
    <=> ( v21942(VarCurr)
        & v4866(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5291,axiom,(
    ! [VarCurr] :
      ( v21942(VarCurr)
    <=> ( v21943(VarCurr)
        & v4865(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5290,axiom,(
    ! [VarCurr] :
      ( v21943(VarCurr)
    <=> ( v4863(VarCurr)
        & v637(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_361,axiom,(
    ! [VarCurr] :
      ( ~ v21936(VarCurr)
     => ( v29(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_404,axiom,(
    ! [VarCurr] :
      ( v21936(VarCurr)
     => ( v29(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5289,axiom,(
    ! [VarCurr] :
      ( v21936(VarCurr)
    <=> ( v31(VarCurr)
        & v21926(VarCurr) ) ) )).

fof(addAssignment_8204,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex5)
    <=> v21928(VarNext,bitIndex4) ) )).

fof(addCaseBooleanConditionShiftedRanges1_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21929(VarNext)
       => ( ( v21928(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v21928(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v21928(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v21928(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v21928(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v21928(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v21928(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v21928(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v21928(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v21928(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v21928(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v21928(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_314,axiom,(
    ! [VarNext] :
      ( v21929(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v21928(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5288,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21929(VarNext)
      <=> v21930(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5287,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21930(VarNext)
      <=> ( v21932(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2707,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21932(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_360,axiom,(
    ! [VarCurr] :
      ( ~ v21922(VarCurr)
     => ( v29(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_403,axiom,(
    ! [VarCurr] :
      ( v21922(VarCurr)
     => ( v29(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5286,axiom,(
    ! [VarCurr] :
      ( v21922(VarCurr)
    <=> ( v21923(VarCurr)
        | v21924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5285,axiom,(
    ! [VarCurr] :
      ( v21924(VarCurr)
    <=> ( v21925(VarCurr)
        & v21926(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1345,axiom,(
    ! [VarCurr] :
      ( v21926(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2706,axiom,(
    ! [VarCurr] :
      ( ~ v21925(VarCurr)
    <=> v31(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1344,axiom,(
    ! [VarCurr] :
      ( v21923(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_8203,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex4)
    <=> v21914(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionShiftedRanges1_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21915(VarNext)
       => ( ( v21914(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v21914(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v21914(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v21914(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v21914(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v21914(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v21914(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v21914(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v21914(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v21914(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v21914(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v21914(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_313,axiom,(
    ! [VarNext] :
      ( v21915(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v21914(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21915(VarNext)
      <=> v21916(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21916(VarNext)
      <=> ( v21918(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_2705,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21918(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_359,axiom,(
    ! [VarCurr] :
      ( ~ v21908(VarCurr)
     => ( v29(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_402,axiom,(
    ! [VarCurr] :
      ( v21908(VarCurr)
     => ( v29(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5282,axiom,(
    ! [VarCurr] :
      ( v21908(VarCurr)
    <=> ( v21909(VarCurr)
        & v4868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5281,axiom,(
    ! [VarCurr] :
      ( v21909(VarCurr)
    <=> ( v21911(VarCurr)
        & v4867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5280,axiom,(
    ! [VarCurr] :
      ( v21911(VarCurr)
    <=> ( v21912(VarCurr)
        & v4866(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5279,axiom,(
    ! [VarCurr] :
      ( v21912(VarCurr)
    <=> ( v4862(VarCurr)
        & v4800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5278,axiom,(
    ! [VarCurr] :
      ( v637(VarCurr)
    <=> ( v639(VarCurr)
        & v21906(VarCurr) ) ) )).

fof(writeUnaryOperator_2704,axiom,(
    ! [VarCurr] :
      ( ~ v21906(VarCurr)
    <=> v2667(VarCurr) ) )).

fof(addAssignment_8202,axiom,(
    ! [VarCurr] :
      ( v2667(VarCurr)
    <=> v2669(VarCurr) ) )).

fof(addAssignment_8201,axiom,(
    ! [VarCurr] :
      ( v2669(VarCurr)
    <=> v2671(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1343,axiom,(
    ! [VarCurr] :
      ( v2671(VarCurr)
    <=> ( ( v21904(VarCurr,bitIndex4)
        <=> v21837(VarCurr,bitIndex4) )
        & ( v21904(VarCurr,bitIndex3)
        <=> v21837(VarCurr,bitIndex3) )
        & ( v21904(VarCurr,bitIndex2)
        <=> v21837(VarCurr,bitIndex2) )
        & ( v21904(VarCurr,bitIndex1)
        <=> v21837(VarCurr,bitIndex1) )
        & ( v21904(VarCurr,bitIndex0)
        <=> v21837(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_8200,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21904(VarCurr,B)
      <=> v21753(VarCurr,B) ) ) )).

fof(addAssignment_8199,axiom,(
    ! [VarCurr] :
      ( v21904(VarCurr,bitIndex4)
    <=> v2673(VarCurr) ) )).

fof(addAssignment_8198,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21837(VarCurr,B)
      <=> v21839(VarCurr,B) ) ) )).

fof(addAssignment_8197,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21839(VarCurr,B)
      <=> v21841(VarCurr,B) ) ) )).

fof(addAssignment_8196,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21841(VarCurr,B)
      <=> v21843(VarCurr,B) ) ) )).

fof(addAssignment_8195,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21843(VarCurr,B)
      <=> v21845(VarCurr,B) ) ) )).

fof(addAssignment_8194,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21845(VarCurr,B)
      <=> v21847(VarCurr,B) ) ) )).

fof(addAssignment_8193,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21847(VarCurr,B)
      <=> v21849(VarCurr,B) ) ) )).

fof(addAssignment_8192,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21849(VarCurr,B)
      <=> v21851(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_275,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21861(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v21851(VarNext,B)
            <=> v21851(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_312,axiom,(
    ! [VarNext] :
      ( v21861(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v21851(VarNext,B)
          <=> v21875(VarNext,B) ) ) ) )).

fof(addAssignment_8191,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v21875(VarNext,B)
          <=> v21873(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_526,axiom,(
    ! [VarCurr] :
      ( ~ v21870(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v21873(VarCurr,B)
          <=> v21876(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_512,axiom,(
    ! [VarCurr] :
      ( v21870(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v21873(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_8190,axiom,(
    ! [VarCurr] :
      ( v21876(VarCurr,bitIndex0)
    <=> v21898(VarCurr) ) )).

fof(addAssignment_8189,axiom,(
    ! [VarCurr] :
      ( v21876(VarCurr,bitIndex1)
    <=> v21896(VarCurr) ) )).

fof(addAssignment_8188,axiom,(
    ! [VarCurr] :
      ( v21876(VarCurr,bitIndex2)
    <=> v21891(VarCurr) ) )).

fof(addAssignment_8187,axiom,(
    ! [VarCurr] :
      ( v21876(VarCurr,bitIndex3)
    <=> v21886(VarCurr) ) )).

fof(addAssignment_8186,axiom,(
    ! [VarCurr] :
      ( v21876(VarCurr,bitIndex4)
    <=> v21878(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5277,axiom,(
    ! [VarCurr] :
      ( v21896(VarCurr)
    <=> ( v21897(VarCurr)
        & v21900(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1446,axiom,(
    ! [VarCurr] :
      ( v21900(VarCurr)
    <=> ( v21851(VarCurr,bitIndex0)
        | v21851(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5276,axiom,(
    ! [VarCurr] :
      ( v21897(VarCurr)
    <=> ( v21898(VarCurr)
        | v21899(VarCurr) ) ) )).

fof(writeUnaryOperator_2703,axiom,(
    ! [VarCurr] :
      ( ~ v21899(VarCurr)
    <=> v21851(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2702,axiom,(
    ! [VarCurr] :
      ( ~ v21898(VarCurr)
    <=> v21851(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5275,axiom,(
    ! [VarCurr] :
      ( v21891(VarCurr)
    <=> ( v21892(VarCurr)
        & v21895(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1445,axiom,(
    ! [VarCurr] :
      ( v21895(VarCurr)
    <=> ( v21883(VarCurr)
        | v21851(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5274,axiom,(
    ! [VarCurr] :
      ( v21892(VarCurr)
    <=> ( v21893(VarCurr)
        | v21894(VarCurr) ) ) )).

fof(writeUnaryOperator_2701,axiom,(
    ! [VarCurr] :
      ( ~ v21894(VarCurr)
    <=> v21851(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2700,axiom,(
    ! [VarCurr] :
      ( ~ v21893(VarCurr)
    <=> v21883(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5273,axiom,(
    ! [VarCurr] :
      ( v21886(VarCurr)
    <=> ( v21887(VarCurr)
        & v21890(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1444,axiom,(
    ! [VarCurr] :
      ( v21890(VarCurr)
    <=> ( v21882(VarCurr)
        | v21851(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5272,axiom,(
    ! [VarCurr] :
      ( v21887(VarCurr)
    <=> ( v21888(VarCurr)
        | v21889(VarCurr) ) ) )).

fof(writeUnaryOperator_2699,axiom,(
    ! [VarCurr] :
      ( ~ v21889(VarCurr)
    <=> v21851(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2698,axiom,(
    ! [VarCurr] :
      ( ~ v21888(VarCurr)
    <=> v21882(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5271,axiom,(
    ! [VarCurr] :
      ( v21878(VarCurr)
    <=> ( v21879(VarCurr)
        & v21885(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1443,axiom,(
    ! [VarCurr] :
      ( v21885(VarCurr)
    <=> ( v21881(VarCurr)
        | v21851(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5270,axiom,(
    ! [VarCurr] :
      ( v21879(VarCurr)
    <=> ( v21880(VarCurr)
        | v21884(VarCurr) ) ) )).

fof(writeUnaryOperator_2697,axiom,(
    ! [VarCurr] :
      ( ~ v21884(VarCurr)
    <=> v21851(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2696,axiom,(
    ! [VarCurr] :
      ( ~ v21880(VarCurr)
    <=> v21881(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1442,axiom,(
    ! [VarCurr] :
      ( v21881(VarCurr)
    <=> ( v21882(VarCurr)
        & v21851(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1441,axiom,(
    ! [VarCurr] :
      ( v21882(VarCurr)
    <=> ( v21883(VarCurr)
        & v21851(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1440,axiom,(
    ! [VarCurr] :
      ( v21883(VarCurr)
    <=> ( v21851(VarCurr,bitIndex0)
        & v21851(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21861(VarNext)
      <=> ( v21862(VarNext)
          & v21869(VarNext) ) ) ) )).

fof(addAssignment_8185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21869(VarNext)
      <=> v21867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5268,axiom,(
    ! [VarCurr] :
      ( v21867(VarCurr)
    <=> ( v21870(VarCurr)
        | v21871(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5267,axiom,(
    ! [VarCurr] :
      ( v21871(VarCurr)
    <=> ( v21853(VarCurr)
        & v21872(VarCurr) ) ) )).

fof(writeUnaryOperator_2695,axiom,(
    ! [VarCurr] :
      ( ~ v21872(VarCurr)
    <=> v21870(VarCurr) ) )).

fof(writeUnaryOperator_2694,axiom,(
    ! [VarCurr] :
      ( ~ v21870(VarCurr)
    <=> v13208(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5266,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21862(VarNext)
      <=> ( v21863(VarNext)
          & v19209(VarNext) ) ) ) )).

fof(writeUnaryOperator_2693,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21863(VarNext)
      <=> v19216(VarNext) ) ) )).

fof(addAssignmentInitValueVector_41,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v21851(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_8184,axiom,(
    ! [VarCurr] :
      ( v21853(VarCurr)
    <=> v21855(VarCurr) ) )).

fof(addAssignment_8183,axiom,(
    ! [VarCurr] :
      ( v21855(VarCurr)
    <=> v21857(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5265,axiom,(
    ! [VarCurr] :
      ( v21857(VarCurr)
    <=> ( v17950(VarCurr)
        & v13224(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_274,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21794(VarNext)
       => ( v2673(VarNext)
        <=> v2673(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_311,axiom,(
    ! [VarNext] :
      ( v21794(VarNext)
     => ( v2673(VarNext)
      <=> v21807(VarNext) ) ) )).

fof(addAssignment_8182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21807(VarNext)
      <=> v21805(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_6,axiom,(
    ! [VarCurr] :
      ( ~ v21765(VarCurr)
     => ( v21805(VarCurr)
      <=> v21808(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_511,axiom,(
    ! [VarCurr] :
      ( v21765(VarCurr)
     => ( v21805(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_8181,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex0)
    <=> v21831(VarCurr) ) )).

fof(addAssignment_8180,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex1)
    <=> v21829(VarCurr) ) )).

fof(addAssignment_8179,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex2)
    <=> v21824(VarCurr) ) )).

fof(addAssignment_8178,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex3)
    <=> v21819(VarCurr) ) )).

fof(addAssignment_8177,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex4)
    <=> v21810(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5264,axiom,(
    ! [VarCurr] :
      ( v21829(VarCurr)
    <=> ( v21830(VarCurr)
        & v21833(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1439,axiom,(
    ! [VarCurr] :
      ( v21833(VarCurr)
    <=> ( v21816(VarCurr,bitIndex0)
        | v21816(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5263,axiom,(
    ! [VarCurr] :
      ( v21830(VarCurr)
    <=> ( v21831(VarCurr)
        | v21832(VarCurr) ) ) )).

fof(writeUnaryOperator_2692,axiom,(
    ! [VarCurr] :
      ( ~ v21832(VarCurr)
    <=> v21816(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2691,axiom,(
    ! [VarCurr] :
      ( ~ v21831(VarCurr)
    <=> v21816(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5262,axiom,(
    ! [VarCurr] :
      ( v21824(VarCurr)
    <=> ( v21825(VarCurr)
        & v21828(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1438,axiom,(
    ! [VarCurr] :
      ( v21828(VarCurr)
    <=> ( v21815(VarCurr)
        | v21816(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5261,axiom,(
    ! [VarCurr] :
      ( v21825(VarCurr)
    <=> ( v21826(VarCurr)
        | v21827(VarCurr) ) ) )).

fof(writeUnaryOperator_2690,axiom,(
    ! [VarCurr] :
      ( ~ v21827(VarCurr)
    <=> v21816(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2689,axiom,(
    ! [VarCurr] :
      ( ~ v21826(VarCurr)
    <=> v21815(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5260,axiom,(
    ! [VarCurr] :
      ( v21819(VarCurr)
    <=> ( v21820(VarCurr)
        & v21823(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1437,axiom,(
    ! [VarCurr] :
      ( v21823(VarCurr)
    <=> ( v21814(VarCurr)
        | v21816(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5259,axiom,(
    ! [VarCurr] :
      ( v21820(VarCurr)
    <=> ( v21821(VarCurr)
        | v21822(VarCurr) ) ) )).

fof(writeUnaryOperator_2688,axiom,(
    ! [VarCurr] :
      ( ~ v21822(VarCurr)
    <=> v21816(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2687,axiom,(
    ! [VarCurr] :
      ( ~ v21821(VarCurr)
    <=> v21814(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5258,axiom,(
    ! [VarCurr] :
      ( v21810(VarCurr)
    <=> ( v21811(VarCurr)
        & v21818(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1436,axiom,(
    ! [VarCurr] :
      ( v21818(VarCurr)
    <=> ( v21813(VarCurr)
        | v21816(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5257,axiom,(
    ! [VarCurr] :
      ( v21811(VarCurr)
    <=> ( v21812(VarCurr)
        | v21817(VarCurr) ) ) )).

fof(writeUnaryOperator_2686,axiom,(
    ! [VarCurr] :
      ( ~ v21817(VarCurr)
    <=> v21816(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2685,axiom,(
    ! [VarCurr] :
      ( ~ v21812(VarCurr)
    <=> v21813(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1435,axiom,(
    ! [VarCurr] :
      ( v21813(VarCurr)
    <=> ( v21814(VarCurr)
        & v21816(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1434,axiom,(
    ! [VarCurr] :
      ( v21814(VarCurr)
    <=> ( v21815(VarCurr)
        & v21816(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1433,axiom,(
    ! [VarCurr] :
      ( v21815(VarCurr)
    <=> ( v21816(VarCurr,bitIndex0)
        & v21816(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8176,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21816(VarCurr,B)
      <=> v21753(VarCurr,B) ) ) )).

fof(addAssignment_8175,axiom,(
    ! [VarCurr] :
      ( v21816(VarCurr,bitIndex4)
    <=> v2673(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21794(VarNext)
      <=> ( v21795(VarNext)
          & v21802(VarNext) ) ) ) )).

fof(addAssignment_8174,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21802(VarNext)
      <=> v21800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5255,axiom,(
    ! [VarCurr] :
      ( v21800(VarCurr)
    <=> ( v21765(VarCurr)
        | v21803(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5254,axiom,(
    ! [VarCurr] :
      ( v21803(VarCurr)
    <=> ( v2677(VarCurr)
        & v21804(VarCurr) ) ) )).

fof(writeUnaryOperator_2684,axiom,(
    ! [VarCurr] :
      ( ~ v21804(VarCurr)
    <=> v21765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5253,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21795(VarNext)
      <=> ( v21797(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_2683,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21797(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(addAssignmentInitValueVector_40,axiom,
    ( v2673(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_273,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21756(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v21753(VarNext,B)
            <=> v21753(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_310,axiom,(
    ! [VarNext] :
      ( v21756(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v21753(VarNext,B)
          <=> v21770(VarNext,B) ) ) ) )).

fof(addAssignment_8173,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v21770(VarNext,B)
          <=> v21768(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_525,axiom,(
    ! [VarCurr] :
      ( ~ v21765(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21768(VarCurr,B)
          <=> v21771(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_510,axiom,(
    ! [VarCurr] :
      ( v21765(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21768(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_8172,axiom,(
    ! [VarCurr] :
      ( v21771(VarCurr,bitIndex0)
    <=> v21787(VarCurr) ) )).

fof(addAssignment_8171,axiom,(
    ! [VarCurr] :
      ( v21771(VarCurr,bitIndex1)
    <=> v21785(VarCurr) ) )).

fof(addAssignment_8170,axiom,(
    ! [VarCurr] :
      ( v21771(VarCurr,bitIndex2)
    <=> v21780(VarCurr) ) )).

fof(addAssignment_8169,axiom,(
    ! [VarCurr] :
      ( v21771(VarCurr,bitIndex3)
    <=> v21773(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5252,axiom,(
    ! [VarCurr] :
      ( v21785(VarCurr)
    <=> ( v21786(VarCurr)
        & v21789(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1432,axiom,(
    ! [VarCurr] :
      ( v21789(VarCurr)
    <=> ( v21753(VarCurr,bitIndex0)
        | v21753(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5251,axiom,(
    ! [VarCurr] :
      ( v21786(VarCurr)
    <=> ( v21787(VarCurr)
        | v21788(VarCurr) ) ) )).

fof(writeUnaryOperator_2682,axiom,(
    ! [VarCurr] :
      ( ~ v21788(VarCurr)
    <=> v21753(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2681,axiom,(
    ! [VarCurr] :
      ( ~ v21787(VarCurr)
    <=> v21753(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5250,axiom,(
    ! [VarCurr] :
      ( v21780(VarCurr)
    <=> ( v21781(VarCurr)
        & v21784(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1431,axiom,(
    ! [VarCurr] :
      ( v21784(VarCurr)
    <=> ( v21777(VarCurr)
        | v21753(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5249,axiom,(
    ! [VarCurr] :
      ( v21781(VarCurr)
    <=> ( v21782(VarCurr)
        | v21783(VarCurr) ) ) )).

fof(writeUnaryOperator_2680,axiom,(
    ! [VarCurr] :
      ( ~ v21783(VarCurr)
    <=> v21753(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2679,axiom,(
    ! [VarCurr] :
      ( ~ v21782(VarCurr)
    <=> v21777(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5248,axiom,(
    ! [VarCurr] :
      ( v21773(VarCurr)
    <=> ( v21774(VarCurr)
        & v21779(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1430,axiom,(
    ! [VarCurr] :
      ( v21779(VarCurr)
    <=> ( v21776(VarCurr)
        | v21753(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5247,axiom,(
    ! [VarCurr] :
      ( v21774(VarCurr)
    <=> ( v21775(VarCurr)
        | v21778(VarCurr) ) ) )).

fof(writeUnaryOperator_2678,axiom,(
    ! [VarCurr] :
      ( ~ v21778(VarCurr)
    <=> v21753(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2677,axiom,(
    ! [VarCurr] :
      ( ~ v21775(VarCurr)
    <=> v21776(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1429,axiom,(
    ! [VarCurr] :
      ( v21776(VarCurr)
    <=> ( v21777(VarCurr)
        & v21753(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1428,axiom,(
    ! [VarCurr] :
      ( v21777(VarCurr)
    <=> ( v21753(VarCurr,bitIndex0)
        & v21753(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5246,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21756(VarNext)
      <=> ( v21757(VarNext)
          & v21764(VarNext) ) ) ) )).

fof(addAssignment_8168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21764(VarNext)
      <=> v21762(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5245,axiom,(
    ! [VarCurr] :
      ( v21762(VarCurr)
    <=> ( v21765(VarCurr)
        | v21766(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5244,axiom,(
    ! [VarCurr] :
      ( v21766(VarCurr)
    <=> ( v2677(VarCurr)
        & v21767(VarCurr) ) ) )).

fof(writeUnaryOperator_2676,axiom,(
    ! [VarCurr] :
      ( ~ v21767(VarCurr)
    <=> v21765(VarCurr) ) )).

fof(writeUnaryOperator_2675,axiom,(
    ! [VarCurr] :
      ( ~ v21765(VarCurr)
    <=> v2675(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5243,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21757(VarNext)
      <=> ( v21758(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_2674,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21758(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(addAssignmentInitValueVector_39,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v21753(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_8167,axiom,(
    ! [VarCurr] :
      ( v2677(VarCurr)
    <=> v2679(VarCurr) ) )).

fof(addAssignment_8166,axiom,(
    ! [VarCurr] :
      ( v2679(VarCurr)
    <=> v2681(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1427,axiom,(
    ! [VarCurr] :
      ( v2681(VarCurr)
    <=> ( v2683(VarCurr,bitIndex15)
        | v2683(VarCurr,bitIndex19) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_358,axiom,(
    ! [VarCurr] :
      ( ~ v21748(VarCurr)
     => ( v2683(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_401,axiom,(
    ! [VarCurr] :
      ( v21748(VarCurr)
     => ( v2683(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5242,axiom,(
    ! [VarCurr] :
      ( v21748(VarCurr)
    <=> ( v21749(VarCurr)
        | v21750(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5241,axiom,(
    ! [VarCurr] :
      ( v21750(VarCurr)
    <=> ( v2685(VarCurr)
        & v21738(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5240,axiom,(
    ! [VarCurr] :
      ( v21749(VarCurr)
    <=> ( v2685(VarCurr)
        & v21735(VarCurr) ) ) )).

fof(addAssignment_8165,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex16)
    <=> v21740(VarNext,bitIndex15) ) )).

fof(addCaseBooleanConditionShiftedRanges1_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21741(VarNext)
       => ( ( v21740(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v21740(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v21740(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v21740(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v21740(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v21740(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v21740(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v21740(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v21740(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v21740(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v21740(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v21740(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v21740(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v21740(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v21740(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v21740(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v21740(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v21740(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v21740(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v21740(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_309,axiom,(
    ! [VarNext] :
      ( v21741(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v21740(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21741(VarNext)
      <=> v21742(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21742(VarNext)
      <=> ( v21744(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_2673,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21744(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_357,axiom,(
    ! [VarCurr] :
      ( ~ v21732(VarCurr)
     => ( v2683(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_400,axiom,(
    ! [VarCurr] :
      ( v21732(VarCurr)
     => ( v2683(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5237,axiom,(
    ! [VarCurr] :
      ( v21732(VarCurr)
    <=> ( v21733(VarCurr)
        | v21736(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5236,axiom,(
    ! [VarCurr] :
      ( v21736(VarCurr)
    <=> ( v21737(VarCurr)
        & v21738(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1342,axiom,(
    ! [VarCurr] :
      ( v21738(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex16) ) ) )).

fof(writeUnaryOperator_2672,axiom,(
    ! [VarCurr] :
      ( ~ v21737(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5235,axiom,(
    ! [VarCurr] :
      ( v21733(VarCurr)
    <=> ( v21734(VarCurr)
        & v21735(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1341,axiom,(
    ! [VarCurr] :
      ( v21735(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex14) ) ) )).

fof(writeUnaryOperator_2671,axiom,(
    ! [VarCurr] :
      ( ~ v21734(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(addAssignment_8164,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex14)
    <=> v21724(VarNext,bitIndex13) ) )).

fof(addCaseBooleanConditionShiftedRanges1_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21725(VarNext)
       => ( ( v21724(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v21724(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v21724(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v21724(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v21724(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v21724(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v21724(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v21724(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v21724(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v21724(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v21724(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v21724(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v21724(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v21724(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v21724(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v21724(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v21724(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v21724(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v21724(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v21724(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_308,axiom,(
    ! [VarNext] :
      ( v21725(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v21724(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5234,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21725(VarNext)
      <=> v21726(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5233,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21726(VarNext)
      <=> ( v21728(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_2670,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21728(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_356,axiom,(
    ! [VarCurr] :
      ( ~ v21722(VarCurr)
     => ( v2683(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_399,axiom,(
    ! [VarCurr] :
      ( v21722(VarCurr)
     => ( v2683(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1340,axiom,(
    ! [VarCurr] :
      ( v21722(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex13) ) ) )).

fof(addAssignment_8163,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex13)
    <=> v21714(VarNext,bitIndex12) ) )).

fof(addCaseBooleanConditionShiftedRanges1_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21715(VarNext)
       => ( ( v21714(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v21714(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v21714(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v21714(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v21714(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v21714(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v21714(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v21714(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v21714(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v21714(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v21714(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v21714(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v21714(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v21714(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v21714(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v21714(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v21714(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v21714(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v21714(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v21714(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_307,axiom,(
    ! [VarNext] :
      ( v21715(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v21714(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21715(VarNext)
      <=> v21716(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21716(VarNext)
      <=> ( v21718(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_2669,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21718(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_355,axiom,(
    ! [VarCurr] :
      ( ~ v21709(VarCurr)
     => ( v2683(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_398,axiom,(
    ! [VarCurr] :
      ( v21709(VarCurr)
     => ( v2683(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5230,axiom,(
    ! [VarCurr] :
      ( v21709(VarCurr)
    <=> ( v21710(VarCurr)
        & v12949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5229,axiom,(
    ! [VarCurr] :
      ( v21710(VarCurr)
    <=> ( v21712(VarCurr)
        & v13007(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5228,axiom,(
    ! [VarCurr] :
      ( v21712(VarCurr)
    <=> ( v12941(VarCurr)
        & v12802(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5227,axiom,(
    ! [VarCurr] :
      ( v2696(VarCurr)
    <=> ( v2698(VarCurr)
        & v21707(VarCurr) ) ) )).

fof(writeUnaryOperator_2668,axiom,(
    ! [VarCurr] :
      ( ~ v21707(VarCurr)
    <=> v2713(VarCurr) ) )).

fof(addAssignment_8162,axiom,(
    ! [VarCurr] :
      ( v2713(VarCurr)
    <=> v2715(VarCurr) ) )).

fof(addAssignment_8161,axiom,(
    ! [VarCurr] :
      ( v2715(VarCurr)
    <=> v2717(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1339,axiom,(
    ! [VarCurr] :
      ( v2717(VarCurr)
    <=> ( ( v21705(VarCurr,bitIndex5)
        <=> v13192(VarCurr,bitIndex5) )
        & ( v21705(VarCurr,bitIndex4)
        <=> v13192(VarCurr,bitIndex4) )
        & ( v21705(VarCurr,bitIndex3)
        <=> v13192(VarCurr,bitIndex3) )
        & ( v21705(VarCurr,bitIndex2)
        <=> v13192(VarCurr,bitIndex2) )
        & ( v21705(VarCurr,bitIndex1)
        <=> v13192(VarCurr,bitIndex1) )
        & ( v21705(VarCurr,bitIndex0)
        <=> v13192(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_8160,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21705(VarCurr,B)
      <=> v13096(VarCurr,B) ) ) )).

fof(addAssignment_8159,axiom,(
    ! [VarCurr] :
      ( v21705(VarCurr,bitIndex5)
    <=> v2719(VarCurr) ) )).

fof(addAssignment_8158,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13192(VarCurr,B)
      <=> v13194(VarCurr,B) ) ) )).

fof(addAssignment_8157,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13194(VarCurr,B)
      <=> v13196(VarCurr,B) ) ) )).

fof(addAssignment_8156,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13196(VarCurr,B)
      <=> v13198(VarCurr,B) ) ) )).

fof(addAssignment_8155,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13198(VarCurr,B)
      <=> v13200(VarCurr,B) ) ) )).

fof(addAssignment_8154,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13200(VarCurr,B)
      <=> v13202(VarCurr,B) ) ) )).

fof(addAssignment_8153,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13202(VarCurr,B)
      <=> v13204(VarCurr,B) ) ) )).

fof(addAssignment_8152,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13204(VarCurr,B)
      <=> v13206(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_272,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21656(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v13206(VarNext,B)
            <=> v13206(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_306,axiom,(
    ! [VarNext] :
      ( v21656(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v13206(VarNext,B)
          <=> v21670(VarNext,B) ) ) ) )).

fof(addAssignment_8151,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v21670(VarNext,B)
          <=> v21668(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_524,axiom,(
    ! [VarCurr] :
      ( ~ v21665(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v21668(VarCurr,B)
          <=> v21671(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_509,axiom,(
    ! [VarCurr] :
      ( v21665(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v21668(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_8150,axiom,(
    ! [VarCurr] :
      ( v21671(VarCurr,bitIndex0)
    <=> v21699(VarCurr) ) )).

fof(addAssignment_8149,axiom,(
    ! [VarCurr] :
      ( v21671(VarCurr,bitIndex1)
    <=> v21697(VarCurr) ) )).

fof(addAssignment_8148,axiom,(
    ! [VarCurr] :
      ( v21671(VarCurr,bitIndex2)
    <=> v21692(VarCurr) ) )).

fof(addAssignment_8147,axiom,(
    ! [VarCurr] :
      ( v21671(VarCurr,bitIndex3)
    <=> v21687(VarCurr) ) )).

fof(addAssignment_8146,axiom,(
    ! [VarCurr] :
      ( v21671(VarCurr,bitIndex4)
    <=> v21682(VarCurr) ) )).

fof(addAssignment_8145,axiom,(
    ! [VarCurr] :
      ( v21671(VarCurr,bitIndex5)
    <=> v21673(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5226,axiom,(
    ! [VarCurr] :
      ( v21697(VarCurr)
    <=> ( v21698(VarCurr)
        & v21701(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1426,axiom,(
    ! [VarCurr] :
      ( v21701(VarCurr)
    <=> ( v13206(VarCurr,bitIndex0)
        | v13206(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5225,axiom,(
    ! [VarCurr] :
      ( v21698(VarCurr)
    <=> ( v21699(VarCurr)
        | v21700(VarCurr) ) ) )).

fof(writeUnaryOperator_2667,axiom,(
    ! [VarCurr] :
      ( ~ v21700(VarCurr)
    <=> v13206(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2666,axiom,(
    ! [VarCurr] :
      ( ~ v21699(VarCurr)
    <=> v13206(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5224,axiom,(
    ! [VarCurr] :
      ( v21692(VarCurr)
    <=> ( v21693(VarCurr)
        & v21696(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1425,axiom,(
    ! [VarCurr] :
      ( v21696(VarCurr)
    <=> ( v21679(VarCurr)
        | v13206(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5223,axiom,(
    ! [VarCurr] :
      ( v21693(VarCurr)
    <=> ( v21694(VarCurr)
        | v21695(VarCurr) ) ) )).

fof(writeUnaryOperator_2665,axiom,(
    ! [VarCurr] :
      ( ~ v21695(VarCurr)
    <=> v13206(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2664,axiom,(
    ! [VarCurr] :
      ( ~ v21694(VarCurr)
    <=> v21679(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5222,axiom,(
    ! [VarCurr] :
      ( v21687(VarCurr)
    <=> ( v21688(VarCurr)
        & v21691(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1424,axiom,(
    ! [VarCurr] :
      ( v21691(VarCurr)
    <=> ( v21678(VarCurr)
        | v13206(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5221,axiom,(
    ! [VarCurr] :
      ( v21688(VarCurr)
    <=> ( v21689(VarCurr)
        | v21690(VarCurr) ) ) )).

fof(writeUnaryOperator_2663,axiom,(
    ! [VarCurr] :
      ( ~ v21690(VarCurr)
    <=> v13206(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2662,axiom,(
    ! [VarCurr] :
      ( ~ v21689(VarCurr)
    <=> v21678(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5220,axiom,(
    ! [VarCurr] :
      ( v21682(VarCurr)
    <=> ( v21683(VarCurr)
        & v21686(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1423,axiom,(
    ! [VarCurr] :
      ( v21686(VarCurr)
    <=> ( v21677(VarCurr)
        | v13206(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5219,axiom,(
    ! [VarCurr] :
      ( v21683(VarCurr)
    <=> ( v21684(VarCurr)
        | v21685(VarCurr) ) ) )).

fof(writeUnaryOperator_2661,axiom,(
    ! [VarCurr] :
      ( ~ v21685(VarCurr)
    <=> v13206(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2660,axiom,(
    ! [VarCurr] :
      ( ~ v21684(VarCurr)
    <=> v21677(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5218,axiom,(
    ! [VarCurr] :
      ( v21673(VarCurr)
    <=> ( v21674(VarCurr)
        & v21681(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1422,axiom,(
    ! [VarCurr] :
      ( v21681(VarCurr)
    <=> ( v21676(VarCurr)
        | v13206(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5217,axiom,(
    ! [VarCurr] :
      ( v21674(VarCurr)
    <=> ( v21675(VarCurr)
        | v21680(VarCurr) ) ) )).

fof(writeUnaryOperator_2659,axiom,(
    ! [VarCurr] :
      ( ~ v21680(VarCurr)
    <=> v13206(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2658,axiom,(
    ! [VarCurr] :
      ( ~ v21675(VarCurr)
    <=> v21676(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1421,axiom,(
    ! [VarCurr] :
      ( v21676(VarCurr)
    <=> ( v21677(VarCurr)
        & v13206(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1420,axiom,(
    ! [VarCurr] :
      ( v21677(VarCurr)
    <=> ( v21678(VarCurr)
        & v13206(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1419,axiom,(
    ! [VarCurr] :
      ( v21678(VarCurr)
    <=> ( v21679(VarCurr)
        & v13206(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1418,axiom,(
    ! [VarCurr] :
      ( v21679(VarCurr)
    <=> ( v13206(VarCurr,bitIndex0)
        & v13206(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21656(VarNext)
      <=> ( v21657(VarNext)
          & v21664(VarNext) ) ) ) )).

fof(addAssignment_8144,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21664(VarNext)
      <=> v21662(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5215,axiom,(
    ! [VarCurr] :
      ( v21662(VarCurr)
    <=> ( v21665(VarCurr)
        | v21666(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5214,axiom,(
    ! [VarCurr] :
      ( v21666(VarCurr)
    <=> ( v13214(VarCurr)
        & v21667(VarCurr) ) ) )).

fof(writeUnaryOperator_2657,axiom,(
    ! [VarCurr] :
      ( ~ v21667(VarCurr)
    <=> v21665(VarCurr) ) )).

fof(writeUnaryOperator_2656,axiom,(
    ! [VarCurr] :
      ( ~ v21665(VarCurr)
    <=> v13208(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21657(VarNext)
      <=> ( v21658(VarNext)
          & v19209(VarNext) ) ) ) )).

fof(writeUnaryOperator_2655,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21658(VarNext)
      <=> v19216(VarNext) ) ) )).

fof(addAssignmentInitValue_42,axiom,(
    ~ v13206(constB0,bitIndex5) )).

fof(addAssignmentInitValue_41,axiom,(
    ~ v13206(constB0,bitIndex4) )).

fof(addAssignmentInitValue_40,axiom,(
    ~ v13206(constB0,bitIndex3) )).

fof(addAssignmentInitValue_39,axiom,(
    ~ v13206(constB0,bitIndex2) )).

fof(addAssignmentInitValue_38,axiom,(
    ~ v13206(constB0,bitIndex1) )).

fof(addAssignmentInitValue_37,axiom,(
    v13206(constB0,bitIndex0) )).

fof(addAssignment_8143,axiom,(
    ! [VarCurr] :
      ( v13214(VarCurr)
    <=> v13216(VarCurr) ) )).

fof(addAssignment_8142,axiom,(
    ! [VarCurr] :
      ( v13216(VarCurr)
    <=> v13218(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5212,axiom,(
    ! [VarCurr] :
      ( v13218(VarCurr)
    <=> ( v21653(VarCurr)
        & v21650(VarCurr) ) ) )).

fof(writeUnaryOperator_2654,axiom,(
    ! [VarCurr] :
      ( ~ v21653(VarCurr)
    <=> v13220(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1338,axiom,(
    ! [VarCurr] :
      ( v21650(VarCurr)
    <=> ( ( v17649(VarCurr,bitIndex1)
        <=> $true )
        & ( v17649(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_271,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21632(VarNext)
       => ( v13220(VarNext)
        <=> v13220(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_305,axiom,(
    ! [VarNext] :
      ( v21632(VarNext)
     => ( v13220(VarNext)
      <=> v21646(VarNext) ) ) )).

fof(addAssignment_8141,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21646(VarNext)
      <=> v21644(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_523,axiom,(
    ! [VarCurr] :
      ( ~ v21641(VarCurr)
     => ( v21644(VarCurr)
      <=> v17950(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_508,axiom,(
    ! [VarCurr] :
      ( v21641(VarCurr)
     => ( v21644(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21632(VarNext)
      <=> ( v21633(VarNext)
          & v21640(VarNext) ) ) ) )).

fof(addAssignment_8140,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21640(VarNext)
      <=> v21638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5210,axiom,(
    ! [VarCurr] :
      ( v21638(VarCurr)
    <=> ( v21641(VarCurr)
        | v21642(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5209,axiom,(
    ! [VarCurr] :
      ( v21642(VarCurr)
    <=> ( v13224(VarCurr)
        & v21643(VarCurr) ) ) )).

fof(writeUnaryOperator_2653,axiom,(
    ! [VarCurr] :
      ( ~ v21643(VarCurr)
    <=> v21641(VarCurr) ) )).

fof(writeUnaryOperator_2652,axiom,(
    ! [VarCurr] :
      ( ~ v21641(VarCurr)
    <=> v13222(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21633(VarNext)
      <=> ( v21634(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2651,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21634(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addAssignment_8139,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
    <=> v13226(VarCurr) ) )).

fof(addAssignment_8138,axiom,(
    ! [VarCurr] :
      ( v13226(VarCurr)
    <=> v13228(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5207,axiom,(
    ! [VarCurr] :
      ( v13228(VarCurr)
    <=> ( v21625(VarCurr)
        | v21628(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1417,axiom,(
    ! [VarCurr] :
      ( v21628(VarCurr)
    <=> ( v13285(VarCurr,bitIndex2)
        & v21629(VarCurr) ) ) )).

fof(writeUnaryOperator_2650,axiom,(
    ! [VarCurr] :
      ( ~ v21629(VarCurr)
    <=> v19534(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5206,axiom,(
    ! [VarCurr] :
      ( v21625(VarCurr)
    <=> ( v21626(VarCurr)
        & v21627(VarCurr) ) ) )).

fof(writeUnaryOperator_2649,axiom,(
    ! [VarCurr] :
      ( ~ v21627(VarCurr)
    <=> v19534(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1416,axiom,(
    ! [VarCurr] :
      ( v21626(VarCurr)
    <=> ( v13230(VarCurr)
        & v13285(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5205,axiom,(
    ! [VarCurr] :
      ( v13230(VarCurr)
    <=> ( v21623(VarCurr)
        | v13355(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5204,axiom,(
    ! [VarCurr] :
      ( v21623(VarCurr)
    <=> ( v13232(VarCurr)
        | v21621(VarCurr) ) ) )).

fof(addAssignment_8137,axiom,(
    ! [VarCurr] :
      ( v21621(VarCurr)
    <=> v17952(VarCurr) ) )).

fof(addAssignment_8136,axiom,(
    ! [VarCurr] :
      ( v13232(VarCurr)
    <=> v13234(VarCurr) ) )).

fof(addAssignment_8135,axiom,(
    ! [VarCurr] :
      ( v13234(VarCurr)
    <=> v13236(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_432,axiom,(
    ! [VarCurr] :
      ( ~ v21617(VarCurr)
     => ( v13236(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_389,axiom,(
    ! [VarCurr] :
      ( v21617(VarCurr)
     => ( v13236(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5203,axiom,(
    ! [VarCurr] :
      ( v21617(VarCurr)
    <=> ( v21618(VarCurr)
        | v21619(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5202,axiom,(
    ! [VarCurr] :
      ( v21619(VarCurr)
    <=> ( v13437(VarCurr)
        & v17614(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5201,axiom,(
    ! [VarCurr] :
      ( v21618(VarCurr)
    <=> ( v13238(VarCurr)
        & v17599(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1337,axiom,(
    ! [VarCurr] :
      ( v13238(VarCurr)
    <=> ( ( v13240(VarCurr,bitIndex29)
        <=> v20449(VarCurr,bitIndex15) )
        & ( v13240(VarCurr,bitIndex28)
        <=> v20449(VarCurr,bitIndex14) )
        & ( v13240(VarCurr,bitIndex27)
        <=> v20449(VarCurr,bitIndex13) )
        & ( v13240(VarCurr,bitIndex26)
        <=> v20449(VarCurr,bitIndex12) )
        & ( v13240(VarCurr,bitIndex25)
        <=> v20449(VarCurr,bitIndex11) )
        & ( v13240(VarCurr,bitIndex24)
        <=> v20449(VarCurr,bitIndex10) )
        & ( v13240(VarCurr,bitIndex23)
        <=> v20449(VarCurr,bitIndex9) )
        & ( v13240(VarCurr,bitIndex22)
        <=> v20449(VarCurr,bitIndex8) )
        & ( v13240(VarCurr,bitIndex21)
        <=> v20449(VarCurr,bitIndex7) )
        & ( v13240(VarCurr,bitIndex20)
        <=> v20449(VarCurr,bitIndex6) )
        & ( v13240(VarCurr,bitIndex19)
        <=> v20449(VarCurr,bitIndex5) )
        & ( v13240(VarCurr,bitIndex18)
        <=> v20449(VarCurr,bitIndex4) )
        & ( v13240(VarCurr,bitIndex17)
        <=> v20449(VarCurr,bitIndex3) )
        & ( v13240(VarCurr,bitIndex16)
        <=> v20449(VarCurr,bitIndex2) )
        & ( v13240(VarCurr,bitIndex15)
        <=> v20449(VarCurr,bitIndex1) )
        & ( v13240(VarCurr,bitIndex14)
        <=> v20449(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_8134,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20449(VarCurr,B)
      <=> v20451(VarCurr,B) ) ) )).

fof(addAssignment_8133,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20451(VarCurr,B)
      <=> v20453(VarCurr,B) ) ) )).

fof(addAssignment_8132,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20453(VarCurr,B)
      <=> v20455(VarCurr,B) ) ) )).

fof(addAssignment_8131,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20455(VarCurr,B)
      <=> v20457(VarCurr,B) ) ) )).

fof(addAssignment_8130,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20457(VarCurr,B)
      <=> v20459(VarCurr,B) ) ) )).

fof(addAssignment_8129,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20459(VarCurr,B)
      <=> v20461(VarCurr,B) ) ) )).

fof(addAssignment_8128,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20461(VarCurr,B)
      <=> v20463(VarCurr,B) ) ) )).

fof(addAssignment_8127,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v20463(VarCurr,B)
      <=> v20465(VarCurr,B) ) ) )).

fof(addAssignment_8126,axiom,(
    ! [VarCurr] :
      ( ( v20465(VarCurr,bitIndex15)
      <=> v20467(VarCurr,bitIndex31) )
      & ( v20465(VarCurr,bitIndex14)
      <=> v20467(VarCurr,bitIndex30) )
      & ( v20465(VarCurr,bitIndex13)
      <=> v20467(VarCurr,bitIndex29) )
      & ( v20465(VarCurr,bitIndex12)
      <=> v20467(VarCurr,bitIndex28) )
      & ( v20465(VarCurr,bitIndex11)
      <=> v20467(VarCurr,bitIndex27) )
      & ( v20465(VarCurr,bitIndex10)
      <=> v20467(VarCurr,bitIndex26) )
      & ( v20465(VarCurr,bitIndex9)
      <=> v20467(VarCurr,bitIndex25) )
      & ( v20465(VarCurr,bitIndex8)
      <=> v20467(VarCurr,bitIndex24) )
      & ( v20465(VarCurr,bitIndex7)
      <=> v20467(VarCurr,bitIndex23) )
      & ( v20465(VarCurr,bitIndex6)
      <=> v20467(VarCurr,bitIndex22) )
      & ( v20465(VarCurr,bitIndex5)
      <=> v20467(VarCurr,bitIndex21) )
      & ( v20465(VarCurr,bitIndex4)
      <=> v20467(VarCurr,bitIndex20) )
      & ( v20465(VarCurr,bitIndex3)
      <=> v20467(VarCurr,bitIndex19) )
      & ( v20465(VarCurr,bitIndex2)
      <=> v20467(VarCurr,bitIndex18) )
      & ( v20465(VarCurr,bitIndex1)
      <=> v20467(VarCurr,bitIndex17) )
      & ( v20465(VarCurr,bitIndex0)
      <=> v20467(VarCurr,bitIndex16) ) ) )).

fof(addAssignment_8125,axiom,(
    ! [VarCurr,B] :
      ( range_31_16(B)
     => ( v20467(VarCurr,B)
      <=> v20469(VarCurr,B) ) ) )).

fof(range_axiom_83,axiom,(
    ! [B] :
      ( range_31_16(B)
    <=> ( $false
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addAssignment_8124,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex31)
    <=> v21548(VarCurr) ) )).

fof(addAssignment_8123,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex30)
    <=> v21480(VarCurr) ) )).

fof(addAssignment_8122,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex29)
    <=> v21412(VarCurr) ) )).

fof(addAssignment_8121,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex28)
    <=> v21344(VarCurr) ) )).

fof(addAssignment_8120,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex27)
    <=> v21276(VarCurr) ) )).

fof(addAssignment_8119,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex26)
    <=> v21208(VarCurr) ) )).

fof(addAssignment_8118,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex25)
    <=> v21140(VarCurr) ) )).

fof(addAssignment_8117,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex24)
    <=> v21072(VarCurr) ) )).

fof(addAssignment_8116,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex23)
    <=> v21004(VarCurr) ) )).

fof(addAssignment_8115,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex22)
    <=> v20936(VarCurr) ) )).

fof(addAssignment_8114,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex21)
    <=> v20868(VarCurr) ) )).

fof(addAssignment_8113,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex20)
    <=> v20800(VarCurr) ) )).

fof(addAssignment_8112,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex19)
    <=> v20732(VarCurr) ) )).

fof(addAssignment_8111,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex18)
    <=> v20664(VarCurr) ) )).

fof(addAssignment_8110,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex17)
    <=> v20596(VarCurr) ) )).

fof(addAssignment_8109,axiom,(
    ! [VarCurr] :
      ( v20469(VarCurr,bitIndex16)
    <=> v20471(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_270,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21571(VarNext)
       => ( v21548(VarNext)
        <=> v21548(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_304,axiom,(
    ! [VarNext] :
      ( v21571(VarNext)
     => ( v21548(VarNext)
      <=> v21606(VarNext) ) ) )).

fof(addAssignment_8108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21606(VarNext)
      <=> v21604(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_522,axiom,(
    ! [VarCurr] :
      ( ~ v21550(VarCurr)
     => ( v21604(VarCurr)
      <=> v21607(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_507,axiom,(
    ! [VarCurr] :
      ( v21550(VarCurr)
     => ( v21604(VarCurr)
      <=> v21552(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_521,axiom,(
    ! [VarCurr] :
      ( ~ v21584(VarCurr)
     => ( v21607(VarCurr)
      <=> v21566(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_506,axiom,(
    ! [VarCurr] :
      ( v21584(VarCurr)
     => ( v21607(VarCurr)
      <=> v21608(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_133,axiom,(
    ! [VarCurr] :
      ( ( ~ v21587(VarCurr)
        & ~ v21589(VarCurr) )
     => ( v21608(VarCurr)
      <=> v21612(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_520,axiom,(
    ! [VarCurr] :
      ( v21589(VarCurr)
     => ( v21608(VarCurr)
      <=> v21611(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_505,axiom,(
    ! [VarCurr] :
      ( v21587(VarCurr)
     => ( v21608(VarCurr)
      <=> v21609(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_519,axiom,(
    ! [VarCurr] :
      ( ~ v21597(VarCurr)
     => ( v21612(VarCurr)
      <=> v21566(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_504,axiom,(
    ! [VarCurr] :
      ( v21597(VarCurr)
     => ( v21612(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_518,axiom,(
    ! [VarCurr] :
      ( ~ v21591(VarCurr)
     => ( v21611(VarCurr)
      <=> v21566(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_503,axiom,(
    ! [VarCurr] :
      ( v21591(VarCurr)
     => ( v21611(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_431,axiom,(
    ! [VarCurr] :
      ( ~ v21610(VarCurr)
     => ( v21609(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_388,axiom,(
    ! [VarCurr] :
      ( v21610(VarCurr)
     => ( v21609(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1336,axiom,(
    ! [VarCurr] :
      ( v21610(VarCurr)
    <=> ( v21560(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5200,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21571(VarNext)
      <=> ( v21572(VarNext)
          & v21581(VarNext) ) ) ) )).

fof(addAssignment_8107,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21581(VarNext)
      <=> v21579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5199,axiom,(
    ! [VarCurr] :
      ( v21579(VarCurr)
    <=> ( v21550(VarCurr)
        | v21582(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5198,axiom,(
    ! [VarCurr] :
      ( v21582(VarCurr)
    <=> ( v21583(VarCurr)
        & v21603(VarCurr) ) ) )).

fof(writeUnaryOperator_2648,axiom,(
    ! [VarCurr] :
      ( ~ v21603(VarCurr)
    <=> v21550(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5197,axiom,(
    ! [VarCurr] :
      ( v21583(VarCurr)
    <=> ( v21584(VarCurr)
        | v21601(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5196,axiom,(
    ! [VarCurr] :
      ( v21601(VarCurr)
    <=> ( v21562(VarCurr)
        & v21602(VarCurr) ) ) )).

fof(writeUnaryOperator_2647,axiom,(
    ! [VarCurr] :
      ( ~ v21602(VarCurr)
    <=> v21564(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5195,axiom,(
    ! [VarCurr] :
      ( v21584(VarCurr)
    <=> ( v21585(VarCurr)
        & v21564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5194,axiom,(
    ! [VarCurr] :
      ( v21585(VarCurr)
    <=> ( v21586(VarCurr)
        | v21595(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5193,axiom,(
    ! [VarCurr] :
      ( v21595(VarCurr)
    <=> ( v21596(VarCurr)
        & v21600(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1335,axiom,(
    ! [VarCurr] :
      ( v21600(VarCurr)
    <=> ( ( v21588(VarCurr,bitIndex2)
        <=> $false )
        & ( v21588(VarCurr,bitIndex1)
        <=> $false )
        & ( v21588(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5192,axiom,(
    ! [VarCurr] :
      ( v21596(VarCurr)
    <=> ( v21597(VarCurr)
        | v21598(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5191,axiom,(
    ! [VarCurr] :
      ( v21598(VarCurr)
    <=> ( v21562(VarCurr)
        & v21599(VarCurr) ) ) )).

fof(writeUnaryOperator_2646,axiom,(
    ! [VarCurr] :
      ( ~ v21599(VarCurr)
    <=> v21597(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1334,axiom,(
    ! [VarCurr] :
      ( v21597(VarCurr)
    <=> ( v21560(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5190,axiom,(
    ! [VarCurr] :
      ( v21586(VarCurr)
    <=> ( v21587(VarCurr)
        | v21589(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5189,axiom,(
    ! [VarCurr] :
      ( v21589(VarCurr)
    <=> ( v21590(VarCurr)
        & v21594(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1333,axiom,(
    ! [VarCurr] :
      ( v21594(VarCurr)
    <=> ( ( v21588(VarCurr,bitIndex2)
        <=> $false )
        & ( v21588(VarCurr,bitIndex1)
        <=> $true )
        & ( v21588(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5188,axiom,(
    ! [VarCurr] :
      ( v21590(VarCurr)
    <=> ( v21591(VarCurr)
        | v21592(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5187,axiom,(
    ! [VarCurr] :
      ( v21592(VarCurr)
    <=> ( v21562(VarCurr)
        & v21593(VarCurr) ) ) )).

fof(writeUnaryOperator_2645,axiom,(
    ! [VarCurr] :
      ( ~ v21593(VarCurr)
    <=> v21591(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1332,axiom,(
    ! [VarCurr] :
      ( v21591(VarCurr)
    <=> ( v21560(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1331,axiom,(
    ! [VarCurr] :
      ( v21587(VarCurr)
    <=> ( ( v21588(VarCurr,bitIndex2)
        <=> $true )
        & ( v21588(VarCurr,bitIndex1)
        <=> $false )
        & ( v21588(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8106,axiom,(
    ! [VarCurr] :
      ( v21588(VarCurr,bitIndex0)
    <=> v21558(VarCurr) ) )).

fof(addAssignment_8105,axiom,(
    ! [VarCurr] :
      ( v21588(VarCurr,bitIndex1)
    <=> v21556(VarCurr) ) )).

fof(addAssignment_8104,axiom,(
    ! [VarCurr] :
      ( v21588(VarCurr,bitIndex2)
    <=> v21554(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5186,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21572(VarNext)
      <=> ( v21573(VarNext)
          & v21568(VarNext) ) ) ) )).

fof(writeUnaryOperator_2644,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21573(VarNext)
      <=> v21575(VarNext) ) ) )).

fof(addAssignment_8103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21575(VarNext)
      <=> v21568(VarCurr) ) ) )).

fof(addAssignment_8102,axiom,(
    ! [VarCurr] :
      ( v21568(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_8101,axiom,(
    ! [VarCurr] :
      ( v21566(VarCurr)
    <=> $false ) )).

fof(addAssignment_8100,axiom,(
    ! [VarCurr] :
      ( v21564(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_8099,axiom,(
    ! [VarCurr] :
      ( v21562(VarCurr)
    <=> $false ) )).

fof(addAssignment_8098,axiom,(
    ! [VarCurr] :
      ( v21560(VarCurr)
    <=> v20492(VarCurr,bitIndex31) ) )).

fof(addAssignment_8097,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex31)
    <=> v20494(VarCurr,bitIndex31) ) )).

fof(addAssignment_8096,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex31)
    <=> v3822(VarCurr,bitIndex31) ) )).

fof(addAssignment_8095,axiom,(
    ! [VarCurr] :
      ( v21558(VarCurr)
    <=> $false ) )).

fof(addAssignment_8094,axiom,(
    ! [VarCurr] :
      ( v21556(VarCurr)
    <=> $false ) )).

fof(addAssignment_8093,axiom,(
    ! [VarCurr] :
      ( v21554(VarCurr)
    <=> $true ) )).

fof(addAssignment_8092,axiom,(
    ! [VarCurr] :
      ( v21552(VarCurr)
    <=> $false ) )).

fof(addAssignment_8091,axiom,(
    ! [VarCurr] :
      ( v21550(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21503(VarNext)
       => ( v21480(VarNext)
        <=> v21480(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_303,axiom,(
    ! [VarNext] :
      ( v21503(VarNext)
     => ( v21480(VarNext)
      <=> v21538(VarNext) ) ) )).

fof(addAssignment_8090,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21538(VarNext)
      <=> v21536(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_517,axiom,(
    ! [VarCurr] :
      ( ~ v21482(VarCurr)
     => ( v21536(VarCurr)
      <=> v21539(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_502,axiom,(
    ! [VarCurr] :
      ( v21482(VarCurr)
     => ( v21536(VarCurr)
      <=> v21484(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_516,axiom,(
    ! [VarCurr] :
      ( ~ v21516(VarCurr)
     => ( v21539(VarCurr)
      <=> v21498(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_501,axiom,(
    ! [VarCurr] :
      ( v21516(VarCurr)
     => ( v21539(VarCurr)
      <=> v21540(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_132,axiom,(
    ! [VarCurr] :
      ( ( ~ v21519(VarCurr)
        & ~ v21521(VarCurr) )
     => ( v21540(VarCurr)
      <=> v21544(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_515,axiom,(
    ! [VarCurr] :
      ( v21521(VarCurr)
     => ( v21540(VarCurr)
      <=> v21543(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_500,axiom,(
    ! [VarCurr] :
      ( v21519(VarCurr)
     => ( v21540(VarCurr)
      <=> v21541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_514,axiom,(
    ! [VarCurr] :
      ( ~ v21529(VarCurr)
     => ( v21544(VarCurr)
      <=> v21498(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_499,axiom,(
    ! [VarCurr] :
      ( v21529(VarCurr)
     => ( v21544(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_513,axiom,(
    ! [VarCurr] :
      ( ~ v21523(VarCurr)
     => ( v21543(VarCurr)
      <=> v21498(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_498,axiom,(
    ! [VarCurr] :
      ( v21523(VarCurr)
     => ( v21543(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_430,axiom,(
    ! [VarCurr] :
      ( ~ v21542(VarCurr)
     => ( v21541(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_387,axiom,(
    ! [VarCurr] :
      ( v21542(VarCurr)
     => ( v21541(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1330,axiom,(
    ! [VarCurr] :
      ( v21542(VarCurr)
    <=> ( v21492(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21503(VarNext)
      <=> ( v21504(VarNext)
          & v21513(VarNext) ) ) ) )).

fof(addAssignment_8089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21513(VarNext)
      <=> v21511(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5184,axiom,(
    ! [VarCurr] :
      ( v21511(VarCurr)
    <=> ( v21482(VarCurr)
        | v21514(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5183,axiom,(
    ! [VarCurr] :
      ( v21514(VarCurr)
    <=> ( v21515(VarCurr)
        & v21535(VarCurr) ) ) )).

fof(writeUnaryOperator_2643,axiom,(
    ! [VarCurr] :
      ( ~ v21535(VarCurr)
    <=> v21482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5182,axiom,(
    ! [VarCurr] :
      ( v21515(VarCurr)
    <=> ( v21516(VarCurr)
        | v21533(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5181,axiom,(
    ! [VarCurr] :
      ( v21533(VarCurr)
    <=> ( v21494(VarCurr)
        & v21534(VarCurr) ) ) )).

fof(writeUnaryOperator_2642,axiom,(
    ! [VarCurr] :
      ( ~ v21534(VarCurr)
    <=> v21496(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5180,axiom,(
    ! [VarCurr] :
      ( v21516(VarCurr)
    <=> ( v21517(VarCurr)
        & v21496(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5179,axiom,(
    ! [VarCurr] :
      ( v21517(VarCurr)
    <=> ( v21518(VarCurr)
        | v21527(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5178,axiom,(
    ! [VarCurr] :
      ( v21527(VarCurr)
    <=> ( v21528(VarCurr)
        & v21532(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1329,axiom,(
    ! [VarCurr] :
      ( v21532(VarCurr)
    <=> ( ( v21520(VarCurr,bitIndex2)
        <=> $false )
        & ( v21520(VarCurr,bitIndex1)
        <=> $false )
        & ( v21520(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5177,axiom,(
    ! [VarCurr] :
      ( v21528(VarCurr)
    <=> ( v21529(VarCurr)
        | v21530(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5176,axiom,(
    ! [VarCurr] :
      ( v21530(VarCurr)
    <=> ( v21494(VarCurr)
        & v21531(VarCurr) ) ) )).

fof(writeUnaryOperator_2641,axiom,(
    ! [VarCurr] :
      ( ~ v21531(VarCurr)
    <=> v21529(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1328,axiom,(
    ! [VarCurr] :
      ( v21529(VarCurr)
    <=> ( v21492(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5175,axiom,(
    ! [VarCurr] :
      ( v21518(VarCurr)
    <=> ( v21519(VarCurr)
        | v21521(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5174,axiom,(
    ! [VarCurr] :
      ( v21521(VarCurr)
    <=> ( v21522(VarCurr)
        & v21526(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1327,axiom,(
    ! [VarCurr] :
      ( v21526(VarCurr)
    <=> ( ( v21520(VarCurr,bitIndex2)
        <=> $false )
        & ( v21520(VarCurr,bitIndex1)
        <=> $true )
        & ( v21520(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5173,axiom,(
    ! [VarCurr] :
      ( v21522(VarCurr)
    <=> ( v21523(VarCurr)
        | v21524(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5172,axiom,(
    ! [VarCurr] :
      ( v21524(VarCurr)
    <=> ( v21494(VarCurr)
        & v21525(VarCurr) ) ) )).

fof(writeUnaryOperator_2640,axiom,(
    ! [VarCurr] :
      ( ~ v21525(VarCurr)
    <=> v21523(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1326,axiom,(
    ! [VarCurr] :
      ( v21523(VarCurr)
    <=> ( v21492(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1325,axiom,(
    ! [VarCurr] :
      ( v21519(VarCurr)
    <=> ( ( v21520(VarCurr,bitIndex2)
        <=> $true )
        & ( v21520(VarCurr,bitIndex1)
        <=> $false )
        & ( v21520(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8088,axiom,(
    ! [VarCurr] :
      ( v21520(VarCurr,bitIndex0)
    <=> v21490(VarCurr) ) )).

fof(addAssignment_8087,axiom,(
    ! [VarCurr] :
      ( v21520(VarCurr,bitIndex1)
    <=> v21488(VarCurr) ) )).

fof(addAssignment_8086,axiom,(
    ! [VarCurr] :
      ( v21520(VarCurr,bitIndex2)
    <=> v21486(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5171,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21504(VarNext)
      <=> ( v21505(VarNext)
          & v21500(VarNext) ) ) ) )).

fof(writeUnaryOperator_2639,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21505(VarNext)
      <=> v21507(VarNext) ) ) )).

fof(addAssignment_8085,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21507(VarNext)
      <=> v21500(VarCurr) ) ) )).

fof(addAssignment_8084,axiom,(
    ! [VarCurr] :
      ( v21500(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_8083,axiom,(
    ! [VarCurr] :
      ( v21498(VarCurr)
    <=> $false ) )).

fof(addAssignment_8082,axiom,(
    ! [VarCurr] :
      ( v21496(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_8081,axiom,(
    ! [VarCurr] :
      ( v21494(VarCurr)
    <=> $false ) )).

fof(addAssignment_8080,axiom,(
    ! [VarCurr] :
      ( v21492(VarCurr)
    <=> v20492(VarCurr,bitIndex30) ) )).

fof(addAssignment_8079,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex30)
    <=> v20494(VarCurr,bitIndex30) ) )).

fof(addAssignment_8078,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex30)
    <=> v3822(VarCurr,bitIndex30) ) )).

fof(addAssignment_8077,axiom,(
    ! [VarCurr] :
      ( v21490(VarCurr)
    <=> $false ) )).

fof(addAssignment_8076,axiom,(
    ! [VarCurr] :
      ( v21488(VarCurr)
    <=> $false ) )).

fof(addAssignment_8075,axiom,(
    ! [VarCurr] :
      ( v21486(VarCurr)
    <=> $true ) )).

fof(addAssignment_8074,axiom,(
    ! [VarCurr] :
      ( v21484(VarCurr)
    <=> $false ) )).

fof(addAssignment_8073,axiom,(
    ! [VarCurr] :
      ( v21482(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_268,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21435(VarNext)
       => ( v21412(VarNext)
        <=> v21412(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_302,axiom,(
    ! [VarNext] :
      ( v21435(VarNext)
     => ( v21412(VarNext)
      <=> v21470(VarNext) ) ) )).

fof(addAssignment_8072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21470(VarNext)
      <=> v21468(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_512,axiom,(
    ! [VarCurr] :
      ( ~ v21414(VarCurr)
     => ( v21468(VarCurr)
      <=> v21471(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_497,axiom,(
    ! [VarCurr] :
      ( v21414(VarCurr)
     => ( v21468(VarCurr)
      <=> v21416(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_511,axiom,(
    ! [VarCurr] :
      ( ~ v21448(VarCurr)
     => ( v21471(VarCurr)
      <=> v21430(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_496,axiom,(
    ! [VarCurr] :
      ( v21448(VarCurr)
     => ( v21471(VarCurr)
      <=> v21472(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_131,axiom,(
    ! [VarCurr] :
      ( ( ~ v21451(VarCurr)
        & ~ v21453(VarCurr) )
     => ( v21472(VarCurr)
      <=> v21476(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_510,axiom,(
    ! [VarCurr] :
      ( v21453(VarCurr)
     => ( v21472(VarCurr)
      <=> v21475(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_495,axiom,(
    ! [VarCurr] :
      ( v21451(VarCurr)
     => ( v21472(VarCurr)
      <=> v21473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_509,axiom,(
    ! [VarCurr] :
      ( ~ v21461(VarCurr)
     => ( v21476(VarCurr)
      <=> v21430(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_494,axiom,(
    ! [VarCurr] :
      ( v21461(VarCurr)
     => ( v21476(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_508,axiom,(
    ! [VarCurr] :
      ( ~ v21455(VarCurr)
     => ( v21475(VarCurr)
      <=> v21430(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_493,axiom,(
    ! [VarCurr] :
      ( v21455(VarCurr)
     => ( v21475(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_429,axiom,(
    ! [VarCurr] :
      ( ~ v21474(VarCurr)
     => ( v21473(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_386,axiom,(
    ! [VarCurr] :
      ( v21474(VarCurr)
     => ( v21473(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1324,axiom,(
    ! [VarCurr] :
      ( v21474(VarCurr)
    <=> ( v21424(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5170,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21435(VarNext)
      <=> ( v21436(VarNext)
          & v21445(VarNext) ) ) ) )).

fof(addAssignment_8071,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21445(VarNext)
      <=> v21443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5169,axiom,(
    ! [VarCurr] :
      ( v21443(VarCurr)
    <=> ( v21414(VarCurr)
        | v21446(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5168,axiom,(
    ! [VarCurr] :
      ( v21446(VarCurr)
    <=> ( v21447(VarCurr)
        & v21467(VarCurr) ) ) )).

fof(writeUnaryOperator_2638,axiom,(
    ! [VarCurr] :
      ( ~ v21467(VarCurr)
    <=> v21414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5167,axiom,(
    ! [VarCurr] :
      ( v21447(VarCurr)
    <=> ( v21448(VarCurr)
        | v21465(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5166,axiom,(
    ! [VarCurr] :
      ( v21465(VarCurr)
    <=> ( v21426(VarCurr)
        & v21466(VarCurr) ) ) )).

fof(writeUnaryOperator_2637,axiom,(
    ! [VarCurr] :
      ( ~ v21466(VarCurr)
    <=> v21428(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5165,axiom,(
    ! [VarCurr] :
      ( v21448(VarCurr)
    <=> ( v21449(VarCurr)
        & v21428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5164,axiom,(
    ! [VarCurr] :
      ( v21449(VarCurr)
    <=> ( v21450(VarCurr)
        | v21459(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5163,axiom,(
    ! [VarCurr] :
      ( v21459(VarCurr)
    <=> ( v21460(VarCurr)
        & v21464(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1323,axiom,(
    ! [VarCurr] :
      ( v21464(VarCurr)
    <=> ( ( v21452(VarCurr,bitIndex2)
        <=> $false )
        & ( v21452(VarCurr,bitIndex1)
        <=> $false )
        & ( v21452(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5162,axiom,(
    ! [VarCurr] :
      ( v21460(VarCurr)
    <=> ( v21461(VarCurr)
        | v21462(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5161,axiom,(
    ! [VarCurr] :
      ( v21462(VarCurr)
    <=> ( v21426(VarCurr)
        & v21463(VarCurr) ) ) )).

fof(writeUnaryOperator_2636,axiom,(
    ! [VarCurr] :
      ( ~ v21463(VarCurr)
    <=> v21461(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1322,axiom,(
    ! [VarCurr] :
      ( v21461(VarCurr)
    <=> ( v21424(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5160,axiom,(
    ! [VarCurr] :
      ( v21450(VarCurr)
    <=> ( v21451(VarCurr)
        | v21453(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5159,axiom,(
    ! [VarCurr] :
      ( v21453(VarCurr)
    <=> ( v21454(VarCurr)
        & v21458(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1321,axiom,(
    ! [VarCurr] :
      ( v21458(VarCurr)
    <=> ( ( v21452(VarCurr,bitIndex2)
        <=> $false )
        & ( v21452(VarCurr,bitIndex1)
        <=> $true )
        & ( v21452(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5158,axiom,(
    ! [VarCurr] :
      ( v21454(VarCurr)
    <=> ( v21455(VarCurr)
        | v21456(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5157,axiom,(
    ! [VarCurr] :
      ( v21456(VarCurr)
    <=> ( v21426(VarCurr)
        & v21457(VarCurr) ) ) )).

fof(writeUnaryOperator_2635,axiom,(
    ! [VarCurr] :
      ( ~ v21457(VarCurr)
    <=> v21455(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1320,axiom,(
    ! [VarCurr] :
      ( v21455(VarCurr)
    <=> ( v21424(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1319,axiom,(
    ! [VarCurr] :
      ( v21451(VarCurr)
    <=> ( ( v21452(VarCurr,bitIndex2)
        <=> $true )
        & ( v21452(VarCurr,bitIndex1)
        <=> $false )
        & ( v21452(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8070,axiom,(
    ! [VarCurr] :
      ( v21452(VarCurr,bitIndex0)
    <=> v21422(VarCurr) ) )).

fof(addAssignment_8069,axiom,(
    ! [VarCurr] :
      ( v21452(VarCurr,bitIndex1)
    <=> v21420(VarCurr) ) )).

fof(addAssignment_8068,axiom,(
    ! [VarCurr] :
      ( v21452(VarCurr,bitIndex2)
    <=> v21418(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5156,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21436(VarNext)
      <=> ( v21437(VarNext)
          & v21432(VarNext) ) ) ) )).

fof(writeUnaryOperator_2634,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21437(VarNext)
      <=> v21439(VarNext) ) ) )).

fof(addAssignment_8067,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21439(VarNext)
      <=> v21432(VarCurr) ) ) )).

fof(addAssignment_8066,axiom,(
    ! [VarCurr] :
      ( v21432(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_8065,axiom,(
    ! [VarCurr] :
      ( v21430(VarCurr)
    <=> $false ) )).

fof(addAssignment_8064,axiom,(
    ! [VarCurr] :
      ( v21428(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_8063,axiom,(
    ! [VarCurr] :
      ( v21426(VarCurr)
    <=> $false ) )).

fof(addAssignment_8062,axiom,(
    ! [VarCurr] :
      ( v21424(VarCurr)
    <=> v20492(VarCurr,bitIndex29) ) )).

fof(addAssignment_8061,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex29)
    <=> v20494(VarCurr,bitIndex29) ) )).

fof(addAssignment_8060,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex29)
    <=> v3822(VarCurr,bitIndex29) ) )).

fof(addAssignment_8059,axiom,(
    ! [VarCurr] :
      ( v21422(VarCurr)
    <=> $false ) )).

fof(addAssignment_8058,axiom,(
    ! [VarCurr] :
      ( v21420(VarCurr)
    <=> $false ) )).

fof(addAssignment_8057,axiom,(
    ! [VarCurr] :
      ( v21418(VarCurr)
    <=> $true ) )).

fof(addAssignment_8056,axiom,(
    ! [VarCurr] :
      ( v21416(VarCurr)
    <=> $false ) )).

fof(addAssignment_8055,axiom,(
    ! [VarCurr] :
      ( v21414(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_267,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21367(VarNext)
       => ( v21344(VarNext)
        <=> v21344(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_301,axiom,(
    ! [VarNext] :
      ( v21367(VarNext)
     => ( v21344(VarNext)
      <=> v21402(VarNext) ) ) )).

fof(addAssignment_8054,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21402(VarNext)
      <=> v21400(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_507,axiom,(
    ! [VarCurr] :
      ( ~ v21346(VarCurr)
     => ( v21400(VarCurr)
      <=> v21403(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_492,axiom,(
    ! [VarCurr] :
      ( v21346(VarCurr)
     => ( v21400(VarCurr)
      <=> v21348(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_506,axiom,(
    ! [VarCurr] :
      ( ~ v21380(VarCurr)
     => ( v21403(VarCurr)
      <=> v21362(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_491,axiom,(
    ! [VarCurr] :
      ( v21380(VarCurr)
     => ( v21403(VarCurr)
      <=> v21404(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_130,axiom,(
    ! [VarCurr] :
      ( ( ~ v21383(VarCurr)
        & ~ v21385(VarCurr) )
     => ( v21404(VarCurr)
      <=> v21408(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_505,axiom,(
    ! [VarCurr] :
      ( v21385(VarCurr)
     => ( v21404(VarCurr)
      <=> v21407(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_490,axiom,(
    ! [VarCurr] :
      ( v21383(VarCurr)
     => ( v21404(VarCurr)
      <=> v21405(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_504,axiom,(
    ! [VarCurr] :
      ( ~ v21393(VarCurr)
     => ( v21408(VarCurr)
      <=> v21362(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_489,axiom,(
    ! [VarCurr] :
      ( v21393(VarCurr)
     => ( v21408(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_503,axiom,(
    ! [VarCurr] :
      ( ~ v21387(VarCurr)
     => ( v21407(VarCurr)
      <=> v21362(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_488,axiom,(
    ! [VarCurr] :
      ( v21387(VarCurr)
     => ( v21407(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_428,axiom,(
    ! [VarCurr] :
      ( ~ v21406(VarCurr)
     => ( v21405(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_385,axiom,(
    ! [VarCurr] :
      ( v21406(VarCurr)
     => ( v21405(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1318,axiom,(
    ! [VarCurr] :
      ( v21406(VarCurr)
    <=> ( v21356(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5155,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21367(VarNext)
      <=> ( v21368(VarNext)
          & v21377(VarNext) ) ) ) )).

fof(addAssignment_8053,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21377(VarNext)
      <=> v21375(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5154,axiom,(
    ! [VarCurr] :
      ( v21375(VarCurr)
    <=> ( v21346(VarCurr)
        | v21378(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5153,axiom,(
    ! [VarCurr] :
      ( v21378(VarCurr)
    <=> ( v21379(VarCurr)
        & v21399(VarCurr) ) ) )).

fof(writeUnaryOperator_2633,axiom,(
    ! [VarCurr] :
      ( ~ v21399(VarCurr)
    <=> v21346(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5152,axiom,(
    ! [VarCurr] :
      ( v21379(VarCurr)
    <=> ( v21380(VarCurr)
        | v21397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5151,axiom,(
    ! [VarCurr] :
      ( v21397(VarCurr)
    <=> ( v21358(VarCurr)
        & v21398(VarCurr) ) ) )).

fof(writeUnaryOperator_2632,axiom,(
    ! [VarCurr] :
      ( ~ v21398(VarCurr)
    <=> v21360(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5150,axiom,(
    ! [VarCurr] :
      ( v21380(VarCurr)
    <=> ( v21381(VarCurr)
        & v21360(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5149,axiom,(
    ! [VarCurr] :
      ( v21381(VarCurr)
    <=> ( v21382(VarCurr)
        | v21391(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5148,axiom,(
    ! [VarCurr] :
      ( v21391(VarCurr)
    <=> ( v21392(VarCurr)
        & v21396(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1317,axiom,(
    ! [VarCurr] :
      ( v21396(VarCurr)
    <=> ( ( v21384(VarCurr,bitIndex2)
        <=> $false )
        & ( v21384(VarCurr,bitIndex1)
        <=> $false )
        & ( v21384(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5147,axiom,(
    ! [VarCurr] :
      ( v21392(VarCurr)
    <=> ( v21393(VarCurr)
        | v21394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5146,axiom,(
    ! [VarCurr] :
      ( v21394(VarCurr)
    <=> ( v21358(VarCurr)
        & v21395(VarCurr) ) ) )).

fof(writeUnaryOperator_2631,axiom,(
    ! [VarCurr] :
      ( ~ v21395(VarCurr)
    <=> v21393(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1316,axiom,(
    ! [VarCurr] :
      ( v21393(VarCurr)
    <=> ( v21356(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5145,axiom,(
    ! [VarCurr] :
      ( v21382(VarCurr)
    <=> ( v21383(VarCurr)
        | v21385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5144,axiom,(
    ! [VarCurr] :
      ( v21385(VarCurr)
    <=> ( v21386(VarCurr)
        & v21390(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1315,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr)
    <=> ( ( v21384(VarCurr,bitIndex2)
        <=> $false )
        & ( v21384(VarCurr,bitIndex1)
        <=> $true )
        & ( v21384(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5143,axiom,(
    ! [VarCurr] :
      ( v21386(VarCurr)
    <=> ( v21387(VarCurr)
        | v21388(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5142,axiom,(
    ! [VarCurr] :
      ( v21388(VarCurr)
    <=> ( v21358(VarCurr)
        & v21389(VarCurr) ) ) )).

fof(writeUnaryOperator_2630,axiom,(
    ! [VarCurr] :
      ( ~ v21389(VarCurr)
    <=> v21387(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1314,axiom,(
    ! [VarCurr] :
      ( v21387(VarCurr)
    <=> ( v21356(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1313,axiom,(
    ! [VarCurr] :
      ( v21383(VarCurr)
    <=> ( ( v21384(VarCurr,bitIndex2)
        <=> $true )
        & ( v21384(VarCurr,bitIndex1)
        <=> $false )
        & ( v21384(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8052,axiom,(
    ! [VarCurr] :
      ( v21384(VarCurr,bitIndex0)
    <=> v21354(VarCurr) ) )).

fof(addAssignment_8051,axiom,(
    ! [VarCurr] :
      ( v21384(VarCurr,bitIndex1)
    <=> v21352(VarCurr) ) )).

fof(addAssignment_8050,axiom,(
    ! [VarCurr] :
      ( v21384(VarCurr,bitIndex2)
    <=> v21350(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5141,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21368(VarNext)
      <=> ( v21369(VarNext)
          & v21364(VarNext) ) ) ) )).

fof(writeUnaryOperator_2629,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21369(VarNext)
      <=> v21371(VarNext) ) ) )).

fof(addAssignment_8049,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21371(VarNext)
      <=> v21364(VarCurr) ) ) )).

fof(addAssignment_8048,axiom,(
    ! [VarCurr] :
      ( v21364(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_8047,axiom,(
    ! [VarCurr] :
      ( v21362(VarCurr)
    <=> $false ) )).

fof(addAssignment_8046,axiom,(
    ! [VarCurr] :
      ( v21360(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_8045,axiom,(
    ! [VarCurr] :
      ( v21358(VarCurr)
    <=> $false ) )).

fof(addAssignment_8044,axiom,(
    ! [VarCurr] :
      ( v21356(VarCurr)
    <=> v20492(VarCurr,bitIndex28) ) )).

fof(addAssignment_8043,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex28)
    <=> v20494(VarCurr,bitIndex28) ) )).

fof(addAssignment_8042,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex28)
    <=> v3822(VarCurr,bitIndex28) ) )).

fof(addAssignment_8041,axiom,(
    ! [VarCurr] :
      ( v21354(VarCurr)
    <=> $false ) )).

fof(addAssignment_8040,axiom,(
    ! [VarCurr] :
      ( v21352(VarCurr)
    <=> $false ) )).

fof(addAssignment_8039,axiom,(
    ! [VarCurr] :
      ( v21350(VarCurr)
    <=> $true ) )).

fof(addAssignment_8038,axiom,(
    ! [VarCurr] :
      ( v21348(VarCurr)
    <=> $false ) )).

fof(addAssignment_8037,axiom,(
    ! [VarCurr] :
      ( v21346(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_266,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21299(VarNext)
       => ( v21276(VarNext)
        <=> v21276(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_300,axiom,(
    ! [VarNext] :
      ( v21299(VarNext)
     => ( v21276(VarNext)
      <=> v21334(VarNext) ) ) )).

fof(addAssignment_8036,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21334(VarNext)
      <=> v21332(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_502,axiom,(
    ! [VarCurr] :
      ( ~ v21278(VarCurr)
     => ( v21332(VarCurr)
      <=> v21335(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_487,axiom,(
    ! [VarCurr] :
      ( v21278(VarCurr)
     => ( v21332(VarCurr)
      <=> v21280(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_501,axiom,(
    ! [VarCurr] :
      ( ~ v21312(VarCurr)
     => ( v21335(VarCurr)
      <=> v21294(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_486,axiom,(
    ! [VarCurr] :
      ( v21312(VarCurr)
     => ( v21335(VarCurr)
      <=> v21336(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_129,axiom,(
    ! [VarCurr] :
      ( ( ~ v21315(VarCurr)
        & ~ v21317(VarCurr) )
     => ( v21336(VarCurr)
      <=> v21340(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_500,axiom,(
    ! [VarCurr] :
      ( v21317(VarCurr)
     => ( v21336(VarCurr)
      <=> v21339(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_485,axiom,(
    ! [VarCurr] :
      ( v21315(VarCurr)
     => ( v21336(VarCurr)
      <=> v21337(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_499,axiom,(
    ! [VarCurr] :
      ( ~ v21325(VarCurr)
     => ( v21340(VarCurr)
      <=> v21294(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_484,axiom,(
    ! [VarCurr] :
      ( v21325(VarCurr)
     => ( v21340(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_498,axiom,(
    ! [VarCurr] :
      ( ~ v21319(VarCurr)
     => ( v21339(VarCurr)
      <=> v21294(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_483,axiom,(
    ! [VarCurr] :
      ( v21319(VarCurr)
     => ( v21339(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_427,axiom,(
    ! [VarCurr] :
      ( ~ v21338(VarCurr)
     => ( v21337(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_384,axiom,(
    ! [VarCurr] :
      ( v21338(VarCurr)
     => ( v21337(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1312,axiom,(
    ! [VarCurr] :
      ( v21338(VarCurr)
    <=> ( v21288(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5140,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21299(VarNext)
      <=> ( v21300(VarNext)
          & v21309(VarNext) ) ) ) )).

fof(addAssignment_8035,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21309(VarNext)
      <=> v21307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5139,axiom,(
    ! [VarCurr] :
      ( v21307(VarCurr)
    <=> ( v21278(VarCurr)
        | v21310(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5138,axiom,(
    ! [VarCurr] :
      ( v21310(VarCurr)
    <=> ( v21311(VarCurr)
        & v21331(VarCurr) ) ) )).

fof(writeUnaryOperator_2628,axiom,(
    ! [VarCurr] :
      ( ~ v21331(VarCurr)
    <=> v21278(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5137,axiom,(
    ! [VarCurr] :
      ( v21311(VarCurr)
    <=> ( v21312(VarCurr)
        | v21329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5136,axiom,(
    ! [VarCurr] :
      ( v21329(VarCurr)
    <=> ( v21290(VarCurr)
        & v21330(VarCurr) ) ) )).

fof(writeUnaryOperator_2627,axiom,(
    ! [VarCurr] :
      ( ~ v21330(VarCurr)
    <=> v21292(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5135,axiom,(
    ! [VarCurr] :
      ( v21312(VarCurr)
    <=> ( v21313(VarCurr)
        & v21292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5134,axiom,(
    ! [VarCurr] :
      ( v21313(VarCurr)
    <=> ( v21314(VarCurr)
        | v21323(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5133,axiom,(
    ! [VarCurr] :
      ( v21323(VarCurr)
    <=> ( v21324(VarCurr)
        & v21328(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1311,axiom,(
    ! [VarCurr] :
      ( v21328(VarCurr)
    <=> ( ( v21316(VarCurr,bitIndex2)
        <=> $false )
        & ( v21316(VarCurr,bitIndex1)
        <=> $false )
        & ( v21316(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5132,axiom,(
    ! [VarCurr] :
      ( v21324(VarCurr)
    <=> ( v21325(VarCurr)
        | v21326(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5131,axiom,(
    ! [VarCurr] :
      ( v21326(VarCurr)
    <=> ( v21290(VarCurr)
        & v21327(VarCurr) ) ) )).

fof(writeUnaryOperator_2626,axiom,(
    ! [VarCurr] :
      ( ~ v21327(VarCurr)
    <=> v21325(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1310,axiom,(
    ! [VarCurr] :
      ( v21325(VarCurr)
    <=> ( v21288(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5130,axiom,(
    ! [VarCurr] :
      ( v21314(VarCurr)
    <=> ( v21315(VarCurr)
        | v21317(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5129,axiom,(
    ! [VarCurr] :
      ( v21317(VarCurr)
    <=> ( v21318(VarCurr)
        & v21322(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1309,axiom,(
    ! [VarCurr] :
      ( v21322(VarCurr)
    <=> ( ( v21316(VarCurr,bitIndex2)
        <=> $false )
        & ( v21316(VarCurr,bitIndex1)
        <=> $true )
        & ( v21316(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5128,axiom,(
    ! [VarCurr] :
      ( v21318(VarCurr)
    <=> ( v21319(VarCurr)
        | v21320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5127,axiom,(
    ! [VarCurr] :
      ( v21320(VarCurr)
    <=> ( v21290(VarCurr)
        & v21321(VarCurr) ) ) )).

fof(writeUnaryOperator_2625,axiom,(
    ! [VarCurr] :
      ( ~ v21321(VarCurr)
    <=> v21319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1308,axiom,(
    ! [VarCurr] :
      ( v21319(VarCurr)
    <=> ( v21288(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1307,axiom,(
    ! [VarCurr] :
      ( v21315(VarCurr)
    <=> ( ( v21316(VarCurr,bitIndex2)
        <=> $true )
        & ( v21316(VarCurr,bitIndex1)
        <=> $false )
        & ( v21316(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8034,axiom,(
    ! [VarCurr] :
      ( v21316(VarCurr,bitIndex0)
    <=> v21286(VarCurr) ) )).

fof(addAssignment_8033,axiom,(
    ! [VarCurr] :
      ( v21316(VarCurr,bitIndex1)
    <=> v21284(VarCurr) ) )).

fof(addAssignment_8032,axiom,(
    ! [VarCurr] :
      ( v21316(VarCurr,bitIndex2)
    <=> v21282(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21300(VarNext)
      <=> ( v21301(VarNext)
          & v21296(VarNext) ) ) ) )).

fof(writeUnaryOperator_2624,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21301(VarNext)
      <=> v21303(VarNext) ) ) )).

fof(addAssignment_8031,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21303(VarNext)
      <=> v21296(VarCurr) ) ) )).

fof(addAssignment_8030,axiom,(
    ! [VarCurr] :
      ( v21296(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_8029,axiom,(
    ! [VarCurr] :
      ( v21294(VarCurr)
    <=> $false ) )).

fof(addAssignment_8028,axiom,(
    ! [VarCurr] :
      ( v21292(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_8027,axiom,(
    ! [VarCurr] :
      ( v21290(VarCurr)
    <=> $false ) )).

fof(addAssignment_8026,axiom,(
    ! [VarCurr] :
      ( v21288(VarCurr)
    <=> v20492(VarCurr,bitIndex27) ) )).

fof(addAssignment_8025,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex27)
    <=> v20494(VarCurr,bitIndex27) ) )).

fof(addAssignment_8024,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex27)
    <=> v3822(VarCurr,bitIndex27) ) )).

fof(addAssignment_8023,axiom,(
    ! [VarCurr] :
      ( v21286(VarCurr)
    <=> $false ) )).

fof(addAssignment_8022,axiom,(
    ! [VarCurr] :
      ( v21284(VarCurr)
    <=> $false ) )).

fof(addAssignment_8021,axiom,(
    ! [VarCurr] :
      ( v21282(VarCurr)
    <=> $true ) )).

fof(addAssignment_8020,axiom,(
    ! [VarCurr] :
      ( v21280(VarCurr)
    <=> $false ) )).

fof(addAssignment_8019,axiom,(
    ! [VarCurr] :
      ( v21278(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_265,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21231(VarNext)
       => ( v21208(VarNext)
        <=> v21208(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_299,axiom,(
    ! [VarNext] :
      ( v21231(VarNext)
     => ( v21208(VarNext)
      <=> v21266(VarNext) ) ) )).

fof(addAssignment_8018,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21266(VarNext)
      <=> v21264(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_497,axiom,(
    ! [VarCurr] :
      ( ~ v21210(VarCurr)
     => ( v21264(VarCurr)
      <=> v21267(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_482,axiom,(
    ! [VarCurr] :
      ( v21210(VarCurr)
     => ( v21264(VarCurr)
      <=> v21212(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_496,axiom,(
    ! [VarCurr] :
      ( ~ v21244(VarCurr)
     => ( v21267(VarCurr)
      <=> v21226(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_481,axiom,(
    ! [VarCurr] :
      ( v21244(VarCurr)
     => ( v21267(VarCurr)
      <=> v21268(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_128,axiom,(
    ! [VarCurr] :
      ( ( ~ v21247(VarCurr)
        & ~ v21249(VarCurr) )
     => ( v21268(VarCurr)
      <=> v21272(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_495,axiom,(
    ! [VarCurr] :
      ( v21249(VarCurr)
     => ( v21268(VarCurr)
      <=> v21271(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_480,axiom,(
    ! [VarCurr] :
      ( v21247(VarCurr)
     => ( v21268(VarCurr)
      <=> v21269(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_494,axiom,(
    ! [VarCurr] :
      ( ~ v21257(VarCurr)
     => ( v21272(VarCurr)
      <=> v21226(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_479,axiom,(
    ! [VarCurr] :
      ( v21257(VarCurr)
     => ( v21272(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_493,axiom,(
    ! [VarCurr] :
      ( ~ v21251(VarCurr)
     => ( v21271(VarCurr)
      <=> v21226(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_478,axiom,(
    ! [VarCurr] :
      ( v21251(VarCurr)
     => ( v21271(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_426,axiom,(
    ! [VarCurr] :
      ( ~ v21270(VarCurr)
     => ( v21269(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_383,axiom,(
    ! [VarCurr] :
      ( v21270(VarCurr)
     => ( v21269(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1306,axiom,(
    ! [VarCurr] :
      ( v21270(VarCurr)
    <=> ( v21220(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5125,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21231(VarNext)
      <=> ( v21232(VarNext)
          & v21241(VarNext) ) ) ) )).

fof(addAssignment_8017,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21241(VarNext)
      <=> v21239(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5124,axiom,(
    ! [VarCurr] :
      ( v21239(VarCurr)
    <=> ( v21210(VarCurr)
        | v21242(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5123,axiom,(
    ! [VarCurr] :
      ( v21242(VarCurr)
    <=> ( v21243(VarCurr)
        & v21263(VarCurr) ) ) )).

fof(writeUnaryOperator_2623,axiom,(
    ! [VarCurr] :
      ( ~ v21263(VarCurr)
    <=> v21210(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5122,axiom,(
    ! [VarCurr] :
      ( v21243(VarCurr)
    <=> ( v21244(VarCurr)
        | v21261(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5121,axiom,(
    ! [VarCurr] :
      ( v21261(VarCurr)
    <=> ( v21222(VarCurr)
        & v21262(VarCurr) ) ) )).

fof(writeUnaryOperator_2622,axiom,(
    ! [VarCurr] :
      ( ~ v21262(VarCurr)
    <=> v21224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5120,axiom,(
    ! [VarCurr] :
      ( v21244(VarCurr)
    <=> ( v21245(VarCurr)
        & v21224(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5119,axiom,(
    ! [VarCurr] :
      ( v21245(VarCurr)
    <=> ( v21246(VarCurr)
        | v21255(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5118,axiom,(
    ! [VarCurr] :
      ( v21255(VarCurr)
    <=> ( v21256(VarCurr)
        & v21260(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1305,axiom,(
    ! [VarCurr] :
      ( v21260(VarCurr)
    <=> ( ( v21248(VarCurr,bitIndex2)
        <=> $false )
        & ( v21248(VarCurr,bitIndex1)
        <=> $false )
        & ( v21248(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5117,axiom,(
    ! [VarCurr] :
      ( v21256(VarCurr)
    <=> ( v21257(VarCurr)
        | v21258(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5116,axiom,(
    ! [VarCurr] :
      ( v21258(VarCurr)
    <=> ( v21222(VarCurr)
        & v21259(VarCurr) ) ) )).

fof(writeUnaryOperator_2621,axiom,(
    ! [VarCurr] :
      ( ~ v21259(VarCurr)
    <=> v21257(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1304,axiom,(
    ! [VarCurr] :
      ( v21257(VarCurr)
    <=> ( v21220(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5115,axiom,(
    ! [VarCurr] :
      ( v21246(VarCurr)
    <=> ( v21247(VarCurr)
        | v21249(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5114,axiom,(
    ! [VarCurr] :
      ( v21249(VarCurr)
    <=> ( v21250(VarCurr)
        & v21254(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1303,axiom,(
    ! [VarCurr] :
      ( v21254(VarCurr)
    <=> ( ( v21248(VarCurr,bitIndex2)
        <=> $false )
        & ( v21248(VarCurr,bitIndex1)
        <=> $true )
        & ( v21248(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5113,axiom,(
    ! [VarCurr] :
      ( v21250(VarCurr)
    <=> ( v21251(VarCurr)
        | v21252(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5112,axiom,(
    ! [VarCurr] :
      ( v21252(VarCurr)
    <=> ( v21222(VarCurr)
        & v21253(VarCurr) ) ) )).

fof(writeUnaryOperator_2620,axiom,(
    ! [VarCurr] :
      ( ~ v21253(VarCurr)
    <=> v21251(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1302,axiom,(
    ! [VarCurr] :
      ( v21251(VarCurr)
    <=> ( v21220(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1301,axiom,(
    ! [VarCurr] :
      ( v21247(VarCurr)
    <=> ( ( v21248(VarCurr,bitIndex2)
        <=> $true )
        & ( v21248(VarCurr,bitIndex1)
        <=> $false )
        & ( v21248(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8016,axiom,(
    ! [VarCurr] :
      ( v21248(VarCurr,bitIndex0)
    <=> v21218(VarCurr) ) )).

fof(addAssignment_8015,axiom,(
    ! [VarCurr] :
      ( v21248(VarCurr,bitIndex1)
    <=> v21216(VarCurr) ) )).

fof(addAssignment_8014,axiom,(
    ! [VarCurr] :
      ( v21248(VarCurr,bitIndex2)
    <=> v21214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5111,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21232(VarNext)
      <=> ( v21233(VarNext)
          & v21228(VarNext) ) ) ) )).

fof(writeUnaryOperator_2619,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21233(VarNext)
      <=> v21235(VarNext) ) ) )).

fof(addAssignment_8013,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21235(VarNext)
      <=> v21228(VarCurr) ) ) )).

fof(addAssignment_8012,axiom,(
    ! [VarCurr] :
      ( v21228(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_8011,axiom,(
    ! [VarCurr] :
      ( v21226(VarCurr)
    <=> $false ) )).

fof(addAssignment_8010,axiom,(
    ! [VarCurr] :
      ( v21224(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_8009,axiom,(
    ! [VarCurr] :
      ( v21222(VarCurr)
    <=> $false ) )).

fof(addAssignment_8008,axiom,(
    ! [VarCurr] :
      ( v21220(VarCurr)
    <=> v20492(VarCurr,bitIndex26) ) )).

fof(addAssignment_8007,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex26)
    <=> v20494(VarCurr,bitIndex26) ) )).

fof(addAssignment_8006,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex26)
    <=> v3822(VarCurr,bitIndex26) ) )).

fof(addAssignment_8005,axiom,(
    ! [VarCurr] :
      ( v21218(VarCurr)
    <=> $false ) )).

fof(addAssignment_8004,axiom,(
    ! [VarCurr] :
      ( v21216(VarCurr)
    <=> $false ) )).

fof(addAssignment_8003,axiom,(
    ! [VarCurr] :
      ( v21214(VarCurr)
    <=> $true ) )).

fof(addAssignment_8002,axiom,(
    ! [VarCurr] :
      ( v21212(VarCurr)
    <=> $false ) )).

fof(addAssignment_8001,axiom,(
    ! [VarCurr] :
      ( v21210(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_264,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21163(VarNext)
       => ( v21140(VarNext)
        <=> v21140(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_298,axiom,(
    ! [VarNext] :
      ( v21163(VarNext)
     => ( v21140(VarNext)
      <=> v21198(VarNext) ) ) )).

fof(addAssignment_8000,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21198(VarNext)
      <=> v21196(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_492,axiom,(
    ! [VarCurr] :
      ( ~ v21142(VarCurr)
     => ( v21196(VarCurr)
      <=> v21199(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_477,axiom,(
    ! [VarCurr] :
      ( v21142(VarCurr)
     => ( v21196(VarCurr)
      <=> v21144(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_491,axiom,(
    ! [VarCurr] :
      ( ~ v21176(VarCurr)
     => ( v21199(VarCurr)
      <=> v21158(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_476,axiom,(
    ! [VarCurr] :
      ( v21176(VarCurr)
     => ( v21199(VarCurr)
      <=> v21200(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_127,axiom,(
    ! [VarCurr] :
      ( ( ~ v21179(VarCurr)
        & ~ v21181(VarCurr) )
     => ( v21200(VarCurr)
      <=> v21204(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_490,axiom,(
    ! [VarCurr] :
      ( v21181(VarCurr)
     => ( v21200(VarCurr)
      <=> v21203(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_475,axiom,(
    ! [VarCurr] :
      ( v21179(VarCurr)
     => ( v21200(VarCurr)
      <=> v21201(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_489,axiom,(
    ! [VarCurr] :
      ( ~ v21189(VarCurr)
     => ( v21204(VarCurr)
      <=> v21158(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_474,axiom,(
    ! [VarCurr] :
      ( v21189(VarCurr)
     => ( v21204(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_488,axiom,(
    ! [VarCurr] :
      ( ~ v21183(VarCurr)
     => ( v21203(VarCurr)
      <=> v21158(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_473,axiom,(
    ! [VarCurr] :
      ( v21183(VarCurr)
     => ( v21203(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_425,axiom,(
    ! [VarCurr] :
      ( ~ v21202(VarCurr)
     => ( v21201(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_382,axiom,(
    ! [VarCurr] :
      ( v21202(VarCurr)
     => ( v21201(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1300,axiom,(
    ! [VarCurr] :
      ( v21202(VarCurr)
    <=> ( v21152(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5110,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21163(VarNext)
      <=> ( v21164(VarNext)
          & v21173(VarNext) ) ) ) )).

fof(addAssignment_7999,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21173(VarNext)
      <=> v21171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5109,axiom,(
    ! [VarCurr] :
      ( v21171(VarCurr)
    <=> ( v21142(VarCurr)
        | v21174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5108,axiom,(
    ! [VarCurr] :
      ( v21174(VarCurr)
    <=> ( v21175(VarCurr)
        & v21195(VarCurr) ) ) )).

fof(writeUnaryOperator_2618,axiom,(
    ! [VarCurr] :
      ( ~ v21195(VarCurr)
    <=> v21142(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5107,axiom,(
    ! [VarCurr] :
      ( v21175(VarCurr)
    <=> ( v21176(VarCurr)
        | v21193(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5106,axiom,(
    ! [VarCurr] :
      ( v21193(VarCurr)
    <=> ( v21154(VarCurr)
        & v21194(VarCurr) ) ) )).

fof(writeUnaryOperator_2617,axiom,(
    ! [VarCurr] :
      ( ~ v21194(VarCurr)
    <=> v21156(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5105,axiom,(
    ! [VarCurr] :
      ( v21176(VarCurr)
    <=> ( v21177(VarCurr)
        & v21156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5104,axiom,(
    ! [VarCurr] :
      ( v21177(VarCurr)
    <=> ( v21178(VarCurr)
        | v21187(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5103,axiom,(
    ! [VarCurr] :
      ( v21187(VarCurr)
    <=> ( v21188(VarCurr)
        & v21192(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1299,axiom,(
    ! [VarCurr] :
      ( v21192(VarCurr)
    <=> ( ( v21180(VarCurr,bitIndex2)
        <=> $false )
        & ( v21180(VarCurr,bitIndex1)
        <=> $false )
        & ( v21180(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5102,axiom,(
    ! [VarCurr] :
      ( v21188(VarCurr)
    <=> ( v21189(VarCurr)
        | v21190(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5101,axiom,(
    ! [VarCurr] :
      ( v21190(VarCurr)
    <=> ( v21154(VarCurr)
        & v21191(VarCurr) ) ) )).

fof(writeUnaryOperator_2616,axiom,(
    ! [VarCurr] :
      ( ~ v21191(VarCurr)
    <=> v21189(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1298,axiom,(
    ! [VarCurr] :
      ( v21189(VarCurr)
    <=> ( v21152(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5100,axiom,(
    ! [VarCurr] :
      ( v21178(VarCurr)
    <=> ( v21179(VarCurr)
        | v21181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5099,axiom,(
    ! [VarCurr] :
      ( v21181(VarCurr)
    <=> ( v21182(VarCurr)
        & v21186(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1297,axiom,(
    ! [VarCurr] :
      ( v21186(VarCurr)
    <=> ( ( v21180(VarCurr,bitIndex2)
        <=> $false )
        & ( v21180(VarCurr,bitIndex1)
        <=> $true )
        & ( v21180(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5098,axiom,(
    ! [VarCurr] :
      ( v21182(VarCurr)
    <=> ( v21183(VarCurr)
        | v21184(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5097,axiom,(
    ! [VarCurr] :
      ( v21184(VarCurr)
    <=> ( v21154(VarCurr)
        & v21185(VarCurr) ) ) )).

fof(writeUnaryOperator_2615,axiom,(
    ! [VarCurr] :
      ( ~ v21185(VarCurr)
    <=> v21183(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1296,axiom,(
    ! [VarCurr] :
      ( v21183(VarCurr)
    <=> ( v21152(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1295,axiom,(
    ! [VarCurr] :
      ( v21179(VarCurr)
    <=> ( ( v21180(VarCurr,bitIndex2)
        <=> $true )
        & ( v21180(VarCurr,bitIndex1)
        <=> $false )
        & ( v21180(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7998,axiom,(
    ! [VarCurr] :
      ( v21180(VarCurr,bitIndex0)
    <=> v21150(VarCurr) ) )).

fof(addAssignment_7997,axiom,(
    ! [VarCurr] :
      ( v21180(VarCurr,bitIndex1)
    <=> v21148(VarCurr) ) )).

fof(addAssignment_7996,axiom,(
    ! [VarCurr] :
      ( v21180(VarCurr,bitIndex2)
    <=> v21146(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5096,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21164(VarNext)
      <=> ( v21165(VarNext)
          & v21160(VarNext) ) ) ) )).

fof(writeUnaryOperator_2614,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21165(VarNext)
      <=> v21167(VarNext) ) ) )).

fof(addAssignment_7995,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21167(VarNext)
      <=> v21160(VarCurr) ) ) )).

fof(addAssignment_7994,axiom,(
    ! [VarCurr] :
      ( v21160(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7993,axiom,(
    ! [VarCurr] :
      ( v21158(VarCurr)
    <=> $false ) )).

fof(addAssignment_7992,axiom,(
    ! [VarCurr] :
      ( v21156(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7991,axiom,(
    ! [VarCurr] :
      ( v21154(VarCurr)
    <=> $false ) )).

fof(addAssignment_7990,axiom,(
    ! [VarCurr] :
      ( v21152(VarCurr)
    <=> v20492(VarCurr,bitIndex25) ) )).

fof(addAssignment_7989,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex25)
    <=> v20494(VarCurr,bitIndex25) ) )).

fof(addAssignment_7988,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex25)
    <=> v3822(VarCurr,bitIndex25) ) )).

fof(addAssignment_7987,axiom,(
    ! [VarCurr] :
      ( v21150(VarCurr)
    <=> $false ) )).

fof(addAssignment_7986,axiom,(
    ! [VarCurr] :
      ( v21148(VarCurr)
    <=> $false ) )).

fof(addAssignment_7985,axiom,(
    ! [VarCurr] :
      ( v21146(VarCurr)
    <=> $true ) )).

fof(addAssignment_7984,axiom,(
    ! [VarCurr] :
      ( v21144(VarCurr)
    <=> $false ) )).

fof(addAssignment_7983,axiom,(
    ! [VarCurr] :
      ( v21142(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_263,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21095(VarNext)
       => ( v21072(VarNext)
        <=> v21072(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_297,axiom,(
    ! [VarNext] :
      ( v21095(VarNext)
     => ( v21072(VarNext)
      <=> v21130(VarNext) ) ) )).

fof(addAssignment_7982,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21130(VarNext)
      <=> v21128(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_487,axiom,(
    ! [VarCurr] :
      ( ~ v21074(VarCurr)
     => ( v21128(VarCurr)
      <=> v21131(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_472,axiom,(
    ! [VarCurr] :
      ( v21074(VarCurr)
     => ( v21128(VarCurr)
      <=> v21076(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_486,axiom,(
    ! [VarCurr] :
      ( ~ v21108(VarCurr)
     => ( v21131(VarCurr)
      <=> v21090(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_471,axiom,(
    ! [VarCurr] :
      ( v21108(VarCurr)
     => ( v21131(VarCurr)
      <=> v21132(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_126,axiom,(
    ! [VarCurr] :
      ( ( ~ v21111(VarCurr)
        & ~ v21113(VarCurr) )
     => ( v21132(VarCurr)
      <=> v21136(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_485,axiom,(
    ! [VarCurr] :
      ( v21113(VarCurr)
     => ( v21132(VarCurr)
      <=> v21135(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_470,axiom,(
    ! [VarCurr] :
      ( v21111(VarCurr)
     => ( v21132(VarCurr)
      <=> v21133(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_484,axiom,(
    ! [VarCurr] :
      ( ~ v21121(VarCurr)
     => ( v21136(VarCurr)
      <=> v21090(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_469,axiom,(
    ! [VarCurr] :
      ( v21121(VarCurr)
     => ( v21136(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_483,axiom,(
    ! [VarCurr] :
      ( ~ v21115(VarCurr)
     => ( v21135(VarCurr)
      <=> v21090(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_468,axiom,(
    ! [VarCurr] :
      ( v21115(VarCurr)
     => ( v21135(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_424,axiom,(
    ! [VarCurr] :
      ( ~ v21134(VarCurr)
     => ( v21133(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_381,axiom,(
    ! [VarCurr] :
      ( v21134(VarCurr)
     => ( v21133(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1294,axiom,(
    ! [VarCurr] :
      ( v21134(VarCurr)
    <=> ( v21084(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5095,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21095(VarNext)
      <=> ( v21096(VarNext)
          & v21105(VarNext) ) ) ) )).

fof(addAssignment_7981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21105(VarNext)
      <=> v21103(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5094,axiom,(
    ! [VarCurr] :
      ( v21103(VarCurr)
    <=> ( v21074(VarCurr)
        | v21106(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5093,axiom,(
    ! [VarCurr] :
      ( v21106(VarCurr)
    <=> ( v21107(VarCurr)
        & v21127(VarCurr) ) ) )).

fof(writeUnaryOperator_2613,axiom,(
    ! [VarCurr] :
      ( ~ v21127(VarCurr)
    <=> v21074(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5092,axiom,(
    ! [VarCurr] :
      ( v21107(VarCurr)
    <=> ( v21108(VarCurr)
        | v21125(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5091,axiom,(
    ! [VarCurr] :
      ( v21125(VarCurr)
    <=> ( v21086(VarCurr)
        & v21126(VarCurr) ) ) )).

fof(writeUnaryOperator_2612,axiom,(
    ! [VarCurr] :
      ( ~ v21126(VarCurr)
    <=> v21088(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5090,axiom,(
    ! [VarCurr] :
      ( v21108(VarCurr)
    <=> ( v21109(VarCurr)
        & v21088(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5089,axiom,(
    ! [VarCurr] :
      ( v21109(VarCurr)
    <=> ( v21110(VarCurr)
        | v21119(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5088,axiom,(
    ! [VarCurr] :
      ( v21119(VarCurr)
    <=> ( v21120(VarCurr)
        & v21124(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1293,axiom,(
    ! [VarCurr] :
      ( v21124(VarCurr)
    <=> ( ( v21112(VarCurr,bitIndex2)
        <=> $false )
        & ( v21112(VarCurr,bitIndex1)
        <=> $false )
        & ( v21112(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5087,axiom,(
    ! [VarCurr] :
      ( v21120(VarCurr)
    <=> ( v21121(VarCurr)
        | v21122(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5086,axiom,(
    ! [VarCurr] :
      ( v21122(VarCurr)
    <=> ( v21086(VarCurr)
        & v21123(VarCurr) ) ) )).

fof(writeUnaryOperator_2611,axiom,(
    ! [VarCurr] :
      ( ~ v21123(VarCurr)
    <=> v21121(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1292,axiom,(
    ! [VarCurr] :
      ( v21121(VarCurr)
    <=> ( v21084(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5085,axiom,(
    ! [VarCurr] :
      ( v21110(VarCurr)
    <=> ( v21111(VarCurr)
        | v21113(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5084,axiom,(
    ! [VarCurr] :
      ( v21113(VarCurr)
    <=> ( v21114(VarCurr)
        & v21118(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1291,axiom,(
    ! [VarCurr] :
      ( v21118(VarCurr)
    <=> ( ( v21112(VarCurr,bitIndex2)
        <=> $false )
        & ( v21112(VarCurr,bitIndex1)
        <=> $true )
        & ( v21112(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5083,axiom,(
    ! [VarCurr] :
      ( v21114(VarCurr)
    <=> ( v21115(VarCurr)
        | v21116(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5082,axiom,(
    ! [VarCurr] :
      ( v21116(VarCurr)
    <=> ( v21086(VarCurr)
        & v21117(VarCurr) ) ) )).

fof(writeUnaryOperator_2610,axiom,(
    ! [VarCurr] :
      ( ~ v21117(VarCurr)
    <=> v21115(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1290,axiom,(
    ! [VarCurr] :
      ( v21115(VarCurr)
    <=> ( v21084(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1289,axiom,(
    ! [VarCurr] :
      ( v21111(VarCurr)
    <=> ( ( v21112(VarCurr,bitIndex2)
        <=> $true )
        & ( v21112(VarCurr,bitIndex1)
        <=> $false )
        & ( v21112(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7980,axiom,(
    ! [VarCurr] :
      ( v21112(VarCurr,bitIndex0)
    <=> v21082(VarCurr) ) )).

fof(addAssignment_7979,axiom,(
    ! [VarCurr] :
      ( v21112(VarCurr,bitIndex1)
    <=> v21080(VarCurr) ) )).

fof(addAssignment_7978,axiom,(
    ! [VarCurr] :
      ( v21112(VarCurr,bitIndex2)
    <=> v21078(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5081,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21096(VarNext)
      <=> ( v21097(VarNext)
          & v21092(VarNext) ) ) ) )).

fof(writeUnaryOperator_2609,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21097(VarNext)
      <=> v21099(VarNext) ) ) )).

fof(addAssignment_7977,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21099(VarNext)
      <=> v21092(VarCurr) ) ) )).

fof(addAssignment_7976,axiom,(
    ! [VarCurr] :
      ( v21092(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7975,axiom,(
    ! [VarCurr] :
      ( v21090(VarCurr)
    <=> $false ) )).

fof(addAssignment_7974,axiom,(
    ! [VarCurr] :
      ( v21088(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7973,axiom,(
    ! [VarCurr] :
      ( v21086(VarCurr)
    <=> $false ) )).

fof(addAssignment_7972,axiom,(
    ! [VarCurr] :
      ( v21084(VarCurr)
    <=> v20492(VarCurr,bitIndex24) ) )).

fof(addAssignment_7971,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex24)
    <=> v20494(VarCurr,bitIndex24) ) )).

fof(addAssignment_7970,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex24)
    <=> v3822(VarCurr,bitIndex24) ) )).

fof(addAssignment_7969,axiom,(
    ! [VarCurr] :
      ( v21082(VarCurr)
    <=> $false ) )).

fof(addAssignment_7968,axiom,(
    ! [VarCurr] :
      ( v21080(VarCurr)
    <=> $false ) )).

fof(addAssignment_7967,axiom,(
    ! [VarCurr] :
      ( v21078(VarCurr)
    <=> $true ) )).

fof(addAssignment_7966,axiom,(
    ! [VarCurr] :
      ( v21076(VarCurr)
    <=> $false ) )).

fof(addAssignment_7965,axiom,(
    ! [VarCurr] :
      ( v21074(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_262,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21027(VarNext)
       => ( v21004(VarNext)
        <=> v21004(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_296,axiom,(
    ! [VarNext] :
      ( v21027(VarNext)
     => ( v21004(VarNext)
      <=> v21062(VarNext) ) ) )).

fof(addAssignment_7964,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21062(VarNext)
      <=> v21060(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_482,axiom,(
    ! [VarCurr] :
      ( ~ v21006(VarCurr)
     => ( v21060(VarCurr)
      <=> v21063(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_467,axiom,(
    ! [VarCurr] :
      ( v21006(VarCurr)
     => ( v21060(VarCurr)
      <=> v21008(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_481,axiom,(
    ! [VarCurr] :
      ( ~ v21040(VarCurr)
     => ( v21063(VarCurr)
      <=> v21022(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_466,axiom,(
    ! [VarCurr] :
      ( v21040(VarCurr)
     => ( v21063(VarCurr)
      <=> v21064(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_125,axiom,(
    ! [VarCurr] :
      ( ( ~ v21043(VarCurr)
        & ~ v21045(VarCurr) )
     => ( v21064(VarCurr)
      <=> v21068(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_480,axiom,(
    ! [VarCurr] :
      ( v21045(VarCurr)
     => ( v21064(VarCurr)
      <=> v21067(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_465,axiom,(
    ! [VarCurr] :
      ( v21043(VarCurr)
     => ( v21064(VarCurr)
      <=> v21065(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_479,axiom,(
    ! [VarCurr] :
      ( ~ v21053(VarCurr)
     => ( v21068(VarCurr)
      <=> v21022(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_464,axiom,(
    ! [VarCurr] :
      ( v21053(VarCurr)
     => ( v21068(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_478,axiom,(
    ! [VarCurr] :
      ( ~ v21047(VarCurr)
     => ( v21067(VarCurr)
      <=> v21022(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_463,axiom,(
    ! [VarCurr] :
      ( v21047(VarCurr)
     => ( v21067(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_423,axiom,(
    ! [VarCurr] :
      ( ~ v21066(VarCurr)
     => ( v21065(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_380,axiom,(
    ! [VarCurr] :
      ( v21066(VarCurr)
     => ( v21065(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1288,axiom,(
    ! [VarCurr] :
      ( v21066(VarCurr)
    <=> ( v21016(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5080,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21027(VarNext)
      <=> ( v21028(VarNext)
          & v21037(VarNext) ) ) ) )).

fof(addAssignment_7963,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21037(VarNext)
      <=> v21035(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5079,axiom,(
    ! [VarCurr] :
      ( v21035(VarCurr)
    <=> ( v21006(VarCurr)
        | v21038(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5078,axiom,(
    ! [VarCurr] :
      ( v21038(VarCurr)
    <=> ( v21039(VarCurr)
        & v21059(VarCurr) ) ) )).

fof(writeUnaryOperator_2608,axiom,(
    ! [VarCurr] :
      ( ~ v21059(VarCurr)
    <=> v21006(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5077,axiom,(
    ! [VarCurr] :
      ( v21039(VarCurr)
    <=> ( v21040(VarCurr)
        | v21057(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5076,axiom,(
    ! [VarCurr] :
      ( v21057(VarCurr)
    <=> ( v21018(VarCurr)
        & v21058(VarCurr) ) ) )).

fof(writeUnaryOperator_2607,axiom,(
    ! [VarCurr] :
      ( ~ v21058(VarCurr)
    <=> v21020(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5075,axiom,(
    ! [VarCurr] :
      ( v21040(VarCurr)
    <=> ( v21041(VarCurr)
        & v21020(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5074,axiom,(
    ! [VarCurr] :
      ( v21041(VarCurr)
    <=> ( v21042(VarCurr)
        | v21051(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5073,axiom,(
    ! [VarCurr] :
      ( v21051(VarCurr)
    <=> ( v21052(VarCurr)
        & v21056(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1287,axiom,(
    ! [VarCurr] :
      ( v21056(VarCurr)
    <=> ( ( v21044(VarCurr,bitIndex2)
        <=> $false )
        & ( v21044(VarCurr,bitIndex1)
        <=> $false )
        & ( v21044(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5072,axiom,(
    ! [VarCurr] :
      ( v21052(VarCurr)
    <=> ( v21053(VarCurr)
        | v21054(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5071,axiom,(
    ! [VarCurr] :
      ( v21054(VarCurr)
    <=> ( v21018(VarCurr)
        & v21055(VarCurr) ) ) )).

fof(writeUnaryOperator_2606,axiom,(
    ! [VarCurr] :
      ( ~ v21055(VarCurr)
    <=> v21053(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1286,axiom,(
    ! [VarCurr] :
      ( v21053(VarCurr)
    <=> ( v21016(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5070,axiom,(
    ! [VarCurr] :
      ( v21042(VarCurr)
    <=> ( v21043(VarCurr)
        | v21045(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5069,axiom,(
    ! [VarCurr] :
      ( v21045(VarCurr)
    <=> ( v21046(VarCurr)
        & v21050(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1285,axiom,(
    ! [VarCurr] :
      ( v21050(VarCurr)
    <=> ( ( v21044(VarCurr,bitIndex2)
        <=> $false )
        & ( v21044(VarCurr,bitIndex1)
        <=> $true )
        & ( v21044(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5068,axiom,(
    ! [VarCurr] :
      ( v21046(VarCurr)
    <=> ( v21047(VarCurr)
        | v21048(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5067,axiom,(
    ! [VarCurr] :
      ( v21048(VarCurr)
    <=> ( v21018(VarCurr)
        & v21049(VarCurr) ) ) )).

fof(writeUnaryOperator_2605,axiom,(
    ! [VarCurr] :
      ( ~ v21049(VarCurr)
    <=> v21047(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1284,axiom,(
    ! [VarCurr] :
      ( v21047(VarCurr)
    <=> ( v21016(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1283,axiom,(
    ! [VarCurr] :
      ( v21043(VarCurr)
    <=> ( ( v21044(VarCurr,bitIndex2)
        <=> $true )
        & ( v21044(VarCurr,bitIndex1)
        <=> $false )
        & ( v21044(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7962,axiom,(
    ! [VarCurr] :
      ( v21044(VarCurr,bitIndex0)
    <=> v21014(VarCurr) ) )).

fof(addAssignment_7961,axiom,(
    ! [VarCurr] :
      ( v21044(VarCurr,bitIndex1)
    <=> v21012(VarCurr) ) )).

fof(addAssignment_7960,axiom,(
    ! [VarCurr] :
      ( v21044(VarCurr,bitIndex2)
    <=> v21010(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5066,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21028(VarNext)
      <=> ( v21029(VarNext)
          & v21024(VarNext) ) ) ) )).

fof(writeUnaryOperator_2604,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21029(VarNext)
      <=> v21031(VarNext) ) ) )).

fof(addAssignment_7959,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21031(VarNext)
      <=> v21024(VarCurr) ) ) )).

fof(addAssignment_7958,axiom,(
    ! [VarCurr] :
      ( v21024(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7957,axiom,(
    ! [VarCurr] :
      ( v21022(VarCurr)
    <=> $false ) )).

fof(addAssignment_7956,axiom,(
    ! [VarCurr] :
      ( v21020(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7955,axiom,(
    ! [VarCurr] :
      ( v21018(VarCurr)
    <=> $false ) )).

fof(addAssignment_7954,axiom,(
    ! [VarCurr] :
      ( v21016(VarCurr)
    <=> v20492(VarCurr,bitIndex23) ) )).

fof(addAssignment_7953,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex23)
    <=> v20494(VarCurr,bitIndex23) ) )).

fof(addAssignment_7952,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex23)
    <=> v3822(VarCurr,bitIndex23) ) )).

fof(addAssignment_7951,axiom,(
    ! [VarCurr] :
      ( v21014(VarCurr)
    <=> $false ) )).

fof(addAssignment_7950,axiom,(
    ! [VarCurr] :
      ( v21012(VarCurr)
    <=> $false ) )).

fof(addAssignment_7949,axiom,(
    ! [VarCurr] :
      ( v21010(VarCurr)
    <=> $true ) )).

fof(addAssignment_7948,axiom,(
    ! [VarCurr] :
      ( v21008(VarCurr)
    <=> $false ) )).

fof(addAssignment_7947,axiom,(
    ! [VarCurr] :
      ( v21006(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_261,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20959(VarNext)
       => ( v20936(VarNext)
        <=> v20936(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_295,axiom,(
    ! [VarNext] :
      ( v20959(VarNext)
     => ( v20936(VarNext)
      <=> v20994(VarNext) ) ) )).

fof(addAssignment_7946,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20994(VarNext)
      <=> v20992(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_477,axiom,(
    ! [VarCurr] :
      ( ~ v20938(VarCurr)
     => ( v20992(VarCurr)
      <=> v20995(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_462,axiom,(
    ! [VarCurr] :
      ( v20938(VarCurr)
     => ( v20992(VarCurr)
      <=> v20940(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_476,axiom,(
    ! [VarCurr] :
      ( ~ v20972(VarCurr)
     => ( v20995(VarCurr)
      <=> v20954(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_461,axiom,(
    ! [VarCurr] :
      ( v20972(VarCurr)
     => ( v20995(VarCurr)
      <=> v20996(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_124,axiom,(
    ! [VarCurr] :
      ( ( ~ v20975(VarCurr)
        & ~ v20977(VarCurr) )
     => ( v20996(VarCurr)
      <=> v21000(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_475,axiom,(
    ! [VarCurr] :
      ( v20977(VarCurr)
     => ( v20996(VarCurr)
      <=> v20999(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_460,axiom,(
    ! [VarCurr] :
      ( v20975(VarCurr)
     => ( v20996(VarCurr)
      <=> v20997(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_474,axiom,(
    ! [VarCurr] :
      ( ~ v20985(VarCurr)
     => ( v21000(VarCurr)
      <=> v20954(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_459,axiom,(
    ! [VarCurr] :
      ( v20985(VarCurr)
     => ( v21000(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_473,axiom,(
    ! [VarCurr] :
      ( ~ v20979(VarCurr)
     => ( v20999(VarCurr)
      <=> v20954(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_458,axiom,(
    ! [VarCurr] :
      ( v20979(VarCurr)
     => ( v20999(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_422,axiom,(
    ! [VarCurr] :
      ( ~ v20998(VarCurr)
     => ( v20997(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_379,axiom,(
    ! [VarCurr] :
      ( v20998(VarCurr)
     => ( v20997(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1282,axiom,(
    ! [VarCurr] :
      ( v20998(VarCurr)
    <=> ( v20948(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5065,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20959(VarNext)
      <=> ( v20960(VarNext)
          & v20969(VarNext) ) ) ) )).

fof(addAssignment_7945,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20969(VarNext)
      <=> v20967(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5064,axiom,(
    ! [VarCurr] :
      ( v20967(VarCurr)
    <=> ( v20938(VarCurr)
        | v20970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5063,axiom,(
    ! [VarCurr] :
      ( v20970(VarCurr)
    <=> ( v20971(VarCurr)
        & v20991(VarCurr) ) ) )).

fof(writeUnaryOperator_2603,axiom,(
    ! [VarCurr] :
      ( ~ v20991(VarCurr)
    <=> v20938(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5062,axiom,(
    ! [VarCurr] :
      ( v20971(VarCurr)
    <=> ( v20972(VarCurr)
        | v20989(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5061,axiom,(
    ! [VarCurr] :
      ( v20989(VarCurr)
    <=> ( v20950(VarCurr)
        & v20990(VarCurr) ) ) )).

fof(writeUnaryOperator_2602,axiom,(
    ! [VarCurr] :
      ( ~ v20990(VarCurr)
    <=> v20952(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5060,axiom,(
    ! [VarCurr] :
      ( v20972(VarCurr)
    <=> ( v20973(VarCurr)
        & v20952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5059,axiom,(
    ! [VarCurr] :
      ( v20973(VarCurr)
    <=> ( v20974(VarCurr)
        | v20983(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5058,axiom,(
    ! [VarCurr] :
      ( v20983(VarCurr)
    <=> ( v20984(VarCurr)
        & v20988(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1281,axiom,(
    ! [VarCurr] :
      ( v20988(VarCurr)
    <=> ( ( v20976(VarCurr,bitIndex2)
        <=> $false )
        & ( v20976(VarCurr,bitIndex1)
        <=> $false )
        & ( v20976(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5057,axiom,(
    ! [VarCurr] :
      ( v20984(VarCurr)
    <=> ( v20985(VarCurr)
        | v20986(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5056,axiom,(
    ! [VarCurr] :
      ( v20986(VarCurr)
    <=> ( v20950(VarCurr)
        & v20987(VarCurr) ) ) )).

fof(writeUnaryOperator_2601,axiom,(
    ! [VarCurr] :
      ( ~ v20987(VarCurr)
    <=> v20985(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1280,axiom,(
    ! [VarCurr] :
      ( v20985(VarCurr)
    <=> ( v20948(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5055,axiom,(
    ! [VarCurr] :
      ( v20974(VarCurr)
    <=> ( v20975(VarCurr)
        | v20977(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5054,axiom,(
    ! [VarCurr] :
      ( v20977(VarCurr)
    <=> ( v20978(VarCurr)
        & v20982(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1279,axiom,(
    ! [VarCurr] :
      ( v20982(VarCurr)
    <=> ( ( v20976(VarCurr,bitIndex2)
        <=> $false )
        & ( v20976(VarCurr,bitIndex1)
        <=> $true )
        & ( v20976(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5053,axiom,(
    ! [VarCurr] :
      ( v20978(VarCurr)
    <=> ( v20979(VarCurr)
        | v20980(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5052,axiom,(
    ! [VarCurr] :
      ( v20980(VarCurr)
    <=> ( v20950(VarCurr)
        & v20981(VarCurr) ) ) )).

fof(writeUnaryOperator_2600,axiom,(
    ! [VarCurr] :
      ( ~ v20981(VarCurr)
    <=> v20979(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1278,axiom,(
    ! [VarCurr] :
      ( v20979(VarCurr)
    <=> ( v20948(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1277,axiom,(
    ! [VarCurr] :
      ( v20975(VarCurr)
    <=> ( ( v20976(VarCurr,bitIndex2)
        <=> $true )
        & ( v20976(VarCurr,bitIndex1)
        <=> $false )
        & ( v20976(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7944,axiom,(
    ! [VarCurr] :
      ( v20976(VarCurr,bitIndex0)
    <=> v20946(VarCurr) ) )).

fof(addAssignment_7943,axiom,(
    ! [VarCurr] :
      ( v20976(VarCurr,bitIndex1)
    <=> v20944(VarCurr) ) )).

fof(addAssignment_7942,axiom,(
    ! [VarCurr] :
      ( v20976(VarCurr,bitIndex2)
    <=> v20942(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5051,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20960(VarNext)
      <=> ( v20961(VarNext)
          & v20956(VarNext) ) ) ) )).

fof(writeUnaryOperator_2599,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20961(VarNext)
      <=> v20963(VarNext) ) ) )).

fof(addAssignment_7941,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20963(VarNext)
      <=> v20956(VarCurr) ) ) )).

fof(addAssignment_7940,axiom,(
    ! [VarCurr] :
      ( v20956(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7939,axiom,(
    ! [VarCurr] :
      ( v20954(VarCurr)
    <=> $false ) )).

fof(addAssignment_7938,axiom,(
    ! [VarCurr] :
      ( v20952(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7937,axiom,(
    ! [VarCurr] :
      ( v20950(VarCurr)
    <=> $false ) )).

fof(addAssignment_7936,axiom,(
    ! [VarCurr] :
      ( v20948(VarCurr)
    <=> v20492(VarCurr,bitIndex22) ) )).

fof(addAssignment_7935,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex22)
    <=> v20494(VarCurr,bitIndex22) ) )).

fof(addAssignment_7934,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex22)
    <=> v3822(VarCurr,bitIndex22) ) )).

fof(addAssignment_7933,axiom,(
    ! [VarCurr] :
      ( v20946(VarCurr)
    <=> $false ) )).

fof(addAssignment_7932,axiom,(
    ! [VarCurr] :
      ( v20944(VarCurr)
    <=> $false ) )).

fof(addAssignment_7931,axiom,(
    ! [VarCurr] :
      ( v20942(VarCurr)
    <=> $true ) )).

fof(addAssignment_7930,axiom,(
    ! [VarCurr] :
      ( v20940(VarCurr)
    <=> $false ) )).

fof(addAssignment_7929,axiom,(
    ! [VarCurr] :
      ( v20938(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20891(VarNext)
       => ( v20868(VarNext)
        <=> v20868(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_294,axiom,(
    ! [VarNext] :
      ( v20891(VarNext)
     => ( v20868(VarNext)
      <=> v20926(VarNext) ) ) )).

fof(addAssignment_7928,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20926(VarNext)
      <=> v20924(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_472,axiom,(
    ! [VarCurr] :
      ( ~ v20870(VarCurr)
     => ( v20924(VarCurr)
      <=> v20927(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_457,axiom,(
    ! [VarCurr] :
      ( v20870(VarCurr)
     => ( v20924(VarCurr)
      <=> v20872(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_471,axiom,(
    ! [VarCurr] :
      ( ~ v20904(VarCurr)
     => ( v20927(VarCurr)
      <=> v20886(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_456,axiom,(
    ! [VarCurr] :
      ( v20904(VarCurr)
     => ( v20927(VarCurr)
      <=> v20928(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_123,axiom,(
    ! [VarCurr] :
      ( ( ~ v20907(VarCurr)
        & ~ v20909(VarCurr) )
     => ( v20928(VarCurr)
      <=> v20932(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_470,axiom,(
    ! [VarCurr] :
      ( v20909(VarCurr)
     => ( v20928(VarCurr)
      <=> v20931(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_455,axiom,(
    ! [VarCurr] :
      ( v20907(VarCurr)
     => ( v20928(VarCurr)
      <=> v20929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_469,axiom,(
    ! [VarCurr] :
      ( ~ v20917(VarCurr)
     => ( v20932(VarCurr)
      <=> v20886(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_454,axiom,(
    ! [VarCurr] :
      ( v20917(VarCurr)
     => ( v20932(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_468,axiom,(
    ! [VarCurr] :
      ( ~ v20911(VarCurr)
     => ( v20931(VarCurr)
      <=> v20886(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_453,axiom,(
    ! [VarCurr] :
      ( v20911(VarCurr)
     => ( v20931(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_421,axiom,(
    ! [VarCurr] :
      ( ~ v20930(VarCurr)
     => ( v20929(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_378,axiom,(
    ! [VarCurr] :
      ( v20930(VarCurr)
     => ( v20929(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1276,axiom,(
    ! [VarCurr] :
      ( v20930(VarCurr)
    <=> ( v20880(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5050,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20891(VarNext)
      <=> ( v20892(VarNext)
          & v20901(VarNext) ) ) ) )).

fof(addAssignment_7927,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20901(VarNext)
      <=> v20899(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5049,axiom,(
    ! [VarCurr] :
      ( v20899(VarCurr)
    <=> ( v20870(VarCurr)
        | v20902(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5048,axiom,(
    ! [VarCurr] :
      ( v20902(VarCurr)
    <=> ( v20903(VarCurr)
        & v20923(VarCurr) ) ) )).

fof(writeUnaryOperator_2598,axiom,(
    ! [VarCurr] :
      ( ~ v20923(VarCurr)
    <=> v20870(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5047,axiom,(
    ! [VarCurr] :
      ( v20903(VarCurr)
    <=> ( v20904(VarCurr)
        | v20921(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5046,axiom,(
    ! [VarCurr] :
      ( v20921(VarCurr)
    <=> ( v20882(VarCurr)
        & v20922(VarCurr) ) ) )).

fof(writeUnaryOperator_2597,axiom,(
    ! [VarCurr] :
      ( ~ v20922(VarCurr)
    <=> v20884(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5045,axiom,(
    ! [VarCurr] :
      ( v20904(VarCurr)
    <=> ( v20905(VarCurr)
        & v20884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5044,axiom,(
    ! [VarCurr] :
      ( v20905(VarCurr)
    <=> ( v20906(VarCurr)
        | v20915(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5043,axiom,(
    ! [VarCurr] :
      ( v20915(VarCurr)
    <=> ( v20916(VarCurr)
        & v20920(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1275,axiom,(
    ! [VarCurr] :
      ( v20920(VarCurr)
    <=> ( ( v20908(VarCurr,bitIndex2)
        <=> $false )
        & ( v20908(VarCurr,bitIndex1)
        <=> $false )
        & ( v20908(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5042,axiom,(
    ! [VarCurr] :
      ( v20916(VarCurr)
    <=> ( v20917(VarCurr)
        | v20918(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5041,axiom,(
    ! [VarCurr] :
      ( v20918(VarCurr)
    <=> ( v20882(VarCurr)
        & v20919(VarCurr) ) ) )).

fof(writeUnaryOperator_2596,axiom,(
    ! [VarCurr] :
      ( ~ v20919(VarCurr)
    <=> v20917(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1274,axiom,(
    ! [VarCurr] :
      ( v20917(VarCurr)
    <=> ( v20880(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5040,axiom,(
    ! [VarCurr] :
      ( v20906(VarCurr)
    <=> ( v20907(VarCurr)
        | v20909(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5039,axiom,(
    ! [VarCurr] :
      ( v20909(VarCurr)
    <=> ( v20910(VarCurr)
        & v20914(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1273,axiom,(
    ! [VarCurr] :
      ( v20914(VarCurr)
    <=> ( ( v20908(VarCurr,bitIndex2)
        <=> $false )
        & ( v20908(VarCurr,bitIndex1)
        <=> $true )
        & ( v20908(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5038,axiom,(
    ! [VarCurr] :
      ( v20910(VarCurr)
    <=> ( v20911(VarCurr)
        | v20912(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5037,axiom,(
    ! [VarCurr] :
      ( v20912(VarCurr)
    <=> ( v20882(VarCurr)
        & v20913(VarCurr) ) ) )).

fof(writeUnaryOperator_2595,axiom,(
    ! [VarCurr] :
      ( ~ v20913(VarCurr)
    <=> v20911(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1272,axiom,(
    ! [VarCurr] :
      ( v20911(VarCurr)
    <=> ( v20880(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1271,axiom,(
    ! [VarCurr] :
      ( v20907(VarCurr)
    <=> ( ( v20908(VarCurr,bitIndex2)
        <=> $true )
        & ( v20908(VarCurr,bitIndex1)
        <=> $false )
        & ( v20908(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7926,axiom,(
    ! [VarCurr] :
      ( v20908(VarCurr,bitIndex0)
    <=> v20878(VarCurr) ) )).

fof(addAssignment_7925,axiom,(
    ! [VarCurr] :
      ( v20908(VarCurr,bitIndex1)
    <=> v20876(VarCurr) ) )).

fof(addAssignment_7924,axiom,(
    ! [VarCurr] :
      ( v20908(VarCurr,bitIndex2)
    <=> v20874(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5036,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20892(VarNext)
      <=> ( v20893(VarNext)
          & v20888(VarNext) ) ) ) )).

fof(writeUnaryOperator_2594,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20893(VarNext)
      <=> v20895(VarNext) ) ) )).

fof(addAssignment_7923,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20895(VarNext)
      <=> v20888(VarCurr) ) ) )).

fof(addAssignment_7922,axiom,(
    ! [VarCurr] :
      ( v20888(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7921,axiom,(
    ! [VarCurr] :
      ( v20886(VarCurr)
    <=> $false ) )).

fof(addAssignment_7920,axiom,(
    ! [VarCurr] :
      ( v20884(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7919,axiom,(
    ! [VarCurr] :
      ( v20882(VarCurr)
    <=> $false ) )).

fof(addAssignment_7918,axiom,(
    ! [VarCurr] :
      ( v20880(VarCurr)
    <=> v20492(VarCurr,bitIndex21) ) )).

fof(addAssignment_7917,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex21)
    <=> v20494(VarCurr,bitIndex21) ) )).

fof(addAssignment_7916,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex21)
    <=> v3822(VarCurr,bitIndex21) ) )).

fof(addAssignment_7915,axiom,(
    ! [VarCurr] :
      ( v20878(VarCurr)
    <=> $false ) )).

fof(addAssignment_7914,axiom,(
    ! [VarCurr] :
      ( v20876(VarCurr)
    <=> $false ) )).

fof(addAssignment_7913,axiom,(
    ! [VarCurr] :
      ( v20874(VarCurr)
    <=> $true ) )).

fof(addAssignment_7912,axiom,(
    ! [VarCurr] :
      ( v20872(VarCurr)
    <=> $false ) )).

fof(addAssignment_7911,axiom,(
    ! [VarCurr] :
      ( v20870(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_259,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20823(VarNext)
       => ( v20800(VarNext)
        <=> v20800(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_293,axiom,(
    ! [VarNext] :
      ( v20823(VarNext)
     => ( v20800(VarNext)
      <=> v20858(VarNext) ) ) )).

fof(addAssignment_7910,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20858(VarNext)
      <=> v20856(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_467,axiom,(
    ! [VarCurr] :
      ( ~ v20802(VarCurr)
     => ( v20856(VarCurr)
      <=> v20859(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_452,axiom,(
    ! [VarCurr] :
      ( v20802(VarCurr)
     => ( v20856(VarCurr)
      <=> v20804(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_466,axiom,(
    ! [VarCurr] :
      ( ~ v20836(VarCurr)
     => ( v20859(VarCurr)
      <=> v20818(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_451,axiom,(
    ! [VarCurr] :
      ( v20836(VarCurr)
     => ( v20859(VarCurr)
      <=> v20860(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_122,axiom,(
    ! [VarCurr] :
      ( ( ~ v20839(VarCurr)
        & ~ v20841(VarCurr) )
     => ( v20860(VarCurr)
      <=> v20864(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_465,axiom,(
    ! [VarCurr] :
      ( v20841(VarCurr)
     => ( v20860(VarCurr)
      <=> v20863(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_450,axiom,(
    ! [VarCurr] :
      ( v20839(VarCurr)
     => ( v20860(VarCurr)
      <=> v20861(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_464,axiom,(
    ! [VarCurr] :
      ( ~ v20849(VarCurr)
     => ( v20864(VarCurr)
      <=> v20818(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_449,axiom,(
    ! [VarCurr] :
      ( v20849(VarCurr)
     => ( v20864(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_463,axiom,(
    ! [VarCurr] :
      ( ~ v20843(VarCurr)
     => ( v20863(VarCurr)
      <=> v20818(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_448,axiom,(
    ! [VarCurr] :
      ( v20843(VarCurr)
     => ( v20863(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_420,axiom,(
    ! [VarCurr] :
      ( ~ v20862(VarCurr)
     => ( v20861(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_377,axiom,(
    ! [VarCurr] :
      ( v20862(VarCurr)
     => ( v20861(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1270,axiom,(
    ! [VarCurr] :
      ( v20862(VarCurr)
    <=> ( v20812(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5035,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20823(VarNext)
      <=> ( v20824(VarNext)
          & v20833(VarNext) ) ) ) )).

fof(addAssignment_7909,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20833(VarNext)
      <=> v20831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5034,axiom,(
    ! [VarCurr] :
      ( v20831(VarCurr)
    <=> ( v20802(VarCurr)
        | v20834(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5033,axiom,(
    ! [VarCurr] :
      ( v20834(VarCurr)
    <=> ( v20835(VarCurr)
        & v20855(VarCurr) ) ) )).

fof(writeUnaryOperator_2593,axiom,(
    ! [VarCurr] :
      ( ~ v20855(VarCurr)
    <=> v20802(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5032,axiom,(
    ! [VarCurr] :
      ( v20835(VarCurr)
    <=> ( v20836(VarCurr)
        | v20853(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5031,axiom,(
    ! [VarCurr] :
      ( v20853(VarCurr)
    <=> ( v20814(VarCurr)
        & v20854(VarCurr) ) ) )).

fof(writeUnaryOperator_2592,axiom,(
    ! [VarCurr] :
      ( ~ v20854(VarCurr)
    <=> v20816(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5030,axiom,(
    ! [VarCurr] :
      ( v20836(VarCurr)
    <=> ( v20837(VarCurr)
        & v20816(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5029,axiom,(
    ! [VarCurr] :
      ( v20837(VarCurr)
    <=> ( v20838(VarCurr)
        | v20847(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5028,axiom,(
    ! [VarCurr] :
      ( v20847(VarCurr)
    <=> ( v20848(VarCurr)
        & v20852(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1269,axiom,(
    ! [VarCurr] :
      ( v20852(VarCurr)
    <=> ( ( v20840(VarCurr,bitIndex2)
        <=> $false )
        & ( v20840(VarCurr,bitIndex1)
        <=> $false )
        & ( v20840(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5027,axiom,(
    ! [VarCurr] :
      ( v20848(VarCurr)
    <=> ( v20849(VarCurr)
        | v20850(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5026,axiom,(
    ! [VarCurr] :
      ( v20850(VarCurr)
    <=> ( v20814(VarCurr)
        & v20851(VarCurr) ) ) )).

fof(writeUnaryOperator_2591,axiom,(
    ! [VarCurr] :
      ( ~ v20851(VarCurr)
    <=> v20849(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1268,axiom,(
    ! [VarCurr] :
      ( v20849(VarCurr)
    <=> ( v20812(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5025,axiom,(
    ! [VarCurr] :
      ( v20838(VarCurr)
    <=> ( v20839(VarCurr)
        | v20841(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5024,axiom,(
    ! [VarCurr] :
      ( v20841(VarCurr)
    <=> ( v20842(VarCurr)
        & v20846(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1267,axiom,(
    ! [VarCurr] :
      ( v20846(VarCurr)
    <=> ( ( v20840(VarCurr,bitIndex2)
        <=> $false )
        & ( v20840(VarCurr,bitIndex1)
        <=> $true )
        & ( v20840(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5023,axiom,(
    ! [VarCurr] :
      ( v20842(VarCurr)
    <=> ( v20843(VarCurr)
        | v20844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5022,axiom,(
    ! [VarCurr] :
      ( v20844(VarCurr)
    <=> ( v20814(VarCurr)
        & v20845(VarCurr) ) ) )).

fof(writeUnaryOperator_2590,axiom,(
    ! [VarCurr] :
      ( ~ v20845(VarCurr)
    <=> v20843(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1266,axiom,(
    ! [VarCurr] :
      ( v20843(VarCurr)
    <=> ( v20812(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1265,axiom,(
    ! [VarCurr] :
      ( v20839(VarCurr)
    <=> ( ( v20840(VarCurr,bitIndex2)
        <=> $true )
        & ( v20840(VarCurr,bitIndex1)
        <=> $false )
        & ( v20840(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7908,axiom,(
    ! [VarCurr] :
      ( v20840(VarCurr,bitIndex0)
    <=> v20810(VarCurr) ) )).

fof(addAssignment_7907,axiom,(
    ! [VarCurr] :
      ( v20840(VarCurr,bitIndex1)
    <=> v20808(VarCurr) ) )).

fof(addAssignment_7906,axiom,(
    ! [VarCurr] :
      ( v20840(VarCurr,bitIndex2)
    <=> v20806(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5021,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20824(VarNext)
      <=> ( v20825(VarNext)
          & v20820(VarNext) ) ) ) )).

fof(writeUnaryOperator_2589,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20825(VarNext)
      <=> v20827(VarNext) ) ) )).

fof(addAssignment_7905,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20827(VarNext)
      <=> v20820(VarCurr) ) ) )).

fof(addAssignment_7904,axiom,(
    ! [VarCurr] :
      ( v20820(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7903,axiom,(
    ! [VarCurr] :
      ( v20818(VarCurr)
    <=> $false ) )).

fof(addAssignment_7902,axiom,(
    ! [VarCurr] :
      ( v20816(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7901,axiom,(
    ! [VarCurr] :
      ( v20814(VarCurr)
    <=> $false ) )).

fof(addAssignment_7900,axiom,(
    ! [VarCurr] :
      ( v20812(VarCurr)
    <=> v20492(VarCurr,bitIndex20) ) )).

fof(addAssignment_7899,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex20)
    <=> v20494(VarCurr,bitIndex20) ) )).

fof(addAssignment_7898,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex20)
    <=> v3822(VarCurr,bitIndex20) ) )).

fof(addAssignment_7897,axiom,(
    ! [VarCurr] :
      ( v20810(VarCurr)
    <=> $false ) )).

fof(addAssignment_7896,axiom,(
    ! [VarCurr] :
      ( v20808(VarCurr)
    <=> $false ) )).

fof(addAssignment_7895,axiom,(
    ! [VarCurr] :
      ( v20806(VarCurr)
    <=> $true ) )).

fof(addAssignment_7894,axiom,(
    ! [VarCurr] :
      ( v20804(VarCurr)
    <=> $false ) )).

fof(addAssignment_7893,axiom,(
    ! [VarCurr] :
      ( v20802(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_258,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20755(VarNext)
       => ( v20732(VarNext)
        <=> v20732(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_292,axiom,(
    ! [VarNext] :
      ( v20755(VarNext)
     => ( v20732(VarNext)
      <=> v20790(VarNext) ) ) )).

fof(addAssignment_7892,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20790(VarNext)
      <=> v20788(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_462,axiom,(
    ! [VarCurr] :
      ( ~ v20734(VarCurr)
     => ( v20788(VarCurr)
      <=> v20791(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_447,axiom,(
    ! [VarCurr] :
      ( v20734(VarCurr)
     => ( v20788(VarCurr)
      <=> v20736(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_461,axiom,(
    ! [VarCurr] :
      ( ~ v20768(VarCurr)
     => ( v20791(VarCurr)
      <=> v20750(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_446,axiom,(
    ! [VarCurr] :
      ( v20768(VarCurr)
     => ( v20791(VarCurr)
      <=> v20792(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_121,axiom,(
    ! [VarCurr] :
      ( ( ~ v20771(VarCurr)
        & ~ v20773(VarCurr) )
     => ( v20792(VarCurr)
      <=> v20796(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_460,axiom,(
    ! [VarCurr] :
      ( v20773(VarCurr)
     => ( v20792(VarCurr)
      <=> v20795(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_445,axiom,(
    ! [VarCurr] :
      ( v20771(VarCurr)
     => ( v20792(VarCurr)
      <=> v20793(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_459,axiom,(
    ! [VarCurr] :
      ( ~ v20781(VarCurr)
     => ( v20796(VarCurr)
      <=> v20750(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_444,axiom,(
    ! [VarCurr] :
      ( v20781(VarCurr)
     => ( v20796(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_458,axiom,(
    ! [VarCurr] :
      ( ~ v20775(VarCurr)
     => ( v20795(VarCurr)
      <=> v20750(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_443,axiom,(
    ! [VarCurr] :
      ( v20775(VarCurr)
     => ( v20795(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_419,axiom,(
    ! [VarCurr] :
      ( ~ v20794(VarCurr)
     => ( v20793(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_376,axiom,(
    ! [VarCurr] :
      ( v20794(VarCurr)
     => ( v20793(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1264,axiom,(
    ! [VarCurr] :
      ( v20794(VarCurr)
    <=> ( v20744(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5020,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20755(VarNext)
      <=> ( v20756(VarNext)
          & v20765(VarNext) ) ) ) )).

fof(addAssignment_7891,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20765(VarNext)
      <=> v20763(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5019,axiom,(
    ! [VarCurr] :
      ( v20763(VarCurr)
    <=> ( v20734(VarCurr)
        | v20766(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5018,axiom,(
    ! [VarCurr] :
      ( v20766(VarCurr)
    <=> ( v20767(VarCurr)
        & v20787(VarCurr) ) ) )).

fof(writeUnaryOperator_2588,axiom,(
    ! [VarCurr] :
      ( ~ v20787(VarCurr)
    <=> v20734(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5017,axiom,(
    ! [VarCurr] :
      ( v20767(VarCurr)
    <=> ( v20768(VarCurr)
        | v20785(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5016,axiom,(
    ! [VarCurr] :
      ( v20785(VarCurr)
    <=> ( v20746(VarCurr)
        & v20786(VarCurr) ) ) )).

fof(writeUnaryOperator_2587,axiom,(
    ! [VarCurr] :
      ( ~ v20786(VarCurr)
    <=> v20748(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5015,axiom,(
    ! [VarCurr] :
      ( v20768(VarCurr)
    <=> ( v20769(VarCurr)
        & v20748(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5014,axiom,(
    ! [VarCurr] :
      ( v20769(VarCurr)
    <=> ( v20770(VarCurr)
        | v20779(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5013,axiom,(
    ! [VarCurr] :
      ( v20779(VarCurr)
    <=> ( v20780(VarCurr)
        & v20784(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1263,axiom,(
    ! [VarCurr] :
      ( v20784(VarCurr)
    <=> ( ( v20772(VarCurr,bitIndex2)
        <=> $false )
        & ( v20772(VarCurr,bitIndex1)
        <=> $false )
        & ( v20772(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5012,axiom,(
    ! [VarCurr] :
      ( v20780(VarCurr)
    <=> ( v20781(VarCurr)
        | v20782(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5011,axiom,(
    ! [VarCurr] :
      ( v20782(VarCurr)
    <=> ( v20746(VarCurr)
        & v20783(VarCurr) ) ) )).

fof(writeUnaryOperator_2586,axiom,(
    ! [VarCurr] :
      ( ~ v20783(VarCurr)
    <=> v20781(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1262,axiom,(
    ! [VarCurr] :
      ( v20781(VarCurr)
    <=> ( v20744(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5010,axiom,(
    ! [VarCurr] :
      ( v20770(VarCurr)
    <=> ( v20771(VarCurr)
        | v20773(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5009,axiom,(
    ! [VarCurr] :
      ( v20773(VarCurr)
    <=> ( v20774(VarCurr)
        & v20778(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1261,axiom,(
    ! [VarCurr] :
      ( v20778(VarCurr)
    <=> ( ( v20772(VarCurr,bitIndex2)
        <=> $false )
        & ( v20772(VarCurr,bitIndex1)
        <=> $true )
        & ( v20772(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5008,axiom,(
    ! [VarCurr] :
      ( v20774(VarCurr)
    <=> ( v20775(VarCurr)
        | v20776(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5007,axiom,(
    ! [VarCurr] :
      ( v20776(VarCurr)
    <=> ( v20746(VarCurr)
        & v20777(VarCurr) ) ) )).

fof(writeUnaryOperator_2585,axiom,(
    ! [VarCurr] :
      ( ~ v20777(VarCurr)
    <=> v20775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1260,axiom,(
    ! [VarCurr] :
      ( v20775(VarCurr)
    <=> ( v20744(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1259,axiom,(
    ! [VarCurr] :
      ( v20771(VarCurr)
    <=> ( ( v20772(VarCurr,bitIndex2)
        <=> $true )
        & ( v20772(VarCurr,bitIndex1)
        <=> $false )
        & ( v20772(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7890,axiom,(
    ! [VarCurr] :
      ( v20772(VarCurr,bitIndex0)
    <=> v20742(VarCurr) ) )).

fof(addAssignment_7889,axiom,(
    ! [VarCurr] :
      ( v20772(VarCurr,bitIndex1)
    <=> v20740(VarCurr) ) )).

fof(addAssignment_7888,axiom,(
    ! [VarCurr] :
      ( v20772(VarCurr,bitIndex2)
    <=> v20738(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20756(VarNext)
      <=> ( v20757(VarNext)
          & v20752(VarNext) ) ) ) )).

fof(writeUnaryOperator_2584,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20757(VarNext)
      <=> v20759(VarNext) ) ) )).

fof(addAssignment_7887,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20759(VarNext)
      <=> v20752(VarCurr) ) ) )).

fof(addAssignment_7886,axiom,(
    ! [VarCurr] :
      ( v20752(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7885,axiom,(
    ! [VarCurr] :
      ( v20750(VarCurr)
    <=> $false ) )).

fof(addAssignment_7884,axiom,(
    ! [VarCurr] :
      ( v20748(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7883,axiom,(
    ! [VarCurr] :
      ( v20746(VarCurr)
    <=> $false ) )).

fof(addAssignment_7882,axiom,(
    ! [VarCurr] :
      ( v20744(VarCurr)
    <=> v20492(VarCurr,bitIndex19) ) )).

fof(addAssignment_7881,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex19)
    <=> v20494(VarCurr,bitIndex19) ) )).

fof(addAssignment_7880,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex19)
    <=> v3822(VarCurr,bitIndex19) ) )).

fof(addAssignment_7879,axiom,(
    ! [VarCurr] :
      ( v20742(VarCurr)
    <=> $false ) )).

fof(addAssignment_7878,axiom,(
    ! [VarCurr] :
      ( v20740(VarCurr)
    <=> $false ) )).

fof(addAssignment_7877,axiom,(
    ! [VarCurr] :
      ( v20738(VarCurr)
    <=> $true ) )).

fof(addAssignment_7876,axiom,(
    ! [VarCurr] :
      ( v20736(VarCurr)
    <=> $false ) )).

fof(addAssignment_7875,axiom,(
    ! [VarCurr] :
      ( v20734(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_257,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20687(VarNext)
       => ( v20664(VarNext)
        <=> v20664(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_291,axiom,(
    ! [VarNext] :
      ( v20687(VarNext)
     => ( v20664(VarNext)
      <=> v20722(VarNext) ) ) )).

fof(addAssignment_7874,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20722(VarNext)
      <=> v20720(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_457,axiom,(
    ! [VarCurr] :
      ( ~ v20666(VarCurr)
     => ( v20720(VarCurr)
      <=> v20723(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_442,axiom,(
    ! [VarCurr] :
      ( v20666(VarCurr)
     => ( v20720(VarCurr)
      <=> v20668(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_456,axiom,(
    ! [VarCurr] :
      ( ~ v20700(VarCurr)
     => ( v20723(VarCurr)
      <=> v20682(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_441,axiom,(
    ! [VarCurr] :
      ( v20700(VarCurr)
     => ( v20723(VarCurr)
      <=> v20724(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_120,axiom,(
    ! [VarCurr] :
      ( ( ~ v20703(VarCurr)
        & ~ v20705(VarCurr) )
     => ( v20724(VarCurr)
      <=> v20728(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_455,axiom,(
    ! [VarCurr] :
      ( v20705(VarCurr)
     => ( v20724(VarCurr)
      <=> v20727(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_440,axiom,(
    ! [VarCurr] :
      ( v20703(VarCurr)
     => ( v20724(VarCurr)
      <=> v20725(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_454,axiom,(
    ! [VarCurr] :
      ( ~ v20713(VarCurr)
     => ( v20728(VarCurr)
      <=> v20682(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_439,axiom,(
    ! [VarCurr] :
      ( v20713(VarCurr)
     => ( v20728(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_453,axiom,(
    ! [VarCurr] :
      ( ~ v20707(VarCurr)
     => ( v20727(VarCurr)
      <=> v20682(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_438,axiom,(
    ! [VarCurr] :
      ( v20707(VarCurr)
     => ( v20727(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_418,axiom,(
    ! [VarCurr] :
      ( ~ v20726(VarCurr)
     => ( v20725(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_375,axiom,(
    ! [VarCurr] :
      ( v20726(VarCurr)
     => ( v20725(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1258,axiom,(
    ! [VarCurr] :
      ( v20726(VarCurr)
    <=> ( v20676(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20687(VarNext)
      <=> ( v20688(VarNext)
          & v20697(VarNext) ) ) ) )).

fof(addAssignment_7873,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20697(VarNext)
      <=> v20695(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5004,axiom,(
    ! [VarCurr] :
      ( v20695(VarCurr)
    <=> ( v20666(VarCurr)
        | v20698(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5003,axiom,(
    ! [VarCurr] :
      ( v20698(VarCurr)
    <=> ( v20699(VarCurr)
        & v20719(VarCurr) ) ) )).

fof(writeUnaryOperator_2583,axiom,(
    ! [VarCurr] :
      ( ~ v20719(VarCurr)
    <=> v20666(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5002,axiom,(
    ! [VarCurr] :
      ( v20699(VarCurr)
    <=> ( v20700(VarCurr)
        | v20717(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5001,axiom,(
    ! [VarCurr] :
      ( v20717(VarCurr)
    <=> ( v20678(VarCurr)
        & v20718(VarCurr) ) ) )).

fof(writeUnaryOperator_2582,axiom,(
    ! [VarCurr] :
      ( ~ v20718(VarCurr)
    <=> v20680(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5000,axiom,(
    ! [VarCurr] :
      ( v20700(VarCurr)
    <=> ( v20701(VarCurr)
        & v20680(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4999,axiom,(
    ! [VarCurr] :
      ( v20701(VarCurr)
    <=> ( v20702(VarCurr)
        | v20711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4998,axiom,(
    ! [VarCurr] :
      ( v20711(VarCurr)
    <=> ( v20712(VarCurr)
        & v20716(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1257,axiom,(
    ! [VarCurr] :
      ( v20716(VarCurr)
    <=> ( ( v20704(VarCurr,bitIndex2)
        <=> $false )
        & ( v20704(VarCurr,bitIndex1)
        <=> $false )
        & ( v20704(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4997,axiom,(
    ! [VarCurr] :
      ( v20712(VarCurr)
    <=> ( v20713(VarCurr)
        | v20714(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4996,axiom,(
    ! [VarCurr] :
      ( v20714(VarCurr)
    <=> ( v20678(VarCurr)
        & v20715(VarCurr) ) ) )).

fof(writeUnaryOperator_2581,axiom,(
    ! [VarCurr] :
      ( ~ v20715(VarCurr)
    <=> v20713(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1256,axiom,(
    ! [VarCurr] :
      ( v20713(VarCurr)
    <=> ( v20676(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4995,axiom,(
    ! [VarCurr] :
      ( v20702(VarCurr)
    <=> ( v20703(VarCurr)
        | v20705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4994,axiom,(
    ! [VarCurr] :
      ( v20705(VarCurr)
    <=> ( v20706(VarCurr)
        & v20710(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1255,axiom,(
    ! [VarCurr] :
      ( v20710(VarCurr)
    <=> ( ( v20704(VarCurr,bitIndex2)
        <=> $false )
        & ( v20704(VarCurr,bitIndex1)
        <=> $true )
        & ( v20704(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4993,axiom,(
    ! [VarCurr] :
      ( v20706(VarCurr)
    <=> ( v20707(VarCurr)
        | v20708(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4992,axiom,(
    ! [VarCurr] :
      ( v20708(VarCurr)
    <=> ( v20678(VarCurr)
        & v20709(VarCurr) ) ) )).

fof(writeUnaryOperator_2580,axiom,(
    ! [VarCurr] :
      ( ~ v20709(VarCurr)
    <=> v20707(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1254,axiom,(
    ! [VarCurr] :
      ( v20707(VarCurr)
    <=> ( v20676(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1253,axiom,(
    ! [VarCurr] :
      ( v20703(VarCurr)
    <=> ( ( v20704(VarCurr,bitIndex2)
        <=> $true )
        & ( v20704(VarCurr,bitIndex1)
        <=> $false )
        & ( v20704(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7872,axiom,(
    ! [VarCurr] :
      ( v20704(VarCurr,bitIndex0)
    <=> v20674(VarCurr) ) )).

fof(addAssignment_7871,axiom,(
    ! [VarCurr] :
      ( v20704(VarCurr,bitIndex1)
    <=> v20672(VarCurr) ) )).

fof(addAssignment_7870,axiom,(
    ! [VarCurr] :
      ( v20704(VarCurr,bitIndex2)
    <=> v20670(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4991,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20688(VarNext)
      <=> ( v20689(VarNext)
          & v20684(VarNext) ) ) ) )).

fof(writeUnaryOperator_2579,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20689(VarNext)
      <=> v20691(VarNext) ) ) )).

fof(addAssignment_7869,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20691(VarNext)
      <=> v20684(VarCurr) ) ) )).

fof(addAssignment_7868,axiom,(
    ! [VarCurr] :
      ( v20684(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7867,axiom,(
    ! [VarCurr] :
      ( v20682(VarCurr)
    <=> $false ) )).

fof(addAssignment_7866,axiom,(
    ! [VarCurr] :
      ( v20680(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7865,axiom,(
    ! [VarCurr] :
      ( v20678(VarCurr)
    <=> $false ) )).

fof(addAssignment_7864,axiom,(
    ! [VarCurr] :
      ( v20676(VarCurr)
    <=> v20492(VarCurr,bitIndex18) ) )).

fof(addAssignment_7863,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex18)
    <=> v20494(VarCurr,bitIndex18) ) )).

fof(addAssignment_7862,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex18)
    <=> v3822(VarCurr,bitIndex18) ) )).

fof(addAssignment_7861,axiom,(
    ! [VarCurr] :
      ( v20674(VarCurr)
    <=> $false ) )).

fof(addAssignment_7860,axiom,(
    ! [VarCurr] :
      ( v20672(VarCurr)
    <=> $false ) )).

fof(addAssignment_7859,axiom,(
    ! [VarCurr] :
      ( v20670(VarCurr)
    <=> $true ) )).

fof(addAssignment_7858,axiom,(
    ! [VarCurr] :
      ( v20668(VarCurr)
    <=> $false ) )).

fof(addAssignment_7857,axiom,(
    ! [VarCurr] :
      ( v20666(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20619(VarNext)
       => ( v20596(VarNext)
        <=> v20596(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_290,axiom,(
    ! [VarNext] :
      ( v20619(VarNext)
     => ( v20596(VarNext)
      <=> v20654(VarNext) ) ) )).

fof(addAssignment_7856,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20654(VarNext)
      <=> v20652(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_452,axiom,(
    ! [VarCurr] :
      ( ~ v20598(VarCurr)
     => ( v20652(VarCurr)
      <=> v20655(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_437,axiom,(
    ! [VarCurr] :
      ( v20598(VarCurr)
     => ( v20652(VarCurr)
      <=> v20600(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_451,axiom,(
    ! [VarCurr] :
      ( ~ v20632(VarCurr)
     => ( v20655(VarCurr)
      <=> v20614(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_436,axiom,(
    ! [VarCurr] :
      ( v20632(VarCurr)
     => ( v20655(VarCurr)
      <=> v20656(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_119,axiom,(
    ! [VarCurr] :
      ( ( ~ v20635(VarCurr)
        & ~ v20637(VarCurr) )
     => ( v20656(VarCurr)
      <=> v20660(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_450,axiom,(
    ! [VarCurr] :
      ( v20637(VarCurr)
     => ( v20656(VarCurr)
      <=> v20659(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_435,axiom,(
    ! [VarCurr] :
      ( v20635(VarCurr)
     => ( v20656(VarCurr)
      <=> v20657(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_449,axiom,(
    ! [VarCurr] :
      ( ~ v20645(VarCurr)
     => ( v20660(VarCurr)
      <=> v20614(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_434,axiom,(
    ! [VarCurr] :
      ( v20645(VarCurr)
     => ( v20660(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_448,axiom,(
    ! [VarCurr] :
      ( ~ v20639(VarCurr)
     => ( v20659(VarCurr)
      <=> v20614(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_433,axiom,(
    ! [VarCurr] :
      ( v20639(VarCurr)
     => ( v20659(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_417,axiom,(
    ! [VarCurr] :
      ( ~ v20658(VarCurr)
     => ( v20657(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_374,axiom,(
    ! [VarCurr] :
      ( v20658(VarCurr)
     => ( v20657(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1252,axiom,(
    ! [VarCurr] :
      ( v20658(VarCurr)
    <=> ( v20608(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4990,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20619(VarNext)
      <=> ( v20620(VarNext)
          & v20629(VarNext) ) ) ) )).

fof(addAssignment_7855,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20629(VarNext)
      <=> v20627(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4989,axiom,(
    ! [VarCurr] :
      ( v20627(VarCurr)
    <=> ( v20598(VarCurr)
        | v20630(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4988,axiom,(
    ! [VarCurr] :
      ( v20630(VarCurr)
    <=> ( v20631(VarCurr)
        & v20651(VarCurr) ) ) )).

fof(writeUnaryOperator_2578,axiom,(
    ! [VarCurr] :
      ( ~ v20651(VarCurr)
    <=> v20598(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4987,axiom,(
    ! [VarCurr] :
      ( v20631(VarCurr)
    <=> ( v20632(VarCurr)
        | v20649(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4986,axiom,(
    ! [VarCurr] :
      ( v20649(VarCurr)
    <=> ( v20610(VarCurr)
        & v20650(VarCurr) ) ) )).

fof(writeUnaryOperator_2577,axiom,(
    ! [VarCurr] :
      ( ~ v20650(VarCurr)
    <=> v20612(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4985,axiom,(
    ! [VarCurr] :
      ( v20632(VarCurr)
    <=> ( v20633(VarCurr)
        & v20612(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4984,axiom,(
    ! [VarCurr] :
      ( v20633(VarCurr)
    <=> ( v20634(VarCurr)
        | v20643(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4983,axiom,(
    ! [VarCurr] :
      ( v20643(VarCurr)
    <=> ( v20644(VarCurr)
        & v20648(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1251,axiom,(
    ! [VarCurr] :
      ( v20648(VarCurr)
    <=> ( ( v20636(VarCurr,bitIndex2)
        <=> $false )
        & ( v20636(VarCurr,bitIndex1)
        <=> $false )
        & ( v20636(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4982,axiom,(
    ! [VarCurr] :
      ( v20644(VarCurr)
    <=> ( v20645(VarCurr)
        | v20646(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4981,axiom,(
    ! [VarCurr] :
      ( v20646(VarCurr)
    <=> ( v20610(VarCurr)
        & v20647(VarCurr) ) ) )).

fof(writeUnaryOperator_2576,axiom,(
    ! [VarCurr] :
      ( ~ v20647(VarCurr)
    <=> v20645(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1250,axiom,(
    ! [VarCurr] :
      ( v20645(VarCurr)
    <=> ( v20608(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4980,axiom,(
    ! [VarCurr] :
      ( v20634(VarCurr)
    <=> ( v20635(VarCurr)
        | v20637(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4979,axiom,(
    ! [VarCurr] :
      ( v20637(VarCurr)
    <=> ( v20638(VarCurr)
        & v20642(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1249,axiom,(
    ! [VarCurr] :
      ( v20642(VarCurr)
    <=> ( ( v20636(VarCurr,bitIndex2)
        <=> $false )
        & ( v20636(VarCurr,bitIndex1)
        <=> $true )
        & ( v20636(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4978,axiom,(
    ! [VarCurr] :
      ( v20638(VarCurr)
    <=> ( v20639(VarCurr)
        | v20640(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4977,axiom,(
    ! [VarCurr] :
      ( v20640(VarCurr)
    <=> ( v20610(VarCurr)
        & v20641(VarCurr) ) ) )).

fof(writeUnaryOperator_2575,axiom,(
    ! [VarCurr] :
      ( ~ v20641(VarCurr)
    <=> v20639(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1248,axiom,(
    ! [VarCurr] :
      ( v20639(VarCurr)
    <=> ( v20608(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1247,axiom,(
    ! [VarCurr] :
      ( v20635(VarCurr)
    <=> ( ( v20636(VarCurr,bitIndex2)
        <=> $true )
        & ( v20636(VarCurr,bitIndex1)
        <=> $false )
        & ( v20636(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7854,axiom,(
    ! [VarCurr] :
      ( v20636(VarCurr,bitIndex0)
    <=> v20606(VarCurr) ) )).

fof(addAssignment_7853,axiom,(
    ! [VarCurr] :
      ( v20636(VarCurr,bitIndex1)
    <=> v20604(VarCurr) ) )).

fof(addAssignment_7852,axiom,(
    ! [VarCurr] :
      ( v20636(VarCurr,bitIndex2)
    <=> v20602(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4976,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20620(VarNext)
      <=> ( v20621(VarNext)
          & v20616(VarNext) ) ) ) )).

fof(writeUnaryOperator_2574,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20621(VarNext)
      <=> v20623(VarNext) ) ) )).

fof(addAssignment_7851,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20623(VarNext)
      <=> v20616(VarCurr) ) ) )).

fof(addAssignment_7850,axiom,(
    ! [VarCurr] :
      ( v20616(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7849,axiom,(
    ! [VarCurr] :
      ( v20614(VarCurr)
    <=> $false ) )).

fof(addAssignment_7848,axiom,(
    ! [VarCurr] :
      ( v20612(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7847,axiom,(
    ! [VarCurr] :
      ( v20610(VarCurr)
    <=> $false ) )).

fof(addAssignment_7846,axiom,(
    ! [VarCurr] :
      ( v20608(VarCurr)
    <=> v20492(VarCurr,bitIndex17) ) )).

fof(addAssignment_7845,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex17)
    <=> v20494(VarCurr,bitIndex17) ) )).

fof(addAssignment_7844,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex17)
    <=> v3822(VarCurr,bitIndex17) ) )).

fof(addAssignment_7843,axiom,(
    ! [VarCurr] :
      ( v20606(VarCurr)
    <=> $false ) )).

fof(addAssignment_7842,axiom,(
    ! [VarCurr] :
      ( v20604(VarCurr)
    <=> $false ) )).

fof(addAssignment_7841,axiom,(
    ! [VarCurr] :
      ( v20602(VarCurr)
    <=> $true ) )).

fof(addAssignment_7840,axiom,(
    ! [VarCurr] :
      ( v20600(VarCurr)
    <=> $false ) )).

fof(addAssignment_7839,axiom,(
    ! [VarCurr] :
      ( v20598(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_255,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20551(VarNext)
       => ( v20471(VarNext)
        <=> v20471(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_289,axiom,(
    ! [VarNext] :
      ( v20551(VarNext)
     => ( v20471(VarNext)
      <=> v20586(VarNext) ) ) )).

fof(addAssignment_7838,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20586(VarNext)
      <=> v20584(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_447,axiom,(
    ! [VarCurr] :
      ( ~ v20473(VarCurr)
     => ( v20584(VarCurr)
      <=> v20587(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_432,axiom,(
    ! [VarCurr] :
      ( v20473(VarCurr)
     => ( v20584(VarCurr)
      <=> v20482(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_446,axiom,(
    ! [VarCurr] :
      ( ~ v20564(VarCurr)
     => ( v20587(VarCurr)
      <=> v20542(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_431,axiom,(
    ! [VarCurr] :
      ( v20564(VarCurr)
     => ( v20587(VarCurr)
      <=> v20588(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_118,axiom,(
    ! [VarCurr] :
      ( ( ~ v20567(VarCurr)
        & ~ v20569(VarCurr) )
     => ( v20588(VarCurr)
      <=> v20592(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_445,axiom,(
    ! [VarCurr] :
      ( v20569(VarCurr)
     => ( v20588(VarCurr)
      <=> v20591(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_430,axiom,(
    ! [VarCurr] :
      ( v20567(VarCurr)
     => ( v20588(VarCurr)
      <=> v20589(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_444,axiom,(
    ! [VarCurr] :
      ( ~ v20577(VarCurr)
     => ( v20592(VarCurr)
      <=> v20542(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_429,axiom,(
    ! [VarCurr] :
      ( v20577(VarCurr)
     => ( v20592(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_443,axiom,(
    ! [VarCurr] :
      ( ~ v20571(VarCurr)
     => ( v20591(VarCurr)
      <=> v20542(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_428,axiom,(
    ! [VarCurr] :
      ( v20571(VarCurr)
     => ( v20591(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_416,axiom,(
    ! [VarCurr] :
      ( ~ v20590(VarCurr)
     => ( v20589(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_373,axiom,(
    ! [VarCurr] :
      ( v20590(VarCurr)
     => ( v20589(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1246,axiom,(
    ! [VarCurr] :
      ( v20590(VarCurr)
    <=> ( v20490(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4975,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20551(VarNext)
      <=> ( v20552(VarNext)
          & v20561(VarNext) ) ) ) )).

fof(addAssignment_7837,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20561(VarNext)
      <=> v20559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4974,axiom,(
    ! [VarCurr] :
      ( v20559(VarCurr)
    <=> ( v20473(VarCurr)
        | v20562(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4973,axiom,(
    ! [VarCurr] :
      ( v20562(VarCurr)
    <=> ( v20563(VarCurr)
        & v20583(VarCurr) ) ) )).

fof(writeUnaryOperator_2573,axiom,(
    ! [VarCurr] :
      ( ~ v20583(VarCurr)
    <=> v20473(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4972,axiom,(
    ! [VarCurr] :
      ( v20563(VarCurr)
    <=> ( v20564(VarCurr)
        | v20581(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4971,axiom,(
    ! [VarCurr] :
      ( v20581(VarCurr)
    <=> ( v20496(VarCurr)
        & v20582(VarCurr) ) ) )).

fof(writeUnaryOperator_2572,axiom,(
    ! [VarCurr] :
      ( ~ v20582(VarCurr)
    <=> v20498(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4970,axiom,(
    ! [VarCurr] :
      ( v20564(VarCurr)
    <=> ( v20565(VarCurr)
        & v20498(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4969,axiom,(
    ! [VarCurr] :
      ( v20565(VarCurr)
    <=> ( v20566(VarCurr)
        | v20575(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4968,axiom,(
    ! [VarCurr] :
      ( v20575(VarCurr)
    <=> ( v20576(VarCurr)
        & v20580(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1245,axiom,(
    ! [VarCurr] :
      ( v20580(VarCurr)
    <=> ( ( v20568(VarCurr,bitIndex2)
        <=> $false )
        & ( v20568(VarCurr,bitIndex1)
        <=> $false )
        & ( v20568(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4967,axiom,(
    ! [VarCurr] :
      ( v20576(VarCurr)
    <=> ( v20577(VarCurr)
        | v20578(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4966,axiom,(
    ! [VarCurr] :
      ( v20578(VarCurr)
    <=> ( v20496(VarCurr)
        & v20579(VarCurr) ) ) )).

fof(writeUnaryOperator_2571,axiom,(
    ! [VarCurr] :
      ( ~ v20579(VarCurr)
    <=> v20577(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1244,axiom,(
    ! [VarCurr] :
      ( v20577(VarCurr)
    <=> ( v20490(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4965,axiom,(
    ! [VarCurr] :
      ( v20566(VarCurr)
    <=> ( v20567(VarCurr)
        | v20569(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4964,axiom,(
    ! [VarCurr] :
      ( v20569(VarCurr)
    <=> ( v20570(VarCurr)
        & v20574(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1243,axiom,(
    ! [VarCurr] :
      ( v20574(VarCurr)
    <=> ( ( v20568(VarCurr,bitIndex2)
        <=> $false )
        & ( v20568(VarCurr,bitIndex1)
        <=> $true )
        & ( v20568(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4963,axiom,(
    ! [VarCurr] :
      ( v20570(VarCurr)
    <=> ( v20571(VarCurr)
        | v20572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4962,axiom,(
    ! [VarCurr] :
      ( v20572(VarCurr)
    <=> ( v20496(VarCurr)
        & v20573(VarCurr) ) ) )).

fof(writeUnaryOperator_2570,axiom,(
    ! [VarCurr] :
      ( ~ v20573(VarCurr)
    <=> v20571(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1242,axiom,(
    ! [VarCurr] :
      ( v20571(VarCurr)
    <=> ( v20490(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1241,axiom,(
    ! [VarCurr] :
      ( v20567(VarCurr)
    <=> ( ( v20568(VarCurr,bitIndex2)
        <=> $true )
        & ( v20568(VarCurr,bitIndex1)
        <=> $false )
        & ( v20568(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7836,axiom,(
    ! [VarCurr] :
      ( v20568(VarCurr,bitIndex0)
    <=> v20488(VarCurr) ) )).

fof(addAssignment_7835,axiom,(
    ! [VarCurr] :
      ( v20568(VarCurr,bitIndex1)
    <=> v20486(VarCurr) ) )).

fof(addAssignment_7834,axiom,(
    ! [VarCurr] :
      ( v20568(VarCurr,bitIndex2)
    <=> v20484(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4961,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20552(VarNext)
      <=> ( v20553(VarNext)
          & v20544(VarNext) ) ) ) )).

fof(writeUnaryOperator_2569,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20553(VarNext)
      <=> v20555(VarNext) ) ) )).

fof(addAssignment_7833,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20555(VarNext)
      <=> v20544(VarCurr) ) ) )).

fof(addAssignment_7832,axiom,(
    ! [VarCurr] :
      ( v20544(VarCurr)
    <=> v20546(VarCurr) ) )).

fof(addAssignment_7831,axiom,(
    ! [VarCurr] :
      ( v20546(VarCurr)
    <=> v20548(VarCurr) ) )).

fof(addAssignment_7830,axiom,(
    ! [VarCurr] :
      ( v20548(VarCurr)
    <=> v3933(VarCurr) ) )).

fof(addAssignment_7829,axiom,(
    ! [VarCurr] :
      ( v20542(VarCurr)
    <=> $false ) )).

fof(addAssignment_7828,axiom,(
    ! [VarCurr] :
      ( v20498(VarCurr)
    <=> v20500(VarCurr) ) )).

fof(addAssignment_7827,axiom,(
    ! [VarCurr] :
      ( v20500(VarCurr)
    <=> v20502(VarCurr) ) )).

fof(addAssignment_7826,axiom,(
    ! [VarCurr] :
      ( v20502(VarCurr)
    <=> v20504(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4960,axiom,(
    ! [VarCurr] :
      ( v20504(VarCurr)
    <=> ( v20506(VarCurr)
        & v3860(VarCurr) ) ) )).

fof(addAssignment_7825,axiom,(
    ! [VarCurr] :
      ( v20506(VarCurr)
    <=> v20508(VarCurr) ) )).

fof(addAssignment_7824,axiom,(
    ! [VarCurr] :
      ( v20508(VarCurr)
    <=> v20510(VarCurr) ) )).

fof(addAssignment_7823,axiom,(
    ! [VarCurr] :
      ( v20510(VarCurr)
    <=> v20512(VarCurr) ) )).

fof(addAssignment_7822,axiom,(
    ! [VarCurr] :
      ( v20512(VarCurr)
    <=> v20514(VarCurr) ) )).

fof(addAssignment_7821,axiom,(
    ! [VarCurr] :
      ( v20514(VarCurr)
    <=> v20516(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_254,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20527(VarNext)
       => ( v20516(VarNext)
        <=> v20516(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_288,axiom,(
    ! [VarNext] :
      ( v20527(VarNext)
     => ( v20516(VarNext)
      <=> v20535(VarNext) ) ) )).

fof(addAssignment_7820,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20535(VarNext)
      <=> v20533(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_415,axiom,(
    ! [VarCurr] :
      ( ~ v13942(VarCurr)
     => ( v20533(VarCurr)
      <=> v20536(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_372,axiom,(
    ! [VarCurr] :
      ( v13942(VarCurr)
     => ( v20533(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4959,axiom,(
    ! [VarCurr] :
      ( v20536(VarCurr)
    <=> ( v20537(VarCurr)
        & v20518(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4958,axiom,(
    ! [VarCurr] :
      ( v20537(VarCurr)
    <=> ( $true
        & v13889(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4957,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20527(VarNext)
      <=> v20528(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4956,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20528(VarNext)
      <=> ( v20530(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2568,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20530(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_414,axiom,(
    ! [VarCurr] :
      ( ~ v13925(VarCurr)
     => ( v20518(VarCurr)
      <=> v20522(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_371,axiom,(
    ! [VarCurr] :
      ( v13925(VarCurr)
     => ( v20518(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_117,axiom,(
    ! [VarCurr] :
      ( ( ~ v13927(VarCurr)
        & ~ v13929(VarCurr) )
     => ( v20522(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_442,axiom,(
    ! [VarCurr] :
      ( v13929(VarCurr)
     => ( v20522(VarCurr)
      <=> v20524(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_427,axiom,(
    ! [VarCurr] :
      ( v13927(VarCurr)
     => ( v20522(VarCurr)
      <=> v20523(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1240,axiom,(
    ! [VarCurr] :
      ( v20524(VarCurr)
    <=> ( ( v13911(VarCurr,bitIndex26)
        <=> $false )
        & ( v13911(VarCurr,bitIndex25)
        <=> $false )
        & ( v13911(VarCurr,bitIndex24)
        <=> $false )
        & ( v13911(VarCurr,bitIndex23)
        <=> $false )
        & ( v13911(VarCurr,bitIndex22)
        <=> $false )
        & ( v13911(VarCurr,bitIndex21)
        <=> $false )
        & ( v13911(VarCurr,bitIndex20)
        <=> $false )
        & ( v13911(VarCurr,bitIndex19)
        <=> $true )
        & ( v13911(VarCurr,bitIndex18)
        <=> $true )
        & ( v13911(VarCurr,bitIndex17)
        <=> $true )
        & ( v13911(VarCurr,bitIndex16)
        <=> $false )
        & ( v13911(VarCurr,bitIndex15)
        <=> $false )
        & ( v13911(VarCurr,bitIndex14)
        <=> $true )
        & ( v13911(VarCurr,bitIndex13)
        <=> $true )
        & ( v13911(VarCurr,bitIndex12)
        <=> $false )
        & ( v13911(VarCurr,bitIndex11)
        <=> $true )
        & ( v13911(VarCurr,bitIndex10)
        <=> $false )
        & ( v13911(VarCurr,bitIndex9)
        <=> $false )
        & ( v13911(VarCurr,bitIndex8)
        <=> $false )
        & ( v13911(VarCurr,bitIndex7)
        <=> $false )
        & ( v13911(VarCurr,bitIndex6)
        <=> $false )
        & ( v13911(VarCurr,bitIndex5)
        <=> $false )
        & ( v13911(VarCurr,bitIndex4)
        <=> $false )
        & ( v13911(VarCurr,bitIndex3)
        <=> $false )
        & ( v13911(VarCurr,bitIndex2)
        <=> $false )
        & ( v13911(VarCurr,bitIndex1)
        <=> $false )
        & ( v13911(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2598,axiom,(
    ~ b000000011100110100000000000(bitIndex26) )).

fof(bitBlastConstant_2597,axiom,(
    ~ b000000011100110100000000000(bitIndex25) )).

fof(bitBlastConstant_2596,axiom,(
    ~ b000000011100110100000000000(bitIndex24) )).

fof(bitBlastConstant_2595,axiom,(
    ~ b000000011100110100000000000(bitIndex23) )).

fof(bitBlastConstant_2594,axiom,(
    ~ b000000011100110100000000000(bitIndex22) )).

fof(bitBlastConstant_2593,axiom,(
    ~ b000000011100110100000000000(bitIndex21) )).

fof(bitBlastConstant_2592,axiom,(
    ~ b000000011100110100000000000(bitIndex20) )).

fof(bitBlastConstant_2591,axiom,(
    b000000011100110100000000000(bitIndex19) )).

fof(bitBlastConstant_2590,axiom,(
    b000000011100110100000000000(bitIndex18) )).

fof(bitBlastConstant_2589,axiom,(
    b000000011100110100000000000(bitIndex17) )).

fof(bitBlastConstant_2588,axiom,(
    ~ b000000011100110100000000000(bitIndex16) )).

fof(bitBlastConstant_2587,axiom,(
    ~ b000000011100110100000000000(bitIndex15) )).

fof(bitBlastConstant_2586,axiom,(
    b000000011100110100000000000(bitIndex14) )).

fof(bitBlastConstant_2585,axiom,(
    b000000011100110100000000000(bitIndex13) )).

fof(bitBlastConstant_2584,axiom,(
    ~ b000000011100110100000000000(bitIndex12) )).

fof(bitBlastConstant_2583,axiom,(
    b000000011100110100000000000(bitIndex11) )).

fof(bitBlastConstant_2582,axiom,(
    ~ b000000011100110100000000000(bitIndex10) )).

fof(bitBlastConstant_2581,axiom,(
    ~ b000000011100110100000000000(bitIndex9) )).

fof(bitBlastConstant_2580,axiom,(
    ~ b000000011100110100000000000(bitIndex8) )).

fof(bitBlastConstant_2579,axiom,(
    ~ b000000011100110100000000000(bitIndex7) )).

fof(bitBlastConstant_2578,axiom,(
    ~ b000000011100110100000000000(bitIndex6) )).

fof(bitBlastConstant_2577,axiom,(
    ~ b000000011100110100000000000(bitIndex5) )).

fof(bitBlastConstant_2576,axiom,(
    ~ b000000011100110100000000000(bitIndex4) )).

fof(bitBlastConstant_2575,axiom,(
    ~ b000000011100110100000000000(bitIndex3) )).

fof(bitBlastConstant_2574,axiom,(
    ~ b000000011100110100000000000(bitIndex2) )).

fof(bitBlastConstant_2573,axiom,(
    ~ b000000011100110100000000000(bitIndex1) )).

fof(bitBlastConstant_2572,axiom,(
    ~ b000000011100110100000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_1239,axiom,(
    ! [VarCurr] :
      ( v20523(VarCurr)
    <=> ( ( v13911(VarCurr,bitIndex26)
        <=> $false )
        & ( v13911(VarCurr,bitIndex25)
        <=> $false )
        & ( v13911(VarCurr,bitIndex24)
        <=> $false )
        & ( v13911(VarCurr,bitIndex23)
        <=> $false )
        & ( v13911(VarCurr,bitIndex22)
        <=> $false )
        & ( v13911(VarCurr,bitIndex21)
        <=> $false )
        & ( v13911(VarCurr,bitIndex20)
        <=> $false )
        & ( v13911(VarCurr,bitIndex19)
        <=> $true )
        & ( v13911(VarCurr,bitIndex18)
        <=> $true )
        & ( v13911(VarCurr,bitIndex17)
        <=> $false )
        & ( v13911(VarCurr,bitIndex16)
        <=> $false )
        & ( v13911(VarCurr,bitIndex15)
        <=> $false )
        & ( v13911(VarCurr,bitIndex14)
        <=> $true )
        & ( v13911(VarCurr,bitIndex13)
        <=> $true )
        & ( v13911(VarCurr,bitIndex12)
        <=> $false )
        & ( v13911(VarCurr,bitIndex11)
        <=> $true )
        & ( v13911(VarCurr,bitIndex10)
        <=> $false )
        & ( v13911(VarCurr,bitIndex9)
        <=> $false )
        & ( v13911(VarCurr,bitIndex8)
        <=> $false )
        & ( v13911(VarCurr,bitIndex7)
        <=> $false )
        & ( v13911(VarCurr,bitIndex6)
        <=> $false )
        & ( v13911(VarCurr,bitIndex5)
        <=> $false )
        & ( v13911(VarCurr,bitIndex4)
        <=> $false )
        & ( v13911(VarCurr,bitIndex3)
        <=> $false )
        & ( v13911(VarCurr,bitIndex2)
        <=> $false )
        & ( v13911(VarCurr,bitIndex1)
        <=> $false )
        & ( v13911(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2571,axiom,(
    ~ b000000011000110100000000000(bitIndex26) )).

fof(bitBlastConstant_2570,axiom,(
    ~ b000000011000110100000000000(bitIndex25) )).

fof(bitBlastConstant_2569,axiom,(
    ~ b000000011000110100000000000(bitIndex24) )).

fof(bitBlastConstant_2568,axiom,(
    ~ b000000011000110100000000000(bitIndex23) )).

fof(bitBlastConstant_2567,axiom,(
    ~ b000000011000110100000000000(bitIndex22) )).

fof(bitBlastConstant_2566,axiom,(
    ~ b000000011000110100000000000(bitIndex21) )).

fof(bitBlastConstant_2565,axiom,(
    ~ b000000011000110100000000000(bitIndex20) )).

fof(bitBlastConstant_2564,axiom,(
    b000000011000110100000000000(bitIndex19) )).

fof(bitBlastConstant_2563,axiom,(
    b000000011000110100000000000(bitIndex18) )).

fof(bitBlastConstant_2562,axiom,(
    ~ b000000011000110100000000000(bitIndex17) )).

fof(bitBlastConstant_2561,axiom,(
    ~ b000000011000110100000000000(bitIndex16) )).

fof(bitBlastConstant_2560,axiom,(
    ~ b000000011000110100000000000(bitIndex15) )).

fof(bitBlastConstant_2559,axiom,(
    b000000011000110100000000000(bitIndex14) )).

fof(bitBlastConstant_2558,axiom,(
    b000000011000110100000000000(bitIndex13) )).

fof(bitBlastConstant_2557,axiom,(
    ~ b000000011000110100000000000(bitIndex12) )).

fof(bitBlastConstant_2556,axiom,(
    b000000011000110100000000000(bitIndex11) )).

fof(bitBlastConstant_2555,axiom,(
    ~ b000000011000110100000000000(bitIndex10) )).

fof(bitBlastConstant_2554,axiom,(
    ~ b000000011000110100000000000(bitIndex9) )).

fof(bitBlastConstant_2553,axiom,(
    ~ b000000011000110100000000000(bitIndex8) )).

fof(bitBlastConstant_2552,axiom,(
    ~ b000000011000110100000000000(bitIndex7) )).

fof(bitBlastConstant_2551,axiom,(
    ~ b000000011000110100000000000(bitIndex6) )).

fof(bitBlastConstant_2550,axiom,(
    ~ b000000011000110100000000000(bitIndex5) )).

fof(bitBlastConstant_2549,axiom,(
    ~ b000000011000110100000000000(bitIndex4) )).

fof(bitBlastConstant_2548,axiom,(
    ~ b000000011000110100000000000(bitIndex3) )).

fof(bitBlastConstant_2547,axiom,(
    ~ b000000011000110100000000000(bitIndex2) )).

fof(bitBlastConstant_2546,axiom,(
    ~ b000000011000110100000000000(bitIndex1) )).

fof(bitBlastConstant_2545,axiom,(
    ~ b000000011000110100000000000(bitIndex0) )).

fof(addAssignment_7819,axiom,(
    ! [VarCurr] :
      ( v20496(VarCurr)
    <=> $false ) )).

fof(addAssignment_7818,axiom,(
    ! [VarCurr] :
      ( v20490(VarCurr)
    <=> v20492(VarCurr,bitIndex16) ) )).

fof(addAssignment_7817,axiom,(
    ! [VarCurr] :
      ( v20492(VarCurr,bitIndex16)
    <=> v20494(VarCurr,bitIndex16) ) )).

fof(addAssignment_7816,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr,bitIndex16)
    <=> v3822(VarCurr,bitIndex16) ) )).

fof(addAssignment_7815,axiom,(
    ! [VarCurr] :
      ( v20488(VarCurr)
    <=> $false ) )).

fof(addAssignment_7814,axiom,(
    ! [VarCurr] :
      ( v20486(VarCurr)
    <=> $false ) )).

fof(addAssignment_7813,axiom,(
    ! [VarCurr] :
      ( v20484(VarCurr)
    <=> $true ) )).

fof(addAssignment_7812,axiom,(
    ! [VarCurr] :
      ( v20482(VarCurr)
    <=> $false ) )).

fof(addAssignment_7811,axiom,(
    ! [VarCurr] :
      ( v20473(VarCurr)
    <=> v20475(VarCurr) ) )).

fof(writeUnaryOperator_2567,axiom,(
    ! [VarCurr] :
      ( ~ v20475(VarCurr)
    <=> v20477(VarCurr) ) )).

fof(addAssignment_7810,axiom,(
    ! [VarCurr] :
      ( v20477(VarCurr)
    <=> v20479(VarCurr) ) )).

fof(addAssignment_7809,axiom,(
    ! [VarCurr] :
      ( v20479(VarCurr)
    <=> v3792(VarCurr) ) )).

fof(addAssignment_7808,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v13242(VarCurr,B)
      <=> v13244(VarCurr,B) ) ) )).

fof(addAssignment_7807,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v13244(VarCurr,B)
      <=> v13246(VarCurr,B) ) ) )).

fof(addAssignment_7806,axiom,(
    ! [VarCurr] :
      ( ( v13246(VarCurr,bitIndex29)
      <=> v13248(VarCurr,bitIndex609) )
      & ( v13246(VarCurr,bitIndex28)
      <=> v13248(VarCurr,bitIndex608) )
      & ( v13246(VarCurr,bitIndex27)
      <=> v13248(VarCurr,bitIndex607) )
      & ( v13246(VarCurr,bitIndex26)
      <=> v13248(VarCurr,bitIndex606) )
      & ( v13246(VarCurr,bitIndex25)
      <=> v13248(VarCurr,bitIndex605) )
      & ( v13246(VarCurr,bitIndex24)
      <=> v13248(VarCurr,bitIndex604) )
      & ( v13246(VarCurr,bitIndex23)
      <=> v13248(VarCurr,bitIndex603) )
      & ( v13246(VarCurr,bitIndex22)
      <=> v13248(VarCurr,bitIndex602) )
      & ( v13246(VarCurr,bitIndex21)
      <=> v13248(VarCurr,bitIndex601) )
      & ( v13246(VarCurr,bitIndex20)
      <=> v13248(VarCurr,bitIndex600) )
      & ( v13246(VarCurr,bitIndex19)
      <=> v13248(VarCurr,bitIndex599) )
      & ( v13246(VarCurr,bitIndex18)
      <=> v13248(VarCurr,bitIndex598) )
      & ( v13246(VarCurr,bitIndex17)
      <=> v13248(VarCurr,bitIndex597) )
      & ( v13246(VarCurr,bitIndex16)
      <=> v13248(VarCurr,bitIndex596) )
      & ( v13246(VarCurr,bitIndex15)
      <=> v13248(VarCurr,bitIndex595) )
      & ( v13246(VarCurr,bitIndex14)
      <=> v13248(VarCurr,bitIndex594) ) ) )).

fof(addAssignment_7805,axiom,(
    ! [VarNext] :
      ( ( v13248(VarNext,bitIndex609)
      <=> v20441(VarNext,bitIndex29) )
      & ( v13248(VarNext,bitIndex608)
      <=> v20441(VarNext,bitIndex28) )
      & ( v13248(VarNext,bitIndex607)
      <=> v20441(VarNext,bitIndex27) )
      & ( v13248(VarNext,bitIndex606)
      <=> v20441(VarNext,bitIndex26) )
      & ( v13248(VarNext,bitIndex605)
      <=> v20441(VarNext,bitIndex25) )
      & ( v13248(VarNext,bitIndex604)
      <=> v20441(VarNext,bitIndex24) )
      & ( v13248(VarNext,bitIndex603)
      <=> v20441(VarNext,bitIndex23) )
      & ( v13248(VarNext,bitIndex602)
      <=> v20441(VarNext,bitIndex22) )
      & ( v13248(VarNext,bitIndex601)
      <=> v20441(VarNext,bitIndex21) )
      & ( v13248(VarNext,bitIndex600)
      <=> v20441(VarNext,bitIndex20) )
      & ( v13248(VarNext,bitIndex599)
      <=> v20441(VarNext,bitIndex19) )
      & ( v13248(VarNext,bitIndex598)
      <=> v20441(VarNext,bitIndex18) )
      & ( v13248(VarNext,bitIndex597)
      <=> v20441(VarNext,bitIndex17) )
      & ( v13248(VarNext,bitIndex596)
      <=> v20441(VarNext,bitIndex16) )
      & ( v13248(VarNext,bitIndex595)
      <=> v20441(VarNext,bitIndex15) )
      & ( v13248(VarNext,bitIndex594)
      <=> v20441(VarNext,bitIndex14) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20443(VarNext)
       => ( ( v20441(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v20441(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v20441(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v20441(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v20441(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v20441(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v20441(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v20441(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v20441(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v20441(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v20441(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v20441(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v20441(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v20441(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v20441(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v20441(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v20441(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v20441(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v20441(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v20441(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v20441(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v20441(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v20441(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v20441(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v20441(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v20441(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v20441(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v20441(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v20441(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v20441(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v20441(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v20441(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v20441(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v20441(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v20441(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v20441(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v20441(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v20441(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v20441(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v20441(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v20441(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v20441(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v20441(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v20441(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v20441(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v20441(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v20441(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v20441(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v20441(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v20441(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v20441(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v20441(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v20441(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v20441(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v20441(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v20441(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v20441(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v20441(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v20441(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v20441(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v20441(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v20441(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v20441(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v20441(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v20441(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v20441(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v20441(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v20441(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v20441(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v20441(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v20441(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v20441(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v20441(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v20441(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v20441(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v20441(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v20441(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v20441(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v20441(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v20441(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v20441(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v20441(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v20441(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v20441(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v20441(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v20441(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v20441(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v20441(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v20441(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v20441(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v20441(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v20441(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v20441(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v20441(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v20441(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v20441(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v20441(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v20441(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v20441(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v20441(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v20441(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v20441(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v20441(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v20441(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v20441(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v20441(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v20441(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v20441(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v20441(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v20441(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v20441(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v20441(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v20441(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v20441(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v20441(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v20441(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_287,axiom,(
    ! [VarNext] :
      ( v20443(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v20441(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20443(VarNext)
      <=> ( v20444(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4954,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20444(VarNext)
      <=> ( v20446(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2566,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20446(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7804,axiom,(
    ! [VarNext] :
      ( ( v13248(VarNext,bitIndex493)
      <=> v20433(VarNext,bitIndex29) )
      & ( v13248(VarNext,bitIndex492)
      <=> v20433(VarNext,bitIndex28) )
      & ( v13248(VarNext,bitIndex491)
      <=> v20433(VarNext,bitIndex27) )
      & ( v13248(VarNext,bitIndex490)
      <=> v20433(VarNext,bitIndex26) )
      & ( v13248(VarNext,bitIndex489)
      <=> v20433(VarNext,bitIndex25) )
      & ( v13248(VarNext,bitIndex488)
      <=> v20433(VarNext,bitIndex24) )
      & ( v13248(VarNext,bitIndex487)
      <=> v20433(VarNext,bitIndex23) )
      & ( v13248(VarNext,bitIndex486)
      <=> v20433(VarNext,bitIndex22) )
      & ( v13248(VarNext,bitIndex485)
      <=> v20433(VarNext,bitIndex21) )
      & ( v13248(VarNext,bitIndex484)
      <=> v20433(VarNext,bitIndex20) )
      & ( v13248(VarNext,bitIndex483)
      <=> v20433(VarNext,bitIndex19) )
      & ( v13248(VarNext,bitIndex482)
      <=> v20433(VarNext,bitIndex18) )
      & ( v13248(VarNext,bitIndex481)
      <=> v20433(VarNext,bitIndex17) )
      & ( v13248(VarNext,bitIndex480)
      <=> v20433(VarNext,bitIndex16) )
      & ( v13248(VarNext,bitIndex479)
      <=> v20433(VarNext,bitIndex15) )
      & ( v13248(VarNext,bitIndex478)
      <=> v20433(VarNext,bitIndex14) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_47,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20435(VarNext)
       => ( ( v20433(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex579) )
          & ( v20433(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex578) )
          & ( v20433(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex577) )
          & ( v20433(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex576) )
          & ( v20433(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex575) )
          & ( v20433(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex574) )
          & ( v20433(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex573) )
          & ( v20433(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex572) )
          & ( v20433(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex571) )
          & ( v20433(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex570) )
          & ( v20433(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex569) )
          & ( v20433(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex568) )
          & ( v20433(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex567) )
          & ( v20433(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex566) )
          & ( v20433(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex565) )
          & ( v20433(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex564) )
          & ( v20433(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex563) )
          & ( v20433(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex562) )
          & ( v20433(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex561) )
          & ( v20433(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex560) )
          & ( v20433(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex559) )
          & ( v20433(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex558) )
          & ( v20433(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex557) )
          & ( v20433(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex556) )
          & ( v20433(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex555) )
          & ( v20433(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex554) )
          & ( v20433(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex553) )
          & ( v20433(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex552) )
          & ( v20433(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex551) )
          & ( v20433(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex550) )
          & ( v20433(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex549) )
          & ( v20433(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex548) )
          & ( v20433(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex547) )
          & ( v20433(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex546) )
          & ( v20433(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex545) )
          & ( v20433(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex544) )
          & ( v20433(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex543) )
          & ( v20433(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex542) )
          & ( v20433(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex541) )
          & ( v20433(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex540) )
          & ( v20433(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex539) )
          & ( v20433(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex538) )
          & ( v20433(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex537) )
          & ( v20433(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex536) )
          & ( v20433(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex535) )
          & ( v20433(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex534) )
          & ( v20433(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex533) )
          & ( v20433(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex532) )
          & ( v20433(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex531) )
          & ( v20433(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex530) )
          & ( v20433(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex529) )
          & ( v20433(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex528) )
          & ( v20433(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex527) )
          & ( v20433(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex526) )
          & ( v20433(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex525) )
          & ( v20433(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex524) )
          & ( v20433(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex523) )
          & ( v20433(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex522) )
          & ( v20433(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex521) )
          & ( v20433(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex520) )
          & ( v20433(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex519) )
          & ( v20433(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex518) )
          & ( v20433(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex517) )
          & ( v20433(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex516) )
          & ( v20433(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex515) )
          & ( v20433(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex514) )
          & ( v20433(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex513) )
          & ( v20433(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex512) )
          & ( v20433(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex511) )
          & ( v20433(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex510) )
          & ( v20433(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex509) )
          & ( v20433(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex508) )
          & ( v20433(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex507) )
          & ( v20433(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex506) )
          & ( v20433(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex505) )
          & ( v20433(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex504) )
          & ( v20433(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex503) )
          & ( v20433(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex502) )
          & ( v20433(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex501) )
          & ( v20433(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex500) )
          & ( v20433(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex499) )
          & ( v20433(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex498) )
          & ( v20433(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex497) )
          & ( v20433(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex496) )
          & ( v20433(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex495) )
          & ( v20433(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex494) )
          & ( v20433(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex493) )
          & ( v20433(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex492) )
          & ( v20433(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex491) )
          & ( v20433(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex490) )
          & ( v20433(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex489) )
          & ( v20433(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex488) )
          & ( v20433(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex487) )
          & ( v20433(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex486) )
          & ( v20433(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex485) )
          & ( v20433(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex484) )
          & ( v20433(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex483) )
          & ( v20433(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex482) )
          & ( v20433(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex481) )
          & ( v20433(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex480) )
          & ( v20433(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex479) )
          & ( v20433(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex478) )
          & ( v20433(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex477) )
          & ( v20433(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex476) )
          & ( v20433(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex475) )
          & ( v20433(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex474) )
          & ( v20433(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex473) )
          & ( v20433(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex472) )
          & ( v20433(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex471) )
          & ( v20433(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex470) )
          & ( v20433(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex469) )
          & ( v20433(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex468) )
          & ( v20433(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex467) )
          & ( v20433(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex466) )
          & ( v20433(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex465) )
          & ( v20433(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex464) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_286,axiom,(
    ! [VarNext] :
      ( v20435(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v20433(VarNext,B)
          <=> v13413(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4953,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20435(VarNext)
      <=> ( v20436(VarNext)
          & v13407(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4952,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20436(VarNext)
      <=> ( v20438(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2565,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20438(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7803,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v13382(VarCurr,B)
      <=> v13384(VarCurr,B) ) ) )).

fof(addAssignment_7802,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v13384(VarCurr,B)
      <=> v13386(VarCurr,B) ) ) )).

fof(addAssignment_7801,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v13386(VarCurr,B)
      <=> v13388(VarCurr,B) ) ) )).

fof(addAssignment_7800,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v13388(VarCurr,B)
      <=> v13390(VarCurr,B) ) ) )).

fof(addAssignment_7799,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v13390(VarCurr,B)
      <=> v13392(VarCurr,B) ) ) )).

fof(range_axiom_82,axiom,(
    ! [B] :
      ( range_29_14(B)
    <=> ( $false
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B ) ) )).

fof(addAssignment_7798,axiom,(
    ! [VarCurr] :
      ( v13257(VarCurr,bitIndex0)
    <=> v13259(VarCurr,bitIndex0) ) )).

fof(addAssignment_7797,axiom,(
    ! [VarCurr] :
      ( v13259(VarCurr,bitIndex0)
    <=> v13261(VarCurr,bitIndex0) ) )).

fof(addAssignment_7796,axiom,(
    ! [VarCurr] :
      ( v13261(VarCurr,bitIndex0)
    <=> v13368(VarCurr,bitIndex0) ) )).

fof(addAssignment_7795,axiom,(
    ! [VarCurr] :
      ( v13275(VarCurr)
    <=> v13277(VarCurr) ) )).

fof(addAssignment_7794,axiom,(
    ! [VarCurr] :
      ( v13277(VarCurr)
    <=> v13279(VarCurr) ) )).

fof(addAssignment_7793,axiom,(
    ! [VarCurr] :
      ( v13279(VarCurr)
    <=> v13281(VarCurr) ) )).

fof(addAssignment_7792,axiom,(
    ! [VarCurr] :
      ( v13281(VarCurr)
    <=> v13283(VarCurr) ) )).

fof(addAssignment_7791,axiom,(
    ! [VarCurr] :
      ( v13283(VarCurr)
    <=> v13285(VarCurr,bitIndex1) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_354,axiom,(
    ! [VarCurr] :
      ( ~ v20418(VarCurr)
     => ( v13285(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_397,axiom,(
    ! [VarCurr] :
      ( v20418(VarCurr)
     => ( v13285(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4951,axiom,(
    ! [VarCurr] :
      ( v20418(VarCurr)
    <=> ( v20419(VarCurr)
        | v20428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4950,axiom,(
    ! [VarCurr] :
      ( v20428(VarCurr)
    <=> ( v20429(VarCurr)
        & v20430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4949,axiom,(
    ! [VarCurr] :
      ( v20430(VarCurr)
    <=> ( v20431(VarCurr)
        & v20408(VarCurr) ) ) )).

fof(writeUnaryOperator_2564,axiom,(
    ! [VarCurr] :
      ( ~ v20431(VarCurr)
    <=> v19492(VarCurr) ) )).

fof(writeUnaryOperator_2563,axiom,(
    ! [VarCurr] :
      ( ~ v20429(VarCurr)
    <=> v20381(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4948,axiom,(
    ! [VarCurr] :
      ( v20419(VarCurr)
    <=> ( v20420(VarCurr)
        & v20381(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4947,axiom,(
    ! [VarCurr] :
      ( v20420(VarCurr)
    <=> ( v20421(VarCurr)
        | v20425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4946,axiom,(
    ! [VarCurr] :
      ( v20425(VarCurr)
    <=> ( v20427(VarCurr)
        & v20370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4945,axiom,(
    ! [VarCurr] :
      ( v20427(VarCurr)
    <=> ( v20379(VarCurr)
        & v20374(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4944,axiom,(
    ! [VarCurr] :
      ( v20421(VarCurr)
    <=> ( v20423(VarCurr)
        & v20370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4943,axiom,(
    ! [VarCurr] :
      ( v20423(VarCurr)
    <=> ( v20424(VarCurr)
        & v13230(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4942,axiom,(
    ! [VarCurr] :
      ( v20424(VarCurr)
    <=> ( v20379(VarCurr)
        & v20404(VarCurr) ) ) )).

fof(addAssignment_7790,axiom,(
    ! [VarNext] :
      ( v19534(VarNext,bitIndex2)
    <=> v20410(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_46,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20411(VarNext)
       => ( ( v20410(VarNext,bitIndex1)
          <=> v19534(VarCurr,bitIndex2) )
          & ( v20410(VarNext,bitIndex0)
          <=> v19534(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_285,axiom,(
    ! [VarNext] :
      ( v20411(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v20410(VarNext,B)
          <=> v19551(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4941,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20411(VarNext)
      <=> v20412(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4940,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20412(VarNext)
      <=> ( v20414(VarNext)
          & v19538(VarNext) ) ) ) )).

fof(writeUnaryOperator_2562,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20414(VarNext)
      <=> v19545(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_353,axiom,(
    ! [VarCurr] :
      ( ~ v20398(VarCurr)
     => ( v13285(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_396,axiom,(
    ! [VarCurr] :
      ( v20398(VarCurr)
     => ( v13285(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4939,axiom,(
    ! [VarCurr] :
      ( v20398(VarCurr)
    <=> ( v20399(VarCurr)
        | v20405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4938,axiom,(
    ! [VarCurr] :
      ( v20405(VarCurr)
    <=> ( v20406(VarCurr)
        & v20407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4937,axiom,(
    ! [VarCurr] :
      ( v20407(VarCurr)
    <=> ( v19492(VarCurr)
        & v20408(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1238,axiom,(
    ! [VarCurr] :
      ( v20408(VarCurr)
    <=> ( $true
      <=> v19534(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2561,axiom,(
    ! [VarCurr] :
      ( ~ v20406(VarCurr)
    <=> v20381(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4936,axiom,(
    ! [VarCurr] :
      ( v20399(VarCurr)
    <=> ( v20400(VarCurr)
        & v20381(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4935,axiom,(
    ! [VarCurr] :
      ( v20400(VarCurr)
    <=> ( v20402(VarCurr)
        & v20370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4934,axiom,(
    ! [VarCurr] :
      ( v20402(VarCurr)
    <=> ( v20403(VarCurr)
        & v13230(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4933,axiom,(
    ! [VarCurr] :
      ( v20403(VarCurr)
    <=> ( v20369(VarCurr)
        & v20404(VarCurr) ) ) )).

fof(writeUnaryOperator_2560,axiom,(
    ! [VarCurr] :
      ( ~ v20404(VarCurr)
    <=> v20245(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_253,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20386(VarNext)
       => ( v19534(VarNext,bitIndex0)
        <=> v19534(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_284,axiom,(
    ! [VarNext] :
      ( v20386(VarNext)
     => ( v19534(VarNext,bitIndex0)
      <=> v20394(VarNext) ) ) )).

fof(addAssignment_7789,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20394(VarNext)
      <=> v20392(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_413,axiom,(
    ! [VarCurr] :
      ( ~ v19552(VarCurr)
     => ( v20392(VarCurr)
      <=> v13285(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_370,axiom,(
    ! [VarCurr] :
      ( v19552(VarCurr)
     => ( v20392(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4932,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20386(VarNext)
      <=> v20387(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4931,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20387(VarNext)
      <=> ( v20389(VarNext)
          & v19538(VarNext) ) ) ) )).

fof(writeUnaryOperator_2559,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20389(VarNext)
      <=> v19545(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_412,axiom,(
    ! [VarCurr] :
      ( ~ v20356(VarCurr)
     => ( v13285(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_369,axiom,(
    ! [VarCurr] :
      ( v20356(VarCurr)
     => ( v13285(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4930,axiom,(
    ! [VarCurr] :
      ( v20356(VarCurr)
    <=> ( v20357(VarCurr)
        & v20381(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4929,axiom,(
    ! [VarCurr] :
      ( v20381(VarCurr)
    <=> ( v20382(VarCurr)
        | v20383(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1237,axiom,(
    ! [VarCurr] :
      ( v20383(VarCurr)
    <=> ( $true
      <=> v19534(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1236,axiom,(
    ! [VarCurr] :
      ( v20382(VarCurr)
    <=> ( $true
      <=> v19534(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4928,axiom,(
    ! [VarCurr] :
      ( v20357(VarCurr)
    <=> ( v20358(VarCurr)
        | v20375(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4927,axiom,(
    ! [VarCurr] :
      ( v20375(VarCurr)
    <=> ( v20377(VarCurr)
        & v20370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4926,axiom,(
    ! [VarCurr] :
      ( v20377(VarCurr)
    <=> ( v20378(VarCurr)
        & v13230(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4925,axiom,(
    ! [VarCurr] :
      ( v20378(VarCurr)
    <=> ( v20379(VarCurr)
        & v20245(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4924,axiom,(
    ! [VarCurr] :
      ( v20379(VarCurr)
    <=> ( v20380(VarCurr)
        & v20364(VarCurr) ) ) )).

fof(writeUnaryOperator_2558,axiom,(
    ! [VarCurr] :
      ( ~ v20380(VarCurr)
    <=> v19492(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4923,axiom,(
    ! [VarCurr] :
      ( v20358(VarCurr)
    <=> ( v20359(VarCurr)
        | v20371(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4922,axiom,(
    ! [VarCurr] :
      ( v20371(VarCurr)
    <=> ( v20373(VarCurr)
        & v20370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4921,axiom,(
    ! [VarCurr] :
      ( v20373(VarCurr)
    <=> ( v20369(VarCurr)
        & v20374(VarCurr) ) ) )).

fof(writeUnaryOperator_2557,axiom,(
    ! [VarCurr] :
      ( ~ v20374(VarCurr)
    <=> v13230(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4920,axiom,(
    ! [VarCurr] :
      ( v20359(VarCurr)
    <=> ( v20360(VarCurr)
        | v20365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4919,axiom,(
    ! [VarCurr] :
      ( v20365(VarCurr)
    <=> ( v20367(VarCurr)
        & v20370(VarCurr) ) ) )).

fof(writeUnaryOperator_2556,axiom,(
    ! [VarCurr] :
      ( ~ v20370(VarCurr)
    <=> v13353(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4918,axiom,(
    ! [VarCurr] :
      ( v20367(VarCurr)
    <=> ( v20368(VarCurr)
        & v13230(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4917,axiom,(
    ! [VarCurr] :
      ( v20368(VarCurr)
    <=> ( v20369(VarCurr)
        & v20245(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4916,axiom,(
    ! [VarCurr] :
      ( v20369(VarCurr)
    <=> ( v19492(VarCurr)
        & v20364(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4915,axiom,(
    ! [VarCurr] :
      ( v20360(VarCurr)
    <=> ( v20361(VarCurr)
        | v20362(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4914,axiom,(
    ! [VarCurr] :
      ( v20362(VarCurr)
    <=> ( v20364(VarCurr)
        & v13353(VarCurr) ) ) )).

fof(writeUnaryOperator_2555,axiom,(
    ! [VarCurr] :
      ( ~ v20364(VarCurr)
    <=> v13287(VarCurr) ) )).

fof(addAssignment_7788,axiom,(
    ! [VarCurr] :
      ( v20361(VarCurr)
    <=> v13287(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_252,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20333(VarNext)
       => ( v20245(VarNext)
        <=> v20245(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_283,axiom,(
    ! [VarNext] :
      ( v20333(VarNext)
     => ( v20245(VarNext)
      <=> v20348(VarNext) ) ) )).

fof(addAssignment_7787,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20348(VarNext)
      <=> v20346(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_441,axiom,(
    ! [VarCurr] :
      ( ~ v20342(VarCurr)
     => ( v20346(VarCurr)
      <=> v20349(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_426,axiom,(
    ! [VarCurr] :
      ( v20342(VarCurr)
     => ( v20346(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_411,axiom,(
    ! [VarCurr] :
      ( ~ v13228(VarCurr)
     => ( v20349(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_368,axiom,(
    ! [VarCurr] :
      ( v13228(VarCurr)
     => ( v20349(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4913,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20333(VarNext)
      <=> ( v20334(VarNext)
          & v20341(VarNext) ) ) ) )).

fof(addAssignment_7786,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20341(VarNext)
      <=> v20339(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4912,axiom,(
    ! [VarCurr] :
      ( v20339(VarCurr)
    <=> ( v20342(VarCurr)
        | v20343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4911,axiom,(
    ! [VarCurr] :
      ( v20343(VarCurr)
    <=> ( v20344(VarCurr)
        & v20345(VarCurr) ) ) )).

fof(writeUnaryOperator_2554,axiom,(
    ! [VarCurr] :
      ( ~ v20345(VarCurr)
    <=> v20342(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4910,axiom,(
    ! [VarCurr] :
      ( v20344(VarCurr)
    <=> ( v13228(VarCurr)
      <~> v20247(VarCurr) ) ) )).

fof(writeUnaryOperator_2553,axiom,(
    ! [VarCurr] :
      ( ~ v20342(VarCurr)
    <=> v19536(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4909,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20334(VarNext)
      <=> ( v20335(VarNext)
          & v19538(VarNext) ) ) ) )).

fof(writeUnaryOperator_2552,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20335(VarNext)
      <=> v19545(VarNext) ) ) )).

fof(addAssignment_7785,axiom,(
    ! [VarCurr] :
      ( v20247(VarCurr)
    <=> v20249(VarCurr) ) )).

fof(addAssignment_7784,axiom,(
    ! [VarCurr] :
      ( v20249(VarCurr)
    <=> v20251(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_410,axiom,(
    ! [VarCurr] :
      ( ~ v20282(VarCurr)
     => ( v20251(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_367,axiom,(
    ! [VarCurr] :
      ( v20282(VarCurr)
     => ( v20251(VarCurr)
      <=> v20320(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges6_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v20288(VarCurr)
        & ~ v20289(VarCurr)
        & ~ v20292(VarCurr)
        & ~ v20295(VarCurr)
        & ~ v20298(VarCurr)
        & ~ v20303(VarCurr)
        & v20311(VarCurr) )
     => ( v20320(VarCurr)
      <=> v20330(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges5_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v20288(VarCurr)
        & ~ v20289(VarCurr)
        & ~ v20292(VarCurr)
        & ~ v20295(VarCurr)
        & ~ v20298(VarCurr)
        & v20303(VarCurr) )
     => ( v20320(VarCurr)
      <=> v20329(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges4_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v20288(VarCurr)
        & ~ v20289(VarCurr)
        & ~ v20292(VarCurr)
        & ~ v20295(VarCurr)
        & v20298(VarCurr) )
     => ( v20320(VarCurr)
      <=> v20258(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges3_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v20288(VarCurr)
        & ~ v20289(VarCurr)
        & ~ v20292(VarCurr)
        & v20295(VarCurr) )
     => ( v20320(VarCurr)
      <=> v20321(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_10,axiom,(
    ! [VarCurr] :
      ( ( ~ v20288(VarCurr)
        & ~ v20289(VarCurr)
        & v20292(VarCurr) )
     => ( v20320(VarCurr)
      <=> v20258(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_251,axiom,(
    ! [VarCurr] :
      ( ( ~ v20288(VarCurr)
        & v20289(VarCurr) )
     => ( v20320(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges0_282,axiom,(
    ! [VarCurr] :
      ( v20288(VarCurr)
     => ( v20320(VarCurr)
      <=> v18245(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_440,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v20330(VarCurr)
      <=> v20258(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_425,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v20330(VarCurr)
      <=> v18290(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_439,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v20329(VarCurr)
      <=> v20258(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_424,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v20329(VarCurr)
      <=> v18275(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_409,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v20321(VarCurr)
      <=> v20322(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_366,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v20321(VarCurr)
      <=> v18260(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_408,axiom,(
    ! [VarCurr] :
      ( ~ v20323(VarCurr)
     => ( v20322(VarCurr)
      <=> v20258(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_365,axiom,(
    ! [VarCurr] :
      ( v20323(VarCurr)
     => ( v20322(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4908,axiom,(
    ! [VarCurr] :
      ( v20323(VarCurr)
    <=> ( v20324(VarCurr)
        & v20328(VarCurr) ) ) )).

fof(writeUnaryOperator_2551,axiom,(
    ! [VarCurr] :
      ( ~ v20328(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4907,axiom,(
    ! [VarCurr] :
      ( v20324(VarCurr)
    <=> ( v20325(VarCurr)
        & v20327(VarCurr) ) ) )).

fof(writeUnaryOperator_2550,axiom,(
    ! [VarCurr] :
      ( ~ v20327(VarCurr)
    <=> v17683(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4906,axiom,(
    ! [VarCurr] :
      ( v20325(VarCurr)
    <=> ( v17964(VarCurr)
        & v20326(VarCurr) ) ) )).

fof(writeUnaryOperator_2549,axiom,(
    ! [VarCurr] :
      ( ~ v20326(VarCurr)
    <=> v18318(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4905,axiom,(
    ! [VarCurr] :
      ( v20282(VarCurr)
    <=> ( v20283(VarCurr)
        | v20311(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4904,axiom,(
    ! [VarCurr] :
      ( v20311(VarCurr)
    <=> ( v20312(VarCurr)
        & v20316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4903,axiom,(
    ! [VarCurr] :
      ( v20316(VarCurr)
    <=> ( v20317(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4902,axiom,(
    ! [VarCurr] :
      ( v20317(VarCurr)
    <=> ( v13224(VarCurr)
        | v20318(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4901,axiom,(
    ! [VarCurr] :
      ( v20318(VarCurr)
    <=> ( v17946(VarCurr)
        & v20319(VarCurr) ) ) )).

fof(writeUnaryOperator_2548,axiom,(
    ! [VarCurr] :
      ( ~ v20319(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2547,axiom,(
    ! [VarCurr] :
      ( ~ v20312(VarCurr)
    <=> v20313(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4900,axiom,(
    ! [VarCurr] :
      ( v20313(VarCurr)
    <=> ( v20314(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4899,axiom,(
    ! [VarCurr] :
      ( v20314(VarCurr)
    <=> ( v20315(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4898,axiom,(
    ! [VarCurr] :
      ( v20315(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4897,axiom,(
    ! [VarCurr] :
      ( v20283(VarCurr)
    <=> ( v20284(VarCurr)
        | v20303(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4896,axiom,(
    ! [VarCurr] :
      ( v20303(VarCurr)
    <=> ( v20304(VarCurr)
        & v20307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4895,axiom,(
    ! [VarCurr] :
      ( v20307(VarCurr)
    <=> ( v20308(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4894,axiom,(
    ! [VarCurr] :
      ( v20308(VarCurr)
    <=> ( v13224(VarCurr)
        | v20309(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4893,axiom,(
    ! [VarCurr] :
      ( v20309(VarCurr)
    <=> ( v17946(VarCurr)
        & v20310(VarCurr) ) ) )).

fof(writeUnaryOperator_2546,axiom,(
    ! [VarCurr] :
      ( ~ v20310(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2545,axiom,(
    ! [VarCurr] :
      ( ~ v20304(VarCurr)
    <=> v20305(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4892,axiom,(
    ! [VarCurr] :
      ( v20305(VarCurr)
    <=> ( v20306(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4891,axiom,(
    ! [VarCurr] :
      ( v20306(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4890,axiom,(
    ! [VarCurr] :
      ( v20284(VarCurr)
    <=> ( v20285(VarCurr)
        | v20298(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4889,axiom,(
    ! [VarCurr] :
      ( v20298(VarCurr)
    <=> ( v20299(VarCurr)
        & v20301(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4888,axiom,(
    ! [VarCurr] :
      ( v20301(VarCurr)
    <=> ( v20302(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeUnaryOperator_2544,axiom,(
    ! [VarCurr] :
      ( ~ v20302(VarCurr)
    <=> v18392(VarCurr) ) )).

fof(writeUnaryOperator_2543,axiom,(
    ! [VarCurr] :
      ( ~ v20299(VarCurr)
    <=> v20300(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4887,axiom,(
    ! [VarCurr] :
      ( v20300(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4886,axiom,(
    ! [VarCurr] :
      ( v20285(VarCurr)
    <=> ( v20286(VarCurr)
        | v20295(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4885,axiom,(
    ! [VarCurr] :
      ( v20295(VarCurr)
    <=> ( v20296(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeUnaryOperator_2542,axiom,(
    ! [VarCurr] :
      ( ~ v20296(VarCurr)
    <=> v20297(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4884,axiom,(
    ! [VarCurr] :
      ( v20297(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4883,axiom,(
    ! [VarCurr] :
      ( v20286(VarCurr)
    <=> ( v20287(VarCurr)
        | v20292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4882,axiom,(
    ! [VarCurr] :
      ( v20292(VarCurr)
    <=> ( v20293(VarCurr)
        & v18329(VarCurr) ) ) )).

fof(writeUnaryOperator_2541,axiom,(
    ! [VarCurr] :
      ( ~ v20293(VarCurr)
    <=> v20294(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4881,axiom,(
    ! [VarCurr] :
      ( v20294(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4880,axiom,(
    ! [VarCurr] :
      ( v20287(VarCurr)
    <=> ( v20288(VarCurr)
        | v20289(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4879,axiom,(
    ! [VarCurr] :
      ( v20289(VarCurr)
    <=> ( v20290(VarCurr)
        & v20291(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4878,axiom,(
    ! [VarCurr] :
      ( v20291(VarCurr)
    <=> ( v17657(VarCurr)
        & v18328(VarCurr) ) ) )).

fof(writeUnaryOperator_2540,axiom,(
    ! [VarCurr] :
      ( ~ v20290(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4877,axiom,(
    ! [VarCurr] :
      ( v20288(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7783,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex0)
    <=> v18291(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_407,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18303(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_364,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18303(VarCurr)
      <=> v20278(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_406,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v20278(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_363,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v20278(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7782,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex0)
    <=> v18276(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_405,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18288(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_362,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18288(VarCurr)
      <=> v20273(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_404,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v20273(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_361,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v20273(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7781,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex0)
    <=> v18261(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_403,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18273(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_360,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18273(VarCurr)
      <=> v20268(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_402,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v20268(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_359,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v20268(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4876,axiom,(
    ! [VarCurr] :
      ( v20258(VarCurr)
    <=> ( v20260(VarCurr)
        & v17948(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2539,axiom,(
    ! [VarCurr] :
      ( ~ v20260(VarCurr)
    <=> v20261(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1415,axiom,(
    ! [VarCurr] :
      ( v20261(VarCurr)
    <=> ( v20263(VarCurr)
        | v17948(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1414,axiom,(
    ! [VarCurr] :
      ( v20263(VarCurr)
    <=> ( v20264(VarCurr)
        | v17948(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1413,axiom,(
    ! [VarCurr] :
      ( v20264(VarCurr)
    <=> ( v20265(VarCurr)
        | v17948(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1412,axiom,(
    ! [VarCurr] :
      ( v20265(VarCurr)
    <=> ( v17948(VarCurr,bitIndex1)
        | v17948(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_7780,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex0)
    <=> v18246(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_401,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18258(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_358,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18258(VarCurr)
      <=> v20254(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_400,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v20254(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_357,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v20254(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7779,axiom,(
    ! [VarCurr] :
      ( v19492(VarCurr)
    <=> v19494(VarCurr) ) )).

fof(addAssignment_7778,axiom,(
    ! [VarCurr] :
      ( v19494(VarCurr)
    <=> v19496(VarCurr) ) )).

fof(addAssignment_7777,axiom,(
    ! [VarCurr] :
      ( v19496(VarCurr)
    <=> v19498(VarCurr) ) )).

fof(addAssignment_7776,axiom,(
    ! [VarCurr] :
      ( v19498(VarCurr)
    <=> v19500(VarCurr) ) )).

fof(addAssignment_7775,axiom,(
    ! [VarCurr] :
      ( v19500(VarCurr)
    <=> v19502(VarCurr) ) )).

fof(addAssignment_7774,axiom,(
    ! [VarCurr] :
      ( v19502(VarCurr)
    <=> v19504(VarCurr) ) )).

fof(addAssignment_7773,axiom,(
    ! [VarCurr] :
      ( v19504(VarCurr)
    <=> v19506(VarCurr) ) )).

fof(addAssignment_7772,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr)
    <=> v19508(VarCurr,bitIndex4) ) )).

fof(addAssignment_7771,axiom,(
    ! [VarNext] :
      ( v19508(VarNext,bitIndex4)
    <=> v20237(VarNext,bitIndex4) ) )).

fof(addCaseBooleanConditionEqualRanges1_250,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20238(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v20237(VarNext,B)
            <=> v19508(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_281,axiom,(
    ! [VarNext] :
      ( v20238(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v20237(VarNext,B)
          <=> v20224(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4875,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20238(VarNext)
      <=> v20239(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4874,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20239(VarNext)
      <=> ( v20241(VarNext)
          & v19571(VarNext) ) ) ) )).

fof(writeUnaryOperator_2538,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20241(VarNext)
      <=> v19582(VarNext) ) ) )).

fof(addAssignment_7770,axiom,(
    ! [VarCurr] :
      ( v19516(VarCurr,bitIndex4)
    <=> v20200(VarCurr,bitIndex4) ) )).

fof(addAssignment_7769,axiom,(
    ! [VarCurr] :
      ( v20197(VarCurr,bitIndex4)
    <=> v20198(VarCurr,bitIndex4) ) )).

fof(addAssignment_7768,axiom,(
    ! [VarNext] :
      ( v19508(VarNext,bitIndex3)
    <=> v20229(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionEqualRanges1_249,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20230(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v20229(VarNext,B)
            <=> v19508(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_280,axiom,(
    ! [VarNext] :
      ( v20230(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v20229(VarNext,B)
          <=> v20224(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4873,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20230(VarNext)
      <=> v20231(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4872,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20231(VarNext)
      <=> ( v20233(VarNext)
          & v19571(VarNext) ) ) ) )).

fof(writeUnaryOperator_2537,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20233(VarNext)
      <=> v19582(VarNext) ) ) )).

fof(addAssignment_7767,axiom,(
    ! [VarCurr] :
      ( v19516(VarCurr,bitIndex3)
    <=> v20200(VarCurr,bitIndex3) ) )).

fof(addAssignment_7766,axiom,(
    ! [VarCurr] :
      ( v20197(VarCurr,bitIndex3)
    <=> v20198(VarCurr,bitIndex3) ) )).

fof(addAssignment_7765,axiom,(
    ! [VarNext] :
      ( v19508(VarNext,bitIndex5)
    <=> v20215(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionEqualRanges1_248,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20216(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v20215(VarNext,B)
            <=> v19508(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_279,axiom,(
    ! [VarNext] :
      ( v20216(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v20215(VarNext,B)
          <=> v20224(VarNext,B) ) ) ) )).

fof(addAssignment_7764,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v20224(VarNext,B)
          <=> v20222(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_399,axiom,(
    ! [VarCurr] :
      ( ~ v20225(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v20222(VarCurr,B)
          <=> v19516(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_356,axiom,(
    ! [VarCurr] :
      ( v20225(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v20222(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2536,axiom,(
    ! [VarCurr] :
      ( ~ v20225(VarCurr)
    <=> v19510(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4871,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20216(VarNext)
      <=> v20217(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4870,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20217(VarNext)
      <=> ( v20218(VarNext)
          & v19571(VarNext) ) ) ) )).

fof(writeUnaryOperator_2535,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20218(VarNext)
      <=> v19582(VarNext) ) ) )).

fof(addAssignment_7763,axiom,(
    ! [VarCurr] :
      ( v19516(VarCurr,bitIndex5)
    <=> v20200(VarCurr,bitIndex5) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_398,axiom,(
    ! [VarCurr] :
      ( ~ v20201(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v20200(VarCurr,B)
          <=> v20202(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_355,axiom,(
    ! [VarCurr] :
      ( v20201(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v20200(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_44,axiom,(
    ! [VarCurr] :
      ( ( ~ v20203(VarCurr)
        & ~ v20205(VarCurr)
        & ~ v20209(VarCurr) )
     => ! [B] :
          ( range_5_0(B)
         => ( v20202(VarCurr,B)
          <=> v19508(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_116,axiom,(
    ! [VarCurr] :
      ( v20209(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v20202(VarCurr,B)
          <=> v20211(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_438,axiom,(
    ! [VarCurr] :
      ( v20205(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v20202(VarCurr,B)
          <=> v20207(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_423,axiom,(
    ! [VarCurr] :
      ( v20203(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v20202(VarCurr,B)
          <=> v19508(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1235,axiom,(
    ! [VarCurr] :
      ( v20212(VarCurr)
    <=> ( ( v20213(VarCurr,bitIndex1)
        <=> $true )
        & ( v20213(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7762,axiom,(
    ! [VarCurr] :
      ( v20213(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7761,axiom,(
    ! [VarCurr] :
      ( v20213(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addAssignment_7760,axiom,(
    ! [VarCurr] :
      ( v20211(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_7759,axiom,(
    ! [VarCurr,B] :
      ( range_5_1(B)
     => ( v20211(VarCurr,B)
      <=> v20197(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1234,axiom,(
    ! [VarCurr] :
      ( v20209(VarCurr)
    <=> ( ( v20210(VarCurr,bitIndex1)
        <=> $true )
        & ( v20210(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7758,axiom,(
    ! [VarCurr] :
      ( v20210(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7757,axiom,(
    ! [VarCurr] :
      ( v20210(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addAssignment_7756,axiom,(
    ! [VarCurr] :
      ( ( v20207(VarCurr,bitIndex4)
      <=> v19508(VarCurr,bitIndex5) )
      & ( v20207(VarCurr,bitIndex3)
      <=> v19508(VarCurr,bitIndex4) )
      & ( v20207(VarCurr,bitIndex2)
      <=> v19508(VarCurr,bitIndex3) )
      & ( v20207(VarCurr,bitIndex1)
      <=> v19508(VarCurr,bitIndex2) )
      & ( v20207(VarCurr,bitIndex0)
      <=> v19508(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7755,axiom,(
    ! [VarCurr] :
      ( v20207(VarCurr,bitIndex5)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1233,axiom,(
    ! [VarCurr] :
      ( v20205(VarCurr)
    <=> ( ( v20206(VarCurr,bitIndex1)
        <=> $false )
        & ( v20206(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7754,axiom,(
    ! [VarCurr] :
      ( v20206(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7753,axiom,(
    ! [VarCurr] :
      ( v20206(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1232,axiom,(
    ! [VarCurr] :
      ( v20203(VarCurr)
    <=> ( ( v20204(VarCurr,bitIndex1)
        <=> $false )
        & ( v20204(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7752,axiom,(
    ! [VarCurr] :
      ( v20204(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7751,axiom,(
    ! [VarCurr] :
      ( v20204(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(writeUnaryOperator_2534,axiom,(
    ! [VarCurr] :
      ( ~ v20201(VarCurr)
    <=> v19510(VarCurr) ) )).

fof(addAssignment_7750,axiom,(
    ! [VarCurr] :
      ( v20197(VarCurr,bitIndex5)
    <=> v20198(VarCurr,bitIndex5) ) )).

fof(addAssignment_7749,axiom,(
    ! [VarCurr] :
      ( v20198(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_7748,axiom,(
    ! [VarCurr] :
      ( ( v20198(VarCurr,bitIndex5)
      <=> v19508(VarCurr,bitIndex4) )
      & ( v20198(VarCurr,bitIndex4)
      <=> v19508(VarCurr,bitIndex3) )
      & ( v20198(VarCurr,bitIndex3)
      <=> v19508(VarCurr,bitIndex2) )
      & ( v20198(VarCurr,bitIndex2)
      <=> v19508(VarCurr,bitIndex1) )
      & ( v20198(VarCurr,bitIndex1)
      <=> v19508(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7747,axiom,(
    ! [VarCurr] :
      ( v19556(VarCurr)
    <=> v19558(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_397,axiom,(
    ! [VarCurr] :
      ( ~ v20184(VarCurr)
     => ( v19558(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_354,axiom,(
    ! [VarCurr] :
      ( v20184(VarCurr)
     => ( v19558(VarCurr)
      <=> v20192(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_437,axiom,(
    ! [VarCurr] :
      ( ~ v20186(VarCurr)
     => ( v20192(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_422,axiom,(
    ! [VarCurr] :
      ( v20186(VarCurr)
     => ( v20192(VarCurr)
      <=> v20193(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_115,axiom,(
    ! [VarCurr] :
      ( ( ~ v20128(VarCurr)
        & ~ v19911(VarCurr) )
     => ( v20193(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_436,axiom,(
    ! [VarCurr] :
      ( v19911(VarCurr)
     => ( v20193(VarCurr)
      <=> v20195(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_421,axiom,(
    ! [VarCurr] :
      ( v20128(VarCurr)
     => ( v20193(VarCurr)
      <=> v20194(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_396,axiom,(
    ! [VarCurr] :
      ( ~ v19808(VarCurr)
     => ( v20195(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_353,axiom,(
    ! [VarCurr] :
      ( v19808(VarCurr)
     => ( v20195(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_395,axiom,(
    ! [VarCurr] :
      ( ~ v20060(VarCurr)
     => ( v20194(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_352,axiom,(
    ! [VarCurr] :
      ( v20060(VarCurr)
     => ( v20194(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4869,axiom,(
    ! [VarCurr] :
      ( v20184(VarCurr)
    <=> ( v20185(VarCurr)
        & v20191(VarCurr) ) ) )).

fof(writeUnaryOperator_2533,axiom,(
    ! [VarCurr] :
      ( ~ v20191(VarCurr)
    <=> v19915(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4868,axiom,(
    ! [VarCurr] :
      ( v20185(VarCurr)
    <=> ( v20186(VarCurr)
        | v20190(VarCurr) ) ) )).

fof(writeUnaryOperator_2532,axiom,(
    ! [VarCurr] :
      ( ~ v20190(VarCurr)
    <=> v19912(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4867,axiom,(
    ! [VarCurr] :
      ( v20186(VarCurr)
    <=> ( v20187(VarCurr)
        & v19912(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4866,axiom,(
    ! [VarCurr] :
      ( v20187(VarCurr)
    <=> ( v20188(VarCurr)
        | v20189(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1231,axiom,(
    ! [VarCurr] :
      ( v20189(VarCurr)
    <=> ( ( v19560(VarCurr,bitIndex1)
        <=> $true )
        & ( v19560(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4865,axiom,(
    ! [VarCurr] :
      ( v20188(VarCurr)
    <=> ( v20128(VarCurr)
        | v19911(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1411,axiom,(
    ! [VarCurr] :
      ( v20060(VarCurr)
    <=> ( v20161(VarCurr)
        | v20062(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_247,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20169(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v20062(VarNext,B)
            <=> v20062(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_278,axiom,(
    ! [VarNext] :
      ( v20169(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v20062(VarNext,B)
          <=> v20177(VarNext,B) ) ) ) )).

fof(addAssignment_7746,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v20177(VarNext,B)
          <=> v20175(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_394,axiom,(
    ! [VarCurr] :
      ( ~ v20178(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20175(VarCurr,B)
          <=> v20064(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_351,axiom,(
    ! [VarCurr] :
      ( v20178(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20175(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(writeUnaryOperator_2531,axiom,(
    ! [VarCurr] :
      ( ~ v20178(VarCurr)
    <=> v19512(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4864,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20169(VarNext)
      <=> v20170(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4863,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20170(VarNext)
      <=> ( v20171(VarNext)
          & v19573(VarNext) ) ) ) )).

fof(writeUnaryOperator_2530,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20171(VarNext)
      <=> v19972(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_114,axiom,(
    ! [VarCurr] :
      ( ( ~ v20134(VarCurr)
        & ~ v20150(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v20064(VarCurr,B)
          <=> v20062(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_435,axiom,(
    ! [VarCurr] :
      ( v20150(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20064(VarCurr,B)
          <=> v20152(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_420,axiom,(
    ! [VarCurr] :
      ( v20134(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20064(VarCurr,B)
          <=> v20136(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4862,axiom,(
    ! [VarCurr] :
      ( v20162(VarCurr)
    <=> ( v20163(VarCurr)
        | v20165(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1230,axiom,(
    ! [VarCurr] :
      ( v20165(VarCurr)
    <=> ( ( v20166(VarCurr,bitIndex1)
        <=> $true )
        & ( v20166(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7745,axiom,(
    ! [VarCurr] :
      ( v20166(VarCurr,bitIndex0)
    <=> v20123(VarCurr) ) )).

fof(addAssignment_7744,axiom,(
    ! [VarCurr] :
      ( v20166(VarCurr,bitIndex1)
    <=> v20066(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1229,axiom,(
    ! [VarCurr] :
      ( v20163(VarCurr)
    <=> ( ( v20164(VarCurr,bitIndex1)
        <=> $false )
        & ( v20164(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7743,axiom,(
    ! [VarCurr] :
      ( v20164(VarCurr,bitIndex0)
    <=> v20123(VarCurr) ) )).

fof(addAssignment_7742,axiom,(
    ! [VarCurr] :
      ( v20164(VarCurr,bitIndex1)
    <=> v20066(VarCurr) ) )).

fof(addAssignment_7741,axiom,(
    ! [VarCurr] :
      ( v20152(VarCurr,bitIndex0)
    <=> v20148(VarCurr) ) )).

fof(addAssignment_7740,axiom,(
    ! [VarCurr] :
      ( v20152(VarCurr,bitIndex1)
    <=> v20159(VarCurr) ) )).

fof(addAssignment_7739,axiom,(
    ! [VarCurr] :
      ( v20152(VarCurr,bitIndex2)
    <=> v20154(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4861,axiom,(
    ! [VarCurr] :
      ( v20159(VarCurr)
    <=> ( v20160(VarCurr)
        & v20161(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1410,axiom,(
    ! [VarCurr] :
      ( v20161(VarCurr)
    <=> ( v20062(VarCurr,bitIndex0)
        | v20062(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4860,axiom,(
    ! [VarCurr] :
      ( v20160(VarCurr)
    <=> ( v20148(VarCurr)
        | v20143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4859,axiom,(
    ! [VarCurr] :
      ( v20154(VarCurr)
    <=> ( v20155(VarCurr)
        & v20158(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1409,axiom,(
    ! [VarCurr] :
      ( v20158(VarCurr)
    <=> ( v20062(VarCurr,bitIndex2)
        | v20157(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4858,axiom,(
    ! [VarCurr] :
      ( v20155(VarCurr)
    <=> ( v20145(VarCurr)
        | v20156(VarCurr) ) ) )).

fof(writeUnaryOperator_2529,axiom,(
    ! [VarCurr] :
      ( ~ v20156(VarCurr)
    <=> v20157(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1408,axiom,(
    ! [VarCurr] :
      ( v20157(VarCurr)
    <=> ( v20062(VarCurr,bitIndex0)
        & v20062(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1228,axiom,(
    ! [VarCurr] :
      ( v20150(VarCurr)
    <=> ( ( v20151(VarCurr,bitIndex1)
        <=> $true )
        & ( v20151(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7738,axiom,(
    ! [VarCurr] :
      ( v20151(VarCurr,bitIndex0)
    <=> v20123(VarCurr) ) )).

fof(addAssignment_7737,axiom,(
    ! [VarCurr] :
      ( v20151(VarCurr,bitIndex1)
    <=> v20066(VarCurr) ) )).

fof(addAssignment_7736,axiom,(
    ! [VarCurr] :
      ( v20136(VarCurr,bitIndex0)
    <=> v20148(VarCurr) ) )).

fof(addAssignment_7735,axiom,(
    ! [VarCurr] :
      ( v20136(VarCurr,bitIndex1)
    <=> v20146(VarCurr) ) )).

fof(addAssignment_7734,axiom,(
    ! [VarCurr] :
      ( v20136(VarCurr,bitIndex2)
    <=> v20138(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4857,axiom,(
    ! [VarCurr] :
      ( v20146(VarCurr)
    <=> ( v20147(VarCurr)
        & v20149(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4856,axiom,(
    ! [VarCurr] :
      ( v20149(VarCurr)
    <=> ( v20062(VarCurr,bitIndex0)
        | v20143(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1407,axiom,(
    ! [VarCurr] :
      ( v20147(VarCurr)
    <=> ( v20148(VarCurr)
        | v20062(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2528,axiom,(
    ! [VarCurr] :
      ( ~ v20148(VarCurr)
    <=> v20062(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4855,axiom,(
    ! [VarCurr] :
      ( v20138(VarCurr)
    <=> ( v20139(VarCurr)
        & v20144(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4854,axiom,(
    ! [VarCurr] :
      ( v20144(VarCurr)
    <=> ( v20141(VarCurr)
        | v20145(VarCurr) ) ) )).

fof(writeUnaryOperator_2527,axiom,(
    ! [VarCurr] :
      ( ~ v20145(VarCurr)
    <=> v20062(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1406,axiom,(
    ! [VarCurr] :
      ( v20139(VarCurr)
    <=> ( v20140(VarCurr)
        | v20062(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2526,axiom,(
    ! [VarCurr] :
      ( ~ v20140(VarCurr)
    <=> v20141(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1405,axiom,(
    ! [VarCurr] :
      ( v20141(VarCurr)
    <=> ( v20062(VarCurr,bitIndex1)
        | v20142(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4853,axiom,(
    ! [VarCurr] :
      ( v20142(VarCurr)
    <=> ( v20062(VarCurr,bitIndex0)
        & v20143(VarCurr) ) ) )).

fof(writeUnaryOperator_2525,axiom,(
    ! [VarCurr] :
      ( ~ v20143(VarCurr)
    <=> v20062(VarCurr,bitIndex1) ) )).

fof(addBitVectorEqualityBitBlasted_1227,axiom,(
    ! [VarCurr] :
      ( v20134(VarCurr)
    <=> ( ( v20135(VarCurr,bitIndex1)
        <=> $false )
        & ( v20135(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7733,axiom,(
    ! [VarCurr] :
      ( v20135(VarCurr,bitIndex0)
    <=> v20123(VarCurr) ) )).

fof(addAssignment_7732,axiom,(
    ! [VarCurr] :
      ( v20135(VarCurr,bitIndex1)
    <=> v20066(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_393,axiom,(
    ! [VarCurr] :
      ( ~ v20125(VarCurr)
     => ( v20123(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_350,axiom,(
    ! [VarCurr] :
      ( v20125(VarCurr)
     => ( v20123(VarCurr)
      <=> v20131(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_434,axiom,(
    ! [VarCurr] :
      ( ~ v20127(VarCurr)
     => ( v20131(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_419,axiom,(
    ! [VarCurr] :
      ( v20127(VarCurr)
     => ( v20131(VarCurr)
      <=> v20132(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_392,axiom,(
    ! [VarCurr] :
      ( ~ v20060(VarCurr)
     => ( v20132(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_349,axiom,(
    ! [VarCurr] :
      ( v20060(VarCurr)
     => ( v20132(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4852,axiom,(
    ! [VarCurr] :
      ( v20125(VarCurr)
    <=> ( v20126(VarCurr)
        & v20130(VarCurr) ) ) )).

fof(writeUnaryOperator_2524,axiom,(
    ! [VarCurr] :
      ( ~ v20130(VarCurr)
    <=> v19915(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4851,axiom,(
    ! [VarCurr] :
      ( v20126(VarCurr)
    <=> ( v20127(VarCurr)
        | v20129(VarCurr) ) ) )).

fof(writeUnaryOperator_2523,axiom,(
    ! [VarCurr] :
      ( ~ v20129(VarCurr)
    <=> v19912(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4850,axiom,(
    ! [VarCurr] :
      ( v20127(VarCurr)
    <=> ( v20128(VarCurr)
        & v19912(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1226,axiom,(
    ! [VarCurr] :
      ( v20128(VarCurr)
    <=> ( ( v19560(VarCurr,bitIndex1)
        <=> $false )
        & ( v19560(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7731,axiom,(
    ! [VarCurr] :
      ( v20066(VarCurr)
    <=> v20068(VarCurr) ) )).

fof(addAssignment_7730,axiom,(
    ! [VarCurr] :
      ( v20068(VarCurr)
    <=> v20070(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_391,axiom,(
    ! [VarCurr] :
      ( ~ v20114(VarCurr)
     => ( v20070(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_348,axiom,(
    ! [VarCurr] :
      ( v20114(VarCurr)
     => ( v20070(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4849,axiom,(
    ! [VarCurr] :
      ( v20114(VarCurr)
    <=> ( v20115(VarCurr)
        | v20121(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1225,axiom,(
    ! [VarCurr] :
      ( v20121(VarCurr)
    <=> ( $true
      <=> v20112(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4848,axiom,(
    ! [VarCurr] :
      ( v20115(VarCurr)
    <=> ( v20116(VarCurr)
        & v20120(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1224,axiom,(
    ! [VarCurr] :
      ( v20120(VarCurr)
    <=> ( $true
      <=> v20112(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4847,axiom,(
    ! [VarCurr] :
      ( v20116(VarCurr)
    <=> ( v20117(VarCurr)
        & v20118(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4846,axiom,(
    ! [VarCurr] :
      ( v20118(VarCurr)
    <=> ( v20119(VarCurr)
        & v20105(VarCurr) ) ) )).

fof(writeUnaryOperator_2522,axiom,(
    ! [VarCurr] :
      ( ~ v20119(VarCurr)
    <=> v20074(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1223,axiom,(
    ! [VarCurr] :
      ( v20117(VarCurr)
    <=> ( ( v20072(VarCurr,bitIndex1)
        <=> $false )
        & ( v20072(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1404,axiom,(
    ! [VarCurr] :
      ( v20105(VarCurr)
    <=> ( v20110(VarCurr)
        | v20107(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1403,axiom,(
    ! [VarCurr] :
      ( v20110(VarCurr)
    <=> ( v20107(VarCurr,bitIndex0)
        | v20107(VarCurr,bitIndex1) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_390,axiom,(
    ! [VarCurr] :
      ( ~ v20074(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20072(VarCurr,B)
          <=> v20086(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_347,axiom,(
    ! [VarCurr] :
      ( v20074(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20072(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_43,axiom,(
    ! [VarCurr] :
      ( ( ~ v20087(VarCurr)
        & ~ v20095(VarCurr)
        & ~ v20096(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v20086(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_113,axiom,(
    ! [VarCurr] :
      ( v20096(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20086(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_433,axiom,(
    ! [VarCurr] :
      ( v20095(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20086(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_418,axiom,(
    ! [VarCurr] :
      ( v20087(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20086(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4845,axiom,(
    ! [VarCurr] :
      ( v20096(VarCurr)
    <=> ( v20098(VarCurr)
        | v20103(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1222,axiom,(
    ! [VarCurr] :
      ( v20103(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $false )
        & ( v20078(VarCurr,bitIndex5)
        <=> $false )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $true )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $true )
        & ( v20078(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4844,axiom,(
    ! [VarCurr] :
      ( v20098(VarCurr)
    <=> ( v20099(VarCurr)
        | v20102(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1221,axiom,(
    ! [VarCurr] :
      ( v20102(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $true )
        & ( v20078(VarCurr,bitIndex5)
        <=> $false )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $true )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $true )
        & ( v20078(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4843,axiom,(
    ! [VarCurr] :
      ( v20099(VarCurr)
    <=> ( v20100(VarCurr)
        | v20101(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1220,axiom,(
    ! [VarCurr] :
      ( v20101(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $true )
        & ( v20078(VarCurr,bitIndex5)
        <=> $true )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $false )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $false )
        & ( v20078(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1219,axiom,(
    ! [VarCurr] :
      ( v20100(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $true )
        & ( v20078(VarCurr,bitIndex5)
        <=> $false )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $false )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $false )
        & ( v20078(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1218,axiom,(
    ! [VarCurr] :
      ( v20095(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $false )
        & ( v20078(VarCurr,bitIndex5)
        <=> $false )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $true )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $false )
        & ( v20078(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4842,axiom,(
    ! [VarCurr] :
      ( v20087(VarCurr)
    <=> ( v20089(VarCurr)
        | v20094(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1217,axiom,(
    ! [VarCurr] :
      ( v20094(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $false )
        & ( v20078(VarCurr,bitIndex5)
        <=> $true )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $false )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $false )
        & ( v20078(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4841,axiom,(
    ! [VarCurr] :
      ( v20089(VarCurr)
    <=> ( v20090(VarCurr)
        | v20093(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1216,axiom,(
    ! [VarCurr] :
      ( v20093(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $false )
        & ( v20078(VarCurr,bitIndex5)
        <=> $false )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $false )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $false )
        & ( v20078(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4840,axiom,(
    ! [VarCurr] :
      ( v20090(VarCurr)
    <=> ( v20091(VarCurr)
        | v20092(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1215,axiom,(
    ! [VarCurr] :
      ( v20092(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $false )
        & ( v20078(VarCurr,bitIndex5)
        <=> $true )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $false )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $false )
        & ( v20078(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1214,axiom,(
    ! [VarCurr] :
      ( v20091(VarCurr)
    <=> ( ( v20078(VarCurr,bitIndex6)
        <=> $false )
        & ( v20078(VarCurr,bitIndex5)
        <=> $false )
        & ( v20078(VarCurr,bitIndex4)
        <=> $false )
        & ( v20078(VarCurr,bitIndex3)
        <=> $false )
        & ( v20078(VarCurr,bitIndex2)
        <=> $false )
        & ( v20078(VarCurr,bitIndex1)
        <=> $false )
        & ( v20078(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7729,axiom,(
    ! [VarCurr] :
      ( ( v20078(VarCurr,bitIndex6)
      <=> v20080(VarCurr,bitIndex130) )
      & ( v20078(VarCurr,bitIndex5)
      <=> v20080(VarCurr,bitIndex129) )
      & ( v20078(VarCurr,bitIndex4)
      <=> v20080(VarCurr,bitIndex128) )
      & ( v20078(VarCurr,bitIndex3)
      <=> v20080(VarCurr,bitIndex127) )
      & ( v20078(VarCurr,bitIndex2)
      <=> v20080(VarCurr,bitIndex126) )
      & ( v20078(VarCurr,bitIndex1)
      <=> v20080(VarCurr,bitIndex125) )
      & ( v20078(VarCurr,bitIndex0)
      <=> v20080(VarCurr,bitIndex124) ) ) )).

fof(addAssignment_7728,axiom,(
    ! [VarCurr,B] :
      ( range_130_124(B)
     => ( v20080(VarCurr,B)
      <=> v20082(VarCurr,B) ) ) )).

fof(range_axiom_81,axiom,(
    ! [B] :
      ( range_130_124(B)
    <=> ( $false
        | bitIndex124 = B
        | bitIndex125 = B
        | bitIndex126 = B
        | bitIndex127 = B
        | bitIndex128 = B
        | bitIndex129 = B
        | bitIndex130 = B ) ) )).

fof(addAssignment_7727,axiom,(
    ! [VarCurr] :
      ( ( v20082(VarCurr,bitIndex130)
      <=> v20084(VarCurr,bitIndex523) )
      & ( v20082(VarCurr,bitIndex129)
      <=> v20084(VarCurr,bitIndex522) )
      & ( v20082(VarCurr,bitIndex128)
      <=> v20084(VarCurr,bitIndex521) )
      & ( v20082(VarCurr,bitIndex127)
      <=> v20084(VarCurr,bitIndex520) )
      & ( v20082(VarCurr,bitIndex126)
      <=> v20084(VarCurr,bitIndex519) )
      & ( v20082(VarCurr,bitIndex125)
      <=> v20084(VarCurr,bitIndex518) )
      & ( v20082(VarCurr,bitIndex124)
      <=> v20084(VarCurr,bitIndex517) ) ) )).

fof(addAssignment_7726,axiom,(
    ! [VarCurr] :
      ( v20074(VarCurr)
    <=> v20076(VarCurr) ) )).

fof(addAssignment_7725,axiom,(
    ! [VarCurr] :
      ( v19773(VarCurr)
    <=> v19775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1213,axiom,(
    ! [VarCurr] :
      ( v19775(VarCurr)
    <=> ( ( v19777(VarCurr,bitIndex2)
        <=> $false )
        & ( v19777(VarCurr,bitIndex1)
        <=> $false )
        & ( v19777(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_246,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20044(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v19777(VarNext,B)
            <=> v19777(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_277,axiom,(
    ! [VarNext] :
      ( v20044(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v19777(VarNext,B)
          <=> v20054(VarNext,B) ) ) ) )).

fof(addAssignment_7724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v20054(VarNext,B)
          <=> v20052(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_389,axiom,(
    ! [VarCurr] :
      ( ~ v20055(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20052(VarCurr,B)
          <=> v19781(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_346,axiom,(
    ! [VarCurr] :
      ( v20055(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20052(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2521,axiom,(
    ! [VarCurr] :
      ( ~ v20055(VarCurr)
    <=> v19779(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4839,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20044(VarNext)
      <=> v20045(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4838,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20045(VarNext)
      <=> ( v20046(VarNext)
          & v20041(VarNext) ) ) ) )).

fof(writeUnaryOperator_2520,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20046(VarNext)
      <=> v20048(VarNext) ) ) )).

fof(addAssignment_7723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20048(VarNext)
      <=> v20041(VarCurr) ) ) )).

fof(addAssignment_7722,axiom,(
    ! [VarCurr] :
      ( v20041(VarCurr)
    <=> v19573(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_42,axiom,(
    ! [VarCurr] :
      ( ( ~ v19992(VarCurr)
        & ~ v19994(VarCurr)
        & ~ v20021(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v19781(VarCurr,B)
          <=> v19777(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_112,axiom,(
    ! [VarCurr] :
      ( v20021(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v19781(VarCurr,B)
          <=> v20023(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_432,axiom,(
    ! [VarCurr] :
      ( v19994(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v19781(VarCurr,B)
          <=> v19996(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_417,axiom,(
    ! [VarCurr] :
      ( v19992(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v19781(VarCurr,B)
          <=> v19777(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1212,axiom,(
    ! [VarCurr] :
      ( v20038(VarCurr)
    <=> ( ( v20039(VarCurr,bitIndex1)
        <=> $true )
        & ( v20039(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7721,axiom,(
    ! [VarCurr] :
      ( v20039(VarCurr,bitIndex0)
    <=> v19802(VarCurr) ) )).

fof(addAssignment_7720,axiom,(
    ! [VarCurr] :
      ( v20039(VarCurr,bitIndex1)
    <=> v19783(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_388,axiom,(
    ! [VarCurr] :
      ( ~ v20024(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20023(VarCurr,B)
          <=> v20025(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_345,axiom,(
    ! [VarCurr] :
      ( v20024(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v20023(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addAssignment_7719,axiom,(
    ! [VarCurr] :
      ( v20025(VarCurr,bitIndex0)
    <=> v20035(VarCurr) ) )).

fof(addAssignment_7718,axiom,(
    ! [VarCurr] :
      ( v20025(VarCurr,bitIndex1)
    <=> v20033(VarCurr) ) )).

fof(addAssignment_7717,axiom,(
    ! [VarCurr] :
      ( v20025(VarCurr,bitIndex2)
    <=> v20027(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4837,axiom,(
    ! [VarCurr] :
      ( v20033(VarCurr)
    <=> ( v20034(VarCurr)
        & v20037(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1402,axiom,(
    ! [VarCurr] :
      ( v20037(VarCurr)
    <=> ( v19777(VarCurr,bitIndex0)
        | v19777(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4836,axiom,(
    ! [VarCurr] :
      ( v20034(VarCurr)
    <=> ( v20035(VarCurr)
        | v20036(VarCurr) ) ) )).

fof(writeUnaryOperator_2519,axiom,(
    ! [VarCurr] :
      ( ~ v20036(VarCurr)
    <=> v19777(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2518,axiom,(
    ! [VarCurr] :
      ( ~ v20035(VarCurr)
    <=> v19777(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4835,axiom,(
    ! [VarCurr] :
      ( v20027(VarCurr)
    <=> ( v20028(VarCurr)
        & v20032(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1401,axiom,(
    ! [VarCurr] :
      ( v20032(VarCurr)
    <=> ( v20030(VarCurr)
        | v19777(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4834,axiom,(
    ! [VarCurr] :
      ( v20028(VarCurr)
    <=> ( v20029(VarCurr)
        | v20031(VarCurr) ) ) )).

fof(writeUnaryOperator_2517,axiom,(
    ! [VarCurr] :
      ( ~ v20031(VarCurr)
    <=> v19777(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2516,axiom,(
    ! [VarCurr] :
      ( ~ v20029(VarCurr)
    <=> v20030(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1400,axiom,(
    ! [VarCurr] :
      ( v20030(VarCurr)
    <=> ( v19777(VarCurr,bitIndex0)
        & v19777(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1211,axiom,(
    ! [VarCurr] :
      ( v20024(VarCurr)
    <=> ( ( v19777(VarCurr,bitIndex2)
        <=> $true )
        & ( v19777(VarCurr,bitIndex1)
        <=> $false )
        & ( v19777(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1210,axiom,(
    ! [VarCurr] :
      ( v20021(VarCurr)
    <=> ( ( v20022(VarCurr,bitIndex1)
        <=> $true )
        & ( v20022(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7716,axiom,(
    ! [VarCurr] :
      ( v20022(VarCurr,bitIndex0)
    <=> v19802(VarCurr) ) )).

fof(addAssignment_7715,axiom,(
    ! [VarCurr] :
      ( v20022(VarCurr,bitIndex1)
    <=> v19783(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_387,axiom,(
    ! [VarCurr] :
      ( ~ v19997(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v19996(VarCurr,B)
          <=> v19998(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_344,axiom,(
    ! [VarCurr] :
      ( v19997(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v19996(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_132,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex4)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_131,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex5)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_130,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex6)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_129,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex7)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_128,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex8)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_127,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex9)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_126,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex10)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_125,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex11)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_124,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex12)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_123,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex13)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_122,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex14)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_121,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex15)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_120,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex16)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_119,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex17)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_118,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex18)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_117,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex19)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_116,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex20)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_115,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex21)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_114,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex22)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_113,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex23)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_112,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex24)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_111,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex25)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_110,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex26)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_109,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex27)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_108,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex28)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_107,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex29)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_106,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex30)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_105,axiom,(
    ! [VarCurr] :
      ( v19998(VarCurr,bitIndex31)
    <=> v19999(VarCurr,bitIndex3) ) )).

fof(addAssignment_7714,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19998(VarCurr,B)
      <=> v19999(VarCurr,B) ) ) )).

fof(addAssignment_7713,axiom,(
    ! [VarCurr] :
      ( v19999(VarCurr,bitIndex0)
    <=> v20019(VarCurr) ) )).

fof(addAssignment_7712,axiom,(
    ! [VarCurr] :
      ( v19999(VarCurr,bitIndex1)
    <=> v20017(VarCurr) ) )).

fof(addAssignment_7711,axiom,(
    ! [VarCurr] :
      ( v19999(VarCurr,bitIndex2)
    <=> v20013(VarCurr) ) )).

fof(addAssignment_7710,axiom,(
    ! [VarCurr] :
      ( v19999(VarCurr,bitIndex3)
    <=> v20001(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4833,axiom,(
    ! [VarCurr] :
      ( v20017(VarCurr)
    <=> ( v20018(VarCurr)
        & v20020(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4832,axiom,(
    ! [VarCurr] :
      ( v20020(VarCurr)
    <=> ( v20005(VarCurr,bitIndex0)
        | v20009(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1399,axiom,(
    ! [VarCurr] :
      ( v20018(VarCurr)
    <=> ( v20019(VarCurr)
        | v20005(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2515,axiom,(
    ! [VarCurr] :
      ( ~ v20019(VarCurr)
    <=> v20005(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4831,axiom,(
    ! [VarCurr] :
      ( v20013(VarCurr)
    <=> ( v20014(VarCurr)
        & v20016(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4830,axiom,(
    ! [VarCurr] :
      ( v20016(VarCurr)
    <=> ( v20007(VarCurr)
        | v20010(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1398,axiom,(
    ! [VarCurr] :
      ( v20014(VarCurr)
    <=> ( v20015(VarCurr)
        | v20005(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2514,axiom,(
    ! [VarCurr] :
      ( ~ v20015(VarCurr)
    <=> v20007(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4829,axiom,(
    ! [VarCurr] :
      ( v20001(VarCurr)
    <=> ( v20002(VarCurr)
        & v20011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4828,axiom,(
    ! [VarCurr] :
      ( v20011(VarCurr)
    <=> ( v20004(VarCurr)
        | v20012(VarCurr) ) ) )).

fof(writeUnaryOperator_2513,axiom,(
    ! [VarCurr] :
      ( ~ v20012(VarCurr)
    <=> v20005(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1397,axiom,(
    ! [VarCurr] :
      ( v20002(VarCurr)
    <=> ( v20003(VarCurr)
        | v20005(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2512,axiom,(
    ! [VarCurr] :
      ( ~ v20003(VarCurr)
    <=> v20004(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1396,axiom,(
    ! [VarCurr] :
      ( v20004(VarCurr)
    <=> ( v20005(VarCurr,bitIndex2)
        | v20006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4827,axiom,(
    ! [VarCurr] :
      ( v20006(VarCurr)
    <=> ( v20007(VarCurr)
        & v20010(VarCurr) ) ) )).

fof(writeUnaryOperator_2511,axiom,(
    ! [VarCurr] :
      ( ~ v20010(VarCurr)
    <=> v20005(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1395,axiom,(
    ! [VarCurr] :
      ( v20007(VarCurr)
    <=> ( v20005(VarCurr,bitIndex1)
        | v20008(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4826,axiom,(
    ! [VarCurr] :
      ( v20008(VarCurr)
    <=> ( v20005(VarCurr,bitIndex0)
        & v20009(VarCurr) ) ) )).

fof(writeUnaryOperator_2510,axiom,(
    ! [VarCurr] :
      ( ~ v20009(VarCurr)
    <=> v20005(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_7,axiom,(
    ! [VarCurr] : ~ v20005(VarCurr,bitIndex3) )).

fof(addAssignment_7709,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v20005(VarCurr,B)
      <=> v19777(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1209,axiom,(
    ! [VarCurr] :
      ( v19997(VarCurr)
    <=> ( ( v19777(VarCurr,bitIndex2)
        <=> $false )
        & ( v19777(VarCurr,bitIndex1)
        <=> $false )
        & ( v19777(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1208,axiom,(
    ! [VarCurr] :
      ( v19994(VarCurr)
    <=> ( ( v19995(VarCurr,bitIndex1)
        <=> $false )
        & ( v19995(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7708,axiom,(
    ! [VarCurr] :
      ( v19995(VarCurr,bitIndex0)
    <=> v19802(VarCurr) ) )).

fof(addAssignment_7707,axiom,(
    ! [VarCurr] :
      ( v19995(VarCurr,bitIndex1)
    <=> v19783(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1207,axiom,(
    ! [VarCurr] :
      ( v19992(VarCurr)
    <=> ( ( v19993(VarCurr,bitIndex1)
        <=> $false )
        & ( v19993(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7706,axiom,(
    ! [VarCurr] :
      ( v19993(VarCurr,bitIndex0)
    <=> v19802(VarCurr) ) )).

fof(addAssignment_7705,axiom,(
    ! [VarCurr] :
      ( v19993(VarCurr,bitIndex1)
    <=> v19783(VarCurr) ) )).

fof(addAssignment_7704,axiom,(
    ! [VarCurr] :
      ( v19802(VarCurr)
    <=> v19804(VarCurr) ) )).

fof(addAssignment_7703,axiom,(
    ! [VarCurr] :
      ( v19804(VarCurr)
    <=> v19806(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_386,axiom,(
    ! [VarCurr] :
      ( ~ v19986(VarCurr)
     => ( v19806(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_343,axiom,(
    ! [VarCurr] :
      ( v19986(VarCurr)
     => ( v19806(VarCurr)
      <=> v19990(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_431,axiom,(
    ! [VarCurr] :
      ( ~ v19915(VarCurr)
     => ( v19990(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_416,axiom,(
    ! [VarCurr] :
      ( v19915(VarCurr)
     => ( v19990(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4825,axiom,(
    ! [VarCurr] :
      ( v19986(VarCurr)
    <=> ( v19915(VarCurr)
        | v19987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4824,axiom,(
    ! [VarCurr] :
      ( v19987(VarCurr)
    <=> ( v19988(VarCurr)
        & v19989(VarCurr) ) ) )).

fof(writeUnaryOperator_2509,axiom,(
    ! [VarCurr] :
      ( ~ v19989(VarCurr)
    <=> v19915(VarCurr) ) )).

fof(writeUnaryOperator_2508,axiom,(
    ! [VarCurr] :
      ( ~ v19988(VarCurr)
    <=> v19912(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1394,axiom,(
    ! [VarCurr] :
      ( v19808(VarCurr)
    <=> ( v19984(VarCurr)
        | v19810(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1393,axiom,(
    ! [VarCurr] :
      ( v19984(VarCurr)
    <=> ( v19960(VarCurr)
        | v19810(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_245,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19968(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v19810(VarNext,B)
            <=> v19810(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_276,axiom,(
    ! [VarNext] :
      ( v19968(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v19810(VarNext,B)
          <=> v19978(VarNext,B) ) ) ) )).

fof(addAssignment_7702,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v19978(VarNext,B)
          <=> v19976(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_385,axiom,(
    ! [VarCurr] :
      ( ~ v19979(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19976(VarCurr,B)
          <=> v19812(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_342,axiom,(
    ! [VarCurr] :
      ( v19979(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19976(VarCurr,B)
          <=> b1000(B) ) ) ) )).

fof(writeUnaryOperator_2507,axiom,(
    ! [VarCurr] :
      ( ~ v19979(VarCurr)
    <=> v19512(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4823,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19968(VarNext)
      <=> v19969(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4822,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19969(VarNext)
      <=> ( v19970(VarNext)
          & v19573(VarNext) ) ) ) )).

fof(writeUnaryOperator_2506,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19970(VarNext)
      <=> v19972(VarNext) ) ) )).

fof(addAssignment_7701,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19972(VarNext)
      <=> v19573(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_111,axiom,(
    ! [VarCurr] :
      ( ( ~ v19921(VarCurr)
        & ~ v19944(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v19812(VarCurr,B)
          <=> v19810(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_430,axiom,(
    ! [VarCurr] :
      ( v19944(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19812(VarCurr,B)
          <=> v19946(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_415,axiom,(
    ! [VarCurr] :
      ( v19921(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19812(VarCurr,B)
          <=> v19923(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4821,axiom,(
    ! [VarCurr] :
      ( v19961(VarCurr)
    <=> ( v19962(VarCurr)
        | v19964(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1206,axiom,(
    ! [VarCurr] :
      ( v19964(VarCurr)
    <=> ( ( v19965(VarCurr,bitIndex1)
        <=> $true )
        & ( v19965(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7700,axiom,(
    ! [VarCurr] :
      ( v19965(VarCurr,bitIndex0)
    <=> v19904(VarCurr) ) )).

fof(addAssignment_7699,axiom,(
    ! [VarCurr] :
      ( v19965(VarCurr,bitIndex1)
    <=> v19814(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1205,axiom,(
    ! [VarCurr] :
      ( v19962(VarCurr)
    <=> ( ( v19963(VarCurr,bitIndex1)
        <=> $false )
        & ( v19963(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7698,axiom,(
    ! [VarCurr] :
      ( v19963(VarCurr,bitIndex0)
    <=> v19904(VarCurr) ) )).

fof(addAssignment_7697,axiom,(
    ! [VarCurr] :
      ( v19963(VarCurr,bitIndex1)
    <=> v19814(VarCurr) ) )).

fof(addAssignment_7696,axiom,(
    ! [VarCurr] :
      ( v19946(VarCurr,bitIndex0)
    <=> v19942(VarCurr) ) )).

fof(addAssignment_7695,axiom,(
    ! [VarCurr] :
      ( v19946(VarCurr,bitIndex1)
    <=> v19958(VarCurr) ) )).

fof(addAssignment_7694,axiom,(
    ! [VarCurr] :
      ( v19946(VarCurr,bitIndex2)
    <=> v19954(VarCurr) ) )).

fof(addAssignment_7693,axiom,(
    ! [VarCurr] :
      ( v19946(VarCurr,bitIndex3)
    <=> v19948(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4820,axiom,(
    ! [VarCurr] :
      ( v19958(VarCurr)
    <=> ( v19959(VarCurr)
        & v19960(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1392,axiom,(
    ! [VarCurr] :
      ( v19960(VarCurr)
    <=> ( v19810(VarCurr,bitIndex0)
        | v19810(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4819,axiom,(
    ! [VarCurr] :
      ( v19959(VarCurr)
    <=> ( v19942(VarCurr)
        | v19932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4818,axiom,(
    ! [VarCurr] :
      ( v19954(VarCurr)
    <=> ( v19955(VarCurr)
        & v19957(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1391,axiom,(
    ! [VarCurr] :
      ( v19957(VarCurr)
    <=> ( v19810(VarCurr,bitIndex2)
        | v19952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4817,axiom,(
    ! [VarCurr] :
      ( v19955(VarCurr)
    <=> ( v19933(VarCurr)
        | v19956(VarCurr) ) ) )).

fof(writeUnaryOperator_2505,axiom,(
    ! [VarCurr] :
      ( ~ v19956(VarCurr)
    <=> v19952(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4816,axiom,(
    ! [VarCurr] :
      ( v19948(VarCurr)
    <=> ( v19949(VarCurr)
        & v19953(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1390,axiom,(
    ! [VarCurr] :
      ( v19953(VarCurr)
    <=> ( v19810(VarCurr,bitIndex3)
        | v19951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4815,axiom,(
    ! [VarCurr] :
      ( v19949(VarCurr)
    <=> ( v19935(VarCurr)
        | v19950(VarCurr) ) ) )).

fof(writeUnaryOperator_2504,axiom,(
    ! [VarCurr] :
      ( ~ v19950(VarCurr)
    <=> v19951(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1389,axiom,(
    ! [VarCurr] :
      ( v19951(VarCurr)
    <=> ( v19810(VarCurr,bitIndex2)
        & v19952(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1388,axiom,(
    ! [VarCurr] :
      ( v19952(VarCurr)
    <=> ( v19810(VarCurr,bitIndex0)
        & v19810(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1204,axiom,(
    ! [VarCurr] :
      ( v19944(VarCurr)
    <=> ( ( v19945(VarCurr,bitIndex1)
        <=> $true )
        & ( v19945(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7692,axiom,(
    ! [VarCurr] :
      ( v19945(VarCurr,bitIndex0)
    <=> v19904(VarCurr) ) )).

fof(addAssignment_7691,axiom,(
    ! [VarCurr] :
      ( v19945(VarCurr,bitIndex1)
    <=> v19814(VarCurr) ) )).

fof(addAssignment_7690,axiom,(
    ! [VarCurr] :
      ( v19923(VarCurr,bitIndex0)
    <=> v19942(VarCurr) ) )).

fof(addAssignment_7689,axiom,(
    ! [VarCurr] :
      ( v19923(VarCurr,bitIndex1)
    <=> v19940(VarCurr) ) )).

fof(addAssignment_7688,axiom,(
    ! [VarCurr] :
      ( v19923(VarCurr,bitIndex2)
    <=> v19936(VarCurr) ) )).

fof(addAssignment_7687,axiom,(
    ! [VarCurr] :
      ( v19923(VarCurr,bitIndex3)
    <=> v19925(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4814,axiom,(
    ! [VarCurr] :
      ( v19940(VarCurr)
    <=> ( v19941(VarCurr)
        & v19943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4813,axiom,(
    ! [VarCurr] :
      ( v19943(VarCurr)
    <=> ( v19810(VarCurr,bitIndex0)
        | v19932(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1387,axiom,(
    ! [VarCurr] :
      ( v19941(VarCurr)
    <=> ( v19942(VarCurr)
        | v19810(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2503,axiom,(
    ! [VarCurr] :
      ( ~ v19942(VarCurr)
    <=> v19810(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4812,axiom,(
    ! [VarCurr] :
      ( v19936(VarCurr)
    <=> ( v19937(VarCurr)
        & v19939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4811,axiom,(
    ! [VarCurr] :
      ( v19939(VarCurr)
    <=> ( v19930(VarCurr)
        | v19933(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1386,axiom,(
    ! [VarCurr] :
      ( v19937(VarCurr)
    <=> ( v19938(VarCurr)
        | v19810(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2502,axiom,(
    ! [VarCurr] :
      ( ~ v19938(VarCurr)
    <=> v19930(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4810,axiom,(
    ! [VarCurr] :
      ( v19925(VarCurr)
    <=> ( v19926(VarCurr)
        & v19934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4809,axiom,(
    ! [VarCurr] :
      ( v19934(VarCurr)
    <=> ( v19928(VarCurr)
        | v19935(VarCurr) ) ) )).

fof(writeUnaryOperator_2501,axiom,(
    ! [VarCurr] :
      ( ~ v19935(VarCurr)
    <=> v19810(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1385,axiom,(
    ! [VarCurr] :
      ( v19926(VarCurr)
    <=> ( v19927(VarCurr)
        | v19810(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2500,axiom,(
    ! [VarCurr] :
      ( ~ v19927(VarCurr)
    <=> v19928(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1384,axiom,(
    ! [VarCurr] :
      ( v19928(VarCurr)
    <=> ( v19810(VarCurr,bitIndex2)
        | v19929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4808,axiom,(
    ! [VarCurr] :
      ( v19929(VarCurr)
    <=> ( v19930(VarCurr)
        & v19933(VarCurr) ) ) )).

fof(writeUnaryOperator_2499,axiom,(
    ! [VarCurr] :
      ( ~ v19933(VarCurr)
    <=> v19810(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1383,axiom,(
    ! [VarCurr] :
      ( v19930(VarCurr)
    <=> ( v19810(VarCurr,bitIndex1)
        | v19931(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4807,axiom,(
    ! [VarCurr] :
      ( v19931(VarCurr)
    <=> ( v19810(VarCurr,bitIndex0)
        & v19932(VarCurr) ) ) )).

fof(writeUnaryOperator_2498,axiom,(
    ! [VarCurr] :
      ( ~ v19932(VarCurr)
    <=> v19810(VarCurr,bitIndex1) ) )).

fof(addBitVectorEqualityBitBlasted_1203,axiom,(
    ! [VarCurr] :
      ( v19921(VarCurr)
    <=> ( ( v19922(VarCurr,bitIndex1)
        <=> $false )
        & ( v19922(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7686,axiom,(
    ! [VarCurr] :
      ( v19922(VarCurr,bitIndex0)
    <=> v19904(VarCurr) ) )).

fof(addAssignment_7685,axiom,(
    ! [VarCurr] :
      ( v19922(VarCurr,bitIndex1)
    <=> v19814(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4806,axiom,(
    ! [VarCurr] :
      ( v19904(VarCurr)
    <=> ( v19806(VarCurr)
        | v19906(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_384,axiom,(
    ! [VarCurr] :
      ( ~ v19908(VarCurr)
     => ( v19906(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_341,axiom,(
    ! [VarCurr] :
      ( v19908(VarCurr)
     => ( v19906(VarCurr)
      <=> v19917(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_429,axiom,(
    ! [VarCurr] :
      ( ~ v19910(VarCurr)
     => ( v19917(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_414,axiom,(
    ! [VarCurr] :
      ( v19910(VarCurr)
     => ( v19917(VarCurr)
      <=> v19918(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_383,axiom,(
    ! [VarCurr] :
      ( ~ v19808(VarCurr)
     => ( v19918(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_340,axiom,(
    ! [VarCurr] :
      ( v19808(VarCurr)
     => ( v19918(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4805,axiom,(
    ! [VarCurr] :
      ( v19908(VarCurr)
    <=> ( v19909(VarCurr)
        & v19914(VarCurr) ) ) )).

fof(writeUnaryOperator_2497,axiom,(
    ! [VarCurr] :
      ( ~ v19914(VarCurr)
    <=> v19915(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4804,axiom,(
    ! [VarCurr] :
      ( v19915(VarCurr)
    <=> ( v19916(VarCurr)
        & v19808(VarCurr) ) ) )).

fof(writeUnaryOperator_2496,axiom,(
    ! [VarCurr] :
      ( ~ v19916(VarCurr)
    <=> v19773(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4803,axiom,(
    ! [VarCurr] :
      ( v19909(VarCurr)
    <=> ( v19910(VarCurr)
        | v19913(VarCurr) ) ) )).

fof(writeUnaryOperator_2495,axiom,(
    ! [VarCurr] :
      ( ~ v19913(VarCurr)
    <=> v19912(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4802,axiom,(
    ! [VarCurr] :
      ( v19910(VarCurr)
    <=> ( v19911(VarCurr)
        & v19912(VarCurr) ) ) )).

fof(writeUnaryOperator_2494,axiom,(
    ! [VarCurr] :
      ( ~ v19912(VarCurr)
    <=> v19562(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1202,axiom,(
    ! [VarCurr] :
      ( v19911(VarCurr)
    <=> ( ( v19560(VarCurr,bitIndex1)
        <=> $false )
        & ( v19560(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7684,axiom,(
    ! [VarCurr] :
      ( v19814(VarCurr)
    <=> v19816(VarCurr) ) )).

fof(addAssignment_7683,axiom,(
    ! [VarCurr] :
      ( v19816(VarCurr)
    <=> v19818(VarCurr) ) )).

fof(addAssignment_7682,axiom,(
    ! [VarCurr] :
      ( v19818(VarCurr)
    <=> v19820(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_382,axiom,(
    ! [VarCurr] :
      ( ~ v19895(VarCurr)
     => ( v19820(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_339,axiom,(
    ! [VarCurr] :
      ( v19895(VarCurr)
     => ( v19820(VarCurr)
      <=> v19902(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_428,axiom,(
    ! [VarCurr] :
      ( ~ v19896(VarCurr)
     => ( v19902(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_413,axiom,(
    ! [VarCurr] :
      ( v19896(VarCurr)
     => ( v19902(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4801,axiom,(
    ! [VarCurr] :
      ( v19895(VarCurr)
    <=> ( v19896(VarCurr)
        | v19898(VarCurr) ) ) )).

fof(writeUnaryOperator_2493,axiom,(
    ! [VarCurr] :
      ( ~ v19898(VarCurr)
    <=> v19899(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4800,axiom,(
    ! [VarCurr] :
      ( v19899(VarCurr)
    <=> ( v19900(VarCurr)
        | v19896(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1201,axiom,(
    ! [VarCurr] :
      ( v19900(VarCurr)
    <=> ( ( v19901(VarCurr,bitIndex2)
        <=> $false )
        & ( v19901(VarCurr,bitIndex1)
        <=> $false )
        & ( v19901(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7681,axiom,(
    ! [VarCurr] :
      ( v19901(VarCurr,bitIndex0)
    <=> v19878(VarCurr) ) )).

fof(addAssignment_7680,axiom,(
    ! [VarCurr] :
      ( v19901(VarCurr,bitIndex1)
    <=> v19853(VarCurr) ) )).

fof(addAssignment_7679,axiom,(
    ! [VarCurr] :
      ( v19901(VarCurr,bitIndex2)
    <=> v19822(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1200,axiom,(
    ! [VarCurr] :
      ( v19896(VarCurr)
    <=> ( ( v19897(VarCurr,bitIndex2)
        <=> $false )
        & ( v19897(VarCurr,bitIndex1)
        <=> $true )
        & ( v19897(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7678,axiom,(
    ! [VarCurr] :
      ( v19897(VarCurr,bitIndex0)
    <=> v19878(VarCurr) ) )).

fof(addAssignment_7677,axiom,(
    ! [VarCurr] :
      ( v19897(VarCurr,bitIndex1)
    <=> v19853(VarCurr) ) )).

fof(addAssignment_7676,axiom,(
    ! [VarCurr] :
      ( v19897(VarCurr,bitIndex2)
    <=> v19822(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4799,axiom,(
    ! [VarCurr] :
      ( v19878(VarCurr)
    <=> ( v19892(VarCurr)
        & v19893(VarCurr) ) ) )).

fof(writeUnaryOperator_2492,axiom,(
    ! [VarCurr] :
      ( ~ v19893(VarCurr)
    <=> v19888(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1199,axiom,(
    ! [VarCurr] :
      ( v19892(VarCurr)
    <=> ( ( v19855(VarCurr,bitIndex7)
        <=> v19880(VarCurr,bitIndex7) )
        & ( v19855(VarCurr,bitIndex6)
        <=> v19880(VarCurr,bitIndex6) )
        & ( v19855(VarCurr,bitIndex5)
        <=> v19880(VarCurr,bitIndex5) )
        & ( v19855(VarCurr,bitIndex4)
        <=> v19880(VarCurr,bitIndex4) )
        & ( v19855(VarCurr,bitIndex3)
        <=> v19880(VarCurr,bitIndex3) )
        & ( v19855(VarCurr,bitIndex2)
        <=> v19880(VarCurr,bitIndex2) )
        & ( v19855(VarCurr,bitIndex1)
        <=> v19880(VarCurr,bitIndex1) )
        & ( v19855(VarCurr,bitIndex0)
        <=> v19880(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_7675,axiom,(
    ! [VarCurr] :
      ( v19888(VarCurr)
    <=> v19890(VarCurr) ) )).

fof(addAssignment_7674,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v19880(VarCurr,B)
      <=> v19882(VarCurr,B) ) ) )).

fof(addAssignment_7673,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v19882(VarCurr,B)
      <=> v19884(VarCurr,B) ) ) )).

fof(addAssignment_7672,axiom,(
    ! [VarCurr] :
      ( ( v19884(VarCurr,bitIndex7)
      <=> v19886(VarCurr,bitIndex400) )
      & ( v19884(VarCurr,bitIndex6)
      <=> v19886(VarCurr,bitIndex399) )
      & ( v19884(VarCurr,bitIndex5)
      <=> v19886(VarCurr,bitIndex398) )
      & ( v19884(VarCurr,bitIndex4)
      <=> v19886(VarCurr,bitIndex397) )
      & ( v19884(VarCurr,bitIndex3)
      <=> v19886(VarCurr,bitIndex396) )
      & ( v19884(VarCurr,bitIndex2)
      <=> v19886(VarCurr,bitIndex395) )
      & ( v19884(VarCurr,bitIndex1)
      <=> v19886(VarCurr,bitIndex394) )
      & ( v19884(VarCurr,bitIndex0)
      <=> v19886(VarCurr,bitIndex393) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4798,axiom,(
    ! [VarCurr] :
      ( v19853(VarCurr)
    <=> ( v19875(VarCurr)
        & v19876(VarCurr) ) ) )).

fof(writeUnaryOperator_2491,axiom,(
    ! [VarCurr] :
      ( ~ v19876(VarCurr)
    <=> v19868(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1198,axiom,(
    ! [VarCurr] :
      ( v19875(VarCurr)
    <=> ( ( v19855(VarCurr,bitIndex7)
        <=> v19857(VarCurr,bitIndex7) )
        & ( v19855(VarCurr,bitIndex6)
        <=> v19857(VarCurr,bitIndex6) )
        & ( v19855(VarCurr,bitIndex5)
        <=> v19857(VarCurr,bitIndex5) )
        & ( v19855(VarCurr,bitIndex4)
        <=> v19857(VarCurr,bitIndex4) )
        & ( v19855(VarCurr,bitIndex3)
        <=> v19857(VarCurr,bitIndex3) )
        & ( v19855(VarCurr,bitIndex2)
        <=> v19857(VarCurr,bitIndex2) )
        & ( v19855(VarCurr,bitIndex1)
        <=> v19857(VarCurr,bitIndex1) )
        & ( v19855(VarCurr,bitIndex0)
        <=> v19857(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_7671,axiom,(
    ! [VarCurr] :
      ( v19868(VarCurr)
    <=> v19870(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1197,axiom,(
    ! [VarCurr] :
      ( v19870(VarCurr)
    <=> ( ( v19872(VarCurr,bitIndex3)
        <=> $false )
        & ( v19872(VarCurr,bitIndex2)
        <=> $false )
        & ( v19872(VarCurr,bitIndex1)
        <=> $false )
        & ( v19872(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7670,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v19857(VarCurr,B)
      <=> v19859(VarCurr,B) ) ) )).

fof(addAssignment_7669,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v19859(VarCurr,B)
      <=> v19861(VarCurr,B) ) ) )).

fof(addAssignment_7668,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v19861(VarCurr,B)
      <=> v19866(VarCurr,B) ) ) )).

fof(addAssignment_7667,axiom,(
    ! [VarCurr] :
      ( v19822(VarCurr)
    <=> v19824(VarCurr) ) )).

fof(addAssignment_7666,axiom,(
    ! [VarCurr] :
      ( v19824(VarCurr)
    <=> v19826(VarCurr) ) )).

fof(addAssignment_7665,axiom,(
    ! [VarCurr] :
      ( v19826(VarCurr)
    <=> v19828(VarCurr) ) )).

fof(addAssignment_7664,axiom,(
    ! [VarCurr] :
      ( v19828(VarCurr)
    <=> v19830(VarCurr) ) )).

fof(addAssignment_7663,axiom,(
    ! [VarCurr] :
      ( v19830(VarCurr)
    <=> v19832(VarCurr) ) )).

fof(addAssignment_7662,axiom,(
    ! [VarCurr] :
      ( v19832(VarCurr)
    <=> v19834(VarCurr) ) )).

fof(addAssignment_7661,axiom,(
    ! [VarCurr] :
      ( v19834(VarCurr)
    <=> v19836(VarCurr) ) )).

fof(addAssignment_7660,axiom,(
    ! [VarCurr] :
      ( v19836(VarCurr)
    <=> v19838(VarCurr) ) )).

fof(addAssignment_7659,axiom,(
    ! [VarCurr] :
      ( v19838(VarCurr)
    <=> v19840(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4797,axiom,(
    ! [VarCurr] :
      ( v19840(VarCurr)
    <=> ( v19842(VarCurr)
        | v19844(VarCurr) ) ) )).

fof(addAssignment_7658,axiom,(
    ! [VarCurr] :
      ( v19844(VarCurr)
    <=> v19846(VarCurr,bitIndex6) ) )).

fof(addAssignment_7657,axiom,(
    ! [VarCurr] :
      ( v19846(VarCurr,bitIndex6)
    <=> v19848(VarCurr,bitIndex6) ) )).

fof(addAssignment_7656,axiom,(
    ! [VarCurr] :
      ( v19848(VarCurr,bitIndex6)
    <=> v19850(VarCurr,bitIndex6) ) )).

fof(addAssignment_7655,axiom,(
    ! [VarCurr] :
      ( v19842(VarCurr)
    <=> v5500(VarCurr,bitIndex2) ) )).

fof(addAssignment_7654,axiom,(
    ! [VarCurr] :
      ( v5500(VarCurr,bitIndex2)
    <=> v5502(VarCurr,bitIndex2) ) )).

fof(addAssignment_7653,axiom,(
    ! [VarCurr] :
      ( v5502(VarCurr,bitIndex2)
    <=> v5504(VarCurr,bitIndex2) ) )).

fof(addAssignment_7652,axiom,(
    ! [VarCurr] :
      ( v19783(VarCurr)
    <=> v19785(VarCurr) ) )).

fof(addAssignment_7651,axiom,(
    ! [VarCurr] :
      ( v19785(VarCurr)
    <=> v19787(VarCurr) ) )).

fof(addAssignment_7650,axiom,(
    ! [VarCurr] :
      ( v19787(VarCurr)
    <=> v19789(VarCurr) ) )).

fof(addAssignment_7649,axiom,(
    ! [VarCurr] :
      ( v19789(VarCurr)
    <=> v19791(VarCurr) ) )).

fof(addAssignment_7648,axiom,(
    ! [VarCurr] :
      ( v19791(VarCurr)
    <=> v19793(VarCurr) ) )).

fof(addAssignment_7647,axiom,(
    ! [VarCurr] :
      ( v19793(VarCurr)
    <=> v19795(VarCurr) ) )).

fof(addAssignment_7646,axiom,(
    ! [VarCurr] :
      ( v19795(VarCurr)
    <=> v19797(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1196,axiom,(
    ! [VarCurr] :
      ( v19797(VarCurr)
    <=> ( ( v19799(VarCurr,bitIndex1)
        <=> $true )
        & ( v19799(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7645,axiom,(
    ! [VarCurr] :
      ( v19779(VarCurr)
    <=> v19512(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_381,axiom,(
    ! [VarCurr] :
      ( ~ v19562(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19560(VarCurr,B)
          <=> v19703(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_338,axiom,(
    ! [VarCurr] :
      ( v19562(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19560(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_10,axiom,(
    ! [VarCurr] :
      ( ( ~ v19704(VarCurr)
        & ~ v19741(VarCurr)
        & ~ v19749(VarCurr)
        & ~ v19757(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v19703(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_41,axiom,(
    ! [VarCurr] :
      ( v19757(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19703(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_110,axiom,(
    ! [VarCurr] :
      ( v19749(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19703(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_427,axiom,(
    ! [VarCurr] :
      ( v19741(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19703(VarCurr,B)
          <=> v19748(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_412,axiom,(
    ! [VarCurr] :
      ( v19704(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19703(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4796,axiom,(
    ! [VarCurr] :
      ( v19757(VarCurr)
    <=> ( v19759(VarCurr)
        | v19768(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4795,axiom,(
    ! [VarCurr] :
      ( v19768(VarCurr)
    <=> ( v19770(VarCurr)
        & v19723(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1382,axiom,(
    ! [VarCurr] :
      ( v19770(VarCurr)
    <=> ( v19771(VarCurr)
        & v19603(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1381,axiom,(
    ! [VarCurr] :
      ( v19771(VarCurr)
    <=> ( v19720(VarCurr)
        & v19603(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4794,axiom,(
    ! [VarCurr] :
      ( v19759(VarCurr)
    <=> ( v19760(VarCurr)
        | v19765(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1380,axiom,(
    ! [VarCurr] :
      ( v19765(VarCurr)
    <=> ( v19767(VarCurr)
        & v19603(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1379,axiom,(
    ! [VarCurr] :
      ( v19767(VarCurr)
    <=> ( v19763(VarCurr)
        & v19603(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1378,axiom,(
    ! [VarCurr] :
      ( v19760(VarCurr)
    <=> ( v19762(VarCurr)
        & v19603(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4793,axiom,(
    ! [VarCurr] :
      ( v19762(VarCurr)
    <=> ( v19763(VarCurr)
        & v19722(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1377,axiom,(
    ! [VarCurr] :
      ( v19763(VarCurr)
    <=> ( v19764(VarCurr)
        & v19603(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1376,axiom,(
    ! [VarCurr] :
      ( v19764(VarCurr)
    <=> ( v19715(VarCurr)
        & v19603(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4792,axiom,(
    ! [VarCurr] :
      ( v19749(VarCurr)
    <=> ( v19750(VarCurr)
        | v19752(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4791,axiom,(
    ! [VarCurr] :
      ( v19752(VarCurr)
    <=> ( v19754(VarCurr)
        & v19723(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4790,axiom,(
    ! [VarCurr] :
      ( v19754(VarCurr)
    <=> ( v19755(VarCurr)
        & v19722(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4789,axiom,(
    ! [VarCurr] :
      ( v19755(VarCurr)
    <=> ( v19756(VarCurr)
        & v19721(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1375,axiom,(
    ! [VarCurr] :
      ( v19756(VarCurr)
    <=> ( v19732(VarCurr)
        & v19603(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1374,axiom,(
    ! [VarCurr] :
      ( v19750(VarCurr)
    <=> ( v19743(VarCurr)
        & v19603(VarCurr,bitIndex6) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_380,axiom,(
    ! [VarCurr] :
      ( ~ v19693(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19748(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_337,axiom,(
    ! [VarCurr] :
      ( v19693(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19748(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4788,axiom,(
    ! [VarCurr] :
      ( v19741(VarCurr)
    <=> ( v19743(VarCurr)
        & v19723(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4787,axiom,(
    ! [VarCurr] :
      ( v19743(VarCurr)
    <=> ( v19744(VarCurr)
        & v19722(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4786,axiom,(
    ! [VarCurr] :
      ( v19744(VarCurr)
    <=> ( v19745(VarCurr)
        & v19721(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1373,axiom,(
    ! [VarCurr] :
      ( v19745(VarCurr)
    <=> ( v19746(VarCurr)
        & v19603(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4785,axiom,(
    ! [VarCurr] :
      ( v19746(VarCurr)
    <=> ( v19747(VarCurr)
        & v19719(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1372,axiom,(
    ! [VarCurr] :
      ( v19747(VarCurr)
    <=> ( v19717(VarCurr)
        & v19603(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4784,axiom,(
    ! [VarCurr] :
      ( v19704(VarCurr)
    <=> ( v19706(VarCurr)
        | v19739(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1371,axiom,(
    ! [VarCurr] :
      ( v19739(VarCurr)
    <=> ( v19726(VarCurr)
        & v19603(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4783,axiom,(
    ! [VarCurr] :
      ( v19706(VarCurr)
    <=> ( v19707(VarCurr)
        | v19737(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1370,axiom,(
    ! [VarCurr] :
      ( v19737(VarCurr)
    <=> ( v19712(VarCurr)
        & v19603(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4782,axiom,(
    ! [VarCurr] :
      ( v19707(VarCurr)
    <=> ( v19708(VarCurr)
        | v19734(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4781,axiom,(
    ! [VarCurr] :
      ( v19734(VarCurr)
    <=> ( v19736(VarCurr)
        & v19723(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1369,axiom,(
    ! [VarCurr] :
      ( v19736(VarCurr)
    <=> ( v19730(VarCurr)
        & v19603(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4780,axiom,(
    ! [VarCurr] :
      ( v19708(VarCurr)
    <=> ( v19709(VarCurr)
        | v19727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4779,axiom,(
    ! [VarCurr] :
      ( v19727(VarCurr)
    <=> ( v19729(VarCurr)
        & v19723(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4778,axiom,(
    ! [VarCurr] :
      ( v19729(VarCurr)
    <=> ( v19730(VarCurr)
        & v19722(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4777,axiom,(
    ! [VarCurr] :
      ( v19730(VarCurr)
    <=> ( v19731(VarCurr)
        & v19721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4776,axiom,(
    ! [VarCurr] :
      ( v19731(VarCurr)
    <=> ( v19732(VarCurr)
        & v19720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4775,axiom,(
    ! [VarCurr] :
      ( v19732(VarCurr)
    <=> ( v19733(VarCurr)
        & v19719(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4774,axiom,(
    ! [VarCurr] :
      ( v19733(VarCurr)
    <=> ( v19603(VarCurr,bitIndex0)
        & v19718(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4773,axiom,(
    ! [VarCurr] :
      ( v19709(VarCurr)
    <=> ( v19710(VarCurr)
        | v19724(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4772,axiom,(
    ! [VarCurr] :
      ( v19724(VarCurr)
    <=> ( v19726(VarCurr)
        & v19723(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1368,axiom,(
    ! [VarCurr] :
      ( v19726(VarCurr)
    <=> ( v19713(VarCurr)
        & v19603(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4771,axiom,(
    ! [VarCurr] :
      ( v19710(VarCurr)
    <=> ( v19712(VarCurr)
        & v19723(VarCurr) ) ) )).

fof(writeUnaryOperator_2490,axiom,(
    ! [VarCurr] :
      ( ~ v19723(VarCurr)
    <=> v19603(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4770,axiom,(
    ! [VarCurr] :
      ( v19712(VarCurr)
    <=> ( v19713(VarCurr)
        & v19722(VarCurr) ) ) )).

fof(writeUnaryOperator_2489,axiom,(
    ! [VarCurr] :
      ( ~ v19722(VarCurr)
    <=> v19603(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4769,axiom,(
    ! [VarCurr] :
      ( v19713(VarCurr)
    <=> ( v19714(VarCurr)
        & v19721(VarCurr) ) ) )).

fof(writeUnaryOperator_2488,axiom,(
    ! [VarCurr] :
      ( ~ v19721(VarCurr)
    <=> v19603(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4768,axiom,(
    ! [VarCurr] :
      ( v19714(VarCurr)
    <=> ( v19715(VarCurr)
        & v19720(VarCurr) ) ) )).

fof(writeUnaryOperator_2487,axiom,(
    ! [VarCurr] :
      ( ~ v19720(VarCurr)
    <=> v19603(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4767,axiom,(
    ! [VarCurr] :
      ( v19715(VarCurr)
    <=> ( v19716(VarCurr)
        & v19719(VarCurr) ) ) )).

fof(writeUnaryOperator_2486,axiom,(
    ! [VarCurr] :
      ( ~ v19719(VarCurr)
    <=> v19603(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4766,axiom,(
    ! [VarCurr] :
      ( v19716(VarCurr)
    <=> ( v19717(VarCurr)
        & v19718(VarCurr) ) ) )).

fof(writeUnaryOperator_2485,axiom,(
    ! [VarCurr] :
      ( ~ v19718(VarCurr)
    <=> v19603(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2484,axiom,(
    ! [VarCurr] :
      ( ~ v19717(VarCurr)
    <=> v19603(VarCurr,bitIndex0) ) )).

fof(addAssignment_7644,axiom,(
    ! [VarCurr] :
      ( v19693(VarCurr)
    <=> v19605(VarCurr,bitIndex81) ) )).

fof(addAssignment_7643,axiom,(
    ! [VarCurr] :
      ( v19605(VarCurr,bitIndex81)
    <=> v19607(VarCurr,bitIndex81) ) )).

fof(addAssignment_7642,axiom,(
    ! [VarCurr] :
      ( v19607(VarCurr,bitIndex81)
    <=> v19609(VarCurr,bitIndex696) ) )).

fof(addAssignment_7641,axiom,(
    ! [VarNext] :
      ( v19609(VarNext,bitIndex696)
    <=> v19695(VarNext,bitIndex81) ) )).

fof(addCaseBooleanConditionShiftedRanges1_45,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19697(VarNext)
       => ( ( v19695(VarNext,bitIndex122)
          <=> v19609(VarCurr,bitIndex737) )
          & ( v19695(VarNext,bitIndex121)
          <=> v19609(VarCurr,bitIndex736) )
          & ( v19695(VarNext,bitIndex120)
          <=> v19609(VarCurr,bitIndex735) )
          & ( v19695(VarNext,bitIndex119)
          <=> v19609(VarCurr,bitIndex734) )
          & ( v19695(VarNext,bitIndex118)
          <=> v19609(VarCurr,bitIndex733) )
          & ( v19695(VarNext,bitIndex117)
          <=> v19609(VarCurr,bitIndex732) )
          & ( v19695(VarNext,bitIndex116)
          <=> v19609(VarCurr,bitIndex731) )
          & ( v19695(VarNext,bitIndex115)
          <=> v19609(VarCurr,bitIndex730) )
          & ( v19695(VarNext,bitIndex114)
          <=> v19609(VarCurr,bitIndex729) )
          & ( v19695(VarNext,bitIndex113)
          <=> v19609(VarCurr,bitIndex728) )
          & ( v19695(VarNext,bitIndex112)
          <=> v19609(VarCurr,bitIndex727) )
          & ( v19695(VarNext,bitIndex111)
          <=> v19609(VarCurr,bitIndex726) )
          & ( v19695(VarNext,bitIndex110)
          <=> v19609(VarCurr,bitIndex725) )
          & ( v19695(VarNext,bitIndex109)
          <=> v19609(VarCurr,bitIndex724) )
          & ( v19695(VarNext,bitIndex108)
          <=> v19609(VarCurr,bitIndex723) )
          & ( v19695(VarNext,bitIndex107)
          <=> v19609(VarCurr,bitIndex722) )
          & ( v19695(VarNext,bitIndex106)
          <=> v19609(VarCurr,bitIndex721) )
          & ( v19695(VarNext,bitIndex105)
          <=> v19609(VarCurr,bitIndex720) )
          & ( v19695(VarNext,bitIndex104)
          <=> v19609(VarCurr,bitIndex719) )
          & ( v19695(VarNext,bitIndex103)
          <=> v19609(VarCurr,bitIndex718) )
          & ( v19695(VarNext,bitIndex102)
          <=> v19609(VarCurr,bitIndex717) )
          & ( v19695(VarNext,bitIndex101)
          <=> v19609(VarCurr,bitIndex716) )
          & ( v19695(VarNext,bitIndex100)
          <=> v19609(VarCurr,bitIndex715) )
          & ( v19695(VarNext,bitIndex99)
          <=> v19609(VarCurr,bitIndex714) )
          & ( v19695(VarNext,bitIndex98)
          <=> v19609(VarCurr,bitIndex713) )
          & ( v19695(VarNext,bitIndex97)
          <=> v19609(VarCurr,bitIndex712) )
          & ( v19695(VarNext,bitIndex96)
          <=> v19609(VarCurr,bitIndex711) )
          & ( v19695(VarNext,bitIndex95)
          <=> v19609(VarCurr,bitIndex710) )
          & ( v19695(VarNext,bitIndex94)
          <=> v19609(VarCurr,bitIndex709) )
          & ( v19695(VarNext,bitIndex93)
          <=> v19609(VarCurr,bitIndex708) )
          & ( v19695(VarNext,bitIndex92)
          <=> v19609(VarCurr,bitIndex707) )
          & ( v19695(VarNext,bitIndex91)
          <=> v19609(VarCurr,bitIndex706) )
          & ( v19695(VarNext,bitIndex90)
          <=> v19609(VarCurr,bitIndex705) )
          & ( v19695(VarNext,bitIndex89)
          <=> v19609(VarCurr,bitIndex704) )
          & ( v19695(VarNext,bitIndex88)
          <=> v19609(VarCurr,bitIndex703) )
          & ( v19695(VarNext,bitIndex87)
          <=> v19609(VarCurr,bitIndex702) )
          & ( v19695(VarNext,bitIndex86)
          <=> v19609(VarCurr,bitIndex701) )
          & ( v19695(VarNext,bitIndex85)
          <=> v19609(VarCurr,bitIndex700) )
          & ( v19695(VarNext,bitIndex84)
          <=> v19609(VarCurr,bitIndex699) )
          & ( v19695(VarNext,bitIndex83)
          <=> v19609(VarCurr,bitIndex698) )
          & ( v19695(VarNext,bitIndex82)
          <=> v19609(VarCurr,bitIndex697) )
          & ( v19695(VarNext,bitIndex81)
          <=> v19609(VarCurr,bitIndex696) )
          & ( v19695(VarNext,bitIndex80)
          <=> v19609(VarCurr,bitIndex695) )
          & ( v19695(VarNext,bitIndex79)
          <=> v19609(VarCurr,bitIndex694) )
          & ( v19695(VarNext,bitIndex78)
          <=> v19609(VarCurr,bitIndex693) )
          & ( v19695(VarNext,bitIndex77)
          <=> v19609(VarCurr,bitIndex692) )
          & ( v19695(VarNext,bitIndex76)
          <=> v19609(VarCurr,bitIndex691) )
          & ( v19695(VarNext,bitIndex75)
          <=> v19609(VarCurr,bitIndex690) )
          & ( v19695(VarNext,bitIndex74)
          <=> v19609(VarCurr,bitIndex689) )
          & ( v19695(VarNext,bitIndex73)
          <=> v19609(VarCurr,bitIndex688) )
          & ( v19695(VarNext,bitIndex72)
          <=> v19609(VarCurr,bitIndex687) )
          & ( v19695(VarNext,bitIndex71)
          <=> v19609(VarCurr,bitIndex686) )
          & ( v19695(VarNext,bitIndex70)
          <=> v19609(VarCurr,bitIndex685) )
          & ( v19695(VarNext,bitIndex69)
          <=> v19609(VarCurr,bitIndex684) )
          & ( v19695(VarNext,bitIndex68)
          <=> v19609(VarCurr,bitIndex683) )
          & ( v19695(VarNext,bitIndex67)
          <=> v19609(VarCurr,bitIndex682) )
          & ( v19695(VarNext,bitIndex66)
          <=> v19609(VarCurr,bitIndex681) )
          & ( v19695(VarNext,bitIndex65)
          <=> v19609(VarCurr,bitIndex680) )
          & ( v19695(VarNext,bitIndex64)
          <=> v19609(VarCurr,bitIndex679) )
          & ( v19695(VarNext,bitIndex63)
          <=> v19609(VarCurr,bitIndex678) )
          & ( v19695(VarNext,bitIndex62)
          <=> v19609(VarCurr,bitIndex677) )
          & ( v19695(VarNext,bitIndex61)
          <=> v19609(VarCurr,bitIndex676) )
          & ( v19695(VarNext,bitIndex60)
          <=> v19609(VarCurr,bitIndex675) )
          & ( v19695(VarNext,bitIndex59)
          <=> v19609(VarCurr,bitIndex674) )
          & ( v19695(VarNext,bitIndex58)
          <=> v19609(VarCurr,bitIndex673) )
          & ( v19695(VarNext,bitIndex57)
          <=> v19609(VarCurr,bitIndex672) )
          & ( v19695(VarNext,bitIndex56)
          <=> v19609(VarCurr,bitIndex671) )
          & ( v19695(VarNext,bitIndex55)
          <=> v19609(VarCurr,bitIndex670) )
          & ( v19695(VarNext,bitIndex54)
          <=> v19609(VarCurr,bitIndex669) )
          & ( v19695(VarNext,bitIndex53)
          <=> v19609(VarCurr,bitIndex668) )
          & ( v19695(VarNext,bitIndex52)
          <=> v19609(VarCurr,bitIndex667) )
          & ( v19695(VarNext,bitIndex51)
          <=> v19609(VarCurr,bitIndex666) )
          & ( v19695(VarNext,bitIndex50)
          <=> v19609(VarCurr,bitIndex665) )
          & ( v19695(VarNext,bitIndex49)
          <=> v19609(VarCurr,bitIndex664) )
          & ( v19695(VarNext,bitIndex48)
          <=> v19609(VarCurr,bitIndex663) )
          & ( v19695(VarNext,bitIndex47)
          <=> v19609(VarCurr,bitIndex662) )
          & ( v19695(VarNext,bitIndex46)
          <=> v19609(VarCurr,bitIndex661) )
          & ( v19695(VarNext,bitIndex45)
          <=> v19609(VarCurr,bitIndex660) )
          & ( v19695(VarNext,bitIndex44)
          <=> v19609(VarCurr,bitIndex659) )
          & ( v19695(VarNext,bitIndex43)
          <=> v19609(VarCurr,bitIndex658) )
          & ( v19695(VarNext,bitIndex42)
          <=> v19609(VarCurr,bitIndex657) )
          & ( v19695(VarNext,bitIndex41)
          <=> v19609(VarCurr,bitIndex656) )
          & ( v19695(VarNext,bitIndex40)
          <=> v19609(VarCurr,bitIndex655) )
          & ( v19695(VarNext,bitIndex39)
          <=> v19609(VarCurr,bitIndex654) )
          & ( v19695(VarNext,bitIndex38)
          <=> v19609(VarCurr,bitIndex653) )
          & ( v19695(VarNext,bitIndex37)
          <=> v19609(VarCurr,bitIndex652) )
          & ( v19695(VarNext,bitIndex36)
          <=> v19609(VarCurr,bitIndex651) )
          & ( v19695(VarNext,bitIndex35)
          <=> v19609(VarCurr,bitIndex650) )
          & ( v19695(VarNext,bitIndex34)
          <=> v19609(VarCurr,bitIndex649) )
          & ( v19695(VarNext,bitIndex33)
          <=> v19609(VarCurr,bitIndex648) )
          & ( v19695(VarNext,bitIndex32)
          <=> v19609(VarCurr,bitIndex647) )
          & ( v19695(VarNext,bitIndex31)
          <=> v19609(VarCurr,bitIndex646) )
          & ( v19695(VarNext,bitIndex30)
          <=> v19609(VarCurr,bitIndex645) )
          & ( v19695(VarNext,bitIndex29)
          <=> v19609(VarCurr,bitIndex644) )
          & ( v19695(VarNext,bitIndex28)
          <=> v19609(VarCurr,bitIndex643) )
          & ( v19695(VarNext,bitIndex27)
          <=> v19609(VarCurr,bitIndex642) )
          & ( v19695(VarNext,bitIndex26)
          <=> v19609(VarCurr,bitIndex641) )
          & ( v19695(VarNext,bitIndex25)
          <=> v19609(VarCurr,bitIndex640) )
          & ( v19695(VarNext,bitIndex24)
          <=> v19609(VarCurr,bitIndex639) )
          & ( v19695(VarNext,bitIndex23)
          <=> v19609(VarCurr,bitIndex638) )
          & ( v19695(VarNext,bitIndex22)
          <=> v19609(VarCurr,bitIndex637) )
          & ( v19695(VarNext,bitIndex21)
          <=> v19609(VarCurr,bitIndex636) )
          & ( v19695(VarNext,bitIndex20)
          <=> v19609(VarCurr,bitIndex635) )
          & ( v19695(VarNext,bitIndex19)
          <=> v19609(VarCurr,bitIndex634) )
          & ( v19695(VarNext,bitIndex18)
          <=> v19609(VarCurr,bitIndex633) )
          & ( v19695(VarNext,bitIndex17)
          <=> v19609(VarCurr,bitIndex632) )
          & ( v19695(VarNext,bitIndex16)
          <=> v19609(VarCurr,bitIndex631) )
          & ( v19695(VarNext,bitIndex15)
          <=> v19609(VarCurr,bitIndex630) )
          & ( v19695(VarNext,bitIndex14)
          <=> v19609(VarCurr,bitIndex629) )
          & ( v19695(VarNext,bitIndex13)
          <=> v19609(VarCurr,bitIndex628) )
          & ( v19695(VarNext,bitIndex12)
          <=> v19609(VarCurr,bitIndex627) )
          & ( v19695(VarNext,bitIndex11)
          <=> v19609(VarCurr,bitIndex626) )
          & ( v19695(VarNext,bitIndex10)
          <=> v19609(VarCurr,bitIndex625) )
          & ( v19695(VarNext,bitIndex9)
          <=> v19609(VarCurr,bitIndex624) )
          & ( v19695(VarNext,bitIndex8)
          <=> v19609(VarCurr,bitIndex623) )
          & ( v19695(VarNext,bitIndex7)
          <=> v19609(VarCurr,bitIndex622) )
          & ( v19695(VarNext,bitIndex6)
          <=> v19609(VarCurr,bitIndex621) )
          & ( v19695(VarNext,bitIndex5)
          <=> v19609(VarCurr,bitIndex620) )
          & ( v19695(VarNext,bitIndex4)
          <=> v19609(VarCurr,bitIndex619) )
          & ( v19695(VarNext,bitIndex3)
          <=> v19609(VarCurr,bitIndex618) )
          & ( v19695(VarNext,bitIndex2)
          <=> v19609(VarCurr,bitIndex617) )
          & ( v19695(VarNext,bitIndex1)
          <=> v19609(VarCurr,bitIndex616) )
          & ( v19695(VarNext,bitIndex0)
          <=> v19609(VarCurr,bitIndex615) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_275,axiom,(
    ! [VarNext] :
      ( v19697(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v19695(VarNext,B)
          <=> v19688(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4765,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19697(VarNext)
      <=> ( v19698(VarNext)
          & v19669(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4764,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19698(VarNext)
      <=> ( v19700(VarNext)
          & v19571(VarNext) ) ) ) )).

fof(writeUnaryOperator_2483,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19700(VarNext)
      <=> v19582(VarNext) ) ) )).

fof(addAssignment_7640,axiom,(
    ! [VarCurr] :
      ( v19653(VarCurr,bitIndex81)
    <=> v19658(VarCurr,bitIndex81) ) )).

fof(addAssignment_7639,axiom,(
    ! [VarCurr] :
      ( v19657(VarCurr,bitIndex81)
    <=> v19609(VarCurr,bitIndex573) ) )).

fof(addAssignment_7638,axiom,(
    ! [VarCurr] :
      ( v19612(VarCurr,bitIndex81)
    <=> v19651(VarCurr,bitIndex81) ) )).

fof(addAssignment_7637,axiom,(
    ! [VarCurr] :
      ( v19650(VarCurr,bitIndex81)
    <=> v19609(VarCurr,bitIndex696) ) )).

fof(addAssignment_7636,axiom,(
    ! [VarCurr] :
      ( v19634(VarCurr,bitIndex81)
    <=> v19636(VarCurr,bitIndex81) ) )).

fof(addAssignment_7635,axiom,(
    ! [VarCurr] :
      ( v19636(VarCurr,bitIndex81)
    <=> v19638(VarCurr,bitIndex81) ) )).

fof(addAssignment_7634,axiom,(
    ! [VarCurr] :
      ( v19638(VarCurr,bitIndex81)
    <=> v19640(VarCurr,bitIndex81) ) )).

fof(addAssignment_7633,axiom,(
    ! [VarCurr] :
      ( v19640(VarCurr,bitIndex81)
    <=> v19642(VarCurr,bitIndex81) ) )).

fof(addAssignment_7632,axiom,(
    ! [VarCurr] :
      ( v19642(VarCurr,bitIndex81)
    <=> v19644(VarCurr,bitIndex81) ) )).

fof(addAssignment_7631,axiom,(
    ! [VarCurr] :
      ( v19644(VarCurr,bitIndex81)
    <=> v19646(VarCurr,bitIndex81) ) )).

fof(addAssignment_7630,axiom,(
    ! [VarCurr] :
      ( v19646(VarCurr,bitIndex81)
    <=> v19648(VarCurr,bitIndex81) ) )).

fof(addAssignment_7629,axiom,(
    ! [VarCurr] :
      ( ( v19603(VarCurr,bitIndex6)
      <=> v19605(VarCurr,bitIndex122) )
      & ( v19603(VarCurr,bitIndex5)
      <=> v19605(VarCurr,bitIndex121) )
      & ( v19603(VarCurr,bitIndex4)
      <=> v19605(VarCurr,bitIndex120) )
      & ( v19603(VarCurr,bitIndex3)
      <=> v19605(VarCurr,bitIndex119) )
      & ( v19603(VarCurr,bitIndex2)
      <=> v19605(VarCurr,bitIndex118) )
      & ( v19603(VarCurr,bitIndex1)
      <=> v19605(VarCurr,bitIndex117) )
      & ( v19603(VarCurr,bitIndex0)
      <=> v19605(VarCurr,bitIndex116) ) ) )).

fof(addAssignment_7628,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19605(VarCurr,B)
      <=> v19607(VarCurr,B) ) ) )).

fof(addAssignment_7627,axiom,(
    ! [VarCurr] :
      ( ( v19607(VarCurr,bitIndex122)
      <=> v19609(VarCurr,bitIndex737) )
      & ( v19607(VarCurr,bitIndex121)
      <=> v19609(VarCurr,bitIndex736) )
      & ( v19607(VarCurr,bitIndex120)
      <=> v19609(VarCurr,bitIndex735) )
      & ( v19607(VarCurr,bitIndex119)
      <=> v19609(VarCurr,bitIndex734) )
      & ( v19607(VarCurr,bitIndex118)
      <=> v19609(VarCurr,bitIndex733) )
      & ( v19607(VarCurr,bitIndex117)
      <=> v19609(VarCurr,bitIndex732) )
      & ( v19607(VarCurr,bitIndex116)
      <=> v19609(VarCurr,bitIndex731) ) ) )).

fof(addAssignment_7626,axiom,(
    ! [VarNext] :
      ( ( v19609(VarNext,bitIndex737)
      <=> v19660(VarNext,bitIndex122) )
      & ( v19609(VarNext,bitIndex736)
      <=> v19660(VarNext,bitIndex121) )
      & ( v19609(VarNext,bitIndex735)
      <=> v19660(VarNext,bitIndex120) )
      & ( v19609(VarNext,bitIndex734)
      <=> v19660(VarNext,bitIndex119) )
      & ( v19609(VarNext,bitIndex733)
      <=> v19660(VarNext,bitIndex118) )
      & ( v19609(VarNext,bitIndex732)
      <=> v19660(VarNext,bitIndex117) )
      & ( v19609(VarNext,bitIndex731)
      <=> v19660(VarNext,bitIndex116) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_44,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19661(VarNext)
       => ( ( v19660(VarNext,bitIndex122)
          <=> v19609(VarCurr,bitIndex737) )
          & ( v19660(VarNext,bitIndex121)
          <=> v19609(VarCurr,bitIndex736) )
          & ( v19660(VarNext,bitIndex120)
          <=> v19609(VarCurr,bitIndex735) )
          & ( v19660(VarNext,bitIndex119)
          <=> v19609(VarCurr,bitIndex734) )
          & ( v19660(VarNext,bitIndex118)
          <=> v19609(VarCurr,bitIndex733) )
          & ( v19660(VarNext,bitIndex117)
          <=> v19609(VarCurr,bitIndex732) )
          & ( v19660(VarNext,bitIndex116)
          <=> v19609(VarCurr,bitIndex731) )
          & ( v19660(VarNext,bitIndex115)
          <=> v19609(VarCurr,bitIndex730) )
          & ( v19660(VarNext,bitIndex114)
          <=> v19609(VarCurr,bitIndex729) )
          & ( v19660(VarNext,bitIndex113)
          <=> v19609(VarCurr,bitIndex728) )
          & ( v19660(VarNext,bitIndex112)
          <=> v19609(VarCurr,bitIndex727) )
          & ( v19660(VarNext,bitIndex111)
          <=> v19609(VarCurr,bitIndex726) )
          & ( v19660(VarNext,bitIndex110)
          <=> v19609(VarCurr,bitIndex725) )
          & ( v19660(VarNext,bitIndex109)
          <=> v19609(VarCurr,bitIndex724) )
          & ( v19660(VarNext,bitIndex108)
          <=> v19609(VarCurr,bitIndex723) )
          & ( v19660(VarNext,bitIndex107)
          <=> v19609(VarCurr,bitIndex722) )
          & ( v19660(VarNext,bitIndex106)
          <=> v19609(VarCurr,bitIndex721) )
          & ( v19660(VarNext,bitIndex105)
          <=> v19609(VarCurr,bitIndex720) )
          & ( v19660(VarNext,bitIndex104)
          <=> v19609(VarCurr,bitIndex719) )
          & ( v19660(VarNext,bitIndex103)
          <=> v19609(VarCurr,bitIndex718) )
          & ( v19660(VarNext,bitIndex102)
          <=> v19609(VarCurr,bitIndex717) )
          & ( v19660(VarNext,bitIndex101)
          <=> v19609(VarCurr,bitIndex716) )
          & ( v19660(VarNext,bitIndex100)
          <=> v19609(VarCurr,bitIndex715) )
          & ( v19660(VarNext,bitIndex99)
          <=> v19609(VarCurr,bitIndex714) )
          & ( v19660(VarNext,bitIndex98)
          <=> v19609(VarCurr,bitIndex713) )
          & ( v19660(VarNext,bitIndex97)
          <=> v19609(VarCurr,bitIndex712) )
          & ( v19660(VarNext,bitIndex96)
          <=> v19609(VarCurr,bitIndex711) )
          & ( v19660(VarNext,bitIndex95)
          <=> v19609(VarCurr,bitIndex710) )
          & ( v19660(VarNext,bitIndex94)
          <=> v19609(VarCurr,bitIndex709) )
          & ( v19660(VarNext,bitIndex93)
          <=> v19609(VarCurr,bitIndex708) )
          & ( v19660(VarNext,bitIndex92)
          <=> v19609(VarCurr,bitIndex707) )
          & ( v19660(VarNext,bitIndex91)
          <=> v19609(VarCurr,bitIndex706) )
          & ( v19660(VarNext,bitIndex90)
          <=> v19609(VarCurr,bitIndex705) )
          & ( v19660(VarNext,bitIndex89)
          <=> v19609(VarCurr,bitIndex704) )
          & ( v19660(VarNext,bitIndex88)
          <=> v19609(VarCurr,bitIndex703) )
          & ( v19660(VarNext,bitIndex87)
          <=> v19609(VarCurr,bitIndex702) )
          & ( v19660(VarNext,bitIndex86)
          <=> v19609(VarCurr,bitIndex701) )
          & ( v19660(VarNext,bitIndex85)
          <=> v19609(VarCurr,bitIndex700) )
          & ( v19660(VarNext,bitIndex84)
          <=> v19609(VarCurr,bitIndex699) )
          & ( v19660(VarNext,bitIndex83)
          <=> v19609(VarCurr,bitIndex698) )
          & ( v19660(VarNext,bitIndex82)
          <=> v19609(VarCurr,bitIndex697) )
          & ( v19660(VarNext,bitIndex81)
          <=> v19609(VarCurr,bitIndex696) )
          & ( v19660(VarNext,bitIndex80)
          <=> v19609(VarCurr,bitIndex695) )
          & ( v19660(VarNext,bitIndex79)
          <=> v19609(VarCurr,bitIndex694) )
          & ( v19660(VarNext,bitIndex78)
          <=> v19609(VarCurr,bitIndex693) )
          & ( v19660(VarNext,bitIndex77)
          <=> v19609(VarCurr,bitIndex692) )
          & ( v19660(VarNext,bitIndex76)
          <=> v19609(VarCurr,bitIndex691) )
          & ( v19660(VarNext,bitIndex75)
          <=> v19609(VarCurr,bitIndex690) )
          & ( v19660(VarNext,bitIndex74)
          <=> v19609(VarCurr,bitIndex689) )
          & ( v19660(VarNext,bitIndex73)
          <=> v19609(VarCurr,bitIndex688) )
          & ( v19660(VarNext,bitIndex72)
          <=> v19609(VarCurr,bitIndex687) )
          & ( v19660(VarNext,bitIndex71)
          <=> v19609(VarCurr,bitIndex686) )
          & ( v19660(VarNext,bitIndex70)
          <=> v19609(VarCurr,bitIndex685) )
          & ( v19660(VarNext,bitIndex69)
          <=> v19609(VarCurr,bitIndex684) )
          & ( v19660(VarNext,bitIndex68)
          <=> v19609(VarCurr,bitIndex683) )
          & ( v19660(VarNext,bitIndex67)
          <=> v19609(VarCurr,bitIndex682) )
          & ( v19660(VarNext,bitIndex66)
          <=> v19609(VarCurr,bitIndex681) )
          & ( v19660(VarNext,bitIndex65)
          <=> v19609(VarCurr,bitIndex680) )
          & ( v19660(VarNext,bitIndex64)
          <=> v19609(VarCurr,bitIndex679) )
          & ( v19660(VarNext,bitIndex63)
          <=> v19609(VarCurr,bitIndex678) )
          & ( v19660(VarNext,bitIndex62)
          <=> v19609(VarCurr,bitIndex677) )
          & ( v19660(VarNext,bitIndex61)
          <=> v19609(VarCurr,bitIndex676) )
          & ( v19660(VarNext,bitIndex60)
          <=> v19609(VarCurr,bitIndex675) )
          & ( v19660(VarNext,bitIndex59)
          <=> v19609(VarCurr,bitIndex674) )
          & ( v19660(VarNext,bitIndex58)
          <=> v19609(VarCurr,bitIndex673) )
          & ( v19660(VarNext,bitIndex57)
          <=> v19609(VarCurr,bitIndex672) )
          & ( v19660(VarNext,bitIndex56)
          <=> v19609(VarCurr,bitIndex671) )
          & ( v19660(VarNext,bitIndex55)
          <=> v19609(VarCurr,bitIndex670) )
          & ( v19660(VarNext,bitIndex54)
          <=> v19609(VarCurr,bitIndex669) )
          & ( v19660(VarNext,bitIndex53)
          <=> v19609(VarCurr,bitIndex668) )
          & ( v19660(VarNext,bitIndex52)
          <=> v19609(VarCurr,bitIndex667) )
          & ( v19660(VarNext,bitIndex51)
          <=> v19609(VarCurr,bitIndex666) )
          & ( v19660(VarNext,bitIndex50)
          <=> v19609(VarCurr,bitIndex665) )
          & ( v19660(VarNext,bitIndex49)
          <=> v19609(VarCurr,bitIndex664) )
          & ( v19660(VarNext,bitIndex48)
          <=> v19609(VarCurr,bitIndex663) )
          & ( v19660(VarNext,bitIndex47)
          <=> v19609(VarCurr,bitIndex662) )
          & ( v19660(VarNext,bitIndex46)
          <=> v19609(VarCurr,bitIndex661) )
          & ( v19660(VarNext,bitIndex45)
          <=> v19609(VarCurr,bitIndex660) )
          & ( v19660(VarNext,bitIndex44)
          <=> v19609(VarCurr,bitIndex659) )
          & ( v19660(VarNext,bitIndex43)
          <=> v19609(VarCurr,bitIndex658) )
          & ( v19660(VarNext,bitIndex42)
          <=> v19609(VarCurr,bitIndex657) )
          & ( v19660(VarNext,bitIndex41)
          <=> v19609(VarCurr,bitIndex656) )
          & ( v19660(VarNext,bitIndex40)
          <=> v19609(VarCurr,bitIndex655) )
          & ( v19660(VarNext,bitIndex39)
          <=> v19609(VarCurr,bitIndex654) )
          & ( v19660(VarNext,bitIndex38)
          <=> v19609(VarCurr,bitIndex653) )
          & ( v19660(VarNext,bitIndex37)
          <=> v19609(VarCurr,bitIndex652) )
          & ( v19660(VarNext,bitIndex36)
          <=> v19609(VarCurr,bitIndex651) )
          & ( v19660(VarNext,bitIndex35)
          <=> v19609(VarCurr,bitIndex650) )
          & ( v19660(VarNext,bitIndex34)
          <=> v19609(VarCurr,bitIndex649) )
          & ( v19660(VarNext,bitIndex33)
          <=> v19609(VarCurr,bitIndex648) )
          & ( v19660(VarNext,bitIndex32)
          <=> v19609(VarCurr,bitIndex647) )
          & ( v19660(VarNext,bitIndex31)
          <=> v19609(VarCurr,bitIndex646) )
          & ( v19660(VarNext,bitIndex30)
          <=> v19609(VarCurr,bitIndex645) )
          & ( v19660(VarNext,bitIndex29)
          <=> v19609(VarCurr,bitIndex644) )
          & ( v19660(VarNext,bitIndex28)
          <=> v19609(VarCurr,bitIndex643) )
          & ( v19660(VarNext,bitIndex27)
          <=> v19609(VarCurr,bitIndex642) )
          & ( v19660(VarNext,bitIndex26)
          <=> v19609(VarCurr,bitIndex641) )
          & ( v19660(VarNext,bitIndex25)
          <=> v19609(VarCurr,bitIndex640) )
          & ( v19660(VarNext,bitIndex24)
          <=> v19609(VarCurr,bitIndex639) )
          & ( v19660(VarNext,bitIndex23)
          <=> v19609(VarCurr,bitIndex638) )
          & ( v19660(VarNext,bitIndex22)
          <=> v19609(VarCurr,bitIndex637) )
          & ( v19660(VarNext,bitIndex21)
          <=> v19609(VarCurr,bitIndex636) )
          & ( v19660(VarNext,bitIndex20)
          <=> v19609(VarCurr,bitIndex635) )
          & ( v19660(VarNext,bitIndex19)
          <=> v19609(VarCurr,bitIndex634) )
          & ( v19660(VarNext,bitIndex18)
          <=> v19609(VarCurr,bitIndex633) )
          & ( v19660(VarNext,bitIndex17)
          <=> v19609(VarCurr,bitIndex632) )
          & ( v19660(VarNext,bitIndex16)
          <=> v19609(VarCurr,bitIndex631) )
          & ( v19660(VarNext,bitIndex15)
          <=> v19609(VarCurr,bitIndex630) )
          & ( v19660(VarNext,bitIndex14)
          <=> v19609(VarCurr,bitIndex629) )
          & ( v19660(VarNext,bitIndex13)
          <=> v19609(VarCurr,bitIndex628) )
          & ( v19660(VarNext,bitIndex12)
          <=> v19609(VarCurr,bitIndex627) )
          & ( v19660(VarNext,bitIndex11)
          <=> v19609(VarCurr,bitIndex626) )
          & ( v19660(VarNext,bitIndex10)
          <=> v19609(VarCurr,bitIndex625) )
          & ( v19660(VarNext,bitIndex9)
          <=> v19609(VarCurr,bitIndex624) )
          & ( v19660(VarNext,bitIndex8)
          <=> v19609(VarCurr,bitIndex623) )
          & ( v19660(VarNext,bitIndex7)
          <=> v19609(VarCurr,bitIndex622) )
          & ( v19660(VarNext,bitIndex6)
          <=> v19609(VarCurr,bitIndex621) )
          & ( v19660(VarNext,bitIndex5)
          <=> v19609(VarCurr,bitIndex620) )
          & ( v19660(VarNext,bitIndex4)
          <=> v19609(VarCurr,bitIndex619) )
          & ( v19660(VarNext,bitIndex3)
          <=> v19609(VarCurr,bitIndex618) )
          & ( v19660(VarNext,bitIndex2)
          <=> v19609(VarCurr,bitIndex617) )
          & ( v19660(VarNext,bitIndex1)
          <=> v19609(VarCurr,bitIndex616) )
          & ( v19660(VarNext,bitIndex0)
          <=> v19609(VarCurr,bitIndex615) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_274,axiom,(
    ! [VarNext] :
      ( v19661(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v19660(VarNext,B)
          <=> v19688(VarNext,B) ) ) ) )).

fof(addAssignment_7625,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v19688(VarNext,B)
          <=> v19686(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_426,axiom,(
    ! [VarCurr] :
      ( ~ v19671(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v19686(VarCurr,B)
          <=> v19689(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_411,axiom,(
    ! [VarCurr] :
      ( v19671(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v19686(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_2544,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex122) )).

fof(bitBlastConstant_2543,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex121) )).

fof(bitBlastConstant_2542,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex120) )).

fof(bitBlastConstant_2541,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex119) )).

fof(bitBlastConstant_2540,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex118) )).

fof(bitBlastConstant_2539,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex117) )).

fof(bitBlastConstant_2538,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex116) )).

fof(bitBlastConstant_2537,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex115) )).

fof(bitBlastConstant_2536,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex114) )).

fof(bitBlastConstant_2535,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex113) )).

fof(bitBlastConstant_2534,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex112) )).

fof(bitBlastConstant_2533,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex111) )).

fof(bitBlastConstant_2532,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex110) )).

fof(bitBlastConstant_2531,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex109) )).

fof(bitBlastConstant_2530,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex108) )).

fof(bitBlastConstant_2529,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex107) )).

fof(bitBlastConstant_2528,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex106) )).

fof(bitBlastConstant_2527,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex105) )).

fof(bitBlastConstant_2526,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex104) )).

fof(bitBlastConstant_2525,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex103) )).

fof(bitBlastConstant_2524,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex102) )).

fof(bitBlastConstant_2523,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex101) )).

fof(bitBlastConstant_2522,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex100) )).

fof(bitBlastConstant_2521,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex99) )).

fof(bitBlastConstant_2520,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex98) )).

fof(bitBlastConstant_2519,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex97) )).

fof(bitBlastConstant_2518,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex96) )).

fof(bitBlastConstant_2517,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex95) )).

fof(bitBlastConstant_2516,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex94) )).

fof(bitBlastConstant_2515,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex93) )).

fof(bitBlastConstant_2514,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex92) )).

fof(bitBlastConstant_2513,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex91) )).

fof(bitBlastConstant_2512,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex90) )).

fof(bitBlastConstant_2511,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex89) )).

fof(bitBlastConstant_2510,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex88) )).

fof(bitBlastConstant_2509,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex87) )).

fof(bitBlastConstant_2508,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex86) )).

fof(bitBlastConstant_2507,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex85) )).

fof(bitBlastConstant_2506,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex84) )).

fof(bitBlastConstant_2505,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex83) )).

fof(bitBlastConstant_2504,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex82) )).

fof(bitBlastConstant_2503,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex81) )).

fof(bitBlastConstant_2502,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex80) )).

fof(bitBlastConstant_2501,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex79) )).

fof(bitBlastConstant_2500,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex78) )).

fof(bitBlastConstant_2499,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex77) )).

fof(bitBlastConstant_2498,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex76) )).

fof(bitBlastConstant_2497,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex75) )).

fof(bitBlastConstant_2496,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex74) )).

fof(bitBlastConstant_2495,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex73) )).

fof(bitBlastConstant_2494,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex72) )).

fof(bitBlastConstant_2493,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex71) )).

fof(bitBlastConstant_2492,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex70) )).

fof(bitBlastConstant_2491,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_2490,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_2489,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_2488,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_2487,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_2486,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_2485,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_2484,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_2483,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_2482,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_2481,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_2480,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_2479,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_2478,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_2477,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_2476,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_2475,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_2474,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_2473,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_2472,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_2471,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_2470,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_2469,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_2468,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_2467,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_2466,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_2465,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_2464,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_2463,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_2462,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_2461,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_2460,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_2459,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_2458,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_2457,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_2456,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_2455,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_2454,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_2453,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_2452,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_2451,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_2450,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_2449,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_2448,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_2447,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_2446,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_2445,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_2444,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_2443,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_2442,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_2441,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_2440,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_2439,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_2438,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_2437,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_2436,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_2435,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_2434,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_2433,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_2432,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_2431,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_2430,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_2429,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_2428,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_2427,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_2426,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_2425,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_2424,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_2423,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_2422,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2_109,axiom,(
    ! [VarCurr] :
      ( ( ~ v19675(VarCurr)
        & ~ v19677(VarCurr) )
     => ! [B] :
          ( range_122_0(B)
         => ( v19689(VarCurr,B)
          <=> v19653(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_425,axiom,(
    ! [VarCurr] :
      ( v19677(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v19689(VarCurr,B)
          <=> v19612(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_20,axiom,(
    ! [VarCurr] :
      ( v19675(VarCurr)
     => ( ( v19689(VarCurr,bitIndex122)
        <=> v19609(VarCurr,bitIndex614) )
        & ( v19689(VarCurr,bitIndex121)
        <=> v19609(VarCurr,bitIndex613) )
        & ( v19689(VarCurr,bitIndex120)
        <=> v19609(VarCurr,bitIndex612) )
        & ( v19689(VarCurr,bitIndex119)
        <=> v19609(VarCurr,bitIndex611) )
        & ( v19689(VarCurr,bitIndex118)
        <=> v19609(VarCurr,bitIndex610) )
        & ( v19689(VarCurr,bitIndex117)
        <=> v19609(VarCurr,bitIndex609) )
        & ( v19689(VarCurr,bitIndex116)
        <=> v19609(VarCurr,bitIndex608) )
        & ( v19689(VarCurr,bitIndex115)
        <=> v19609(VarCurr,bitIndex607) )
        & ( v19689(VarCurr,bitIndex114)
        <=> v19609(VarCurr,bitIndex606) )
        & ( v19689(VarCurr,bitIndex113)
        <=> v19609(VarCurr,bitIndex605) )
        & ( v19689(VarCurr,bitIndex112)
        <=> v19609(VarCurr,bitIndex604) )
        & ( v19689(VarCurr,bitIndex111)
        <=> v19609(VarCurr,bitIndex603) )
        & ( v19689(VarCurr,bitIndex110)
        <=> v19609(VarCurr,bitIndex602) )
        & ( v19689(VarCurr,bitIndex109)
        <=> v19609(VarCurr,bitIndex601) )
        & ( v19689(VarCurr,bitIndex108)
        <=> v19609(VarCurr,bitIndex600) )
        & ( v19689(VarCurr,bitIndex107)
        <=> v19609(VarCurr,bitIndex599) )
        & ( v19689(VarCurr,bitIndex106)
        <=> v19609(VarCurr,bitIndex598) )
        & ( v19689(VarCurr,bitIndex105)
        <=> v19609(VarCurr,bitIndex597) )
        & ( v19689(VarCurr,bitIndex104)
        <=> v19609(VarCurr,bitIndex596) )
        & ( v19689(VarCurr,bitIndex103)
        <=> v19609(VarCurr,bitIndex595) )
        & ( v19689(VarCurr,bitIndex102)
        <=> v19609(VarCurr,bitIndex594) )
        & ( v19689(VarCurr,bitIndex101)
        <=> v19609(VarCurr,bitIndex593) )
        & ( v19689(VarCurr,bitIndex100)
        <=> v19609(VarCurr,bitIndex592) )
        & ( v19689(VarCurr,bitIndex99)
        <=> v19609(VarCurr,bitIndex591) )
        & ( v19689(VarCurr,bitIndex98)
        <=> v19609(VarCurr,bitIndex590) )
        & ( v19689(VarCurr,bitIndex97)
        <=> v19609(VarCurr,bitIndex589) )
        & ( v19689(VarCurr,bitIndex96)
        <=> v19609(VarCurr,bitIndex588) )
        & ( v19689(VarCurr,bitIndex95)
        <=> v19609(VarCurr,bitIndex587) )
        & ( v19689(VarCurr,bitIndex94)
        <=> v19609(VarCurr,bitIndex586) )
        & ( v19689(VarCurr,bitIndex93)
        <=> v19609(VarCurr,bitIndex585) )
        & ( v19689(VarCurr,bitIndex92)
        <=> v19609(VarCurr,bitIndex584) )
        & ( v19689(VarCurr,bitIndex91)
        <=> v19609(VarCurr,bitIndex583) )
        & ( v19689(VarCurr,bitIndex90)
        <=> v19609(VarCurr,bitIndex582) )
        & ( v19689(VarCurr,bitIndex89)
        <=> v19609(VarCurr,bitIndex581) )
        & ( v19689(VarCurr,bitIndex88)
        <=> v19609(VarCurr,bitIndex580) )
        & ( v19689(VarCurr,bitIndex87)
        <=> v19609(VarCurr,bitIndex579) )
        & ( v19689(VarCurr,bitIndex86)
        <=> v19609(VarCurr,bitIndex578) )
        & ( v19689(VarCurr,bitIndex85)
        <=> v19609(VarCurr,bitIndex577) )
        & ( v19689(VarCurr,bitIndex84)
        <=> v19609(VarCurr,bitIndex576) )
        & ( v19689(VarCurr,bitIndex83)
        <=> v19609(VarCurr,bitIndex575) )
        & ( v19689(VarCurr,bitIndex82)
        <=> v19609(VarCurr,bitIndex574) )
        & ( v19689(VarCurr,bitIndex81)
        <=> v19609(VarCurr,bitIndex573) )
        & ( v19689(VarCurr,bitIndex80)
        <=> v19609(VarCurr,bitIndex572) )
        & ( v19689(VarCurr,bitIndex79)
        <=> v19609(VarCurr,bitIndex571) )
        & ( v19689(VarCurr,bitIndex78)
        <=> v19609(VarCurr,bitIndex570) )
        & ( v19689(VarCurr,bitIndex77)
        <=> v19609(VarCurr,bitIndex569) )
        & ( v19689(VarCurr,bitIndex76)
        <=> v19609(VarCurr,bitIndex568) )
        & ( v19689(VarCurr,bitIndex75)
        <=> v19609(VarCurr,bitIndex567) )
        & ( v19689(VarCurr,bitIndex74)
        <=> v19609(VarCurr,bitIndex566) )
        & ( v19689(VarCurr,bitIndex73)
        <=> v19609(VarCurr,bitIndex565) )
        & ( v19689(VarCurr,bitIndex72)
        <=> v19609(VarCurr,bitIndex564) )
        & ( v19689(VarCurr,bitIndex71)
        <=> v19609(VarCurr,bitIndex563) )
        & ( v19689(VarCurr,bitIndex70)
        <=> v19609(VarCurr,bitIndex562) )
        & ( v19689(VarCurr,bitIndex69)
        <=> v19609(VarCurr,bitIndex561) )
        & ( v19689(VarCurr,bitIndex68)
        <=> v19609(VarCurr,bitIndex560) )
        & ( v19689(VarCurr,bitIndex67)
        <=> v19609(VarCurr,bitIndex559) )
        & ( v19689(VarCurr,bitIndex66)
        <=> v19609(VarCurr,bitIndex558) )
        & ( v19689(VarCurr,bitIndex65)
        <=> v19609(VarCurr,bitIndex557) )
        & ( v19689(VarCurr,bitIndex64)
        <=> v19609(VarCurr,bitIndex556) )
        & ( v19689(VarCurr,bitIndex63)
        <=> v19609(VarCurr,bitIndex555) )
        & ( v19689(VarCurr,bitIndex62)
        <=> v19609(VarCurr,bitIndex554) )
        & ( v19689(VarCurr,bitIndex61)
        <=> v19609(VarCurr,bitIndex553) )
        & ( v19689(VarCurr,bitIndex60)
        <=> v19609(VarCurr,bitIndex552) )
        & ( v19689(VarCurr,bitIndex59)
        <=> v19609(VarCurr,bitIndex551) )
        & ( v19689(VarCurr,bitIndex58)
        <=> v19609(VarCurr,bitIndex550) )
        & ( v19689(VarCurr,bitIndex57)
        <=> v19609(VarCurr,bitIndex549) )
        & ( v19689(VarCurr,bitIndex56)
        <=> v19609(VarCurr,bitIndex548) )
        & ( v19689(VarCurr,bitIndex55)
        <=> v19609(VarCurr,bitIndex547) )
        & ( v19689(VarCurr,bitIndex54)
        <=> v19609(VarCurr,bitIndex546) )
        & ( v19689(VarCurr,bitIndex53)
        <=> v19609(VarCurr,bitIndex545) )
        & ( v19689(VarCurr,bitIndex52)
        <=> v19609(VarCurr,bitIndex544) )
        & ( v19689(VarCurr,bitIndex51)
        <=> v19609(VarCurr,bitIndex543) )
        & ( v19689(VarCurr,bitIndex50)
        <=> v19609(VarCurr,bitIndex542) )
        & ( v19689(VarCurr,bitIndex49)
        <=> v19609(VarCurr,bitIndex541) )
        & ( v19689(VarCurr,bitIndex48)
        <=> v19609(VarCurr,bitIndex540) )
        & ( v19689(VarCurr,bitIndex47)
        <=> v19609(VarCurr,bitIndex539) )
        & ( v19689(VarCurr,bitIndex46)
        <=> v19609(VarCurr,bitIndex538) )
        & ( v19689(VarCurr,bitIndex45)
        <=> v19609(VarCurr,bitIndex537) )
        & ( v19689(VarCurr,bitIndex44)
        <=> v19609(VarCurr,bitIndex536) )
        & ( v19689(VarCurr,bitIndex43)
        <=> v19609(VarCurr,bitIndex535) )
        & ( v19689(VarCurr,bitIndex42)
        <=> v19609(VarCurr,bitIndex534) )
        & ( v19689(VarCurr,bitIndex41)
        <=> v19609(VarCurr,bitIndex533) )
        & ( v19689(VarCurr,bitIndex40)
        <=> v19609(VarCurr,bitIndex532) )
        & ( v19689(VarCurr,bitIndex39)
        <=> v19609(VarCurr,bitIndex531) )
        & ( v19689(VarCurr,bitIndex38)
        <=> v19609(VarCurr,bitIndex530) )
        & ( v19689(VarCurr,bitIndex37)
        <=> v19609(VarCurr,bitIndex529) )
        & ( v19689(VarCurr,bitIndex36)
        <=> v19609(VarCurr,bitIndex528) )
        & ( v19689(VarCurr,bitIndex35)
        <=> v19609(VarCurr,bitIndex527) )
        & ( v19689(VarCurr,bitIndex34)
        <=> v19609(VarCurr,bitIndex526) )
        & ( v19689(VarCurr,bitIndex33)
        <=> v19609(VarCurr,bitIndex525) )
        & ( v19689(VarCurr,bitIndex32)
        <=> v19609(VarCurr,bitIndex524) )
        & ( v19689(VarCurr,bitIndex31)
        <=> v19609(VarCurr,bitIndex523) )
        & ( v19689(VarCurr,bitIndex30)
        <=> v19609(VarCurr,bitIndex522) )
        & ( v19689(VarCurr,bitIndex29)
        <=> v19609(VarCurr,bitIndex521) )
        & ( v19689(VarCurr,bitIndex28)
        <=> v19609(VarCurr,bitIndex520) )
        & ( v19689(VarCurr,bitIndex27)
        <=> v19609(VarCurr,bitIndex519) )
        & ( v19689(VarCurr,bitIndex26)
        <=> v19609(VarCurr,bitIndex518) )
        & ( v19689(VarCurr,bitIndex25)
        <=> v19609(VarCurr,bitIndex517) )
        & ( v19689(VarCurr,bitIndex24)
        <=> v19609(VarCurr,bitIndex516) )
        & ( v19689(VarCurr,bitIndex23)
        <=> v19609(VarCurr,bitIndex515) )
        & ( v19689(VarCurr,bitIndex22)
        <=> v19609(VarCurr,bitIndex514) )
        & ( v19689(VarCurr,bitIndex21)
        <=> v19609(VarCurr,bitIndex513) )
        & ( v19689(VarCurr,bitIndex20)
        <=> v19609(VarCurr,bitIndex512) )
        & ( v19689(VarCurr,bitIndex19)
        <=> v19609(VarCurr,bitIndex511) )
        & ( v19689(VarCurr,bitIndex18)
        <=> v19609(VarCurr,bitIndex510) )
        & ( v19689(VarCurr,bitIndex17)
        <=> v19609(VarCurr,bitIndex509) )
        & ( v19689(VarCurr,bitIndex16)
        <=> v19609(VarCurr,bitIndex508) )
        & ( v19689(VarCurr,bitIndex15)
        <=> v19609(VarCurr,bitIndex507) )
        & ( v19689(VarCurr,bitIndex14)
        <=> v19609(VarCurr,bitIndex506) )
        & ( v19689(VarCurr,bitIndex13)
        <=> v19609(VarCurr,bitIndex505) )
        & ( v19689(VarCurr,bitIndex12)
        <=> v19609(VarCurr,bitIndex504) )
        & ( v19689(VarCurr,bitIndex11)
        <=> v19609(VarCurr,bitIndex503) )
        & ( v19689(VarCurr,bitIndex10)
        <=> v19609(VarCurr,bitIndex502) )
        & ( v19689(VarCurr,bitIndex9)
        <=> v19609(VarCurr,bitIndex501) )
        & ( v19689(VarCurr,bitIndex8)
        <=> v19609(VarCurr,bitIndex500) )
        & ( v19689(VarCurr,bitIndex7)
        <=> v19609(VarCurr,bitIndex499) )
        & ( v19689(VarCurr,bitIndex6)
        <=> v19609(VarCurr,bitIndex498) )
        & ( v19689(VarCurr,bitIndex5)
        <=> v19609(VarCurr,bitIndex497) )
        & ( v19689(VarCurr,bitIndex4)
        <=> v19609(VarCurr,bitIndex496) )
        & ( v19689(VarCurr,bitIndex3)
        <=> v19609(VarCurr,bitIndex495) )
        & ( v19689(VarCurr,bitIndex2)
        <=> v19609(VarCurr,bitIndex494) )
        & ( v19689(VarCurr,bitIndex1)
        <=> v19609(VarCurr,bitIndex493) )
        & ( v19689(VarCurr,bitIndex0)
        <=> v19609(VarCurr,bitIndex492) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4763,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19661(VarNext)
      <=> ( v19662(VarNext)
          & v19669(VarNext) ) ) ) )).

fof(addAssignment_7624,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19669(VarNext)
      <=> v19667(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4762,axiom,(
    ! [VarCurr] :
      ( v19667(VarCurr)
    <=> ( v19670(VarCurr)
        & v19682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4761,axiom,(
    ! [VarCurr] :
      ( v19682(VarCurr)
    <=> ( v19683(VarCurr)
        | v19671(VarCurr) ) ) )).

fof(writeUnaryOperator_2482,axiom,(
    ! [VarCurr] :
      ( ~ v19683(VarCurr)
    <=> v19684(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1195,axiom,(
    ! [VarCurr] :
      ( v19684(VarCurr)
    <=> ( ( v19685(VarCurr,bitIndex1)
        <=> $false )
        & ( v19685(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7623,axiom,(
    ! [VarCurr] :
      ( v19685(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7622,axiom,(
    ! [VarCurr] :
      ( v19685(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4760,axiom,(
    ! [VarCurr] :
      ( v19670(VarCurr)
    <=> ( v19671(VarCurr)
        | v19672(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4759,axiom,(
    ! [VarCurr] :
      ( v19672(VarCurr)
    <=> ( v19673(VarCurr)
        & v19681(VarCurr) ) ) )).

fof(writeUnaryOperator_2481,axiom,(
    ! [VarCurr] :
      ( ~ v19681(VarCurr)
    <=> v19671(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4758,axiom,(
    ! [VarCurr] :
      ( v19673(VarCurr)
    <=> ( v19674(VarCurr)
        | v19679(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1194,axiom,(
    ! [VarCurr] :
      ( v19679(VarCurr)
    <=> ( ( v19680(VarCurr,bitIndex1)
        <=> $true )
        & ( v19680(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7621,axiom,(
    ! [VarCurr] :
      ( v19680(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7620,axiom,(
    ! [VarCurr] :
      ( v19680(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4757,axiom,(
    ! [VarCurr] :
      ( v19674(VarCurr)
    <=> ( v19675(VarCurr)
        | v19677(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1193,axiom,(
    ! [VarCurr] :
      ( v19677(VarCurr)
    <=> ( ( v19678(VarCurr,bitIndex1)
        <=> $true )
        & ( v19678(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7619,axiom,(
    ! [VarCurr] :
      ( v19678(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7618,axiom,(
    ! [VarCurr] :
      ( v19678(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1192,axiom,(
    ! [VarCurr] :
      ( v19675(VarCurr)
    <=> ( ( v19676(VarCurr,bitIndex1)
        <=> $false )
        & ( v19676(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7617,axiom,(
    ! [VarCurr] :
      ( v19676(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7616,axiom,(
    ! [VarCurr] :
      ( v19676(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(writeUnaryOperator_2480,axiom,(
    ! [VarCurr] :
      ( ~ v19671(VarCurr)
    <=> v19510(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4756,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19662(VarNext)
      <=> ( v19663(VarNext)
          & v19571(VarNext) ) ) ) )).

fof(writeUnaryOperator_2479,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19663(VarNext)
      <=> v19582(VarNext) ) ) )).

fof(addAssignment_7615,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19653(VarCurr,B)
      <=> v19658(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_379,axiom,(
    ! [VarCurr] :
      ( ~ v19655(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v19658(VarCurr,B)
          <=> v19657(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_336,axiom,(
    ! [VarCurr] :
      ( v19655(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v19658(VarCurr,B)
          <=> v19634(VarCurr,B) ) ) ) )).

fof(addAssignment_7614,axiom,(
    ! [VarCurr] :
      ( ( v19657(VarCurr,bitIndex122)
      <=> v19609(VarCurr,bitIndex614) )
      & ( v19657(VarCurr,bitIndex121)
      <=> v19609(VarCurr,bitIndex613) )
      & ( v19657(VarCurr,bitIndex120)
      <=> v19609(VarCurr,bitIndex612) )
      & ( v19657(VarCurr,bitIndex119)
      <=> v19609(VarCurr,bitIndex611) )
      & ( v19657(VarCurr,bitIndex118)
      <=> v19609(VarCurr,bitIndex610) )
      & ( v19657(VarCurr,bitIndex117)
      <=> v19609(VarCurr,bitIndex609) )
      & ( v19657(VarCurr,bitIndex116)
      <=> v19609(VarCurr,bitIndex608) ) ) )).

fof(addAssignment_7613,axiom,(
    ! [VarCurr] :
      ( v19655(VarCurr)
    <=> v19616(VarCurr,bitIndex1) ) )).

fof(addAssignment_7612,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19612(VarCurr,B)
      <=> v19651(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_378,axiom,(
    ! [VarCurr] :
      ( ~ v19614(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v19651(VarCurr,B)
          <=> v19650(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_335,axiom,(
    ! [VarCurr] :
      ( v19614(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v19651(VarCurr,B)
          <=> v19634(VarCurr,B) ) ) ) )).

fof(range_axiom_80,axiom,(
    ! [B] :
      ( range_122_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B ) ) )).

fof(addAssignment_7611,axiom,(
    ! [VarCurr] :
      ( ( v19650(VarCurr,bitIndex122)
      <=> v19609(VarCurr,bitIndex737) )
      & ( v19650(VarCurr,bitIndex121)
      <=> v19609(VarCurr,bitIndex736) )
      & ( v19650(VarCurr,bitIndex120)
      <=> v19609(VarCurr,bitIndex735) )
      & ( v19650(VarCurr,bitIndex119)
      <=> v19609(VarCurr,bitIndex734) )
      & ( v19650(VarCurr,bitIndex118)
      <=> v19609(VarCurr,bitIndex733) )
      & ( v19650(VarCurr,bitIndex117)
      <=> v19609(VarCurr,bitIndex732) )
      & ( v19650(VarCurr,bitIndex116)
      <=> v19609(VarCurr,bitIndex731) ) ) )).

fof(addAssignment_7610,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19634(VarCurr,B)
      <=> v19636(VarCurr,B) ) ) )).

fof(addAssignment_7609,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19636(VarCurr,B)
      <=> v19638(VarCurr,B) ) ) )).

fof(addAssignment_7608,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19638(VarCurr,B)
      <=> v19640(VarCurr,B) ) ) )).

fof(addAssignment_7607,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19640(VarCurr,B)
      <=> v19642(VarCurr,B) ) ) )).

fof(addAssignment_7606,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19642(VarCurr,B)
      <=> v19644(VarCurr,B) ) ) )).

fof(addAssignment_7605,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19644(VarCurr,B)
      <=> v19646(VarCurr,B) ) ) )).

fof(addAssignment_7604,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v19646(VarCurr,B)
      <=> v19648(VarCurr,B) ) ) )).

fof(range_axiom_79,axiom,(
    ! [B] :
      ( range_122_116(B)
    <=> ( $false
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B ) ) )).

fof(addAssignment_7603,axiom,(
    ! [VarCurr] :
      ( v19614(VarCurr)
    <=> v19616(VarCurr,bitIndex1) ) )).

fof(addAssignment_7602,axiom,(
    ! [VarCurr] :
      ( v19616(VarCurr,bitIndex1)
    <=> v19617(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_377,axiom,(
    ! [VarCurr] :
      ( ~ v19618(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v19617(VarCurr,B)
          <=> v19620(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_334,axiom,(
    ! [VarCurr] :
      ( v19618(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v19617(VarCurr,B)
          <=> v19619(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_40,axiom,(
    ! [VarCurr] :
      ( ( ~ v19621(VarCurr)
        & ~ v19623(VarCurr)
        & ~ v19627(VarCurr) )
     => ! [B] :
          ( range_8_0(B)
         => ( v19620(VarCurr,B)
          <=> v19568(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_108,axiom,(
    ! [VarCurr] :
      ( v19627(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v19620(VarCurr,B)
          <=> v19629(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_424,axiom,(
    ! [VarCurr] :
      ( v19623(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v19620(VarCurr,B)
          <=> v19625(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_410,axiom,(
    ! [VarCurr] :
      ( v19621(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v19620(VarCurr,B)
          <=> v19568(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1191,axiom,(
    ! [VarCurr] :
      ( v19631(VarCurr)
    <=> ( ( v19632(VarCurr,bitIndex1)
        <=> $true )
        & ( v19632(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7601,axiom,(
    ! [VarCurr] :
      ( v19632(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7600,axiom,(
    ! [VarCurr] :
      ( v19632(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addAssignment_7599,axiom,(
    ! [VarCurr] :
      ( v19629(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_7598,axiom,(
    ! [VarCurr] :
      ( ( v19629(VarCurr,bitIndex8)
      <=> v19568(VarCurr,bitIndex7) )
      & ( v19629(VarCurr,bitIndex7)
      <=> v19568(VarCurr,bitIndex6) )
      & ( v19629(VarCurr,bitIndex6)
      <=> v19568(VarCurr,bitIndex5) )
      & ( v19629(VarCurr,bitIndex5)
      <=> v19568(VarCurr,bitIndex4) )
      & ( v19629(VarCurr,bitIndex4)
      <=> v19568(VarCurr,bitIndex3) )
      & ( v19629(VarCurr,bitIndex3)
      <=> v19568(VarCurr,bitIndex2) )
      & ( v19629(VarCurr,bitIndex2)
      <=> v19568(VarCurr,bitIndex1) )
      & ( v19629(VarCurr,bitIndex1)
      <=> v19568(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1190,axiom,(
    ! [VarCurr] :
      ( v19627(VarCurr)
    <=> ( ( v19628(VarCurr,bitIndex1)
        <=> $true )
        & ( v19628(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7597,axiom,(
    ! [VarCurr] :
      ( v19628(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7596,axiom,(
    ! [VarCurr] :
      ( v19628(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addAssignment_7595,axiom,(
    ! [VarCurr] :
      ( ( v19625(VarCurr,bitIndex7)
      <=> v19568(VarCurr,bitIndex8) )
      & ( v19625(VarCurr,bitIndex6)
      <=> v19568(VarCurr,bitIndex7) )
      & ( v19625(VarCurr,bitIndex5)
      <=> v19568(VarCurr,bitIndex6) )
      & ( v19625(VarCurr,bitIndex4)
      <=> v19568(VarCurr,bitIndex5) )
      & ( v19625(VarCurr,bitIndex3)
      <=> v19568(VarCurr,bitIndex4) )
      & ( v19625(VarCurr,bitIndex2)
      <=> v19568(VarCurr,bitIndex3) )
      & ( v19625(VarCurr,bitIndex1)
      <=> v19568(VarCurr,bitIndex2) )
      & ( v19625(VarCurr,bitIndex0)
      <=> v19568(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7594,axiom,(
    ! [VarCurr] :
      ( v19625(VarCurr,bitIndex8)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1189,axiom,(
    ! [VarCurr] :
      ( v19623(VarCurr)
    <=> ( ( v19624(VarCurr,bitIndex1)
        <=> $false )
        & ( v19624(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7593,axiom,(
    ! [VarCurr] :
      ( v19624(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7592,axiom,(
    ! [VarCurr] :
      ( v19624(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1188,axiom,(
    ! [VarCurr] :
      ( v19621(VarCurr)
    <=> ( ( v19622(VarCurr,bitIndex1)
        <=> $false )
        & ( v19622(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7591,axiom,(
    ! [VarCurr] :
      ( v19622(VarCurr,bitIndex0)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_7590,axiom,(
    ! [VarCurr] :
      ( v19622(VarCurr,bitIndex1)
    <=> v19518(VarCurr) ) )).

fof(addAssignment_7589,axiom,(
    ! [VarCurr] :
      ( v19619(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_7588,axiom,(
    ! [VarCurr,B] :
      ( range_8_1(B)
     => ( v19619(VarCurr,B)
      <=> v19566(VarCurr,B) ) ) )).

fof(writeUnaryOperator_2478,axiom,(
    ! [VarCurr] :
      ( ~ v19618(VarCurr)
    <=> v19510(VarCurr) ) )).

fof(addAssignment_7587,axiom,(
    ! [VarCurr] :
      ( v19566(VarCurr,bitIndex1)
    <=> v19567(VarCurr,bitIndex1) ) )).

fof(addAssignment_7586,axiom,(
    ! [VarCurr] :
      ( v19562(VarCurr)
    <=> v19564(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_244,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19578(VarNext)
       => ( v19564(VarNext)
        <=> v19564(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_273,axiom,(
    ! [VarNext] :
      ( v19578(VarNext)
     => ( v19564(VarNext)
      <=> v19598(VarNext) ) ) )).

fof(addAssignment_7585,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19598(VarNext)
      <=> v19596(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_376,axiom,(
    ! [VarCurr] :
      ( ~ v19595(VarCurr)
     => ( v19596(VarCurr)
      <=> v19599(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_333,axiom,(
    ! [VarCurr] :
      ( v19595(VarCurr)
     => ( v19596(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_375,axiom,(
    ! [VarCurr] :
      ( ~ v19518(VarCurr)
     => ( v19599(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_332,axiom,(
    ! [VarCurr] :
      ( v19518(VarCurr)
     => ( v19599(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4755,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19578(VarNext)
      <=> ( v19579(VarNext)
          & v19588(VarNext) ) ) ) )).

fof(addAssignment_7584,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19588(VarNext)
      <=> v19586(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4754,axiom,(
    ! [VarCurr] :
      ( v19586(VarCurr)
    <=> ( v19589(VarCurr)
        | v19595(VarCurr) ) ) )).

fof(writeUnaryOperator_2477,axiom,(
    ! [VarCurr] :
      ( ~ v19595(VarCurr)
    <=> v19510(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4753,axiom,(
    ! [VarCurr] :
      ( v19589(VarCurr)
    <=> ( v19590(VarCurr)
        | v19518(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4752,axiom,(
    ! [VarCurr] :
      ( v19590(VarCurr)
    <=> ( v19591(VarCurr)
        & v19594(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1187,axiom,(
    ! [VarCurr] :
      ( v19594(VarCurr)
    <=> ( v19566(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4751,axiom,(
    ! [VarCurr] :
      ( v19591(VarCurr)
    <=> ( v19592(VarCurr)
        & v19593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1186,axiom,(
    ! [VarCurr] :
      ( v19593(VarCurr)
    <=> ( v19508(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1185,axiom,(
    ! [VarCurr] :
      ( v19592(VarCurr)
    <=> ( v19556(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4750,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19579(VarNext)
      <=> ( v19580(VarNext)
          & v19571(VarNext) ) ) ) )).

fof(writeUnaryOperator_2476,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19580(VarNext)
      <=> v19582(VarNext) ) ) )).

fof(addAssignment_7583,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19582(VarNext)
      <=> v19571(VarCurr) ) ) )).

fof(addAssignment_7582,axiom,(
    ! [VarCurr] :
      ( v19571(VarCurr)
    <=> v19573(VarCurr) ) )).

fof(addAssignment_7581,axiom,(
    ! [VarCurr] :
      ( v19573(VarCurr)
    <=> v19575(VarCurr) ) )).

fof(addAssignment_7580,axiom,(
    ! [VarCurr] :
      ( v19575(VarCurr)
    <=> v12189(VarCurr) ) )).

fof(addAssignment_7579,axiom,(
    ! [VarCurr] :
      ( v19566(VarCurr,bitIndex0)
    <=> v19567(VarCurr,bitIndex0) ) )).

fof(addAssignment_7578,axiom,(
    ! [VarCurr] :
      ( v19567(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_7577,axiom,(
    ! [VarCurr,B] :
      ( range_8_1(B)
     => ( v19567(VarCurr,B)
      <=> v19568(VarCurr,B) ) ) )).

fof(range_axiom_78,axiom,(
    ! [B] :
      ( range_8_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_7576,axiom,(
    ! [VarCurr] :
      ( v19518(VarCurr)
    <=> v19520(VarCurr) ) )).

fof(addAssignment_7575,axiom,(
    ! [VarCurr] :
      ( v19520(VarCurr)
    <=> v19522(VarCurr) ) )).

fof(addAssignment_7574,axiom,(
    ! [VarCurr] :
      ( v19522(VarCurr)
    <=> v19524(VarCurr) ) )).

fof(addAssignment_7573,axiom,(
    ! [VarCurr] :
      ( v19524(VarCurr)
    <=> v19526(VarCurr) ) )).

fof(addAssignment_7572,axiom,(
    ! [VarCurr] :
      ( v19526(VarCurr)
    <=> v19528(VarCurr) ) )).

fof(addAssignment_7571,axiom,(
    ! [VarCurr] :
      ( v19528(VarCurr)
    <=> v19530(VarCurr) ) )).

fof(addAssignment_7570,axiom,(
    ! [VarCurr] :
      ( v19530(VarCurr)
    <=> v19532(VarCurr) ) )).

fof(addAssignment_7569,axiom,(
    ! [VarCurr] :
      ( v19532(VarCurr)
    <=> v19534(VarCurr,bitIndex1) ) )).

fof(addAssignment_7568,axiom,(
    ! [VarNext] :
      ( v19534(VarNext,bitIndex1)
    <=> v19540(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19541(VarNext)
       => ( ( v19540(VarNext,bitIndex1)
          <=> v19534(VarCurr,bitIndex2) )
          & ( v19540(VarNext,bitIndex0)
          <=> v19534(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_272,axiom,(
    ! [VarNext] :
      ( v19541(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v19540(VarNext,B)
          <=> v19551(VarNext,B) ) ) ) )).

fof(addAssignment_7567,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v19551(VarNext,B)
          <=> v19549(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_352,axiom,(
    ! [VarCurr] :
      ( ~ v19552(VarCurr)
     => ( ( v19549(VarCurr,bitIndex1)
        <=> v13285(VarCurr,bitIndex2) )
        & ( v19549(VarCurr,bitIndex0)
        <=> v13285(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_331,axiom,(
    ! [VarCurr] :
      ( v19552(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19549(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2475,axiom,(
    ! [VarCurr] :
      ( ~ v19552(VarCurr)
    <=> v19536(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4749,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19541(VarNext)
      <=> v19542(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4748,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19542(VarNext)
      <=> ( v19543(VarNext)
          & v19538(VarNext) ) ) ) )).

fof(writeUnaryOperator_2474,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19543(VarNext)
      <=> v19545(VarNext) ) ) )).

fof(addAssignment_7566,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19545(VarNext)
      <=> v19538(VarCurr) ) ) )).

fof(addAssignment_7565,axiom,(
    ! [VarCurr] :
      ( v19538(VarCurr)
    <=> v13324(VarCurr) ) )).

fof(addAssignment_7564,axiom,(
    ! [VarCurr] :
      ( v19536(VarCurr)
    <=> v13210(VarCurr) ) )).

fof(addAssignment_7563,axiom,(
    ! [VarCurr] :
      ( v19510(VarCurr)
    <=> v19512(VarCurr) ) )).

fof(addAssignment_7562,axiom,(
    ! [VarCurr] :
      ( v19512(VarCurr)
    <=> v19514(VarCurr) ) )).

fof(addAssignment_7561,axiom,(
    ! [VarCurr] :
      ( v19514(VarCurr)
    <=> v12173(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4747,axiom,(
    ! [VarCurr] :
      ( v13353(VarCurr)
    <=> ( v19488(VarCurr)
        | v19489(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4746,axiom,(
    ! [VarCurr] :
      ( v19489(VarCurr)
    <=> ( v19490(VarCurr)
        & v19287(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4745,axiom,(
    ! [VarCurr] :
      ( v19490(VarCurr)
    <=> ( v19274(VarCurr)
        | v13232(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4744,axiom,(
    ! [VarCurr] :
      ( v19488(VarCurr)
    <=> ( v13355(VarCurr)
        & v17618(VarCurr) ) ) )).

fof(addAssignment_7560,axiom,(
    ! [VarCurr] :
      ( v19287(VarCurr)
    <=> v19289(VarCurr) ) )).

fof(addAssignment_7559,axiom,(
    ! [VarCurr] :
      ( v19289(VarCurr)
    <=> v19291(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4743,axiom,(
    ! [VarCurr] :
      ( v19291(VarCurr)
    <=> ( v19485(VarCurr)
        & v19486(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1367,axiom,(
    ! [VarCurr] :
      ( v19486(VarCurr)
    <=> ( v19293(VarCurr,bitIndex4)
      <~> v19396(VarCurr,bitIndex4) ) ) )).

fof(addBitVectorEqualityBitBlasted_1184,axiom,(
    ! [VarCurr] :
      ( v19485(VarCurr)
    <=> ( ( v19293(VarCurr,bitIndex3)
        <=> v19396(VarCurr,bitIndex3) )
        & ( v19293(VarCurr,bitIndex2)
        <=> v19396(VarCurr,bitIndex2) )
        & ( v19293(VarCurr,bitIndex1)
        <=> v19396(VarCurr,bitIndex1) )
        & ( v19293(VarCurr,bitIndex0)
        <=> v19396(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_243,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19466(VarNext)
       => ( v19396(VarNext,bitIndex4)
        <=> v19396(VarCurr,bitIndex4) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_14,axiom,(
    ! [VarNext] :
      ( v19466(VarNext)
     => ( v19396(VarNext,bitIndex4)
      <=> v19480(VarNext) ) ) )).

fof(addAssignment_7558,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19480(VarNext)
      <=> v19478(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_423,axiom,(
    ! [VarCurr] :
      ( ~ v19416(VarCurr)
     => ( v19478(VarCurr)
      <=> v19481(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_409,axiom,(
    ! [VarCurr] :
      ( v19416(VarCurr)
     => ( v19478(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2473,axiom,(
    ! [VarCurr] :
      ( ~ v19481(VarCurr)
    <=> v19396(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4742,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19466(VarNext)
      <=> ( v19467(VarNext)
          & v19474(VarNext) ) ) ) )).

fof(addAssignment_7557,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19474(VarNext)
      <=> v19472(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4741,axiom,(
    ! [VarCurr] :
      ( v19472(VarCurr)
    <=> ( v19416(VarCurr)
        | v19475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4740,axiom,(
    ! [VarCurr] :
      ( v19475(VarCurr)
    <=> ( v19476(VarCurr)
        & v19477(VarCurr) ) ) )).

fof(writeUnaryOperator_2472,axiom,(
    ! [VarCurr] :
      ( ~ v19477(VarCurr)
    <=> v19416(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4739,axiom,(
    ! [VarCurr] :
      ( v19476(VarCurr)
    <=> ( v19423(VarCurr)
        & v19398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4738,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19467(VarNext)
      <=> ( v19469(VarNext)
          & v19209(VarNext) ) ) ) )).

fof(writeUnaryOperator_2471,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19469(VarNext)
      <=> v19216(VarNext) ) ) )).

fof(addAssignment_7556,axiom,(
    ! [VarCurr] :
      ( v19293(VarCurr,bitIndex4)
    <=> v19295(VarCurr,bitIndex4) ) )).

fof(addAssignment_7555,axiom,(
    ! [VarCurr] :
      ( v19295(VarCurr,bitIndex4)
    <=> v19297(VarCurr,bitIndex4) ) )).

fof(addAssignment_7554,axiom,(
    ! [VarCurr] :
      ( v19297(VarCurr,bitIndex4)
    <=> v19299(VarCurr,bitIndex4) ) )).

fof(addAssignment_7553,axiom,(
    ! [VarCurr] :
      ( v19299(VarCurr,bitIndex4)
    <=> v19301(VarCurr,bitIndex4) ) )).

fof(addAssignment_7552,axiom,(
    ! [VarCurr] :
      ( v19301(VarCurr,bitIndex4)
    <=> v19303(VarCurr,bitIndex4) ) )).

fof(addAssignment_7551,axiom,(
    ! [VarCurr] :
      ( v19303(VarCurr,bitIndex4)
    <=> v19305(VarCurr,bitIndex4) ) )).

fof(addAssignment_7550,axiom,(
    ! [VarCurr] :
      ( v19305(VarCurr,bitIndex4)
    <=> v19392(VarCurr,bitIndex4) ) )).

fof(addCaseBooleanConditionEqualRanges1_242,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19447(VarNext)
       => ( v19393(VarNext)
        <=> v19393(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_271,axiom,(
    ! [VarNext] :
      ( v19447(VarNext)
     => ( v19393(VarNext)
      <=> v19460(VarNext) ) ) )).

fof(addAssignment_7549,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19460(VarNext)
      <=> v19458(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_422,axiom,(
    ! [VarCurr] :
      ( ~ v19361(VarCurr)
     => ( v19458(VarCurr)
      <=> v19461(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_408,axiom,(
    ! [VarCurr] :
      ( v19361(VarCurr)
     => ( v19458(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4737,axiom,(
    ! [VarCurr] :
      ( v19461(VarCurr)
    <=> ( v19393(VarCurr)
      <~> v19348(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4736,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19447(VarNext)
      <=> ( v19448(VarNext)
          & v19455(VarNext) ) ) ) )).

fof(addAssignment_7548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19455(VarNext)
      <=> v19453(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4735,axiom,(
    ! [VarCurr] :
      ( v19453(VarCurr)
    <=> ( v19361(VarCurr)
        | v19456(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4734,axiom,(
    ! [VarCurr] :
      ( v19456(VarCurr)
    <=> ( v19309(VarCurr)
        & v19457(VarCurr) ) ) )).

fof(writeUnaryOperator_2470,axiom,(
    ! [VarCurr] :
      ( ~ v19457(VarCurr)
    <=> v19361(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4733,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19448(VarNext)
      <=> ( v19450(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_2469,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19450(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19407(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v19396(VarNext,B)
            <=> v19396(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_270,axiom,(
    ! [VarNext] :
      ( v19407(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v19396(VarNext,B)
          <=> v19421(VarNext,B) ) ) ) )).

fof(addAssignment_7547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v19421(VarNext,B)
          <=> v19419(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_421,axiom,(
    ! [VarCurr] :
      ( ~ v19416(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19419(VarCurr,B)
          <=> v19422(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_407,axiom,(
    ! [VarCurr] :
      ( v19416(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19419(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_374,axiom,(
    ! [VarCurr] :
      ( ~ v19423(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19422(VarCurr,B)
          <=> v19424(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_330,axiom,(
    ! [VarCurr] :
      ( v19423(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19422(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_7546,axiom,(
    ! [VarCurr] :
      ( v19424(VarCurr,bitIndex0)
    <=> v19440(VarCurr) ) )).

fof(addAssignment_7545,axiom,(
    ! [VarCurr] :
      ( v19424(VarCurr,bitIndex1)
    <=> v19438(VarCurr) ) )).

fof(addAssignment_7544,axiom,(
    ! [VarCurr] :
      ( v19424(VarCurr,bitIndex2)
    <=> v19433(VarCurr) ) )).

fof(addAssignment_7543,axiom,(
    ! [VarCurr] :
      ( v19424(VarCurr,bitIndex3)
    <=> v19426(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4732,axiom,(
    ! [VarCurr] :
      ( v19438(VarCurr)
    <=> ( v19439(VarCurr)
        & v19442(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1366,axiom,(
    ! [VarCurr] :
      ( v19442(VarCurr)
    <=> ( v19396(VarCurr,bitIndex0)
        | v19396(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4731,axiom,(
    ! [VarCurr] :
      ( v19439(VarCurr)
    <=> ( v19440(VarCurr)
        | v19441(VarCurr) ) ) )).

fof(writeUnaryOperator_2468,axiom,(
    ! [VarCurr] :
      ( ~ v19441(VarCurr)
    <=> v19396(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2467,axiom,(
    ! [VarCurr] :
      ( ~ v19440(VarCurr)
    <=> v19396(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4730,axiom,(
    ! [VarCurr] :
      ( v19433(VarCurr)
    <=> ( v19434(VarCurr)
        & v19437(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1365,axiom,(
    ! [VarCurr] :
      ( v19437(VarCurr)
    <=> ( v19430(VarCurr)
        | v19396(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4729,axiom,(
    ! [VarCurr] :
      ( v19434(VarCurr)
    <=> ( v19435(VarCurr)
        | v19436(VarCurr) ) ) )).

fof(writeUnaryOperator_2466,axiom,(
    ! [VarCurr] :
      ( ~ v19436(VarCurr)
    <=> v19396(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2465,axiom,(
    ! [VarCurr] :
      ( ~ v19435(VarCurr)
    <=> v19430(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4728,axiom,(
    ! [VarCurr] :
      ( v19426(VarCurr)
    <=> ( v19427(VarCurr)
        & v19432(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1364,axiom,(
    ! [VarCurr] :
      ( v19432(VarCurr)
    <=> ( v19429(VarCurr)
        | v19396(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4727,axiom,(
    ! [VarCurr] :
      ( v19427(VarCurr)
    <=> ( v19428(VarCurr)
        | v19431(VarCurr) ) ) )).

fof(writeUnaryOperator_2464,axiom,(
    ! [VarCurr] :
      ( ~ v19431(VarCurr)
    <=> v19396(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2463,axiom,(
    ! [VarCurr] :
      ( ~ v19428(VarCurr)
    <=> v19429(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1363,axiom,(
    ! [VarCurr] :
      ( v19429(VarCurr)
    <=> ( v19430(VarCurr)
        & v19396(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1362,axiom,(
    ! [VarCurr] :
      ( v19430(VarCurr)
    <=> ( v19396(VarCurr,bitIndex0)
        & v19396(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1183,axiom,(
    ! [VarCurr] :
      ( v19423(VarCurr)
    <=> ( ( v19396(VarCurr,bitIndex3)
        <=> $true )
        & ( v19396(VarCurr,bitIndex2)
        <=> $false )
        & ( v19396(VarCurr,bitIndex1)
        <=> $true )
        & ( v19396(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4726,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19407(VarNext)
      <=> ( v19408(VarNext)
          & v19415(VarNext) ) ) ) )).

fof(addAssignment_7542,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19415(VarNext)
      <=> v19413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4725,axiom,(
    ! [VarCurr] :
      ( v19413(VarCurr)
    <=> ( v19416(VarCurr)
        | v19417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4724,axiom,(
    ! [VarCurr] :
      ( v19417(VarCurr)
    <=> ( v19398(VarCurr)
        & v19418(VarCurr) ) ) )).

fof(writeUnaryOperator_2462,axiom,(
    ! [VarCurr] :
      ( ~ v19418(VarCurr)
    <=> v19416(VarCurr) ) )).

fof(writeUnaryOperator_2461,axiom,(
    ! [VarCurr] :
      ( ~ v19416(VarCurr)
    <=> v13208(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19408(VarNext)
      <=> ( v19409(VarNext)
          & v19209(VarNext) ) ) ) )).

fof(writeUnaryOperator_2460,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19409(VarNext)
      <=> v19216(VarNext) ) ) )).

fof(addAssignment_7541,axiom,(
    ! [VarCurr] :
      ( v19398(VarCurr)
    <=> v19400(VarCurr) ) )).

fof(addAssignment_7540,axiom,(
    ! [VarCurr] :
      ( v19400(VarCurr)
    <=> v19402(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1361,axiom,(
    ! [VarCurr] :
      ( v19402(VarCurr)
    <=> ( v13285(VarCurr,bitIndex1)
        & v19404(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4722,axiom,(
    ! [VarCurr] :
      ( v19404(VarCurr)
    <=> ( v13232(VarCurr)
        | v19274(VarCurr) ) ) )).

fof(addAssignment_7539,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19293(VarCurr,B)
      <=> v19295(VarCurr,B) ) ) )).

fof(addAssignment_7538,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19295(VarCurr,B)
      <=> v19297(VarCurr,B) ) ) )).

fof(addAssignment_7537,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19297(VarCurr,B)
      <=> v19299(VarCurr,B) ) ) )).

fof(addAssignment_7536,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19299(VarCurr,B)
      <=> v19301(VarCurr,B) ) ) )).

fof(addAssignment_7535,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19301(VarCurr,B)
      <=> v19303(VarCurr,B) ) ) )).

fof(addAssignment_7534,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19303(VarCurr,B)
      <=> v19305(VarCurr,B) ) ) )).

fof(addAssignment_7533,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19305(VarCurr,B)
      <=> v19392(VarCurr,B) ) ) )).

fof(addAssignment_7532,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19392(VarCurr,B)
      <=> v19307(VarCurr,B) ) ) )).

fof(addAssignment_7531,axiom,(
    ! [VarCurr] :
      ( v19392(VarCurr,bitIndex4)
    <=> v19393(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_240,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19352(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v19307(VarNext,B)
            <=> v19307(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_269,axiom,(
    ! [VarNext] :
      ( v19352(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v19307(VarNext,B)
          <=> v19366(VarNext,B) ) ) ) )).

fof(addAssignment_7530,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v19366(VarNext,B)
          <=> v19364(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_420,axiom,(
    ! [VarCurr] :
      ( ~ v19361(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19364(VarCurr,B)
          <=> v19367(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_406,axiom,(
    ! [VarCurr] :
      ( v19361(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v19364(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_119,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v19367(VarCurr,B)
      <=> ( v19368(VarCurr,B)
          & v19387(VarCurr,B) ) ) ) )).

fof(addAssignment_7529,axiom,(
    ! [VarCurr] :
      ( v19387(VarCurr,bitIndex0)
    <=> v19388(VarCurr) ) )).

fof(addAssignment_7528,axiom,(
    ! [VarCurr] :
      ( v19387(VarCurr,bitIndex1)
    <=> v19388(VarCurr) ) )).

fof(addAssignment_7527,axiom,(
    ! [VarCurr] :
      ( v19387(VarCurr,bitIndex2)
    <=> v19388(VarCurr) ) )).

fof(addAssignment_7526,axiom,(
    ! [VarCurr] :
      ( v19387(VarCurr,bitIndex3)
    <=> v19388(VarCurr) ) )).

fof(addAssignment_7525,axiom,(
    ! [VarCurr] :
      ( v19388(VarCurr)
    <=> v19389(VarCurr) ) )).

fof(writeUnaryOperator_2459,axiom,(
    ! [VarCurr] :
      ( ~ v19389(VarCurr)
    <=> v19348(VarCurr) ) )).

fof(addAssignment_7524,axiom,(
    ! [VarCurr] :
      ( v19368(VarCurr,bitIndex0)
    <=> v19384(VarCurr) ) )).

fof(addAssignment_7523,axiom,(
    ! [VarCurr] :
      ( v19368(VarCurr,bitIndex1)
    <=> v19382(VarCurr) ) )).

fof(addAssignment_7522,axiom,(
    ! [VarCurr] :
      ( v19368(VarCurr,bitIndex2)
    <=> v19377(VarCurr) ) )).

fof(addAssignment_7521,axiom,(
    ! [VarCurr] :
      ( v19368(VarCurr,bitIndex3)
    <=> v19370(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4721,axiom,(
    ! [VarCurr] :
      ( v19382(VarCurr)
    <=> ( v19383(VarCurr)
        & v19386(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1360,axiom,(
    ! [VarCurr] :
      ( v19386(VarCurr)
    <=> ( v19307(VarCurr,bitIndex0)
        | v19307(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4720,axiom,(
    ! [VarCurr] :
      ( v19383(VarCurr)
    <=> ( v19384(VarCurr)
        | v19385(VarCurr) ) ) )).

fof(writeUnaryOperator_2458,axiom,(
    ! [VarCurr] :
      ( ~ v19385(VarCurr)
    <=> v19307(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2457,axiom,(
    ! [VarCurr] :
      ( ~ v19384(VarCurr)
    <=> v19307(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4719,axiom,(
    ! [VarCurr] :
      ( v19377(VarCurr)
    <=> ( v19378(VarCurr)
        & v19381(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1359,axiom,(
    ! [VarCurr] :
      ( v19381(VarCurr)
    <=> ( v19374(VarCurr)
        | v19307(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4718,axiom,(
    ! [VarCurr] :
      ( v19378(VarCurr)
    <=> ( v19379(VarCurr)
        | v19380(VarCurr) ) ) )).

fof(writeUnaryOperator_2456,axiom,(
    ! [VarCurr] :
      ( ~ v19380(VarCurr)
    <=> v19307(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2455,axiom,(
    ! [VarCurr] :
      ( ~ v19379(VarCurr)
    <=> v19374(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4717,axiom,(
    ! [VarCurr] :
      ( v19370(VarCurr)
    <=> ( v19371(VarCurr)
        & v19376(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1358,axiom,(
    ! [VarCurr] :
      ( v19376(VarCurr)
    <=> ( v19373(VarCurr)
        | v19307(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4716,axiom,(
    ! [VarCurr] :
      ( v19371(VarCurr)
    <=> ( v19372(VarCurr)
        | v19375(VarCurr) ) ) )).

fof(writeUnaryOperator_2454,axiom,(
    ! [VarCurr] :
      ( ~ v19375(VarCurr)
    <=> v19307(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2453,axiom,(
    ! [VarCurr] :
      ( ~ v19372(VarCurr)
    <=> v19373(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1357,axiom,(
    ! [VarCurr] :
      ( v19373(VarCurr)
    <=> ( v19374(VarCurr)
        & v19307(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1356,axiom,(
    ! [VarCurr] :
      ( v19374(VarCurr)
    <=> ( v19307(VarCurr,bitIndex0)
        & v19307(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4715,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19352(VarNext)
      <=> ( v19353(VarNext)
          & v19360(VarNext) ) ) ) )).

fof(addAssignment_7520,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19360(VarNext)
      <=> v19358(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4714,axiom,(
    ! [VarCurr] :
      ( v19358(VarCurr)
    <=> ( v19361(VarCurr)
        | v19362(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4713,axiom,(
    ! [VarCurr] :
      ( v19362(VarCurr)
    <=> ( v19309(VarCurr)
        & v19363(VarCurr) ) ) )).

fof(writeUnaryOperator_2452,axiom,(
    ! [VarCurr] :
      ( ~ v19363(VarCurr)
    <=> v19361(VarCurr) ) )).

fof(writeUnaryOperator_2451,axiom,(
    ! [VarCurr] :
      ( ~ v19361(VarCurr)
    <=> v2675(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4712,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19353(VarNext)
      <=> ( v19354(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_2450,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19354(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(addBitVectorEqualityBitBlasted_1182,axiom,(
    ! [VarCurr] :
      ( v19348(VarCurr)
    <=> ( ( v19307(VarCurr,bitIndex3)
        <=> $true )
        & ( v19307(VarCurr,bitIndex2)
        <=> $false )
        & ( v19307(VarCurr,bitIndex1)
        <=> $true )
        & ( v19307(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7519,axiom,(
    ! [VarCurr] :
      ( v19309(VarCurr)
    <=> v19311(VarCurr) ) )).

fof(addAssignment_7518,axiom,(
    ! [VarCurr] :
      ( v19311(VarCurr)
    <=> v19313(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1355,axiom,(
    ! [VarCurr] :
      ( v19313(VarCurr)
    <=> ( v2683(VarCurr,bitIndex7)
        | v19315(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4711,axiom,(
    ! [VarCurr] :
      ( v19315(VarCurr)
    <=> ( v19342(VarCurr)
        & v19345(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4710,axiom,(
    ! [VarCurr] :
      ( v19345(VarCurr)
    <=> ( v19327(VarCurr)
        | v19334(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4709,axiom,(
    ! [VarCurr] :
      ( v19342(VarCurr)
    <=> ( v19343(VarCurr)
        & v19344(VarCurr) ) ) )).

fof(writeUnaryOperator_2449,axiom,(
    ! [VarCurr] :
      ( ~ v19344(VarCurr)
    <=> v19317(VarCurr) ) )).

fof(writeUnaryOperator_2448,axiom,(
    ! [VarCurr] :
      ( ~ v19343(VarCurr)
    <=> v2694(VarCurr) ) )).

fof(addAssignment_7517,axiom,(
    ! [VarCurr] :
      ( v19334(VarCurr)
    <=> v19336(VarCurr) ) )).

fof(addAssignment_7516,axiom,(
    ! [VarCurr] :
      ( v19336(VarCurr)
    <=> v19338(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_373,axiom,(
    ! [VarCurr] :
      ( ~ v19340(VarCurr)
     => ( v19338(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_329,axiom,(
    ! [VarCurr] :
      ( v19340(VarCurr)
     => ( v19338(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1181,axiom,(
    ! [VarCurr] :
      ( v19340(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $true )
        & ( v2660(VarCurr,bitIndex4)
        <=> $true )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $true )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7515,axiom,(
    ! [VarCurr] :
      ( v19327(VarCurr)
    <=> v19329(VarCurr) ) )).

fof(addAssignment_7514,axiom,(
    ! [VarCurr] :
      ( v19329(VarCurr)
    <=> v19331(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_372,axiom,(
    ! [VarCurr] :
      ( ~ v4830(VarCurr)
     => ( v19331(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_328,axiom,(
    ! [VarCurr] :
      ( v4830(VarCurr)
     => ( v19331(VarCurr)
      <=> v2704(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7513,axiom,(
    ! [VarCurr] :
      ( v19317(VarCurr)
    <=> v2683(VarCurr,bitIndex5) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_351,axiom,(
    ! [VarCurr] :
      ( ~ v19319(VarCurr)
     => ( v2683(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_395,axiom,(
    ! [VarCurr] :
      ( v19319(VarCurr)
     => ( v2683(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4708,axiom,(
    ! [VarCurr] :
      ( v19319(VarCurr)
    <=> ( v19320(VarCurr)
        & v12949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4707,axiom,(
    ! [VarCurr] :
      ( v19320(VarCurr)
    <=> ( v19322(VarCurr)
        & v13007(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4706,axiom,(
    ! [VarCurr] :
      ( v19322(VarCurr)
    <=> ( v19323(VarCurr)
        & v12948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4705,axiom,(
    ! [VarCurr] :
      ( v19323(VarCurr)
    <=> ( v19324(VarCurr)
        & v12947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4704,axiom,(
    ! [VarCurr] :
      ( v19324(VarCurr)
    <=> ( v19325(VarCurr)
        & v12946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4703,axiom,(
    ! [VarCurr] :
      ( v19325(VarCurr)
    <=> ( v12944(VarCurr)
        & v12798(VarCurr) ) ) )).

fof(addAssignment_7512,axiom,(
    ! [VarCurr] :
      ( v19274(VarCurr)
    <=> v19276(VarCurr) ) )).

fof(addAssignment_7511,axiom,(
    ! [VarCurr] :
      ( v19276(VarCurr)
    <=> v19278(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_371,axiom,(
    ! [VarCurr] :
      ( ~ v19281(VarCurr)
     => ( v19278(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_327,axiom,(
    ! [VarCurr] :
      ( v19281(VarCurr)
     => ( v19278(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4702,axiom,(
    ! [VarCurr] :
      ( v19281(VarCurr)
    <=> ( v19283(VarCurr)
        & v19285(VarCurr) ) ) )).

fof(writeUnaryOperator_2447,axiom,(
    ! [VarCurr] :
      ( ~ v19285(VarCurr)
    <=> v13361(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1354,axiom,(
    ! [VarCurr] :
      ( v19283(VarCurr)
    <=> ( v19284(VarCurr)
        & v13361(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1353,axiom,(
    ! [VarCurr] :
      ( v19284(VarCurr)
    <=> ( v17609(VarCurr)
        & v13361(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_7510,axiom,(
    ! [VarCurr] :
      ( v17618(VarCurr)
    <=> v17620(VarCurr) ) )).

fof(addAssignment_7509,axiom,(
    ! [VarCurr] :
      ( v17620(VarCurr)
    <=> v17622(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4701,axiom,(
    ! [VarCurr] :
      ( v17622(VarCurr)
    <=> ( v19271(VarCurr)
        & v19272(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1352,axiom,(
    ! [VarCurr] :
      ( v19272(VarCurr)
    <=> ( v17624(VarCurr,bitIndex5)
      <~> v17639(VarCurr,bitIndex5) ) ) )).

fof(addBitVectorEqualityBitBlasted_1180,axiom,(
    ! [VarCurr] :
      ( v19271(VarCurr)
    <=> ( ( v17624(VarCurr,bitIndex4)
        <=> v17639(VarCurr,bitIndex4) )
        & ( v17624(VarCurr,bitIndex3)
        <=> v17639(VarCurr,bitIndex3) )
        & ( v17624(VarCurr,bitIndex2)
        <=> v17639(VarCurr,bitIndex2) )
        & ( v17624(VarCurr,bitIndex1)
        <=> v17639(VarCurr,bitIndex1) )
        & ( v17624(VarCurr,bitIndex0)
        <=> v17639(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_7508,axiom,(
    ! [VarNext] :
      ( v17639(VarNext,bitIndex5)
    <=> v19263(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionEqualRanges1_239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19265(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v19263(VarNext,B)
            <=> v17639(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_268,axiom,(
    ! [VarNext] :
      ( v19265(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v19263(VarNext,B)
          <=> v19228(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4700,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19265(VarNext)
      <=> ( v19266(VarNext)
          & v19222(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4699,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19266(VarNext)
      <=> ( v19268(VarNext)
          & v19209(VarNext) ) ) ) )).

fof(writeUnaryOperator_2446,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19268(VarNext)
      <=> v19216(VarNext) ) ) )).

fof(addAssignment_7507,axiom,(
    ! [VarCurr] :
      ( v17624(VarCurr,bitIndex5)
    <=> v17626(VarCurr,bitIndex5) ) )).

fof(addAssignment_7506,axiom,(
    ! [VarCurr] :
      ( v17626(VarCurr,bitIndex5)
    <=> v17628(VarCurr,bitIndex5) ) )).

fof(addAssignment_7505,axiom,(
    ! [VarCurr] :
      ( v17628(VarCurr,bitIndex5)
    <=> v17630(VarCurr,bitIndex5) ) )).

fof(addAssignment_7504,axiom,(
    ! [VarCurr] :
      ( v17630(VarCurr,bitIndex5)
    <=> v17632(VarCurr,bitIndex5) ) )).

fof(addAssignment_7503,axiom,(
    ! [VarCurr] :
      ( v17632(VarCurr,bitIndex5)
    <=> v17634(VarCurr,bitIndex5) ) )).

fof(addAssignment_7502,axiom,(
    ! [VarCurr] :
      ( v17634(VarCurr,bitIndex5)
    <=> v17636(VarCurr,bitIndex5) ) )).

fof(addAssignment_7501,axiom,(
    ! [VarCurr] :
      ( v17636(VarCurr,bitIndex5)
    <=> v17637(VarCurr,bitIndex5) ) )).

fof(addAssignment_7500,axiom,(
    ! [VarNext,B] :
      ( range_4_0(B)
     => ( v17639(VarNext,B)
      <=> v19211(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19212(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v19211(VarNext,B)
            <=> v17639(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_267,axiom,(
    ! [VarNext] :
      ( v19212(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v19211(VarNext,B)
          <=> v19228(VarNext,B) ) ) ) )).

fof(addAssignment_7499,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v19228(VarNext,B)
          <=> v19226(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_419,axiom,(
    ! [VarCurr] :
      ( ~ v19223(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v19226(VarCurr,B)
          <=> v19229(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_405,axiom,(
    ! [VarCurr] :
      ( v19223(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v19226(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_7498,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr,bitIndex0)
    <=> v19257(VarCurr) ) )).

fof(addAssignment_7497,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr,bitIndex1)
    <=> v19255(VarCurr) ) )).

fof(addAssignment_7496,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr,bitIndex2)
    <=> v19250(VarCurr) ) )).

fof(addAssignment_7495,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr,bitIndex3)
    <=> v19245(VarCurr) ) )).

fof(addAssignment_7494,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr,bitIndex4)
    <=> v19240(VarCurr) ) )).

fof(addAssignment_7493,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr,bitIndex5)
    <=> v19231(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4698,axiom,(
    ! [VarCurr] :
      ( v19255(VarCurr)
    <=> ( v19256(VarCurr)
        & v19259(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1351,axiom,(
    ! [VarCurr] :
      ( v19259(VarCurr)
    <=> ( v17639(VarCurr,bitIndex0)
        | v17639(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4697,axiom,(
    ! [VarCurr] :
      ( v19256(VarCurr)
    <=> ( v19257(VarCurr)
        | v19258(VarCurr) ) ) )).

fof(writeUnaryOperator_2445,axiom,(
    ! [VarCurr] :
      ( ~ v19258(VarCurr)
    <=> v17639(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2444,axiom,(
    ! [VarCurr] :
      ( ~ v19257(VarCurr)
    <=> v17639(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4696,axiom,(
    ! [VarCurr] :
      ( v19250(VarCurr)
    <=> ( v19251(VarCurr)
        & v19254(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1350,axiom,(
    ! [VarCurr] :
      ( v19254(VarCurr)
    <=> ( v19237(VarCurr)
        | v17639(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4695,axiom,(
    ! [VarCurr] :
      ( v19251(VarCurr)
    <=> ( v19252(VarCurr)
        | v19253(VarCurr) ) ) )).

fof(writeUnaryOperator_2443,axiom,(
    ! [VarCurr] :
      ( ~ v19253(VarCurr)
    <=> v17639(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2442,axiom,(
    ! [VarCurr] :
      ( ~ v19252(VarCurr)
    <=> v19237(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4694,axiom,(
    ! [VarCurr] :
      ( v19245(VarCurr)
    <=> ( v19246(VarCurr)
        & v19249(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1349,axiom,(
    ! [VarCurr] :
      ( v19249(VarCurr)
    <=> ( v19236(VarCurr)
        | v17639(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4693,axiom,(
    ! [VarCurr] :
      ( v19246(VarCurr)
    <=> ( v19247(VarCurr)
        | v19248(VarCurr) ) ) )).

fof(writeUnaryOperator_2441,axiom,(
    ! [VarCurr] :
      ( ~ v19248(VarCurr)
    <=> v17639(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2440,axiom,(
    ! [VarCurr] :
      ( ~ v19247(VarCurr)
    <=> v19236(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4692,axiom,(
    ! [VarCurr] :
      ( v19240(VarCurr)
    <=> ( v19241(VarCurr)
        & v19244(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1348,axiom,(
    ! [VarCurr] :
      ( v19244(VarCurr)
    <=> ( v19235(VarCurr)
        | v17639(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4691,axiom,(
    ! [VarCurr] :
      ( v19241(VarCurr)
    <=> ( v19242(VarCurr)
        | v19243(VarCurr) ) ) )).

fof(writeUnaryOperator_2439,axiom,(
    ! [VarCurr] :
      ( ~ v19243(VarCurr)
    <=> v17639(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2438,axiom,(
    ! [VarCurr] :
      ( ~ v19242(VarCurr)
    <=> v19235(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4690,axiom,(
    ! [VarCurr] :
      ( v19231(VarCurr)
    <=> ( v19232(VarCurr)
        & v19239(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1347,axiom,(
    ! [VarCurr] :
      ( v19239(VarCurr)
    <=> ( v19234(VarCurr)
        | v17639(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4689,axiom,(
    ! [VarCurr] :
      ( v19232(VarCurr)
    <=> ( v19233(VarCurr)
        | v19238(VarCurr) ) ) )).

fof(writeUnaryOperator_2437,axiom,(
    ! [VarCurr] :
      ( ~ v19238(VarCurr)
    <=> v17639(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2436,axiom,(
    ! [VarCurr] :
      ( ~ v19233(VarCurr)
    <=> v19234(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1346,axiom,(
    ! [VarCurr] :
      ( v19234(VarCurr)
    <=> ( v19235(VarCurr)
        & v17639(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1345,axiom,(
    ! [VarCurr] :
      ( v19235(VarCurr)
    <=> ( v19236(VarCurr)
        & v17639(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1344,axiom,(
    ! [VarCurr] :
      ( v19236(VarCurr)
    <=> ( v19237(VarCurr)
        & v17639(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1343,axiom,(
    ! [VarCurr] :
      ( v19237(VarCurr)
    <=> ( v17639(VarCurr,bitIndex0)
        & v17639(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4688,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19212(VarNext)
      <=> ( v19213(VarNext)
          & v19222(VarNext) ) ) ) )).

fof(addAssignment_7492,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19222(VarNext)
      <=> v19220(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4687,axiom,(
    ! [VarCurr] :
      ( v19220(VarCurr)
    <=> ( v19223(VarCurr)
        | v19224(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4686,axiom,(
    ! [VarCurr] :
      ( v19224(VarCurr)
    <=> ( v17641(VarCurr)
        & v19225(VarCurr) ) ) )).

fof(writeUnaryOperator_2435,axiom,(
    ! [VarCurr] :
      ( ~ v19225(VarCurr)
    <=> v19223(VarCurr) ) )).

fof(writeUnaryOperator_2434,axiom,(
    ! [VarCurr] :
      ( ~ v19223(VarCurr)
    <=> v13208(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4685,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19213(VarNext)
      <=> ( v19214(VarNext)
          & v19209(VarNext) ) ) ) )).

fof(writeUnaryOperator_2433,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19214(VarNext)
      <=> v19216(VarNext) ) ) )).

fof(addAssignment_7491,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19216(VarNext)
      <=> v19209(VarCurr) ) ) )).

fof(addAssignment_7490,axiom,(
    ! [VarCurr] :
      ( v19209(VarCurr)
    <=> v13324(VarCurr) ) )).

fof(addAssignment_7489,axiom,(
    ! [VarCurr] :
      ( v17641(VarCurr)
    <=> v17643(VarCurr) ) )).

fof(addAssignment_7488,axiom,(
    ! [VarCurr] :
      ( v17643(VarCurr)
    <=> v17645(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4684,axiom,(
    ! [VarCurr] :
      ( v17645(VarCurr)
    <=> ( v19207(VarCurr)
        & v17647(VarCurr) ) ) )).

fof(writeUnaryOperator_2432,axiom,(
    ! [VarCurr] :
      ( ~ v19207(VarCurr)
    <=> v13220(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1179,axiom,(
    ! [VarCurr] :
      ( v17647(VarCurr)
    <=> ( ( v17649(VarCurr,bitIndex1)
        <=> $false )
        & ( v17649(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19180(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v17649(VarNext,B)
            <=> v17649(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_266,axiom,(
    ! [VarNext] :
      ( v19180(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v17649(VarNext,B)
          <=> v19196(VarNext,B) ) ) ) )).

fof(addAssignment_7487,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v19196(VarNext,B)
          <=> v19194(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_418,axiom,(
    ! [VarCurr] :
      ( ~ v19189(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19194(VarCurr,B)
          <=> v19197(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_404,axiom,(
    ! [VarCurr] :
      ( v19189(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v19194(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_7486,axiom,(
    ! [VarCurr] :
      ( v19197(VarCurr,bitIndex0)
    <=> v19201(VarCurr) ) )).

fof(addAssignment_7485,axiom,(
    ! [VarCurr] :
      ( v19197(VarCurr,bitIndex1)
    <=> v19199(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4683,axiom,(
    ! [VarCurr] :
      ( v19199(VarCurr)
    <=> ( v18237(VarCurr)
        & v19200(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4682,axiom,(
    ! [VarCurr] :
      ( v19200(VarCurr)
    <=> ( v19201(VarCurr)
        | v19202(VarCurr) ) ) )).

fof(writeUnaryOperator_2431,axiom,(
    ! [VarCurr] :
      ( ~ v19202(VarCurr)
    <=> v17649(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2430,axiom,(
    ! [VarCurr] :
      ( ~ v19201(VarCurr)
    <=> v17649(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_1342,axiom,(
    ! [VarCurr] :
      ( v18237(VarCurr)
    <=> ( v17649(VarCurr,bitIndex0)
        | v17649(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4681,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19180(VarNext)
      <=> ( v19181(VarNext)
          & v19188(VarNext) ) ) ) )).

fof(addAssignment_7484,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19188(VarNext)
      <=> v19186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4680,axiom,(
    ! [VarCurr] :
      ( v19186(VarCurr)
    <=> ( v19189(VarCurr)
        | v19190(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4679,axiom,(
    ! [VarCurr] :
      ( v19190(VarCurr)
    <=> ( v19191(VarCurr)
        & v19193(VarCurr) ) ) )).

fof(writeUnaryOperator_2429,axiom,(
    ! [VarCurr] :
      ( ~ v19193(VarCurr)
    <=> v19189(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4678,axiom,(
    ! [VarCurr] :
      ( v19191(VarCurr)
    <=> ( v17651(VarCurr)
        & v19192(VarCurr) ) ) )).

fof(writeUnaryOperator_2428,axiom,(
    ! [VarCurr] :
      ( ~ v19192(VarCurr)
    <=> v17964(VarCurr) ) )).

fof(writeUnaryOperator_2427,axiom,(
    ! [VarCurr] :
      ( ~ v19189(VarCurr)
    <=> v13222(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4677,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19181(VarNext)
      <=> ( v19182(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2426,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19182(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_370,axiom,(
    ! [VarCurr] :
      ( ~ v19112(VarCurr)
     => ( v17651(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_326,axiom,(
    ! [VarCurr] :
      ( v19112(VarCurr)
     => ( v17651(VarCurr)
      <=> v19174(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges6_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v19118(VarCurr)
        & ~ v19119(VarCurr)
        & ~ v19123(VarCurr)
        & ~ v19136(VarCurr)
        & ~ v19143(VarCurr)
        & ~ v19153(VarCurr)
        & v19164(VarCurr) )
     => ( v19174(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges5_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v19118(VarCurr)
        & ~ v19119(VarCurr)
        & ~ v19123(VarCurr)
        & ~ v19136(VarCurr)
        & ~ v19143(VarCurr)
        & v19153(VarCurr) )
     => ( v19174(VarCurr)
      <=> v19177(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges4_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v19118(VarCurr)
        & ~ v19119(VarCurr)
        & ~ v19123(VarCurr)
        & ~ v19136(VarCurr)
        & v19143(VarCurr) )
     => ( v19174(VarCurr)
      <=> v19176(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges3_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v19118(VarCurr)
        & ~ v19119(VarCurr)
        & ~ v19123(VarCurr)
        & v19136(VarCurr) )
     => ( v19174(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges2_9,axiom,(
    ! [VarCurr] :
      ( ( ~ v19118(VarCurr)
        & ~ v19119(VarCurr)
        & v19123(VarCurr) )
     => ( v19174(VarCurr)
      <=> v19175(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_236,axiom,(
    ! [VarCurr] :
      ( ( ~ v19118(VarCurr)
        & v19119(VarCurr) )
     => ( v19174(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_13,axiom,(
    ! [VarCurr] :
      ( v19118(VarCurr)
     => ( v19174(VarCurr)
      <=> v18245(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_417,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19177(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_19,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19177(VarCurr)
      <=> v18290(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_416,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19176(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_18,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19176(VarCurr)
      <=> v18275(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_415,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19175(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_17,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19175(VarCurr)
      <=> v18260(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4676,axiom,(
    ! [VarCurr] :
      ( v19112(VarCurr)
    <=> ( v19113(VarCurr)
        | v19164(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4675,axiom,(
    ! [VarCurr] :
      ( v19164(VarCurr)
    <=> ( v19165(VarCurr)
        & v19170(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4674,axiom,(
    ! [VarCurr] :
      ( v19170(VarCurr)
    <=> ( v19171(VarCurr)
        & v19173(VarCurr) ) ) )).

fof(writeUnaryOperator_2425,axiom,(
    ! [VarCurr] :
      ( ~ v19173(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4673,axiom,(
    ! [VarCurr] :
      ( v19171(VarCurr)
    <=> ( v19172(VarCurr)
        & v18417(VarCurr) ) ) )).

fof(writeUnaryOperator_2424,axiom,(
    ! [VarCurr] :
      ( ~ v19172(VarCurr)
    <=> v18239(VarCurr) ) )).

fof(writeUnaryOperator_2423,axiom,(
    ! [VarCurr] :
      ( ~ v19165(VarCurr)
    <=> v19166(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4672,axiom,(
    ! [VarCurr] :
      ( v19166(VarCurr)
    <=> ( v19167(VarCurr)
        | v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4671,axiom,(
    ! [VarCurr] :
      ( v19167(VarCurr)
    <=> ( v19168(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4670,axiom,(
    ! [VarCurr] :
      ( v19168(VarCurr)
    <=> ( v19169(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4669,axiom,(
    ! [VarCurr] :
      ( v19169(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4668,axiom,(
    ! [VarCurr] :
      ( v19113(VarCurr)
    <=> ( v19114(VarCurr)
        | v19153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4667,axiom,(
    ! [VarCurr] :
      ( v19153(VarCurr)
    <=> ( v19154(VarCurr)
        & v19158(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4666,axiom,(
    ! [VarCurr] :
      ( v19158(VarCurr)
    <=> ( v19159(VarCurr)
        & v19163(VarCurr) ) ) )).

fof(writeUnaryOperator_2422,axiom,(
    ! [VarCurr] :
      ( ~ v19163(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4665,axiom,(
    ! [VarCurr] :
      ( v19159(VarCurr)
    <=> ( v19160(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4664,axiom,(
    ! [VarCurr] :
      ( v19160(VarCurr)
    <=> ( v13224(VarCurr)
        | v19161(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4663,axiom,(
    ! [VarCurr] :
      ( v19161(VarCurr)
    <=> ( v17946(VarCurr)
        & v19162(VarCurr) ) ) )).

fof(writeUnaryOperator_2421,axiom,(
    ! [VarCurr] :
      ( ~ v19162(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2420,axiom,(
    ! [VarCurr] :
      ( ~ v19154(VarCurr)
    <=> v19155(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4662,axiom,(
    ! [VarCurr] :
      ( v19155(VarCurr)
    <=> ( v19156(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4661,axiom,(
    ! [VarCurr] :
      ( v19156(VarCurr)
    <=> ( v19157(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4660,axiom,(
    ! [VarCurr] :
      ( v19157(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4659,axiom,(
    ! [VarCurr] :
      ( v19114(VarCurr)
    <=> ( v19115(VarCurr)
        | v19143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4658,axiom,(
    ! [VarCurr] :
      ( v19143(VarCurr)
    <=> ( v19144(VarCurr)
        & v19147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4657,axiom,(
    ! [VarCurr] :
      ( v19147(VarCurr)
    <=> ( v19148(VarCurr)
        & v19152(VarCurr) ) ) )).

fof(writeUnaryOperator_2419,axiom,(
    ! [VarCurr] :
      ( ~ v19152(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4656,axiom,(
    ! [VarCurr] :
      ( v19148(VarCurr)
    <=> ( v19149(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4655,axiom,(
    ! [VarCurr] :
      ( v19149(VarCurr)
    <=> ( v13224(VarCurr)
        | v19150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4654,axiom,(
    ! [VarCurr] :
      ( v19150(VarCurr)
    <=> ( v17946(VarCurr)
        & v19151(VarCurr) ) ) )).

fof(writeUnaryOperator_2418,axiom,(
    ! [VarCurr] :
      ( ~ v19151(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2417,axiom,(
    ! [VarCurr] :
      ( ~ v19144(VarCurr)
    <=> v19145(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4653,axiom,(
    ! [VarCurr] :
      ( v19145(VarCurr)
    <=> ( v19146(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4652,axiom,(
    ! [VarCurr] :
      ( v19146(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4651,axiom,(
    ! [VarCurr] :
      ( v19115(VarCurr)
    <=> ( v19116(VarCurr)
        | v19136(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4650,axiom,(
    ! [VarCurr] :
      ( v19136(VarCurr)
    <=> ( v19137(VarCurr)
        & v19139(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4649,axiom,(
    ! [VarCurr] :
      ( v19139(VarCurr)
    <=> ( v19140(VarCurr)
        & v19142(VarCurr) ) ) )).

fof(writeUnaryOperator_2416,axiom,(
    ! [VarCurr] :
      ( ~ v19142(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4648,axiom,(
    ! [VarCurr] :
      ( v19140(VarCurr)
    <=> ( v19141(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeUnaryOperator_2415,axiom,(
    ! [VarCurr] :
      ( ~ v19141(VarCurr)
    <=> v18392(VarCurr) ) )).

fof(writeUnaryOperator_2414,axiom,(
    ! [VarCurr] :
      ( ~ v19137(VarCurr)
    <=> v19138(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4647,axiom,(
    ! [VarCurr] :
      ( v19138(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4646,axiom,(
    ! [VarCurr] :
      ( v19116(VarCurr)
    <=> ( v19117(VarCurr)
        | v19123(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4645,axiom,(
    ! [VarCurr] :
      ( v19123(VarCurr)
    <=> ( v19124(VarCurr)
        & v19125(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4644,axiom,(
    ! [VarCurr] :
      ( v19125(VarCurr)
    <=> ( v19126(VarCurr)
        & v19135(VarCurr) ) ) )).

fof(writeUnaryOperator_2413,axiom,(
    ! [VarCurr] :
      ( ~ v19135(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4643,axiom,(
    ! [VarCurr] :
      ( v19126(VarCurr)
    <=> ( v19127(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4642,axiom,(
    ! [VarCurr] :
      ( v19127(VarCurr)
    <=> ( v13224(VarCurr)
        | v19128(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4641,axiom,(
    ! [VarCurr] :
      ( v19128(VarCurr)
    <=> ( v19129(VarCurr)
        & v19134(VarCurr) ) ) )).

fof(writeUnaryOperator_2412,axiom,(
    ! [VarCurr] :
      ( ~ v19134(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4640,axiom,(
    ! [VarCurr] :
      ( v19129(VarCurr)
    <=> ( v19130(VarCurr)
        & v19133(VarCurr) ) ) )).

fof(writeUnaryOperator_2411,axiom,(
    ! [VarCurr] :
      ( ~ v19133(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4639,axiom,(
    ! [VarCurr] :
      ( v19130(VarCurr)
    <=> ( v17683(VarCurr)
        | v19131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4638,axiom,(
    ! [VarCurr] :
      ( v19131(VarCurr)
    <=> ( v18318(VarCurr)
        & v19132(VarCurr) ) ) )).

fof(writeUnaryOperator_2410,axiom,(
    ! [VarCurr] :
      ( ~ v19132(VarCurr)
    <=> v17683(VarCurr) ) )).

fof(writeUnaryOperator_2409,axiom,(
    ! [VarCurr] :
      ( ~ v19124(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4637,axiom,(
    ! [VarCurr] :
      ( v19117(VarCurr)
    <=> ( v19118(VarCurr)
        | v19119(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4636,axiom,(
    ! [VarCurr] :
      ( v19119(VarCurr)
    <=> ( v19120(VarCurr)
        & v19121(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4635,axiom,(
    ! [VarCurr] :
      ( v19121(VarCurr)
    <=> ( v18329(VarCurr)
        & v19122(VarCurr) ) ) )).

fof(writeUnaryOperator_2408,axiom,(
    ! [VarCurr] :
      ( ~ v19122(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeUnaryOperator_2407,axiom,(
    ! [VarCurr] :
      ( ~ v19120(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4634,axiom,(
    ! [VarCurr] :
      ( v19118(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7483,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex4)
    <=> v18291(VarCurr,bitIndex4) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_369,axiom,(
    ! [VarCurr] :
      ( ~ v19110(VarCurr)
     => ( v18299(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_325,axiom,(
    ! [VarCurr] :
      ( v19110(VarCurr)
     => ( v18299(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2406,axiom,(
    ! [VarCurr] :
      ( ~ v19110(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addAssignment_7482,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex4)
    <=> v18276(VarCurr,bitIndex4) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_368,axiom,(
    ! [VarCurr] :
      ( ~ v19107(VarCurr)
     => ( v18284(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_324,axiom,(
    ! [VarCurr] :
      ( v19107(VarCurr)
     => ( v18284(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2405,axiom,(
    ! [VarCurr] :
      ( ~ v19107(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addAssignment_7481,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex4)
    <=> v18261(VarCurr,bitIndex4) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_367,axiom,(
    ! [VarCurr] :
      ( ~ v19104(VarCurr)
     => ( v18269(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_323,axiom,(
    ! [VarCurr] :
      ( v19104(VarCurr)
     => ( v18269(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2404,axiom,(
    ! [VarCurr] :
      ( ~ v19104(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addAssignment_7480,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex4)
    <=> v18246(VarCurr,bitIndex4) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_366,axiom,(
    ! [VarCurr] :
      ( ~ v19101(VarCurr)
     => ( v18254(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_322,axiom,(
    ! [VarCurr] :
      ( v19101(VarCurr)
     => ( v18254(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2403,axiom,(
    ! [VarCurr] :
      ( ~ v19101(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_235,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19088(VarNext)
       => ( v17653(VarNext,bitIndex0)
        <=> v17653(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_265,axiom,(
    ! [VarNext] :
      ( v19088(VarNext)
     => ( v17653(VarNext,bitIndex0)
      <=> v19096(VarNext) ) ) )).

fof(addAssignment_7479,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19096(VarNext)
      <=> v19094(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_365,axiom,(
    ! [VarCurr] :
      ( ~ v18368(VarCurr)
     => ( v19094(VarCurr)
      <=> v17655(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_321,axiom,(
    ! [VarCurr] :
      ( v18368(VarCurr)
     => ( v19094(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4633,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19088(VarNext)
      <=> v19089(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4632,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19089(VarNext)
      <=> ( v19091(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2402,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19091(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_364,axiom,(
    ! [VarCurr] :
      ( ~ v19040(VarCurr)
     => ( v17655(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_320,axiom,(
    ! [VarCurr] :
      ( v19040(VarCurr)
     => ( v17655(VarCurr,bitIndex0)
      <=> v19080(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges4,axiom,(
    ! [VarCurr] :
      ( ( ~ v18309(VarCurr)
        & ~ v19044(VarCurr)
        & ~ v19045(VarCurr)
        & ~ v19058(VarCurr)
        & v19069(VarCurr) )
     => ( v19080(VarCurr)
      <=> v19085(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges3_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v18309(VarCurr)
        & ~ v19044(VarCurr)
        & ~ v19045(VarCurr)
        & v19058(VarCurr) )
     => ( v19080(VarCurr)
      <=> v19084(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_8,axiom,(
    ! [VarCurr] :
      ( ( ~ v18309(VarCurr)
        & ~ v19044(VarCurr)
        & v19045(VarCurr) )
     => ( v19080(VarCurr)
      <=> v19082(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_234,axiom,(
    ! [VarCurr] :
      ( ( ~ v18309(VarCurr)
        & v19044(VarCurr) )
     => ( v19080(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges0_264,axiom,(
    ! [VarCurr] :
      ( v18309(VarCurr)
     => ( v19080(VarCurr)
      <=> v19081(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_414,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19085(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_16,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19085(VarCurr)
      <=> v18290(VarCurr,bitIndex10) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_413,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19084(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_15,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19084(VarCurr)
      <=> v18275(VarCurr,bitIndex10) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_412,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19082(VarCurr)
      <=> v19083(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_14,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19082(VarCurr)
      <=> v18260(VarCurr,bitIndex10) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_363,axiom,(
    ! [VarCurr] :
      ( ~ v17964(VarCurr)
     => ( v19083(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_319,axiom,(
    ! [VarCurr] :
      ( v17964(VarCurr)
     => ( v19083(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_362,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19081(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_394,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19081(VarCurr)
      <=> v18245(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4631,axiom,(
    ! [VarCurr] :
      ( v19040(VarCurr)
    <=> ( v19041(VarCurr)
        | v19069(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4630,axiom,(
    ! [VarCurr] :
      ( v19069(VarCurr)
    <=> ( v19070(VarCurr)
        & v19073(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4629,axiom,(
    ! [VarCurr] :
      ( v19073(VarCurr)
    <=> ( v19074(VarCurr)
        & v19079(VarCurr) ) ) )).

fof(writeUnaryOperator_2401,axiom,(
    ! [VarCurr] :
      ( ~ v19079(VarCurr)
    <=> v19068(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4628,axiom,(
    ! [VarCurr] :
      ( v19074(VarCurr)
    <=> ( v19075(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4627,axiom,(
    ! [VarCurr] :
      ( v19075(VarCurr)
    <=> ( v13224(VarCurr)
        | v19076(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4626,axiom,(
    ! [VarCurr] :
      ( v19076(VarCurr)
    <=> ( v19077(VarCurr)
        & v19078(VarCurr) ) ) )).

fof(writeUnaryOperator_2400,axiom,(
    ! [VarCurr] :
      ( ~ v19078(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2399,axiom,(
    ! [VarCurr] :
      ( ~ v19077(VarCurr)
    <=> v17946(VarCurr) ) )).

fof(writeUnaryOperator_2398,axiom,(
    ! [VarCurr] :
      ( ~ v19070(VarCurr)
    <=> v19071(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4625,axiom,(
    ! [VarCurr] :
      ( v19071(VarCurr)
    <=> ( v19072(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4624,axiom,(
    ! [VarCurr] :
      ( v19072(VarCurr)
    <=> ( v18328(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4623,axiom,(
    ! [VarCurr] :
      ( v19041(VarCurr)
    <=> ( v19042(VarCurr)
        | v19058(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4622,axiom,(
    ! [VarCurr] :
      ( v19058(VarCurr)
    <=> ( v19059(VarCurr)
        & v19061(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4621,axiom,(
    ! [VarCurr] :
      ( v19061(VarCurr)
    <=> ( v19062(VarCurr)
        & v19067(VarCurr) ) ) )).

fof(writeUnaryOperator_2397,axiom,(
    ! [VarCurr] :
      ( ~ v19067(VarCurr)
    <=> v19068(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4620,axiom,(
    ! [VarCurr] :
      ( v19068(VarCurr)
    <=> ( v18329(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4619,axiom,(
    ! [VarCurr] :
      ( v19062(VarCurr)
    <=> ( v19063(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4618,axiom,(
    ! [VarCurr] :
      ( v19063(VarCurr)
    <=> ( v13224(VarCurr)
        | v19064(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4617,axiom,(
    ! [VarCurr] :
      ( v19064(VarCurr)
    <=> ( v19065(VarCurr)
        & v19066(VarCurr) ) ) )).

fof(writeUnaryOperator_2396,axiom,(
    ! [VarCurr] :
      ( ~ v19066(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2395,axiom,(
    ! [VarCurr] :
      ( ~ v19065(VarCurr)
    <=> v17946(VarCurr) ) )).

fof(writeUnaryOperator_2394,axiom,(
    ! [VarCurr] :
      ( ~ v19059(VarCurr)
    <=> v19060(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4616,axiom,(
    ! [VarCurr] :
      ( v19060(VarCurr)
    <=> ( v18328(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4615,axiom,(
    ! [VarCurr] :
      ( v19042(VarCurr)
    <=> ( v19043(VarCurr)
        | v19045(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4614,axiom,(
    ! [VarCurr] :
      ( v19045(VarCurr)
    <=> ( v19046(VarCurr)
        & v19047(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4613,axiom,(
    ! [VarCurr] :
      ( v19047(VarCurr)
    <=> ( v19048(VarCurr)
        & v19057(VarCurr) ) ) )).

fof(writeUnaryOperator_2393,axiom,(
    ! [VarCurr] :
      ( ~ v19057(VarCurr)
    <=> v18329(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4612,axiom,(
    ! [VarCurr] :
      ( v19048(VarCurr)
    <=> ( v19049(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4611,axiom,(
    ! [VarCurr] :
      ( v19049(VarCurr)
    <=> ( v13224(VarCurr)
        | v19050(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4610,axiom,(
    ! [VarCurr] :
      ( v19050(VarCurr)
    <=> ( v19051(VarCurr)
        & v19056(VarCurr) ) ) )).

fof(writeUnaryOperator_2392,axiom,(
    ! [VarCurr] :
      ( ~ v19056(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4609,axiom,(
    ! [VarCurr] :
      ( v19051(VarCurr)
    <=> ( v19052(VarCurr)
        & v19055(VarCurr) ) ) )).

fof(writeUnaryOperator_2391,axiom,(
    ! [VarCurr] :
      ( ~ v19055(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4608,axiom,(
    ! [VarCurr] :
      ( v19052(VarCurr)
    <=> ( v19053(VarCurr)
        & v19054(VarCurr) ) ) )).

fof(writeUnaryOperator_2390,axiom,(
    ! [VarCurr] :
      ( ~ v19054(VarCurr)
    <=> v17683(VarCurr) ) )).

fof(writeUnaryOperator_2389,axiom,(
    ! [VarCurr] :
      ( ~ v19053(VarCurr)
    <=> v18318(VarCurr) ) )).

fof(writeUnaryOperator_2388,axiom,(
    ! [VarCurr] :
      ( ~ v19046(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4607,axiom,(
    ! [VarCurr] :
      ( v19043(VarCurr)
    <=> ( v18309(VarCurr)
        | v19044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4606,axiom,(
    ! [VarCurr] :
      ( v19044(VarCurr)
    <=> ( v17657(VarCurr)
        & v18328(VarCurr) ) ) )).

fof(addAssignment_7478,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex10)
    <=> v18291(VarCurr,bitIndex10) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_361,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18294(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_318,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18294(VarCurr,bitIndex0)
      <=> v18676(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_360,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v18676(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_317,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v18676(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addAssignment_7477,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex10)
    <=> v18276(VarCurr,bitIndex10) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_359,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18279(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_316,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18279(VarCurr,bitIndex0)
      <=> v18669(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_358,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v18669(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_315,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v18669(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addAssignment_7476,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex10)
    <=> v18261(VarCurr,bitIndex10) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_357,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18264(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_314,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18264(VarCurr,bitIndex0)
      <=> v18662(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_356,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v18662(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_313,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v18662(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addAssignment_7475,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex10)
    <=> v18246(VarCurr,bitIndex10) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_355,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18249(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_312,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18249(VarCurr,bitIndex0)
      <=> v18655(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_354,axiom,(
    ! [VarCurr] :
      ( ~ v18779(VarCurr)
     => ( v18655(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_311,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
     => ( v18655(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4605,axiom,(
    ! [VarCurr] :
      ( v17657(VarCurr)
    <=> ( v19025(VarCurr)
        & v17659(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2387,axiom,(
    ! [VarCurr] :
      ( ~ v19025(VarCurr)
    <=> v19026(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1341,axiom,(
    ! [VarCurr] :
      ( v19026(VarCurr)
    <=> ( v19028(VarCurr)
        | v17659(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1340,axiom,(
    ! [VarCurr] :
      ( v19028(VarCurr)
    <=> ( v19029(VarCurr)
        | v17659(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1339,axiom,(
    ! [VarCurr] :
      ( v19029(VarCurr)
    <=> ( v19030(VarCurr)
        | v17659(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1338,axiom,(
    ! [VarCurr] :
      ( v19030(VarCurr)
    <=> ( v17659(VarCurr,bitIndex1)
        | v17659(VarCurr,bitIndex2) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_353,axiom,(
    ! [VarCurr] :
      ( ~ v18971(VarCurr)
     => ( v17661(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_310,axiom,(
    ! [VarCurr] :
      ( v18971(VarCurr)
     => ( v17661(VarCurr)
      <=> v19021(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges6_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18978(VarCurr)
        & ~ v19022(VarCurr)
        & ~ v18984(VarCurr)
        & ~ v18993(VarCurr)
        & ~ v18999(VarCurr)
        & ~ v19005(VarCurr)
        & v19012(VarCurr) )
     => ( v19021(VarCurr)
      <=> v18859(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges5_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18978(VarCurr)
        & ~ v19022(VarCurr)
        & ~ v18984(VarCurr)
        & ~ v18993(VarCurr)
        & ~ v18999(VarCurr)
        & v19005(VarCurr) )
     => ( v19021(VarCurr)
      <=> v18290(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionShiftedRanges4_7,axiom,(
    ! [VarCurr] :
      ( ( ~ v18978(VarCurr)
        & ~ v19022(VarCurr)
        & ~ v18984(VarCurr)
        & ~ v18993(VarCurr)
        & v18999(VarCurr) )
     => ( v19021(VarCurr)
      <=> v18275(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges3_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18978(VarCurr)
        & ~ v19022(VarCurr)
        & ~ v18984(VarCurr)
        & v18993(VarCurr) )
     => ( v19021(VarCurr)
      <=> v18859(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_7,axiom,(
    ! [VarCurr] :
      ( ( ~ v18978(VarCurr)
        & ~ v19022(VarCurr)
        & v18984(VarCurr) )
     => ( v19021(VarCurr)
      <=> v19023(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_233,axiom,(
    ! [VarCurr] :
      ( ( ~ v18978(VarCurr)
        & v19022(VarCurr) )
     => ( v19021(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_12,axiom,(
    ! [VarCurr] :
      ( v18978(VarCurr)
     => ( v19021(VarCurr)
      <=> v18245(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_411,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v19023(VarCurr)
      <=> v18859(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_13,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v19023(VarCurr)
      <=> v18260(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4604,axiom,(
    ! [VarCurr] :
      ( v19022(VarCurr)
    <=> ( v18979(VarCurr)
        | v18981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4603,axiom,(
    ! [VarCurr] :
      ( v18971(VarCurr)
    <=> ( v18972(VarCurr)
        | v19012(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4602,axiom,(
    ! [VarCurr] :
      ( v19012(VarCurr)
    <=> ( v19013(VarCurr)
        & v19019(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4601,axiom,(
    ! [VarCurr] :
      ( v19019(VarCurr)
    <=> ( v19020(VarCurr)
        & v18417(VarCurr) ) ) )).

fof(writeUnaryOperator_2386,axiom,(
    ! [VarCurr] :
      ( ~ v19020(VarCurr)
    <=> v18239(VarCurr) ) )).

fof(writeUnaryOperator_2385,axiom,(
    ! [VarCurr] :
      ( ~ v19013(VarCurr)
    <=> v19014(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4600,axiom,(
    ! [VarCurr] :
      ( v19014(VarCurr)
    <=> ( v19015(VarCurr)
        | v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4599,axiom,(
    ! [VarCurr] :
      ( v19015(VarCurr)
    <=> ( v19016(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4598,axiom,(
    ! [VarCurr] :
      ( v19016(VarCurr)
    <=> ( v19017(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4597,axiom,(
    ! [VarCurr] :
      ( v19017(VarCurr)
    <=> ( v19018(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4596,axiom,(
    ! [VarCurr] :
      ( v19018(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4595,axiom,(
    ! [VarCurr] :
      ( v18972(VarCurr)
    <=> ( v18973(VarCurr)
        | v19005(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4594,axiom,(
    ! [VarCurr] :
      ( v19005(VarCurr)
    <=> ( v19006(VarCurr)
        & v19011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4593,axiom,(
    ! [VarCurr] :
      ( v19011(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2384,axiom,(
    ! [VarCurr] :
      ( ~ v19006(VarCurr)
    <=> v19007(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4592,axiom,(
    ! [VarCurr] :
      ( v19007(VarCurr)
    <=> ( v19008(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4591,axiom,(
    ! [VarCurr] :
      ( v19008(VarCurr)
    <=> ( v19009(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4590,axiom,(
    ! [VarCurr] :
      ( v19009(VarCurr)
    <=> ( v19010(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4589,axiom,(
    ! [VarCurr] :
      ( v19010(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4588,axiom,(
    ! [VarCurr] :
      ( v18973(VarCurr)
    <=> ( v18974(VarCurr)
        | v18999(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4587,axiom,(
    ! [VarCurr] :
      ( v18999(VarCurr)
    <=> ( v19000(VarCurr)
        & v19004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4586,axiom,(
    ! [VarCurr] :
      ( v19004(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2383,axiom,(
    ! [VarCurr] :
      ( ~ v19000(VarCurr)
    <=> v19001(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4585,axiom,(
    ! [VarCurr] :
      ( v19001(VarCurr)
    <=> ( v19002(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4584,axiom,(
    ! [VarCurr] :
      ( v19002(VarCurr)
    <=> ( v19003(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4583,axiom,(
    ! [VarCurr] :
      ( v19003(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4582,axiom,(
    ! [VarCurr] :
      ( v18974(VarCurr)
    <=> ( v18975(VarCurr)
        | v18993(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4581,axiom,(
    ! [VarCurr] :
      ( v18993(VarCurr)
    <=> ( v18994(VarCurr)
        & v18997(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4580,axiom,(
    ! [VarCurr] :
      ( v18997(VarCurr)
    <=> ( v18998(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeUnaryOperator_2382,axiom,(
    ! [VarCurr] :
      ( ~ v18998(VarCurr)
    <=> v18392(VarCurr) ) )).

fof(writeUnaryOperator_2381,axiom,(
    ! [VarCurr] :
      ( ~ v18994(VarCurr)
    <=> v18995(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4579,axiom,(
    ! [VarCurr] :
      ( v18995(VarCurr)
    <=> ( v18996(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4578,axiom,(
    ! [VarCurr] :
      ( v18996(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4577,axiom,(
    ! [VarCurr] :
      ( v18975(VarCurr)
    <=> ( v18976(VarCurr)
        | v18984(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4576,axiom,(
    ! [VarCurr] :
      ( v18984(VarCurr)
    <=> ( v18985(VarCurr)
        & v18987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4575,axiom,(
    ! [VarCurr] :
      ( v18987(VarCurr)
    <=> ( v18988(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4574,axiom,(
    ! [VarCurr] :
      ( v18988(VarCurr)
    <=> ( v13224(VarCurr)
        | v18989(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4573,axiom,(
    ! [VarCurr] :
      ( v18989(VarCurr)
    <=> ( v18990(VarCurr)
        & v18992(VarCurr) ) ) )).

fof(writeUnaryOperator_2380,axiom,(
    ! [VarCurr] :
      ( ~ v18992(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4572,axiom,(
    ! [VarCurr] :
      ( v18990(VarCurr)
    <=> ( v17683(VarCurr)
        & v18991(VarCurr) ) ) )).

fof(writeUnaryOperator_2379,axiom,(
    ! [VarCurr] :
      ( ~ v18991(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeUnaryOperator_2378,axiom,(
    ! [VarCurr] :
      ( ~ v18985(VarCurr)
    <=> v18986(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4571,axiom,(
    ! [VarCurr] :
      ( v18986(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4570,axiom,(
    ! [VarCurr] :
      ( v18976(VarCurr)
    <=> ( v18977(VarCurr)
        | v18981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4569,axiom,(
    ! [VarCurr] :
      ( v18981(VarCurr)
    <=> ( v18982(VarCurr)
        & v18983(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4568,axiom,(
    ! [VarCurr] :
      ( v18983(VarCurr)
    <=> ( v17663(VarCurr)
        & v18329(VarCurr) ) ) )).

fof(writeUnaryOperator_2377,axiom,(
    ! [VarCurr] :
      ( ~ v18982(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4567,axiom,(
    ! [VarCurr] :
      ( v18977(VarCurr)
    <=> ( v18978(VarCurr)
        | v18979(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4566,axiom,(
    ! [VarCurr] :
      ( v18979(VarCurr)
    <=> ( v18980(VarCurr)
        & v18328(VarCurr) ) ) )).

fof(writeUnaryOperator_2376,axiom,(
    ! [VarCurr] :
      ( ~ v18980(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4565,axiom,(
    ! [VarCurr] :
      ( v18978(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7474,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex2)
    <=> v18291(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_352,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18301(VarCurr)
      <=> v18967(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_309,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18301(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_351,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18967(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_308,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18967(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7473,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex2)
    <=> v18276(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_350,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18286(VarCurr)
      <=> v18962(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_307,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18286(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_349,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18962(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_306,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18962(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1337,axiom,(
    ! [VarCurr] :
      ( v18859(VarCurr)
    <=> ( v18956(VarCurr)
        | v17659(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1336,axiom,(
    ! [VarCurr] :
      ( v18956(VarCurr)
    <=> ( v18957(VarCurr)
        | v17659(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1335,axiom,(
    ! [VarCurr] :
      ( v18957(VarCurr)
    <=> ( v18958(VarCurr)
        | v17659(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1334,axiom,(
    ! [VarCurr] :
      ( v18958(VarCurr)
    <=> ( v18959(VarCurr)
        | v17659(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1333,axiom,(
    ! [VarCurr] :
      ( v18959(VarCurr)
    <=> ( v17659(VarCurr,bitIndex0)
        | v17659(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18862(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v17659(VarNext,B)
            <=> v17659(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_263,axiom,(
    ! [VarNext] :
      ( v18862(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v17659(VarNext,B)
          <=> v18879(VarNext,B) ) ) ) )).

fof(addAssignment_7472,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v18879(VarNext,B)
          <=> v18877(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_410,axiom,(
    ! [VarCurr] :
      ( ~ v18871(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18877(VarCurr,B)
          <=> v18880(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_403,axiom,(
    ! [VarCurr] :
      ( v18871(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18877(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_409,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18880(VarCurr,B)
          <=> v18917(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_402,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18880(VarCurr,B)
          <=> v18881(VarCurr,B) ) ) ) )).

fof(addAssignment_7471,axiom,(
    ! [VarCurr] :
      ( v18917(VarCurr,bitIndex0)
    <=> v18950(VarCurr) ) )).

fof(addAssignment_7470,axiom,(
    ! [VarCurr] :
      ( v18917(VarCurr,bitIndex1)
    <=> v18948(VarCurr) ) )).

fof(addAssignment_7469,axiom,(
    ! [VarCurr] :
      ( v18917(VarCurr,bitIndex2)
    <=> v18944(VarCurr) ) )).

fof(addAssignment_7468,axiom,(
    ! [VarCurr] :
      ( v18917(VarCurr,bitIndex3)
    <=> v18940(VarCurr) ) )).

fof(addAssignment_7467,axiom,(
    ! [VarCurr] :
      ( v18917(VarCurr,bitIndex4)
    <=> v18936(VarCurr) ) )).

fof(addAssignment_7466,axiom,(
    ! [VarCurr] :
      ( v18917(VarCurr,bitIndex5)
    <=> v18919(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4564,axiom,(
    ! [VarCurr] :
      ( v18948(VarCurr)
    <=> ( v18949(VarCurr)
        & v18951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4563,axiom,(
    ! [VarCurr] :
      ( v18951(VarCurr)
    <=> ( v17659(VarCurr,bitIndex0)
        | v18930(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1332,axiom,(
    ! [VarCurr] :
      ( v18949(VarCurr)
    <=> ( v18950(VarCurr)
        | v17659(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2375,axiom,(
    ! [VarCurr] :
      ( ~ v18950(VarCurr)
    <=> v17659(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4562,axiom,(
    ! [VarCurr] :
      ( v18944(VarCurr)
    <=> ( v18945(VarCurr)
        & v18947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4561,axiom,(
    ! [VarCurr] :
      ( v18947(VarCurr)
    <=> ( v18928(VarCurr)
        | v18931(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1331,axiom,(
    ! [VarCurr] :
      ( v18945(VarCurr)
    <=> ( v18946(VarCurr)
        | v17659(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2374,axiom,(
    ! [VarCurr] :
      ( ~ v18946(VarCurr)
    <=> v18928(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4560,axiom,(
    ! [VarCurr] :
      ( v18940(VarCurr)
    <=> ( v18941(VarCurr)
        & v18943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4559,axiom,(
    ! [VarCurr] :
      ( v18943(VarCurr)
    <=> ( v18926(VarCurr)
        | v18932(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1330,axiom,(
    ! [VarCurr] :
      ( v18941(VarCurr)
    <=> ( v18942(VarCurr)
        | v17659(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2373,axiom,(
    ! [VarCurr] :
      ( ~ v18942(VarCurr)
    <=> v18926(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4558,axiom,(
    ! [VarCurr] :
      ( v18936(VarCurr)
    <=> ( v18937(VarCurr)
        & v18939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4557,axiom,(
    ! [VarCurr] :
      ( v18939(VarCurr)
    <=> ( v18924(VarCurr)
        | v18933(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1329,axiom,(
    ! [VarCurr] :
      ( v18937(VarCurr)
    <=> ( v18938(VarCurr)
        | v17659(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2372,axiom,(
    ! [VarCurr] :
      ( ~ v18938(VarCurr)
    <=> v18924(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4556,axiom,(
    ! [VarCurr] :
      ( v18919(VarCurr)
    <=> ( v18920(VarCurr)
        & v18934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4555,axiom,(
    ! [VarCurr] :
      ( v18934(VarCurr)
    <=> ( v18922(VarCurr)
        | v18935(VarCurr) ) ) )).

fof(writeUnaryOperator_2371,axiom,(
    ! [VarCurr] :
      ( ~ v18935(VarCurr)
    <=> v17659(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1328,axiom,(
    ! [VarCurr] :
      ( v18920(VarCurr)
    <=> ( v18921(VarCurr)
        | v17659(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2370,axiom,(
    ! [VarCurr] :
      ( ~ v18921(VarCurr)
    <=> v18922(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1327,axiom,(
    ! [VarCurr] :
      ( v18922(VarCurr)
    <=> ( v17659(VarCurr,bitIndex4)
        | v18923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4554,axiom,(
    ! [VarCurr] :
      ( v18923(VarCurr)
    <=> ( v18924(VarCurr)
        & v18933(VarCurr) ) ) )).

fof(writeUnaryOperator_2369,axiom,(
    ! [VarCurr] :
      ( ~ v18933(VarCurr)
    <=> v17659(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1326,axiom,(
    ! [VarCurr] :
      ( v18924(VarCurr)
    <=> ( v17659(VarCurr,bitIndex3)
        | v18925(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4553,axiom,(
    ! [VarCurr] :
      ( v18925(VarCurr)
    <=> ( v18926(VarCurr)
        & v18932(VarCurr) ) ) )).

fof(writeUnaryOperator_2368,axiom,(
    ! [VarCurr] :
      ( ~ v18932(VarCurr)
    <=> v17659(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1325,axiom,(
    ! [VarCurr] :
      ( v18926(VarCurr)
    <=> ( v17659(VarCurr,bitIndex2)
        | v18927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4552,axiom,(
    ! [VarCurr] :
      ( v18927(VarCurr)
    <=> ( v18928(VarCurr)
        & v18931(VarCurr) ) ) )).

fof(writeUnaryOperator_2367,axiom,(
    ! [VarCurr] :
      ( ~ v18931(VarCurr)
    <=> v17659(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1324,axiom,(
    ! [VarCurr] :
      ( v18928(VarCurr)
    <=> ( v17659(VarCurr,bitIndex1)
        | v18929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4551,axiom,(
    ! [VarCurr] :
      ( v18929(VarCurr)
    <=> ( v17659(VarCurr,bitIndex0)
        & v18930(VarCurr) ) ) )).

fof(writeUnaryOperator_2366,axiom,(
    ! [VarCurr] :
      ( ~ v18930(VarCurr)
    <=> v17659(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_348,axiom,(
    ! [VarCurr] :
      ( ~ v17661(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18881(VarCurr,B)
          <=> v18781(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_305,axiom,(
    ! [VarCurr] :
      ( v17661(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18881(VarCurr,B)
          <=> v18882(VarCurr,B) ) ) ) )).

fof(addAssignment_7465,axiom,(
    ! [VarCurr] :
      ( v18882(VarCurr,bitIndex0)
    <=> v18915(VarCurr) ) )).

fof(addAssignment_7464,axiom,(
    ! [VarCurr] :
      ( v18882(VarCurr,bitIndex1)
    <=> v18913(VarCurr) ) )).

fof(addAssignment_7463,axiom,(
    ! [VarCurr] :
      ( v18882(VarCurr,bitIndex2)
    <=> v18909(VarCurr) ) )).

fof(addAssignment_7462,axiom,(
    ! [VarCurr] :
      ( v18882(VarCurr,bitIndex3)
    <=> v18905(VarCurr) ) )).

fof(addAssignment_7461,axiom,(
    ! [VarCurr] :
      ( v18882(VarCurr,bitIndex4)
    <=> v18901(VarCurr) ) )).

fof(addAssignment_7460,axiom,(
    ! [VarCurr] :
      ( v18882(VarCurr,bitIndex5)
    <=> v18884(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4550,axiom,(
    ! [VarCurr] :
      ( v18913(VarCurr)
    <=> ( v18914(VarCurr)
        & v18916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4549,axiom,(
    ! [VarCurr] :
      ( v18916(VarCurr)
    <=> ( v18898(VarCurr)
        | v18781(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1323,axiom,(
    ! [VarCurr] :
      ( v18914(VarCurr)
    <=> ( v18781(VarCurr,bitIndex1)
        | v18915(VarCurr) ) ) )).

fof(writeUnaryOperator_2365,axiom,(
    ! [VarCurr] :
      ( ~ v18915(VarCurr)
    <=> v18781(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4548,axiom,(
    ! [VarCurr] :
      ( v18909(VarCurr)
    <=> ( v18910(VarCurr)
        & v18912(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4547,axiom,(
    ! [VarCurr] :
      ( v18912(VarCurr)
    <=> ( v18895(VarCurr)
        | v18896(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1322,axiom,(
    ! [VarCurr] :
      ( v18910(VarCurr)
    <=> ( v18781(VarCurr,bitIndex2)
        | v18911(VarCurr) ) ) )).

fof(writeUnaryOperator_2364,axiom,(
    ! [VarCurr] :
      ( ~ v18911(VarCurr)
    <=> v18896(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4546,axiom,(
    ! [VarCurr] :
      ( v18905(VarCurr)
    <=> ( v18906(VarCurr)
        & v18908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4545,axiom,(
    ! [VarCurr] :
      ( v18908(VarCurr)
    <=> ( v18892(VarCurr)
        | v18893(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1321,axiom,(
    ! [VarCurr] :
      ( v18906(VarCurr)
    <=> ( v18781(VarCurr,bitIndex3)
        | v18907(VarCurr) ) ) )).

fof(writeUnaryOperator_2363,axiom,(
    ! [VarCurr] :
      ( ~ v18907(VarCurr)
    <=> v18893(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4544,axiom,(
    ! [VarCurr] :
      ( v18901(VarCurr)
    <=> ( v18902(VarCurr)
        & v18904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4543,axiom,(
    ! [VarCurr] :
      ( v18904(VarCurr)
    <=> ( v18889(VarCurr)
        | v18890(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1320,axiom,(
    ! [VarCurr] :
      ( v18902(VarCurr)
    <=> ( v18781(VarCurr,bitIndex4)
        | v18903(VarCurr) ) ) )).

fof(writeUnaryOperator_2362,axiom,(
    ! [VarCurr] :
      ( ~ v18903(VarCurr)
    <=> v18890(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4542,axiom,(
    ! [VarCurr] :
      ( v18884(VarCurr)
    <=> ( v18885(VarCurr)
        & v18899(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4541,axiom,(
    ! [VarCurr] :
      ( v18899(VarCurr)
    <=> ( v18900(VarCurr)
        | v18887(VarCurr) ) ) )).

fof(writeUnaryOperator_2361,axiom,(
    ! [VarCurr] :
      ( ~ v18900(VarCurr)
    <=> v18781(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1319,axiom,(
    ! [VarCurr] :
      ( v18885(VarCurr)
    <=> ( v18781(VarCurr,bitIndex5)
        | v18886(VarCurr) ) ) )).

fof(writeUnaryOperator_2360,axiom,(
    ! [VarCurr] :
      ( ~ v18886(VarCurr)
    <=> v18887(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1318,axiom,(
    ! [VarCurr] :
      ( v18887(VarCurr)
    <=> ( v18781(VarCurr,bitIndex4)
        | v18888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4540,axiom,(
    ! [VarCurr] :
      ( v18888(VarCurr)
    <=> ( v18889(VarCurr)
        & v18890(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1317,axiom,(
    ! [VarCurr] :
      ( v18890(VarCurr)
    <=> ( v18781(VarCurr,bitIndex3)
        | v18891(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4539,axiom,(
    ! [VarCurr] :
      ( v18891(VarCurr)
    <=> ( v18892(VarCurr)
        & v18893(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1316,axiom,(
    ! [VarCurr] :
      ( v18893(VarCurr)
    <=> ( v18781(VarCurr,bitIndex2)
        | v18894(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4538,axiom,(
    ! [VarCurr] :
      ( v18894(VarCurr)
    <=> ( v18895(VarCurr)
        & v18896(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1315,axiom,(
    ! [VarCurr] :
      ( v18896(VarCurr)
    <=> ( v18781(VarCurr,bitIndex1)
        | v18897(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4537,axiom,(
    ! [VarCurr] :
      ( v18897(VarCurr)
    <=> ( v18898(VarCurr)
        & v18781(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2359,axiom,(
    ! [VarCurr] :
      ( ~ v18898(VarCurr)
    <=> v18781(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2358,axiom,(
    ! [VarCurr] :
      ( ~ v18895(VarCurr)
    <=> v18781(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2357,axiom,(
    ! [VarCurr] :
      ( ~ v18892(VarCurr)
    <=> v18781(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2356,axiom,(
    ! [VarCurr] :
      ( ~ v18889(VarCurr)
    <=> v18781(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4536,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18862(VarNext)
      <=> ( v18863(VarNext)
          & v18870(VarNext) ) ) ) )).

fof(addAssignment_7459,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18870(VarNext)
      <=> v18868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4535,axiom,(
    ! [VarCurr] :
      ( v18868(VarCurr)
    <=> ( v18871(VarCurr)
        | v18872(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4534,axiom,(
    ! [VarCurr] :
      ( v18872(VarCurr)
    <=> ( v18873(VarCurr)
        & v18876(VarCurr) ) ) )).

fof(writeUnaryOperator_2355,axiom,(
    ! [VarCurr] :
      ( ~ v18876(VarCurr)
    <=> v18871(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4533,axiom,(
    ! [VarCurr] :
      ( v18873(VarCurr)
    <=> ( v13224(VarCurr)
        | v18874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4532,axiom,(
    ! [VarCurr] :
      ( v18874(VarCurr)
    <=> ( v17661(VarCurr)
        & v18875(VarCurr) ) ) )).

fof(writeUnaryOperator_2354,axiom,(
    ! [VarCurr] :
      ( ~ v18875(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2353,axiom,(
    ! [VarCurr] :
      ( ~ v18871(VarCurr)
    <=> v13222(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4531,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18863(VarNext)
      <=> ( v18864(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2352,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18864(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addAssignment_7458,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex2)
    <=> v18261(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_347,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18271(VarCurr)
      <=> v18855(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_304,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18271(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_346,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18855(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_303,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18855(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7457,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex2)
    <=> v18246(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_345,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18256(VarCurr)
      <=> v18850(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_302,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18256(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_344,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18850(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_301,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18850(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7456,axiom,(
    ! [VarNext] :
      ( v17653(VarNext,bitIndex1)
    <=> v18841(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18842(VarNext)
       => ( ( v18841(VarNext,bitIndex6)
          <=> v17653(VarCurr,bitIndex7) )
          & ( v18841(VarNext,bitIndex5)
          <=> v17653(VarCurr,bitIndex6) )
          & ( v18841(VarNext,bitIndex4)
          <=> v17653(VarCurr,bitIndex5) )
          & ( v18841(VarNext,bitIndex3)
          <=> v17653(VarCurr,bitIndex4) )
          & ( v18841(VarNext,bitIndex2)
          <=> v17653(VarCurr,bitIndex3) )
          & ( v18841(VarNext,bitIndex1)
          <=> v17653(VarCurr,bitIndex2) )
          & ( v18841(VarNext,bitIndex0)
          <=> v17653(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_262,axiom,(
    ! [VarNext] :
      ( v18842(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18841(VarNext,B)
          <=> v18367(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4530,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18842(VarNext)
      <=> v18843(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4529,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18843(VarNext)
      <=> ( v18845(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2351,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18845(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_350,axiom,(
    ! [VarCurr] :
      ( ~ v18808(VarCurr)
     => ( v17655(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_393,axiom,(
    ! [VarCurr] :
      ( v18808(VarCurr)
     => ( v17655(VarCurr,bitIndex1)
      <=> v18839(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges4_6,axiom,(
    ! [VarCurr] :
      ( ( ~ v18812(VarCurr)
        & ~ v18813(VarCurr)
        & ~ v18817(VarCurr)
        & ~ v18823(VarCurr)
        & v18831(VarCurr) )
     => ( v18839(VarCurr)
      <=> v18290(VarCurr,bitIndex11) ) ) )).

fof(addCaseBooleanConditionShiftedRanges3_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v18812(VarCurr)
        & ~ v18813(VarCurr)
        & ~ v18817(VarCurr)
        & v18823(VarCurr) )
     => ( v18839(VarCurr)
      <=> v18275(VarCurr,bitIndex11) ) ) )).

fof(addCaseBooleanConditionShiftedRanges2_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18812(VarCurr)
        & ~ v18813(VarCurr)
        & v18817(VarCurr) )
     => ( v18839(VarCurr)
      <=> v18260(VarCurr,bitIndex11) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_231,axiom,(
    ! [VarCurr] :
      ( ( ~ v18812(VarCurr)
        & v18813(VarCurr) )
     => ( v18839(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_11,axiom,(
    ! [VarCurr] :
      ( v18812(VarCurr)
     => ( v18839(VarCurr)
      <=> v18245(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4528,axiom,(
    ! [VarCurr] :
      ( v18808(VarCurr)
    <=> ( v18809(VarCurr)
        | v18831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4527,axiom,(
    ! [VarCurr] :
      ( v18831(VarCurr)
    <=> ( v18832(VarCurr)
        & v18836(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4526,axiom,(
    ! [VarCurr] :
      ( v18836(VarCurr)
    <=> ( v18837(VarCurr)
        & v18838(VarCurr) ) ) )).

fof(writeUnaryOperator_2350,axiom,(
    ! [VarCurr] :
      ( ~ v18838(VarCurr)
    <=> v18830(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4525,axiom,(
    ! [VarCurr] :
      ( v18837(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2349,axiom,(
    ! [VarCurr] :
      ( ~ v18832(VarCurr)
    <=> v18833(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4524,axiom,(
    ! [VarCurr] :
      ( v18833(VarCurr)
    <=> ( v18834(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4523,axiom,(
    ! [VarCurr] :
      ( v18834(VarCurr)
    <=> ( v18835(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4522,axiom,(
    ! [VarCurr] :
      ( v18835(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4521,axiom,(
    ! [VarCurr] :
      ( v18809(VarCurr)
    <=> ( v18810(VarCurr)
        | v18823(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4520,axiom,(
    ! [VarCurr] :
      ( v18823(VarCurr)
    <=> ( v18824(VarCurr)
        & v18827(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4519,axiom,(
    ! [VarCurr] :
      ( v18827(VarCurr)
    <=> ( v18828(VarCurr)
        & v18829(VarCurr) ) ) )).

fof(writeUnaryOperator_2348,axiom,(
    ! [VarCurr] :
      ( ~ v18829(VarCurr)
    <=> v18830(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4518,axiom,(
    ! [VarCurr] :
      ( v18830(VarCurr)
    <=> ( v18329(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4517,axiom,(
    ! [VarCurr] :
      ( v18828(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2347,axiom,(
    ! [VarCurr] :
      ( ~ v18824(VarCurr)
    <=> v18825(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4516,axiom,(
    ! [VarCurr] :
      ( v18825(VarCurr)
    <=> ( v18826(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4515,axiom,(
    ! [VarCurr] :
      ( v18826(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4514,axiom,(
    ! [VarCurr] :
      ( v18810(VarCurr)
    <=> ( v18811(VarCurr)
        | v18817(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4513,axiom,(
    ! [VarCurr] :
      ( v18817(VarCurr)
    <=> ( v18818(VarCurr)
        & v18820(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4512,axiom,(
    ! [VarCurr] :
      ( v18820(VarCurr)
    <=> ( v18821(VarCurr)
        & v18822(VarCurr) ) ) )).

fof(writeUnaryOperator_2346,axiom,(
    ! [VarCurr] :
      ( ~ v18822(VarCurr)
    <=> v18329(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4511,axiom,(
    ! [VarCurr] :
      ( v18821(VarCurr)
    <=> ( v13224(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeUnaryOperator_2345,axiom,(
    ! [VarCurr] :
      ( ~ v18818(VarCurr)
    <=> v18819(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4510,axiom,(
    ! [VarCurr] :
      ( v18819(VarCurr)
    <=> ( v18309(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4509,axiom,(
    ! [VarCurr] :
      ( v18811(VarCurr)
    <=> ( v18812(VarCurr)
        | v18813(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4508,axiom,(
    ! [VarCurr] :
      ( v18813(VarCurr)
    <=> ( v18814(VarCurr)
        & v18815(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4507,axiom,(
    ! [VarCurr] :
      ( v18815(VarCurr)
    <=> ( v18816(VarCurr)
        & v18328(VarCurr) ) ) )).

fof(writeUnaryOperator_2344,axiom,(
    ! [VarCurr] :
      ( ~ v18816(VarCurr)
    <=> v17657(VarCurr) ) )).

fof(writeUnaryOperator_2343,axiom,(
    ! [VarCurr] :
      ( ~ v18814(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4506,axiom,(
    ! [VarCurr] :
      ( v18812(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7455,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex11)
    <=> v18291(VarCurr,bitIndex11) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_349,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18294(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_300,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18294(VarCurr,bitIndex1)
      <=> v18676(VarCurr,bitIndex1) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_348,axiom,(
    ! [VarCurr] :
      ( ~ v18805(VarCurr)
     => ( v18676(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_392,axiom,(
    ! [VarCurr] :
      ( v18805(VarCurr)
     => ( v18676(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeUnaryOperator_2342,axiom,(
    ! [VarCurr] :
      ( ~ v18805(VarCurr)
    <=> v18779(VarCurr) ) )).

fof(addAssignment_7454,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex11)
    <=> v18276(VarCurr,bitIndex11) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_347,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18279(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_299,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18279(VarCurr,bitIndex1)
      <=> v18669(VarCurr,bitIndex1) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_346,axiom,(
    ! [VarCurr] :
      ( ~ v18802(VarCurr)
     => ( v18669(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_391,axiom,(
    ! [VarCurr] :
      ( v18802(VarCurr)
     => ( v18669(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeUnaryOperator_2341,axiom,(
    ! [VarCurr] :
      ( ~ v18802(VarCurr)
    <=> v18779(VarCurr) ) )).

fof(addAssignment_7453,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex11)
    <=> v18261(VarCurr,bitIndex11) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_345,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18264(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_298,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18264(VarCurr,bitIndex1)
      <=> v18662(VarCurr,bitIndex1) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_344,axiom,(
    ! [VarCurr] :
      ( ~ v18799(VarCurr)
     => ( v18662(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_390,axiom,(
    ! [VarCurr] :
      ( v18799(VarCurr)
     => ( v18662(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeUnaryOperator_2340,axiom,(
    ! [VarCurr] :
      ( ~ v18799(VarCurr)
    <=> v18779(VarCurr) ) )).

fof(addAssignment_7452,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex11)
    <=> v18246(VarCurr,bitIndex11) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_343,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
     => ( v18249(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_297,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
     => ( v18249(VarCurr,bitIndex1)
      <=> v18655(VarCurr,bitIndex1) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_342,axiom,(
    ! [VarCurr] :
      ( ~ v18796(VarCurr)
     => ( v18655(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_389,axiom,(
    ! [VarCurr] :
      ( v18796(VarCurr)
     => ( v18655(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeUnaryOperator_2339,axiom,(
    ! [VarCurr] :
      ( ~ v18796(VarCurr)
    <=> v18779(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4505,axiom,(
    ! [VarCurr] :
      ( v18779(VarCurr)
    <=> ( v18789(VarCurr)
        & v18781(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2338,axiom,(
    ! [VarCurr] :
      ( ~ v18789(VarCurr)
    <=> v18790(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1314,axiom,(
    ! [VarCurr] :
      ( v18790(VarCurr)
    <=> ( v18792(VarCurr)
        | v18781(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1313,axiom,(
    ! [VarCurr] :
      ( v18792(VarCurr)
    <=> ( v18793(VarCurr)
        | v18781(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1312,axiom,(
    ! [VarCurr] :
      ( v18793(VarCurr)
    <=> ( v18794(VarCurr)
        | v18781(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1311,axiom,(
    ! [VarCurr] :
      ( v18794(VarCurr)
    <=> ( v18781(VarCurr,bitIndex1)
        | v18781(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_7451,axiom,(
    ! [VarCurr] :
      ( v18781(VarCurr,bitIndex0)
    <=> v18786(VarCurr,bitIndex0) ) )).

fof(addAssignment_7450,axiom,(
    ! [VarCurr,B] :
      ( range_5_1(B)
     => ( v18781(VarCurr,B)
      <=> v18786(VarCurr,B) ) ) )).

fof(range_axiom_77,axiom,(
    ! [B] :
      ( range_5_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_341,axiom,(
    ! [VarCurr] :
      ( ~ v18783(VarCurr)
     => ( ( v18786(VarCurr,bitIndex5)
        <=> v17691(VarCurr,bitIndex7) )
        & ( v18786(VarCurr,bitIndex4)
        <=> v17691(VarCurr,bitIndex6) )
        & ( v18786(VarCurr,bitIndex3)
        <=> v17691(VarCurr,bitIndex5) )
        & ( v18786(VarCurr,bitIndex2)
        <=> v17691(VarCurr,bitIndex4) )
        & ( v18786(VarCurr,bitIndex1)
        <=> v17691(VarCurr,bitIndex3) )
        & ( v18786(VarCurr,bitIndex0)
        <=> v17691(VarCurr,bitIndex2) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_296,axiom,(
    ! [VarCurr] :
      ( v18783(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18786(VarCurr,B)
          <=> v18787(VarCurr,B) ) ) ) )).

fof(addAssignment_7449,axiom,(
    ! [VarCurr] :
      ( v18787(VarCurr,bitIndex0)
    <=> v17806(VarCurr) ) )).

fof(addAssignment_7448,axiom,(
    ! [VarCurr] :
      ( v18787(VarCurr,bitIndex1)
    <=> v17804(VarCurr) ) )).

fof(addAssignment_7447,axiom,(
    ! [VarCurr] :
      ( v18787(VarCurr,bitIndex2)
    <=> v17799(VarCurr) ) )).

fof(addAssignment_7446,axiom,(
    ! [VarCurr] :
      ( v18787(VarCurr,bitIndex3)
    <=> v17794(VarCurr) ) )).

fof(addAssignment_7445,axiom,(
    ! [VarCurr] :
      ( v18787(VarCurr,bitIndex4)
    <=> v17789(VarCurr) ) )).

fof(addAssignment_7444,axiom,(
    ! [VarCurr] :
      ( v18787(VarCurr,bitIndex5)
    <=> v17780(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1310,axiom,(
    ! [VarCurr] :
      ( v18783(VarCurr)
    <=> ( v17691(VarCurr,bitIndex0)
        | v17691(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7443,axiom,(
    ! [VarNext] :
      ( v17653(VarNext,bitIndex3)
    <=> v18771(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionShiftedRanges1_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18772(VarNext)
       => ( ( v18771(VarNext,bitIndex6)
          <=> v17653(VarCurr,bitIndex7) )
          & ( v18771(VarNext,bitIndex5)
          <=> v17653(VarCurr,bitIndex6) )
          & ( v18771(VarNext,bitIndex4)
          <=> v17653(VarCurr,bitIndex5) )
          & ( v18771(VarNext,bitIndex3)
          <=> v17653(VarCurr,bitIndex4) )
          & ( v18771(VarNext,bitIndex2)
          <=> v17653(VarCurr,bitIndex3) )
          & ( v18771(VarNext,bitIndex1)
          <=> v17653(VarCurr,bitIndex2) )
          & ( v18771(VarNext,bitIndex0)
          <=> v17653(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_261,axiom,(
    ! [VarNext] :
      ( v18772(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18771(VarNext,B)
          <=> v18367(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4504,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18772(VarNext)
      <=> v18773(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4503,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18773(VarNext)
      <=> ( v18775(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2337,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18775(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_340,axiom,(
    ! [VarCurr] :
      ( ~ v18737(VarCurr)
     => ( v17655(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_388,axiom,(
    ! [VarCurr] :
      ( v18737(VarCurr)
     => ( v17655(VarCurr,bitIndex3)
      <=> v18769(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges4_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v18741(VarCurr)
        & ~ v18742(VarCurr)
        & ~ v18747(VarCurr)
        & ~ v18753(VarCurr)
        & v18761(VarCurr) )
     => ( v18769(VarCurr)
      <=> v18290(VarCurr,bitIndex13) ) ) )).

fof(addCaseBooleanConditionShiftedRanges3_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v18741(VarCurr)
        & ~ v18742(VarCurr)
        & ~ v18747(VarCurr)
        & v18753(VarCurr) )
     => ( v18769(VarCurr)
      <=> v18275(VarCurr,bitIndex13) ) ) )).

fof(addCaseBooleanConditionShiftedRanges2_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18741(VarCurr)
        & ~ v18742(VarCurr)
        & v18747(VarCurr) )
     => ( v18769(VarCurr)
      <=> v18260(VarCurr,bitIndex13) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_230,axiom,(
    ! [VarCurr] :
      ( ( ~ v18741(VarCurr)
        & v18742(VarCurr) )
     => ( v18769(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_10,axiom,(
    ! [VarCurr] :
      ( v18741(VarCurr)
     => ( v18769(VarCurr)
      <=> v18245(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4502,axiom,(
    ! [VarCurr] :
      ( v18737(VarCurr)
    <=> ( v18738(VarCurr)
        | v18761(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4501,axiom,(
    ! [VarCurr] :
      ( v18761(VarCurr)
    <=> ( v18762(VarCurr)
        & v18766(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4500,axiom,(
    ! [VarCurr] :
      ( v18766(VarCurr)
    <=> ( v18767(VarCurr)
        & v18768(VarCurr) ) ) )).

fof(writeUnaryOperator_2336,axiom,(
    ! [VarCurr] :
      ( ~ v18768(VarCurr)
    <=> v18760(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4499,axiom,(
    ! [VarCurr] :
      ( v18767(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2335,axiom,(
    ! [VarCurr] :
      ( ~ v18762(VarCurr)
    <=> v18763(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4498,axiom,(
    ! [VarCurr] :
      ( v18763(VarCurr)
    <=> ( v18764(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4497,axiom,(
    ! [VarCurr] :
      ( v18764(VarCurr)
    <=> ( v18765(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4496,axiom,(
    ! [VarCurr] :
      ( v18765(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4495,axiom,(
    ! [VarCurr] :
      ( v18738(VarCurr)
    <=> ( v18739(VarCurr)
        | v18753(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4494,axiom,(
    ! [VarCurr] :
      ( v18753(VarCurr)
    <=> ( v18754(VarCurr)
        & v18757(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4493,axiom,(
    ! [VarCurr] :
      ( v18757(VarCurr)
    <=> ( v18758(VarCurr)
        & v18759(VarCurr) ) ) )).

fof(writeUnaryOperator_2334,axiom,(
    ! [VarCurr] :
      ( ~ v18759(VarCurr)
    <=> v18760(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4492,axiom,(
    ! [VarCurr] :
      ( v18760(VarCurr)
    <=> ( v18328(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4491,axiom,(
    ! [VarCurr] :
      ( v18758(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2333,axiom,(
    ! [VarCurr] :
      ( ~ v18754(VarCurr)
    <=> v18755(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4490,axiom,(
    ! [VarCurr] :
      ( v18755(VarCurr)
    <=> ( v18756(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4489,axiom,(
    ! [VarCurr] :
      ( v18756(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4488,axiom,(
    ! [VarCurr] :
      ( v18739(VarCurr)
    <=> ( v18740(VarCurr)
        | v18747(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4487,axiom,(
    ! [VarCurr] :
      ( v18747(VarCurr)
    <=> ( v18748(VarCurr)
        & v18750(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4486,axiom,(
    ! [VarCurr] :
      ( v18750(VarCurr)
    <=> ( v18751(VarCurr)
        & v18752(VarCurr) ) ) )).

fof(writeUnaryOperator_2332,axiom,(
    ! [VarCurr] :
      ( ~ v18752(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4485,axiom,(
    ! [VarCurr] :
      ( v18751(VarCurr)
    <=> ( v13224(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeUnaryOperator_2331,axiom,(
    ! [VarCurr] :
      ( ~ v18748(VarCurr)
    <=> v18749(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4484,axiom,(
    ! [VarCurr] :
      ( v18749(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4483,axiom,(
    ! [VarCurr] :
      ( v18740(VarCurr)
    <=> ( v18741(VarCurr)
        | v18742(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4482,axiom,(
    ! [VarCurr] :
      ( v18742(VarCurr)
    <=> ( v18743(VarCurr)
        & v18744(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4481,axiom,(
    ! [VarCurr] :
      ( v18744(VarCurr)
    <=> ( v18745(VarCurr)
        & v18746(VarCurr) ) ) )).

fof(writeUnaryOperator_2330,axiom,(
    ! [VarCurr] :
      ( ~ v18746(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4480,axiom,(
    ! [VarCurr] :
      ( v18745(VarCurr)
    <=> ( v17663(VarCurr)
        & v18329(VarCurr) ) ) )).

fof(writeUnaryOperator_2329,axiom,(
    ! [VarCurr] :
      ( ~ v18743(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4479,axiom,(
    ! [VarCurr] :
      ( v18741(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7442,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex13)
    <=> v18291(VarCurr,bitIndex13) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_339,axiom,(
    ! [VarCurr] :
      ( ~ v18735(VarCurr)
     => ( v18294(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_295,axiom,(
    ! [VarCurr] :
      ( v18735(VarCurr)
     => ( v18294(VarCurr,bitIndex3)
      <=> v18676(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2328,axiom,(
    ! [VarCurr] :
      ( ~ v18735(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_338,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18676(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_387,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18676(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addAssignment_7441,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex13)
    <=> v18276(VarCurr,bitIndex13) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_337,axiom,(
    ! [VarCurr] :
      ( ~ v18732(VarCurr)
     => ( v18279(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_294,axiom,(
    ! [VarCurr] :
      ( v18732(VarCurr)
     => ( v18279(VarCurr,bitIndex3)
      <=> v18669(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2327,axiom,(
    ! [VarCurr] :
      ( ~ v18732(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_336,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18669(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_386,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18669(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addAssignment_7440,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex13)
    <=> v18261(VarCurr,bitIndex13) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_335,axiom,(
    ! [VarCurr] :
      ( ~ v18729(VarCurr)
     => ( v18264(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_293,axiom,(
    ! [VarCurr] :
      ( v18729(VarCurr)
     => ( v18264(VarCurr,bitIndex3)
      <=> v18662(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2326,axiom,(
    ! [VarCurr] :
      ( ~ v18729(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_334,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18662(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_385,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18662(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addAssignment_7439,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex13)
    <=> v18246(VarCurr,bitIndex13) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_333,axiom,(
    ! [VarCurr] :
      ( ~ v18726(VarCurr)
     => ( v18249(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_292,axiom,(
    ! [VarCurr] :
      ( v18726(VarCurr)
     => ( v18249(VarCurr,bitIndex3)
      <=> v18655(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2325,axiom,(
    ! [VarCurr] :
      ( ~ v18726(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_332,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18655(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_384,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18655(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addAssignment_7438,axiom,(
    ! [VarNext] :
      ( v17653(VarNext,bitIndex2)
    <=> v18717(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18718(VarNext)
       => ( ( v18717(VarNext,bitIndex6)
          <=> v17653(VarCurr,bitIndex7) )
          & ( v18717(VarNext,bitIndex5)
          <=> v17653(VarCurr,bitIndex6) )
          & ( v18717(VarNext,bitIndex4)
          <=> v17653(VarCurr,bitIndex5) )
          & ( v18717(VarNext,bitIndex3)
          <=> v17653(VarCurr,bitIndex4) )
          & ( v18717(VarNext,bitIndex2)
          <=> v17653(VarCurr,bitIndex3) )
          & ( v18717(VarNext,bitIndex1)
          <=> v17653(VarCurr,bitIndex2) )
          & ( v18717(VarNext,bitIndex0)
          <=> v17653(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_260,axiom,(
    ! [VarNext] :
      ( v18718(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18717(VarNext,B)
          <=> v18367(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4478,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18718(VarNext)
      <=> v18719(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4477,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18719(VarNext)
      <=> ( v18721(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2324,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18721(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_331,axiom,(
    ! [VarCurr] :
      ( ~ v18682(VarCurr)
     => ( v17655(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_383,axiom,(
    ! [VarCurr] :
      ( v18682(VarCurr)
     => ( v17655(VarCurr,bitIndex2)
      <=> v18715(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges4_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v18686(VarCurr)
        & ~ v18687(VarCurr)
        & ~ v18693(VarCurr)
        & ~ v18699(VarCurr)
        & v18707(VarCurr) )
     => ( v18715(VarCurr)
      <=> v18290(VarCurr,bitIndex12) ) ) )).

fof(addCaseBooleanConditionShiftedRanges3_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v18686(VarCurr)
        & ~ v18687(VarCurr)
        & ~ v18693(VarCurr)
        & v18699(VarCurr) )
     => ( v18715(VarCurr)
      <=> v18275(VarCurr,bitIndex12) ) ) )).

fof(addCaseBooleanConditionShiftedRanges2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18686(VarCurr)
        & ~ v18687(VarCurr)
        & v18693(VarCurr) )
     => ( v18715(VarCurr)
      <=> v18260(VarCurr,bitIndex12) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_229,axiom,(
    ! [VarCurr] :
      ( ( ~ v18686(VarCurr)
        & v18687(VarCurr) )
     => ( v18715(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_9,axiom,(
    ! [VarCurr] :
      ( v18686(VarCurr)
     => ( v18715(VarCurr)
      <=> v18245(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4476,axiom,(
    ! [VarCurr] :
      ( v18682(VarCurr)
    <=> ( v18683(VarCurr)
        | v18707(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4475,axiom,(
    ! [VarCurr] :
      ( v18707(VarCurr)
    <=> ( v18708(VarCurr)
        & v18712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4474,axiom,(
    ! [VarCurr] :
      ( v18712(VarCurr)
    <=> ( v18713(VarCurr)
        & v18714(VarCurr) ) ) )).

fof(writeUnaryOperator_2323,axiom,(
    ! [VarCurr] :
      ( ~ v18714(VarCurr)
    <=> v18706(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4473,axiom,(
    ! [VarCurr] :
      ( v18713(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2322,axiom,(
    ! [VarCurr] :
      ( ~ v18708(VarCurr)
    <=> v18709(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4472,axiom,(
    ! [VarCurr] :
      ( v18709(VarCurr)
    <=> ( v18710(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4471,axiom,(
    ! [VarCurr] :
      ( v18710(VarCurr)
    <=> ( v18711(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4470,axiom,(
    ! [VarCurr] :
      ( v18711(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4469,axiom,(
    ! [VarCurr] :
      ( v18683(VarCurr)
    <=> ( v18684(VarCurr)
        | v18699(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4468,axiom,(
    ! [VarCurr] :
      ( v18699(VarCurr)
    <=> ( v18700(VarCurr)
        & v18703(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4467,axiom,(
    ! [VarCurr] :
      ( v18703(VarCurr)
    <=> ( v18704(VarCurr)
        & v18705(VarCurr) ) ) )).

fof(writeUnaryOperator_2321,axiom,(
    ! [VarCurr] :
      ( ~ v18705(VarCurr)
    <=> v18706(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4466,axiom,(
    ! [VarCurr] :
      ( v18706(VarCurr)
    <=> ( v18328(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4465,axiom,(
    ! [VarCurr] :
      ( v18704(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2320,axiom,(
    ! [VarCurr] :
      ( ~ v18700(VarCurr)
    <=> v18701(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4464,axiom,(
    ! [VarCurr] :
      ( v18701(VarCurr)
    <=> ( v18702(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4463,axiom,(
    ! [VarCurr] :
      ( v18702(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4462,axiom,(
    ! [VarCurr] :
      ( v18684(VarCurr)
    <=> ( v18685(VarCurr)
        | v18693(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4461,axiom,(
    ! [VarCurr] :
      ( v18693(VarCurr)
    <=> ( v18694(VarCurr)
        & v18696(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4460,axiom,(
    ! [VarCurr] :
      ( v18696(VarCurr)
    <=> ( v18697(VarCurr)
        & v18698(VarCurr) ) ) )).

fof(writeUnaryOperator_2319,axiom,(
    ! [VarCurr] :
      ( ~ v18698(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4459,axiom,(
    ! [VarCurr] :
      ( v18697(VarCurr)
    <=> ( v13224(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeUnaryOperator_2318,axiom,(
    ! [VarCurr] :
      ( ~ v18694(VarCurr)
    <=> v18695(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4458,axiom,(
    ! [VarCurr] :
      ( v18695(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4457,axiom,(
    ! [VarCurr] :
      ( v18685(VarCurr)
    <=> ( v18686(VarCurr)
        | v18687(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4456,axiom,(
    ! [VarCurr] :
      ( v18687(VarCurr)
    <=> ( v18688(VarCurr)
        & v18689(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4455,axiom,(
    ! [VarCurr] :
      ( v18689(VarCurr)
    <=> ( v18690(VarCurr)
        & v18692(VarCurr) ) ) )).

fof(writeUnaryOperator_2317,axiom,(
    ! [VarCurr] :
      ( ~ v18692(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4454,axiom,(
    ! [VarCurr] :
      ( v18690(VarCurr)
    <=> ( v18691(VarCurr)
        & v18329(VarCurr) ) ) )).

fof(writeUnaryOperator_2316,axiom,(
    ! [VarCurr] :
      ( ~ v18691(VarCurr)
    <=> v17663(VarCurr) ) )).

fof(writeUnaryOperator_2315,axiom,(
    ! [VarCurr] :
      ( ~ v18688(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4453,axiom,(
    ! [VarCurr] :
      ( v18686(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7437,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex12)
    <=> v18291(VarCurr,bitIndex12) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_330,axiom,(
    ! [VarCurr] :
      ( ~ v18680(VarCurr)
     => ( v18294(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_291,axiom,(
    ! [VarCurr] :
      ( v18680(VarCurr)
     => ( v18294(VarCurr,bitIndex2)
      <=> v18676(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2314,axiom,(
    ! [VarCurr] :
      ( ~ v18680(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_329,axiom,(
    ! [VarCurr] :
      ( ~ v18678(VarCurr)
     => ( v18676(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_382,axiom,(
    ! [VarCurr] :
      ( v18678(VarCurr)
     => ( v18676(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeUnaryOperator_2313,axiom,(
    ! [VarCurr] :
      ( ~ v18678(VarCurr)
    <=> v17663(VarCurr) ) )).

fof(addAssignment_7436,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex12)
    <=> v18276(VarCurr,bitIndex12) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_328,axiom,(
    ! [VarCurr] :
      ( ~ v18673(VarCurr)
     => ( v18279(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_290,axiom,(
    ! [VarCurr] :
      ( v18673(VarCurr)
     => ( v18279(VarCurr,bitIndex2)
      <=> v18669(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2312,axiom,(
    ! [VarCurr] :
      ( ~ v18673(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_327,axiom,(
    ! [VarCurr] :
      ( ~ v18671(VarCurr)
     => ( v18669(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_381,axiom,(
    ! [VarCurr] :
      ( v18671(VarCurr)
     => ( v18669(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeUnaryOperator_2311,axiom,(
    ! [VarCurr] :
      ( ~ v18671(VarCurr)
    <=> v17663(VarCurr) ) )).

fof(addAssignment_7435,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex12)
    <=> v18261(VarCurr,bitIndex12) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_326,axiom,(
    ! [VarCurr] :
      ( ~ v18666(VarCurr)
     => ( v18264(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_289,axiom,(
    ! [VarCurr] :
      ( v18666(VarCurr)
     => ( v18264(VarCurr,bitIndex2)
      <=> v18662(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2310,axiom,(
    ! [VarCurr] :
      ( ~ v18666(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_325,axiom,(
    ! [VarCurr] :
      ( ~ v18664(VarCurr)
     => ( v18662(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_380,axiom,(
    ! [VarCurr] :
      ( v18664(VarCurr)
     => ( v18662(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeUnaryOperator_2309,axiom,(
    ! [VarCurr] :
      ( ~ v18664(VarCurr)
    <=> v17663(VarCurr) ) )).

fof(addAssignment_7434,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex12)
    <=> v18246(VarCurr,bitIndex12) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_324,axiom,(
    ! [VarCurr] :
      ( ~ v18659(VarCurr)
     => ( v18249(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_288,axiom,(
    ! [VarCurr] :
      ( v18659(VarCurr)
     => ( v18249(VarCurr,bitIndex2)
      <=> v18655(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2308,axiom,(
    ! [VarCurr] :
      ( ~ v18659(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_323,axiom,(
    ! [VarCurr] :
      ( ~ v18657(VarCurr)
     => ( v18655(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_379,axiom,(
    ! [VarCurr] :
      ( v18657(VarCurr)
     => ( v18655(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeUnaryOperator_2307,axiom,(
    ! [VarCurr] :
      ( ~ v18657(VarCurr)
    <=> v17663(VarCurr) ) )).

fof(addAssignment_7433,axiom,(
    ! [VarNext] :
      ( v17653(VarNext,bitIndex5)
    <=> v18646(VarNext,bitIndex4) ) )).

fof(addCaseBooleanConditionShiftedRanges1_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18647(VarNext)
       => ( ( v18646(VarNext,bitIndex6)
          <=> v17653(VarCurr,bitIndex7) )
          & ( v18646(VarNext,bitIndex5)
          <=> v17653(VarCurr,bitIndex6) )
          & ( v18646(VarNext,bitIndex4)
          <=> v17653(VarCurr,bitIndex5) )
          & ( v18646(VarNext,bitIndex3)
          <=> v17653(VarCurr,bitIndex4) )
          & ( v18646(VarNext,bitIndex2)
          <=> v17653(VarCurr,bitIndex3) )
          & ( v18646(VarNext,bitIndex1)
          <=> v17653(VarCurr,bitIndex2) )
          & ( v18646(VarNext,bitIndex0)
          <=> v17653(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_259,axiom,(
    ! [VarNext] :
      ( v18647(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18646(VarNext,B)
          <=> v18367(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4452,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18647(VarNext)
      <=> v18648(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4451,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18648(VarNext)
      <=> ( v18650(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2306,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18650(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_322,axiom,(
    ! [VarCurr] :
      ( ~ v18591(VarCurr)
     => ( v17655(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_378,axiom,(
    ! [VarCurr] :
      ( v18591(VarCurr)
     => ( v17655(VarCurr,bitIndex5)
      <=> v18643(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges5_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18596(VarCurr)
        & ~ v18597(VarCurr)
        & ~ v18609(VarCurr)
        & ~ v18617(VarCurr)
        & ~ v18624(VarCurr)
        & v18632(VarCurr) )
     => ( v18643(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges4_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v18596(VarCurr)
        & ~ v18597(VarCurr)
        & ~ v18609(VarCurr)
        & ~ v18617(VarCurr)
        & v18624(VarCurr) )
     => ( v18643(VarCurr)
      <=> v18290(VarCurr,bitIndex15) ) ) )).

fof(addCaseBooleanConditionShiftedRanges3_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18596(VarCurr)
        & ~ v18597(VarCurr)
        & ~ v18609(VarCurr)
        & v18617(VarCurr) )
     => ( v18643(VarCurr)
      <=> v18275(VarCurr,bitIndex15) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_6,axiom,(
    ! [VarCurr] :
      ( ( ~ v18596(VarCurr)
        & ~ v18597(VarCurr)
        & v18609(VarCurr) )
     => ( v18643(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges1_228,axiom,(
    ! [VarCurr] :
      ( ( ~ v18596(VarCurr)
        & v18597(VarCurr) )
     => ( v18643(VarCurr)
      <=> v18644(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_8,axiom,(
    ! [VarCurr] :
      ( v18596(VarCurr)
     => ( v18643(VarCurr)
      <=> v18245(VarCurr,bitIndex15) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_408,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v18644(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_12,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v18644(VarCurr)
      <=> v18260(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4450,axiom,(
    ! [VarCurr] :
      ( v18591(VarCurr)
    <=> ( v18592(VarCurr)
        | v18632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4449,axiom,(
    ! [VarCurr] :
      ( v18632(VarCurr)
    <=> ( v18633(VarCurr)
        & v18638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4448,axiom,(
    ! [VarCurr] :
      ( v18638(VarCurr)
    <=> ( v18639(VarCurr)
        & v18642(VarCurr) ) ) )).

fof(writeUnaryOperator_2305,axiom,(
    ! [VarCurr] :
      ( ~ v18642(VarCurr)
    <=> v18608(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4447,axiom,(
    ! [VarCurr] :
      ( v18639(VarCurr)
    <=> ( v18640(VarCurr)
        & v18417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4446,axiom,(
    ! [VarCurr] :
      ( v18640(VarCurr)
    <=> ( v17677(VarCurr)
        & v18641(VarCurr) ) ) )).

fof(writeUnaryOperator_2304,axiom,(
    ! [VarCurr] :
      ( ~ v18641(VarCurr)
    <=> v18239(VarCurr) ) )).

fof(writeUnaryOperator_2303,axiom,(
    ! [VarCurr] :
      ( ~ v18633(VarCurr)
    <=> v18634(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4445,axiom,(
    ! [VarCurr] :
      ( v18634(VarCurr)
    <=> ( v18635(VarCurr)
        | v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4444,axiom,(
    ! [VarCurr] :
      ( v18635(VarCurr)
    <=> ( v18636(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4443,axiom,(
    ! [VarCurr] :
      ( v18636(VarCurr)
    <=> ( v18637(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4442,axiom,(
    ! [VarCurr] :
      ( v18637(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4441,axiom,(
    ! [VarCurr] :
      ( v18592(VarCurr)
    <=> ( v18593(VarCurr)
        | v18624(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4440,axiom,(
    ! [VarCurr] :
      ( v18624(VarCurr)
    <=> ( v18625(VarCurr)
        & v18629(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4439,axiom,(
    ! [VarCurr] :
      ( v18629(VarCurr)
    <=> ( v18630(VarCurr)
        & v18631(VarCurr) ) ) )).

fof(writeUnaryOperator_2302,axiom,(
    ! [VarCurr] :
      ( ~ v18631(VarCurr)
    <=> v18608(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4438,axiom,(
    ! [VarCurr] :
      ( v18630(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2301,axiom,(
    ! [VarCurr] :
      ( ~ v18625(VarCurr)
    <=> v18626(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4437,axiom,(
    ! [VarCurr] :
      ( v18626(VarCurr)
    <=> ( v18627(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4436,axiom,(
    ! [VarCurr] :
      ( v18627(VarCurr)
    <=> ( v18628(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4435,axiom,(
    ! [VarCurr] :
      ( v18628(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4434,axiom,(
    ! [VarCurr] :
      ( v18593(VarCurr)
    <=> ( v18594(VarCurr)
        | v18617(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4433,axiom,(
    ! [VarCurr] :
      ( v18617(VarCurr)
    <=> ( v18618(VarCurr)
        & v18621(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4432,axiom,(
    ! [VarCurr] :
      ( v18621(VarCurr)
    <=> ( v18622(VarCurr)
        & v18623(VarCurr) ) ) )).

fof(writeUnaryOperator_2300,axiom,(
    ! [VarCurr] :
      ( ~ v18623(VarCurr)
    <=> v18608(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4431,axiom,(
    ! [VarCurr] :
      ( v18622(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2299,axiom,(
    ! [VarCurr] :
      ( ~ v18618(VarCurr)
    <=> v18619(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4430,axiom,(
    ! [VarCurr] :
      ( v18619(VarCurr)
    <=> ( v18620(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4429,axiom,(
    ! [VarCurr] :
      ( v18620(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4428,axiom,(
    ! [VarCurr] :
      ( v18594(VarCurr)
    <=> ( v18595(VarCurr)
        | v18609(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4427,axiom,(
    ! [VarCurr] :
      ( v18609(VarCurr)
    <=> ( v18610(VarCurr)
        & v18612(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4426,axiom,(
    ! [VarCurr] :
      ( v18612(VarCurr)
    <=> ( v18613(VarCurr)
        & v18616(VarCurr) ) ) )).

fof(writeUnaryOperator_2298,axiom,(
    ! [VarCurr] :
      ( ~ v18616(VarCurr)
    <=> v18608(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4425,axiom,(
    ! [VarCurr] :
      ( v18613(VarCurr)
    <=> ( v18614(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4424,axiom,(
    ! [VarCurr] :
      ( v18614(VarCurr)
    <=> ( v17677(VarCurr)
        & v18615(VarCurr) ) ) )).

fof(writeUnaryOperator_2297,axiom,(
    ! [VarCurr] :
      ( ~ v18615(VarCurr)
    <=> v18392(VarCurr) ) )).

fof(writeUnaryOperator_2296,axiom,(
    ! [VarCurr] :
      ( ~ v18610(VarCurr)
    <=> v18611(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4423,axiom,(
    ! [VarCurr] :
      ( v18611(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4422,axiom,(
    ! [VarCurr] :
      ( v18595(VarCurr)
    <=> ( v18596(VarCurr)
        | v18597(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4421,axiom,(
    ! [VarCurr] :
      ( v18597(VarCurr)
    <=> ( v18598(VarCurr)
        & v18599(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4420,axiom,(
    ! [VarCurr] :
      ( v18599(VarCurr)
    <=> ( v18600(VarCurr)
        & v18607(VarCurr) ) ) )).

fof(writeUnaryOperator_2295,axiom,(
    ! [VarCurr] :
      ( ~ v18607(VarCurr)
    <=> v18608(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4419,axiom,(
    ! [VarCurr] :
      ( v18608(VarCurr)
    <=> ( v18328(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4418,axiom,(
    ! [VarCurr] :
      ( v18600(VarCurr)
    <=> ( v18601(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4417,axiom,(
    ! [VarCurr] :
      ( v18601(VarCurr)
    <=> ( v13224(VarCurr)
        | v18602(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4416,axiom,(
    ! [VarCurr] :
      ( v18602(VarCurr)
    <=> ( v18603(VarCurr)
        & v18606(VarCurr) ) ) )).

fof(writeUnaryOperator_2294,axiom,(
    ! [VarCurr] :
      ( ~ v18606(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4415,axiom,(
    ! [VarCurr] :
      ( v18603(VarCurr)
    <=> ( v18604(VarCurr)
        & v18605(VarCurr) ) ) )).

fof(writeUnaryOperator_2293,axiom,(
    ! [VarCurr] :
      ( ~ v18605(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4414,axiom,(
    ! [VarCurr] :
      ( v18604(VarCurr)
    <=> ( v17677(VarCurr)
        & v17683(VarCurr) ) ) )).

fof(writeUnaryOperator_2292,axiom,(
    ! [VarCurr] :
      ( ~ v18598(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4413,axiom,(
    ! [VarCurr] :
      ( v18596(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7432,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex15)
    <=> v18291(VarCurr,bitIndex15) ) )).

fof(addAssignment_7431,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex15)
    <=> v18276(VarCurr,bitIndex15) ) )).

fof(addAssignment_7430,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex15)
    <=> v18261(VarCurr,bitIndex15) ) )).

fof(addAssignment_7429,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex15)
    <=> v18246(VarCurr,bitIndex15) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4412,axiom,(
    ! [VarCurr] :
      ( v17677(VarCurr)
    <=> ( v18584(VarCurr)
        & v17679(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2291,axiom,(
    ! [VarCurr] :
      ( ~ v18584(VarCurr)
    <=> v18585(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1309,axiom,(
    ! [VarCurr] :
      ( v18585(VarCurr)
    <=> ( v18587(VarCurr)
        | v17679(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1308,axiom,(
    ! [VarCurr] :
      ( v18587(VarCurr)
    <=> ( v18588(VarCurr)
        | v17679(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1307,axiom,(
    ! [VarCurr] :
      ( v18588(VarCurr)
    <=> ( v18589(VarCurr)
        | v17679(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1306,axiom,(
    ! [VarCurr] :
      ( v18589(VarCurr)
    <=> ( v17679(VarCurr,bitIndex1)
        | v17679(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_7428,axiom,(
    ! [VarCurr] :
      ( v17685(VarCurr,bitIndex5)
    <=> v17809(VarCurr,bitIndex5) ) )).

fof(addAssignment_7427,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex7)
    <=> v17777(VarCurr,bitIndex5) ) )).

fof(addAssignment_7426,axiom,(
    ! [VarCurr] :
      ( v17685(VarCurr,bitIndex4)
    <=> v17809(VarCurr,bitIndex4) ) )).

fof(addAssignment_7425,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex6)
    <=> v17777(VarCurr,bitIndex4) ) )).

fof(addAssignment_7424,axiom,(
    ! [VarCurr] :
      ( v17685(VarCurr,bitIndex3)
    <=> v17809(VarCurr,bitIndex3) ) )).

fof(addAssignment_7423,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex5)
    <=> v17777(VarCurr,bitIndex3) ) )).

fof(addAssignment_7422,axiom,(
    ! [VarCurr] :
      ( v17685(VarCurr,bitIndex2)
    <=> v17809(VarCurr,bitIndex2) ) )).

fof(addAssignment_7421,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex4)
    <=> v17777(VarCurr,bitIndex2) ) )).

fof(addAssignment_7420,axiom,(
    ! [VarCurr] :
      ( v17685(VarCurr,bitIndex1)
    <=> v17809(VarCurr,bitIndex1) ) )).

fof(addAssignment_7419,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex3)
    <=> v17777(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_343,axiom,(
    ! [VarCurr] :
      ( ~ v18522(VarCurr)
     => ( v17681(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_287,axiom,(
    ! [VarCurr] :
      ( v18522(VarCurr)
     => ( v17681(VarCurr)
      <=> v18581(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges6,axiom,(
    ! [VarCurr] :
      ( ( ~ v18528(VarCurr)
        & ~ v18529(VarCurr)
        & ~ v18534(VarCurr)
        & ~ v18545(VarCurr)
        & ~ v18553(VarCurr)
        & ~ v18561(VarCurr)
        & v18570(VarCurr) )
     => ( v18581(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges5,axiom,(
    ! [VarCurr] :
      ( ( ~ v18528(VarCurr)
        & ~ v18529(VarCurr)
        & ~ v18534(VarCurr)
        & ~ v18545(VarCurr)
        & ~ v18553(VarCurr)
        & v18561(VarCurr) )
     => ( v18581(VarCurr)
      <=> v18290(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionShiftedRanges4_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18528(VarCurr)
        & ~ v18529(VarCurr)
        & ~ v18534(VarCurr)
        & ~ v18545(VarCurr)
        & v18553(VarCurr) )
     => ( v18581(VarCurr)
      <=> v18275(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges3_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18528(VarCurr)
        & ~ v18529(VarCurr)
        & ~ v18534(VarCurr)
        & v18545(VarCurr) )
     => ( v18581(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges2_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v18528(VarCurr)
        & ~ v18529(VarCurr)
        & v18534(VarCurr) )
     => ( v18581(VarCurr)
      <=> v18582(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_227,axiom,(
    ! [VarCurr] :
      ( ( ~ v18528(VarCurr)
        & v18529(VarCurr) )
     => ( v18581(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_7,axiom,(
    ! [VarCurr] :
      ( v18528(VarCurr)
     => ( v18581(VarCurr)
      <=> v18245(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_407,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v18582(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_11,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v18582(VarCurr)
      <=> v18260(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4411,axiom,(
    ! [VarCurr] :
      ( v18522(VarCurr)
    <=> ( v18523(VarCurr)
        | v18570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4410,axiom,(
    ! [VarCurr] :
      ( v18570(VarCurr)
    <=> ( v18571(VarCurr)
        & v18577(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4409,axiom,(
    ! [VarCurr] :
      ( v18577(VarCurr)
    <=> ( v18578(VarCurr)
        & v18580(VarCurr) ) ) )).

fof(writeUnaryOperator_2290,axiom,(
    ! [VarCurr] :
      ( ~ v18580(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4408,axiom,(
    ! [VarCurr] :
      ( v18578(VarCurr)
    <=> ( v18579(VarCurr)
        & v18417(VarCurr) ) ) )).

fof(writeUnaryOperator_2289,axiom,(
    ! [VarCurr] :
      ( ~ v18579(VarCurr)
    <=> v18239(VarCurr) ) )).

fof(writeUnaryOperator_2288,axiom,(
    ! [VarCurr] :
      ( ~ v18571(VarCurr)
    <=> v18572(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4407,axiom,(
    ! [VarCurr] :
      ( v18572(VarCurr)
    <=> ( v18573(VarCurr)
        | v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4406,axiom,(
    ! [VarCurr] :
      ( v18573(VarCurr)
    <=> ( v18574(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4405,axiom,(
    ! [VarCurr] :
      ( v18574(VarCurr)
    <=> ( v18575(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4404,axiom,(
    ! [VarCurr] :
      ( v18575(VarCurr)
    <=> ( v18576(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4403,axiom,(
    ! [VarCurr] :
      ( v18576(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4402,axiom,(
    ! [VarCurr] :
      ( v18523(VarCurr)
    <=> ( v18524(VarCurr)
        | v18561(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4401,axiom,(
    ! [VarCurr] :
      ( v18561(VarCurr)
    <=> ( v18562(VarCurr)
        & v18567(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4400,axiom,(
    ! [VarCurr] :
      ( v18567(VarCurr)
    <=> ( v18568(VarCurr)
        & v18569(VarCurr) ) ) )).

fof(writeUnaryOperator_2287,axiom,(
    ! [VarCurr] :
      ( ~ v18569(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4399,axiom,(
    ! [VarCurr] :
      ( v18568(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2286,axiom,(
    ! [VarCurr] :
      ( ~ v18562(VarCurr)
    <=> v18563(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4398,axiom,(
    ! [VarCurr] :
      ( v18563(VarCurr)
    <=> ( v18564(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4397,axiom,(
    ! [VarCurr] :
      ( v18564(VarCurr)
    <=> ( v18565(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4396,axiom,(
    ! [VarCurr] :
      ( v18565(VarCurr)
    <=> ( v18566(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4395,axiom,(
    ! [VarCurr] :
      ( v18566(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4394,axiom,(
    ! [VarCurr] :
      ( v18524(VarCurr)
    <=> ( v18525(VarCurr)
        | v18553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4393,axiom,(
    ! [VarCurr] :
      ( v18553(VarCurr)
    <=> ( v18554(VarCurr)
        & v18558(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4392,axiom,(
    ! [VarCurr] :
      ( v18558(VarCurr)
    <=> ( v18559(VarCurr)
        & v18560(VarCurr) ) ) )).

fof(writeUnaryOperator_2285,axiom,(
    ! [VarCurr] :
      ( ~ v18560(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4391,axiom,(
    ! [VarCurr] :
      ( v18559(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2284,axiom,(
    ! [VarCurr] :
      ( ~ v18554(VarCurr)
    <=> v18555(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4390,axiom,(
    ! [VarCurr] :
      ( v18555(VarCurr)
    <=> ( v18556(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4389,axiom,(
    ! [VarCurr] :
      ( v18556(VarCurr)
    <=> ( v18557(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4388,axiom,(
    ! [VarCurr] :
      ( v18557(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4387,axiom,(
    ! [VarCurr] :
      ( v18525(VarCurr)
    <=> ( v18526(VarCurr)
        | v18545(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4386,axiom,(
    ! [VarCurr] :
      ( v18545(VarCurr)
    <=> ( v18546(VarCurr)
        & v18549(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4385,axiom,(
    ! [VarCurr] :
      ( v18549(VarCurr)
    <=> ( v18550(VarCurr)
        & v18552(VarCurr) ) ) )).

fof(writeUnaryOperator_2283,axiom,(
    ! [VarCurr] :
      ( ~ v18552(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4384,axiom,(
    ! [VarCurr] :
      ( v18550(VarCurr)
    <=> ( v18551(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeUnaryOperator_2282,axiom,(
    ! [VarCurr] :
      ( ~ v18551(VarCurr)
    <=> v18392(VarCurr) ) )).

fof(writeUnaryOperator_2281,axiom,(
    ! [VarCurr] :
      ( ~ v18546(VarCurr)
    <=> v18547(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4383,axiom,(
    ! [VarCurr] :
      ( v18547(VarCurr)
    <=> ( v18548(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4382,axiom,(
    ! [VarCurr] :
      ( v18548(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4381,axiom,(
    ! [VarCurr] :
      ( v18526(VarCurr)
    <=> ( v18527(VarCurr)
        | v18534(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4380,axiom,(
    ! [VarCurr] :
      ( v18534(VarCurr)
    <=> ( v18535(VarCurr)
        & v18537(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4379,axiom,(
    ! [VarCurr] :
      ( v18537(VarCurr)
    <=> ( v18538(VarCurr)
        & v18544(VarCurr) ) ) )).

fof(writeUnaryOperator_2280,axiom,(
    ! [VarCurr] :
      ( ~ v18544(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4378,axiom,(
    ! [VarCurr] :
      ( v18538(VarCurr)
    <=> ( v18539(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4377,axiom,(
    ! [VarCurr] :
      ( v18539(VarCurr)
    <=> ( v13224(VarCurr)
        | v18540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4376,axiom,(
    ! [VarCurr] :
      ( v18540(VarCurr)
    <=> ( v18541(VarCurr)
        & v18543(VarCurr) ) ) )).

fof(writeUnaryOperator_2279,axiom,(
    ! [VarCurr] :
      ( ~ v18543(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4375,axiom,(
    ! [VarCurr] :
      ( v18541(VarCurr)
    <=> ( v17683(VarCurr)
        & v18542(VarCurr) ) ) )).

fof(writeUnaryOperator_2278,axiom,(
    ! [VarCurr] :
      ( ~ v18542(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeUnaryOperator_2277,axiom,(
    ! [VarCurr] :
      ( ~ v18535(VarCurr)
    <=> v18536(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4374,axiom,(
    ! [VarCurr] :
      ( v18536(VarCurr)
    <=> ( v18309(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4373,axiom,(
    ! [VarCurr] :
      ( v18527(VarCurr)
    <=> ( v18528(VarCurr)
        | v18529(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4372,axiom,(
    ! [VarCurr] :
      ( v18529(VarCurr)
    <=> ( v18530(VarCurr)
        & v18531(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4371,axiom,(
    ! [VarCurr] :
      ( v18531(VarCurr)
    <=> ( v18532(VarCurr)
        & v18533(VarCurr) ) ) )).

fof(writeUnaryOperator_2276,axiom,(
    ! [VarCurr] :
      ( ~ v18533(VarCurr)
    <=> v18328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4370,axiom,(
    ! [VarCurr] :
      ( v18532(VarCurr)
    <=> ( v17663(VarCurr)
        & v18329(VarCurr) ) ) )).

fof(writeUnaryOperator_2275,axiom,(
    ! [VarCurr] :
      ( ~ v18530(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4369,axiom,(
    ! [VarCurr] :
      ( v18528(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7418,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex1)
    <=> v18291(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_342,axiom,(
    ! [VarCurr] :
      ( ~ v18520(VarCurr)
     => ( v18302(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_286,axiom,(
    ! [VarCurr] :
      ( v18520(VarCurr)
     => ( v18302(VarCurr)
      <=> v18517(VarCurr) ) ) )).

fof(writeUnaryOperator_2274,axiom,(
    ! [VarCurr] :
      ( ~ v18520(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_341,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18517(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_285,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18517(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7417,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex1)
    <=> v18276(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_340,axiom,(
    ! [VarCurr] :
      ( ~ v18514(VarCurr)
     => ( v18287(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_284,axiom,(
    ! [VarCurr] :
      ( v18514(VarCurr)
     => ( v18287(VarCurr)
      <=> v18511(VarCurr) ) ) )).

fof(writeUnaryOperator_2273,axiom,(
    ! [VarCurr] :
      ( ~ v18514(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_339,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18511(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_283,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18511(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7416,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex1)
    <=> v18261(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_338,axiom,(
    ! [VarCurr] :
      ( ~ v18508(VarCurr)
     => ( v18272(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_282,axiom,(
    ! [VarCurr] :
      ( v18508(VarCurr)
     => ( v18272(VarCurr)
      <=> v18505(VarCurr) ) ) )).

fof(writeUnaryOperator_2272,axiom,(
    ! [VarCurr] :
      ( ~ v18508(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_337,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18505(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_281,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18505(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7415,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex1)
    <=> v18246(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_336,axiom,(
    ! [VarCurr] :
      ( ~ v18502(VarCurr)
     => ( v18257(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_280,axiom,(
    ! [VarCurr] :
      ( v18502(VarCurr)
     => ( v18257(VarCurr)
      <=> v18499(VarCurr) ) ) )).

fof(writeUnaryOperator_2271,axiom,(
    ! [VarCurr] :
      ( ~ v18502(VarCurr)
    <=> v18497(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_335,axiom,(
    ! [VarCurr] :
      ( ~ v17663(VarCurr)
     => ( v18499(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_279,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
     => ( v18499(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7414,axiom,(
    ! [VarCurr] :
      ( v18497(VarCurr)
    <=> v13234(VarCurr) ) )).

fof(addAssignment_7413,axiom,(
    ! [VarNext] :
      ( v17653(VarNext,bitIndex4)
    <=> v18488(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionShiftedRanges1_38,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18489(VarNext)
       => ( ( v18488(VarNext,bitIndex6)
          <=> v17653(VarCurr,bitIndex7) )
          & ( v18488(VarNext,bitIndex5)
          <=> v17653(VarCurr,bitIndex6) )
          & ( v18488(VarNext,bitIndex4)
          <=> v17653(VarCurr,bitIndex5) )
          & ( v18488(VarNext,bitIndex3)
          <=> v17653(VarCurr,bitIndex4) )
          & ( v18488(VarNext,bitIndex2)
          <=> v17653(VarCurr,bitIndex3) )
          & ( v18488(VarNext,bitIndex1)
          <=> v17653(VarCurr,bitIndex2) )
          & ( v18488(VarNext,bitIndex0)
          <=> v17653(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_258,axiom,(
    ! [VarNext] :
      ( v18489(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18488(VarNext,B)
          <=> v18367(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4368,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18489(VarNext)
      <=> v18490(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4367,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18490(VarNext)
      <=> ( v18492(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2270,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18492(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_321,axiom,(
    ! [VarCurr] :
      ( ~ v18430(VarCurr)
     => ( v17655(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_377,axiom,(
    ! [VarCurr] :
      ( v18430(VarCurr)
     => ( v17655(VarCurr,bitIndex4)
      <=> v18485(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges5_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18435(VarCurr)
        & ~ v18436(VarCurr)
        & ~ v18449(VarCurr)
        & ~ v18458(VarCurr)
        & ~ v18465(VarCurr)
        & v18473(VarCurr) )
     => ( v18485(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges4_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18435(VarCurr)
        & ~ v18436(VarCurr)
        & ~ v18449(VarCurr)
        & ~ v18458(VarCurr)
        & v18465(VarCurr) )
     => ( v18485(VarCurr)
      <=> v18290(VarCurr,bitIndex14) ) ) )).

fof(addCaseBooleanConditionShiftedRanges3_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18435(VarCurr)
        & ~ v18436(VarCurr)
        & ~ v18449(VarCurr)
        & v18458(VarCurr) )
     => ( v18485(VarCurr)
      <=> v18275(VarCurr,bitIndex14) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v18435(VarCurr)
        & ~ v18436(VarCurr)
        & v18449(VarCurr) )
     => ( v18485(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges1_226,axiom,(
    ! [VarCurr] :
      ( ( ~ v18435(VarCurr)
        & v18436(VarCurr) )
     => ( v18485(VarCurr)
      <=> v18486(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_6,axiom,(
    ! [VarCurr] :
      ( v18435(VarCurr)
     => ( v18485(VarCurr)
      <=> v18245(VarCurr,bitIndex14) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_406,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v18486(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_10,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v18486(VarCurr)
      <=> v18260(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4366,axiom,(
    ! [VarCurr] :
      ( v18430(VarCurr)
    <=> ( v18431(VarCurr)
        | v18473(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4365,axiom,(
    ! [VarCurr] :
      ( v18473(VarCurr)
    <=> ( v18474(VarCurr)
        & v18479(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4364,axiom,(
    ! [VarCurr] :
      ( v18479(VarCurr)
    <=> ( v18480(VarCurr)
        & v18484(VarCurr) ) ) )).

fof(writeUnaryOperator_2269,axiom,(
    ! [VarCurr] :
      ( ~ v18484(VarCurr)
    <=> v18448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4363,axiom,(
    ! [VarCurr] :
      ( v18480(VarCurr)
    <=> ( v18481(VarCurr)
        & v18417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4362,axiom,(
    ! [VarCurr] :
      ( v18481(VarCurr)
    <=> ( v18482(VarCurr)
        & v18483(VarCurr) ) ) )).

fof(writeUnaryOperator_2268,axiom,(
    ! [VarCurr] :
      ( ~ v18483(VarCurr)
    <=> v18239(VarCurr) ) )).

fof(writeUnaryOperator_2267,axiom,(
    ! [VarCurr] :
      ( ~ v18482(VarCurr)
    <=> v17677(VarCurr) ) )).

fof(writeUnaryOperator_2266,axiom,(
    ! [VarCurr] :
      ( ~ v18474(VarCurr)
    <=> v18475(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4361,axiom,(
    ! [VarCurr] :
      ( v18475(VarCurr)
    <=> ( v18476(VarCurr)
        | v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4360,axiom,(
    ! [VarCurr] :
      ( v18476(VarCurr)
    <=> ( v18477(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4359,axiom,(
    ! [VarCurr] :
      ( v18477(VarCurr)
    <=> ( v18478(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4358,axiom,(
    ! [VarCurr] :
      ( v18478(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4357,axiom,(
    ! [VarCurr] :
      ( v18431(VarCurr)
    <=> ( v18432(VarCurr)
        | v18465(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4356,axiom,(
    ! [VarCurr] :
      ( v18465(VarCurr)
    <=> ( v18466(VarCurr)
        & v18470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4355,axiom,(
    ! [VarCurr] :
      ( v18470(VarCurr)
    <=> ( v18471(VarCurr)
        & v18472(VarCurr) ) ) )).

fof(writeUnaryOperator_2265,axiom,(
    ! [VarCurr] :
      ( ~ v18472(VarCurr)
    <=> v18448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4354,axiom,(
    ! [VarCurr] :
      ( v18471(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2264,axiom,(
    ! [VarCurr] :
      ( ~ v18466(VarCurr)
    <=> v18467(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4353,axiom,(
    ! [VarCurr] :
      ( v18467(VarCurr)
    <=> ( v18468(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4352,axiom,(
    ! [VarCurr] :
      ( v18468(VarCurr)
    <=> ( v18469(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4351,axiom,(
    ! [VarCurr] :
      ( v18469(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4350,axiom,(
    ! [VarCurr] :
      ( v18432(VarCurr)
    <=> ( v18433(VarCurr)
        | v18458(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4349,axiom,(
    ! [VarCurr] :
      ( v18458(VarCurr)
    <=> ( v18459(VarCurr)
        & v18462(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4348,axiom,(
    ! [VarCurr] :
      ( v18462(VarCurr)
    <=> ( v18463(VarCurr)
        & v18464(VarCurr) ) ) )).

fof(writeUnaryOperator_2263,axiom,(
    ! [VarCurr] :
      ( ~ v18464(VarCurr)
    <=> v18448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4347,axiom,(
    ! [VarCurr] :
      ( v18463(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2262,axiom,(
    ! [VarCurr] :
      ( ~ v18459(VarCurr)
    <=> v18460(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4346,axiom,(
    ! [VarCurr] :
      ( v18460(VarCurr)
    <=> ( v18461(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4345,axiom,(
    ! [VarCurr] :
      ( v18461(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4344,axiom,(
    ! [VarCurr] :
      ( v18433(VarCurr)
    <=> ( v18434(VarCurr)
        | v18449(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4343,axiom,(
    ! [VarCurr] :
      ( v18449(VarCurr)
    <=> ( v18450(VarCurr)
        & v18452(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4342,axiom,(
    ! [VarCurr] :
      ( v18452(VarCurr)
    <=> ( v18453(VarCurr)
        & v18457(VarCurr) ) ) )).

fof(writeUnaryOperator_2261,axiom,(
    ! [VarCurr] :
      ( ~ v18457(VarCurr)
    <=> v18448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4341,axiom,(
    ! [VarCurr] :
      ( v18453(VarCurr)
    <=> ( v18454(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4340,axiom,(
    ! [VarCurr] :
      ( v18454(VarCurr)
    <=> ( v18455(VarCurr)
        & v18456(VarCurr) ) ) )).

fof(writeUnaryOperator_2260,axiom,(
    ! [VarCurr] :
      ( ~ v18456(VarCurr)
    <=> v18392(VarCurr) ) )).

fof(writeUnaryOperator_2259,axiom,(
    ! [VarCurr] :
      ( ~ v18455(VarCurr)
    <=> v17677(VarCurr) ) )).

fof(writeUnaryOperator_2258,axiom,(
    ! [VarCurr] :
      ( ~ v18450(VarCurr)
    <=> v18451(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4339,axiom,(
    ! [VarCurr] :
      ( v18451(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4338,axiom,(
    ! [VarCurr] :
      ( v18434(VarCurr)
    <=> ( v18435(VarCurr)
        | v18436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4337,axiom,(
    ! [VarCurr] :
      ( v18436(VarCurr)
    <=> ( v18437(VarCurr)
        & v18438(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4336,axiom,(
    ! [VarCurr] :
      ( v18438(VarCurr)
    <=> ( v18439(VarCurr)
        & v18447(VarCurr) ) ) )).

fof(writeUnaryOperator_2257,axiom,(
    ! [VarCurr] :
      ( ~ v18447(VarCurr)
    <=> v18448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4335,axiom,(
    ! [VarCurr] :
      ( v18448(VarCurr)
    <=> ( v18328(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4334,axiom,(
    ! [VarCurr] :
      ( v18439(VarCurr)
    <=> ( v18440(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4333,axiom,(
    ! [VarCurr] :
      ( v18440(VarCurr)
    <=> ( v13224(VarCurr)
        | v18441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4332,axiom,(
    ! [VarCurr] :
      ( v18441(VarCurr)
    <=> ( v18442(VarCurr)
        & v18446(VarCurr) ) ) )).

fof(writeUnaryOperator_2256,axiom,(
    ! [VarCurr] :
      ( ~ v18446(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4331,axiom,(
    ! [VarCurr] :
      ( v18442(VarCurr)
    <=> ( v18443(VarCurr)
        & v18445(VarCurr) ) ) )).

fof(writeUnaryOperator_2255,axiom,(
    ! [VarCurr] :
      ( ~ v18445(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4330,axiom,(
    ! [VarCurr] :
      ( v18443(VarCurr)
    <=> ( v18444(VarCurr)
        & v17683(VarCurr) ) ) )).

fof(writeUnaryOperator_2254,axiom,(
    ! [VarCurr] :
      ( ~ v18444(VarCurr)
    <=> v17677(VarCurr) ) )).

fof(writeUnaryOperator_2253,axiom,(
    ! [VarCurr] :
      ( ~ v18437(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4329,axiom,(
    ! [VarCurr] :
      ( v18435(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7412,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex14)
    <=> v18291(VarCurr,bitIndex14) ) )).

fof(addAssignment_7411,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex14)
    <=> v18276(VarCurr,bitIndex14) ) )).

fof(addAssignment_7410,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex14)
    <=> v18261(VarCurr,bitIndex14) ) )).

fof(addAssignment_7409,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex14)
    <=> v18246(VarCurr,bitIndex14) ) )).

fof(addAssignment_7408,axiom,(
    ! [VarNext] :
      ( v17653(VarNext,bitIndex7)
    <=> v18422(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionShiftedRanges1_37,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18423(VarNext)
       => ( ( v18422(VarNext,bitIndex6)
          <=> v17653(VarCurr,bitIndex7) )
          & ( v18422(VarNext,bitIndex5)
          <=> v17653(VarCurr,bitIndex6) )
          & ( v18422(VarNext,bitIndex4)
          <=> v17653(VarCurr,bitIndex5) )
          & ( v18422(VarNext,bitIndex3)
          <=> v17653(VarCurr,bitIndex4) )
          & ( v18422(VarNext,bitIndex2)
          <=> v17653(VarCurr,bitIndex3) )
          & ( v18422(VarNext,bitIndex1)
          <=> v17653(VarCurr,bitIndex2) )
          & ( v18422(VarNext,bitIndex0)
          <=> v17653(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_257,axiom,(
    ! [VarNext] :
      ( v18423(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18422(VarNext,B)
          <=> v18367(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18423(VarNext)
      <=> v18424(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18424(VarNext)
      <=> ( v18426(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2252,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18426(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_320,axiom,(
    ! [VarCurr] :
      ( ~ v18372(VarCurr)
     => ( v17655(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_376,axiom,(
    ! [VarCurr] :
      ( v18372(VarCurr)
     => ( v17655(VarCurr,bitIndex7)
      <=> v18419(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges5,axiom,(
    ! [VarCurr] :
      ( ( ~ v18377(VarCurr)
        & ~ v18378(VarCurr)
        & ~ v18387(VarCurr)
        & ~ v18394(VarCurr)
        & ~ v18401(VarCurr)
        & v18409(VarCurr) )
     => ( v18419(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges4,axiom,(
    ! [VarCurr] :
      ( ( ~ v18377(VarCurr)
        & ~ v18378(VarCurr)
        & ~ v18387(VarCurr)
        & ~ v18394(VarCurr)
        & v18401(VarCurr) )
     => ( v18419(VarCurr)
      <=> v18290(VarCurr,bitIndex17) ) ) )).

fof(addCaseBooleanConditionShiftedRanges3,axiom,(
    ! [VarCurr] :
      ( ( ~ v18377(VarCurr)
        & ~ v18378(VarCurr)
        & ~ v18387(VarCurr)
        & v18394(VarCurr) )
     => ( v18419(VarCurr)
      <=> v18275(VarCurr,bitIndex17) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v18377(VarCurr)
        & ~ v18378(VarCurr)
        & v18387(VarCurr) )
     => ( v18419(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges1_225,axiom,(
    ! [VarCurr] :
      ( ( ~ v18377(VarCurr)
        & v18378(VarCurr) )
     => ( v18419(VarCurr)
      <=> v18420(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_5,axiom,(
    ! [VarCurr] :
      ( v18377(VarCurr)
     => ( v18419(VarCurr)
      <=> v18245(VarCurr,bitIndex17) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_405,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v18420(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_9,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v18420(VarCurr)
      <=> v18260(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4326,axiom,(
    ! [VarCurr] :
      ( v18372(VarCurr)
    <=> ( v18373(VarCurr)
        | v18409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4325,axiom,(
    ! [VarCurr] :
      ( v18409(VarCurr)
    <=> ( v18410(VarCurr)
        & v18415(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4324,axiom,(
    ! [VarCurr] :
      ( v18415(VarCurr)
    <=> ( v18416(VarCurr)
        & v18418(VarCurr) ) ) )).

fof(writeUnaryOperator_2251,axiom,(
    ! [VarCurr] :
      ( ~ v18418(VarCurr)
    <=> v18386(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4323,axiom,(
    ! [VarCurr] :
      ( v18416(VarCurr)
    <=> ( v18239(VarCurr)
        & v18417(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1178,axiom,(
    ! [VarCurr] :
      ( v18417(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex7) ) ) )).

fof(writeUnaryOperator_2250,axiom,(
    ! [VarCurr] :
      ( ~ v18410(VarCurr)
    <=> v18411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4322,axiom,(
    ! [VarCurr] :
      ( v18411(VarCurr)
    <=> ( v18412(VarCurr)
        | v18351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4321,axiom,(
    ! [VarCurr] :
      ( v18412(VarCurr)
    <=> ( v18413(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4320,axiom,(
    ! [VarCurr] :
      ( v18413(VarCurr)
    <=> ( v18414(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4319,axiom,(
    ! [VarCurr] :
      ( v18414(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4318,axiom,(
    ! [VarCurr] :
      ( v18373(VarCurr)
    <=> ( v18374(VarCurr)
        | v18401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4317,axiom,(
    ! [VarCurr] :
      ( v18401(VarCurr)
    <=> ( v18402(VarCurr)
        & v18406(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4316,axiom,(
    ! [VarCurr] :
      ( v18406(VarCurr)
    <=> ( v18407(VarCurr)
        & v18408(VarCurr) ) ) )).

fof(writeUnaryOperator_2249,axiom,(
    ! [VarCurr] :
      ( ~ v18408(VarCurr)
    <=> v18386(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4315,axiom,(
    ! [VarCurr] :
      ( v18407(VarCurr)
    <=> ( v13224(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(writeUnaryOperator_2248,axiom,(
    ! [VarCurr] :
      ( ~ v18402(VarCurr)
    <=> v18403(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4314,axiom,(
    ! [VarCurr] :
      ( v18403(VarCurr)
    <=> ( v18404(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4313,axiom,(
    ! [VarCurr] :
      ( v18404(VarCurr)
    <=> ( v18405(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4312,axiom,(
    ! [VarCurr] :
      ( v18405(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4311,axiom,(
    ! [VarCurr] :
      ( v18374(VarCurr)
    <=> ( v18375(VarCurr)
        | v18394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4310,axiom,(
    ! [VarCurr] :
      ( v18394(VarCurr)
    <=> ( v18395(VarCurr)
        & v18398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4309,axiom,(
    ! [VarCurr] :
      ( v18398(VarCurr)
    <=> ( v18399(VarCurr)
        & v18400(VarCurr) ) ) )).

fof(writeUnaryOperator_2247,axiom,(
    ! [VarCurr] :
      ( ~ v18400(VarCurr)
    <=> v18386(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4308,axiom,(
    ! [VarCurr] :
      ( v18399(VarCurr)
    <=> ( v13224(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(writeUnaryOperator_2246,axiom,(
    ! [VarCurr] :
      ( ~ v18395(VarCurr)
    <=> v18396(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4307,axiom,(
    ! [VarCurr] :
      ( v18396(VarCurr)
    <=> ( v18397(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4306,axiom,(
    ! [VarCurr] :
      ( v18397(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4305,axiom,(
    ! [VarCurr] :
      ( v18375(VarCurr)
    <=> ( v18376(VarCurr)
        | v18387(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4304,axiom,(
    ! [VarCurr] :
      ( v18387(VarCurr)
    <=> ( v18388(VarCurr)
        & v18390(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4303,axiom,(
    ! [VarCurr] :
      ( v18390(VarCurr)
    <=> ( v18391(VarCurr)
        & v18393(VarCurr) ) ) )).

fof(writeUnaryOperator_2245,axiom,(
    ! [VarCurr] :
      ( ~ v18393(VarCurr)
    <=> v18386(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4302,axiom,(
    ! [VarCurr] :
      ( v18391(VarCurr)
    <=> ( v18392(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4301,axiom,(
    ! [VarCurr] :
      ( v18392(VarCurr)
    <=> ( v18234(VarCurr)
        & v18239(VarCurr) ) ) )).

fof(writeUnaryOperator_2244,axiom,(
    ! [VarCurr] :
      ( ~ v18388(VarCurr)
    <=> v18389(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4300,axiom,(
    ! [VarCurr] :
      ( v18389(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4299,axiom,(
    ! [VarCurr] :
      ( v18376(VarCurr)
    <=> ( v18377(VarCurr)
        | v18378(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4298,axiom,(
    ! [VarCurr] :
      ( v18378(VarCurr)
    <=> ( v18379(VarCurr)
        & v18380(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4297,axiom,(
    ! [VarCurr] :
      ( v18380(VarCurr)
    <=> ( v18381(VarCurr)
        & v18385(VarCurr) ) ) )).

fof(writeUnaryOperator_2243,axiom,(
    ! [VarCurr] :
      ( ~ v18385(VarCurr)
    <=> v18386(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4296,axiom,(
    ! [VarCurr] :
      ( v18386(VarCurr)
    <=> ( v18328(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4295,axiom,(
    ! [VarCurr] :
      ( v18381(VarCurr)
    <=> ( v18382(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4294,axiom,(
    ! [VarCurr] :
      ( v18382(VarCurr)
    <=> ( v13224(VarCurr)
        | v18383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4293,axiom,(
    ! [VarCurr] :
      ( v18383(VarCurr)
    <=> ( v18322(VarCurr)
        & v18384(VarCurr) ) ) )).

fof(writeUnaryOperator_2242,axiom,(
    ! [VarCurr] :
      ( ~ v18384(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2241,axiom,(
    ! [VarCurr] :
      ( ~ v18379(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4292,axiom,(
    ! [VarCurr] :
      ( v18377(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addAssignment_7407,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex17)
    <=> v18291(VarCurr,bitIndex17) ) )).

fof(addAssignment_7406,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex17)
    <=> v18276(VarCurr,bitIndex17) ) )).

fof(addAssignment_7405,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex17)
    <=> v18261(VarCurr,bitIndex17) ) )).

fof(addAssignment_7404,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex17)
    <=> v18246(VarCurr,bitIndex17) ) )).

fof(addAssignment_7403,axiom,(
    ! [VarNext] :
      ( v17653(VarNext,bitIndex6)
    <=> v18358(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionShiftedRanges1_36,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18359(VarNext)
       => ( ( v18358(VarNext,bitIndex6)
          <=> v17653(VarCurr,bitIndex7) )
          & ( v18358(VarNext,bitIndex5)
          <=> v17653(VarCurr,bitIndex6) )
          & ( v18358(VarNext,bitIndex4)
          <=> v17653(VarCurr,bitIndex5) )
          & ( v18358(VarNext,bitIndex3)
          <=> v17653(VarCurr,bitIndex4) )
          & ( v18358(VarNext,bitIndex2)
          <=> v17653(VarCurr,bitIndex3) )
          & ( v18358(VarNext,bitIndex1)
          <=> v17653(VarCurr,bitIndex2) )
          & ( v18358(VarNext,bitIndex0)
          <=> v17653(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_256,axiom,(
    ! [VarNext] :
      ( v18359(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18358(VarNext,B)
          <=> v18367(VarNext,B) ) ) ) )).

fof(addAssignment_7402,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v18367(VarNext,B)
          <=> v18365(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_319,axiom,(
    ! [VarCurr] :
      ( ~ v18368(VarCurr)
     => ( ( v18365(VarCurr,bitIndex6)
        <=> v17655(VarCurr,bitIndex7) )
        & ( v18365(VarCurr,bitIndex5)
        <=> v17655(VarCurr,bitIndex6) )
        & ( v18365(VarCurr,bitIndex4)
        <=> v17655(VarCurr,bitIndex5) )
        & ( v18365(VarCurr,bitIndex3)
        <=> v17655(VarCurr,bitIndex4) )
        & ( v18365(VarCurr,bitIndex2)
        <=> v17655(VarCurr,bitIndex3) )
        & ( v18365(VarCurr,bitIndex1)
        <=> v17655(VarCurr,bitIndex2) )
        & ( v18365(VarCurr,bitIndex0)
        <=> v17655(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_278,axiom,(
    ! [VarCurr] :
      ( v18368(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v18365(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2240,axiom,(
    ! [VarCurr] :
      ( ~ v18368(VarCurr)
    <=> v13222(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4291,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18359(VarNext)
      <=> v18360(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4290,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18360(VarNext)
      <=> ( v18361(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18361(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_318,axiom,(
    ! [VarCurr] :
      ( ~ v18305(VarCurr)
     => ( v17655(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_375,axiom,(
    ! [VarCurr] :
      ( v18305(VarCurr)
     => ( v17655(VarCurr,bitIndex6)
      <=> v18353(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges3,axiom,(
    ! [VarCurr] :
      ( ( ~ v18308(VarCurr)
        & ~ v18310(VarCurr)
        & ~ v18330(VarCurr)
        & v18342(VarCurr) )
     => ( v18353(VarCurr)
      <=> v18356(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18308(VarCurr)
        & ~ v18310(VarCurr)
        & v18330(VarCurr) )
     => ( v18353(VarCurr)
      <=> v18355(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_224,axiom,(
    ! [VarCurr] :
      ( ( ~ v18308(VarCurr)
        & v18310(VarCurr) )
     => ( v18353(VarCurr)
      <=> v18354(VarCurr) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_4,axiom,(
    ! [VarCurr] :
      ( v18308(VarCurr)
     => ( v18353(VarCurr)
      <=> v18245(VarCurr,bitIndex16) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_404,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v18356(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_8,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v18356(VarCurr)
      <=> v18290(VarCurr,bitIndex16) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_403,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v18355(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_7,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v18355(VarCurr)
      <=> v18275(VarCurr,bitIndex16) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_402,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v18354(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_6,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v18354(VarCurr)
      <=> v18260(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4289,axiom,(
    ! [VarCurr] :
      ( v18305(VarCurr)
    <=> ( v18306(VarCurr)
        | v18342(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4288,axiom,(
    ! [VarCurr] :
      ( v18342(VarCurr)
    <=> ( v18343(VarCurr)
        & v18346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4287,axiom,(
    ! [VarCurr] :
      ( v18346(VarCurr)
    <=> ( v18347(VarCurr)
        & v18352(VarCurr) ) ) )).

fof(writeUnaryOperator_2238,axiom,(
    ! [VarCurr] :
      ( ~ v18352(VarCurr)
    <=> v18340(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4286,axiom,(
    ! [VarCurr] :
      ( v18347(VarCurr)
    <=> ( v18348(VarCurr)
        & v18351(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1177,axiom,(
    ! [VarCurr] :
      ( v18351(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4285,axiom,(
    ! [VarCurr] :
      ( v18348(VarCurr)
    <=> ( v13224(VarCurr)
        | v18349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4284,axiom,(
    ! [VarCurr] :
      ( v18349(VarCurr)
    <=> ( v17946(VarCurr)
        & v18350(VarCurr) ) ) )).

fof(writeUnaryOperator_2237,axiom,(
    ! [VarCurr] :
      ( ~ v18350(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2236,axiom,(
    ! [VarCurr] :
      ( ~ v18343(VarCurr)
    <=> v18344(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4283,axiom,(
    ! [VarCurr] :
      ( v18344(VarCurr)
    <=> ( v18345(VarCurr)
        | v18338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4282,axiom,(
    ! [VarCurr] :
      ( v18345(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4281,axiom,(
    ! [VarCurr] :
      ( v18306(VarCurr)
    <=> ( v18307(VarCurr)
        | v18330(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4280,axiom,(
    ! [VarCurr] :
      ( v18330(VarCurr)
    <=> ( v18331(VarCurr)
        & v18333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4279,axiom,(
    ! [VarCurr] :
      ( v18333(VarCurr)
    <=> ( v18334(VarCurr)
        & v18339(VarCurr) ) ) )).

fof(writeUnaryOperator_2235,axiom,(
    ! [VarCurr] :
      ( ~ v18339(VarCurr)
    <=> v18340(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4278,axiom,(
    ! [VarCurr] :
      ( v18340(VarCurr)
    <=> ( v18327(VarCurr)
        | v18341(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1176,axiom,(
    ! [VarCurr] :
      ( v18341(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4277,axiom,(
    ! [VarCurr] :
      ( v18334(VarCurr)
    <=> ( v18335(VarCurr)
        & v18338(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1175,axiom,(
    ! [VarCurr] :
      ( v18338(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4276,axiom,(
    ! [VarCurr] :
      ( v18335(VarCurr)
    <=> ( v13224(VarCurr)
        | v18336(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4275,axiom,(
    ! [VarCurr] :
      ( v18336(VarCurr)
    <=> ( v17946(VarCurr)
        & v18337(VarCurr) ) ) )).

fof(writeUnaryOperator_2234,axiom,(
    ! [VarCurr] :
      ( ~ v18337(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2233,axiom,(
    ! [VarCurr] :
      ( ~ v18331(VarCurr)
    <=> v18332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4274,axiom,(
    ! [VarCurr] :
      ( v18332(VarCurr)
    <=> ( v18309(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4273,axiom,(
    ! [VarCurr] :
      ( v18307(VarCurr)
    <=> ( v18308(VarCurr)
        | v18310(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4272,axiom,(
    ! [VarCurr] :
      ( v18310(VarCurr)
    <=> ( v18311(VarCurr)
        & v18312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4271,axiom,(
    ! [VarCurr] :
      ( v18312(VarCurr)
    <=> ( v18313(VarCurr)
        & v18326(VarCurr) ) ) )).

fof(writeUnaryOperator_2232,axiom,(
    ! [VarCurr] :
      ( ~ v18326(VarCurr)
    <=> v18327(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4270,axiom,(
    ! [VarCurr] :
      ( v18327(VarCurr)
    <=> ( v18328(VarCurr)
        | v18329(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1174,axiom,(
    ! [VarCurr] :
      ( v18329(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex2) ) ) )).

fof(addBitVectorEqualityBitBlasted_1173,axiom,(
    ! [VarCurr] :
      ( v18328(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4269,axiom,(
    ! [VarCurr] :
      ( v18313(VarCurr)
    <=> ( v18314(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1172,axiom,(
    ! [VarCurr] :
      ( v18325(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4268,axiom,(
    ! [VarCurr] :
      ( v18314(VarCurr)
    <=> ( v13224(VarCurr)
        | v18315(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4267,axiom,(
    ! [VarCurr] :
      ( v18315(VarCurr)
    <=> ( v18316(VarCurr)
        & v18324(VarCurr) ) ) )).

fof(writeUnaryOperator_2231,axiom,(
    ! [VarCurr] :
      ( ~ v18324(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4266,axiom,(
    ! [VarCurr] :
      ( v18316(VarCurr)
    <=> ( v18317(VarCurr)
        & v18321(VarCurr) ) ) )).

fof(writeUnaryOperator_2230,axiom,(
    ! [VarCurr] :
      ( ~ v18321(VarCurr)
    <=> v18322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4265,axiom,(
    ! [VarCurr] :
      ( v18322(VarCurr)
    <=> ( v18323(VarCurr)
        & v18239(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4264,axiom,(
    ! [VarCurr] :
      ( v18323(VarCurr)
    <=> ( v17946(VarCurr)
        & v18234(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4263,axiom,(
    ! [VarCurr] :
      ( v18317(VarCurr)
    <=> ( v18318(VarCurr)
        & v18320(VarCurr) ) ) )).

fof(writeUnaryOperator_2229,axiom,(
    ! [VarCurr] :
      ( ~ v18320(VarCurr)
    <=> v17683(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4262,axiom,(
    ! [VarCurr] :
      ( v18318(VarCurr)
    <=> ( v17946(VarCurr)
        & v18319(VarCurr) ) ) )).

fof(writeUnaryOperator_2228,axiom,(
    ! [VarCurr] :
      ( ~ v18319(VarCurr)
    <=> v17964(VarCurr) ) )).

fof(writeUnaryOperator_2227,axiom,(
    ! [VarCurr] :
      ( ~ v18311(VarCurr)
    <=> v18309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4261,axiom,(
    ! [VarCurr] :
      ( v18308(VarCurr)
    <=> ( v13224(VarCurr)
        & v18309(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1171,axiom,(
    ! [VarCurr] :
      ( v18309(VarCurr)
    <=> ( $true
      <=> v17653(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7401,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr,bitIndex16)
    <=> v18291(VarCurr,bitIndex16) ) )).

fof(addAssignment_7400,axiom,(
    ! [VarCurr] :
      ( v18291(VarCurr,bitIndex0)
    <=> v18303(VarCurr) ) )).

fof(addAssignment_7399,axiom,(
    ! [VarCurr] :
      ( v18291(VarCurr,bitIndex1)
    <=> v18302(VarCurr) ) )).

fof(addAssignment_7398,axiom,(
    ! [VarCurr] :
      ( v18291(VarCurr,bitIndex2)
    <=> v18301(VarCurr) ) )).

fof(addAssignment_7397,axiom,(
    ! [VarCurr] :
      ( v18291(VarCurr,bitIndex3)
    <=> v18300(VarCurr) ) )).

fof(addAssignment_7396,axiom,(
    ! [VarCurr] :
      ( v18291(VarCurr,bitIndex4)
    <=> v18299(VarCurr) ) )).

fof(addAssignment_7395,axiom,(
    ! [VarCurr] :
      ( ( v18291(VarCurr,bitIndex9)
      <=> v18295(VarCurr,bitIndex4) )
      & ( v18291(VarCurr,bitIndex8)
      <=> v18295(VarCurr,bitIndex3) )
      & ( v18291(VarCurr,bitIndex7)
      <=> v18295(VarCurr,bitIndex2) )
      & ( v18291(VarCurr,bitIndex6)
      <=> v18295(VarCurr,bitIndex1) )
      & ( v18291(VarCurr,bitIndex5)
      <=> v18295(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7394,axiom,(
    ! [VarCurr] :
      ( ( v18291(VarCurr,bitIndex17)
      <=> v18292(VarCurr,bitIndex7) )
      & ( v18291(VarCurr,bitIndex16)
      <=> v18292(VarCurr,bitIndex6) )
      & ( v18291(VarCurr,bitIndex15)
      <=> v18292(VarCurr,bitIndex5) )
      & ( v18291(VarCurr,bitIndex14)
      <=> v18292(VarCurr,bitIndex4) )
      & ( v18291(VarCurr,bitIndex13)
      <=> v18292(VarCurr,bitIndex3) )
      & ( v18291(VarCurr,bitIndex12)
      <=> v18292(VarCurr,bitIndex2) )
      & ( v18291(VarCurr,bitIndex11)
      <=> v18292(VarCurr,bitIndex1) )
      & ( v18291(VarCurr,bitIndex10)
      <=> v18292(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7393,axiom,(
    ! [VarCurr] :
      ( v18295(VarCurr,bitIndex0)
    <=> v18298(VarCurr,bitIndex0) ) )).

fof(addAssignment_7392,axiom,(
    ! [VarCurr] :
      ( ( v18295(VarCurr,bitIndex2)
      <=> $false )
      & ( v18295(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_7391,axiom,(
    ! [VarCurr] :
      ( v18295(VarCurr,bitIndex3)
    <=> v18298(VarCurr,bitIndex3) ) )).

fof(addAssignment_7390,axiom,(
    ! [VarCurr] :
      ( v18295(VarCurr,bitIndex4)
    <=> v18297(VarCurr,bitIndex4) ) )).

fof(addAssignment_7389,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18292(VarCurr,B)
      <=> v18294(VarCurr,B) ) ) )).

fof(addAssignment_7388,axiom,(
    ! [VarCurr] :
      ( ( v18292(VarCurr,bitIndex7)
      <=> $false )
      & ( v18292(VarCurr,bitIndex6)
      <=> $false )
      & ( v18292(VarCurr,bitIndex5)
      <=> $false )
      & ( v18292(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addAssignment_7387,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr,bitIndex16)
    <=> v18276(VarCurr,bitIndex16) ) )).

fof(addAssignment_7386,axiom,(
    ! [VarCurr] :
      ( v18276(VarCurr,bitIndex0)
    <=> v18288(VarCurr) ) )).

fof(addAssignment_7385,axiom,(
    ! [VarCurr] :
      ( v18276(VarCurr,bitIndex1)
    <=> v18287(VarCurr) ) )).

fof(addAssignment_7384,axiom,(
    ! [VarCurr] :
      ( v18276(VarCurr,bitIndex2)
    <=> v18286(VarCurr) ) )).

fof(addAssignment_7383,axiom,(
    ! [VarCurr] :
      ( v18276(VarCurr,bitIndex3)
    <=> v18285(VarCurr) ) )).

fof(addAssignment_7382,axiom,(
    ! [VarCurr] :
      ( v18276(VarCurr,bitIndex4)
    <=> v18284(VarCurr) ) )).

fof(addAssignment_7381,axiom,(
    ! [VarCurr] :
      ( ( v18276(VarCurr,bitIndex9)
      <=> v18280(VarCurr,bitIndex4) )
      & ( v18276(VarCurr,bitIndex8)
      <=> v18280(VarCurr,bitIndex3) )
      & ( v18276(VarCurr,bitIndex7)
      <=> v18280(VarCurr,bitIndex2) )
      & ( v18276(VarCurr,bitIndex6)
      <=> v18280(VarCurr,bitIndex1) )
      & ( v18276(VarCurr,bitIndex5)
      <=> v18280(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7380,axiom,(
    ! [VarCurr] :
      ( ( v18276(VarCurr,bitIndex17)
      <=> v18277(VarCurr,bitIndex7) )
      & ( v18276(VarCurr,bitIndex16)
      <=> v18277(VarCurr,bitIndex6) )
      & ( v18276(VarCurr,bitIndex15)
      <=> v18277(VarCurr,bitIndex5) )
      & ( v18276(VarCurr,bitIndex14)
      <=> v18277(VarCurr,bitIndex4) )
      & ( v18276(VarCurr,bitIndex13)
      <=> v18277(VarCurr,bitIndex3) )
      & ( v18276(VarCurr,bitIndex12)
      <=> v18277(VarCurr,bitIndex2) )
      & ( v18276(VarCurr,bitIndex11)
      <=> v18277(VarCurr,bitIndex1) )
      & ( v18276(VarCurr,bitIndex10)
      <=> v18277(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7379,axiom,(
    ! [VarCurr] :
      ( v18280(VarCurr,bitIndex0)
    <=> v18283(VarCurr,bitIndex0) ) )).

fof(addAssignment_7378,axiom,(
    ! [VarCurr] :
      ( ( v18280(VarCurr,bitIndex2)
      <=> $false )
      & ( v18280(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_7377,axiom,(
    ! [VarCurr] :
      ( v18280(VarCurr,bitIndex3)
    <=> v18283(VarCurr,bitIndex3) ) )).

fof(addAssignment_7376,axiom,(
    ! [VarCurr] :
      ( v18280(VarCurr,bitIndex4)
    <=> v18282(VarCurr,bitIndex4) ) )).

fof(addAssignment_7375,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18277(VarCurr,B)
      <=> v18279(VarCurr,B) ) ) )).

fof(addAssignment_7374,axiom,(
    ! [VarCurr] :
      ( ( v18277(VarCurr,bitIndex7)
      <=> $false )
      & ( v18277(VarCurr,bitIndex6)
      <=> $false )
      & ( v18277(VarCurr,bitIndex5)
      <=> $false )
      & ( v18277(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addAssignment_7373,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr,bitIndex16)
    <=> v18261(VarCurr,bitIndex16) ) )).

fof(addAssignment_7372,axiom,(
    ! [VarCurr] :
      ( v18261(VarCurr,bitIndex0)
    <=> v18273(VarCurr) ) )).

fof(addAssignment_7371,axiom,(
    ! [VarCurr] :
      ( v18261(VarCurr,bitIndex1)
    <=> v18272(VarCurr) ) )).

fof(addAssignment_7370,axiom,(
    ! [VarCurr] :
      ( v18261(VarCurr,bitIndex2)
    <=> v18271(VarCurr) ) )).

fof(addAssignment_7369,axiom,(
    ! [VarCurr] :
      ( v18261(VarCurr,bitIndex3)
    <=> v18270(VarCurr) ) )).

fof(addAssignment_7368,axiom,(
    ! [VarCurr] :
      ( v18261(VarCurr,bitIndex4)
    <=> v18269(VarCurr) ) )).

fof(addAssignment_7367,axiom,(
    ! [VarCurr] :
      ( ( v18261(VarCurr,bitIndex9)
      <=> v18265(VarCurr,bitIndex4) )
      & ( v18261(VarCurr,bitIndex8)
      <=> v18265(VarCurr,bitIndex3) )
      & ( v18261(VarCurr,bitIndex7)
      <=> v18265(VarCurr,bitIndex2) )
      & ( v18261(VarCurr,bitIndex6)
      <=> v18265(VarCurr,bitIndex1) )
      & ( v18261(VarCurr,bitIndex5)
      <=> v18265(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7366,axiom,(
    ! [VarCurr] :
      ( ( v18261(VarCurr,bitIndex17)
      <=> v18262(VarCurr,bitIndex7) )
      & ( v18261(VarCurr,bitIndex16)
      <=> v18262(VarCurr,bitIndex6) )
      & ( v18261(VarCurr,bitIndex15)
      <=> v18262(VarCurr,bitIndex5) )
      & ( v18261(VarCurr,bitIndex14)
      <=> v18262(VarCurr,bitIndex4) )
      & ( v18261(VarCurr,bitIndex13)
      <=> v18262(VarCurr,bitIndex3) )
      & ( v18261(VarCurr,bitIndex12)
      <=> v18262(VarCurr,bitIndex2) )
      & ( v18261(VarCurr,bitIndex11)
      <=> v18262(VarCurr,bitIndex1) )
      & ( v18261(VarCurr,bitIndex10)
      <=> v18262(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7365,axiom,(
    ! [VarCurr] :
      ( v18265(VarCurr,bitIndex0)
    <=> v18268(VarCurr,bitIndex0) ) )).

fof(addAssignment_7364,axiom,(
    ! [VarCurr] :
      ( ( v18265(VarCurr,bitIndex2)
      <=> $false )
      & ( v18265(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_7363,axiom,(
    ! [VarCurr] :
      ( v18265(VarCurr,bitIndex3)
    <=> v18268(VarCurr,bitIndex3) ) )).

fof(addAssignment_7362,axiom,(
    ! [VarCurr] :
      ( v18265(VarCurr,bitIndex4)
    <=> v18267(VarCurr,bitIndex4) ) )).

fof(addAssignment_7361,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18262(VarCurr,B)
      <=> v18264(VarCurr,B) ) ) )).

fof(addAssignment_7360,axiom,(
    ! [VarCurr] :
      ( ( v18262(VarCurr,bitIndex7)
      <=> $false )
      & ( v18262(VarCurr,bitIndex6)
      <=> $false )
      & ( v18262(VarCurr,bitIndex5)
      <=> $false )
      & ( v18262(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addAssignment_7359,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr,bitIndex16)
    <=> v18246(VarCurr,bitIndex16) ) )).

fof(addAssignment_7358,axiom,(
    ! [VarCurr] :
      ( v18246(VarCurr,bitIndex0)
    <=> v18258(VarCurr) ) )).

fof(addAssignment_7357,axiom,(
    ! [VarCurr] :
      ( v18246(VarCurr,bitIndex1)
    <=> v18257(VarCurr) ) )).

fof(addAssignment_7356,axiom,(
    ! [VarCurr] :
      ( v18246(VarCurr,bitIndex2)
    <=> v18256(VarCurr) ) )).

fof(addAssignment_7355,axiom,(
    ! [VarCurr] :
      ( v18246(VarCurr,bitIndex3)
    <=> v18255(VarCurr) ) )).

fof(addAssignment_7354,axiom,(
    ! [VarCurr] :
      ( v18246(VarCurr,bitIndex4)
    <=> v18254(VarCurr) ) )).

fof(addAssignment_7353,axiom,(
    ! [VarCurr] :
      ( ( v18246(VarCurr,bitIndex9)
      <=> v18250(VarCurr,bitIndex4) )
      & ( v18246(VarCurr,bitIndex8)
      <=> v18250(VarCurr,bitIndex3) )
      & ( v18246(VarCurr,bitIndex7)
      <=> v18250(VarCurr,bitIndex2) )
      & ( v18246(VarCurr,bitIndex6)
      <=> v18250(VarCurr,bitIndex1) )
      & ( v18246(VarCurr,bitIndex5)
      <=> v18250(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7352,axiom,(
    ! [VarCurr] :
      ( ( v18246(VarCurr,bitIndex17)
      <=> v18247(VarCurr,bitIndex7) )
      & ( v18246(VarCurr,bitIndex16)
      <=> v18247(VarCurr,bitIndex6) )
      & ( v18246(VarCurr,bitIndex15)
      <=> v18247(VarCurr,bitIndex5) )
      & ( v18246(VarCurr,bitIndex14)
      <=> v18247(VarCurr,bitIndex4) )
      & ( v18246(VarCurr,bitIndex13)
      <=> v18247(VarCurr,bitIndex3) )
      & ( v18246(VarCurr,bitIndex12)
      <=> v18247(VarCurr,bitIndex2) )
      & ( v18246(VarCurr,bitIndex11)
      <=> v18247(VarCurr,bitIndex1) )
      & ( v18246(VarCurr,bitIndex10)
      <=> v18247(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7351,axiom,(
    ! [VarCurr] :
      ( v18250(VarCurr,bitIndex0)
    <=> v18253(VarCurr,bitIndex0) ) )).

fof(addAssignment_7350,axiom,(
    ! [VarCurr] :
      ( ( v18250(VarCurr,bitIndex2)
      <=> $false )
      & ( v18250(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_7349,axiom,(
    ! [VarCurr] :
      ( v18250(VarCurr,bitIndex3)
    <=> v18253(VarCurr,bitIndex3) ) )).

fof(addAssignment_7348,axiom,(
    ! [VarCurr] :
      ( v18250(VarCurr,bitIndex4)
    <=> v18252(VarCurr,bitIndex4) ) )).

fof(addAssignment_7347,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18247(VarCurr,B)
      <=> v18249(VarCurr,B) ) ) )).

fof(addAssignment_7346,axiom,(
    ! [VarCurr] :
      ( ( v18247(VarCurr,bitIndex7)
      <=> $false )
      & ( v18247(VarCurr,bitIndex6)
      <=> $false )
      & ( v18247(VarCurr,bitIndex5)
      <=> $false )
      & ( v18247(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4260,axiom,(
    ! [VarCurr] :
      ( v18239(VarCurr)
    <=> ( v18243(VarCurr)
        & v18241(VarCurr) ) ) )).

fof(writeUnaryOperator_2226,axiom,(
    ! [VarCurr] :
      ( ~ v18243(VarCurr)
    <=> v13220(VarCurr) ) )).

fof(addAssignment_7345,axiom,(
    ! [VarCurr] :
      ( v18241(VarCurr)
    <=> v17620(VarCurr) ) )).

fof(writeUnaryOperator_2225,axiom,(
    ! [VarCurr] :
      ( ~ v18234(VarCurr)
    <=> v18236(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1305,axiom,(
    ! [VarCurr] :
      ( v18236(VarCurr)
    <=> ( v17649(VarCurr,bitIndex0)
        | v17649(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1304,axiom,(
    ! [VarCurr] :
      ( v17946(VarCurr)
    <=> ( v18229(VarCurr)
        | v17948(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1303,axiom,(
    ! [VarCurr] :
      ( v18229(VarCurr)
    <=> ( v18230(VarCurr)
        | v17948(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1302,axiom,(
    ! [VarCurr] :
      ( v18230(VarCurr)
    <=> ( v18231(VarCurr)
        | v17948(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1301,axiom,(
    ! [VarCurr] :
      ( v18231(VarCurr)
    <=> ( v18232(VarCurr)
        | v17948(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1300,axiom,(
    ! [VarCurr] :
      ( v18232(VarCurr)
    <=> ( v17948(VarCurr,bitIndex0)
        | v17948(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_223,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18132(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v17948(VarNext,B)
            <=> v17948(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_255,axiom,(
    ! [VarNext] :
      ( v18132(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v17948(VarNext,B)
          <=> v18153(VarNext,B) ) ) ) )).

fof(addAssignment_7344,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v18153(VarNext,B)
          <=> v18151(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_401,axiom,(
    ! [VarCurr] :
      ( ~ v18141(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18151(VarCurr,B)
          <=> v18154(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_401,axiom,(
    ! [VarCurr] :
      ( v18141(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18151(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_400,axiom,(
    ! [VarCurr] :
      ( ~ v18144(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18154(VarCurr,B)
          <=> v18190(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_400,axiom,(
    ! [VarCurr] :
      ( v18144(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18154(VarCurr,B)
          <=> v18155(VarCurr,B) ) ) ) )).

fof(addAssignment_7343,axiom,(
    ! [VarCurr] :
      ( v18190(VarCurr,bitIndex0)
    <=> v18223(VarCurr) ) )).

fof(addAssignment_7342,axiom,(
    ! [VarCurr] :
      ( v18190(VarCurr,bitIndex1)
    <=> v18221(VarCurr) ) )).

fof(addAssignment_7341,axiom,(
    ! [VarCurr] :
      ( v18190(VarCurr,bitIndex2)
    <=> v18217(VarCurr) ) )).

fof(addAssignment_7340,axiom,(
    ! [VarCurr] :
      ( v18190(VarCurr,bitIndex3)
    <=> v18213(VarCurr) ) )).

fof(addAssignment_7339,axiom,(
    ! [VarCurr] :
      ( v18190(VarCurr,bitIndex4)
    <=> v18209(VarCurr) ) )).

fof(addAssignment_7338,axiom,(
    ! [VarCurr] :
      ( v18190(VarCurr,bitIndex5)
    <=> v18192(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4259,axiom,(
    ! [VarCurr] :
      ( v18221(VarCurr)
    <=> ( v18222(VarCurr)
        & v18224(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4258,axiom,(
    ! [VarCurr] :
      ( v18224(VarCurr)
    <=> ( v17948(VarCurr,bitIndex0)
        | v18203(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1299,axiom,(
    ! [VarCurr] :
      ( v18222(VarCurr)
    <=> ( v18223(VarCurr)
        | v17948(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2224,axiom,(
    ! [VarCurr] :
      ( ~ v18223(VarCurr)
    <=> v17948(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4257,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr)
    <=> ( v18218(VarCurr)
        & v18220(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4256,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr)
    <=> ( v18201(VarCurr)
        | v18204(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1298,axiom,(
    ! [VarCurr] :
      ( v18218(VarCurr)
    <=> ( v18219(VarCurr)
        | v17948(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2223,axiom,(
    ! [VarCurr] :
      ( ~ v18219(VarCurr)
    <=> v18201(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4255,axiom,(
    ! [VarCurr] :
      ( v18213(VarCurr)
    <=> ( v18214(VarCurr)
        & v18216(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4254,axiom,(
    ! [VarCurr] :
      ( v18216(VarCurr)
    <=> ( v18199(VarCurr)
        | v18205(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1297,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr)
    <=> ( v18215(VarCurr)
        | v17948(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2222,axiom,(
    ! [VarCurr] :
      ( ~ v18215(VarCurr)
    <=> v18199(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4253,axiom,(
    ! [VarCurr] :
      ( v18209(VarCurr)
    <=> ( v18210(VarCurr)
        & v18212(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4252,axiom,(
    ! [VarCurr] :
      ( v18212(VarCurr)
    <=> ( v18197(VarCurr)
        | v18206(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1296,axiom,(
    ! [VarCurr] :
      ( v18210(VarCurr)
    <=> ( v18211(VarCurr)
        | v17948(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2221,axiom,(
    ! [VarCurr] :
      ( ~ v18211(VarCurr)
    <=> v18197(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4251,axiom,(
    ! [VarCurr] :
      ( v18192(VarCurr)
    <=> ( v18193(VarCurr)
        & v18207(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4250,axiom,(
    ! [VarCurr] :
      ( v18207(VarCurr)
    <=> ( v18195(VarCurr)
        | v18208(VarCurr) ) ) )).

fof(writeUnaryOperator_2220,axiom,(
    ! [VarCurr] :
      ( ~ v18208(VarCurr)
    <=> v17948(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1295,axiom,(
    ! [VarCurr] :
      ( v18193(VarCurr)
    <=> ( v18194(VarCurr)
        | v17948(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2219,axiom,(
    ! [VarCurr] :
      ( ~ v18194(VarCurr)
    <=> v18195(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1294,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr)
    <=> ( v17948(VarCurr,bitIndex4)
        | v18196(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4249,axiom,(
    ! [VarCurr] :
      ( v18196(VarCurr)
    <=> ( v18197(VarCurr)
        & v18206(VarCurr) ) ) )).

fof(writeUnaryOperator_2218,axiom,(
    ! [VarCurr] :
      ( ~ v18206(VarCurr)
    <=> v17948(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1293,axiom,(
    ! [VarCurr] :
      ( v18197(VarCurr)
    <=> ( v17948(VarCurr,bitIndex3)
        | v18198(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4248,axiom,(
    ! [VarCurr] :
      ( v18198(VarCurr)
    <=> ( v18199(VarCurr)
        & v18205(VarCurr) ) ) )).

fof(writeUnaryOperator_2217,axiom,(
    ! [VarCurr] :
      ( ~ v18205(VarCurr)
    <=> v17948(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1292,axiom,(
    ! [VarCurr] :
      ( v18199(VarCurr)
    <=> ( v17948(VarCurr,bitIndex2)
        | v18200(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4247,axiom,(
    ! [VarCurr] :
      ( v18200(VarCurr)
    <=> ( v18201(VarCurr)
        & v18204(VarCurr) ) ) )).

fof(writeUnaryOperator_2216,axiom,(
    ! [VarCurr] :
      ( ~ v18204(VarCurr)
    <=> v17948(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1291,axiom,(
    ! [VarCurr] :
      ( v18201(VarCurr)
    <=> ( v17948(VarCurr,bitIndex1)
        | v18202(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4246,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr)
    <=> ( v17948(VarCurr,bitIndex0)
        & v18203(VarCurr) ) ) )).

fof(writeUnaryOperator_2215,axiom,(
    ! [VarCurr] :
      ( ~ v18203(VarCurr)
    <=> v17948(VarCurr,bitIndex1) ) )).

fof(addAssignment_7337,axiom,(
    ! [VarCurr] :
      ( v18155(VarCurr,bitIndex0)
    <=> v18188(VarCurr) ) )).

fof(addAssignment_7336,axiom,(
    ! [VarCurr] :
      ( v18155(VarCurr,bitIndex1)
    <=> v18186(VarCurr) ) )).

fof(addAssignment_7335,axiom,(
    ! [VarCurr] :
      ( v18155(VarCurr,bitIndex2)
    <=> v18182(VarCurr) ) )).

fof(addAssignment_7334,axiom,(
    ! [VarCurr] :
      ( v18155(VarCurr,bitIndex3)
    <=> v18178(VarCurr) ) )).

fof(addAssignment_7333,axiom,(
    ! [VarCurr] :
      ( v18155(VarCurr,bitIndex4)
    <=> v18174(VarCurr) ) )).

fof(addAssignment_7332,axiom,(
    ! [VarCurr] :
      ( v18155(VarCurr,bitIndex5)
    <=> v18157(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4245,axiom,(
    ! [VarCurr] :
      ( v18186(VarCurr)
    <=> ( v18187(VarCurr)
        & v18189(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4244,axiom,(
    ! [VarCurr] :
      ( v18189(VarCurr)
    <=> ( v17967(VarCurr,bitIndex0)
        | v18168(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1290,axiom,(
    ! [VarCurr] :
      ( v18187(VarCurr)
    <=> ( v18188(VarCurr)
        | v17967(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2214,axiom,(
    ! [VarCurr] :
      ( ~ v18188(VarCurr)
    <=> v17967(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4243,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr)
    <=> ( v18183(VarCurr)
        & v18185(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4242,axiom,(
    ! [VarCurr] :
      ( v18185(VarCurr)
    <=> ( v18166(VarCurr)
        | v18169(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1289,axiom,(
    ! [VarCurr] :
      ( v18183(VarCurr)
    <=> ( v18184(VarCurr)
        | v17967(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2213,axiom,(
    ! [VarCurr] :
      ( ~ v18184(VarCurr)
    <=> v18166(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4241,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr)
    <=> ( v18179(VarCurr)
        & v18181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4240,axiom,(
    ! [VarCurr] :
      ( v18181(VarCurr)
    <=> ( v18164(VarCurr)
        | v18170(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1288,axiom,(
    ! [VarCurr] :
      ( v18179(VarCurr)
    <=> ( v18180(VarCurr)
        | v17967(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2212,axiom,(
    ! [VarCurr] :
      ( ~ v18180(VarCurr)
    <=> v18164(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4239,axiom,(
    ! [VarCurr] :
      ( v18174(VarCurr)
    <=> ( v18175(VarCurr)
        & v18177(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4238,axiom,(
    ! [VarCurr] :
      ( v18177(VarCurr)
    <=> ( v18162(VarCurr)
        | v18171(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1287,axiom,(
    ! [VarCurr] :
      ( v18175(VarCurr)
    <=> ( v18176(VarCurr)
        | v17967(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2211,axiom,(
    ! [VarCurr] :
      ( ~ v18176(VarCurr)
    <=> v18162(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4237,axiom,(
    ! [VarCurr] :
      ( v18157(VarCurr)
    <=> ( v18158(VarCurr)
        & v18172(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4236,axiom,(
    ! [VarCurr] :
      ( v18172(VarCurr)
    <=> ( v18160(VarCurr)
        | v18173(VarCurr) ) ) )).

fof(writeUnaryOperator_2210,axiom,(
    ! [VarCurr] :
      ( ~ v18173(VarCurr)
    <=> v17967(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1286,axiom,(
    ! [VarCurr] :
      ( v18158(VarCurr)
    <=> ( v18159(VarCurr)
        | v17967(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2209,axiom,(
    ! [VarCurr] :
      ( ~ v18159(VarCurr)
    <=> v18160(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1285,axiom,(
    ! [VarCurr] :
      ( v18160(VarCurr)
    <=> ( v17967(VarCurr,bitIndex4)
        | v18161(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4235,axiom,(
    ! [VarCurr] :
      ( v18161(VarCurr)
    <=> ( v18162(VarCurr)
        & v18171(VarCurr) ) ) )).

fof(writeUnaryOperator_2208,axiom,(
    ! [VarCurr] :
      ( ~ v18171(VarCurr)
    <=> v17967(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1284,axiom,(
    ! [VarCurr] :
      ( v18162(VarCurr)
    <=> ( v17967(VarCurr,bitIndex3)
        | v18163(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4234,axiom,(
    ! [VarCurr] :
      ( v18163(VarCurr)
    <=> ( v18164(VarCurr)
        & v18170(VarCurr) ) ) )).

fof(writeUnaryOperator_2207,axiom,(
    ! [VarCurr] :
      ( ~ v18170(VarCurr)
    <=> v17967(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1283,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr)
    <=> ( v17967(VarCurr,bitIndex2)
        | v18165(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4233,axiom,(
    ! [VarCurr] :
      ( v18165(VarCurr)
    <=> ( v18166(VarCurr)
        & v18169(VarCurr) ) ) )).

fof(writeUnaryOperator_2206,axiom,(
    ! [VarCurr] :
      ( ~ v18169(VarCurr)
    <=> v17967(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1282,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr)
    <=> ( v17967(VarCurr,bitIndex1)
        | v18167(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4232,axiom,(
    ! [VarCurr] :
      ( v18167(VarCurr)
    <=> ( v17967(VarCurr,bitIndex0)
        & v18168(VarCurr) ) ) )).

fof(writeUnaryOperator_2205,axiom,(
    ! [VarCurr] :
      ( ~ v18168(VarCurr)
    <=> v17967(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18132(VarNext)
      <=> ( v18133(VarNext)
          & v18140(VarNext) ) ) ) )).

fof(addAssignment_7331,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18140(VarNext)
      <=> v18138(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4230,axiom,(
    ! [VarCurr] :
      ( v18138(VarCurr)
    <=> ( v18141(VarCurr)
        | v18142(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4229,axiom,(
    ! [VarCurr] :
      ( v18142(VarCurr)
    <=> ( v18143(VarCurr)
        & v18150(VarCurr) ) ) )).

fof(writeUnaryOperator_2204,axiom,(
    ! [VarCurr] :
      ( ~ v18150(VarCurr)
    <=> v18141(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4228,axiom,(
    ! [VarCurr] :
      ( v18143(VarCurr)
    <=> ( v18144(VarCurr)
        | v18146(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4227,axiom,(
    ! [VarCurr] :
      ( v18146(VarCurr)
    <=> ( v18147(VarCurr)
        & v18149(VarCurr) ) ) )).

fof(writeUnaryOperator_2203,axiom,(
    ! [VarCurr] :
      ( ~ v18149(VarCurr)
    <=> v18144(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4226,axiom,(
    ! [VarCurr] :
      ( v18147(VarCurr)
    <=> ( v17651(VarCurr)
        & v18148(VarCurr) ) ) )).

fof(writeUnaryOperator_2202,axiom,(
    ! [VarCurr] :
      ( ~ v18148(VarCurr)
    <=> v17964(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4225,axiom,(
    ! [VarCurr] :
      ( v18144(VarCurr)
    <=> ( v13224(VarCurr)
        & v18145(VarCurr) ) ) )).

fof(writeUnaryOperator_2201,axiom,(
    ! [VarCurr] :
      ( ~ v18145(VarCurr)
    <=> v17950(VarCurr) ) )).

fof(writeUnaryOperator_2200,axiom,(
    ! [VarCurr] :
      ( ~ v18141(VarCurr)
    <=> v13222(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4224,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18133(VarNext)
      <=> ( v18134(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18134(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addAssignment_7330,axiom,(
    ! [VarCurr] :
      ( v17967(VarCurr,bitIndex5)
    <=> v17968(VarCurr,bitIndex5) ) )).

fof(addAssignment_7329,axiom,(
    ! [VarCurr] :
      ( v17969(VarCurr,bitIndex3)
    <=> v18086(VarCurr,bitIndex3) ) )).

fof(addAssignment_7328,axiom,(
    ! [VarCurr] :
      ( v17976(VarCurr,bitIndex7)
    <=> v17985(VarCurr,bitIndex7) ) )).

fof(addAssignment_7327,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex7)
    <=> v17693(VarCurr,bitIndex7) ) )).

fof(addAssignment_7326,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex7)
    <=> v17695(VarCurr,bitIndex7) ) )).

fof(addAssignment_7325,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex7)
    <=> v17697(VarCurr,bitIndex7) ) )).

fof(addAssignment_7324,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex7)
    <=> v13242(VarCurr,bitIndex101) ) )).

fof(addAssignment_7323,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex101)
    <=> v13244(VarCurr,bitIndex101) ) )).

fof(addAssignment_7322,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex101)
    <=> v13246(VarCurr,bitIndex101) ) )).

fof(addAssignment_7321,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex101)
    <=> v13248(VarCurr,bitIndex681) ) )).

fof(addAssignment_7320,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex681)
    <=> v18123(VarNext,bitIndex101) ) )).

fof(addCaseBooleanConditionShiftedRanges1_35,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18125(VarNext)
       => ( ( v18123(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v18123(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v18123(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v18123(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v18123(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v18123(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v18123(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v18123(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v18123(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v18123(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v18123(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v18123(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v18123(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v18123(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v18123(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v18123(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v18123(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v18123(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v18123(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v18123(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v18123(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v18123(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v18123(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v18123(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v18123(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v18123(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v18123(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v18123(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v18123(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v18123(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v18123(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v18123(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v18123(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v18123(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v18123(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v18123(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v18123(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v18123(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v18123(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v18123(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v18123(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v18123(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v18123(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v18123(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v18123(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v18123(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v18123(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v18123(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v18123(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v18123(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v18123(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v18123(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v18123(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v18123(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v18123(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v18123(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v18123(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v18123(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v18123(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v18123(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v18123(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v18123(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v18123(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v18123(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v18123(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v18123(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v18123(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v18123(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v18123(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v18123(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v18123(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v18123(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v18123(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v18123(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v18123(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v18123(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v18123(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v18123(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v18123(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v18123(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v18123(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v18123(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v18123(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v18123(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v18123(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v18123(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v18123(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v18123(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v18123(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v18123(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v18123(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v18123(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v18123(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v18123(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v18123(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v18123(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v18123(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v18123(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v18123(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v18123(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v18123(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v18123(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v18123(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v18123(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v18123(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v18123(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v18123(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v18123(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v18123(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v18123(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v18123(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v18123(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v18123(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v18123(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v18123(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v18123(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_254,axiom,(
    ! [VarNext] :
      ( v18125(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v18123(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4223,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18125(VarNext)
      <=> ( v18126(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18126(VarNext)
      <=> ( v18128(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18128(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7319,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex101)
    <=> v13384(VarCurr,bitIndex101) ) )).

fof(addAssignment_7318,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex101)
    <=> v13386(VarCurr,bitIndex101) ) )).

fof(addAssignment_7317,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex101)
    <=> v13388(VarCurr,bitIndex101) ) )).

fof(addAssignment_7316,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex101)
    <=> v13390(VarCurr,bitIndex101) ) )).

fof(addAssignment_7315,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex101)
    <=> v13392(VarCurr,bitIndex101) ) )).

fof(addAssignment_7314,axiom,(
    ! [VarCurr] :
      ( v17967(VarCurr,bitIndex4)
    <=> v17968(VarCurr,bitIndex4) ) )).

fof(addAssignment_7313,axiom,(
    ! [VarCurr] :
      ( v17969(VarCurr,bitIndex2)
    <=> v18086(VarCurr,bitIndex2) ) )).

fof(addAssignment_7312,axiom,(
    ! [VarCurr] :
      ( v17976(VarCurr,bitIndex6)
    <=> v17985(VarCurr,bitIndex6) ) )).

fof(addAssignment_7311,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex6)
    <=> v17693(VarCurr,bitIndex6) ) )).

fof(addAssignment_7310,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex6)
    <=> v17695(VarCurr,bitIndex6) ) )).

fof(addAssignment_7309,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex6)
    <=> v17697(VarCurr,bitIndex6) ) )).

fof(addAssignment_7308,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex6)
    <=> v13242(VarCurr,bitIndex100) ) )).

fof(addAssignment_7307,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex100)
    <=> v13244(VarCurr,bitIndex100) ) )).

fof(addAssignment_7306,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex100)
    <=> v13246(VarCurr,bitIndex100) ) )).

fof(addAssignment_7305,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex100)
    <=> v13248(VarCurr,bitIndex680) ) )).

fof(addAssignment_7304,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex680)
    <=> v18115(VarNext,bitIndex100) ) )).

fof(addCaseBooleanConditionShiftedRanges1_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18117(VarNext)
       => ( ( v18115(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v18115(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v18115(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v18115(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v18115(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v18115(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v18115(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v18115(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v18115(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v18115(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v18115(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v18115(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v18115(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v18115(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v18115(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v18115(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v18115(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v18115(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v18115(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v18115(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v18115(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v18115(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v18115(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v18115(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v18115(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v18115(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v18115(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v18115(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v18115(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v18115(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v18115(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v18115(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v18115(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v18115(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v18115(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v18115(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v18115(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v18115(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v18115(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v18115(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v18115(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v18115(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v18115(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v18115(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v18115(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v18115(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v18115(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v18115(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v18115(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v18115(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v18115(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v18115(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v18115(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v18115(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v18115(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v18115(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v18115(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v18115(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v18115(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v18115(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v18115(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v18115(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v18115(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v18115(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v18115(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v18115(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v18115(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v18115(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v18115(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v18115(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v18115(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v18115(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v18115(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v18115(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v18115(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v18115(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v18115(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v18115(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v18115(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v18115(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v18115(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v18115(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v18115(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v18115(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v18115(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v18115(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v18115(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v18115(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v18115(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v18115(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v18115(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v18115(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v18115(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v18115(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v18115(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v18115(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v18115(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v18115(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v18115(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v18115(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v18115(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v18115(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v18115(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v18115(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v18115(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v18115(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v18115(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v18115(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v18115(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v18115(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v18115(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v18115(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v18115(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v18115(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v18115(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v18115(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_253,axiom,(
    ! [VarNext] :
      ( v18117(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v18115(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4221,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18117(VarNext)
      <=> ( v18118(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18118(VarNext)
      <=> ( v18120(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18120(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7303,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex100)
    <=> v13384(VarCurr,bitIndex100) ) )).

fof(addAssignment_7302,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex100)
    <=> v13386(VarCurr,bitIndex100) ) )).

fof(addAssignment_7301,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex100)
    <=> v13388(VarCurr,bitIndex100) ) )).

fof(addAssignment_7300,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex100)
    <=> v13390(VarCurr,bitIndex100) ) )).

fof(addAssignment_7299,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex100)
    <=> v13392(VarCurr,bitIndex100) ) )).

fof(addAssignment_7298,axiom,(
    ! [VarCurr] :
      ( v17967(VarCurr,bitIndex3)
    <=> v17968(VarCurr,bitIndex3) ) )).

fof(addAssignment_7297,axiom,(
    ! [VarCurr] :
      ( v17969(VarCurr,bitIndex1)
    <=> v18086(VarCurr,bitIndex1) ) )).

fof(addAssignment_7296,axiom,(
    ! [VarCurr] :
      ( v17976(VarCurr,bitIndex5)
    <=> v17985(VarCurr,bitIndex5) ) )).

fof(addAssignment_7295,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex5)
    <=> v17693(VarCurr,bitIndex5) ) )).

fof(addAssignment_7294,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex5)
    <=> v17695(VarCurr,bitIndex5) ) )).

fof(addAssignment_7293,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex5)
    <=> v17697(VarCurr,bitIndex5) ) )).

fof(addAssignment_7292,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex5)
    <=> v13242(VarCurr,bitIndex99) ) )).

fof(addAssignment_7291,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex99)
    <=> v13244(VarCurr,bitIndex99) ) )).

fof(addAssignment_7290,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex99)
    <=> v13246(VarCurr,bitIndex99) ) )).

fof(addAssignment_7289,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex99)
    <=> v13248(VarCurr,bitIndex679) ) )).

fof(addAssignment_7288,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex679)
    <=> v18107(VarNext,bitIndex99) ) )).

fof(addCaseBooleanConditionShiftedRanges1_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18109(VarNext)
       => ( ( v18107(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v18107(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v18107(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v18107(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v18107(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v18107(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v18107(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v18107(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v18107(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v18107(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v18107(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v18107(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v18107(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v18107(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v18107(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v18107(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v18107(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v18107(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v18107(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v18107(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v18107(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v18107(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v18107(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v18107(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v18107(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v18107(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v18107(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v18107(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v18107(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v18107(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v18107(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v18107(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v18107(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v18107(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v18107(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v18107(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v18107(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v18107(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v18107(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v18107(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v18107(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v18107(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v18107(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v18107(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v18107(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v18107(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v18107(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v18107(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v18107(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v18107(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v18107(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v18107(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v18107(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v18107(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v18107(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v18107(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v18107(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v18107(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v18107(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v18107(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v18107(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v18107(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v18107(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v18107(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v18107(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v18107(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v18107(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v18107(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v18107(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v18107(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v18107(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v18107(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v18107(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v18107(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v18107(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v18107(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v18107(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v18107(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v18107(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v18107(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v18107(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v18107(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v18107(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v18107(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v18107(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v18107(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v18107(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v18107(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v18107(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v18107(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v18107(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v18107(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v18107(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v18107(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v18107(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v18107(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v18107(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v18107(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v18107(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v18107(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v18107(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v18107(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v18107(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v18107(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v18107(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v18107(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v18107(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v18107(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v18107(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v18107(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v18107(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v18107(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v18107(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v18107(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v18107(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v18107(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_252,axiom,(
    ! [VarNext] :
      ( v18109(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v18107(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4219,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18109(VarNext)
      <=> ( v18110(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4218,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18110(VarNext)
      <=> ( v18112(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2196,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18112(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7287,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex99)
    <=> v13384(VarCurr,bitIndex99) ) )).

fof(addAssignment_7286,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex99)
    <=> v13386(VarCurr,bitIndex99) ) )).

fof(addAssignment_7285,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex99)
    <=> v13388(VarCurr,bitIndex99) ) )).

fof(addAssignment_7284,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex99)
    <=> v13390(VarCurr,bitIndex99) ) )).

fof(addAssignment_7283,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex99)
    <=> v13392(VarCurr,bitIndex99) ) )).

fof(addAssignment_7282,axiom,(
    ! [VarCurr] :
      ( v17967(VarCurr,bitIndex2)
    <=> v17968(VarCurr,bitIndex2) ) )).

fof(addAssignment_7281,axiom,(
    ! [VarCurr] :
      ( v17969(VarCurr,bitIndex0)
    <=> v18086(VarCurr,bitIndex0) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_317,axiom,(
    ! [VarCurr] :
      ( ~ v17972(VarCurr)
     => ( ( v18086(VarCurr,bitIndex3)
        <=> v17976(VarCurr,bitIndex7) )
        & ( v18086(VarCurr,bitIndex2)
        <=> v17976(VarCurr,bitIndex6) )
        & ( v18086(VarCurr,bitIndex1)
        <=> v17976(VarCurr,bitIndex5) )
        & ( v18086(VarCurr,bitIndex0)
        <=> v17976(VarCurr,bitIndex4) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_277,axiom,(
    ! [VarCurr] :
      ( v17972(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v18086(VarCurr,B)
          <=> v18087(VarCurr,B) ) ) ) )).

fof(addAssignment_7280,axiom,(
    ! [VarCurr] :
      ( v18087(VarCurr,bitIndex0)
    <=> v18103(VarCurr) ) )).

fof(addAssignment_7279,axiom,(
    ! [VarCurr] :
      ( v18087(VarCurr,bitIndex1)
    <=> v18101(VarCurr) ) )).

fof(addAssignment_7278,axiom,(
    ! [VarCurr] :
      ( v18087(VarCurr,bitIndex2)
    <=> v18096(VarCurr) ) )).

fof(addAssignment_7277,axiom,(
    ! [VarCurr] :
      ( v18087(VarCurr,bitIndex3)
    <=> v18089(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4217,axiom,(
    ! [VarCurr] :
      ( v18101(VarCurr)
    <=> ( v18102(VarCurr)
        & v18105(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1281,axiom,(
    ! [VarCurr] :
      ( v18105(VarCurr)
    <=> ( v17976(VarCurr,bitIndex4)
        | v17976(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4216,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr)
    <=> ( v18103(VarCurr)
        | v18104(VarCurr) ) ) )).

fof(writeUnaryOperator_2195,axiom,(
    ! [VarCurr] :
      ( ~ v18104(VarCurr)
    <=> v17976(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2194,axiom,(
    ! [VarCurr] :
      ( ~ v18103(VarCurr)
    <=> v17976(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4215,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr)
    <=> ( v18097(VarCurr)
        & v18100(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1280,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr)
    <=> ( v18093(VarCurr)
        | v17976(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4214,axiom,(
    ! [VarCurr] :
      ( v18097(VarCurr)
    <=> ( v18098(VarCurr)
        | v18099(VarCurr) ) ) )).

fof(writeUnaryOperator_2193,axiom,(
    ! [VarCurr] :
      ( ~ v18099(VarCurr)
    <=> v17976(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_2192,axiom,(
    ! [VarCurr] :
      ( ~ v18098(VarCurr)
    <=> v18093(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4213,axiom,(
    ! [VarCurr] :
      ( v18089(VarCurr)
    <=> ( v18090(VarCurr)
        & v18095(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1279,axiom,(
    ! [VarCurr] :
      ( v18095(VarCurr)
    <=> ( v18092(VarCurr)
        | v17976(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4212,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr)
    <=> ( v18091(VarCurr)
        | v18094(VarCurr) ) ) )).

fof(writeUnaryOperator_2191,axiom,(
    ! [VarCurr] :
      ( ~ v18094(VarCurr)
    <=> v17976(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_2190,axiom,(
    ! [VarCurr] :
      ( ~ v18091(VarCurr)
    <=> v18092(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1278,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr)
    <=> ( v18093(VarCurr)
        & v17976(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1277,axiom,(
    ! [VarCurr] :
      ( v18093(VarCurr)
    <=> ( v17976(VarCurr,bitIndex4)
        & v17976(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_7276,axiom,(
    ! [VarCurr] :
      ( v17976(VarCurr,bitIndex4)
    <=> v17985(VarCurr,bitIndex4) ) )).

fof(addAssignment_7275,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex4)
    <=> v17693(VarCurr,bitIndex4) ) )).

fof(addAssignment_7274,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex4)
    <=> v17695(VarCurr,bitIndex4) ) )).

fof(addAssignment_7273,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex4)
    <=> v17697(VarCurr,bitIndex4) ) )).

fof(addAssignment_7272,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex4)
    <=> v13242(VarCurr,bitIndex98) ) )).

fof(addAssignment_7271,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex98)
    <=> v13244(VarCurr,bitIndex98) ) )).

fof(addAssignment_7270,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex98)
    <=> v13246(VarCurr,bitIndex98) ) )).

fof(addAssignment_7269,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex98)
    <=> v13248(VarCurr,bitIndex678) ) )).

fof(addAssignment_7268,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex678)
    <=> v18079(VarNext,bitIndex98) ) )).

fof(addCaseBooleanConditionShiftedRanges1_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18081(VarNext)
       => ( ( v18079(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v18079(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v18079(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v18079(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v18079(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v18079(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v18079(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v18079(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v18079(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v18079(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v18079(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v18079(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v18079(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v18079(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v18079(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v18079(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v18079(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v18079(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v18079(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v18079(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v18079(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v18079(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v18079(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v18079(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v18079(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v18079(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v18079(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v18079(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v18079(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v18079(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v18079(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v18079(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v18079(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v18079(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v18079(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v18079(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v18079(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v18079(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v18079(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v18079(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v18079(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v18079(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v18079(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v18079(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v18079(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v18079(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v18079(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v18079(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v18079(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v18079(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v18079(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v18079(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v18079(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v18079(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v18079(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v18079(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v18079(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v18079(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v18079(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v18079(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v18079(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v18079(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v18079(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v18079(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v18079(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v18079(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v18079(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v18079(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v18079(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v18079(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v18079(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v18079(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v18079(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v18079(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v18079(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v18079(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v18079(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v18079(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v18079(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v18079(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v18079(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v18079(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v18079(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v18079(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v18079(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v18079(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v18079(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v18079(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v18079(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v18079(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v18079(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v18079(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v18079(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v18079(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v18079(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v18079(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v18079(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v18079(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v18079(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v18079(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v18079(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v18079(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v18079(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v18079(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v18079(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v18079(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v18079(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v18079(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v18079(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v18079(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v18079(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v18079(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v18079(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v18079(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v18079(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v18079(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_251,axiom,(
    ! [VarNext] :
      ( v18081(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v18079(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18081(VarNext)
      <=> ( v18082(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4210,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18082(VarNext)
      <=> ( v18084(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2189,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18084(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7267,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex98)
    <=> v13384(VarCurr,bitIndex98) ) )).

fof(addAssignment_7266,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex98)
    <=> v13386(VarCurr,bitIndex98) ) )).

fof(addAssignment_7265,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex98)
    <=> v13388(VarCurr,bitIndex98) ) )).

fof(addAssignment_7264,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex98)
    <=> v13390(VarCurr,bitIndex98) ) )).

fof(addAssignment_7263,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex98)
    <=> v13392(VarCurr,bitIndex98) ) )).

fof(writeBinaryOperatorShiftedRanges_1276,axiom,(
    ! [VarCurr] :
      ( v17972(VarCurr)
    <=> ( v18076(VarCurr)
        | v17974(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1275,axiom,(
    ! [VarCurr] :
      ( v18076(VarCurr)
    <=> ( v18077(VarCurr)
        | v17974(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1274,axiom,(
    ! [VarCurr] :
      ( v18077(VarCurr)
    <=> ( v17974(VarCurr,bitIndex0)
        | v17974(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7262,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v17974(VarCurr,B)
      <=> v17976(VarCurr,B) ) ) )).

fof(addAssignment_7261,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v17976(VarCurr,B)
      <=> v17985(VarCurr,B) ) ) )).

fof(addAssignment_7260,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex0)
    <=> v18070(VarCurr) ) )).

fof(addAssignment_7259,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex1)
    <=> v18065(VarCurr) ) )).

fof(addAssignment_7258,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex2)
    <=> v18060(VarCurr) ) )).

fof(addAssignment_7257,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex3)
    <=> v18055(VarCurr) ) )).

fof(addAssignment_7256,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex4)
    <=> v18050(VarCurr) ) )).

fof(addAssignment_7255,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex5)
    <=> v18045(VarCurr) ) )).

fof(addAssignment_7254,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex6)
    <=> v18040(VarCurr) ) )).

fof(addAssignment_7253,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr,bitIndex7)
    <=> v17987(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4209,axiom,(
    ! [VarCurr] :
      ( v18070(VarCurr)
    <=> ( v18071(VarCurr)
        & v18073(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4208,axiom,(
    ! [VarCurr] :
      ( v18073(VarCurr)
    <=> ( v17691(VarCurr,bitIndex0)
        | v18003(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4207,axiom,(
    ! [VarCurr] :
      ( v18071(VarCurr)
    <=> ( v17729(VarCurr)
        | v18072(VarCurr) ) ) )).

fof(writeUnaryOperator_2188,axiom,(
    ! [VarCurr] :
      ( ~ v18072(VarCurr)
    <=> v18003(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4206,axiom,(
    ! [VarCurr] :
      ( v18065(VarCurr)
    <=> ( v18066(VarCurr)
        & v18069(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4205,axiom,(
    ! [VarCurr] :
      ( v18069(VarCurr)
    <=> ( v18002(VarCurr)
        | v18004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4204,axiom,(
    ! [VarCurr] :
      ( v18066(VarCurr)
    <=> ( v18067(VarCurr)
        | v18068(VarCurr) ) ) )).

fof(writeUnaryOperator_2187,axiom,(
    ! [VarCurr] :
      ( ~ v18068(VarCurr)
    <=> v18004(VarCurr) ) )).

fof(writeUnaryOperator_2186,axiom,(
    ! [VarCurr] :
      ( ~ v18067(VarCurr)
    <=> v18002(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4203,axiom,(
    ! [VarCurr] :
      ( v18060(VarCurr)
    <=> ( v18061(VarCurr)
        & v18064(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4202,axiom,(
    ! [VarCurr] :
      ( v18064(VarCurr)
    <=> ( v18000(VarCurr)
        | v18009(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4201,axiom,(
    ! [VarCurr] :
      ( v18061(VarCurr)
    <=> ( v18062(VarCurr)
        | v18063(VarCurr) ) ) )).

fof(writeUnaryOperator_2185,axiom,(
    ! [VarCurr] :
      ( ~ v18063(VarCurr)
    <=> v18009(VarCurr) ) )).

fof(writeUnaryOperator_2184,axiom,(
    ! [VarCurr] :
      ( ~ v18062(VarCurr)
    <=> v18000(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4200,axiom,(
    ! [VarCurr] :
      ( v18055(VarCurr)
    <=> ( v18056(VarCurr)
        & v18059(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4199,axiom,(
    ! [VarCurr] :
      ( v18059(VarCurr)
    <=> ( v17998(VarCurr)
        | v18014(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4198,axiom,(
    ! [VarCurr] :
      ( v18056(VarCurr)
    <=> ( v18057(VarCurr)
        | v18058(VarCurr) ) ) )).

fof(writeUnaryOperator_2183,axiom,(
    ! [VarCurr] :
      ( ~ v18058(VarCurr)
    <=> v18014(VarCurr) ) )).

fof(writeUnaryOperator_2182,axiom,(
    ! [VarCurr] :
      ( ~ v18057(VarCurr)
    <=> v17998(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4197,axiom,(
    ! [VarCurr] :
      ( v18050(VarCurr)
    <=> ( v18051(VarCurr)
        & v18054(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4196,axiom,(
    ! [VarCurr] :
      ( v18054(VarCurr)
    <=> ( v17996(VarCurr)
        | v18019(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4195,axiom,(
    ! [VarCurr] :
      ( v18051(VarCurr)
    <=> ( v18052(VarCurr)
        | v18053(VarCurr) ) ) )).

fof(writeUnaryOperator_2181,axiom,(
    ! [VarCurr] :
      ( ~ v18053(VarCurr)
    <=> v18019(VarCurr) ) )).

fof(writeUnaryOperator_2180,axiom,(
    ! [VarCurr] :
      ( ~ v18052(VarCurr)
    <=> v17996(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4194,axiom,(
    ! [VarCurr] :
      ( v18045(VarCurr)
    <=> ( v18046(VarCurr)
        & v18049(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4193,axiom,(
    ! [VarCurr] :
      ( v18049(VarCurr)
    <=> ( v17994(VarCurr)
        | v18024(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4192,axiom,(
    ! [VarCurr] :
      ( v18046(VarCurr)
    <=> ( v18047(VarCurr)
        | v18048(VarCurr) ) ) )).

fof(writeUnaryOperator_2179,axiom,(
    ! [VarCurr] :
      ( ~ v18048(VarCurr)
    <=> v18024(VarCurr) ) )).

fof(writeUnaryOperator_2178,axiom,(
    ! [VarCurr] :
      ( ~ v18047(VarCurr)
    <=> v17994(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4191,axiom,(
    ! [VarCurr] :
      ( v18040(VarCurr)
    <=> ( v18041(VarCurr)
        & v18044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4190,axiom,(
    ! [VarCurr] :
      ( v18044(VarCurr)
    <=> ( v17992(VarCurr)
        | v18029(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4189,axiom,(
    ! [VarCurr] :
      ( v18041(VarCurr)
    <=> ( v18042(VarCurr)
        | v18043(VarCurr) ) ) )).

fof(writeUnaryOperator_2177,axiom,(
    ! [VarCurr] :
      ( ~ v18043(VarCurr)
    <=> v18029(VarCurr) ) )).

fof(writeUnaryOperator_2176,axiom,(
    ! [VarCurr] :
      ( ~ v18042(VarCurr)
    <=> v17992(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4188,axiom,(
    ! [VarCurr] :
      ( v17987(VarCurr)
    <=> ( v17988(VarCurr)
        & v18039(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4187,axiom,(
    ! [VarCurr] :
      ( v18039(VarCurr)
    <=> ( v17990(VarCurr)
        | v18035(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4186,axiom,(
    ! [VarCurr] :
      ( v17988(VarCurr)
    <=> ( v17989(VarCurr)
        | v18034(VarCurr) ) ) )).

fof(writeUnaryOperator_2175,axiom,(
    ! [VarCurr] :
      ( ~ v18034(VarCurr)
    <=> v18035(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4185,axiom,(
    ! [VarCurr] :
      ( v18035(VarCurr)
    <=> ( v18036(VarCurr)
        & v18038(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1273,axiom,(
    ! [VarCurr] :
      ( v18038(VarCurr)
    <=> ( v17691(VarCurr,bitIndex7)
        | v18003(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4184,axiom,(
    ! [VarCurr] :
      ( v18036(VarCurr)
    <=> ( v17787(VarCurr)
        | v18037(VarCurr) ) ) )).

fof(writeUnaryOperator_2174,axiom,(
    ! [VarCurr] :
      ( ~ v18037(VarCurr)
    <=> v18003(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_2173,axiom,(
    ! [VarCurr] :
      ( ~ v17989(VarCurr)
    <=> v17990(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4183,axiom,(
    ! [VarCurr] :
      ( v17990(VarCurr)
    <=> ( v17991(VarCurr)
        | v18033(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1272,axiom,(
    ! [VarCurr] :
      ( v18033(VarCurr)
    <=> ( v17691(VarCurr,bitIndex6)
        & v18003(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4182,axiom,(
    ! [VarCurr] :
      ( v17991(VarCurr)
    <=> ( v17992(VarCurr)
        & v18029(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4181,axiom,(
    ! [VarCurr] :
      ( v18029(VarCurr)
    <=> ( v18030(VarCurr)
        & v18032(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1271,axiom,(
    ! [VarCurr] :
      ( v18032(VarCurr)
    <=> ( v17691(VarCurr,bitIndex6)
        | v18003(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4180,axiom,(
    ! [VarCurr] :
      ( v18030(VarCurr)
    <=> ( v17792(VarCurr)
        | v18031(VarCurr) ) ) )).

fof(writeUnaryOperator_2172,axiom,(
    ! [VarCurr] :
      ( ~ v18031(VarCurr)
    <=> v18003(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4179,axiom,(
    ! [VarCurr] :
      ( v17992(VarCurr)
    <=> ( v17993(VarCurr)
        | v18028(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1270,axiom,(
    ! [VarCurr] :
      ( v18028(VarCurr)
    <=> ( v17691(VarCurr,bitIndex5)
        & v18003(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4178,axiom,(
    ! [VarCurr] :
      ( v17993(VarCurr)
    <=> ( v17994(VarCurr)
        & v18024(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4177,axiom,(
    ! [VarCurr] :
      ( v18024(VarCurr)
    <=> ( v18025(VarCurr)
        & v18027(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1269,axiom,(
    ! [VarCurr] :
      ( v18027(VarCurr)
    <=> ( v17691(VarCurr,bitIndex5)
        | v18003(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4176,axiom,(
    ! [VarCurr] :
      ( v18025(VarCurr)
    <=> ( v17797(VarCurr)
        | v18026(VarCurr) ) ) )).

fof(writeUnaryOperator_2171,axiom,(
    ! [VarCurr] :
      ( ~ v18026(VarCurr)
    <=> v18003(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4175,axiom,(
    ! [VarCurr] :
      ( v17994(VarCurr)
    <=> ( v17995(VarCurr)
        | v18023(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1268,axiom,(
    ! [VarCurr] :
      ( v18023(VarCurr)
    <=> ( v17691(VarCurr,bitIndex4)
        & v18003(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4174,axiom,(
    ! [VarCurr] :
      ( v17995(VarCurr)
    <=> ( v17996(VarCurr)
        & v18019(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4173,axiom,(
    ! [VarCurr] :
      ( v18019(VarCurr)
    <=> ( v18020(VarCurr)
        & v18022(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1267,axiom,(
    ! [VarCurr] :
      ( v18022(VarCurr)
    <=> ( v17691(VarCurr,bitIndex4)
        | v18003(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4172,axiom,(
    ! [VarCurr] :
      ( v18020(VarCurr)
    <=> ( v17802(VarCurr)
        | v18021(VarCurr) ) ) )).

fof(writeUnaryOperator_2170,axiom,(
    ! [VarCurr] :
      ( ~ v18021(VarCurr)
    <=> v18003(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4171,axiom,(
    ! [VarCurr] :
      ( v17996(VarCurr)
    <=> ( v17997(VarCurr)
        | v18018(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1266,axiom,(
    ! [VarCurr] :
      ( v18018(VarCurr)
    <=> ( v17691(VarCurr,bitIndex3)
        & v18003(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4170,axiom,(
    ! [VarCurr] :
      ( v17997(VarCurr)
    <=> ( v17998(VarCurr)
        & v18014(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4169,axiom,(
    ! [VarCurr] :
      ( v18014(VarCurr)
    <=> ( v18015(VarCurr)
        & v18017(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1265,axiom,(
    ! [VarCurr] :
      ( v18017(VarCurr)
    <=> ( v17691(VarCurr,bitIndex3)
        | v18003(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4168,axiom,(
    ! [VarCurr] :
      ( v18015(VarCurr)
    <=> ( v17807(VarCurr)
        | v18016(VarCurr) ) ) )).

fof(writeUnaryOperator_2169,axiom,(
    ! [VarCurr] :
      ( ~ v18016(VarCurr)
    <=> v18003(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4167,axiom,(
    ! [VarCurr] :
      ( v17998(VarCurr)
    <=> ( v17999(VarCurr)
        | v18013(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1264,axiom,(
    ! [VarCurr] :
      ( v18013(VarCurr)
    <=> ( v17691(VarCurr,bitIndex2)
        & v18003(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4166,axiom,(
    ! [VarCurr] :
      ( v17999(VarCurr)
    <=> ( v18000(VarCurr)
        & v18009(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4165,axiom,(
    ! [VarCurr] :
      ( v18009(VarCurr)
    <=> ( v18010(VarCurr)
        & v18012(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1263,axiom,(
    ! [VarCurr] :
      ( v18012(VarCurr)
    <=> ( v17691(VarCurr,bitIndex2)
        | v18003(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4164,axiom,(
    ! [VarCurr] :
      ( v18010(VarCurr)
    <=> ( v17806(VarCurr)
        | v18011(VarCurr) ) ) )).

fof(writeUnaryOperator_2168,axiom,(
    ! [VarCurr] :
      ( ~ v18011(VarCurr)
    <=> v18003(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4163,axiom,(
    ! [VarCurr] :
      ( v18000(VarCurr)
    <=> ( v18001(VarCurr)
        | v18008(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1262,axiom,(
    ! [VarCurr] :
      ( v18008(VarCurr)
    <=> ( v17691(VarCurr,bitIndex1)
        & v18003(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4162,axiom,(
    ! [VarCurr] :
      ( v18001(VarCurr)
    <=> ( v18002(VarCurr)
        & v18004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4161,axiom,(
    ! [VarCurr] :
      ( v18004(VarCurr)
    <=> ( v18005(VarCurr)
        & v18007(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1261,axiom,(
    ! [VarCurr] :
      ( v18007(VarCurr)
    <=> ( v17691(VarCurr,bitIndex1)
        | v18003(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4160,axiom,(
    ! [VarCurr] :
      ( v18005(VarCurr)
    <=> ( v17723(VarCurr)
        | v18006(VarCurr) ) ) )).

fof(writeUnaryOperator_2167,axiom,(
    ! [VarCurr] :
      ( ~ v18006(VarCurr)
    <=> v18003(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4159,axiom,(
    ! [VarCurr] :
      ( v18002(VarCurr)
    <=> ( v17691(VarCurr,bitIndex0)
        & v18003(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7252,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18003(VarCurr,B)
      <=> v17667(VarCurr,B) ) ) )).

fof(addAssignment_7251,axiom,(
    ! [VarCurr] :
      ( ( v18003(VarCurr,bitIndex7)
      <=> $false )
      & ( v18003(VarCurr,bitIndex6)
      <=> $false )
      & ( v18003(VarCurr,bitIndex5)
      <=> $false )
      & ( v18003(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addAssignment_7250,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex3)
    <=> v17693(VarCurr,bitIndex3) ) )).

fof(addAssignment_7249,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex3)
    <=> v17695(VarCurr,bitIndex3) ) )).

fof(addAssignment_7248,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex3)
    <=> v17697(VarCurr,bitIndex3) ) )).

fof(addAssignment_7247,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex3)
    <=> v13242(VarCurr,bitIndex97) ) )).

fof(addAssignment_7246,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex97)
    <=> v13244(VarCurr,bitIndex97) ) )).

fof(addAssignment_7245,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex97)
    <=> v13246(VarCurr,bitIndex97) ) )).

fof(addAssignment_7244,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex97)
    <=> v13248(VarCurr,bitIndex677) ) )).

fof(addAssignment_7243,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex677)
    <=> v17978(VarNext,bitIndex97) ) )).

fof(addCaseBooleanConditionShiftedRanges1_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17980(VarNext)
       => ( ( v17978(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v17978(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v17978(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v17978(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v17978(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v17978(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v17978(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v17978(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v17978(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v17978(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v17978(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v17978(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v17978(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v17978(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v17978(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v17978(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v17978(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v17978(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v17978(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v17978(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v17978(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v17978(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v17978(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v17978(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v17978(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v17978(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v17978(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v17978(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v17978(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v17978(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v17978(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v17978(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v17978(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v17978(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v17978(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v17978(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v17978(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v17978(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v17978(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v17978(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v17978(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v17978(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v17978(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v17978(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v17978(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v17978(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v17978(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v17978(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v17978(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v17978(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v17978(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v17978(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v17978(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v17978(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v17978(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v17978(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v17978(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v17978(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v17978(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v17978(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v17978(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v17978(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v17978(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v17978(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v17978(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v17978(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v17978(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v17978(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v17978(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v17978(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v17978(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v17978(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v17978(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v17978(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v17978(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v17978(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v17978(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v17978(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v17978(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v17978(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v17978(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v17978(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v17978(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v17978(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v17978(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v17978(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v17978(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v17978(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v17978(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v17978(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v17978(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v17978(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v17978(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v17978(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v17978(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v17978(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v17978(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v17978(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v17978(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v17978(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v17978(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v17978(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v17978(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v17978(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v17978(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v17978(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v17978(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v17978(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v17978(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v17978(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v17978(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v17978(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v17978(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v17978(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v17978(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v17978(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_250,axiom,(
    ! [VarNext] :
      ( v17980(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v17978(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4158,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17980(VarNext)
      <=> ( v17981(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4157,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17981(VarNext)
      <=> ( v17983(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2166,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17983(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7242,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex97)
    <=> v13384(VarCurr,bitIndex97) ) )).

fof(addAssignment_7241,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex97)
    <=> v13386(VarCurr,bitIndex97) ) )).

fof(addAssignment_7240,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex97)
    <=> v13388(VarCurr,bitIndex97) ) )).

fof(addAssignment_7239,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex97)
    <=> v13390(VarCurr,bitIndex97) ) )).

fof(addAssignment_7238,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex97)
    <=> v13392(VarCurr,bitIndex97) ) )).

fof(addAssignment_7237,axiom,(
    ! [VarCurr] :
      ( v17967(VarCurr,bitIndex1)
    <=> v17968(VarCurr,bitIndex1) ) )).

fof(addAssignment_7236,axiom,(
    ! [VarCurr] :
      ( v17967(VarCurr,bitIndex0)
    <=> v17968(VarCurr,bitIndex0) ) )).

fof(addAssignment_7235,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v17968(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_7234,axiom,(
    ! [VarCurr] :
      ( ( v17968(VarCurr,bitIndex5)
      <=> v17969(VarCurr,bitIndex3) )
      & ( v17968(VarCurr,bitIndex4)
      <=> v17969(VarCurr,bitIndex2) )
      & ( v17968(VarCurr,bitIndex3)
      <=> v17969(VarCurr,bitIndex1) )
      & ( v17968(VarCurr,bitIndex2)
      <=> v17969(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_334,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ( v17964(VarCurr)
      <=> v13220(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_276,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ( v17964(VarCurr)
      <=> v17950(VarCurr) ) ) )).

fof(addAssignment_7233,axiom,(
    ! [VarCurr] :
      ( v17950(VarCurr)
    <=> v17952(VarCurr) ) )).

fof(addAssignment_7232,axiom,(
    ! [VarCurr] :
      ( v17952(VarCurr)
    <=> v17954(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_333,axiom,(
    ! [VarCurr] :
      ( ~ v17956(VarCurr)
     => ( v17954(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_275,axiom,(
    ! [VarCurr] :
      ( v17956(VarCurr)
     => ( v17954(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1260,axiom,(
    ! [VarCurr] :
      ( v17956(VarCurr)
    <=> ( v17958(VarCurr)
        & v13361(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4156,axiom,(
    ! [VarCurr] :
      ( v17958(VarCurr)
    <=> ( v17959(VarCurr)
        & v17611(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4155,axiom,(
    ! [VarCurr] :
      ( v17959(VarCurr)
    <=> ( v17960(VarCurr)
        & v17610(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1259,axiom,(
    ! [VarCurr] :
      ( v17960(VarCurr)
    <=> ( v17961(VarCurr)
        & v13361(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4154,axiom,(
    ! [VarCurr] :
      ( v17961(VarCurr)
    <=> ( v17962(VarCurr)
        & v17608(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1258,axiom,(
    ! [VarCurr] :
      ( v17962(VarCurr)
    <=> ( v17606(VarCurr)
        & v13361(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1257,axiom,(
    ! [VarCurr] :
      ( v17683(VarCurr)
    <=> ( v17941(VarCurr)
        | v17679(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1256,axiom,(
    ! [VarCurr] :
      ( v17941(VarCurr)
    <=> ( v17942(VarCurr)
        | v17679(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1255,axiom,(
    ! [VarCurr] :
      ( v17942(VarCurr)
    <=> ( v17943(VarCurr)
        | v17679(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1254,axiom,(
    ! [VarCurr] :
      ( v17943(VarCurr)
    <=> ( v17944(VarCurr)
        | v17679(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1253,axiom,(
    ! [VarCurr] :
      ( v17944(VarCurr)
    <=> ( v17679(VarCurr,bitIndex0)
        | v17679(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17845(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v17679(VarNext,B)
            <=> v17679(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_249,axiom,(
    ! [VarNext] :
      ( v17845(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v17679(VarNext,B)
          <=> v17864(VarNext,B) ) ) ) )).

fof(addAssignment_7231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v17864(VarNext,B)
          <=> v17862(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_399,axiom,(
    ! [VarCurr] :
      ( ~ v17856(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17862(VarCurr,B)
          <=> v17865(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_399,axiom,(
    ! [VarCurr] :
      ( v17856(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17862(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_398,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17865(VarCurr,B)
          <=> v17902(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_398,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17865(VarCurr,B)
          <=> v17866(VarCurr,B) ) ) ) )).

fof(addAssignment_7230,axiom,(
    ! [VarCurr] :
      ( v17902(VarCurr,bitIndex0)
    <=> v17935(VarCurr) ) )).

fof(addAssignment_7229,axiom,(
    ! [VarCurr] :
      ( v17902(VarCurr,bitIndex1)
    <=> v17933(VarCurr) ) )).

fof(addAssignment_7228,axiom,(
    ! [VarCurr] :
      ( v17902(VarCurr,bitIndex2)
    <=> v17929(VarCurr) ) )).

fof(addAssignment_7227,axiom,(
    ! [VarCurr] :
      ( v17902(VarCurr,bitIndex3)
    <=> v17925(VarCurr) ) )).

fof(addAssignment_7226,axiom,(
    ! [VarCurr] :
      ( v17902(VarCurr,bitIndex4)
    <=> v17921(VarCurr) ) )).

fof(addAssignment_7225,axiom,(
    ! [VarCurr] :
      ( v17902(VarCurr,bitIndex5)
    <=> v17904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4153,axiom,(
    ! [VarCurr] :
      ( v17933(VarCurr)
    <=> ( v17934(VarCurr)
        & v17936(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4152,axiom,(
    ! [VarCurr] :
      ( v17936(VarCurr)
    <=> ( v17679(VarCurr,bitIndex0)
        | v17915(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1252,axiom,(
    ! [VarCurr] :
      ( v17934(VarCurr)
    <=> ( v17935(VarCurr)
        | v17679(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2165,axiom,(
    ! [VarCurr] :
      ( ~ v17935(VarCurr)
    <=> v17679(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4151,axiom,(
    ! [VarCurr] :
      ( v17929(VarCurr)
    <=> ( v17930(VarCurr)
        & v17932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4150,axiom,(
    ! [VarCurr] :
      ( v17932(VarCurr)
    <=> ( v17913(VarCurr)
        | v17916(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1251,axiom,(
    ! [VarCurr] :
      ( v17930(VarCurr)
    <=> ( v17931(VarCurr)
        | v17679(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2164,axiom,(
    ! [VarCurr] :
      ( ~ v17931(VarCurr)
    <=> v17913(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4149,axiom,(
    ! [VarCurr] :
      ( v17925(VarCurr)
    <=> ( v17926(VarCurr)
        & v17928(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4148,axiom,(
    ! [VarCurr] :
      ( v17928(VarCurr)
    <=> ( v17911(VarCurr)
        | v17917(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1250,axiom,(
    ! [VarCurr] :
      ( v17926(VarCurr)
    <=> ( v17927(VarCurr)
        | v17679(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2163,axiom,(
    ! [VarCurr] :
      ( ~ v17927(VarCurr)
    <=> v17911(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4147,axiom,(
    ! [VarCurr] :
      ( v17921(VarCurr)
    <=> ( v17922(VarCurr)
        & v17924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4146,axiom,(
    ! [VarCurr] :
      ( v17924(VarCurr)
    <=> ( v17909(VarCurr)
        | v17918(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1249,axiom,(
    ! [VarCurr] :
      ( v17922(VarCurr)
    <=> ( v17923(VarCurr)
        | v17679(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2162,axiom,(
    ! [VarCurr] :
      ( ~ v17923(VarCurr)
    <=> v17909(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4145,axiom,(
    ! [VarCurr] :
      ( v17904(VarCurr)
    <=> ( v17905(VarCurr)
        & v17919(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4144,axiom,(
    ! [VarCurr] :
      ( v17919(VarCurr)
    <=> ( v17907(VarCurr)
        | v17920(VarCurr) ) ) )).

fof(writeUnaryOperator_2161,axiom,(
    ! [VarCurr] :
      ( ~ v17920(VarCurr)
    <=> v17679(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1248,axiom,(
    ! [VarCurr] :
      ( v17905(VarCurr)
    <=> ( v17906(VarCurr)
        | v17679(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2160,axiom,(
    ! [VarCurr] :
      ( ~ v17906(VarCurr)
    <=> v17907(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1247,axiom,(
    ! [VarCurr] :
      ( v17907(VarCurr)
    <=> ( v17679(VarCurr,bitIndex4)
        | v17908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4143,axiom,(
    ! [VarCurr] :
      ( v17908(VarCurr)
    <=> ( v17909(VarCurr)
        & v17918(VarCurr) ) ) )).

fof(writeUnaryOperator_2159,axiom,(
    ! [VarCurr] :
      ( ~ v17918(VarCurr)
    <=> v17679(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1246,axiom,(
    ! [VarCurr] :
      ( v17909(VarCurr)
    <=> ( v17679(VarCurr,bitIndex3)
        | v17910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4142,axiom,(
    ! [VarCurr] :
      ( v17910(VarCurr)
    <=> ( v17911(VarCurr)
        & v17917(VarCurr) ) ) )).

fof(writeUnaryOperator_2158,axiom,(
    ! [VarCurr] :
      ( ~ v17917(VarCurr)
    <=> v17679(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1245,axiom,(
    ! [VarCurr] :
      ( v17911(VarCurr)
    <=> ( v17679(VarCurr,bitIndex2)
        | v17912(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4141,axiom,(
    ! [VarCurr] :
      ( v17912(VarCurr)
    <=> ( v17913(VarCurr)
        & v17916(VarCurr) ) ) )).

fof(writeUnaryOperator_2157,axiom,(
    ! [VarCurr] :
      ( ~ v17916(VarCurr)
    <=> v17679(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1244,axiom,(
    ! [VarCurr] :
      ( v17913(VarCurr)
    <=> ( v17679(VarCurr,bitIndex1)
        | v17914(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4140,axiom,(
    ! [VarCurr] :
      ( v17914(VarCurr)
    <=> ( v17679(VarCurr,bitIndex0)
        & v17915(VarCurr) ) ) )).

fof(writeUnaryOperator_2156,axiom,(
    ! [VarCurr] :
      ( ~ v17915(VarCurr)
    <=> v17679(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_332,axiom,(
    ! [VarCurr] :
      ( ~ v17681(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17866(VarCurr,B)
          <=> v17685(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_274,axiom,(
    ! [VarCurr] :
      ( v17681(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17866(VarCurr,B)
          <=> v17867(VarCurr,B) ) ) ) )).

fof(addAssignment_7224,axiom,(
    ! [VarCurr] :
      ( v17867(VarCurr,bitIndex0)
    <=> v17900(VarCurr) ) )).

fof(addAssignment_7223,axiom,(
    ! [VarCurr] :
      ( v17867(VarCurr,bitIndex1)
    <=> v17898(VarCurr) ) )).

fof(addAssignment_7222,axiom,(
    ! [VarCurr] :
      ( v17867(VarCurr,bitIndex2)
    <=> v17894(VarCurr) ) )).

fof(addAssignment_7221,axiom,(
    ! [VarCurr] :
      ( v17867(VarCurr,bitIndex3)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_7220,axiom,(
    ! [VarCurr] :
      ( v17867(VarCurr,bitIndex4)
    <=> v17886(VarCurr) ) )).

fof(addAssignment_7219,axiom,(
    ! [VarCurr] :
      ( v17867(VarCurr,bitIndex5)
    <=> v17869(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4139,axiom,(
    ! [VarCurr] :
      ( v17898(VarCurr)
    <=> ( v17899(VarCurr)
        & v17901(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4138,axiom,(
    ! [VarCurr] :
      ( v17901(VarCurr)
    <=> ( v17685(VarCurr,bitIndex0)
        | v17880(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1243,axiom,(
    ! [VarCurr] :
      ( v17899(VarCurr)
    <=> ( v17900(VarCurr)
        | v17685(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2155,axiom,(
    ! [VarCurr] :
      ( ~ v17900(VarCurr)
    <=> v17685(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4137,axiom,(
    ! [VarCurr] :
      ( v17894(VarCurr)
    <=> ( v17895(VarCurr)
        & v17897(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4136,axiom,(
    ! [VarCurr] :
      ( v17897(VarCurr)
    <=> ( v17878(VarCurr)
        | v17881(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1242,axiom,(
    ! [VarCurr] :
      ( v17895(VarCurr)
    <=> ( v17896(VarCurr)
        | v17685(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2154,axiom,(
    ! [VarCurr] :
      ( ~ v17896(VarCurr)
    <=> v17878(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4135,axiom,(
    ! [VarCurr] :
      ( v17890(VarCurr)
    <=> ( v17891(VarCurr)
        & v17893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4134,axiom,(
    ! [VarCurr] :
      ( v17893(VarCurr)
    <=> ( v17876(VarCurr)
        | v17882(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1241,axiom,(
    ! [VarCurr] :
      ( v17891(VarCurr)
    <=> ( v17892(VarCurr)
        | v17685(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2153,axiom,(
    ! [VarCurr] :
      ( ~ v17892(VarCurr)
    <=> v17876(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4133,axiom,(
    ! [VarCurr] :
      ( v17886(VarCurr)
    <=> ( v17887(VarCurr)
        & v17889(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4132,axiom,(
    ! [VarCurr] :
      ( v17889(VarCurr)
    <=> ( v17874(VarCurr)
        | v17883(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1240,axiom,(
    ! [VarCurr] :
      ( v17887(VarCurr)
    <=> ( v17888(VarCurr)
        | v17685(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2152,axiom,(
    ! [VarCurr] :
      ( ~ v17888(VarCurr)
    <=> v17874(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4131,axiom,(
    ! [VarCurr] :
      ( v17869(VarCurr)
    <=> ( v17870(VarCurr)
        & v17884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4130,axiom,(
    ! [VarCurr] :
      ( v17884(VarCurr)
    <=> ( v17872(VarCurr)
        | v17885(VarCurr) ) ) )).

fof(writeUnaryOperator_2151,axiom,(
    ! [VarCurr] :
      ( ~ v17885(VarCurr)
    <=> v17685(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1239,axiom,(
    ! [VarCurr] :
      ( v17870(VarCurr)
    <=> ( v17871(VarCurr)
        | v17685(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2150,axiom,(
    ! [VarCurr] :
      ( ~ v17871(VarCurr)
    <=> v17872(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1238,axiom,(
    ! [VarCurr] :
      ( v17872(VarCurr)
    <=> ( v17685(VarCurr,bitIndex4)
        | v17873(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4129,axiom,(
    ! [VarCurr] :
      ( v17873(VarCurr)
    <=> ( v17874(VarCurr)
        & v17883(VarCurr) ) ) )).

fof(writeUnaryOperator_2149,axiom,(
    ! [VarCurr] :
      ( ~ v17883(VarCurr)
    <=> v17685(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1237,axiom,(
    ! [VarCurr] :
      ( v17874(VarCurr)
    <=> ( v17685(VarCurr,bitIndex3)
        | v17875(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4128,axiom,(
    ! [VarCurr] :
      ( v17875(VarCurr)
    <=> ( v17876(VarCurr)
        & v17882(VarCurr) ) ) )).

fof(writeUnaryOperator_2148,axiom,(
    ! [VarCurr] :
      ( ~ v17882(VarCurr)
    <=> v17685(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1236,axiom,(
    ! [VarCurr] :
      ( v17876(VarCurr)
    <=> ( v17685(VarCurr,bitIndex2)
        | v17877(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4127,axiom,(
    ! [VarCurr] :
      ( v17877(VarCurr)
    <=> ( v17878(VarCurr)
        & v17881(VarCurr) ) ) )).

fof(writeUnaryOperator_2147,axiom,(
    ! [VarCurr] :
      ( ~ v17881(VarCurr)
    <=> v17685(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1235,axiom,(
    ! [VarCurr] :
      ( v17878(VarCurr)
    <=> ( v17685(VarCurr,bitIndex1)
        | v17879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4126,axiom,(
    ! [VarCurr] :
      ( v17879(VarCurr)
    <=> ( v17685(VarCurr,bitIndex0)
        & v17880(VarCurr) ) ) )).

fof(writeUnaryOperator_2146,axiom,(
    ! [VarCurr] :
      ( ~ v17880(VarCurr)
    <=> v17685(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4125,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17845(VarNext)
      <=> ( v17846(VarNext)
          & v17855(VarNext) ) ) ) )).

fof(addAssignment_7218,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17855(VarNext)
      <=> v17853(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4124,axiom,(
    ! [VarCurr] :
      ( v17853(VarCurr)
    <=> ( v17856(VarCurr)
        | v17857(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4123,axiom,(
    ! [VarCurr] :
      ( v17857(VarCurr)
    <=> ( v17858(VarCurr)
        & v17861(VarCurr) ) ) )).

fof(writeUnaryOperator_2145,axiom,(
    ! [VarCurr] :
      ( ~ v17861(VarCurr)
    <=> v17856(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4122,axiom,(
    ! [VarCurr] :
      ( v17858(VarCurr)
    <=> ( v13224(VarCurr)
        | v17859(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4121,axiom,(
    ! [VarCurr] :
      ( v17859(VarCurr)
    <=> ( v17681(VarCurr)
        & v17860(VarCurr) ) ) )).

fof(writeUnaryOperator_2144,axiom,(
    ! [VarCurr] :
      ( ~ v17860(VarCurr)
    <=> v13224(VarCurr) ) )).

fof(writeUnaryOperator_2143,axiom,(
    ! [VarCurr] :
      ( ~ v17856(VarCurr)
    <=> v13222(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4120,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17846(VarNext)
      <=> ( v17847(VarNext)
          & v17842(VarNext) ) ) ) )).

fof(writeUnaryOperator_2142,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17847(VarNext)
      <=> v17849(VarNext) ) ) )).

fof(addAssignment_7217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17849(VarNext)
      <=> v17842(VarCurr) ) ) )).

fof(addAssignment_7216,axiom,(
    ! [VarCurr] :
      ( v17842(VarCurr)
    <=> v13324(VarCurr) ) )).

fof(addAssignment_7215,axiom,(
    ! [VarCurr] :
      ( v17685(VarCurr,bitIndex0)
    <=> v17809(VarCurr,bitIndex0) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_316,axiom,(
    ! [VarCurr] :
      ( ~ v17687(VarCurr)
     => ( ( v17809(VarCurr,bitIndex5)
        <=> v17689(VarCurr,bitIndex7) )
        & ( v17809(VarCurr,bitIndex4)
        <=> v17689(VarCurr,bitIndex6) )
        & ( v17809(VarCurr,bitIndex3)
        <=> v17689(VarCurr,bitIndex5) )
        & ( v17809(VarCurr,bitIndex2)
        <=> v17689(VarCurr,bitIndex4) )
        & ( v17809(VarCurr,bitIndex1)
        <=> v17689(VarCurr,bitIndex3) )
        & ( v17809(VarCurr,bitIndex0)
        <=> v17689(VarCurr,bitIndex2) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_273,axiom,(
    ! [VarCurr] :
      ( v17687(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17809(VarCurr,B)
          <=> v17810(VarCurr,B) ) ) ) )).

fof(addAssignment_7214,axiom,(
    ! [VarCurr] :
      ( v17810(VarCurr,bitIndex0)
    <=> v17838(VarCurr) ) )).

fof(addAssignment_7213,axiom,(
    ! [VarCurr] :
      ( v17810(VarCurr,bitIndex1)
    <=> v17836(VarCurr) ) )).

fof(addAssignment_7212,axiom,(
    ! [VarCurr] :
      ( v17810(VarCurr,bitIndex2)
    <=> v17831(VarCurr) ) )).

fof(addAssignment_7211,axiom,(
    ! [VarCurr] :
      ( v17810(VarCurr,bitIndex3)
    <=> v17826(VarCurr) ) )).

fof(addAssignment_7210,axiom,(
    ! [VarCurr] :
      ( v17810(VarCurr,bitIndex4)
    <=> v17821(VarCurr) ) )).

fof(addAssignment_7209,axiom,(
    ! [VarCurr] :
      ( v17810(VarCurr,bitIndex5)
    <=> v17812(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4119,axiom,(
    ! [VarCurr] :
      ( v17836(VarCurr)
    <=> ( v17837(VarCurr)
        & v17840(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1234,axiom,(
    ! [VarCurr] :
      ( v17840(VarCurr)
    <=> ( v17689(VarCurr,bitIndex2)
        | v17689(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4118,axiom,(
    ! [VarCurr] :
      ( v17837(VarCurr)
    <=> ( v17838(VarCurr)
        | v17839(VarCurr) ) ) )).

fof(writeUnaryOperator_2141,axiom,(
    ! [VarCurr] :
      ( ~ v17839(VarCurr)
    <=> v17689(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2140,axiom,(
    ! [VarCurr] :
      ( ~ v17838(VarCurr)
    <=> v17689(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4117,axiom,(
    ! [VarCurr] :
      ( v17831(VarCurr)
    <=> ( v17832(VarCurr)
        & v17835(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1233,axiom,(
    ! [VarCurr] :
      ( v17835(VarCurr)
    <=> ( v17818(VarCurr)
        | v17689(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4116,axiom,(
    ! [VarCurr] :
      ( v17832(VarCurr)
    <=> ( v17833(VarCurr)
        | v17834(VarCurr) ) ) )).

fof(writeUnaryOperator_2139,axiom,(
    ! [VarCurr] :
      ( ~ v17834(VarCurr)
    <=> v17689(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2138,axiom,(
    ! [VarCurr] :
      ( ~ v17833(VarCurr)
    <=> v17818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4115,axiom,(
    ! [VarCurr] :
      ( v17826(VarCurr)
    <=> ( v17827(VarCurr)
        & v17830(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1232,axiom,(
    ! [VarCurr] :
      ( v17830(VarCurr)
    <=> ( v17817(VarCurr)
        | v17689(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4114,axiom,(
    ! [VarCurr] :
      ( v17827(VarCurr)
    <=> ( v17828(VarCurr)
        | v17829(VarCurr) ) ) )).

fof(writeUnaryOperator_2137,axiom,(
    ! [VarCurr] :
      ( ~ v17829(VarCurr)
    <=> v17689(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2136,axiom,(
    ! [VarCurr] :
      ( ~ v17828(VarCurr)
    <=> v17817(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4113,axiom,(
    ! [VarCurr] :
      ( v17821(VarCurr)
    <=> ( v17822(VarCurr)
        & v17825(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1231,axiom,(
    ! [VarCurr] :
      ( v17825(VarCurr)
    <=> ( v17816(VarCurr)
        | v17689(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4112,axiom,(
    ! [VarCurr] :
      ( v17822(VarCurr)
    <=> ( v17823(VarCurr)
        | v17824(VarCurr) ) ) )).

fof(writeUnaryOperator_2135,axiom,(
    ! [VarCurr] :
      ( ~ v17824(VarCurr)
    <=> v17689(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_2134,axiom,(
    ! [VarCurr] :
      ( ~ v17823(VarCurr)
    <=> v17816(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4111,axiom,(
    ! [VarCurr] :
      ( v17812(VarCurr)
    <=> ( v17813(VarCurr)
        & v17820(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1230,axiom,(
    ! [VarCurr] :
      ( v17820(VarCurr)
    <=> ( v17815(VarCurr)
        | v17689(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4110,axiom,(
    ! [VarCurr] :
      ( v17813(VarCurr)
    <=> ( v17814(VarCurr)
        | v17819(VarCurr) ) ) )).

fof(writeUnaryOperator_2133,axiom,(
    ! [VarCurr] :
      ( ~ v17819(VarCurr)
    <=> v17689(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_2132,axiom,(
    ! [VarCurr] :
      ( ~ v17814(VarCurr)
    <=> v17815(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1229,axiom,(
    ! [VarCurr] :
      ( v17815(VarCurr)
    <=> ( v17816(VarCurr)
        & v17689(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1228,axiom,(
    ! [VarCurr] :
      ( v17816(VarCurr)
    <=> ( v17817(VarCurr)
        & v17689(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1227,axiom,(
    ! [VarCurr] :
      ( v17817(VarCurr)
    <=> ( v17818(VarCurr)
        & v17689(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1226,axiom,(
    ! [VarCurr] :
      ( v17818(VarCurr)
    <=> ( v17689(VarCurr,bitIndex2)
        & v17689(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_7208,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex2)
    <=> v17777(VarCurr,bitIndex0) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_315,axiom,(
    ! [VarCurr] :
      ( ~ v17735(VarCurr)
     => ( ( v17777(VarCurr,bitIndex5)
        <=> v17691(VarCurr,bitIndex7) )
        & ( v17777(VarCurr,bitIndex4)
        <=> v17691(VarCurr,bitIndex6) )
        & ( v17777(VarCurr,bitIndex3)
        <=> v17691(VarCurr,bitIndex5) )
        & ( v17777(VarCurr,bitIndex2)
        <=> v17691(VarCurr,bitIndex4) )
        & ( v17777(VarCurr,bitIndex1)
        <=> v17691(VarCurr,bitIndex3) )
        & ( v17777(VarCurr,bitIndex0)
        <=> v17691(VarCurr,bitIndex2) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_272,axiom,(
    ! [VarCurr] :
      ( v17735(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v17777(VarCurr,B)
          <=> v17778(VarCurr,B) ) ) ) )).

fof(addAssignment_7207,axiom,(
    ! [VarCurr] :
      ( v17778(VarCurr,bitIndex0)
    <=> v17806(VarCurr) ) )).

fof(addAssignment_7206,axiom,(
    ! [VarCurr] :
      ( v17778(VarCurr,bitIndex1)
    <=> v17804(VarCurr) ) )).

fof(addAssignment_7205,axiom,(
    ! [VarCurr] :
      ( v17778(VarCurr,bitIndex2)
    <=> v17799(VarCurr) ) )).

fof(addAssignment_7204,axiom,(
    ! [VarCurr] :
      ( v17778(VarCurr,bitIndex3)
    <=> v17794(VarCurr) ) )).

fof(addAssignment_7203,axiom,(
    ! [VarCurr] :
      ( v17778(VarCurr,bitIndex4)
    <=> v17789(VarCurr) ) )).

fof(addAssignment_7202,axiom,(
    ! [VarCurr] :
      ( v17778(VarCurr,bitIndex5)
    <=> v17780(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4109,axiom,(
    ! [VarCurr] :
      ( v17804(VarCurr)
    <=> ( v17805(VarCurr)
        & v17808(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1225,axiom,(
    ! [VarCurr] :
      ( v17808(VarCurr)
    <=> ( v17691(VarCurr,bitIndex2)
        | v17691(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4108,axiom,(
    ! [VarCurr] :
      ( v17805(VarCurr)
    <=> ( v17806(VarCurr)
        | v17807(VarCurr) ) ) )).

fof(writeUnaryOperator_2131,axiom,(
    ! [VarCurr] :
      ( ~ v17807(VarCurr)
    <=> v17691(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2130,axiom,(
    ! [VarCurr] :
      ( ~ v17806(VarCurr)
    <=> v17691(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4107,axiom,(
    ! [VarCurr] :
      ( v17799(VarCurr)
    <=> ( v17800(VarCurr)
        & v17803(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1224,axiom,(
    ! [VarCurr] :
      ( v17803(VarCurr)
    <=> ( v17786(VarCurr)
        | v17691(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4106,axiom,(
    ! [VarCurr] :
      ( v17800(VarCurr)
    <=> ( v17801(VarCurr)
        | v17802(VarCurr) ) ) )).

fof(writeUnaryOperator_2129,axiom,(
    ! [VarCurr] :
      ( ~ v17802(VarCurr)
    <=> v17691(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2128,axiom,(
    ! [VarCurr] :
      ( ~ v17801(VarCurr)
    <=> v17786(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4105,axiom,(
    ! [VarCurr] :
      ( v17794(VarCurr)
    <=> ( v17795(VarCurr)
        & v17798(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1223,axiom,(
    ! [VarCurr] :
      ( v17798(VarCurr)
    <=> ( v17785(VarCurr)
        | v17691(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4104,axiom,(
    ! [VarCurr] :
      ( v17795(VarCurr)
    <=> ( v17796(VarCurr)
        | v17797(VarCurr) ) ) )).

fof(writeUnaryOperator_2127,axiom,(
    ! [VarCurr] :
      ( ~ v17797(VarCurr)
    <=> v17691(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2126,axiom,(
    ! [VarCurr] :
      ( ~ v17796(VarCurr)
    <=> v17785(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4103,axiom,(
    ! [VarCurr] :
      ( v17789(VarCurr)
    <=> ( v17790(VarCurr)
        & v17793(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1222,axiom,(
    ! [VarCurr] :
      ( v17793(VarCurr)
    <=> ( v17784(VarCurr)
        | v17691(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4102,axiom,(
    ! [VarCurr] :
      ( v17790(VarCurr)
    <=> ( v17791(VarCurr)
        | v17792(VarCurr) ) ) )).

fof(writeUnaryOperator_2125,axiom,(
    ! [VarCurr] :
      ( ~ v17792(VarCurr)
    <=> v17691(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_2124,axiom,(
    ! [VarCurr] :
      ( ~ v17791(VarCurr)
    <=> v17784(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4101,axiom,(
    ! [VarCurr] :
      ( v17780(VarCurr)
    <=> ( v17781(VarCurr)
        & v17788(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1221,axiom,(
    ! [VarCurr] :
      ( v17788(VarCurr)
    <=> ( v17783(VarCurr)
        | v17691(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4100,axiom,(
    ! [VarCurr] :
      ( v17781(VarCurr)
    <=> ( v17782(VarCurr)
        | v17787(VarCurr) ) ) )).

fof(writeUnaryOperator_2123,axiom,(
    ! [VarCurr] :
      ( ~ v17787(VarCurr)
    <=> v17691(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_2122,axiom,(
    ! [VarCurr] :
      ( ~ v17782(VarCurr)
    <=> v17783(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1220,axiom,(
    ! [VarCurr] :
      ( v17783(VarCurr)
    <=> ( v17784(VarCurr)
        & v17691(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1219,axiom,(
    ! [VarCurr] :
      ( v17784(VarCurr)
    <=> ( v17785(VarCurr)
        & v17691(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1218,axiom,(
    ! [VarCurr] :
      ( v17785(VarCurr)
    <=> ( v17786(VarCurr)
        & v17691(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1217,axiom,(
    ! [VarCurr] :
      ( v17786(VarCurr)
    <=> ( v17691(VarCurr,bitIndex2)
        & v17691(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_7201,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex2)
    <=> v17693(VarCurr,bitIndex2) ) )).

fof(addAssignment_7200,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex2)
    <=> v17695(VarCurr,bitIndex2) ) )).

fof(addAssignment_7199,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex2)
    <=> v17697(VarCurr,bitIndex2) ) )).

fof(addAssignment_7198,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex2)
    <=> v13242(VarCurr,bitIndex96) ) )).

fof(addAssignment_7197,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex96)
    <=> v13244(VarCurr,bitIndex96) ) )).

fof(addAssignment_7196,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex96)
    <=> v13246(VarCurr,bitIndex96) ) )).

fof(addAssignment_7195,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex96)
    <=> v13248(VarCurr,bitIndex676) ) )).

fof(addAssignment_7194,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex676)
    <=> v17770(VarNext,bitIndex96) ) )).

fof(addCaseBooleanConditionShiftedRanges1_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17772(VarNext)
       => ( ( v17770(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v17770(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v17770(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v17770(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v17770(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v17770(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v17770(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v17770(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v17770(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v17770(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v17770(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v17770(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v17770(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v17770(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v17770(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v17770(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v17770(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v17770(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v17770(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v17770(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v17770(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v17770(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v17770(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v17770(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v17770(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v17770(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v17770(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v17770(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v17770(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v17770(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v17770(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v17770(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v17770(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v17770(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v17770(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v17770(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v17770(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v17770(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v17770(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v17770(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v17770(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v17770(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v17770(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v17770(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v17770(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v17770(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v17770(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v17770(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v17770(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v17770(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v17770(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v17770(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v17770(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v17770(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v17770(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v17770(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v17770(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v17770(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v17770(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v17770(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v17770(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v17770(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v17770(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v17770(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v17770(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v17770(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v17770(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v17770(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v17770(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v17770(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v17770(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v17770(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v17770(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v17770(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v17770(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v17770(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v17770(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v17770(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v17770(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v17770(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v17770(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v17770(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v17770(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v17770(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v17770(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v17770(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v17770(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v17770(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v17770(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v17770(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v17770(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v17770(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v17770(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v17770(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v17770(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v17770(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v17770(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v17770(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v17770(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v17770(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v17770(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v17770(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v17770(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v17770(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v17770(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v17770(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v17770(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v17770(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v17770(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v17770(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v17770(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v17770(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v17770(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v17770(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v17770(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v17770(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_248,axiom,(
    ! [VarNext] :
      ( v17772(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v17770(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4099,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17772(VarNext)
      <=> ( v17773(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4098,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17773(VarNext)
      <=> ( v17775(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2121,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17775(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7193,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex96)
    <=> v13384(VarCurr,bitIndex96) ) )).

fof(addAssignment_7192,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex96)
    <=> v13386(VarCurr,bitIndex96) ) )).

fof(addAssignment_7191,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex96)
    <=> v13388(VarCurr,bitIndex96) ) )).

fof(addAssignment_7190,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex96)
    <=> v13390(VarCurr,bitIndex96) ) )).

fof(addAssignment_7189,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex96)
    <=> v13392(VarCurr,bitIndex96) ) )).

fof(addAssignment_7188,axiom,(
    ! [VarCurr] :
      ( v17735(VarCurr)
    <=> v17736(VarCurr,bitIndex2) ) )).

fof(addAssignment_7187,axiom,(
    ! [VarCurr] :
      ( v17736(VarCurr,bitIndex0)
    <=> v17764(VarCurr) ) )).

fof(addAssignment_7186,axiom,(
    ! [VarCurr] :
      ( v17736(VarCurr,bitIndex1)
    <=> v17759(VarCurr) ) )).

fof(addAssignment_7185,axiom,(
    ! [VarCurr] :
      ( v17736(VarCurr,bitIndex2)
    <=> v17738(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4097,axiom,(
    ! [VarCurr] :
      ( v17764(VarCurr)
    <=> ( v17765(VarCurr)
        & v17768(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4096,axiom,(
    ! [VarCurr] :
      ( v17768(VarCurr)
    <=> ( v17744(VarCurr,bitIndex0)
        | v17745(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4095,axiom,(
    ! [VarCurr] :
      ( v17765(VarCurr)
    <=> ( v17766(VarCurr)
        | v17767(VarCurr) ) ) )).

fof(writeUnaryOperator_2120,axiom,(
    ! [VarCurr] :
      ( ~ v17767(VarCurr)
    <=> v17745(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_2119,axiom,(
    ! [VarCurr] :
      ( ~ v17766(VarCurr)
    <=> v17744(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4094,axiom,(
    ! [VarCurr] :
      ( v17759(VarCurr)
    <=> ( v17760(VarCurr)
        & v17763(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4093,axiom,(
    ! [VarCurr] :
      ( v17763(VarCurr)
    <=> ( v17743(VarCurr)
        | v17746(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4092,axiom,(
    ! [VarCurr] :
      ( v17760(VarCurr)
    <=> ( v17761(VarCurr)
        | v17762(VarCurr) ) ) )).

fof(writeUnaryOperator_2118,axiom,(
    ! [VarCurr] :
      ( ~ v17762(VarCurr)
    <=> v17746(VarCurr) ) )).

fof(writeUnaryOperator_2117,axiom,(
    ! [VarCurr] :
      ( ~ v17761(VarCurr)
    <=> v17743(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4091,axiom,(
    ! [VarCurr] :
      ( v17738(VarCurr)
    <=> ( v17739(VarCurr)
        & v17758(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4090,axiom,(
    ! [VarCurr] :
      ( v17758(VarCurr)
    <=> ( v17741(VarCurr)
        | v17753(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4089,axiom,(
    ! [VarCurr] :
      ( v17739(VarCurr)
    <=> ( v17740(VarCurr)
        | v17752(VarCurr) ) ) )).

fof(writeUnaryOperator_2116,axiom,(
    ! [VarCurr] :
      ( ~ v17752(VarCurr)
    <=> v17753(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4088,axiom,(
    ! [VarCurr] :
      ( v17753(VarCurr)
    <=> ( v17754(VarCurr)
        & v17757(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1216,axiom,(
    ! [VarCurr] :
      ( v17757(VarCurr)
    <=> ( v17744(VarCurr,bitIndex2)
        | v17745(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4087,axiom,(
    ! [VarCurr] :
      ( v17754(VarCurr)
    <=> ( v17755(VarCurr)
        | v17756(VarCurr) ) ) )).

fof(writeUnaryOperator_2115,axiom,(
    ! [VarCurr] :
      ( ~ v17756(VarCurr)
    <=> v17745(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2114,axiom,(
    ! [VarCurr] :
      ( ~ v17755(VarCurr)
    <=> v17744(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2113,axiom,(
    ! [VarCurr] :
      ( ~ v17740(VarCurr)
    <=> v17741(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4086,axiom,(
    ! [VarCurr] :
      ( v17741(VarCurr)
    <=> ( v17742(VarCurr)
        | v17751(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1215,axiom,(
    ! [VarCurr] :
      ( v17751(VarCurr)
    <=> ( v17744(VarCurr,bitIndex1)
        & v17745(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4085,axiom,(
    ! [VarCurr] :
      ( v17742(VarCurr)
    <=> ( v17743(VarCurr)
        & v17746(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4084,axiom,(
    ! [VarCurr] :
      ( v17746(VarCurr)
    <=> ( v17747(VarCurr)
        & v17750(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1214,axiom,(
    ! [VarCurr] :
      ( v17750(VarCurr)
    <=> ( v17744(VarCurr,bitIndex1)
        | v17745(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4083,axiom,(
    ! [VarCurr] :
      ( v17747(VarCurr)
    <=> ( v17748(VarCurr)
        | v17749(VarCurr) ) ) )).

fof(writeUnaryOperator_2112,axiom,(
    ! [VarCurr] :
      ( ~ v17749(VarCurr)
    <=> v17745(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2111,axiom,(
    ! [VarCurr] :
      ( ~ v17748(VarCurr)
    <=> v17744(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4082,axiom,(
    ! [VarCurr] :
      ( v17743(VarCurr)
    <=> ( v17744(VarCurr,bitIndex0)
        & v17745(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7184,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v17745(VarCurr,B)
      <=> v17667(VarCurr,B) ) ) )).

fof(addAssignment_7183,axiom,(
    ! [VarCurr] :
      ( v17745(VarCurr,bitIndex2)
    <=> $false ) )).

fof(addAssignment_7182,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v17744(VarCurr,B)
      <=> v17691(VarCurr,B) ) ) )).

fof(addAssignment_7181,axiom,(
    ! [VarCurr] :
      ( v17744(VarCurr,bitIndex2)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1213,axiom,(
    ! [VarCurr] :
      ( v17687(VarCurr)
    <=> ( v17689(VarCurr,bitIndex0)
        | v17689(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7180,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex0)
    <=> v17727(VarCurr) ) )).

fof(addAssignment_7179,axiom,(
    ! [VarCurr] :
      ( v17689(VarCurr,bitIndex1)
    <=> v17716(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4081,axiom,(
    ! [VarCurr] :
      ( v17727(VarCurr)
    <=> ( v17728(VarCurr)
        & v17731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4080,axiom,(
    ! [VarCurr] :
      ( v17731(VarCurr)
    <=> ( v17691(VarCurr,bitIndex0)
        | v17667(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4079,axiom,(
    ! [VarCurr] :
      ( v17728(VarCurr)
    <=> ( v17729(VarCurr)
        | v17730(VarCurr) ) ) )).

fof(writeUnaryOperator_2110,axiom,(
    ! [VarCurr] :
      ( ~ v17730(VarCurr)
    <=> v17667(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_2109,axiom,(
    ! [VarCurr] :
      ( ~ v17729(VarCurr)
    <=> v17691(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4078,axiom,(
    ! [VarCurr] :
      ( v17716(VarCurr)
    <=> ( v17717(VarCurr)
        & v17726(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4077,axiom,(
    ! [VarCurr] :
      ( v17726(VarCurr)
    <=> ( v17719(VarCurr)
        | v17721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4076,axiom,(
    ! [VarCurr] :
      ( v17717(VarCurr)
    <=> ( v17718(VarCurr)
        | v17720(VarCurr) ) ) )).

fof(writeUnaryOperator_2108,axiom,(
    ! [VarCurr] :
      ( ~ v17720(VarCurr)
    <=> v17721(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4075,axiom,(
    ! [VarCurr] :
      ( v17721(VarCurr)
    <=> ( v17722(VarCurr)
        & v17725(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1212,axiom,(
    ! [VarCurr] :
      ( v17725(VarCurr)
    <=> ( v17691(VarCurr,bitIndex1)
        | v17667(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4074,axiom,(
    ! [VarCurr] :
      ( v17722(VarCurr)
    <=> ( v17723(VarCurr)
        | v17724(VarCurr) ) ) )).

fof(writeUnaryOperator_2107,axiom,(
    ! [VarCurr] :
      ( ~ v17724(VarCurr)
    <=> v17667(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2106,axiom,(
    ! [VarCurr] :
      ( ~ v17723(VarCurr)
    <=> v17691(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2105,axiom,(
    ! [VarCurr] :
      ( ~ v17718(VarCurr)
    <=> v17719(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4073,axiom,(
    ! [VarCurr] :
      ( v17719(VarCurr)
    <=> ( v17691(VarCurr,bitIndex0)
        & v17667(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7178,axiom,(
    ! [VarCurr] :
      ( v17667(VarCurr,bitIndex1)
    <=> v17669(VarCurr,bitIndex1) ) )).

fof(addAssignment_7177,axiom,(
    ! [VarCurr] :
      ( v17669(VarCurr,bitIndex1)
    <=> v17671(VarCurr,bitIndex1) ) )).

fof(addAssignment_7176,axiom,(
    ! [VarCurr] :
      ( v17671(VarCurr,bitIndex1)
    <=> v13240(VarCurr,bitIndex1) ) )).

fof(addAssignment_7175,axiom,(
    ! [VarCurr] :
      ( v13240(VarCurr,bitIndex1)
    <=> v13242(VarCurr,bitIndex1) ) )).

fof(addAssignment_7174,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex1)
    <=> v13244(VarCurr,bitIndex1) ) )).

fof(addAssignment_7173,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex1)
    <=> v13246(VarCurr,bitIndex1) ) )).

fof(addAssignment_7172,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex1)
    <=> v13248(VarCurr,bitIndex581) ) )).

fof(addAssignment_7171,axiom,(
    ! [VarCurr] :
      ( v17667(VarCurr,bitIndex0)
    <=> v17669(VarCurr,bitIndex0) ) )).

fof(addAssignment_7170,axiom,(
    ! [VarCurr] :
      ( v17669(VarCurr,bitIndex0)
    <=> v17671(VarCurr,bitIndex0) ) )).

fof(addAssignment_7169,axiom,(
    ! [VarCurr] :
      ( v17671(VarCurr,bitIndex0)
    <=> v13240(VarCurr,bitIndex0) ) )).

fof(addAssignment_7168,axiom,(
    ! [VarCurr] :
      ( v13240(VarCurr,bitIndex0)
    <=> v13242(VarCurr,bitIndex0) ) )).

fof(addAssignment_7167,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex0)
    <=> v13244(VarCurr,bitIndex0) ) )).

fof(addAssignment_7166,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex0)
    <=> v13246(VarCurr,bitIndex0) ) )).

fof(addAssignment_7165,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex0)
    <=> v13248(VarCurr,bitIndex580) ) )).

fof(addAssignment_7164,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex1)
    <=> v17693(VarCurr,bitIndex1) ) )).

fof(addAssignment_7163,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex1)
    <=> v17695(VarCurr,bitIndex1) ) )).

fof(addAssignment_7162,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex1)
    <=> v17697(VarCurr,bitIndex1) ) )).

fof(addAssignment_7161,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex1)
    <=> v13242(VarCurr,bitIndex95) ) )).

fof(addAssignment_7160,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex95)
    <=> v13244(VarCurr,bitIndex95) ) )).

fof(addAssignment_7159,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex95)
    <=> v13246(VarCurr,bitIndex95) ) )).

fof(addAssignment_7158,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex95)
    <=> v13248(VarCurr,bitIndex675) ) )).

fof(addAssignment_7157,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex675)
    <=> v17707(VarNext,bitIndex95) ) )).

fof(addCaseBooleanConditionShiftedRanges1_29,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17709(VarNext)
       => ( ( v17707(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v17707(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v17707(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v17707(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v17707(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v17707(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v17707(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v17707(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v17707(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v17707(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v17707(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v17707(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v17707(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v17707(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v17707(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v17707(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v17707(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v17707(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v17707(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v17707(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v17707(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v17707(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v17707(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v17707(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v17707(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v17707(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v17707(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v17707(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v17707(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v17707(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v17707(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v17707(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v17707(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v17707(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v17707(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v17707(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v17707(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v17707(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v17707(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v17707(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v17707(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v17707(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v17707(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v17707(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v17707(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v17707(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v17707(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v17707(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v17707(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v17707(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v17707(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v17707(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v17707(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v17707(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v17707(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v17707(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v17707(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v17707(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v17707(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v17707(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v17707(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v17707(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v17707(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v17707(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v17707(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v17707(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v17707(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v17707(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v17707(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v17707(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v17707(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v17707(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v17707(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v17707(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v17707(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v17707(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v17707(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v17707(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v17707(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v17707(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v17707(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v17707(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v17707(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v17707(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v17707(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v17707(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v17707(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v17707(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v17707(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v17707(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v17707(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v17707(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v17707(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v17707(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v17707(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v17707(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v17707(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v17707(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v17707(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v17707(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v17707(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v17707(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v17707(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v17707(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v17707(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v17707(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v17707(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v17707(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v17707(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v17707(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v17707(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v17707(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v17707(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v17707(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v17707(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v17707(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_247,axiom,(
    ! [VarNext] :
      ( v17709(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v17707(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17709(VarNext)
      <=> ( v17710(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4071,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17710(VarNext)
      <=> ( v17712(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2104,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17712(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7156,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex95)
    <=> v13384(VarCurr,bitIndex95) ) )).

fof(addAssignment_7155,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex95)
    <=> v13386(VarCurr,bitIndex95) ) )).

fof(addAssignment_7154,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex95)
    <=> v13388(VarCurr,bitIndex95) ) )).

fof(addAssignment_7153,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex95)
    <=> v13390(VarCurr,bitIndex95) ) )).

fof(addAssignment_7152,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex95)
    <=> v13392(VarCurr,bitIndex95) ) )).

fof(addAssignment_7151,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr,bitIndex0)
    <=> v17693(VarCurr,bitIndex0) ) )).

fof(addAssignment_7150,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr,bitIndex0)
    <=> v17695(VarCurr,bitIndex0) ) )).

fof(addAssignment_7149,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr,bitIndex0)
    <=> v17697(VarCurr,bitIndex0) ) )).

fof(addAssignment_7148,axiom,(
    ! [VarCurr] :
      ( v17697(VarCurr,bitIndex0)
    <=> v13242(VarCurr,bitIndex94) ) )).

fof(addAssignment_7147,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex94)
    <=> v13244(VarCurr,bitIndex94) ) )).

fof(addAssignment_7146,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex94)
    <=> v13246(VarCurr,bitIndex94) ) )).

fof(addAssignment_7145,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex94)
    <=> v13248(VarCurr,bitIndex674) ) )).

fof(addAssignment_7144,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex674)
    <=> v17699(VarNext,bitIndex94) ) )).

fof(addCaseBooleanConditionShiftedRanges1_28,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17701(VarNext)
       => ( ( v17699(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v17699(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v17699(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v17699(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v17699(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v17699(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v17699(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v17699(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v17699(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v17699(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v17699(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v17699(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v17699(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v17699(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v17699(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v17699(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v17699(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v17699(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v17699(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v17699(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v17699(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v17699(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v17699(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v17699(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v17699(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v17699(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v17699(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v17699(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v17699(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v17699(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v17699(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v17699(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v17699(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v17699(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v17699(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v17699(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v17699(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v17699(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v17699(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v17699(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v17699(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v17699(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v17699(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v17699(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v17699(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v17699(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v17699(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v17699(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v17699(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v17699(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v17699(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v17699(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v17699(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v17699(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v17699(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v17699(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v17699(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v17699(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v17699(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v17699(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v17699(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v17699(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v17699(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v17699(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v17699(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v17699(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v17699(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v17699(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v17699(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v17699(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v17699(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v17699(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v17699(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v17699(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v17699(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v17699(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v17699(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v17699(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v17699(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v17699(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v17699(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v17699(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v17699(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v17699(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v17699(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v17699(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v17699(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v17699(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v17699(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v17699(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v17699(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v17699(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v17699(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v17699(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v17699(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v17699(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v17699(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v17699(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v17699(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v17699(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v17699(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v17699(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v17699(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v17699(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v17699(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v17699(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v17699(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v17699(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v17699(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v17699(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v17699(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v17699(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v17699(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v17699(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v17699(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v17699(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_246,axiom,(
    ! [VarNext] :
      ( v17701(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v17699(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4070,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17701(VarNext)
      <=> ( v17702(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17702(VarNext)
      <=> ( v17704(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17704(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7143,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex94)
    <=> v13384(VarCurr,bitIndex94) ) )).

fof(addAssignment_7142,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex94)
    <=> v13386(VarCurr,bitIndex94) ) )).

fof(addAssignment_7141,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex94)
    <=> v13388(VarCurr,bitIndex94) ) )).

fof(addAssignment_7140,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex94)
    <=> v13390(VarCurr,bitIndex94) ) )).

fof(addAssignment_7139,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex94)
    <=> v13392(VarCurr,bitIndex94) ) )).

fof(addBitVectorEqualityBitBlasted_1170,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
    <=> ( ( v17665(VarCurr,bitIndex3)
        <=> v17649(VarCurr,bitIndex1) )
        & ( v17665(VarCurr,bitIndex2)
        <=> v17649(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_7138,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v17665(VarCurr,B)
      <=> v17674(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_331,axiom,(
    ! [VarCurr] :
      ( ~ v13224(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v17674(VarCurr,B)
          <=> v17673(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_271,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v17674(VarCurr,B)
          <=> v17667(VarCurr,B) ) ) ) )).

fof(addAssignment_7137,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v17667(VarCurr,B)
      <=> v17669(VarCurr,B) ) ) )).

fof(addAssignment_7136,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v17669(VarCurr,B)
      <=> v17671(VarCurr,B) ) ) )).

fof(addAssignment_7135,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v17671(VarCurr,B)
      <=> v13240(VarCurr,B) ) ) )).

fof(addAssignment_7134,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v13240(VarCurr,B)
      <=> v13242(VarCurr,B) ) ) )).

fof(addAssignment_7133,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v13242(VarCurr,B)
      <=> v13244(VarCurr,B) ) ) )).

fof(addAssignment_7132,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v13244(VarCurr,B)
      <=> v13246(VarCurr,B) ) ) )).

fof(range_axiom_76,axiom,(
    ! [B] :
      ( range_3_2(B)
    <=> ( $false
        | bitIndex2 = B
        | bitIndex3 = B ) ) )).

fof(addAssignment_7131,axiom,(
    ! [VarCurr] :
      ( ( v13246(VarCurr,bitIndex3)
      <=> v13248(VarCurr,bitIndex583) )
      & ( v13246(VarCurr,bitIndex2)
      <=> v13248(VarCurr,bitIndex582) ) ) )).

fof(addAssignment_7130,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17624(VarCurr,B)
      <=> v17626(VarCurr,B) ) ) )).

fof(addAssignment_7129,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17626(VarCurr,B)
      <=> v17628(VarCurr,B) ) ) )).

fof(addAssignment_7128,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17628(VarCurr,B)
      <=> v17630(VarCurr,B) ) ) )).

fof(addAssignment_7127,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17630(VarCurr,B)
      <=> v17632(VarCurr,B) ) ) )).

fof(addAssignment_7126,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17632(VarCurr,B)
      <=> v17634(VarCurr,B) ) ) )).

fof(addAssignment_7125,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17634(VarCurr,B)
      <=> v17636(VarCurr,B) ) ) )).

fof(addAssignment_7124,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17636(VarCurr,B)
      <=> v17637(VarCurr,B) ) ) )).

fof(addAssignment_7123,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v17637(VarCurr,B)
      <=> v13096(VarCurr,B) ) ) )).

fof(addAssignment_7122,axiom,(
    ! [VarCurr] :
      ( v17637(VarCurr,bitIndex5)
    <=> v2719(VarCurr) ) )).

fof(addAssignment_7121,axiom,(
    ! [VarCurr] :
      ( v13355(VarCurr)
    <=> v13357(VarCurr) ) )).

fof(addAssignment_7120,axiom,(
    ! [VarCurr] :
      ( v13357(VarCurr)
    <=> v13359(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_330,axiom,(
    ! [VarCurr] :
      ( ~ v17596(VarCurr)
     => ( v13359(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_270,axiom,(
    ! [VarCurr] :
      ( v17596(VarCurr)
     => ( v13359(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4068,axiom,(
    ! [VarCurr] :
      ( v17596(VarCurr)
    <=> ( v17597(VarCurr)
        | v17612(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4067,axiom,(
    ! [VarCurr] :
      ( v17612(VarCurr)
    <=> ( v17613(VarCurr)
        & v17614(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1211,axiom,(
    ! [VarCurr] :
      ( v17614(VarCurr)
    <=> ( v17616(VarCurr)
        & v13361(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1210,axiom,(
    ! [VarCurr] :
      ( v17616(VarCurr)
    <=> ( v17602(VarCurr)
        & v13361(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2102,axiom,(
    ! [VarCurr] :
      ( ~ v17613(VarCurr)
    <=> v13437(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4066,axiom,(
    ! [VarCurr] :
      ( v17597(VarCurr)
    <=> ( v17598(VarCurr)
        & v17599(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1209,axiom,(
    ! [VarCurr] :
      ( v17599(VarCurr)
    <=> ( v17601(VarCurr)
        & v13361(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4065,axiom,(
    ! [VarCurr] :
      ( v17601(VarCurr)
    <=> ( v17602(VarCurr)
        & v17611(VarCurr) ) ) )).

fof(writeUnaryOperator_2101,axiom,(
    ! [VarCurr] :
      ( ~ v17611(VarCurr)
    <=> v13361(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4064,axiom,(
    ! [VarCurr] :
      ( v17602(VarCurr)
    <=> ( v17603(VarCurr)
        & v17610(VarCurr) ) ) )).

fof(writeUnaryOperator_2100,axiom,(
    ! [VarCurr] :
      ( ~ v17610(VarCurr)
    <=> v13361(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4063,axiom,(
    ! [VarCurr] :
      ( v17603(VarCurr)
    <=> ( v17604(VarCurr)
        & v17609(VarCurr) ) ) )).

fof(writeUnaryOperator_2099,axiom,(
    ! [VarCurr] :
      ( ~ v17609(VarCurr)
    <=> v13361(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4062,axiom,(
    ! [VarCurr] :
      ( v17604(VarCurr)
    <=> ( v17605(VarCurr)
        & v17608(VarCurr) ) ) )).

fof(writeUnaryOperator_2098,axiom,(
    ! [VarCurr] :
      ( ~ v17608(VarCurr)
    <=> v13361(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4061,axiom,(
    ! [VarCurr] :
      ( v17605(VarCurr)
    <=> ( v17606(VarCurr)
        & v17607(VarCurr) ) ) )).

fof(writeUnaryOperator_2097,axiom,(
    ! [VarCurr] :
      ( ~ v17607(VarCurr)
    <=> v13361(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2096,axiom,(
    ! [VarCurr] :
      ( ~ v17606(VarCurr)
    <=> v13361(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_2095,axiom,(
    ! [VarCurr] :
      ( ~ v17598(VarCurr)
    <=> v13238(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_329,axiom,(
    ! [VarCurr] :
      ( ~ v17591(VarCurr)
     => ( v13437(VarCurr)
      <=> v17594(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_269,axiom,(
    ! [VarCurr] :
      ( v17591(VarCurr)
     => ( v13437(VarCurr)
      <=> v17593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1169,axiom,(
    ! [VarCurr] :
      ( v17594(VarCurr)
    <=> ( ( v13240(VarCurr,bitIndex61)
        <=> v13795(VarCurr,bitIndex47) )
        & ( v13240(VarCurr,bitIndex60)
        <=> v13795(VarCurr,bitIndex46) )
        & ( v13240(VarCurr,bitIndex59)
        <=> v13795(VarCurr,bitIndex45) )
        & ( v13240(VarCurr,bitIndex58)
        <=> v13795(VarCurr,bitIndex44) )
        & ( v13240(VarCurr,bitIndex57)
        <=> v13795(VarCurr,bitIndex43) )
        & ( v13240(VarCurr,bitIndex56)
        <=> v13795(VarCurr,bitIndex42) )
        & ( v13240(VarCurr,bitIndex55)
        <=> v13795(VarCurr,bitIndex41) )
        & ( v13240(VarCurr,bitIndex54)
        <=> v13795(VarCurr,bitIndex40) )
        & ( v13240(VarCurr,bitIndex53)
        <=> v13795(VarCurr,bitIndex39) )
        & ( v13240(VarCurr,bitIndex52)
        <=> v13795(VarCurr,bitIndex38) )
        & ( v13240(VarCurr,bitIndex51)
        <=> v13795(VarCurr,bitIndex37) )
        & ( v13240(VarCurr,bitIndex50)
        <=> v13795(VarCurr,bitIndex36) )
        & ( v13240(VarCurr,bitIndex49)
        <=> v13795(VarCurr,bitIndex35) )
        & ( v13240(VarCurr,bitIndex48)
        <=> v13795(VarCurr,bitIndex34) )
        & ( v13240(VarCurr,bitIndex47)
        <=> v13795(VarCurr,bitIndex33) )
        & ( v13240(VarCurr,bitIndex46)
        <=> v13795(VarCurr,bitIndex32) )
        & ( v13240(VarCurr,bitIndex45)
        <=> v13795(VarCurr,bitIndex31) )
        & ( v13240(VarCurr,bitIndex44)
        <=> v13795(VarCurr,bitIndex30) )
        & ( v13240(VarCurr,bitIndex43)
        <=> v13795(VarCurr,bitIndex29) )
        & ( v13240(VarCurr,bitIndex42)
        <=> v13795(VarCurr,bitIndex28) )
        & ( v13240(VarCurr,bitIndex41)
        <=> v13795(VarCurr,bitIndex27) )
        & ( v13240(VarCurr,bitIndex40)
        <=> v13795(VarCurr,bitIndex26) )
        & ( v13240(VarCurr,bitIndex39)
        <=> v13795(VarCurr,bitIndex25) )
        & ( v13240(VarCurr,bitIndex38)
        <=> v13795(VarCurr,bitIndex24) )
        & ( v13240(VarCurr,bitIndex37)
        <=> v13795(VarCurr,bitIndex23) )
        & ( v13240(VarCurr,bitIndex36)
        <=> v13795(VarCurr,bitIndex22) )
        & ( v13240(VarCurr,bitIndex35)
        <=> v13795(VarCurr,bitIndex21) )
        & ( v13240(VarCurr,bitIndex34)
        <=> v13795(VarCurr,bitIndex20) )
        & ( v13240(VarCurr,bitIndex33)
        <=> v13795(VarCurr,bitIndex19) )
        & ( v13240(VarCurr,bitIndex32)
        <=> v13795(VarCurr,bitIndex18) )
        & ( v13240(VarCurr,bitIndex31)
        <=> v13795(VarCurr,bitIndex17) )
        & ( v13240(VarCurr,bitIndex30)
        <=> v13795(VarCurr,bitIndex16) )
        & ( v13240(VarCurr,bitIndex29)
        <=> v13795(VarCurr,bitIndex15) )
        & ( v13240(VarCurr,bitIndex28)
        <=> v13795(VarCurr,bitIndex14) )
        & ( v13240(VarCurr,bitIndex27)
        <=> v13795(VarCurr,bitIndex13) )
        & ( v13240(VarCurr,bitIndex26)
        <=> v13795(VarCurr,bitIndex12) )
        & ( v13240(VarCurr,bitIndex25)
        <=> v13795(VarCurr,bitIndex11) )
        & ( v13240(VarCurr,bitIndex24)
        <=> v13795(VarCurr,bitIndex10) )
        & ( v13240(VarCurr,bitIndex23)
        <=> v13795(VarCurr,bitIndex9) )
        & ( v13240(VarCurr,bitIndex22)
        <=> v13795(VarCurr,bitIndex8) )
        & ( v13240(VarCurr,bitIndex21)
        <=> v13795(VarCurr,bitIndex7) )
        & ( v13240(VarCurr,bitIndex20)
        <=> v13795(VarCurr,bitIndex6) )
        & ( v13240(VarCurr,bitIndex19)
        <=> v13795(VarCurr,bitIndex5) )
        & ( v13240(VarCurr,bitIndex18)
        <=> v13795(VarCurr,bitIndex4) )
        & ( v13240(VarCurr,bitIndex17)
        <=> v13795(VarCurr,bitIndex3) )
        & ( v13240(VarCurr,bitIndex16)
        <=> v13795(VarCurr,bitIndex2) )
        & ( v13240(VarCurr,bitIndex15)
        <=> v13795(VarCurr,bitIndex1) )
        & ( v13240(VarCurr,bitIndex14)
        <=> v13795(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1168,axiom,(
    ! [VarCurr] :
      ( v17593(VarCurr)
    <=> ( ( v13240(VarCurr,bitIndex60)
        <=> v13795(VarCurr,bitIndex46) )
        & ( v13240(VarCurr,bitIndex59)
        <=> v13795(VarCurr,bitIndex45) )
        & ( v13240(VarCurr,bitIndex58)
        <=> v13795(VarCurr,bitIndex44) )
        & ( v13240(VarCurr,bitIndex57)
        <=> v13795(VarCurr,bitIndex43) )
        & ( v13240(VarCurr,bitIndex56)
        <=> v13795(VarCurr,bitIndex42) )
        & ( v13240(VarCurr,bitIndex55)
        <=> v13795(VarCurr,bitIndex41) )
        & ( v13240(VarCurr,bitIndex54)
        <=> v13795(VarCurr,bitIndex40) )
        & ( v13240(VarCurr,bitIndex53)
        <=> v13795(VarCurr,bitIndex39) )
        & ( v13240(VarCurr,bitIndex52)
        <=> v13795(VarCurr,bitIndex38) )
        & ( v13240(VarCurr,bitIndex51)
        <=> v13795(VarCurr,bitIndex37) )
        & ( v13240(VarCurr,bitIndex50)
        <=> v13795(VarCurr,bitIndex36) )
        & ( v13240(VarCurr,bitIndex49)
        <=> v13795(VarCurr,bitIndex35) )
        & ( v13240(VarCurr,bitIndex48)
        <=> v13795(VarCurr,bitIndex34) )
        & ( v13240(VarCurr,bitIndex47)
        <=> v13795(VarCurr,bitIndex33) )
        & ( v13240(VarCurr,bitIndex46)
        <=> v13795(VarCurr,bitIndex32) )
        & ( v13240(VarCurr,bitIndex45)
        <=> v13795(VarCurr,bitIndex31) )
        & ( v13240(VarCurr,bitIndex44)
        <=> v13795(VarCurr,bitIndex30) )
        & ( v13240(VarCurr,bitIndex43)
        <=> v13795(VarCurr,bitIndex29) )
        & ( v13240(VarCurr,bitIndex42)
        <=> v13795(VarCurr,bitIndex28) )
        & ( v13240(VarCurr,bitIndex41)
        <=> v13795(VarCurr,bitIndex27) )
        & ( v13240(VarCurr,bitIndex40)
        <=> v13795(VarCurr,bitIndex26) )
        & ( v13240(VarCurr,bitIndex39)
        <=> v13795(VarCurr,bitIndex25) )
        & ( v13240(VarCurr,bitIndex38)
        <=> v13795(VarCurr,bitIndex24) )
        & ( v13240(VarCurr,bitIndex37)
        <=> v13795(VarCurr,bitIndex23) )
        & ( v13240(VarCurr,bitIndex36)
        <=> v13795(VarCurr,bitIndex22) )
        & ( v13240(VarCurr,bitIndex35)
        <=> v13795(VarCurr,bitIndex21) )
        & ( v13240(VarCurr,bitIndex34)
        <=> v13795(VarCurr,bitIndex20) )
        & ( v13240(VarCurr,bitIndex33)
        <=> v13795(VarCurr,bitIndex19) )
        & ( v13240(VarCurr,bitIndex32)
        <=> v13795(VarCurr,bitIndex18) )
        & ( v13240(VarCurr,bitIndex31)
        <=> v13795(VarCurr,bitIndex17) )
        & ( v13240(VarCurr,bitIndex30)
        <=> v13795(VarCurr,bitIndex16) )
        & ( v13240(VarCurr,bitIndex29)
        <=> v13795(VarCurr,bitIndex15) )
        & ( v13240(VarCurr,bitIndex28)
        <=> v13795(VarCurr,bitIndex14) )
        & ( v13240(VarCurr,bitIndex27)
        <=> v13795(VarCurr,bitIndex13) )
        & ( v13240(VarCurr,bitIndex26)
        <=> v13795(VarCurr,bitIndex12) )
        & ( v13240(VarCurr,bitIndex25)
        <=> v13795(VarCurr,bitIndex11) )
        & ( v13240(VarCurr,bitIndex24)
        <=> v13795(VarCurr,bitIndex10) )
        & ( v13240(VarCurr,bitIndex23)
        <=> v13795(VarCurr,bitIndex9) )
        & ( v13240(VarCurr,bitIndex22)
        <=> v13795(VarCurr,bitIndex8) )
        & ( v13240(VarCurr,bitIndex21)
        <=> v13795(VarCurr,bitIndex7) )
        & ( v13240(VarCurr,bitIndex20)
        <=> v13795(VarCurr,bitIndex6) )
        & ( v13240(VarCurr,bitIndex19)
        <=> v13795(VarCurr,bitIndex5) )
        & ( v13240(VarCurr,bitIndex18)
        <=> v13795(VarCurr,bitIndex4) )
        & ( v13240(VarCurr,bitIndex17)
        <=> v13795(VarCurr,bitIndex3) )
        & ( v13240(VarCurr,bitIndex16)
        <=> v13795(VarCurr,bitIndex2) )
        & ( v13240(VarCurr,bitIndex15)
        <=> v13795(VarCurr,bitIndex1) )
        & ( v13240(VarCurr,bitIndex14)
        <=> v13795(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4060,axiom,(
    ! [VarCurr] :
      ( v17591(VarCurr)
    <=> ( v13439(VarCurr)
        & v17592(VarCurr) ) ) )).

fof(writeUnaryOperator_2094,axiom,(
    ! [VarCurr] :
      ( ~ v17592(VarCurr)
    <=> v13447(VarCurr) ) )).

fof(addAssignment_7119,axiom,(
    ! [VarCurr] :
      ( v13795(VarCurr,bitIndex47)
    <=> v13797(VarCurr,bitIndex47) ) )).

fof(addAssignment_7118,axiom,(
    ! [VarCurr] :
      ( v13797(VarCurr,bitIndex47)
    <=> v13799(VarCurr,bitIndex47) ) )).

fof(addAssignment_7117,axiom,(
    ! [VarCurr] :
      ( v13799(VarCurr,bitIndex47)
    <=> v13801(VarCurr,bitIndex47) ) )).

fof(addAssignment_7116,axiom,(
    ! [VarCurr] :
      ( v13801(VarCurr,bitIndex47)
    <=> v13803(VarCurr,bitIndex47) ) )).

fof(addAssignment_7115,axiom,(
    ! [VarCurr] :
      ( v13803(VarCurr,bitIndex47)
    <=> v13805(VarCurr,bitIndex47) ) )).

fof(addAssignment_7114,axiom,(
    ! [VarCurr] :
      ( v13805(VarCurr,bitIndex47)
    <=> v13807(VarCurr,bitIndex47) ) )).

fof(addAssignment_7113,axiom,(
    ! [VarCurr] :
      ( v13807(VarCurr,bitIndex47)
    <=> v13809(VarCurr,bitIndex47) ) )).

fof(addAssignment_7112,axiom,(
    ! [VarCurr] :
      ( v13809(VarCurr,bitIndex47)
    <=> v13811(VarCurr,bitIndex47) ) )).

fof(addAssignment_7111,axiom,(
    ! [VarCurr] :
      ( v13811(VarCurr,bitIndex47)
    <=> v13813(VarCurr,bitIndex63) ) )).

fof(addAssignment_7110,axiom,(
    ! [VarCurr] :
      ( v13813(VarCurr,bitIndex63)
    <=> v13815(VarCurr,bitIndex63) ) )).

fof(addAssignment_7109,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex63)
    <=> v17515(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_221,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17546(VarNext)
       => ( v17515(VarNext)
        <=> v17515(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_245,axiom,(
    ! [VarNext] :
      ( v17546(VarNext)
     => ( v17515(VarNext)
      <=> v17581(VarNext) ) ) )).

fof(addAssignment_7108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17581(VarNext)
      <=> v17579(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_397,axiom,(
    ! [VarCurr] :
      ( ~ v17517(VarCurr)
     => ( v17579(VarCurr)
      <=> v17582(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_397,axiom,(
    ! [VarCurr] :
      ( v17517(VarCurr)
     => ( v17579(VarCurr)
      <=> v17519(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_396,axiom,(
    ! [VarCurr] :
      ( ~ v17559(VarCurr)
     => ( v17582(VarCurr)
      <=> v17541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_396,axiom,(
    ! [VarCurr] :
      ( v17559(VarCurr)
     => ( v17582(VarCurr)
      <=> v17583(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_107,axiom,(
    ! [VarCurr] :
      ( ( ~ v17562(VarCurr)
        & ~ v17564(VarCurr) )
     => ( v17583(VarCurr)
      <=> v17587(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_395,axiom,(
    ! [VarCurr] :
      ( v17564(VarCurr)
     => ( v17583(VarCurr)
      <=> v17586(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_395,axiom,(
    ! [VarCurr] :
      ( v17562(VarCurr)
     => ( v17583(VarCurr)
      <=> v17584(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_394,axiom,(
    ! [VarCurr] :
      ( ~ v17572(VarCurr)
     => ( v17587(VarCurr)
      <=> v17541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_394,axiom,(
    ! [VarCurr] :
      ( v17572(VarCurr)
     => ( v17587(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_393,axiom,(
    ! [VarCurr] :
      ( ~ v17566(VarCurr)
     => ( v17586(VarCurr)
      <=> v17541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_393,axiom,(
    ! [VarCurr] :
      ( v17566(VarCurr)
     => ( v17586(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_328,axiom,(
    ! [VarCurr] :
      ( ~ v17585(VarCurr)
     => ( v17584(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_268,axiom,(
    ! [VarCurr] :
      ( v17585(VarCurr)
     => ( v17584(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1167,axiom,(
    ! [VarCurr] :
      ( v17585(VarCurr)
    <=> ( v17527(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4059,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17546(VarNext)
      <=> ( v17547(VarNext)
          & v17556(VarNext) ) ) ) )).

fof(addAssignment_7107,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17556(VarNext)
      <=> v17554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4058,axiom,(
    ! [VarCurr] :
      ( v17554(VarCurr)
    <=> ( v17517(VarCurr)
        | v17557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4057,axiom,(
    ! [VarCurr] :
      ( v17557(VarCurr)
    <=> ( v17558(VarCurr)
        & v17578(VarCurr) ) ) )).

fof(writeUnaryOperator_2093,axiom,(
    ! [VarCurr] :
      ( ~ v17578(VarCurr)
    <=> v17517(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4056,axiom,(
    ! [VarCurr] :
      ( v17558(VarCurr)
    <=> ( v17559(VarCurr)
        | v17576(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4055,axiom,(
    ! [VarCurr] :
      ( v17576(VarCurr)
    <=> ( v17537(VarCurr)
        & v17577(VarCurr) ) ) )).

fof(writeUnaryOperator_2092,axiom,(
    ! [VarCurr] :
      ( ~ v17577(VarCurr)
    <=> v17539(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4054,axiom,(
    ! [VarCurr] :
      ( v17559(VarCurr)
    <=> ( v17560(VarCurr)
        & v17539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4053,axiom,(
    ! [VarCurr] :
      ( v17560(VarCurr)
    <=> ( v17561(VarCurr)
        | v17570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4052,axiom,(
    ! [VarCurr] :
      ( v17570(VarCurr)
    <=> ( v17571(VarCurr)
        & v17575(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1166,axiom,(
    ! [VarCurr] :
      ( v17575(VarCurr)
    <=> ( ( v17563(VarCurr,bitIndex2)
        <=> $false )
        & ( v17563(VarCurr,bitIndex1)
        <=> $false )
        & ( v17563(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4051,axiom,(
    ! [VarCurr] :
      ( v17571(VarCurr)
    <=> ( v17572(VarCurr)
        | v17573(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4050,axiom,(
    ! [VarCurr] :
      ( v17573(VarCurr)
    <=> ( v17537(VarCurr)
        & v17574(VarCurr) ) ) )).

fof(writeUnaryOperator_2091,axiom,(
    ! [VarCurr] :
      ( ~ v17574(VarCurr)
    <=> v17572(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1165,axiom,(
    ! [VarCurr] :
      ( v17572(VarCurr)
    <=> ( v17527(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4049,axiom,(
    ! [VarCurr] :
      ( v17561(VarCurr)
    <=> ( v17562(VarCurr)
        | v17564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4048,axiom,(
    ! [VarCurr] :
      ( v17564(VarCurr)
    <=> ( v17565(VarCurr)
        & v17569(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1164,axiom,(
    ! [VarCurr] :
      ( v17569(VarCurr)
    <=> ( ( v17563(VarCurr,bitIndex2)
        <=> $false )
        & ( v17563(VarCurr,bitIndex1)
        <=> $true )
        & ( v17563(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4047,axiom,(
    ! [VarCurr] :
      ( v17565(VarCurr)
    <=> ( v17566(VarCurr)
        | v17567(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4046,axiom,(
    ! [VarCurr] :
      ( v17567(VarCurr)
    <=> ( v17537(VarCurr)
        & v17568(VarCurr) ) ) )).

fof(writeUnaryOperator_2090,axiom,(
    ! [VarCurr] :
      ( ~ v17568(VarCurr)
    <=> v17566(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1163,axiom,(
    ! [VarCurr] :
      ( v17566(VarCurr)
    <=> ( v17527(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1162,axiom,(
    ! [VarCurr] :
      ( v17562(VarCurr)
    <=> ( ( v17563(VarCurr,bitIndex2)
        <=> $true )
        & ( v17563(VarCurr,bitIndex1)
        <=> $false )
        & ( v17563(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7106,axiom,(
    ! [VarCurr] :
      ( v17563(VarCurr,bitIndex0)
    <=> v17525(VarCurr) ) )).

fof(addAssignment_7105,axiom,(
    ! [VarCurr] :
      ( v17563(VarCurr,bitIndex1)
    <=> v17523(VarCurr) ) )).

fof(addAssignment_7104,axiom,(
    ! [VarCurr] :
      ( v17563(VarCurr,bitIndex2)
    <=> v17521(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4045,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17547(VarNext)
      <=> ( v17548(VarNext)
          & v17543(VarNext) ) ) ) )).

fof(writeUnaryOperator_2089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17548(VarNext)
      <=> v17550(VarNext) ) ) )).

fof(addAssignment_7103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17550(VarNext)
      <=> v17543(VarCurr) ) ) )).

fof(addAssignment_7102,axiom,(
    ! [VarCurr] :
      ( v17543(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_7101,axiom,(
    ! [VarCurr] :
      ( v17541(VarCurr)
    <=> $false ) )).

fof(addAssignment_7100,axiom,(
    ! [VarCurr] :
      ( v17539(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_7099,axiom,(
    ! [VarCurr] :
      ( v17537(VarCurr)
    <=> $false ) )).

fof(addAssignment_7098,axiom,(
    ! [VarCurr] :
      ( v17527(VarCurr)
    <=> v13838(VarCurr,bitIndex63) ) )).

fof(addAssignment_7097,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex63)
    <=> v13840(VarCurr,bitIndex63) ) )).

fof(addAssignment_7096,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex63)
    <=> v3822(VarCurr,bitIndex63) ) )).

fof(addAssignment_7095,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex63)
    <=> v3824(VarCurr,bitIndex63) ) )).

fof(addAssignment_7094,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex63)
    <=> v3826(VarCurr,bitIndex63) ) )).

fof(addAssignment_7093,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex63)
    <=> v3828(VarCurr,bitIndex63) ) )).

fof(addAssignment_7092,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex63)
    <=> v3830(VarCurr,bitIndex63) ) )).

fof(addAssignment_7091,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex63)
    <=> v3832(VarCurr,bitIndex63) ) )).

fof(addAssignment_7090,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex63)
    <=> v3834(VarCurr,bitIndex63) ) )).

fof(addAssignment_7089,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex63)
    <=> v17529(VarNext,bitIndex63) ) )).

fof(addCaseBooleanConditionEqualRanges1_220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17530(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v17529(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_244,axiom,(
    ! [VarNext] :
      ( v17530(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v17529(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17530(VarNext)
      <=> v17531(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4043,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17531(VarNext)
      <=> ( v17533(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17533(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_7088,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex63)
    <=> v13844(VarCurr,bitIndex63) ) )).

fof(addAssignment_7087,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex63)
    <=> v13846(VarCurr,bitIndex63) ) )).

fof(addAssignment_7086,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex63)
    <=> v13848(VarCurr,bitIndex63) ) )).

fof(addAssignment_7085,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex63)
    <=> v13850(VarCurr,bitIndex63) ) )).

fof(addAssignment_7084,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex63)
    <=> v13852(VarCurr,bitIndex63) ) )).

fof(addAssignment_7083,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex63)
    <=> v13538(VarCurr,bitIndex63) ) )).

fof(addAssignment_7082,axiom,(
    ! [VarCurr] :
      ( v17525(VarCurr)
    <=> $false ) )).

fof(addAssignment_7081,axiom,(
    ! [VarCurr] :
      ( v17523(VarCurr)
    <=> $false ) )).

fof(addAssignment_7080,axiom,(
    ! [VarCurr] :
      ( v17521(VarCurr)
    <=> $true ) )).

fof(addAssignment_7079,axiom,(
    ! [VarCurr] :
      ( v17519(VarCurr)
    <=> $false ) )).

fof(addAssignment_7078,axiom,(
    ! [VarCurr] :
      ( v17517(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addAssignment_7077,axiom,(
    ! [VarCurr] :
      ( v13240(VarCurr,bitIndex61)
    <=> v13242(VarCurr,bitIndex61) ) )).

fof(addAssignment_7076,axiom,(
    ! [VarCurr] :
      ( v13242(VarCurr,bitIndex61)
    <=> v13244(VarCurr,bitIndex61) ) )).

fof(addAssignment_7075,axiom,(
    ! [VarCurr] :
      ( v13244(VarCurr,bitIndex61)
    <=> v13246(VarCurr,bitIndex61) ) )).

fof(addAssignment_7074,axiom,(
    ! [VarCurr] :
      ( v13246(VarCurr,bitIndex61)
    <=> v13248(VarCurr,bitIndex641) ) )).

fof(addAssignment_7073,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex641)
    <=> v17507(VarNext,bitIndex61) ) )).

fof(addCaseBooleanConditionShiftedRanges1_27,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17509(VarNext)
       => ( ( v17507(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v17507(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v17507(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v17507(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v17507(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v17507(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v17507(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v17507(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v17507(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v17507(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v17507(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v17507(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v17507(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v17507(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v17507(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v17507(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v17507(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v17507(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v17507(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v17507(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v17507(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v17507(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v17507(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v17507(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v17507(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v17507(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v17507(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v17507(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v17507(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v17507(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v17507(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v17507(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v17507(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v17507(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v17507(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v17507(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v17507(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v17507(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v17507(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v17507(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v17507(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v17507(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v17507(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v17507(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v17507(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v17507(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v17507(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v17507(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v17507(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v17507(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v17507(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v17507(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v17507(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v17507(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v17507(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v17507(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v17507(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v17507(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v17507(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v17507(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v17507(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v17507(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v17507(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v17507(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v17507(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v17507(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v17507(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v17507(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v17507(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v17507(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v17507(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v17507(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v17507(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v17507(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v17507(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v17507(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v17507(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v17507(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v17507(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v17507(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v17507(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v17507(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v17507(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v17507(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v17507(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v17507(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v17507(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v17507(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v17507(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v17507(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v17507(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v17507(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v17507(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v17507(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v17507(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v17507(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v17507(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v17507(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v17507(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v17507(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v17507(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v17507(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v17507(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v17507(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v17507(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v17507(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v17507(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v17507(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v17507(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v17507(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v17507(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v17507(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v17507(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v17507(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v17507(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v17507(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_243,axiom,(
    ! [VarNext] :
      ( v17509(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v17507(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4042,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17509(VarNext)
      <=> ( v17510(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4041,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17510(VarNext)
      <=> ( v17512(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2087,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17512(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7072,axiom,(
    ! [VarNext] :
      ( v13248(VarNext,bitIndex525)
    <=> v17499(VarNext,bitIndex61) ) )).

fof(addCaseBooleanConditionShiftedRanges1_26,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17501(VarNext)
       => ( ( v17499(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex579) )
          & ( v17499(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex578) )
          & ( v17499(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex577) )
          & ( v17499(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex576) )
          & ( v17499(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex575) )
          & ( v17499(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex574) )
          & ( v17499(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex573) )
          & ( v17499(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex572) )
          & ( v17499(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex571) )
          & ( v17499(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex570) )
          & ( v17499(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex569) )
          & ( v17499(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex568) )
          & ( v17499(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex567) )
          & ( v17499(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex566) )
          & ( v17499(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex565) )
          & ( v17499(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex564) )
          & ( v17499(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex563) )
          & ( v17499(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex562) )
          & ( v17499(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex561) )
          & ( v17499(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex560) )
          & ( v17499(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex559) )
          & ( v17499(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex558) )
          & ( v17499(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex557) )
          & ( v17499(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex556) )
          & ( v17499(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex555) )
          & ( v17499(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex554) )
          & ( v17499(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex553) )
          & ( v17499(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex552) )
          & ( v17499(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex551) )
          & ( v17499(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex550) )
          & ( v17499(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex549) )
          & ( v17499(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex548) )
          & ( v17499(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex547) )
          & ( v17499(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex546) )
          & ( v17499(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex545) )
          & ( v17499(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex544) )
          & ( v17499(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex543) )
          & ( v17499(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex542) )
          & ( v17499(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex541) )
          & ( v17499(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex540) )
          & ( v17499(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex539) )
          & ( v17499(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex538) )
          & ( v17499(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex537) )
          & ( v17499(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex536) )
          & ( v17499(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex535) )
          & ( v17499(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex534) )
          & ( v17499(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex533) )
          & ( v17499(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex532) )
          & ( v17499(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex531) )
          & ( v17499(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex530) )
          & ( v17499(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex529) )
          & ( v17499(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex528) )
          & ( v17499(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex527) )
          & ( v17499(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex526) )
          & ( v17499(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex525) )
          & ( v17499(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex524) )
          & ( v17499(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex523) )
          & ( v17499(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex522) )
          & ( v17499(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex521) )
          & ( v17499(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex520) )
          & ( v17499(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex519) )
          & ( v17499(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex518) )
          & ( v17499(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex517) )
          & ( v17499(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex516) )
          & ( v17499(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex515) )
          & ( v17499(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex514) )
          & ( v17499(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex513) )
          & ( v17499(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex512) )
          & ( v17499(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex511) )
          & ( v17499(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex510) )
          & ( v17499(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex509) )
          & ( v17499(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex508) )
          & ( v17499(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex507) )
          & ( v17499(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex506) )
          & ( v17499(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex505) )
          & ( v17499(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex504) )
          & ( v17499(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex503) )
          & ( v17499(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex502) )
          & ( v17499(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex501) )
          & ( v17499(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex500) )
          & ( v17499(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex499) )
          & ( v17499(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex498) )
          & ( v17499(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex497) )
          & ( v17499(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex496) )
          & ( v17499(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex495) )
          & ( v17499(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex494) )
          & ( v17499(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex493) )
          & ( v17499(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex492) )
          & ( v17499(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex491) )
          & ( v17499(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex490) )
          & ( v17499(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex489) )
          & ( v17499(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex488) )
          & ( v17499(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex487) )
          & ( v17499(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex486) )
          & ( v17499(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex485) )
          & ( v17499(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex484) )
          & ( v17499(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex483) )
          & ( v17499(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex482) )
          & ( v17499(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex481) )
          & ( v17499(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex480) )
          & ( v17499(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex479) )
          & ( v17499(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex478) )
          & ( v17499(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex477) )
          & ( v17499(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex476) )
          & ( v17499(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex475) )
          & ( v17499(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex474) )
          & ( v17499(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex473) )
          & ( v17499(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex472) )
          & ( v17499(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex471) )
          & ( v17499(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex470) )
          & ( v17499(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex469) )
          & ( v17499(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex468) )
          & ( v17499(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex467) )
          & ( v17499(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex466) )
          & ( v17499(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex465) )
          & ( v17499(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex464) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_242,axiom,(
    ! [VarNext] :
      ( v17501(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v17499(VarNext,B)
          <=> v13413(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4040,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17501(VarNext)
      <=> ( v17502(VarNext)
          & v13407(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4039,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17502(VarNext)
      <=> ( v17504(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_2086,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17504(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_7071,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr,bitIndex61)
    <=> v13384(VarCurr,bitIndex61) ) )).

fof(addAssignment_7070,axiom,(
    ! [VarCurr] :
      ( v13384(VarCurr,bitIndex61)
    <=> v13386(VarCurr,bitIndex61) ) )).

fof(addAssignment_7069,axiom,(
    ! [VarCurr] :
      ( v13386(VarCurr,bitIndex61)
    <=> v13388(VarCurr,bitIndex61) ) )).

fof(addAssignment_7068,axiom,(
    ! [VarCurr] :
      ( v13388(VarCurr,bitIndex61)
    <=> v13390(VarCurr,bitIndex61) ) )).

fof(addAssignment_7067,axiom,(
    ! [VarCurr] :
      ( v13390(VarCurr,bitIndex61)
    <=> v13392(VarCurr,bitIndex61) ) )).

fof(addAssignment_7066,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13795(VarCurr,B)
      <=> v13797(VarCurr,B) ) ) )).

fof(addAssignment_7065,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13797(VarCurr,B)
      <=> v13799(VarCurr,B) ) ) )).

fof(addAssignment_7064,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13799(VarCurr,B)
      <=> v13801(VarCurr,B) ) ) )).

fof(addAssignment_7063,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13801(VarCurr,B)
      <=> v13803(VarCurr,B) ) ) )).

fof(addAssignment_7062,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13803(VarCurr,B)
      <=> v13805(VarCurr,B) ) ) )).

fof(addAssignment_7061,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13805(VarCurr,B)
      <=> v13807(VarCurr,B) ) ) )).

fof(addAssignment_7060,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13807(VarCurr,B)
      <=> v13809(VarCurr,B) ) ) )).

fof(addAssignment_7059,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v13809(VarCurr,B)
      <=> v13811(VarCurr,B) ) ) )).

fof(range_axiom_75,axiom,(
    ! [B] :
      ( range_46_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B ) ) )).

fof(addAssignment_7058,axiom,(
    ! [VarCurr] :
      ( ( v13811(VarCurr,bitIndex46)
      <=> v13813(VarCurr,bitIndex62) )
      & ( v13811(VarCurr,bitIndex45)
      <=> v13813(VarCurr,bitIndex61) )
      & ( v13811(VarCurr,bitIndex44)
      <=> v13813(VarCurr,bitIndex60) )
      & ( v13811(VarCurr,bitIndex43)
      <=> v13813(VarCurr,bitIndex59) )
      & ( v13811(VarCurr,bitIndex42)
      <=> v13813(VarCurr,bitIndex58) )
      & ( v13811(VarCurr,bitIndex41)
      <=> v13813(VarCurr,bitIndex57) )
      & ( v13811(VarCurr,bitIndex40)
      <=> v13813(VarCurr,bitIndex56) )
      & ( v13811(VarCurr,bitIndex39)
      <=> v13813(VarCurr,bitIndex55) )
      & ( v13811(VarCurr,bitIndex38)
      <=> v13813(VarCurr,bitIndex54) )
      & ( v13811(VarCurr,bitIndex37)
      <=> v13813(VarCurr,bitIndex53) )
      & ( v13811(VarCurr,bitIndex36)
      <=> v13813(VarCurr,bitIndex52) )
      & ( v13811(VarCurr,bitIndex35)
      <=> v13813(VarCurr,bitIndex51) )
      & ( v13811(VarCurr,bitIndex34)
      <=> v13813(VarCurr,bitIndex50) )
      & ( v13811(VarCurr,bitIndex33)
      <=> v13813(VarCurr,bitIndex49) )
      & ( v13811(VarCurr,bitIndex32)
      <=> v13813(VarCurr,bitIndex48) )
      & ( v13811(VarCurr,bitIndex31)
      <=> v13813(VarCurr,bitIndex47) )
      & ( v13811(VarCurr,bitIndex30)
      <=> v13813(VarCurr,bitIndex46) )
      & ( v13811(VarCurr,bitIndex29)
      <=> v13813(VarCurr,bitIndex45) )
      & ( v13811(VarCurr,bitIndex28)
      <=> v13813(VarCurr,bitIndex44) )
      & ( v13811(VarCurr,bitIndex27)
      <=> v13813(VarCurr,bitIndex43) )
      & ( v13811(VarCurr,bitIndex26)
      <=> v13813(VarCurr,bitIndex42) )
      & ( v13811(VarCurr,bitIndex25)
      <=> v13813(VarCurr,bitIndex41) )
      & ( v13811(VarCurr,bitIndex24)
      <=> v13813(VarCurr,bitIndex40) )
      & ( v13811(VarCurr,bitIndex23)
      <=> v13813(VarCurr,bitIndex39) )
      & ( v13811(VarCurr,bitIndex22)
      <=> v13813(VarCurr,bitIndex38) )
      & ( v13811(VarCurr,bitIndex21)
      <=> v13813(VarCurr,bitIndex37) )
      & ( v13811(VarCurr,bitIndex20)
      <=> v13813(VarCurr,bitIndex36) )
      & ( v13811(VarCurr,bitIndex19)
      <=> v13813(VarCurr,bitIndex35) )
      & ( v13811(VarCurr,bitIndex18)
      <=> v13813(VarCurr,bitIndex34) )
      & ( v13811(VarCurr,bitIndex17)
      <=> v13813(VarCurr,bitIndex33) )
      & ( v13811(VarCurr,bitIndex16)
      <=> v13813(VarCurr,bitIndex32) )
      & ( v13811(VarCurr,bitIndex15)
      <=> v13813(VarCurr,bitIndex31) )
      & ( v13811(VarCurr,bitIndex14)
      <=> v13813(VarCurr,bitIndex30) )
      & ( v13811(VarCurr,bitIndex13)
      <=> v13813(VarCurr,bitIndex29) )
      & ( v13811(VarCurr,bitIndex12)
      <=> v13813(VarCurr,bitIndex28) )
      & ( v13811(VarCurr,bitIndex11)
      <=> v13813(VarCurr,bitIndex27) )
      & ( v13811(VarCurr,bitIndex10)
      <=> v13813(VarCurr,bitIndex26) )
      & ( v13811(VarCurr,bitIndex9)
      <=> v13813(VarCurr,bitIndex25) )
      & ( v13811(VarCurr,bitIndex8)
      <=> v13813(VarCurr,bitIndex24) )
      & ( v13811(VarCurr,bitIndex7)
      <=> v13813(VarCurr,bitIndex23) )
      & ( v13811(VarCurr,bitIndex6)
      <=> v13813(VarCurr,bitIndex22) )
      & ( v13811(VarCurr,bitIndex5)
      <=> v13813(VarCurr,bitIndex21) )
      & ( v13811(VarCurr,bitIndex4)
      <=> v13813(VarCurr,bitIndex20) )
      & ( v13811(VarCurr,bitIndex3)
      <=> v13813(VarCurr,bitIndex19) )
      & ( v13811(VarCurr,bitIndex2)
      <=> v13813(VarCurr,bitIndex18) )
      & ( v13811(VarCurr,bitIndex1)
      <=> v13813(VarCurr,bitIndex17) )
      & ( v13811(VarCurr,bitIndex0)
      <=> v13813(VarCurr,bitIndex16) ) ) )).

fof(addAssignment_7057,axiom,(
    ! [VarCurr,B] :
      ( range_62_16(B)
     => ( v13813(VarCurr,B)
      <=> v13815(VarCurr,B) ) ) )).

fof(range_axiom_74,axiom,(
    ! [B] :
      ( range_62_16(B)
    <=> ( $false
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B ) ) )).

fof(addAssignment_7056,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex62)
    <=> v17423(VarCurr) ) )).

fof(addAssignment_7055,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex61)
    <=> v17347(VarCurr) ) )).

fof(addAssignment_7054,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex60)
    <=> v17271(VarCurr) ) )).

fof(addAssignment_7053,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex59)
    <=> v17195(VarCurr) ) )).

fof(addAssignment_7052,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex58)
    <=> v17119(VarCurr) ) )).

fof(addAssignment_7051,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex57)
    <=> v17043(VarCurr) ) )).

fof(addAssignment_7050,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex56)
    <=> v16967(VarCurr) ) )).

fof(addAssignment_7049,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex55)
    <=> v16891(VarCurr) ) )).

fof(addAssignment_7048,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex54)
    <=> v16815(VarCurr) ) )).

fof(addAssignment_7047,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex53)
    <=> v16739(VarCurr) ) )).

fof(addAssignment_7046,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex52)
    <=> v16663(VarCurr) ) )).

fof(addAssignment_7045,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex51)
    <=> v16587(VarCurr) ) )).

fof(addAssignment_7044,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex50)
    <=> v16511(VarCurr) ) )).

fof(addAssignment_7043,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex49)
    <=> v16435(VarCurr) ) )).

fof(addAssignment_7042,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex48)
    <=> v16359(VarCurr) ) )).

fof(addAssignment_7041,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex47)
    <=> v16283(VarCurr) ) )).

fof(addAssignment_7040,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex46)
    <=> v16207(VarCurr) ) )).

fof(addAssignment_7039,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex45)
    <=> v16131(VarCurr) ) )).

fof(addAssignment_7038,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex44)
    <=> v16055(VarCurr) ) )).

fof(addAssignment_7037,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex43)
    <=> v15979(VarCurr) ) )).

fof(addAssignment_7036,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex42)
    <=> v15903(VarCurr) ) )).

fof(addAssignment_7035,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex41)
    <=> v15827(VarCurr) ) )).

fof(addAssignment_7034,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex40)
    <=> v15751(VarCurr) ) )).

fof(addAssignment_7033,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex39)
    <=> v15675(VarCurr) ) )).

fof(addAssignment_7032,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex38)
    <=> v15599(VarCurr) ) )).

fof(addAssignment_7031,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex37)
    <=> v15523(VarCurr) ) )).

fof(addAssignment_7030,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex36)
    <=> v15447(VarCurr) ) )).

fof(addAssignment_7029,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex35)
    <=> v15371(VarCurr) ) )).

fof(addAssignment_7028,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex34)
    <=> v15295(VarCurr) ) )).

fof(addAssignment_7027,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex33)
    <=> v15219(VarCurr) ) )).

fof(addAssignment_7026,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex32)
    <=> v15143(VarCurr) ) )).

fof(addAssignment_7025,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex31)
    <=> v15067(VarCurr) ) )).

fof(addAssignment_7024,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex30)
    <=> v14991(VarCurr) ) )).

fof(addAssignment_7023,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex29)
    <=> v14915(VarCurr) ) )).

fof(addAssignment_7022,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex28)
    <=> v14839(VarCurr) ) )).

fof(addAssignment_7021,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex27)
    <=> v14763(VarCurr) ) )).

fof(addAssignment_7020,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex26)
    <=> v14687(VarCurr) ) )).

fof(addAssignment_7019,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex25)
    <=> v14611(VarCurr) ) )).

fof(addAssignment_7018,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex24)
    <=> v14535(VarCurr) ) )).

fof(addAssignment_7017,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex23)
    <=> v14459(VarCurr) ) )).

fof(addAssignment_7016,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex22)
    <=> v14383(VarCurr) ) )).

fof(addAssignment_7015,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex21)
    <=> v14307(VarCurr) ) )).

fof(addAssignment_7014,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex20)
    <=> v14231(VarCurr) ) )).

fof(addAssignment_7013,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex19)
    <=> v14155(VarCurr) ) )).

fof(addAssignment_7012,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex18)
    <=> v14079(VarCurr) ) )).

fof(addAssignment_7011,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex17)
    <=> v14003(VarCurr) ) )).

fof(addAssignment_7010,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr,bitIndex16)
    <=> v13817(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_219,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17454(VarNext)
       => ( v17423(VarNext)
        <=> v17423(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_241,axiom,(
    ! [VarNext] :
      ( v17454(VarNext)
     => ( v17423(VarNext)
      <=> v17489(VarNext) ) ) )).

fof(addAssignment_7009,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17489(VarNext)
      <=> v17487(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_392,axiom,(
    ! [VarCurr] :
      ( ~ v17425(VarCurr)
     => ( v17487(VarCurr)
      <=> v17490(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_392,axiom,(
    ! [VarCurr] :
      ( v17425(VarCurr)
     => ( v17487(VarCurr)
      <=> v17427(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_391,axiom,(
    ! [VarCurr] :
      ( ~ v17467(VarCurr)
     => ( v17490(VarCurr)
      <=> v17449(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_391,axiom,(
    ! [VarCurr] :
      ( v17467(VarCurr)
     => ( v17490(VarCurr)
      <=> v17491(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_106,axiom,(
    ! [VarCurr] :
      ( ( ~ v17470(VarCurr)
        & ~ v17472(VarCurr) )
     => ( v17491(VarCurr)
      <=> v17495(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_390,axiom,(
    ! [VarCurr] :
      ( v17472(VarCurr)
     => ( v17491(VarCurr)
      <=> v17494(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_390,axiom,(
    ! [VarCurr] :
      ( v17470(VarCurr)
     => ( v17491(VarCurr)
      <=> v17492(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_389,axiom,(
    ! [VarCurr] :
      ( ~ v17480(VarCurr)
     => ( v17495(VarCurr)
      <=> v17449(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_389,axiom,(
    ! [VarCurr] :
      ( v17480(VarCurr)
     => ( v17495(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_388,axiom,(
    ! [VarCurr] :
      ( ~ v17474(VarCurr)
     => ( v17494(VarCurr)
      <=> v17449(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_388,axiom,(
    ! [VarCurr] :
      ( v17474(VarCurr)
     => ( v17494(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_327,axiom,(
    ! [VarCurr] :
      ( ~ v17493(VarCurr)
     => ( v17492(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_267,axiom,(
    ! [VarCurr] :
      ( v17493(VarCurr)
     => ( v17492(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1161,axiom,(
    ! [VarCurr] :
      ( v17493(VarCurr)
    <=> ( v17435(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4038,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17454(VarNext)
      <=> ( v17455(VarNext)
          & v17464(VarNext) ) ) ) )).

fof(addAssignment_7008,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17464(VarNext)
      <=> v17462(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4037,axiom,(
    ! [VarCurr] :
      ( v17462(VarCurr)
    <=> ( v17425(VarCurr)
        | v17465(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4036,axiom,(
    ! [VarCurr] :
      ( v17465(VarCurr)
    <=> ( v17466(VarCurr)
        & v17486(VarCurr) ) ) )).

fof(writeUnaryOperator_2085,axiom,(
    ! [VarCurr] :
      ( ~ v17486(VarCurr)
    <=> v17425(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4035,axiom,(
    ! [VarCurr] :
      ( v17466(VarCurr)
    <=> ( v17467(VarCurr)
        | v17484(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4034,axiom,(
    ! [VarCurr] :
      ( v17484(VarCurr)
    <=> ( v17445(VarCurr)
        & v17485(VarCurr) ) ) )).

fof(writeUnaryOperator_2084,axiom,(
    ! [VarCurr] :
      ( ~ v17485(VarCurr)
    <=> v17447(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4033,axiom,(
    ! [VarCurr] :
      ( v17467(VarCurr)
    <=> ( v17468(VarCurr)
        & v17447(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4032,axiom,(
    ! [VarCurr] :
      ( v17468(VarCurr)
    <=> ( v17469(VarCurr)
        | v17478(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4031,axiom,(
    ! [VarCurr] :
      ( v17478(VarCurr)
    <=> ( v17479(VarCurr)
        & v17483(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1160,axiom,(
    ! [VarCurr] :
      ( v17483(VarCurr)
    <=> ( ( v17471(VarCurr,bitIndex2)
        <=> $false )
        & ( v17471(VarCurr,bitIndex1)
        <=> $false )
        & ( v17471(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4030,axiom,(
    ! [VarCurr] :
      ( v17479(VarCurr)
    <=> ( v17480(VarCurr)
        | v17481(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4029,axiom,(
    ! [VarCurr] :
      ( v17481(VarCurr)
    <=> ( v17445(VarCurr)
        & v17482(VarCurr) ) ) )).

fof(writeUnaryOperator_2083,axiom,(
    ! [VarCurr] :
      ( ~ v17482(VarCurr)
    <=> v17480(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1159,axiom,(
    ! [VarCurr] :
      ( v17480(VarCurr)
    <=> ( v17435(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4028,axiom,(
    ! [VarCurr] :
      ( v17469(VarCurr)
    <=> ( v17470(VarCurr)
        | v17472(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4027,axiom,(
    ! [VarCurr] :
      ( v17472(VarCurr)
    <=> ( v17473(VarCurr)
        & v17477(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1158,axiom,(
    ! [VarCurr] :
      ( v17477(VarCurr)
    <=> ( ( v17471(VarCurr,bitIndex2)
        <=> $false )
        & ( v17471(VarCurr,bitIndex1)
        <=> $true )
        & ( v17471(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4026,axiom,(
    ! [VarCurr] :
      ( v17473(VarCurr)
    <=> ( v17474(VarCurr)
        | v17475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4025,axiom,(
    ! [VarCurr] :
      ( v17475(VarCurr)
    <=> ( v17445(VarCurr)
        & v17476(VarCurr) ) ) )).

fof(writeUnaryOperator_2082,axiom,(
    ! [VarCurr] :
      ( ~ v17476(VarCurr)
    <=> v17474(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1157,axiom,(
    ! [VarCurr] :
      ( v17474(VarCurr)
    <=> ( v17435(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1156,axiom,(
    ! [VarCurr] :
      ( v17470(VarCurr)
    <=> ( ( v17471(VarCurr,bitIndex2)
        <=> $true )
        & ( v17471(VarCurr,bitIndex1)
        <=> $false )
        & ( v17471(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7007,axiom,(
    ! [VarCurr] :
      ( v17471(VarCurr,bitIndex0)
    <=> v17433(VarCurr) ) )).

fof(addAssignment_7006,axiom,(
    ! [VarCurr] :
      ( v17471(VarCurr,bitIndex1)
    <=> v17431(VarCurr) ) )).

fof(addAssignment_7005,axiom,(
    ! [VarCurr] :
      ( v17471(VarCurr,bitIndex2)
    <=> v17429(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4024,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17455(VarNext)
      <=> ( v17456(VarNext)
          & v17451(VarNext) ) ) ) )).

fof(writeUnaryOperator_2081,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17456(VarNext)
      <=> v17458(VarNext) ) ) )).

fof(addAssignment_7004,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17458(VarNext)
      <=> v17451(VarCurr) ) ) )).

fof(addAssignment_7003,axiom,(
    ! [VarCurr] :
      ( v17451(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_7002,axiom,(
    ! [VarCurr] :
      ( v17449(VarCurr)
    <=> $false ) )).

fof(addAssignment_7001,axiom,(
    ! [VarCurr] :
      ( v17447(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_7000,axiom,(
    ! [VarCurr] :
      ( v17445(VarCurr)
    <=> $false ) )).

fof(addAssignment_6999,axiom,(
    ! [VarCurr] :
      ( v17435(VarCurr)
    <=> v13838(VarCurr,bitIndex62) ) )).

fof(addAssignment_6998,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex62)
    <=> v13840(VarCurr,bitIndex62) ) )).

fof(addAssignment_6997,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex62)
    <=> v3822(VarCurr,bitIndex62) ) )).

fof(addAssignment_6996,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex62)
    <=> v3824(VarCurr,bitIndex62) ) )).

fof(addAssignment_6995,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex62)
    <=> v3826(VarCurr,bitIndex62) ) )).

fof(addAssignment_6994,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex62)
    <=> v3828(VarCurr,bitIndex62) ) )).

fof(addAssignment_6993,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex62)
    <=> v3830(VarCurr,bitIndex62) ) )).

fof(addAssignment_6992,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex62)
    <=> v3832(VarCurr,bitIndex62) ) )).

fof(addAssignment_6991,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex62)
    <=> v3834(VarCurr,bitIndex62) ) )).

fof(addAssignment_6990,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex62)
    <=> v17437(VarNext,bitIndex62) ) )).

fof(addCaseBooleanConditionEqualRanges1_218,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17438(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v17437(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_240,axiom,(
    ! [VarNext] :
      ( v17438(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v17437(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4023,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17438(VarNext)
      <=> v17439(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4022,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17439(VarNext)
      <=> ( v17441(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2080,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17441(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6989,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex62)
    <=> v13844(VarCurr,bitIndex62) ) )).

fof(addAssignment_6988,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex62)
    <=> v13846(VarCurr,bitIndex62) ) )).

fof(addAssignment_6987,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex62)
    <=> v13848(VarCurr,bitIndex62) ) )).

fof(addAssignment_6986,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex62)
    <=> v13850(VarCurr,bitIndex62) ) )).

fof(addAssignment_6985,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex62)
    <=> v13852(VarCurr,bitIndex62) ) )).

fof(addAssignment_6984,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex62)
    <=> v13538(VarCurr,bitIndex62) ) )).

fof(addAssignment_6983,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex62)
    <=> v13540(VarCurr,bitIndex62) ) )).

fof(addAssignment_6982,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex62)
    <=> v13542(VarCurr,bitIndex62) ) )).

fof(addAssignment_6981,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex62)
    <=> v13544(VarCurr,bitIndex62) ) )).

fof(addAssignment_6980,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex62)
    <=> v13546(VarCurr,bitIndex62) ) )).

fof(addAssignment_6979,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex62)
    <=> v13548(VarCurr,bitIndex62) ) )).

fof(addAssignment_6978,axiom,(
    ! [VarCurr] :
      ( v17433(VarCurr)
    <=> $false ) )).

fof(addAssignment_6977,axiom,(
    ! [VarCurr] :
      ( v17431(VarCurr)
    <=> $false ) )).

fof(addAssignment_6976,axiom,(
    ! [VarCurr] :
      ( v17429(VarCurr)
    <=> $true ) )).

fof(addAssignment_6975,axiom,(
    ! [VarCurr] :
      ( v17427(VarCurr)
    <=> $false ) )).

fof(addAssignment_6974,axiom,(
    ! [VarCurr] :
      ( v17425(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17378(VarNext)
       => ( v17347(VarNext)
        <=> v17347(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_239,axiom,(
    ! [VarNext] :
      ( v17378(VarNext)
     => ( v17347(VarNext)
      <=> v17413(VarNext) ) ) )).

fof(addAssignment_6973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17413(VarNext)
      <=> v17411(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_387,axiom,(
    ! [VarCurr] :
      ( ~ v17349(VarCurr)
     => ( v17411(VarCurr)
      <=> v17414(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_387,axiom,(
    ! [VarCurr] :
      ( v17349(VarCurr)
     => ( v17411(VarCurr)
      <=> v17351(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_386,axiom,(
    ! [VarCurr] :
      ( ~ v17391(VarCurr)
     => ( v17414(VarCurr)
      <=> v17373(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_386,axiom,(
    ! [VarCurr] :
      ( v17391(VarCurr)
     => ( v17414(VarCurr)
      <=> v17415(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_105,axiom,(
    ! [VarCurr] :
      ( ( ~ v17394(VarCurr)
        & ~ v17396(VarCurr) )
     => ( v17415(VarCurr)
      <=> v17419(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_385,axiom,(
    ! [VarCurr] :
      ( v17396(VarCurr)
     => ( v17415(VarCurr)
      <=> v17418(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_385,axiom,(
    ! [VarCurr] :
      ( v17394(VarCurr)
     => ( v17415(VarCurr)
      <=> v17416(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_384,axiom,(
    ! [VarCurr] :
      ( ~ v17404(VarCurr)
     => ( v17419(VarCurr)
      <=> v17373(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_384,axiom,(
    ! [VarCurr] :
      ( v17404(VarCurr)
     => ( v17419(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_383,axiom,(
    ! [VarCurr] :
      ( ~ v17398(VarCurr)
     => ( v17418(VarCurr)
      <=> v17373(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_383,axiom,(
    ! [VarCurr] :
      ( v17398(VarCurr)
     => ( v17418(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_326,axiom,(
    ! [VarCurr] :
      ( ~ v17417(VarCurr)
     => ( v17416(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_266,axiom,(
    ! [VarCurr] :
      ( v17417(VarCurr)
     => ( v17416(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1155,axiom,(
    ! [VarCurr] :
      ( v17417(VarCurr)
    <=> ( v17359(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4021,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17378(VarNext)
      <=> ( v17379(VarNext)
          & v17388(VarNext) ) ) ) )).

fof(addAssignment_6972,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17388(VarNext)
      <=> v17386(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4020,axiom,(
    ! [VarCurr] :
      ( v17386(VarCurr)
    <=> ( v17349(VarCurr)
        | v17389(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4019,axiom,(
    ! [VarCurr] :
      ( v17389(VarCurr)
    <=> ( v17390(VarCurr)
        & v17410(VarCurr) ) ) )).

fof(writeUnaryOperator_2079,axiom,(
    ! [VarCurr] :
      ( ~ v17410(VarCurr)
    <=> v17349(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4018,axiom,(
    ! [VarCurr] :
      ( v17390(VarCurr)
    <=> ( v17391(VarCurr)
        | v17408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4017,axiom,(
    ! [VarCurr] :
      ( v17408(VarCurr)
    <=> ( v17369(VarCurr)
        & v17409(VarCurr) ) ) )).

fof(writeUnaryOperator_2078,axiom,(
    ! [VarCurr] :
      ( ~ v17409(VarCurr)
    <=> v17371(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4016,axiom,(
    ! [VarCurr] :
      ( v17391(VarCurr)
    <=> ( v17392(VarCurr)
        & v17371(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4015,axiom,(
    ! [VarCurr] :
      ( v17392(VarCurr)
    <=> ( v17393(VarCurr)
        | v17402(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4014,axiom,(
    ! [VarCurr] :
      ( v17402(VarCurr)
    <=> ( v17403(VarCurr)
        & v17407(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1154,axiom,(
    ! [VarCurr] :
      ( v17407(VarCurr)
    <=> ( ( v17395(VarCurr,bitIndex2)
        <=> $false )
        & ( v17395(VarCurr,bitIndex1)
        <=> $false )
        & ( v17395(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4013,axiom,(
    ! [VarCurr] :
      ( v17403(VarCurr)
    <=> ( v17404(VarCurr)
        | v17405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4012,axiom,(
    ! [VarCurr] :
      ( v17405(VarCurr)
    <=> ( v17369(VarCurr)
        & v17406(VarCurr) ) ) )).

fof(writeUnaryOperator_2077,axiom,(
    ! [VarCurr] :
      ( ~ v17406(VarCurr)
    <=> v17404(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1153,axiom,(
    ! [VarCurr] :
      ( v17404(VarCurr)
    <=> ( v17359(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4011,axiom,(
    ! [VarCurr] :
      ( v17393(VarCurr)
    <=> ( v17394(VarCurr)
        | v17396(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4010,axiom,(
    ! [VarCurr] :
      ( v17396(VarCurr)
    <=> ( v17397(VarCurr)
        & v17401(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1152,axiom,(
    ! [VarCurr] :
      ( v17401(VarCurr)
    <=> ( ( v17395(VarCurr,bitIndex2)
        <=> $false )
        & ( v17395(VarCurr,bitIndex1)
        <=> $true )
        & ( v17395(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4009,axiom,(
    ! [VarCurr] :
      ( v17397(VarCurr)
    <=> ( v17398(VarCurr)
        | v17399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4008,axiom,(
    ! [VarCurr] :
      ( v17399(VarCurr)
    <=> ( v17369(VarCurr)
        & v17400(VarCurr) ) ) )).

fof(writeUnaryOperator_2076,axiom,(
    ! [VarCurr] :
      ( ~ v17400(VarCurr)
    <=> v17398(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1151,axiom,(
    ! [VarCurr] :
      ( v17398(VarCurr)
    <=> ( v17359(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1150,axiom,(
    ! [VarCurr] :
      ( v17394(VarCurr)
    <=> ( ( v17395(VarCurr,bitIndex2)
        <=> $true )
        & ( v17395(VarCurr,bitIndex1)
        <=> $false )
        & ( v17395(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6971,axiom,(
    ! [VarCurr] :
      ( v17395(VarCurr,bitIndex0)
    <=> v17357(VarCurr) ) )).

fof(addAssignment_6970,axiom,(
    ! [VarCurr] :
      ( v17395(VarCurr,bitIndex1)
    <=> v17355(VarCurr) ) )).

fof(addAssignment_6969,axiom,(
    ! [VarCurr] :
      ( v17395(VarCurr,bitIndex2)
    <=> v17353(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4007,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17379(VarNext)
      <=> ( v17380(VarNext)
          & v17375(VarNext) ) ) ) )).

fof(writeUnaryOperator_2075,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17380(VarNext)
      <=> v17382(VarNext) ) ) )).

fof(addAssignment_6968,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17382(VarNext)
      <=> v17375(VarCurr) ) ) )).

fof(addAssignment_6967,axiom,(
    ! [VarCurr] :
      ( v17375(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6966,axiom,(
    ! [VarCurr] :
      ( v17373(VarCurr)
    <=> $false ) )).

fof(addAssignment_6965,axiom,(
    ! [VarCurr] :
      ( v17371(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6964,axiom,(
    ! [VarCurr] :
      ( v17369(VarCurr)
    <=> $false ) )).

fof(addAssignment_6963,axiom,(
    ! [VarCurr] :
      ( v17359(VarCurr)
    <=> v13838(VarCurr,bitIndex61) ) )).

fof(addAssignment_6962,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex61)
    <=> v13840(VarCurr,bitIndex61) ) )).

fof(addAssignment_6961,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex61)
    <=> v3822(VarCurr,bitIndex61) ) )).

fof(addAssignment_6960,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex61)
    <=> v3824(VarCurr,bitIndex61) ) )).

fof(addAssignment_6959,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex61)
    <=> v3826(VarCurr,bitIndex61) ) )).

fof(addAssignment_6958,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex61)
    <=> v3828(VarCurr,bitIndex61) ) )).

fof(addAssignment_6957,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex61)
    <=> v3830(VarCurr,bitIndex61) ) )).

fof(addAssignment_6956,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex61)
    <=> v3832(VarCurr,bitIndex61) ) )).

fof(addAssignment_6955,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex61)
    <=> v3834(VarCurr,bitIndex61) ) )).

fof(addAssignment_6954,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex61)
    <=> v17361(VarNext,bitIndex61) ) )).

fof(addCaseBooleanConditionEqualRanges1_216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17362(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v17361(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_238,axiom,(
    ! [VarNext] :
      ( v17362(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v17361(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17362(VarNext)
      <=> v17363(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17363(VarNext)
      <=> ( v17365(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2074,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17365(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6953,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex61)
    <=> v13844(VarCurr,bitIndex61) ) )).

fof(addAssignment_6952,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex61)
    <=> v13846(VarCurr,bitIndex61) ) )).

fof(addAssignment_6951,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex61)
    <=> v13848(VarCurr,bitIndex61) ) )).

fof(addAssignment_6950,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex61)
    <=> v13850(VarCurr,bitIndex61) ) )).

fof(addAssignment_6949,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex61)
    <=> v13852(VarCurr,bitIndex61) ) )).

fof(addAssignment_6948,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex61)
    <=> v13538(VarCurr,bitIndex61) ) )).

fof(addAssignment_6947,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex61)
    <=> v13540(VarCurr,bitIndex61) ) )).

fof(addAssignment_6946,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex61)
    <=> v13542(VarCurr,bitIndex61) ) )).

fof(addAssignment_6945,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex61)
    <=> v13544(VarCurr,bitIndex61) ) )).

fof(addAssignment_6944,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex61)
    <=> v13546(VarCurr,bitIndex61) ) )).

fof(addAssignment_6943,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex61)
    <=> v13548(VarCurr,bitIndex61) ) )).

fof(addAssignment_6942,axiom,(
    ! [VarCurr] :
      ( v17357(VarCurr)
    <=> $false ) )).

fof(addAssignment_6941,axiom,(
    ! [VarCurr] :
      ( v17355(VarCurr)
    <=> $false ) )).

fof(addAssignment_6940,axiom,(
    ! [VarCurr] :
      ( v17353(VarCurr)
    <=> $true ) )).

fof(addAssignment_6939,axiom,(
    ! [VarCurr] :
      ( v17351(VarCurr)
    <=> $false ) )).

fof(addAssignment_6938,axiom,(
    ! [VarCurr] :
      ( v17349(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_215,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17302(VarNext)
       => ( v17271(VarNext)
        <=> v17271(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_237,axiom,(
    ! [VarNext] :
      ( v17302(VarNext)
     => ( v17271(VarNext)
      <=> v17337(VarNext) ) ) )).

fof(addAssignment_6937,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17337(VarNext)
      <=> v17335(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_382,axiom,(
    ! [VarCurr] :
      ( ~ v17273(VarCurr)
     => ( v17335(VarCurr)
      <=> v17338(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_382,axiom,(
    ! [VarCurr] :
      ( v17273(VarCurr)
     => ( v17335(VarCurr)
      <=> v17275(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_381,axiom,(
    ! [VarCurr] :
      ( ~ v17315(VarCurr)
     => ( v17338(VarCurr)
      <=> v17297(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_381,axiom,(
    ! [VarCurr] :
      ( v17315(VarCurr)
     => ( v17338(VarCurr)
      <=> v17339(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_104,axiom,(
    ! [VarCurr] :
      ( ( ~ v17318(VarCurr)
        & ~ v17320(VarCurr) )
     => ( v17339(VarCurr)
      <=> v17343(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_380,axiom,(
    ! [VarCurr] :
      ( v17320(VarCurr)
     => ( v17339(VarCurr)
      <=> v17342(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_380,axiom,(
    ! [VarCurr] :
      ( v17318(VarCurr)
     => ( v17339(VarCurr)
      <=> v17340(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_379,axiom,(
    ! [VarCurr] :
      ( ~ v17328(VarCurr)
     => ( v17343(VarCurr)
      <=> v17297(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_379,axiom,(
    ! [VarCurr] :
      ( v17328(VarCurr)
     => ( v17343(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_378,axiom,(
    ! [VarCurr] :
      ( ~ v17322(VarCurr)
     => ( v17342(VarCurr)
      <=> v17297(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_378,axiom,(
    ! [VarCurr] :
      ( v17322(VarCurr)
     => ( v17342(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_325,axiom,(
    ! [VarCurr] :
      ( ~ v17341(VarCurr)
     => ( v17340(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_265,axiom,(
    ! [VarCurr] :
      ( v17341(VarCurr)
     => ( v17340(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1149,axiom,(
    ! [VarCurr] :
      ( v17341(VarCurr)
    <=> ( v17283(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4004,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17302(VarNext)
      <=> ( v17303(VarNext)
          & v17312(VarNext) ) ) ) )).

fof(addAssignment_6936,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17312(VarNext)
      <=> v17310(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4003,axiom,(
    ! [VarCurr] :
      ( v17310(VarCurr)
    <=> ( v17273(VarCurr)
        | v17313(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4002,axiom,(
    ! [VarCurr] :
      ( v17313(VarCurr)
    <=> ( v17314(VarCurr)
        & v17334(VarCurr) ) ) )).

fof(writeUnaryOperator_2073,axiom,(
    ! [VarCurr] :
      ( ~ v17334(VarCurr)
    <=> v17273(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4001,axiom,(
    ! [VarCurr] :
      ( v17314(VarCurr)
    <=> ( v17315(VarCurr)
        | v17332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4000,axiom,(
    ! [VarCurr] :
      ( v17332(VarCurr)
    <=> ( v17293(VarCurr)
        & v17333(VarCurr) ) ) )).

fof(writeUnaryOperator_2072,axiom,(
    ! [VarCurr] :
      ( ~ v17333(VarCurr)
    <=> v17295(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3999,axiom,(
    ! [VarCurr] :
      ( v17315(VarCurr)
    <=> ( v17316(VarCurr)
        & v17295(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3998,axiom,(
    ! [VarCurr] :
      ( v17316(VarCurr)
    <=> ( v17317(VarCurr)
        | v17326(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3997,axiom,(
    ! [VarCurr] :
      ( v17326(VarCurr)
    <=> ( v17327(VarCurr)
        & v17331(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1148,axiom,(
    ! [VarCurr] :
      ( v17331(VarCurr)
    <=> ( ( v17319(VarCurr,bitIndex2)
        <=> $false )
        & ( v17319(VarCurr,bitIndex1)
        <=> $false )
        & ( v17319(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3996,axiom,(
    ! [VarCurr] :
      ( v17327(VarCurr)
    <=> ( v17328(VarCurr)
        | v17329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3995,axiom,(
    ! [VarCurr] :
      ( v17329(VarCurr)
    <=> ( v17293(VarCurr)
        & v17330(VarCurr) ) ) )).

fof(writeUnaryOperator_2071,axiom,(
    ! [VarCurr] :
      ( ~ v17330(VarCurr)
    <=> v17328(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1147,axiom,(
    ! [VarCurr] :
      ( v17328(VarCurr)
    <=> ( v17283(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3994,axiom,(
    ! [VarCurr] :
      ( v17317(VarCurr)
    <=> ( v17318(VarCurr)
        | v17320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3993,axiom,(
    ! [VarCurr] :
      ( v17320(VarCurr)
    <=> ( v17321(VarCurr)
        & v17325(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1146,axiom,(
    ! [VarCurr] :
      ( v17325(VarCurr)
    <=> ( ( v17319(VarCurr,bitIndex2)
        <=> $false )
        & ( v17319(VarCurr,bitIndex1)
        <=> $true )
        & ( v17319(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3992,axiom,(
    ! [VarCurr] :
      ( v17321(VarCurr)
    <=> ( v17322(VarCurr)
        | v17323(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3991,axiom,(
    ! [VarCurr] :
      ( v17323(VarCurr)
    <=> ( v17293(VarCurr)
        & v17324(VarCurr) ) ) )).

fof(writeUnaryOperator_2070,axiom,(
    ! [VarCurr] :
      ( ~ v17324(VarCurr)
    <=> v17322(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1145,axiom,(
    ! [VarCurr] :
      ( v17322(VarCurr)
    <=> ( v17283(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1144,axiom,(
    ! [VarCurr] :
      ( v17318(VarCurr)
    <=> ( ( v17319(VarCurr,bitIndex2)
        <=> $true )
        & ( v17319(VarCurr,bitIndex1)
        <=> $false )
        & ( v17319(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6935,axiom,(
    ! [VarCurr] :
      ( v17319(VarCurr,bitIndex0)
    <=> v17281(VarCurr) ) )).

fof(addAssignment_6934,axiom,(
    ! [VarCurr] :
      ( v17319(VarCurr,bitIndex1)
    <=> v17279(VarCurr) ) )).

fof(addAssignment_6933,axiom,(
    ! [VarCurr] :
      ( v17319(VarCurr,bitIndex2)
    <=> v17277(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3990,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17303(VarNext)
      <=> ( v17304(VarNext)
          & v17299(VarNext) ) ) ) )).

fof(writeUnaryOperator_2069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17304(VarNext)
      <=> v17306(VarNext) ) ) )).

fof(addAssignment_6932,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17306(VarNext)
      <=> v17299(VarCurr) ) ) )).

fof(addAssignment_6931,axiom,(
    ! [VarCurr] :
      ( v17299(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6930,axiom,(
    ! [VarCurr] :
      ( v17297(VarCurr)
    <=> $false ) )).

fof(addAssignment_6929,axiom,(
    ! [VarCurr] :
      ( v17295(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6928,axiom,(
    ! [VarCurr] :
      ( v17293(VarCurr)
    <=> $false ) )).

fof(addAssignment_6927,axiom,(
    ! [VarCurr] :
      ( v17283(VarCurr)
    <=> v13838(VarCurr,bitIndex60) ) )).

fof(addAssignment_6926,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex60)
    <=> v13840(VarCurr,bitIndex60) ) )).

fof(addAssignment_6925,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex60)
    <=> v3822(VarCurr,bitIndex60) ) )).

fof(addAssignment_6924,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex60)
    <=> v3824(VarCurr,bitIndex60) ) )).

fof(addAssignment_6923,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex60)
    <=> v3826(VarCurr,bitIndex60) ) )).

fof(addAssignment_6922,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex60)
    <=> v3828(VarCurr,bitIndex60) ) )).

fof(addAssignment_6921,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex60)
    <=> v3830(VarCurr,bitIndex60) ) )).

fof(addAssignment_6920,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex60)
    <=> v3832(VarCurr,bitIndex60) ) )).

fof(addAssignment_6919,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex60)
    <=> v3834(VarCurr,bitIndex60) ) )).

fof(addAssignment_6918,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex60)
    <=> v17285(VarNext,bitIndex60) ) )).

fof(addCaseBooleanConditionEqualRanges1_214,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17286(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v17285(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_236,axiom,(
    ! [VarNext] :
      ( v17286(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v17285(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3989,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17286(VarNext)
      <=> v17287(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3988,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17287(VarNext)
      <=> ( v17289(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2068,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17289(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6917,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex60)
    <=> v13844(VarCurr,bitIndex60) ) )).

fof(addAssignment_6916,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex60)
    <=> v13846(VarCurr,bitIndex60) ) )).

fof(addAssignment_6915,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex60)
    <=> v13848(VarCurr,bitIndex60) ) )).

fof(addAssignment_6914,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex60)
    <=> v13850(VarCurr,bitIndex60) ) )).

fof(addAssignment_6913,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex60)
    <=> v13852(VarCurr,bitIndex60) ) )).

fof(addAssignment_6912,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex60)
    <=> v13538(VarCurr,bitIndex60) ) )).

fof(addAssignment_6911,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex60)
    <=> v13540(VarCurr,bitIndex60) ) )).

fof(addAssignment_6910,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex60)
    <=> v13542(VarCurr,bitIndex60) ) )).

fof(addAssignment_6909,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex60)
    <=> v13544(VarCurr,bitIndex60) ) )).

fof(addAssignment_6908,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex60)
    <=> v13546(VarCurr,bitIndex60) ) )).

fof(addAssignment_6907,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex60)
    <=> v13548(VarCurr,bitIndex60) ) )).

fof(addAssignment_6906,axiom,(
    ! [VarCurr] :
      ( v17281(VarCurr)
    <=> $false ) )).

fof(addAssignment_6905,axiom,(
    ! [VarCurr] :
      ( v17279(VarCurr)
    <=> $false ) )).

fof(addAssignment_6904,axiom,(
    ! [VarCurr] :
      ( v17277(VarCurr)
    <=> $true ) )).

fof(addAssignment_6903,axiom,(
    ! [VarCurr] :
      ( v17275(VarCurr)
    <=> $false ) )).

fof(addAssignment_6902,axiom,(
    ! [VarCurr] :
      ( v17273(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17226(VarNext)
       => ( v17195(VarNext)
        <=> v17195(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_235,axiom,(
    ! [VarNext] :
      ( v17226(VarNext)
     => ( v17195(VarNext)
      <=> v17261(VarNext) ) ) )).

fof(addAssignment_6901,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17261(VarNext)
      <=> v17259(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_377,axiom,(
    ! [VarCurr] :
      ( ~ v17197(VarCurr)
     => ( v17259(VarCurr)
      <=> v17262(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_377,axiom,(
    ! [VarCurr] :
      ( v17197(VarCurr)
     => ( v17259(VarCurr)
      <=> v17199(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_376,axiom,(
    ! [VarCurr] :
      ( ~ v17239(VarCurr)
     => ( v17262(VarCurr)
      <=> v17221(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_376,axiom,(
    ! [VarCurr] :
      ( v17239(VarCurr)
     => ( v17262(VarCurr)
      <=> v17263(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_103,axiom,(
    ! [VarCurr] :
      ( ( ~ v17242(VarCurr)
        & ~ v17244(VarCurr) )
     => ( v17263(VarCurr)
      <=> v17267(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_375,axiom,(
    ! [VarCurr] :
      ( v17244(VarCurr)
     => ( v17263(VarCurr)
      <=> v17266(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_375,axiom,(
    ! [VarCurr] :
      ( v17242(VarCurr)
     => ( v17263(VarCurr)
      <=> v17264(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_374,axiom,(
    ! [VarCurr] :
      ( ~ v17252(VarCurr)
     => ( v17267(VarCurr)
      <=> v17221(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_374,axiom,(
    ! [VarCurr] :
      ( v17252(VarCurr)
     => ( v17267(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_373,axiom,(
    ! [VarCurr] :
      ( ~ v17246(VarCurr)
     => ( v17266(VarCurr)
      <=> v17221(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_373,axiom,(
    ! [VarCurr] :
      ( v17246(VarCurr)
     => ( v17266(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_324,axiom,(
    ! [VarCurr] :
      ( ~ v17265(VarCurr)
     => ( v17264(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_264,axiom,(
    ! [VarCurr] :
      ( v17265(VarCurr)
     => ( v17264(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1143,axiom,(
    ! [VarCurr] :
      ( v17265(VarCurr)
    <=> ( v17207(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3987,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17226(VarNext)
      <=> ( v17227(VarNext)
          & v17236(VarNext) ) ) ) )).

fof(addAssignment_6900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17236(VarNext)
      <=> v17234(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3986,axiom,(
    ! [VarCurr] :
      ( v17234(VarCurr)
    <=> ( v17197(VarCurr)
        | v17237(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3985,axiom,(
    ! [VarCurr] :
      ( v17237(VarCurr)
    <=> ( v17238(VarCurr)
        & v17258(VarCurr) ) ) )).

fof(writeUnaryOperator_2067,axiom,(
    ! [VarCurr] :
      ( ~ v17258(VarCurr)
    <=> v17197(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3984,axiom,(
    ! [VarCurr] :
      ( v17238(VarCurr)
    <=> ( v17239(VarCurr)
        | v17256(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3983,axiom,(
    ! [VarCurr] :
      ( v17256(VarCurr)
    <=> ( v17217(VarCurr)
        & v17257(VarCurr) ) ) )).

fof(writeUnaryOperator_2066,axiom,(
    ! [VarCurr] :
      ( ~ v17257(VarCurr)
    <=> v17219(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3982,axiom,(
    ! [VarCurr] :
      ( v17239(VarCurr)
    <=> ( v17240(VarCurr)
        & v17219(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3981,axiom,(
    ! [VarCurr] :
      ( v17240(VarCurr)
    <=> ( v17241(VarCurr)
        | v17250(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3980,axiom,(
    ! [VarCurr] :
      ( v17250(VarCurr)
    <=> ( v17251(VarCurr)
        & v17255(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1142,axiom,(
    ! [VarCurr] :
      ( v17255(VarCurr)
    <=> ( ( v17243(VarCurr,bitIndex2)
        <=> $false )
        & ( v17243(VarCurr,bitIndex1)
        <=> $false )
        & ( v17243(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3979,axiom,(
    ! [VarCurr] :
      ( v17251(VarCurr)
    <=> ( v17252(VarCurr)
        | v17253(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3978,axiom,(
    ! [VarCurr] :
      ( v17253(VarCurr)
    <=> ( v17217(VarCurr)
        & v17254(VarCurr) ) ) )).

fof(writeUnaryOperator_2065,axiom,(
    ! [VarCurr] :
      ( ~ v17254(VarCurr)
    <=> v17252(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1141,axiom,(
    ! [VarCurr] :
      ( v17252(VarCurr)
    <=> ( v17207(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3977,axiom,(
    ! [VarCurr] :
      ( v17241(VarCurr)
    <=> ( v17242(VarCurr)
        | v17244(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3976,axiom,(
    ! [VarCurr] :
      ( v17244(VarCurr)
    <=> ( v17245(VarCurr)
        & v17249(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1140,axiom,(
    ! [VarCurr] :
      ( v17249(VarCurr)
    <=> ( ( v17243(VarCurr,bitIndex2)
        <=> $false )
        & ( v17243(VarCurr,bitIndex1)
        <=> $true )
        & ( v17243(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3975,axiom,(
    ! [VarCurr] :
      ( v17245(VarCurr)
    <=> ( v17246(VarCurr)
        | v17247(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3974,axiom,(
    ! [VarCurr] :
      ( v17247(VarCurr)
    <=> ( v17217(VarCurr)
        & v17248(VarCurr) ) ) )).

fof(writeUnaryOperator_2064,axiom,(
    ! [VarCurr] :
      ( ~ v17248(VarCurr)
    <=> v17246(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1139,axiom,(
    ! [VarCurr] :
      ( v17246(VarCurr)
    <=> ( v17207(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1138,axiom,(
    ! [VarCurr] :
      ( v17242(VarCurr)
    <=> ( ( v17243(VarCurr,bitIndex2)
        <=> $true )
        & ( v17243(VarCurr,bitIndex1)
        <=> $false )
        & ( v17243(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6899,axiom,(
    ! [VarCurr] :
      ( v17243(VarCurr,bitIndex0)
    <=> v17205(VarCurr) ) )).

fof(addAssignment_6898,axiom,(
    ! [VarCurr] :
      ( v17243(VarCurr,bitIndex1)
    <=> v17203(VarCurr) ) )).

fof(addAssignment_6897,axiom,(
    ! [VarCurr] :
      ( v17243(VarCurr,bitIndex2)
    <=> v17201(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17227(VarNext)
      <=> ( v17228(VarNext)
          & v17223(VarNext) ) ) ) )).

fof(writeUnaryOperator_2063,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17228(VarNext)
      <=> v17230(VarNext) ) ) )).

fof(addAssignment_6896,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17230(VarNext)
      <=> v17223(VarCurr) ) ) )).

fof(addAssignment_6895,axiom,(
    ! [VarCurr] :
      ( v17223(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6894,axiom,(
    ! [VarCurr] :
      ( v17221(VarCurr)
    <=> $false ) )).

fof(addAssignment_6893,axiom,(
    ! [VarCurr] :
      ( v17219(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6892,axiom,(
    ! [VarCurr] :
      ( v17217(VarCurr)
    <=> $false ) )).

fof(addAssignment_6891,axiom,(
    ! [VarCurr] :
      ( v17207(VarCurr)
    <=> v13838(VarCurr,bitIndex59) ) )).

fof(addAssignment_6890,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex59)
    <=> v13840(VarCurr,bitIndex59) ) )).

fof(addAssignment_6889,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex59)
    <=> v3822(VarCurr,bitIndex59) ) )).

fof(addAssignment_6888,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex59)
    <=> v3824(VarCurr,bitIndex59) ) )).

fof(addAssignment_6887,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex59)
    <=> v3826(VarCurr,bitIndex59) ) )).

fof(addAssignment_6886,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex59)
    <=> v3828(VarCurr,bitIndex59) ) )).

fof(addAssignment_6885,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex59)
    <=> v3830(VarCurr,bitIndex59) ) )).

fof(addAssignment_6884,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex59)
    <=> v3832(VarCurr,bitIndex59) ) )).

fof(addAssignment_6883,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex59)
    <=> v3834(VarCurr,bitIndex59) ) )).

fof(addAssignment_6882,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex59)
    <=> v17209(VarNext,bitIndex59) ) )).

fof(addCaseBooleanConditionEqualRanges1_212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17210(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v17209(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_234,axiom,(
    ! [VarNext] :
      ( v17210(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v17209(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3972,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17210(VarNext)
      <=> v17211(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3971,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17211(VarNext)
      <=> ( v17213(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2062,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17213(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6881,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex59)
    <=> v13844(VarCurr,bitIndex59) ) )).

fof(addAssignment_6880,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex59)
    <=> v13846(VarCurr,bitIndex59) ) )).

fof(addAssignment_6879,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex59)
    <=> v13848(VarCurr,bitIndex59) ) )).

fof(addAssignment_6878,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex59)
    <=> v13850(VarCurr,bitIndex59) ) )).

fof(addAssignment_6877,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex59)
    <=> v13852(VarCurr,bitIndex59) ) )).

fof(addAssignment_6876,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex59)
    <=> v13538(VarCurr,bitIndex59) ) )).

fof(addAssignment_6875,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex59)
    <=> v13540(VarCurr,bitIndex59) ) )).

fof(addAssignment_6874,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex59)
    <=> v13542(VarCurr,bitIndex59) ) )).

fof(addAssignment_6873,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex59)
    <=> v13544(VarCurr,bitIndex59) ) )).

fof(addAssignment_6872,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex59)
    <=> v13546(VarCurr,bitIndex59) ) )).

fof(addAssignment_6871,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex59)
    <=> v13548(VarCurr,bitIndex59) ) )).

fof(addAssignment_6870,axiom,(
    ! [VarCurr] :
      ( v17205(VarCurr)
    <=> $false ) )).

fof(addAssignment_6869,axiom,(
    ! [VarCurr] :
      ( v17203(VarCurr)
    <=> $false ) )).

fof(addAssignment_6868,axiom,(
    ! [VarCurr] :
      ( v17201(VarCurr)
    <=> $true ) )).

fof(addAssignment_6867,axiom,(
    ! [VarCurr] :
      ( v17199(VarCurr)
    <=> $false ) )).

fof(addAssignment_6866,axiom,(
    ! [VarCurr] :
      ( v17197(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17150(VarNext)
       => ( v17119(VarNext)
        <=> v17119(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_233,axiom,(
    ! [VarNext] :
      ( v17150(VarNext)
     => ( v17119(VarNext)
      <=> v17185(VarNext) ) ) )).

fof(addAssignment_6865,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17185(VarNext)
      <=> v17183(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_372,axiom,(
    ! [VarCurr] :
      ( ~ v17121(VarCurr)
     => ( v17183(VarCurr)
      <=> v17186(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_372,axiom,(
    ! [VarCurr] :
      ( v17121(VarCurr)
     => ( v17183(VarCurr)
      <=> v17123(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_371,axiom,(
    ! [VarCurr] :
      ( ~ v17163(VarCurr)
     => ( v17186(VarCurr)
      <=> v17145(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_371,axiom,(
    ! [VarCurr] :
      ( v17163(VarCurr)
     => ( v17186(VarCurr)
      <=> v17187(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_102,axiom,(
    ! [VarCurr] :
      ( ( ~ v17166(VarCurr)
        & ~ v17168(VarCurr) )
     => ( v17187(VarCurr)
      <=> v17191(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_370,axiom,(
    ! [VarCurr] :
      ( v17168(VarCurr)
     => ( v17187(VarCurr)
      <=> v17190(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_370,axiom,(
    ! [VarCurr] :
      ( v17166(VarCurr)
     => ( v17187(VarCurr)
      <=> v17188(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_369,axiom,(
    ! [VarCurr] :
      ( ~ v17176(VarCurr)
     => ( v17191(VarCurr)
      <=> v17145(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_369,axiom,(
    ! [VarCurr] :
      ( v17176(VarCurr)
     => ( v17191(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_368,axiom,(
    ! [VarCurr] :
      ( ~ v17170(VarCurr)
     => ( v17190(VarCurr)
      <=> v17145(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_368,axiom,(
    ! [VarCurr] :
      ( v17170(VarCurr)
     => ( v17190(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_323,axiom,(
    ! [VarCurr] :
      ( ~ v17189(VarCurr)
     => ( v17188(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_263,axiom,(
    ! [VarCurr] :
      ( v17189(VarCurr)
     => ( v17188(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1137,axiom,(
    ! [VarCurr] :
      ( v17189(VarCurr)
    <=> ( v17131(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3970,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17150(VarNext)
      <=> ( v17151(VarNext)
          & v17160(VarNext) ) ) ) )).

fof(addAssignment_6864,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17160(VarNext)
      <=> v17158(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3969,axiom,(
    ! [VarCurr] :
      ( v17158(VarCurr)
    <=> ( v17121(VarCurr)
        | v17161(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3968,axiom,(
    ! [VarCurr] :
      ( v17161(VarCurr)
    <=> ( v17162(VarCurr)
        & v17182(VarCurr) ) ) )).

fof(writeUnaryOperator_2061,axiom,(
    ! [VarCurr] :
      ( ~ v17182(VarCurr)
    <=> v17121(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3967,axiom,(
    ! [VarCurr] :
      ( v17162(VarCurr)
    <=> ( v17163(VarCurr)
        | v17180(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3966,axiom,(
    ! [VarCurr] :
      ( v17180(VarCurr)
    <=> ( v17141(VarCurr)
        & v17181(VarCurr) ) ) )).

fof(writeUnaryOperator_2060,axiom,(
    ! [VarCurr] :
      ( ~ v17181(VarCurr)
    <=> v17143(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3965,axiom,(
    ! [VarCurr] :
      ( v17163(VarCurr)
    <=> ( v17164(VarCurr)
        & v17143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3964,axiom,(
    ! [VarCurr] :
      ( v17164(VarCurr)
    <=> ( v17165(VarCurr)
        | v17174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3963,axiom,(
    ! [VarCurr] :
      ( v17174(VarCurr)
    <=> ( v17175(VarCurr)
        & v17179(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1136,axiom,(
    ! [VarCurr] :
      ( v17179(VarCurr)
    <=> ( ( v17167(VarCurr,bitIndex2)
        <=> $false )
        & ( v17167(VarCurr,bitIndex1)
        <=> $false )
        & ( v17167(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3962,axiom,(
    ! [VarCurr] :
      ( v17175(VarCurr)
    <=> ( v17176(VarCurr)
        | v17177(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3961,axiom,(
    ! [VarCurr] :
      ( v17177(VarCurr)
    <=> ( v17141(VarCurr)
        & v17178(VarCurr) ) ) )).

fof(writeUnaryOperator_2059,axiom,(
    ! [VarCurr] :
      ( ~ v17178(VarCurr)
    <=> v17176(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1135,axiom,(
    ! [VarCurr] :
      ( v17176(VarCurr)
    <=> ( v17131(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3960,axiom,(
    ! [VarCurr] :
      ( v17165(VarCurr)
    <=> ( v17166(VarCurr)
        | v17168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3959,axiom,(
    ! [VarCurr] :
      ( v17168(VarCurr)
    <=> ( v17169(VarCurr)
        & v17173(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1134,axiom,(
    ! [VarCurr] :
      ( v17173(VarCurr)
    <=> ( ( v17167(VarCurr,bitIndex2)
        <=> $false )
        & ( v17167(VarCurr,bitIndex1)
        <=> $true )
        & ( v17167(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3958,axiom,(
    ! [VarCurr] :
      ( v17169(VarCurr)
    <=> ( v17170(VarCurr)
        | v17171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3957,axiom,(
    ! [VarCurr] :
      ( v17171(VarCurr)
    <=> ( v17141(VarCurr)
        & v17172(VarCurr) ) ) )).

fof(writeUnaryOperator_2058,axiom,(
    ! [VarCurr] :
      ( ~ v17172(VarCurr)
    <=> v17170(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1133,axiom,(
    ! [VarCurr] :
      ( v17170(VarCurr)
    <=> ( v17131(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1132,axiom,(
    ! [VarCurr] :
      ( v17166(VarCurr)
    <=> ( ( v17167(VarCurr,bitIndex2)
        <=> $true )
        & ( v17167(VarCurr,bitIndex1)
        <=> $false )
        & ( v17167(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6863,axiom,(
    ! [VarCurr] :
      ( v17167(VarCurr,bitIndex0)
    <=> v17129(VarCurr) ) )).

fof(addAssignment_6862,axiom,(
    ! [VarCurr] :
      ( v17167(VarCurr,bitIndex1)
    <=> v17127(VarCurr) ) )).

fof(addAssignment_6861,axiom,(
    ! [VarCurr] :
      ( v17167(VarCurr,bitIndex2)
    <=> v17125(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3956,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17151(VarNext)
      <=> ( v17152(VarNext)
          & v17147(VarNext) ) ) ) )).

fof(writeUnaryOperator_2057,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17152(VarNext)
      <=> v17154(VarNext) ) ) )).

fof(addAssignment_6860,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17154(VarNext)
      <=> v17147(VarCurr) ) ) )).

fof(addAssignment_6859,axiom,(
    ! [VarCurr] :
      ( v17147(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6858,axiom,(
    ! [VarCurr] :
      ( v17145(VarCurr)
    <=> $false ) )).

fof(addAssignment_6857,axiom,(
    ! [VarCurr] :
      ( v17143(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6856,axiom,(
    ! [VarCurr] :
      ( v17141(VarCurr)
    <=> $false ) )).

fof(addAssignment_6855,axiom,(
    ! [VarCurr] :
      ( v17131(VarCurr)
    <=> v13838(VarCurr,bitIndex58) ) )).

fof(addAssignment_6854,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex58)
    <=> v13840(VarCurr,bitIndex58) ) )).

fof(addAssignment_6853,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex58)
    <=> v3822(VarCurr,bitIndex58) ) )).

fof(addAssignment_6852,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex58)
    <=> v3824(VarCurr,bitIndex58) ) )).

fof(addAssignment_6851,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex58)
    <=> v3826(VarCurr,bitIndex58) ) )).

fof(addAssignment_6850,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex58)
    <=> v3828(VarCurr,bitIndex58) ) )).

fof(addAssignment_6849,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex58)
    <=> v3830(VarCurr,bitIndex58) ) )).

fof(addAssignment_6848,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex58)
    <=> v3832(VarCurr,bitIndex58) ) )).

fof(addAssignment_6847,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex58)
    <=> v3834(VarCurr,bitIndex58) ) )).

fof(addAssignment_6846,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex58)
    <=> v17133(VarNext,bitIndex58) ) )).

fof(addCaseBooleanConditionEqualRanges1_210,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17134(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v17133(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_232,axiom,(
    ! [VarNext] :
      ( v17134(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v17133(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17134(VarNext)
      <=> v17135(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3954,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17135(VarNext)
      <=> ( v17137(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2056,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17137(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6845,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex58)
    <=> v13844(VarCurr,bitIndex58) ) )).

fof(addAssignment_6844,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex58)
    <=> v13846(VarCurr,bitIndex58) ) )).

fof(addAssignment_6843,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex58)
    <=> v13848(VarCurr,bitIndex58) ) )).

fof(addAssignment_6842,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex58)
    <=> v13850(VarCurr,bitIndex58) ) )).

fof(addAssignment_6841,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex58)
    <=> v13852(VarCurr,bitIndex58) ) )).

fof(addAssignment_6840,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex58)
    <=> v13538(VarCurr,bitIndex58) ) )).

fof(addAssignment_6839,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex58)
    <=> v13540(VarCurr,bitIndex58) ) )).

fof(addAssignment_6838,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex58)
    <=> v13542(VarCurr,bitIndex58) ) )).

fof(addAssignment_6837,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex58)
    <=> v13544(VarCurr,bitIndex58) ) )).

fof(addAssignment_6836,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex58)
    <=> v13546(VarCurr,bitIndex58) ) )).

fof(addAssignment_6835,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex58)
    <=> v13548(VarCurr,bitIndex58) ) )).

fof(addAssignment_6834,axiom,(
    ! [VarCurr] :
      ( v17129(VarCurr)
    <=> $false ) )).

fof(addAssignment_6833,axiom,(
    ! [VarCurr] :
      ( v17127(VarCurr)
    <=> $false ) )).

fof(addAssignment_6832,axiom,(
    ! [VarCurr] :
      ( v17125(VarCurr)
    <=> $true ) )).

fof(addAssignment_6831,axiom,(
    ! [VarCurr] :
      ( v17123(VarCurr)
    <=> $false ) )).

fof(addAssignment_6830,axiom,(
    ! [VarCurr] :
      ( v17121(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17074(VarNext)
       => ( v17043(VarNext)
        <=> v17043(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_231,axiom,(
    ! [VarNext] :
      ( v17074(VarNext)
     => ( v17043(VarNext)
      <=> v17109(VarNext) ) ) )).

fof(addAssignment_6829,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17109(VarNext)
      <=> v17107(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_367,axiom,(
    ! [VarCurr] :
      ( ~ v17045(VarCurr)
     => ( v17107(VarCurr)
      <=> v17110(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_367,axiom,(
    ! [VarCurr] :
      ( v17045(VarCurr)
     => ( v17107(VarCurr)
      <=> v17047(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_366,axiom,(
    ! [VarCurr] :
      ( ~ v17087(VarCurr)
     => ( v17110(VarCurr)
      <=> v17069(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_366,axiom,(
    ! [VarCurr] :
      ( v17087(VarCurr)
     => ( v17110(VarCurr)
      <=> v17111(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_101,axiom,(
    ! [VarCurr] :
      ( ( ~ v17090(VarCurr)
        & ~ v17092(VarCurr) )
     => ( v17111(VarCurr)
      <=> v17115(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_365,axiom,(
    ! [VarCurr] :
      ( v17092(VarCurr)
     => ( v17111(VarCurr)
      <=> v17114(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_365,axiom,(
    ! [VarCurr] :
      ( v17090(VarCurr)
     => ( v17111(VarCurr)
      <=> v17112(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_364,axiom,(
    ! [VarCurr] :
      ( ~ v17100(VarCurr)
     => ( v17115(VarCurr)
      <=> v17069(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_364,axiom,(
    ! [VarCurr] :
      ( v17100(VarCurr)
     => ( v17115(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_363,axiom,(
    ! [VarCurr] :
      ( ~ v17094(VarCurr)
     => ( v17114(VarCurr)
      <=> v17069(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_363,axiom,(
    ! [VarCurr] :
      ( v17094(VarCurr)
     => ( v17114(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_322,axiom,(
    ! [VarCurr] :
      ( ~ v17113(VarCurr)
     => ( v17112(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_262,axiom,(
    ! [VarCurr] :
      ( v17113(VarCurr)
     => ( v17112(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1131,axiom,(
    ! [VarCurr] :
      ( v17113(VarCurr)
    <=> ( v17055(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3953,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17074(VarNext)
      <=> ( v17075(VarNext)
          & v17084(VarNext) ) ) ) )).

fof(addAssignment_6828,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17084(VarNext)
      <=> v17082(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3952,axiom,(
    ! [VarCurr] :
      ( v17082(VarCurr)
    <=> ( v17045(VarCurr)
        | v17085(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3951,axiom,(
    ! [VarCurr] :
      ( v17085(VarCurr)
    <=> ( v17086(VarCurr)
        & v17106(VarCurr) ) ) )).

fof(writeUnaryOperator_2055,axiom,(
    ! [VarCurr] :
      ( ~ v17106(VarCurr)
    <=> v17045(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3950,axiom,(
    ! [VarCurr] :
      ( v17086(VarCurr)
    <=> ( v17087(VarCurr)
        | v17104(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3949,axiom,(
    ! [VarCurr] :
      ( v17104(VarCurr)
    <=> ( v17065(VarCurr)
        & v17105(VarCurr) ) ) )).

fof(writeUnaryOperator_2054,axiom,(
    ! [VarCurr] :
      ( ~ v17105(VarCurr)
    <=> v17067(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3948,axiom,(
    ! [VarCurr] :
      ( v17087(VarCurr)
    <=> ( v17088(VarCurr)
        & v17067(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3947,axiom,(
    ! [VarCurr] :
      ( v17088(VarCurr)
    <=> ( v17089(VarCurr)
        | v17098(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3946,axiom,(
    ! [VarCurr] :
      ( v17098(VarCurr)
    <=> ( v17099(VarCurr)
        & v17103(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1130,axiom,(
    ! [VarCurr] :
      ( v17103(VarCurr)
    <=> ( ( v17091(VarCurr,bitIndex2)
        <=> $false )
        & ( v17091(VarCurr,bitIndex1)
        <=> $false )
        & ( v17091(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3945,axiom,(
    ! [VarCurr] :
      ( v17099(VarCurr)
    <=> ( v17100(VarCurr)
        | v17101(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3944,axiom,(
    ! [VarCurr] :
      ( v17101(VarCurr)
    <=> ( v17065(VarCurr)
        & v17102(VarCurr) ) ) )).

fof(writeUnaryOperator_2053,axiom,(
    ! [VarCurr] :
      ( ~ v17102(VarCurr)
    <=> v17100(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1129,axiom,(
    ! [VarCurr] :
      ( v17100(VarCurr)
    <=> ( v17055(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3943,axiom,(
    ! [VarCurr] :
      ( v17089(VarCurr)
    <=> ( v17090(VarCurr)
        | v17092(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3942,axiom,(
    ! [VarCurr] :
      ( v17092(VarCurr)
    <=> ( v17093(VarCurr)
        & v17097(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1128,axiom,(
    ! [VarCurr] :
      ( v17097(VarCurr)
    <=> ( ( v17091(VarCurr,bitIndex2)
        <=> $false )
        & ( v17091(VarCurr,bitIndex1)
        <=> $true )
        & ( v17091(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3941,axiom,(
    ! [VarCurr] :
      ( v17093(VarCurr)
    <=> ( v17094(VarCurr)
        | v17095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3940,axiom,(
    ! [VarCurr] :
      ( v17095(VarCurr)
    <=> ( v17065(VarCurr)
        & v17096(VarCurr) ) ) )).

fof(writeUnaryOperator_2052,axiom,(
    ! [VarCurr] :
      ( ~ v17096(VarCurr)
    <=> v17094(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1127,axiom,(
    ! [VarCurr] :
      ( v17094(VarCurr)
    <=> ( v17055(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1126,axiom,(
    ! [VarCurr] :
      ( v17090(VarCurr)
    <=> ( ( v17091(VarCurr,bitIndex2)
        <=> $true )
        & ( v17091(VarCurr,bitIndex1)
        <=> $false )
        & ( v17091(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6827,axiom,(
    ! [VarCurr] :
      ( v17091(VarCurr,bitIndex0)
    <=> v17053(VarCurr) ) )).

fof(addAssignment_6826,axiom,(
    ! [VarCurr] :
      ( v17091(VarCurr,bitIndex1)
    <=> v17051(VarCurr) ) )).

fof(addAssignment_6825,axiom,(
    ! [VarCurr] :
      ( v17091(VarCurr,bitIndex2)
    <=> v17049(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3939,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17075(VarNext)
      <=> ( v17076(VarNext)
          & v17071(VarNext) ) ) ) )).

fof(writeUnaryOperator_2051,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17076(VarNext)
      <=> v17078(VarNext) ) ) )).

fof(addAssignment_6824,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17078(VarNext)
      <=> v17071(VarCurr) ) ) )).

fof(addAssignment_6823,axiom,(
    ! [VarCurr] :
      ( v17071(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6822,axiom,(
    ! [VarCurr] :
      ( v17069(VarCurr)
    <=> $false ) )).

fof(addAssignment_6821,axiom,(
    ! [VarCurr] :
      ( v17067(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6820,axiom,(
    ! [VarCurr] :
      ( v17065(VarCurr)
    <=> $false ) )).

fof(addAssignment_6819,axiom,(
    ! [VarCurr] :
      ( v17055(VarCurr)
    <=> v13838(VarCurr,bitIndex57) ) )).

fof(addAssignment_6818,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex57)
    <=> v13840(VarCurr,bitIndex57) ) )).

fof(addAssignment_6817,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex57)
    <=> v3822(VarCurr,bitIndex57) ) )).

fof(addAssignment_6816,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex57)
    <=> v3824(VarCurr,bitIndex57) ) )).

fof(addAssignment_6815,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex57)
    <=> v3826(VarCurr,bitIndex57) ) )).

fof(addAssignment_6814,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex57)
    <=> v3828(VarCurr,bitIndex57) ) )).

fof(addAssignment_6813,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex57)
    <=> v3830(VarCurr,bitIndex57) ) )).

fof(addAssignment_6812,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex57)
    <=> v3832(VarCurr,bitIndex57) ) )).

fof(addAssignment_6811,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex57)
    <=> v3834(VarCurr,bitIndex57) ) )).

fof(addAssignment_6810,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex57)
    <=> v17057(VarNext,bitIndex57) ) )).

fof(addCaseBooleanConditionEqualRanges1_208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17058(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v17057(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_230,axiom,(
    ! [VarNext] :
      ( v17058(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v17057(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3938,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17058(VarNext)
      <=> v17059(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3937,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17059(VarNext)
      <=> ( v17061(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2050,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17061(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6809,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex57)
    <=> v13844(VarCurr,bitIndex57) ) )).

fof(addAssignment_6808,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex57)
    <=> v13846(VarCurr,bitIndex57) ) )).

fof(addAssignment_6807,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex57)
    <=> v13848(VarCurr,bitIndex57) ) )).

fof(addAssignment_6806,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex57)
    <=> v13850(VarCurr,bitIndex57) ) )).

fof(addAssignment_6805,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex57)
    <=> v13852(VarCurr,bitIndex57) ) )).

fof(addAssignment_6804,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex57)
    <=> v13538(VarCurr,bitIndex57) ) )).

fof(addAssignment_6803,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex57)
    <=> v13540(VarCurr,bitIndex57) ) )).

fof(addAssignment_6802,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex57)
    <=> v13542(VarCurr,bitIndex57) ) )).

fof(addAssignment_6801,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex57)
    <=> v13544(VarCurr,bitIndex57) ) )).

fof(addAssignment_6800,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex57)
    <=> v13546(VarCurr,bitIndex57) ) )).

fof(addAssignment_6799,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex57)
    <=> v13548(VarCurr,bitIndex57) ) )).

fof(addAssignment_6798,axiom,(
    ! [VarCurr] :
      ( v17053(VarCurr)
    <=> $false ) )).

fof(addAssignment_6797,axiom,(
    ! [VarCurr] :
      ( v17051(VarCurr)
    <=> $false ) )).

fof(addAssignment_6796,axiom,(
    ! [VarCurr] :
      ( v17049(VarCurr)
    <=> $true ) )).

fof(addAssignment_6795,axiom,(
    ! [VarCurr] :
      ( v17047(VarCurr)
    <=> $false ) )).

fof(addAssignment_6794,axiom,(
    ! [VarCurr] :
      ( v17045(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16998(VarNext)
       => ( v16967(VarNext)
        <=> v16967(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_229,axiom,(
    ! [VarNext] :
      ( v16998(VarNext)
     => ( v16967(VarNext)
      <=> v17033(VarNext) ) ) )).

fof(addAssignment_6793,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17033(VarNext)
      <=> v17031(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_362,axiom,(
    ! [VarCurr] :
      ( ~ v16969(VarCurr)
     => ( v17031(VarCurr)
      <=> v17034(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_362,axiom,(
    ! [VarCurr] :
      ( v16969(VarCurr)
     => ( v17031(VarCurr)
      <=> v16971(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_361,axiom,(
    ! [VarCurr] :
      ( ~ v17011(VarCurr)
     => ( v17034(VarCurr)
      <=> v16993(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_361,axiom,(
    ! [VarCurr] :
      ( v17011(VarCurr)
     => ( v17034(VarCurr)
      <=> v17035(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_100,axiom,(
    ! [VarCurr] :
      ( ( ~ v17014(VarCurr)
        & ~ v17016(VarCurr) )
     => ( v17035(VarCurr)
      <=> v17039(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_360,axiom,(
    ! [VarCurr] :
      ( v17016(VarCurr)
     => ( v17035(VarCurr)
      <=> v17038(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_360,axiom,(
    ! [VarCurr] :
      ( v17014(VarCurr)
     => ( v17035(VarCurr)
      <=> v17036(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_359,axiom,(
    ! [VarCurr] :
      ( ~ v17024(VarCurr)
     => ( v17039(VarCurr)
      <=> v16993(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_359,axiom,(
    ! [VarCurr] :
      ( v17024(VarCurr)
     => ( v17039(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_358,axiom,(
    ! [VarCurr] :
      ( ~ v17018(VarCurr)
     => ( v17038(VarCurr)
      <=> v16993(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_358,axiom,(
    ! [VarCurr] :
      ( v17018(VarCurr)
     => ( v17038(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_321,axiom,(
    ! [VarCurr] :
      ( ~ v17037(VarCurr)
     => ( v17036(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_261,axiom,(
    ! [VarCurr] :
      ( v17037(VarCurr)
     => ( v17036(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1125,axiom,(
    ! [VarCurr] :
      ( v17037(VarCurr)
    <=> ( v16979(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3936,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16998(VarNext)
      <=> ( v16999(VarNext)
          & v17008(VarNext) ) ) ) )).

fof(addAssignment_6792,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17008(VarNext)
      <=> v17006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3935,axiom,(
    ! [VarCurr] :
      ( v17006(VarCurr)
    <=> ( v16969(VarCurr)
        | v17009(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3934,axiom,(
    ! [VarCurr] :
      ( v17009(VarCurr)
    <=> ( v17010(VarCurr)
        & v17030(VarCurr) ) ) )).

fof(writeUnaryOperator_2049,axiom,(
    ! [VarCurr] :
      ( ~ v17030(VarCurr)
    <=> v16969(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3933,axiom,(
    ! [VarCurr] :
      ( v17010(VarCurr)
    <=> ( v17011(VarCurr)
        | v17028(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3932,axiom,(
    ! [VarCurr] :
      ( v17028(VarCurr)
    <=> ( v16989(VarCurr)
        & v17029(VarCurr) ) ) )).

fof(writeUnaryOperator_2048,axiom,(
    ! [VarCurr] :
      ( ~ v17029(VarCurr)
    <=> v16991(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3931,axiom,(
    ! [VarCurr] :
      ( v17011(VarCurr)
    <=> ( v17012(VarCurr)
        & v16991(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3930,axiom,(
    ! [VarCurr] :
      ( v17012(VarCurr)
    <=> ( v17013(VarCurr)
        | v17022(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3929,axiom,(
    ! [VarCurr] :
      ( v17022(VarCurr)
    <=> ( v17023(VarCurr)
        & v17027(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1124,axiom,(
    ! [VarCurr] :
      ( v17027(VarCurr)
    <=> ( ( v17015(VarCurr,bitIndex2)
        <=> $false )
        & ( v17015(VarCurr,bitIndex1)
        <=> $false )
        & ( v17015(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3928,axiom,(
    ! [VarCurr] :
      ( v17023(VarCurr)
    <=> ( v17024(VarCurr)
        | v17025(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3927,axiom,(
    ! [VarCurr] :
      ( v17025(VarCurr)
    <=> ( v16989(VarCurr)
        & v17026(VarCurr) ) ) )).

fof(writeUnaryOperator_2047,axiom,(
    ! [VarCurr] :
      ( ~ v17026(VarCurr)
    <=> v17024(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1123,axiom,(
    ! [VarCurr] :
      ( v17024(VarCurr)
    <=> ( v16979(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3926,axiom,(
    ! [VarCurr] :
      ( v17013(VarCurr)
    <=> ( v17014(VarCurr)
        | v17016(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3925,axiom,(
    ! [VarCurr] :
      ( v17016(VarCurr)
    <=> ( v17017(VarCurr)
        & v17021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1122,axiom,(
    ! [VarCurr] :
      ( v17021(VarCurr)
    <=> ( ( v17015(VarCurr,bitIndex2)
        <=> $false )
        & ( v17015(VarCurr,bitIndex1)
        <=> $true )
        & ( v17015(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3924,axiom,(
    ! [VarCurr] :
      ( v17017(VarCurr)
    <=> ( v17018(VarCurr)
        | v17019(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3923,axiom,(
    ! [VarCurr] :
      ( v17019(VarCurr)
    <=> ( v16989(VarCurr)
        & v17020(VarCurr) ) ) )).

fof(writeUnaryOperator_2046,axiom,(
    ! [VarCurr] :
      ( ~ v17020(VarCurr)
    <=> v17018(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1121,axiom,(
    ! [VarCurr] :
      ( v17018(VarCurr)
    <=> ( v16979(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1120,axiom,(
    ! [VarCurr] :
      ( v17014(VarCurr)
    <=> ( ( v17015(VarCurr,bitIndex2)
        <=> $true )
        & ( v17015(VarCurr,bitIndex1)
        <=> $false )
        & ( v17015(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6791,axiom,(
    ! [VarCurr] :
      ( v17015(VarCurr,bitIndex0)
    <=> v16977(VarCurr) ) )).

fof(addAssignment_6790,axiom,(
    ! [VarCurr] :
      ( v17015(VarCurr,bitIndex1)
    <=> v16975(VarCurr) ) )).

fof(addAssignment_6789,axiom,(
    ! [VarCurr] :
      ( v17015(VarCurr,bitIndex2)
    <=> v16973(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3922,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16999(VarNext)
      <=> ( v17000(VarNext)
          & v16995(VarNext) ) ) ) )).

fof(writeUnaryOperator_2045,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17000(VarNext)
      <=> v17002(VarNext) ) ) )).

fof(addAssignment_6788,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17002(VarNext)
      <=> v16995(VarCurr) ) ) )).

fof(addAssignment_6787,axiom,(
    ! [VarCurr] :
      ( v16995(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6786,axiom,(
    ! [VarCurr] :
      ( v16993(VarCurr)
    <=> $false ) )).

fof(addAssignment_6785,axiom,(
    ! [VarCurr] :
      ( v16991(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6784,axiom,(
    ! [VarCurr] :
      ( v16989(VarCurr)
    <=> $false ) )).

fof(addAssignment_6783,axiom,(
    ! [VarCurr] :
      ( v16979(VarCurr)
    <=> v13838(VarCurr,bitIndex56) ) )).

fof(addAssignment_6782,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex56)
    <=> v13840(VarCurr,bitIndex56) ) )).

fof(addAssignment_6781,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex56)
    <=> v3822(VarCurr,bitIndex56) ) )).

fof(addAssignment_6780,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex56)
    <=> v3824(VarCurr,bitIndex56) ) )).

fof(addAssignment_6779,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex56)
    <=> v3826(VarCurr,bitIndex56) ) )).

fof(addAssignment_6778,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex56)
    <=> v3828(VarCurr,bitIndex56) ) )).

fof(addAssignment_6777,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex56)
    <=> v3830(VarCurr,bitIndex56) ) )).

fof(addAssignment_6776,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex56)
    <=> v3832(VarCurr,bitIndex56) ) )).

fof(addAssignment_6775,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex56)
    <=> v3834(VarCurr,bitIndex56) ) )).

fof(addAssignment_6774,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex56)
    <=> v16981(VarNext,bitIndex56) ) )).

fof(addCaseBooleanConditionEqualRanges1_206,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16982(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16981(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_228,axiom,(
    ! [VarNext] :
      ( v16982(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16981(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3921,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16982(VarNext)
      <=> v16983(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3920,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16983(VarNext)
      <=> ( v16985(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16985(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6773,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex56)
    <=> v13844(VarCurr,bitIndex56) ) )).

fof(addAssignment_6772,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex56)
    <=> v13846(VarCurr,bitIndex56) ) )).

fof(addAssignment_6771,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex56)
    <=> v13848(VarCurr,bitIndex56) ) )).

fof(addAssignment_6770,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex56)
    <=> v13850(VarCurr,bitIndex56) ) )).

fof(addAssignment_6769,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex56)
    <=> v13852(VarCurr,bitIndex56) ) )).

fof(addAssignment_6768,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex56)
    <=> v13538(VarCurr,bitIndex56) ) )).

fof(addAssignment_6767,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex56)
    <=> v13540(VarCurr,bitIndex56) ) )).

fof(addAssignment_6766,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex56)
    <=> v13542(VarCurr,bitIndex56) ) )).

fof(addAssignment_6765,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex56)
    <=> v13544(VarCurr,bitIndex56) ) )).

fof(addAssignment_6764,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex56)
    <=> v13546(VarCurr,bitIndex56) ) )).

fof(addAssignment_6763,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex56)
    <=> v13548(VarCurr,bitIndex56) ) )).

fof(addAssignment_6762,axiom,(
    ! [VarCurr] :
      ( v16977(VarCurr)
    <=> $false ) )).

fof(addAssignment_6761,axiom,(
    ! [VarCurr] :
      ( v16975(VarCurr)
    <=> $false ) )).

fof(addAssignment_6760,axiom,(
    ! [VarCurr] :
      ( v16973(VarCurr)
    <=> $true ) )).

fof(addAssignment_6759,axiom,(
    ! [VarCurr] :
      ( v16971(VarCurr)
    <=> $false ) )).

fof(addAssignment_6758,axiom,(
    ! [VarCurr] :
      ( v16969(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_205,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16922(VarNext)
       => ( v16891(VarNext)
        <=> v16891(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_227,axiom,(
    ! [VarNext] :
      ( v16922(VarNext)
     => ( v16891(VarNext)
      <=> v16957(VarNext) ) ) )).

fof(addAssignment_6757,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16957(VarNext)
      <=> v16955(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_357,axiom,(
    ! [VarCurr] :
      ( ~ v16893(VarCurr)
     => ( v16955(VarCurr)
      <=> v16958(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_357,axiom,(
    ! [VarCurr] :
      ( v16893(VarCurr)
     => ( v16955(VarCurr)
      <=> v16895(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_356,axiom,(
    ! [VarCurr] :
      ( ~ v16935(VarCurr)
     => ( v16958(VarCurr)
      <=> v16917(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_356,axiom,(
    ! [VarCurr] :
      ( v16935(VarCurr)
     => ( v16958(VarCurr)
      <=> v16959(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_99,axiom,(
    ! [VarCurr] :
      ( ( ~ v16938(VarCurr)
        & ~ v16940(VarCurr) )
     => ( v16959(VarCurr)
      <=> v16963(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_355,axiom,(
    ! [VarCurr] :
      ( v16940(VarCurr)
     => ( v16959(VarCurr)
      <=> v16962(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_355,axiom,(
    ! [VarCurr] :
      ( v16938(VarCurr)
     => ( v16959(VarCurr)
      <=> v16960(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_354,axiom,(
    ! [VarCurr] :
      ( ~ v16948(VarCurr)
     => ( v16963(VarCurr)
      <=> v16917(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_354,axiom,(
    ! [VarCurr] :
      ( v16948(VarCurr)
     => ( v16963(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_353,axiom,(
    ! [VarCurr] :
      ( ~ v16942(VarCurr)
     => ( v16962(VarCurr)
      <=> v16917(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_353,axiom,(
    ! [VarCurr] :
      ( v16942(VarCurr)
     => ( v16962(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_320,axiom,(
    ! [VarCurr] :
      ( ~ v16961(VarCurr)
     => ( v16960(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_260,axiom,(
    ! [VarCurr] :
      ( v16961(VarCurr)
     => ( v16960(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1119,axiom,(
    ! [VarCurr] :
      ( v16961(VarCurr)
    <=> ( v16903(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3919,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16922(VarNext)
      <=> ( v16923(VarNext)
          & v16932(VarNext) ) ) ) )).

fof(addAssignment_6756,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16932(VarNext)
      <=> v16930(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3918,axiom,(
    ! [VarCurr] :
      ( v16930(VarCurr)
    <=> ( v16893(VarCurr)
        | v16933(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3917,axiom,(
    ! [VarCurr] :
      ( v16933(VarCurr)
    <=> ( v16934(VarCurr)
        & v16954(VarCurr) ) ) )).

fof(writeUnaryOperator_2043,axiom,(
    ! [VarCurr] :
      ( ~ v16954(VarCurr)
    <=> v16893(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3916,axiom,(
    ! [VarCurr] :
      ( v16934(VarCurr)
    <=> ( v16935(VarCurr)
        | v16952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3915,axiom,(
    ! [VarCurr] :
      ( v16952(VarCurr)
    <=> ( v16913(VarCurr)
        & v16953(VarCurr) ) ) )).

fof(writeUnaryOperator_2042,axiom,(
    ! [VarCurr] :
      ( ~ v16953(VarCurr)
    <=> v16915(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3914,axiom,(
    ! [VarCurr] :
      ( v16935(VarCurr)
    <=> ( v16936(VarCurr)
        & v16915(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3913,axiom,(
    ! [VarCurr] :
      ( v16936(VarCurr)
    <=> ( v16937(VarCurr)
        | v16946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3912,axiom,(
    ! [VarCurr] :
      ( v16946(VarCurr)
    <=> ( v16947(VarCurr)
        & v16951(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1118,axiom,(
    ! [VarCurr] :
      ( v16951(VarCurr)
    <=> ( ( v16939(VarCurr,bitIndex2)
        <=> $false )
        & ( v16939(VarCurr,bitIndex1)
        <=> $false )
        & ( v16939(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3911,axiom,(
    ! [VarCurr] :
      ( v16947(VarCurr)
    <=> ( v16948(VarCurr)
        | v16949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3910,axiom,(
    ! [VarCurr] :
      ( v16949(VarCurr)
    <=> ( v16913(VarCurr)
        & v16950(VarCurr) ) ) )).

fof(writeUnaryOperator_2041,axiom,(
    ! [VarCurr] :
      ( ~ v16950(VarCurr)
    <=> v16948(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1117,axiom,(
    ! [VarCurr] :
      ( v16948(VarCurr)
    <=> ( v16903(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3909,axiom,(
    ! [VarCurr] :
      ( v16937(VarCurr)
    <=> ( v16938(VarCurr)
        | v16940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3908,axiom,(
    ! [VarCurr] :
      ( v16940(VarCurr)
    <=> ( v16941(VarCurr)
        & v16945(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1116,axiom,(
    ! [VarCurr] :
      ( v16945(VarCurr)
    <=> ( ( v16939(VarCurr,bitIndex2)
        <=> $false )
        & ( v16939(VarCurr,bitIndex1)
        <=> $true )
        & ( v16939(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3907,axiom,(
    ! [VarCurr] :
      ( v16941(VarCurr)
    <=> ( v16942(VarCurr)
        | v16943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3906,axiom,(
    ! [VarCurr] :
      ( v16943(VarCurr)
    <=> ( v16913(VarCurr)
        & v16944(VarCurr) ) ) )).

fof(writeUnaryOperator_2040,axiom,(
    ! [VarCurr] :
      ( ~ v16944(VarCurr)
    <=> v16942(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1115,axiom,(
    ! [VarCurr] :
      ( v16942(VarCurr)
    <=> ( v16903(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1114,axiom,(
    ! [VarCurr] :
      ( v16938(VarCurr)
    <=> ( ( v16939(VarCurr,bitIndex2)
        <=> $true )
        & ( v16939(VarCurr,bitIndex1)
        <=> $false )
        & ( v16939(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6755,axiom,(
    ! [VarCurr] :
      ( v16939(VarCurr,bitIndex0)
    <=> v16901(VarCurr) ) )).

fof(addAssignment_6754,axiom,(
    ! [VarCurr] :
      ( v16939(VarCurr,bitIndex1)
    <=> v16899(VarCurr) ) )).

fof(addAssignment_6753,axiom,(
    ! [VarCurr] :
      ( v16939(VarCurr,bitIndex2)
    <=> v16897(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3905,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16923(VarNext)
      <=> ( v16924(VarNext)
          & v16919(VarNext) ) ) ) )).

fof(writeUnaryOperator_2039,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16924(VarNext)
      <=> v16926(VarNext) ) ) )).

fof(addAssignment_6752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16926(VarNext)
      <=> v16919(VarCurr) ) ) )).

fof(addAssignment_6751,axiom,(
    ! [VarCurr] :
      ( v16919(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6750,axiom,(
    ! [VarCurr] :
      ( v16917(VarCurr)
    <=> $false ) )).

fof(addAssignment_6749,axiom,(
    ! [VarCurr] :
      ( v16915(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6748,axiom,(
    ! [VarCurr] :
      ( v16913(VarCurr)
    <=> $false ) )).

fof(addAssignment_6747,axiom,(
    ! [VarCurr] :
      ( v16903(VarCurr)
    <=> v13838(VarCurr,bitIndex55) ) )).

fof(addAssignment_6746,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex55)
    <=> v13840(VarCurr,bitIndex55) ) )).

fof(addAssignment_6745,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex55)
    <=> v3822(VarCurr,bitIndex55) ) )).

fof(addAssignment_6744,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex55)
    <=> v3824(VarCurr,bitIndex55) ) )).

fof(addAssignment_6743,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex55)
    <=> v3826(VarCurr,bitIndex55) ) )).

fof(addAssignment_6742,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex55)
    <=> v3828(VarCurr,bitIndex55) ) )).

fof(addAssignment_6741,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex55)
    <=> v3830(VarCurr,bitIndex55) ) )).

fof(addAssignment_6740,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex55)
    <=> v3832(VarCurr,bitIndex55) ) )).

fof(addAssignment_6739,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex55)
    <=> v3834(VarCurr,bitIndex55) ) )).

fof(addAssignment_6738,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex55)
    <=> v16905(VarNext,bitIndex55) ) )).

fof(addCaseBooleanConditionEqualRanges1_204,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16906(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16905(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_226,axiom,(
    ! [VarNext] :
      ( v16906(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16905(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3904,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16906(VarNext)
      <=> v16907(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3903,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16907(VarNext)
      <=> ( v16909(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2038,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16909(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6737,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex55)
    <=> v13844(VarCurr,bitIndex55) ) )).

fof(addAssignment_6736,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex55)
    <=> v13846(VarCurr,bitIndex55) ) )).

fof(addAssignment_6735,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex55)
    <=> v13848(VarCurr,bitIndex55) ) )).

fof(addAssignment_6734,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex55)
    <=> v13850(VarCurr,bitIndex55) ) )).

fof(addAssignment_6733,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex55)
    <=> v13852(VarCurr,bitIndex55) ) )).

fof(addAssignment_6732,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex55)
    <=> v13538(VarCurr,bitIndex55) ) )).

fof(addAssignment_6731,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex55)
    <=> v13540(VarCurr,bitIndex55) ) )).

fof(addAssignment_6730,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex55)
    <=> v13542(VarCurr,bitIndex55) ) )).

fof(addAssignment_6729,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex55)
    <=> v13544(VarCurr,bitIndex55) ) )).

fof(addAssignment_6728,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex55)
    <=> v13546(VarCurr,bitIndex55) ) )).

fof(addAssignment_6727,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex55)
    <=> v13548(VarCurr,bitIndex55) ) )).

fof(addAssignment_6726,axiom,(
    ! [VarCurr] :
      ( v16901(VarCurr)
    <=> $false ) )).

fof(addAssignment_6725,axiom,(
    ! [VarCurr] :
      ( v16899(VarCurr)
    <=> $false ) )).

fof(addAssignment_6724,axiom,(
    ! [VarCurr] :
      ( v16897(VarCurr)
    <=> $true ) )).

fof(addAssignment_6723,axiom,(
    ! [VarCurr] :
      ( v16895(VarCurr)
    <=> $false ) )).

fof(addAssignment_6722,axiom,(
    ! [VarCurr] :
      ( v16893(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_203,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16846(VarNext)
       => ( v16815(VarNext)
        <=> v16815(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_225,axiom,(
    ! [VarNext] :
      ( v16846(VarNext)
     => ( v16815(VarNext)
      <=> v16881(VarNext) ) ) )).

fof(addAssignment_6721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16881(VarNext)
      <=> v16879(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_352,axiom,(
    ! [VarCurr] :
      ( ~ v16817(VarCurr)
     => ( v16879(VarCurr)
      <=> v16882(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_352,axiom,(
    ! [VarCurr] :
      ( v16817(VarCurr)
     => ( v16879(VarCurr)
      <=> v16819(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_351,axiom,(
    ! [VarCurr] :
      ( ~ v16859(VarCurr)
     => ( v16882(VarCurr)
      <=> v16841(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_351,axiom,(
    ! [VarCurr] :
      ( v16859(VarCurr)
     => ( v16882(VarCurr)
      <=> v16883(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_98,axiom,(
    ! [VarCurr] :
      ( ( ~ v16862(VarCurr)
        & ~ v16864(VarCurr) )
     => ( v16883(VarCurr)
      <=> v16887(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_350,axiom,(
    ! [VarCurr] :
      ( v16864(VarCurr)
     => ( v16883(VarCurr)
      <=> v16886(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_350,axiom,(
    ! [VarCurr] :
      ( v16862(VarCurr)
     => ( v16883(VarCurr)
      <=> v16884(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_349,axiom,(
    ! [VarCurr] :
      ( ~ v16872(VarCurr)
     => ( v16887(VarCurr)
      <=> v16841(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_349,axiom,(
    ! [VarCurr] :
      ( v16872(VarCurr)
     => ( v16887(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_348,axiom,(
    ! [VarCurr] :
      ( ~ v16866(VarCurr)
     => ( v16886(VarCurr)
      <=> v16841(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_348,axiom,(
    ! [VarCurr] :
      ( v16866(VarCurr)
     => ( v16886(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_319,axiom,(
    ! [VarCurr] :
      ( ~ v16885(VarCurr)
     => ( v16884(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_259,axiom,(
    ! [VarCurr] :
      ( v16885(VarCurr)
     => ( v16884(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1113,axiom,(
    ! [VarCurr] :
      ( v16885(VarCurr)
    <=> ( v16827(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3902,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16846(VarNext)
      <=> ( v16847(VarNext)
          & v16856(VarNext) ) ) ) )).

fof(addAssignment_6720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16856(VarNext)
      <=> v16854(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3901,axiom,(
    ! [VarCurr] :
      ( v16854(VarCurr)
    <=> ( v16817(VarCurr)
        | v16857(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3900,axiom,(
    ! [VarCurr] :
      ( v16857(VarCurr)
    <=> ( v16858(VarCurr)
        & v16878(VarCurr) ) ) )).

fof(writeUnaryOperator_2037,axiom,(
    ! [VarCurr] :
      ( ~ v16878(VarCurr)
    <=> v16817(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3899,axiom,(
    ! [VarCurr] :
      ( v16858(VarCurr)
    <=> ( v16859(VarCurr)
        | v16876(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3898,axiom,(
    ! [VarCurr] :
      ( v16876(VarCurr)
    <=> ( v16837(VarCurr)
        & v16877(VarCurr) ) ) )).

fof(writeUnaryOperator_2036,axiom,(
    ! [VarCurr] :
      ( ~ v16877(VarCurr)
    <=> v16839(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3897,axiom,(
    ! [VarCurr] :
      ( v16859(VarCurr)
    <=> ( v16860(VarCurr)
        & v16839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3896,axiom,(
    ! [VarCurr] :
      ( v16860(VarCurr)
    <=> ( v16861(VarCurr)
        | v16870(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3895,axiom,(
    ! [VarCurr] :
      ( v16870(VarCurr)
    <=> ( v16871(VarCurr)
        & v16875(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1112,axiom,(
    ! [VarCurr] :
      ( v16875(VarCurr)
    <=> ( ( v16863(VarCurr,bitIndex2)
        <=> $false )
        & ( v16863(VarCurr,bitIndex1)
        <=> $false )
        & ( v16863(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3894,axiom,(
    ! [VarCurr] :
      ( v16871(VarCurr)
    <=> ( v16872(VarCurr)
        | v16873(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3893,axiom,(
    ! [VarCurr] :
      ( v16873(VarCurr)
    <=> ( v16837(VarCurr)
        & v16874(VarCurr) ) ) )).

fof(writeUnaryOperator_2035,axiom,(
    ! [VarCurr] :
      ( ~ v16874(VarCurr)
    <=> v16872(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1111,axiom,(
    ! [VarCurr] :
      ( v16872(VarCurr)
    <=> ( v16827(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3892,axiom,(
    ! [VarCurr] :
      ( v16861(VarCurr)
    <=> ( v16862(VarCurr)
        | v16864(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3891,axiom,(
    ! [VarCurr] :
      ( v16864(VarCurr)
    <=> ( v16865(VarCurr)
        & v16869(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1110,axiom,(
    ! [VarCurr] :
      ( v16869(VarCurr)
    <=> ( ( v16863(VarCurr,bitIndex2)
        <=> $false )
        & ( v16863(VarCurr,bitIndex1)
        <=> $true )
        & ( v16863(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3890,axiom,(
    ! [VarCurr] :
      ( v16865(VarCurr)
    <=> ( v16866(VarCurr)
        | v16867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3889,axiom,(
    ! [VarCurr] :
      ( v16867(VarCurr)
    <=> ( v16837(VarCurr)
        & v16868(VarCurr) ) ) )).

fof(writeUnaryOperator_2034,axiom,(
    ! [VarCurr] :
      ( ~ v16868(VarCurr)
    <=> v16866(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1109,axiom,(
    ! [VarCurr] :
      ( v16866(VarCurr)
    <=> ( v16827(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1108,axiom,(
    ! [VarCurr] :
      ( v16862(VarCurr)
    <=> ( ( v16863(VarCurr,bitIndex2)
        <=> $true )
        & ( v16863(VarCurr,bitIndex1)
        <=> $false )
        & ( v16863(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6719,axiom,(
    ! [VarCurr] :
      ( v16863(VarCurr,bitIndex0)
    <=> v16825(VarCurr) ) )).

fof(addAssignment_6718,axiom,(
    ! [VarCurr] :
      ( v16863(VarCurr,bitIndex1)
    <=> v16823(VarCurr) ) )).

fof(addAssignment_6717,axiom,(
    ! [VarCurr] :
      ( v16863(VarCurr,bitIndex2)
    <=> v16821(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3888,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16847(VarNext)
      <=> ( v16848(VarNext)
          & v16843(VarNext) ) ) ) )).

fof(writeUnaryOperator_2033,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16848(VarNext)
      <=> v16850(VarNext) ) ) )).

fof(addAssignment_6716,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16850(VarNext)
      <=> v16843(VarCurr) ) ) )).

fof(addAssignment_6715,axiom,(
    ! [VarCurr] :
      ( v16843(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6714,axiom,(
    ! [VarCurr] :
      ( v16841(VarCurr)
    <=> $false ) )).

fof(addAssignment_6713,axiom,(
    ! [VarCurr] :
      ( v16839(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6712,axiom,(
    ! [VarCurr] :
      ( v16837(VarCurr)
    <=> $false ) )).

fof(addAssignment_6711,axiom,(
    ! [VarCurr] :
      ( v16827(VarCurr)
    <=> v13838(VarCurr,bitIndex54) ) )).

fof(addAssignment_6710,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex54)
    <=> v13840(VarCurr,bitIndex54) ) )).

fof(addAssignment_6709,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex54)
    <=> v3822(VarCurr,bitIndex54) ) )).

fof(addAssignment_6708,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex54)
    <=> v3824(VarCurr,bitIndex54) ) )).

fof(addAssignment_6707,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex54)
    <=> v3826(VarCurr,bitIndex54) ) )).

fof(addAssignment_6706,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex54)
    <=> v3828(VarCurr,bitIndex54) ) )).

fof(addAssignment_6705,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex54)
    <=> v3830(VarCurr,bitIndex54) ) )).

fof(addAssignment_6704,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex54)
    <=> v3832(VarCurr,bitIndex54) ) )).

fof(addAssignment_6703,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex54)
    <=> v3834(VarCurr,bitIndex54) ) )).

fof(addAssignment_6702,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex54)
    <=> v16829(VarNext,bitIndex54) ) )).

fof(addCaseBooleanConditionEqualRanges1_202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16830(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16829(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_224,axiom,(
    ! [VarNext] :
      ( v16830(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16829(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3887,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16830(VarNext)
      <=> v16831(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3886,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16831(VarNext)
      <=> ( v16833(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2032,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16833(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6701,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex54)
    <=> v13844(VarCurr,bitIndex54) ) )).

fof(addAssignment_6700,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex54)
    <=> v13846(VarCurr,bitIndex54) ) )).

fof(addAssignment_6699,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex54)
    <=> v13848(VarCurr,bitIndex54) ) )).

fof(addAssignment_6698,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex54)
    <=> v13850(VarCurr,bitIndex54) ) )).

fof(addAssignment_6697,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex54)
    <=> v13852(VarCurr,bitIndex54) ) )).

fof(addAssignment_6696,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex54)
    <=> v13538(VarCurr,bitIndex54) ) )).

fof(addAssignment_6695,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex54)
    <=> v13540(VarCurr,bitIndex54) ) )).

fof(addAssignment_6694,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex54)
    <=> v13542(VarCurr,bitIndex54) ) )).

fof(addAssignment_6693,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex54)
    <=> v13544(VarCurr,bitIndex54) ) )).

fof(addAssignment_6692,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex54)
    <=> v13546(VarCurr,bitIndex54) ) )).

fof(addAssignment_6691,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex54)
    <=> v13548(VarCurr,bitIndex54) ) )).

fof(addAssignment_6690,axiom,(
    ! [VarCurr] :
      ( v16825(VarCurr)
    <=> $false ) )).

fof(addAssignment_6689,axiom,(
    ! [VarCurr] :
      ( v16823(VarCurr)
    <=> $false ) )).

fof(addAssignment_6688,axiom,(
    ! [VarCurr] :
      ( v16821(VarCurr)
    <=> $true ) )).

fof(addAssignment_6687,axiom,(
    ! [VarCurr] :
      ( v16819(VarCurr)
    <=> $false ) )).

fof(addAssignment_6686,axiom,(
    ! [VarCurr] :
      ( v16817(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_201,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16770(VarNext)
       => ( v16739(VarNext)
        <=> v16739(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_223,axiom,(
    ! [VarNext] :
      ( v16770(VarNext)
     => ( v16739(VarNext)
      <=> v16805(VarNext) ) ) )).

fof(addAssignment_6685,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16805(VarNext)
      <=> v16803(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_347,axiom,(
    ! [VarCurr] :
      ( ~ v16741(VarCurr)
     => ( v16803(VarCurr)
      <=> v16806(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_347,axiom,(
    ! [VarCurr] :
      ( v16741(VarCurr)
     => ( v16803(VarCurr)
      <=> v16743(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_346,axiom,(
    ! [VarCurr] :
      ( ~ v16783(VarCurr)
     => ( v16806(VarCurr)
      <=> v16765(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_346,axiom,(
    ! [VarCurr] :
      ( v16783(VarCurr)
     => ( v16806(VarCurr)
      <=> v16807(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_97,axiom,(
    ! [VarCurr] :
      ( ( ~ v16786(VarCurr)
        & ~ v16788(VarCurr) )
     => ( v16807(VarCurr)
      <=> v16811(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_345,axiom,(
    ! [VarCurr] :
      ( v16788(VarCurr)
     => ( v16807(VarCurr)
      <=> v16810(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_345,axiom,(
    ! [VarCurr] :
      ( v16786(VarCurr)
     => ( v16807(VarCurr)
      <=> v16808(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_344,axiom,(
    ! [VarCurr] :
      ( ~ v16796(VarCurr)
     => ( v16811(VarCurr)
      <=> v16765(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_344,axiom,(
    ! [VarCurr] :
      ( v16796(VarCurr)
     => ( v16811(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_343,axiom,(
    ! [VarCurr] :
      ( ~ v16790(VarCurr)
     => ( v16810(VarCurr)
      <=> v16765(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_343,axiom,(
    ! [VarCurr] :
      ( v16790(VarCurr)
     => ( v16810(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_318,axiom,(
    ! [VarCurr] :
      ( ~ v16809(VarCurr)
     => ( v16808(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_258,axiom,(
    ! [VarCurr] :
      ( v16809(VarCurr)
     => ( v16808(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1107,axiom,(
    ! [VarCurr] :
      ( v16809(VarCurr)
    <=> ( v16751(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3885,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16770(VarNext)
      <=> ( v16771(VarNext)
          & v16780(VarNext) ) ) ) )).

fof(addAssignment_6684,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16780(VarNext)
      <=> v16778(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3884,axiom,(
    ! [VarCurr] :
      ( v16778(VarCurr)
    <=> ( v16741(VarCurr)
        | v16781(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3883,axiom,(
    ! [VarCurr] :
      ( v16781(VarCurr)
    <=> ( v16782(VarCurr)
        & v16802(VarCurr) ) ) )).

fof(writeUnaryOperator_2031,axiom,(
    ! [VarCurr] :
      ( ~ v16802(VarCurr)
    <=> v16741(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3882,axiom,(
    ! [VarCurr] :
      ( v16782(VarCurr)
    <=> ( v16783(VarCurr)
        | v16800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3881,axiom,(
    ! [VarCurr] :
      ( v16800(VarCurr)
    <=> ( v16761(VarCurr)
        & v16801(VarCurr) ) ) )).

fof(writeUnaryOperator_2030,axiom,(
    ! [VarCurr] :
      ( ~ v16801(VarCurr)
    <=> v16763(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3880,axiom,(
    ! [VarCurr] :
      ( v16783(VarCurr)
    <=> ( v16784(VarCurr)
        & v16763(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3879,axiom,(
    ! [VarCurr] :
      ( v16784(VarCurr)
    <=> ( v16785(VarCurr)
        | v16794(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3878,axiom,(
    ! [VarCurr] :
      ( v16794(VarCurr)
    <=> ( v16795(VarCurr)
        & v16799(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1106,axiom,(
    ! [VarCurr] :
      ( v16799(VarCurr)
    <=> ( ( v16787(VarCurr,bitIndex2)
        <=> $false )
        & ( v16787(VarCurr,bitIndex1)
        <=> $false )
        & ( v16787(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3877,axiom,(
    ! [VarCurr] :
      ( v16795(VarCurr)
    <=> ( v16796(VarCurr)
        | v16797(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3876,axiom,(
    ! [VarCurr] :
      ( v16797(VarCurr)
    <=> ( v16761(VarCurr)
        & v16798(VarCurr) ) ) )).

fof(writeUnaryOperator_2029,axiom,(
    ! [VarCurr] :
      ( ~ v16798(VarCurr)
    <=> v16796(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1105,axiom,(
    ! [VarCurr] :
      ( v16796(VarCurr)
    <=> ( v16751(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3875,axiom,(
    ! [VarCurr] :
      ( v16785(VarCurr)
    <=> ( v16786(VarCurr)
        | v16788(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3874,axiom,(
    ! [VarCurr] :
      ( v16788(VarCurr)
    <=> ( v16789(VarCurr)
        & v16793(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1104,axiom,(
    ! [VarCurr] :
      ( v16793(VarCurr)
    <=> ( ( v16787(VarCurr,bitIndex2)
        <=> $false )
        & ( v16787(VarCurr,bitIndex1)
        <=> $true )
        & ( v16787(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3873,axiom,(
    ! [VarCurr] :
      ( v16789(VarCurr)
    <=> ( v16790(VarCurr)
        | v16791(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3872,axiom,(
    ! [VarCurr] :
      ( v16791(VarCurr)
    <=> ( v16761(VarCurr)
        & v16792(VarCurr) ) ) )).

fof(writeUnaryOperator_2028,axiom,(
    ! [VarCurr] :
      ( ~ v16792(VarCurr)
    <=> v16790(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1103,axiom,(
    ! [VarCurr] :
      ( v16790(VarCurr)
    <=> ( v16751(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1102,axiom,(
    ! [VarCurr] :
      ( v16786(VarCurr)
    <=> ( ( v16787(VarCurr,bitIndex2)
        <=> $true )
        & ( v16787(VarCurr,bitIndex1)
        <=> $false )
        & ( v16787(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6683,axiom,(
    ! [VarCurr] :
      ( v16787(VarCurr,bitIndex0)
    <=> v16749(VarCurr) ) )).

fof(addAssignment_6682,axiom,(
    ! [VarCurr] :
      ( v16787(VarCurr,bitIndex1)
    <=> v16747(VarCurr) ) )).

fof(addAssignment_6681,axiom,(
    ! [VarCurr] :
      ( v16787(VarCurr,bitIndex2)
    <=> v16745(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3871,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16771(VarNext)
      <=> ( v16772(VarNext)
          & v16767(VarNext) ) ) ) )).

fof(writeUnaryOperator_2027,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16772(VarNext)
      <=> v16774(VarNext) ) ) )).

fof(addAssignment_6680,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16774(VarNext)
      <=> v16767(VarCurr) ) ) )).

fof(addAssignment_6679,axiom,(
    ! [VarCurr] :
      ( v16767(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6678,axiom,(
    ! [VarCurr] :
      ( v16765(VarCurr)
    <=> $false ) )).

fof(addAssignment_6677,axiom,(
    ! [VarCurr] :
      ( v16763(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6676,axiom,(
    ! [VarCurr] :
      ( v16761(VarCurr)
    <=> $false ) )).

fof(addAssignment_6675,axiom,(
    ! [VarCurr] :
      ( v16751(VarCurr)
    <=> v13838(VarCurr,bitIndex53) ) )).

fof(addAssignment_6674,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex53)
    <=> v13840(VarCurr,bitIndex53) ) )).

fof(addAssignment_6673,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex53)
    <=> v3822(VarCurr,bitIndex53) ) )).

fof(addAssignment_6672,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex53)
    <=> v3824(VarCurr,bitIndex53) ) )).

fof(addAssignment_6671,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex53)
    <=> v3826(VarCurr,bitIndex53) ) )).

fof(addAssignment_6670,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex53)
    <=> v3828(VarCurr,bitIndex53) ) )).

fof(addAssignment_6669,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex53)
    <=> v3830(VarCurr,bitIndex53) ) )).

fof(addAssignment_6668,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex53)
    <=> v3832(VarCurr,bitIndex53) ) )).

fof(addAssignment_6667,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex53)
    <=> v3834(VarCurr,bitIndex53) ) )).

fof(addAssignment_6666,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex53)
    <=> v16753(VarNext,bitIndex53) ) )).

fof(addCaseBooleanConditionEqualRanges1_200,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16754(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16753(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_222,axiom,(
    ! [VarNext] :
      ( v16754(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16753(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3870,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16754(VarNext)
      <=> v16755(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3869,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16755(VarNext)
      <=> ( v16757(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2026,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16757(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6665,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex53)
    <=> v13844(VarCurr,bitIndex53) ) )).

fof(addAssignment_6664,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex53)
    <=> v13846(VarCurr,bitIndex53) ) )).

fof(addAssignment_6663,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex53)
    <=> v13848(VarCurr,bitIndex53) ) )).

fof(addAssignment_6662,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex53)
    <=> v13850(VarCurr,bitIndex53) ) )).

fof(addAssignment_6661,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex53)
    <=> v13852(VarCurr,bitIndex53) ) )).

fof(addAssignment_6660,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex53)
    <=> v13538(VarCurr,bitIndex53) ) )).

fof(addAssignment_6659,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex53)
    <=> v13540(VarCurr,bitIndex53) ) )).

fof(addAssignment_6658,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex53)
    <=> v13542(VarCurr,bitIndex53) ) )).

fof(addAssignment_6657,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex53)
    <=> v13544(VarCurr,bitIndex53) ) )).

fof(addAssignment_6656,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex53)
    <=> v13546(VarCurr,bitIndex53) ) )).

fof(addAssignment_6655,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex53)
    <=> v13548(VarCurr,bitIndex53) ) )).

fof(addAssignment_6654,axiom,(
    ! [VarCurr] :
      ( v16749(VarCurr)
    <=> $false ) )).

fof(addAssignment_6653,axiom,(
    ! [VarCurr] :
      ( v16747(VarCurr)
    <=> $false ) )).

fof(addAssignment_6652,axiom,(
    ! [VarCurr] :
      ( v16745(VarCurr)
    <=> $true ) )).

fof(addAssignment_6651,axiom,(
    ! [VarCurr] :
      ( v16743(VarCurr)
    <=> $false ) )).

fof(addAssignment_6650,axiom,(
    ! [VarCurr] :
      ( v16741(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16694(VarNext)
       => ( v16663(VarNext)
        <=> v16663(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_221,axiom,(
    ! [VarNext] :
      ( v16694(VarNext)
     => ( v16663(VarNext)
      <=> v16729(VarNext) ) ) )).

fof(addAssignment_6649,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16729(VarNext)
      <=> v16727(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_342,axiom,(
    ! [VarCurr] :
      ( ~ v16665(VarCurr)
     => ( v16727(VarCurr)
      <=> v16730(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_342,axiom,(
    ! [VarCurr] :
      ( v16665(VarCurr)
     => ( v16727(VarCurr)
      <=> v16667(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_341,axiom,(
    ! [VarCurr] :
      ( ~ v16707(VarCurr)
     => ( v16730(VarCurr)
      <=> v16689(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_341,axiom,(
    ! [VarCurr] :
      ( v16707(VarCurr)
     => ( v16730(VarCurr)
      <=> v16731(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_96,axiom,(
    ! [VarCurr] :
      ( ( ~ v16710(VarCurr)
        & ~ v16712(VarCurr) )
     => ( v16731(VarCurr)
      <=> v16735(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_340,axiom,(
    ! [VarCurr] :
      ( v16712(VarCurr)
     => ( v16731(VarCurr)
      <=> v16734(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_340,axiom,(
    ! [VarCurr] :
      ( v16710(VarCurr)
     => ( v16731(VarCurr)
      <=> v16732(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_339,axiom,(
    ! [VarCurr] :
      ( ~ v16720(VarCurr)
     => ( v16735(VarCurr)
      <=> v16689(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_339,axiom,(
    ! [VarCurr] :
      ( v16720(VarCurr)
     => ( v16735(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_338,axiom,(
    ! [VarCurr] :
      ( ~ v16714(VarCurr)
     => ( v16734(VarCurr)
      <=> v16689(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_338,axiom,(
    ! [VarCurr] :
      ( v16714(VarCurr)
     => ( v16734(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_317,axiom,(
    ! [VarCurr] :
      ( ~ v16733(VarCurr)
     => ( v16732(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_257,axiom,(
    ! [VarCurr] :
      ( v16733(VarCurr)
     => ( v16732(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1101,axiom,(
    ! [VarCurr] :
      ( v16733(VarCurr)
    <=> ( v16675(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3868,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16694(VarNext)
      <=> ( v16695(VarNext)
          & v16704(VarNext) ) ) ) )).

fof(addAssignment_6648,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16704(VarNext)
      <=> v16702(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3867,axiom,(
    ! [VarCurr] :
      ( v16702(VarCurr)
    <=> ( v16665(VarCurr)
        | v16705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3866,axiom,(
    ! [VarCurr] :
      ( v16705(VarCurr)
    <=> ( v16706(VarCurr)
        & v16726(VarCurr) ) ) )).

fof(writeUnaryOperator_2025,axiom,(
    ! [VarCurr] :
      ( ~ v16726(VarCurr)
    <=> v16665(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3865,axiom,(
    ! [VarCurr] :
      ( v16706(VarCurr)
    <=> ( v16707(VarCurr)
        | v16724(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3864,axiom,(
    ! [VarCurr] :
      ( v16724(VarCurr)
    <=> ( v16685(VarCurr)
        & v16725(VarCurr) ) ) )).

fof(writeUnaryOperator_2024,axiom,(
    ! [VarCurr] :
      ( ~ v16725(VarCurr)
    <=> v16687(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3863,axiom,(
    ! [VarCurr] :
      ( v16707(VarCurr)
    <=> ( v16708(VarCurr)
        & v16687(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3862,axiom,(
    ! [VarCurr] :
      ( v16708(VarCurr)
    <=> ( v16709(VarCurr)
        | v16718(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3861,axiom,(
    ! [VarCurr] :
      ( v16718(VarCurr)
    <=> ( v16719(VarCurr)
        & v16723(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1100,axiom,(
    ! [VarCurr] :
      ( v16723(VarCurr)
    <=> ( ( v16711(VarCurr,bitIndex2)
        <=> $false )
        & ( v16711(VarCurr,bitIndex1)
        <=> $false )
        & ( v16711(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3860,axiom,(
    ! [VarCurr] :
      ( v16719(VarCurr)
    <=> ( v16720(VarCurr)
        | v16721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3859,axiom,(
    ! [VarCurr] :
      ( v16721(VarCurr)
    <=> ( v16685(VarCurr)
        & v16722(VarCurr) ) ) )).

fof(writeUnaryOperator_2023,axiom,(
    ! [VarCurr] :
      ( ~ v16722(VarCurr)
    <=> v16720(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1099,axiom,(
    ! [VarCurr] :
      ( v16720(VarCurr)
    <=> ( v16675(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3858,axiom,(
    ! [VarCurr] :
      ( v16709(VarCurr)
    <=> ( v16710(VarCurr)
        | v16712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3857,axiom,(
    ! [VarCurr] :
      ( v16712(VarCurr)
    <=> ( v16713(VarCurr)
        & v16717(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1098,axiom,(
    ! [VarCurr] :
      ( v16717(VarCurr)
    <=> ( ( v16711(VarCurr,bitIndex2)
        <=> $false )
        & ( v16711(VarCurr,bitIndex1)
        <=> $true )
        & ( v16711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3856,axiom,(
    ! [VarCurr] :
      ( v16713(VarCurr)
    <=> ( v16714(VarCurr)
        | v16715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3855,axiom,(
    ! [VarCurr] :
      ( v16715(VarCurr)
    <=> ( v16685(VarCurr)
        & v16716(VarCurr) ) ) )).

fof(writeUnaryOperator_2022,axiom,(
    ! [VarCurr] :
      ( ~ v16716(VarCurr)
    <=> v16714(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1097,axiom,(
    ! [VarCurr] :
      ( v16714(VarCurr)
    <=> ( v16675(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1096,axiom,(
    ! [VarCurr] :
      ( v16710(VarCurr)
    <=> ( ( v16711(VarCurr,bitIndex2)
        <=> $true )
        & ( v16711(VarCurr,bitIndex1)
        <=> $false )
        & ( v16711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6647,axiom,(
    ! [VarCurr] :
      ( v16711(VarCurr,bitIndex0)
    <=> v16673(VarCurr) ) )).

fof(addAssignment_6646,axiom,(
    ! [VarCurr] :
      ( v16711(VarCurr,bitIndex1)
    <=> v16671(VarCurr) ) )).

fof(addAssignment_6645,axiom,(
    ! [VarCurr] :
      ( v16711(VarCurr,bitIndex2)
    <=> v16669(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3854,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16695(VarNext)
      <=> ( v16696(VarNext)
          & v16691(VarNext) ) ) ) )).

fof(writeUnaryOperator_2021,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16696(VarNext)
      <=> v16698(VarNext) ) ) )).

fof(addAssignment_6644,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16698(VarNext)
      <=> v16691(VarCurr) ) ) )).

fof(addAssignment_6643,axiom,(
    ! [VarCurr] :
      ( v16691(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6642,axiom,(
    ! [VarCurr] :
      ( v16689(VarCurr)
    <=> $false ) )).

fof(addAssignment_6641,axiom,(
    ! [VarCurr] :
      ( v16687(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6640,axiom,(
    ! [VarCurr] :
      ( v16685(VarCurr)
    <=> $false ) )).

fof(addAssignment_6639,axiom,(
    ! [VarCurr] :
      ( v16675(VarCurr)
    <=> v13838(VarCurr,bitIndex52) ) )).

fof(addAssignment_6638,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex52)
    <=> v13840(VarCurr,bitIndex52) ) )).

fof(addAssignment_6637,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex52)
    <=> v3822(VarCurr,bitIndex52) ) )).

fof(addAssignment_6636,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex52)
    <=> v3824(VarCurr,bitIndex52) ) )).

fof(addAssignment_6635,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex52)
    <=> v3826(VarCurr,bitIndex52) ) )).

fof(addAssignment_6634,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex52)
    <=> v3828(VarCurr,bitIndex52) ) )).

fof(addAssignment_6633,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex52)
    <=> v3830(VarCurr,bitIndex52) ) )).

fof(addAssignment_6632,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex52)
    <=> v3832(VarCurr,bitIndex52) ) )).

fof(addAssignment_6631,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex52)
    <=> v3834(VarCurr,bitIndex52) ) )).

fof(addAssignment_6630,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex52)
    <=> v16677(VarNext,bitIndex52) ) )).

fof(addCaseBooleanConditionEqualRanges1_198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16678(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16677(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_220,axiom,(
    ! [VarNext] :
      ( v16678(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16677(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3853,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16678(VarNext)
      <=> v16679(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3852,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16679(VarNext)
      <=> ( v16681(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2020,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16681(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6629,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex52)
    <=> v13844(VarCurr,bitIndex52) ) )).

fof(addAssignment_6628,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex52)
    <=> v13846(VarCurr,bitIndex52) ) )).

fof(addAssignment_6627,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex52)
    <=> v13848(VarCurr,bitIndex52) ) )).

fof(addAssignment_6626,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex52)
    <=> v13850(VarCurr,bitIndex52) ) )).

fof(addAssignment_6625,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex52)
    <=> v13852(VarCurr,bitIndex52) ) )).

fof(addAssignment_6624,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex52)
    <=> v13538(VarCurr,bitIndex52) ) )).

fof(addAssignment_6623,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex52)
    <=> v13540(VarCurr,bitIndex52) ) )).

fof(addAssignment_6622,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex52)
    <=> v13542(VarCurr,bitIndex52) ) )).

fof(addAssignment_6621,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex52)
    <=> v13544(VarCurr,bitIndex52) ) )).

fof(addAssignment_6620,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex52)
    <=> v13546(VarCurr,bitIndex52) ) )).

fof(addAssignment_6619,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex52)
    <=> v13548(VarCurr,bitIndex52) ) )).

fof(addAssignment_6618,axiom,(
    ! [VarCurr] :
      ( v16673(VarCurr)
    <=> $false ) )).

fof(addAssignment_6617,axiom,(
    ! [VarCurr] :
      ( v16671(VarCurr)
    <=> $false ) )).

fof(addAssignment_6616,axiom,(
    ! [VarCurr] :
      ( v16669(VarCurr)
    <=> $true ) )).

fof(addAssignment_6615,axiom,(
    ! [VarCurr] :
      ( v16667(VarCurr)
    <=> $false ) )).

fof(addAssignment_6614,axiom,(
    ! [VarCurr] :
      ( v16665(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16618(VarNext)
       => ( v16587(VarNext)
        <=> v16587(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_219,axiom,(
    ! [VarNext] :
      ( v16618(VarNext)
     => ( v16587(VarNext)
      <=> v16653(VarNext) ) ) )).

fof(addAssignment_6613,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16653(VarNext)
      <=> v16651(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_337,axiom,(
    ! [VarCurr] :
      ( ~ v16589(VarCurr)
     => ( v16651(VarCurr)
      <=> v16654(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_337,axiom,(
    ! [VarCurr] :
      ( v16589(VarCurr)
     => ( v16651(VarCurr)
      <=> v16591(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_336,axiom,(
    ! [VarCurr] :
      ( ~ v16631(VarCurr)
     => ( v16654(VarCurr)
      <=> v16613(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_336,axiom,(
    ! [VarCurr] :
      ( v16631(VarCurr)
     => ( v16654(VarCurr)
      <=> v16655(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_95,axiom,(
    ! [VarCurr] :
      ( ( ~ v16634(VarCurr)
        & ~ v16636(VarCurr) )
     => ( v16655(VarCurr)
      <=> v16659(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_335,axiom,(
    ! [VarCurr] :
      ( v16636(VarCurr)
     => ( v16655(VarCurr)
      <=> v16658(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_335,axiom,(
    ! [VarCurr] :
      ( v16634(VarCurr)
     => ( v16655(VarCurr)
      <=> v16656(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_334,axiom,(
    ! [VarCurr] :
      ( ~ v16644(VarCurr)
     => ( v16659(VarCurr)
      <=> v16613(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_334,axiom,(
    ! [VarCurr] :
      ( v16644(VarCurr)
     => ( v16659(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_333,axiom,(
    ! [VarCurr] :
      ( ~ v16638(VarCurr)
     => ( v16658(VarCurr)
      <=> v16613(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_333,axiom,(
    ! [VarCurr] :
      ( v16638(VarCurr)
     => ( v16658(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_316,axiom,(
    ! [VarCurr] :
      ( ~ v16657(VarCurr)
     => ( v16656(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_256,axiom,(
    ! [VarCurr] :
      ( v16657(VarCurr)
     => ( v16656(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1095,axiom,(
    ! [VarCurr] :
      ( v16657(VarCurr)
    <=> ( v16599(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3851,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16618(VarNext)
      <=> ( v16619(VarNext)
          & v16628(VarNext) ) ) ) )).

fof(addAssignment_6612,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16628(VarNext)
      <=> v16626(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3850,axiom,(
    ! [VarCurr] :
      ( v16626(VarCurr)
    <=> ( v16589(VarCurr)
        | v16629(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3849,axiom,(
    ! [VarCurr] :
      ( v16629(VarCurr)
    <=> ( v16630(VarCurr)
        & v16650(VarCurr) ) ) )).

fof(writeUnaryOperator_2019,axiom,(
    ! [VarCurr] :
      ( ~ v16650(VarCurr)
    <=> v16589(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3848,axiom,(
    ! [VarCurr] :
      ( v16630(VarCurr)
    <=> ( v16631(VarCurr)
        | v16648(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3847,axiom,(
    ! [VarCurr] :
      ( v16648(VarCurr)
    <=> ( v16609(VarCurr)
        & v16649(VarCurr) ) ) )).

fof(writeUnaryOperator_2018,axiom,(
    ! [VarCurr] :
      ( ~ v16649(VarCurr)
    <=> v16611(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3846,axiom,(
    ! [VarCurr] :
      ( v16631(VarCurr)
    <=> ( v16632(VarCurr)
        & v16611(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3845,axiom,(
    ! [VarCurr] :
      ( v16632(VarCurr)
    <=> ( v16633(VarCurr)
        | v16642(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3844,axiom,(
    ! [VarCurr] :
      ( v16642(VarCurr)
    <=> ( v16643(VarCurr)
        & v16647(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1094,axiom,(
    ! [VarCurr] :
      ( v16647(VarCurr)
    <=> ( ( v16635(VarCurr,bitIndex2)
        <=> $false )
        & ( v16635(VarCurr,bitIndex1)
        <=> $false )
        & ( v16635(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3843,axiom,(
    ! [VarCurr] :
      ( v16643(VarCurr)
    <=> ( v16644(VarCurr)
        | v16645(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3842,axiom,(
    ! [VarCurr] :
      ( v16645(VarCurr)
    <=> ( v16609(VarCurr)
        & v16646(VarCurr) ) ) )).

fof(writeUnaryOperator_2017,axiom,(
    ! [VarCurr] :
      ( ~ v16646(VarCurr)
    <=> v16644(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1093,axiom,(
    ! [VarCurr] :
      ( v16644(VarCurr)
    <=> ( v16599(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3841,axiom,(
    ! [VarCurr] :
      ( v16633(VarCurr)
    <=> ( v16634(VarCurr)
        | v16636(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3840,axiom,(
    ! [VarCurr] :
      ( v16636(VarCurr)
    <=> ( v16637(VarCurr)
        & v16641(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1092,axiom,(
    ! [VarCurr] :
      ( v16641(VarCurr)
    <=> ( ( v16635(VarCurr,bitIndex2)
        <=> $false )
        & ( v16635(VarCurr,bitIndex1)
        <=> $true )
        & ( v16635(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3839,axiom,(
    ! [VarCurr] :
      ( v16637(VarCurr)
    <=> ( v16638(VarCurr)
        | v16639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3838,axiom,(
    ! [VarCurr] :
      ( v16639(VarCurr)
    <=> ( v16609(VarCurr)
        & v16640(VarCurr) ) ) )).

fof(writeUnaryOperator_2016,axiom,(
    ! [VarCurr] :
      ( ~ v16640(VarCurr)
    <=> v16638(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1091,axiom,(
    ! [VarCurr] :
      ( v16638(VarCurr)
    <=> ( v16599(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1090,axiom,(
    ! [VarCurr] :
      ( v16634(VarCurr)
    <=> ( ( v16635(VarCurr,bitIndex2)
        <=> $true )
        & ( v16635(VarCurr,bitIndex1)
        <=> $false )
        & ( v16635(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6611,axiom,(
    ! [VarCurr] :
      ( v16635(VarCurr,bitIndex0)
    <=> v16597(VarCurr) ) )).

fof(addAssignment_6610,axiom,(
    ! [VarCurr] :
      ( v16635(VarCurr,bitIndex1)
    <=> v16595(VarCurr) ) )).

fof(addAssignment_6609,axiom,(
    ! [VarCurr] :
      ( v16635(VarCurr,bitIndex2)
    <=> v16593(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3837,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16619(VarNext)
      <=> ( v16620(VarNext)
          & v16615(VarNext) ) ) ) )).

fof(writeUnaryOperator_2015,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16620(VarNext)
      <=> v16622(VarNext) ) ) )).

fof(addAssignment_6608,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16622(VarNext)
      <=> v16615(VarCurr) ) ) )).

fof(addAssignment_6607,axiom,(
    ! [VarCurr] :
      ( v16615(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6606,axiom,(
    ! [VarCurr] :
      ( v16613(VarCurr)
    <=> $false ) )).

fof(addAssignment_6605,axiom,(
    ! [VarCurr] :
      ( v16611(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6604,axiom,(
    ! [VarCurr] :
      ( v16609(VarCurr)
    <=> $false ) )).

fof(addAssignment_6603,axiom,(
    ! [VarCurr] :
      ( v16599(VarCurr)
    <=> v13838(VarCurr,bitIndex51) ) )).

fof(addAssignment_6602,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex51)
    <=> v13840(VarCurr,bitIndex51) ) )).

fof(addAssignment_6601,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex51)
    <=> v3822(VarCurr,bitIndex51) ) )).

fof(addAssignment_6600,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex51)
    <=> v3824(VarCurr,bitIndex51) ) )).

fof(addAssignment_6599,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex51)
    <=> v3826(VarCurr,bitIndex51) ) )).

fof(addAssignment_6598,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex51)
    <=> v3828(VarCurr,bitIndex51) ) )).

fof(addAssignment_6597,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex51)
    <=> v3830(VarCurr,bitIndex51) ) )).

fof(addAssignment_6596,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex51)
    <=> v3832(VarCurr,bitIndex51) ) )).

fof(addAssignment_6595,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex51)
    <=> v3834(VarCurr,bitIndex51) ) )).

fof(addAssignment_6594,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex51)
    <=> v16601(VarNext,bitIndex51) ) )).

fof(addCaseBooleanConditionEqualRanges1_196,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16602(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16601(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_218,axiom,(
    ! [VarNext] :
      ( v16602(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16601(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3836,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16602(VarNext)
      <=> v16603(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3835,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16603(VarNext)
      <=> ( v16605(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2014,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16605(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6593,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex51)
    <=> v13844(VarCurr,bitIndex51) ) )).

fof(addAssignment_6592,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex51)
    <=> v13846(VarCurr,bitIndex51) ) )).

fof(addAssignment_6591,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex51)
    <=> v13848(VarCurr,bitIndex51) ) )).

fof(addAssignment_6590,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex51)
    <=> v13850(VarCurr,bitIndex51) ) )).

fof(addAssignment_6589,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex51)
    <=> v13852(VarCurr,bitIndex51) ) )).

fof(addAssignment_6588,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex51)
    <=> v13538(VarCurr,bitIndex51) ) )).

fof(addAssignment_6587,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex51)
    <=> v13540(VarCurr,bitIndex51) ) )).

fof(addAssignment_6586,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex51)
    <=> v13542(VarCurr,bitIndex51) ) )).

fof(addAssignment_6585,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex51)
    <=> v13544(VarCurr,bitIndex51) ) )).

fof(addAssignment_6584,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex51)
    <=> v13546(VarCurr,bitIndex51) ) )).

fof(addAssignment_6583,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex51)
    <=> v13548(VarCurr,bitIndex51) ) )).

fof(addAssignment_6582,axiom,(
    ! [VarCurr] :
      ( v16597(VarCurr)
    <=> $false ) )).

fof(addAssignment_6581,axiom,(
    ! [VarCurr] :
      ( v16595(VarCurr)
    <=> $false ) )).

fof(addAssignment_6580,axiom,(
    ! [VarCurr] :
      ( v16593(VarCurr)
    <=> $true ) )).

fof(addAssignment_6579,axiom,(
    ! [VarCurr] :
      ( v16591(VarCurr)
    <=> $false ) )).

fof(addAssignment_6578,axiom,(
    ! [VarCurr] :
      ( v16589(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_195,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16542(VarNext)
       => ( v16511(VarNext)
        <=> v16511(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_217,axiom,(
    ! [VarNext] :
      ( v16542(VarNext)
     => ( v16511(VarNext)
      <=> v16577(VarNext) ) ) )).

fof(addAssignment_6577,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16577(VarNext)
      <=> v16575(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_332,axiom,(
    ! [VarCurr] :
      ( ~ v16513(VarCurr)
     => ( v16575(VarCurr)
      <=> v16578(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_332,axiom,(
    ! [VarCurr] :
      ( v16513(VarCurr)
     => ( v16575(VarCurr)
      <=> v16515(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_331,axiom,(
    ! [VarCurr] :
      ( ~ v16555(VarCurr)
     => ( v16578(VarCurr)
      <=> v16537(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_331,axiom,(
    ! [VarCurr] :
      ( v16555(VarCurr)
     => ( v16578(VarCurr)
      <=> v16579(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_94,axiom,(
    ! [VarCurr] :
      ( ( ~ v16558(VarCurr)
        & ~ v16560(VarCurr) )
     => ( v16579(VarCurr)
      <=> v16583(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_330,axiom,(
    ! [VarCurr] :
      ( v16560(VarCurr)
     => ( v16579(VarCurr)
      <=> v16582(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_330,axiom,(
    ! [VarCurr] :
      ( v16558(VarCurr)
     => ( v16579(VarCurr)
      <=> v16580(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_329,axiom,(
    ! [VarCurr] :
      ( ~ v16568(VarCurr)
     => ( v16583(VarCurr)
      <=> v16537(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_329,axiom,(
    ! [VarCurr] :
      ( v16568(VarCurr)
     => ( v16583(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_328,axiom,(
    ! [VarCurr] :
      ( ~ v16562(VarCurr)
     => ( v16582(VarCurr)
      <=> v16537(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_328,axiom,(
    ! [VarCurr] :
      ( v16562(VarCurr)
     => ( v16582(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_315,axiom,(
    ! [VarCurr] :
      ( ~ v16581(VarCurr)
     => ( v16580(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_255,axiom,(
    ! [VarCurr] :
      ( v16581(VarCurr)
     => ( v16580(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1089,axiom,(
    ! [VarCurr] :
      ( v16581(VarCurr)
    <=> ( v16523(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3834,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16542(VarNext)
      <=> ( v16543(VarNext)
          & v16552(VarNext) ) ) ) )).

fof(addAssignment_6576,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16552(VarNext)
      <=> v16550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3833,axiom,(
    ! [VarCurr] :
      ( v16550(VarCurr)
    <=> ( v16513(VarCurr)
        | v16553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3832,axiom,(
    ! [VarCurr] :
      ( v16553(VarCurr)
    <=> ( v16554(VarCurr)
        & v16574(VarCurr) ) ) )).

fof(writeUnaryOperator_2013,axiom,(
    ! [VarCurr] :
      ( ~ v16574(VarCurr)
    <=> v16513(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3831,axiom,(
    ! [VarCurr] :
      ( v16554(VarCurr)
    <=> ( v16555(VarCurr)
        | v16572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3830,axiom,(
    ! [VarCurr] :
      ( v16572(VarCurr)
    <=> ( v16533(VarCurr)
        & v16573(VarCurr) ) ) )).

fof(writeUnaryOperator_2012,axiom,(
    ! [VarCurr] :
      ( ~ v16573(VarCurr)
    <=> v16535(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3829,axiom,(
    ! [VarCurr] :
      ( v16555(VarCurr)
    <=> ( v16556(VarCurr)
        & v16535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3828,axiom,(
    ! [VarCurr] :
      ( v16556(VarCurr)
    <=> ( v16557(VarCurr)
        | v16566(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3827,axiom,(
    ! [VarCurr] :
      ( v16566(VarCurr)
    <=> ( v16567(VarCurr)
        & v16571(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1088,axiom,(
    ! [VarCurr] :
      ( v16571(VarCurr)
    <=> ( ( v16559(VarCurr,bitIndex2)
        <=> $false )
        & ( v16559(VarCurr,bitIndex1)
        <=> $false )
        & ( v16559(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3826,axiom,(
    ! [VarCurr] :
      ( v16567(VarCurr)
    <=> ( v16568(VarCurr)
        | v16569(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3825,axiom,(
    ! [VarCurr] :
      ( v16569(VarCurr)
    <=> ( v16533(VarCurr)
        & v16570(VarCurr) ) ) )).

fof(writeUnaryOperator_2011,axiom,(
    ! [VarCurr] :
      ( ~ v16570(VarCurr)
    <=> v16568(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1087,axiom,(
    ! [VarCurr] :
      ( v16568(VarCurr)
    <=> ( v16523(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3824,axiom,(
    ! [VarCurr] :
      ( v16557(VarCurr)
    <=> ( v16558(VarCurr)
        | v16560(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3823,axiom,(
    ! [VarCurr] :
      ( v16560(VarCurr)
    <=> ( v16561(VarCurr)
        & v16565(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1086,axiom,(
    ! [VarCurr] :
      ( v16565(VarCurr)
    <=> ( ( v16559(VarCurr,bitIndex2)
        <=> $false )
        & ( v16559(VarCurr,bitIndex1)
        <=> $true )
        & ( v16559(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3822,axiom,(
    ! [VarCurr] :
      ( v16561(VarCurr)
    <=> ( v16562(VarCurr)
        | v16563(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3821,axiom,(
    ! [VarCurr] :
      ( v16563(VarCurr)
    <=> ( v16533(VarCurr)
        & v16564(VarCurr) ) ) )).

fof(writeUnaryOperator_2010,axiom,(
    ! [VarCurr] :
      ( ~ v16564(VarCurr)
    <=> v16562(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1085,axiom,(
    ! [VarCurr] :
      ( v16562(VarCurr)
    <=> ( v16523(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1084,axiom,(
    ! [VarCurr] :
      ( v16558(VarCurr)
    <=> ( ( v16559(VarCurr,bitIndex2)
        <=> $true )
        & ( v16559(VarCurr,bitIndex1)
        <=> $false )
        & ( v16559(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6575,axiom,(
    ! [VarCurr] :
      ( v16559(VarCurr,bitIndex0)
    <=> v16521(VarCurr) ) )).

fof(addAssignment_6574,axiom,(
    ! [VarCurr] :
      ( v16559(VarCurr,bitIndex1)
    <=> v16519(VarCurr) ) )).

fof(addAssignment_6573,axiom,(
    ! [VarCurr] :
      ( v16559(VarCurr,bitIndex2)
    <=> v16517(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3820,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16543(VarNext)
      <=> ( v16544(VarNext)
          & v16539(VarNext) ) ) ) )).

fof(writeUnaryOperator_2009,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16544(VarNext)
      <=> v16546(VarNext) ) ) )).

fof(addAssignment_6572,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16546(VarNext)
      <=> v16539(VarCurr) ) ) )).

fof(addAssignment_6571,axiom,(
    ! [VarCurr] :
      ( v16539(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6570,axiom,(
    ! [VarCurr] :
      ( v16537(VarCurr)
    <=> $false ) )).

fof(addAssignment_6569,axiom,(
    ! [VarCurr] :
      ( v16535(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6568,axiom,(
    ! [VarCurr] :
      ( v16533(VarCurr)
    <=> $false ) )).

fof(addAssignment_6567,axiom,(
    ! [VarCurr] :
      ( v16523(VarCurr)
    <=> v13838(VarCurr,bitIndex50) ) )).

fof(addAssignment_6566,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex50)
    <=> v13840(VarCurr,bitIndex50) ) )).

fof(addAssignment_6565,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex50)
    <=> v3822(VarCurr,bitIndex50) ) )).

fof(addAssignment_6564,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex50)
    <=> v3824(VarCurr,bitIndex50) ) )).

fof(addAssignment_6563,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex50)
    <=> v3826(VarCurr,bitIndex50) ) )).

fof(addAssignment_6562,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex50)
    <=> v3828(VarCurr,bitIndex50) ) )).

fof(addAssignment_6561,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex50)
    <=> v3830(VarCurr,bitIndex50) ) )).

fof(addAssignment_6560,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex50)
    <=> v3832(VarCurr,bitIndex50) ) )).

fof(addAssignment_6559,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex50)
    <=> v3834(VarCurr,bitIndex50) ) )).

fof(addAssignment_6558,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex50)
    <=> v16525(VarNext,bitIndex50) ) )).

fof(addCaseBooleanConditionEqualRanges1_194,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16526(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16525(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_216,axiom,(
    ! [VarNext] :
      ( v16526(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16525(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3819,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16526(VarNext)
      <=> v16527(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3818,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16527(VarNext)
      <=> ( v16529(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2008,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16529(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6557,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex50)
    <=> v13844(VarCurr,bitIndex50) ) )).

fof(addAssignment_6556,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex50)
    <=> v13846(VarCurr,bitIndex50) ) )).

fof(addAssignment_6555,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex50)
    <=> v13848(VarCurr,bitIndex50) ) )).

fof(addAssignment_6554,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex50)
    <=> v13850(VarCurr,bitIndex50) ) )).

fof(addAssignment_6553,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex50)
    <=> v13852(VarCurr,bitIndex50) ) )).

fof(addAssignment_6552,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex50)
    <=> v13538(VarCurr,bitIndex50) ) )).

fof(addAssignment_6551,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex50)
    <=> v13540(VarCurr,bitIndex50) ) )).

fof(addAssignment_6550,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex50)
    <=> v13542(VarCurr,bitIndex50) ) )).

fof(addAssignment_6549,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex50)
    <=> v13544(VarCurr,bitIndex50) ) )).

fof(addAssignment_6548,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex50)
    <=> v13546(VarCurr,bitIndex50) ) )).

fof(addAssignment_6547,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex50)
    <=> v13548(VarCurr,bitIndex50) ) )).

fof(addAssignment_6546,axiom,(
    ! [VarCurr] :
      ( v16521(VarCurr)
    <=> $false ) )).

fof(addAssignment_6545,axiom,(
    ! [VarCurr] :
      ( v16519(VarCurr)
    <=> $false ) )).

fof(addAssignment_6544,axiom,(
    ! [VarCurr] :
      ( v16517(VarCurr)
    <=> $true ) )).

fof(addAssignment_6543,axiom,(
    ! [VarCurr] :
      ( v16515(VarCurr)
    <=> $false ) )).

fof(addAssignment_6542,axiom,(
    ! [VarCurr] :
      ( v16513(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_193,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16466(VarNext)
       => ( v16435(VarNext)
        <=> v16435(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_215,axiom,(
    ! [VarNext] :
      ( v16466(VarNext)
     => ( v16435(VarNext)
      <=> v16501(VarNext) ) ) )).

fof(addAssignment_6541,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16501(VarNext)
      <=> v16499(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_327,axiom,(
    ! [VarCurr] :
      ( ~ v16437(VarCurr)
     => ( v16499(VarCurr)
      <=> v16502(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_327,axiom,(
    ! [VarCurr] :
      ( v16437(VarCurr)
     => ( v16499(VarCurr)
      <=> v16439(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_326,axiom,(
    ! [VarCurr] :
      ( ~ v16479(VarCurr)
     => ( v16502(VarCurr)
      <=> v16461(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_326,axiom,(
    ! [VarCurr] :
      ( v16479(VarCurr)
     => ( v16502(VarCurr)
      <=> v16503(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_93,axiom,(
    ! [VarCurr] :
      ( ( ~ v16482(VarCurr)
        & ~ v16484(VarCurr) )
     => ( v16503(VarCurr)
      <=> v16507(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_325,axiom,(
    ! [VarCurr] :
      ( v16484(VarCurr)
     => ( v16503(VarCurr)
      <=> v16506(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_325,axiom,(
    ! [VarCurr] :
      ( v16482(VarCurr)
     => ( v16503(VarCurr)
      <=> v16504(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_324,axiom,(
    ! [VarCurr] :
      ( ~ v16492(VarCurr)
     => ( v16507(VarCurr)
      <=> v16461(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_324,axiom,(
    ! [VarCurr] :
      ( v16492(VarCurr)
     => ( v16507(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_323,axiom,(
    ! [VarCurr] :
      ( ~ v16486(VarCurr)
     => ( v16506(VarCurr)
      <=> v16461(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_323,axiom,(
    ! [VarCurr] :
      ( v16486(VarCurr)
     => ( v16506(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_314,axiom,(
    ! [VarCurr] :
      ( ~ v16505(VarCurr)
     => ( v16504(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_254,axiom,(
    ! [VarCurr] :
      ( v16505(VarCurr)
     => ( v16504(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1083,axiom,(
    ! [VarCurr] :
      ( v16505(VarCurr)
    <=> ( v16447(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3817,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16466(VarNext)
      <=> ( v16467(VarNext)
          & v16476(VarNext) ) ) ) )).

fof(addAssignment_6540,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16476(VarNext)
      <=> v16474(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3816,axiom,(
    ! [VarCurr] :
      ( v16474(VarCurr)
    <=> ( v16437(VarCurr)
        | v16477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3815,axiom,(
    ! [VarCurr] :
      ( v16477(VarCurr)
    <=> ( v16478(VarCurr)
        & v16498(VarCurr) ) ) )).

fof(writeUnaryOperator_2007,axiom,(
    ! [VarCurr] :
      ( ~ v16498(VarCurr)
    <=> v16437(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3814,axiom,(
    ! [VarCurr] :
      ( v16478(VarCurr)
    <=> ( v16479(VarCurr)
        | v16496(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3813,axiom,(
    ! [VarCurr] :
      ( v16496(VarCurr)
    <=> ( v16457(VarCurr)
        & v16497(VarCurr) ) ) )).

fof(writeUnaryOperator_2006,axiom,(
    ! [VarCurr] :
      ( ~ v16497(VarCurr)
    <=> v16459(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3812,axiom,(
    ! [VarCurr] :
      ( v16479(VarCurr)
    <=> ( v16480(VarCurr)
        & v16459(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3811,axiom,(
    ! [VarCurr] :
      ( v16480(VarCurr)
    <=> ( v16481(VarCurr)
        | v16490(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3810,axiom,(
    ! [VarCurr] :
      ( v16490(VarCurr)
    <=> ( v16491(VarCurr)
        & v16495(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1082,axiom,(
    ! [VarCurr] :
      ( v16495(VarCurr)
    <=> ( ( v16483(VarCurr,bitIndex2)
        <=> $false )
        & ( v16483(VarCurr,bitIndex1)
        <=> $false )
        & ( v16483(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3809,axiom,(
    ! [VarCurr] :
      ( v16491(VarCurr)
    <=> ( v16492(VarCurr)
        | v16493(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3808,axiom,(
    ! [VarCurr] :
      ( v16493(VarCurr)
    <=> ( v16457(VarCurr)
        & v16494(VarCurr) ) ) )).

fof(writeUnaryOperator_2005,axiom,(
    ! [VarCurr] :
      ( ~ v16494(VarCurr)
    <=> v16492(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1081,axiom,(
    ! [VarCurr] :
      ( v16492(VarCurr)
    <=> ( v16447(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3807,axiom,(
    ! [VarCurr] :
      ( v16481(VarCurr)
    <=> ( v16482(VarCurr)
        | v16484(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3806,axiom,(
    ! [VarCurr] :
      ( v16484(VarCurr)
    <=> ( v16485(VarCurr)
        & v16489(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1080,axiom,(
    ! [VarCurr] :
      ( v16489(VarCurr)
    <=> ( ( v16483(VarCurr,bitIndex2)
        <=> $false )
        & ( v16483(VarCurr,bitIndex1)
        <=> $true )
        & ( v16483(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3805,axiom,(
    ! [VarCurr] :
      ( v16485(VarCurr)
    <=> ( v16486(VarCurr)
        | v16487(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3804,axiom,(
    ! [VarCurr] :
      ( v16487(VarCurr)
    <=> ( v16457(VarCurr)
        & v16488(VarCurr) ) ) )).

fof(writeUnaryOperator_2004,axiom,(
    ! [VarCurr] :
      ( ~ v16488(VarCurr)
    <=> v16486(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1079,axiom,(
    ! [VarCurr] :
      ( v16486(VarCurr)
    <=> ( v16447(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1078,axiom,(
    ! [VarCurr] :
      ( v16482(VarCurr)
    <=> ( ( v16483(VarCurr,bitIndex2)
        <=> $true )
        & ( v16483(VarCurr,bitIndex1)
        <=> $false )
        & ( v16483(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6539,axiom,(
    ! [VarCurr] :
      ( v16483(VarCurr,bitIndex0)
    <=> v16445(VarCurr) ) )).

fof(addAssignment_6538,axiom,(
    ! [VarCurr] :
      ( v16483(VarCurr,bitIndex1)
    <=> v16443(VarCurr) ) )).

fof(addAssignment_6537,axiom,(
    ! [VarCurr] :
      ( v16483(VarCurr,bitIndex2)
    <=> v16441(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3803,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16467(VarNext)
      <=> ( v16468(VarNext)
          & v16463(VarNext) ) ) ) )).

fof(writeUnaryOperator_2003,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16468(VarNext)
      <=> v16470(VarNext) ) ) )).

fof(addAssignment_6536,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16470(VarNext)
      <=> v16463(VarCurr) ) ) )).

fof(addAssignment_6535,axiom,(
    ! [VarCurr] :
      ( v16463(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6534,axiom,(
    ! [VarCurr] :
      ( v16461(VarCurr)
    <=> $false ) )).

fof(addAssignment_6533,axiom,(
    ! [VarCurr] :
      ( v16459(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6532,axiom,(
    ! [VarCurr] :
      ( v16457(VarCurr)
    <=> $false ) )).

fof(addAssignment_6531,axiom,(
    ! [VarCurr] :
      ( v16447(VarCurr)
    <=> v13838(VarCurr,bitIndex49) ) )).

fof(addAssignment_6530,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex49)
    <=> v13840(VarCurr,bitIndex49) ) )).

fof(addAssignment_6529,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex49)
    <=> v3822(VarCurr,bitIndex49) ) )).

fof(addAssignment_6528,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex49)
    <=> v3824(VarCurr,bitIndex49) ) )).

fof(addAssignment_6527,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex49)
    <=> v3826(VarCurr,bitIndex49) ) )).

fof(addAssignment_6526,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex49)
    <=> v3828(VarCurr,bitIndex49) ) )).

fof(addAssignment_6525,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex49)
    <=> v3830(VarCurr,bitIndex49) ) )).

fof(addAssignment_6524,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex49)
    <=> v3832(VarCurr,bitIndex49) ) )).

fof(addAssignment_6523,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex49)
    <=> v3834(VarCurr,bitIndex49) ) )).

fof(addAssignment_6522,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex49)
    <=> v16449(VarNext,bitIndex49) ) )).

fof(addCaseBooleanConditionEqualRanges1_192,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16450(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16449(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_214,axiom,(
    ! [VarNext] :
      ( v16450(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16449(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3802,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16450(VarNext)
      <=> v16451(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3801,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16451(VarNext)
      <=> ( v16453(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_2002,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16453(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6521,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex49)
    <=> v13844(VarCurr,bitIndex49) ) )).

fof(addAssignment_6520,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex49)
    <=> v13846(VarCurr,bitIndex49) ) )).

fof(addAssignment_6519,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex49)
    <=> v13848(VarCurr,bitIndex49) ) )).

fof(addAssignment_6518,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex49)
    <=> v13850(VarCurr,bitIndex49) ) )).

fof(addAssignment_6517,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex49)
    <=> v13852(VarCurr,bitIndex49) ) )).

fof(addAssignment_6516,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex49)
    <=> v13538(VarCurr,bitIndex49) ) )).

fof(addAssignment_6515,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex49)
    <=> v13540(VarCurr,bitIndex49) ) )).

fof(addAssignment_6514,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex49)
    <=> v13542(VarCurr,bitIndex49) ) )).

fof(addAssignment_6513,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex49)
    <=> v13544(VarCurr,bitIndex49) ) )).

fof(addAssignment_6512,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex49)
    <=> v13546(VarCurr,bitIndex49) ) )).

fof(addAssignment_6511,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex49)
    <=> v13548(VarCurr,bitIndex49) ) )).

fof(addAssignment_6510,axiom,(
    ! [VarCurr] :
      ( v16445(VarCurr)
    <=> $false ) )).

fof(addAssignment_6509,axiom,(
    ! [VarCurr] :
      ( v16443(VarCurr)
    <=> $false ) )).

fof(addAssignment_6508,axiom,(
    ! [VarCurr] :
      ( v16441(VarCurr)
    <=> $true ) )).

fof(addAssignment_6507,axiom,(
    ! [VarCurr] :
      ( v16439(VarCurr)
    <=> $false ) )).

fof(addAssignment_6506,axiom,(
    ! [VarCurr] :
      ( v16437(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_191,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16390(VarNext)
       => ( v16359(VarNext)
        <=> v16359(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_213,axiom,(
    ! [VarNext] :
      ( v16390(VarNext)
     => ( v16359(VarNext)
      <=> v16425(VarNext) ) ) )).

fof(addAssignment_6505,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16425(VarNext)
      <=> v16423(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_322,axiom,(
    ! [VarCurr] :
      ( ~ v16361(VarCurr)
     => ( v16423(VarCurr)
      <=> v16426(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_322,axiom,(
    ! [VarCurr] :
      ( v16361(VarCurr)
     => ( v16423(VarCurr)
      <=> v16363(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_321,axiom,(
    ! [VarCurr] :
      ( ~ v16403(VarCurr)
     => ( v16426(VarCurr)
      <=> v16385(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_321,axiom,(
    ! [VarCurr] :
      ( v16403(VarCurr)
     => ( v16426(VarCurr)
      <=> v16427(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_92,axiom,(
    ! [VarCurr] :
      ( ( ~ v16406(VarCurr)
        & ~ v16408(VarCurr) )
     => ( v16427(VarCurr)
      <=> v16431(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_320,axiom,(
    ! [VarCurr] :
      ( v16408(VarCurr)
     => ( v16427(VarCurr)
      <=> v16430(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_320,axiom,(
    ! [VarCurr] :
      ( v16406(VarCurr)
     => ( v16427(VarCurr)
      <=> v16428(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_319,axiom,(
    ! [VarCurr] :
      ( ~ v16416(VarCurr)
     => ( v16431(VarCurr)
      <=> v16385(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_319,axiom,(
    ! [VarCurr] :
      ( v16416(VarCurr)
     => ( v16431(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_318,axiom,(
    ! [VarCurr] :
      ( ~ v16410(VarCurr)
     => ( v16430(VarCurr)
      <=> v16385(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_318,axiom,(
    ! [VarCurr] :
      ( v16410(VarCurr)
     => ( v16430(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_313,axiom,(
    ! [VarCurr] :
      ( ~ v16429(VarCurr)
     => ( v16428(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_253,axiom,(
    ! [VarCurr] :
      ( v16429(VarCurr)
     => ( v16428(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1077,axiom,(
    ! [VarCurr] :
      ( v16429(VarCurr)
    <=> ( v16371(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3800,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16390(VarNext)
      <=> ( v16391(VarNext)
          & v16400(VarNext) ) ) ) )).

fof(addAssignment_6504,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16400(VarNext)
      <=> v16398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3799,axiom,(
    ! [VarCurr] :
      ( v16398(VarCurr)
    <=> ( v16361(VarCurr)
        | v16401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3798,axiom,(
    ! [VarCurr] :
      ( v16401(VarCurr)
    <=> ( v16402(VarCurr)
        & v16422(VarCurr) ) ) )).

fof(writeUnaryOperator_2001,axiom,(
    ! [VarCurr] :
      ( ~ v16422(VarCurr)
    <=> v16361(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3797,axiom,(
    ! [VarCurr] :
      ( v16402(VarCurr)
    <=> ( v16403(VarCurr)
        | v16420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3796,axiom,(
    ! [VarCurr] :
      ( v16420(VarCurr)
    <=> ( v16381(VarCurr)
        & v16421(VarCurr) ) ) )).

fof(writeUnaryOperator_2000,axiom,(
    ! [VarCurr] :
      ( ~ v16421(VarCurr)
    <=> v16383(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3795,axiom,(
    ! [VarCurr] :
      ( v16403(VarCurr)
    <=> ( v16404(VarCurr)
        & v16383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3794,axiom,(
    ! [VarCurr] :
      ( v16404(VarCurr)
    <=> ( v16405(VarCurr)
        | v16414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3793,axiom,(
    ! [VarCurr] :
      ( v16414(VarCurr)
    <=> ( v16415(VarCurr)
        & v16419(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1076,axiom,(
    ! [VarCurr] :
      ( v16419(VarCurr)
    <=> ( ( v16407(VarCurr,bitIndex2)
        <=> $false )
        & ( v16407(VarCurr,bitIndex1)
        <=> $false )
        & ( v16407(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3792,axiom,(
    ! [VarCurr] :
      ( v16415(VarCurr)
    <=> ( v16416(VarCurr)
        | v16417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3791,axiom,(
    ! [VarCurr] :
      ( v16417(VarCurr)
    <=> ( v16381(VarCurr)
        & v16418(VarCurr) ) ) )).

fof(writeUnaryOperator_1999,axiom,(
    ! [VarCurr] :
      ( ~ v16418(VarCurr)
    <=> v16416(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1075,axiom,(
    ! [VarCurr] :
      ( v16416(VarCurr)
    <=> ( v16371(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3790,axiom,(
    ! [VarCurr] :
      ( v16405(VarCurr)
    <=> ( v16406(VarCurr)
        | v16408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3789,axiom,(
    ! [VarCurr] :
      ( v16408(VarCurr)
    <=> ( v16409(VarCurr)
        & v16413(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1074,axiom,(
    ! [VarCurr] :
      ( v16413(VarCurr)
    <=> ( ( v16407(VarCurr,bitIndex2)
        <=> $false )
        & ( v16407(VarCurr,bitIndex1)
        <=> $true )
        & ( v16407(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3788,axiom,(
    ! [VarCurr] :
      ( v16409(VarCurr)
    <=> ( v16410(VarCurr)
        | v16411(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3787,axiom,(
    ! [VarCurr] :
      ( v16411(VarCurr)
    <=> ( v16381(VarCurr)
        & v16412(VarCurr) ) ) )).

fof(writeUnaryOperator_1998,axiom,(
    ! [VarCurr] :
      ( ~ v16412(VarCurr)
    <=> v16410(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1073,axiom,(
    ! [VarCurr] :
      ( v16410(VarCurr)
    <=> ( v16371(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1072,axiom,(
    ! [VarCurr] :
      ( v16406(VarCurr)
    <=> ( ( v16407(VarCurr,bitIndex2)
        <=> $true )
        & ( v16407(VarCurr,bitIndex1)
        <=> $false )
        & ( v16407(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6503,axiom,(
    ! [VarCurr] :
      ( v16407(VarCurr,bitIndex0)
    <=> v16369(VarCurr) ) )).

fof(addAssignment_6502,axiom,(
    ! [VarCurr] :
      ( v16407(VarCurr,bitIndex1)
    <=> v16367(VarCurr) ) )).

fof(addAssignment_6501,axiom,(
    ! [VarCurr] :
      ( v16407(VarCurr,bitIndex2)
    <=> v16365(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3786,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16391(VarNext)
      <=> ( v16392(VarNext)
          & v16387(VarNext) ) ) ) )).

fof(writeUnaryOperator_1997,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16392(VarNext)
      <=> v16394(VarNext) ) ) )).

fof(addAssignment_6500,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16394(VarNext)
      <=> v16387(VarCurr) ) ) )).

fof(addAssignment_6499,axiom,(
    ! [VarCurr] :
      ( v16387(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6498,axiom,(
    ! [VarCurr] :
      ( v16385(VarCurr)
    <=> $false ) )).

fof(addAssignment_6497,axiom,(
    ! [VarCurr] :
      ( v16383(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6496,axiom,(
    ! [VarCurr] :
      ( v16381(VarCurr)
    <=> $false ) )).

fof(addAssignment_6495,axiom,(
    ! [VarCurr] :
      ( v16371(VarCurr)
    <=> v13838(VarCurr,bitIndex48) ) )).

fof(addAssignment_6494,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex48)
    <=> v13840(VarCurr,bitIndex48) ) )).

fof(addAssignment_6493,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex48)
    <=> v3822(VarCurr,bitIndex48) ) )).

fof(addAssignment_6492,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex48)
    <=> v3824(VarCurr,bitIndex48) ) )).

fof(addAssignment_6491,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex48)
    <=> v3826(VarCurr,bitIndex48) ) )).

fof(addAssignment_6490,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex48)
    <=> v3828(VarCurr,bitIndex48) ) )).

fof(addAssignment_6489,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex48)
    <=> v3830(VarCurr,bitIndex48) ) )).

fof(addAssignment_6488,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex48)
    <=> v3832(VarCurr,bitIndex48) ) )).

fof(addAssignment_6487,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex48)
    <=> v3834(VarCurr,bitIndex48) ) )).

fof(addAssignment_6486,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex48)
    <=> v16373(VarNext,bitIndex48) ) )).

fof(addCaseBooleanConditionEqualRanges1_190,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16374(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16373(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_212,axiom,(
    ! [VarNext] :
      ( v16374(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16373(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3785,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16374(VarNext)
      <=> v16375(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3784,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16375(VarNext)
      <=> ( v16377(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1996,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16377(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6485,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex48)
    <=> v13844(VarCurr,bitIndex48) ) )).

fof(addAssignment_6484,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex48)
    <=> v13846(VarCurr,bitIndex48) ) )).

fof(addAssignment_6483,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex48)
    <=> v13848(VarCurr,bitIndex48) ) )).

fof(addAssignment_6482,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex48)
    <=> v13850(VarCurr,bitIndex48) ) )).

fof(addAssignment_6481,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex48)
    <=> v13852(VarCurr,bitIndex48) ) )).

fof(addAssignment_6480,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex48)
    <=> v13538(VarCurr,bitIndex48) ) )).

fof(addAssignment_6479,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex48)
    <=> v13540(VarCurr,bitIndex48) ) )).

fof(addAssignment_6478,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex48)
    <=> v13542(VarCurr,bitIndex48) ) )).

fof(addAssignment_6477,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex48)
    <=> v13544(VarCurr,bitIndex48) ) )).

fof(addAssignment_6476,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex48)
    <=> v13546(VarCurr,bitIndex48) ) )).

fof(addAssignment_6475,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex48)
    <=> v13548(VarCurr,bitIndex48) ) )).

fof(addAssignment_6474,axiom,(
    ! [VarCurr] :
      ( v16369(VarCurr)
    <=> $false ) )).

fof(addAssignment_6473,axiom,(
    ! [VarCurr] :
      ( v16367(VarCurr)
    <=> $false ) )).

fof(addAssignment_6472,axiom,(
    ! [VarCurr] :
      ( v16365(VarCurr)
    <=> $true ) )).

fof(addAssignment_6471,axiom,(
    ! [VarCurr] :
      ( v16363(VarCurr)
    <=> $false ) )).

fof(addAssignment_6470,axiom,(
    ! [VarCurr] :
      ( v16361(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_189,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16314(VarNext)
       => ( v16283(VarNext)
        <=> v16283(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_211,axiom,(
    ! [VarNext] :
      ( v16314(VarNext)
     => ( v16283(VarNext)
      <=> v16349(VarNext) ) ) )).

fof(addAssignment_6469,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16349(VarNext)
      <=> v16347(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_317,axiom,(
    ! [VarCurr] :
      ( ~ v16285(VarCurr)
     => ( v16347(VarCurr)
      <=> v16350(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_317,axiom,(
    ! [VarCurr] :
      ( v16285(VarCurr)
     => ( v16347(VarCurr)
      <=> v16287(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_316,axiom,(
    ! [VarCurr] :
      ( ~ v16327(VarCurr)
     => ( v16350(VarCurr)
      <=> v16309(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_316,axiom,(
    ! [VarCurr] :
      ( v16327(VarCurr)
     => ( v16350(VarCurr)
      <=> v16351(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_91,axiom,(
    ! [VarCurr] :
      ( ( ~ v16330(VarCurr)
        & ~ v16332(VarCurr) )
     => ( v16351(VarCurr)
      <=> v16355(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_315,axiom,(
    ! [VarCurr] :
      ( v16332(VarCurr)
     => ( v16351(VarCurr)
      <=> v16354(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_315,axiom,(
    ! [VarCurr] :
      ( v16330(VarCurr)
     => ( v16351(VarCurr)
      <=> v16352(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_314,axiom,(
    ! [VarCurr] :
      ( ~ v16340(VarCurr)
     => ( v16355(VarCurr)
      <=> v16309(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_314,axiom,(
    ! [VarCurr] :
      ( v16340(VarCurr)
     => ( v16355(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_313,axiom,(
    ! [VarCurr] :
      ( ~ v16334(VarCurr)
     => ( v16354(VarCurr)
      <=> v16309(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_313,axiom,(
    ! [VarCurr] :
      ( v16334(VarCurr)
     => ( v16354(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_312,axiom,(
    ! [VarCurr] :
      ( ~ v16353(VarCurr)
     => ( v16352(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_252,axiom,(
    ! [VarCurr] :
      ( v16353(VarCurr)
     => ( v16352(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1071,axiom,(
    ! [VarCurr] :
      ( v16353(VarCurr)
    <=> ( v16295(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3783,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16314(VarNext)
      <=> ( v16315(VarNext)
          & v16324(VarNext) ) ) ) )).

fof(addAssignment_6468,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16324(VarNext)
      <=> v16322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3782,axiom,(
    ! [VarCurr] :
      ( v16322(VarCurr)
    <=> ( v16285(VarCurr)
        | v16325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3781,axiom,(
    ! [VarCurr] :
      ( v16325(VarCurr)
    <=> ( v16326(VarCurr)
        & v16346(VarCurr) ) ) )).

fof(writeUnaryOperator_1995,axiom,(
    ! [VarCurr] :
      ( ~ v16346(VarCurr)
    <=> v16285(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3780,axiom,(
    ! [VarCurr] :
      ( v16326(VarCurr)
    <=> ( v16327(VarCurr)
        | v16344(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3779,axiom,(
    ! [VarCurr] :
      ( v16344(VarCurr)
    <=> ( v16305(VarCurr)
        & v16345(VarCurr) ) ) )).

fof(writeUnaryOperator_1994,axiom,(
    ! [VarCurr] :
      ( ~ v16345(VarCurr)
    <=> v16307(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3778,axiom,(
    ! [VarCurr] :
      ( v16327(VarCurr)
    <=> ( v16328(VarCurr)
        & v16307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3777,axiom,(
    ! [VarCurr] :
      ( v16328(VarCurr)
    <=> ( v16329(VarCurr)
        | v16338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3776,axiom,(
    ! [VarCurr] :
      ( v16338(VarCurr)
    <=> ( v16339(VarCurr)
        & v16343(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1070,axiom,(
    ! [VarCurr] :
      ( v16343(VarCurr)
    <=> ( ( v16331(VarCurr,bitIndex2)
        <=> $false )
        & ( v16331(VarCurr,bitIndex1)
        <=> $false )
        & ( v16331(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3775,axiom,(
    ! [VarCurr] :
      ( v16339(VarCurr)
    <=> ( v16340(VarCurr)
        | v16341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3774,axiom,(
    ! [VarCurr] :
      ( v16341(VarCurr)
    <=> ( v16305(VarCurr)
        & v16342(VarCurr) ) ) )).

fof(writeUnaryOperator_1993,axiom,(
    ! [VarCurr] :
      ( ~ v16342(VarCurr)
    <=> v16340(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1069,axiom,(
    ! [VarCurr] :
      ( v16340(VarCurr)
    <=> ( v16295(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3773,axiom,(
    ! [VarCurr] :
      ( v16329(VarCurr)
    <=> ( v16330(VarCurr)
        | v16332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3772,axiom,(
    ! [VarCurr] :
      ( v16332(VarCurr)
    <=> ( v16333(VarCurr)
        & v16337(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1068,axiom,(
    ! [VarCurr] :
      ( v16337(VarCurr)
    <=> ( ( v16331(VarCurr,bitIndex2)
        <=> $false )
        & ( v16331(VarCurr,bitIndex1)
        <=> $true )
        & ( v16331(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3771,axiom,(
    ! [VarCurr] :
      ( v16333(VarCurr)
    <=> ( v16334(VarCurr)
        | v16335(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3770,axiom,(
    ! [VarCurr] :
      ( v16335(VarCurr)
    <=> ( v16305(VarCurr)
        & v16336(VarCurr) ) ) )).

fof(writeUnaryOperator_1992,axiom,(
    ! [VarCurr] :
      ( ~ v16336(VarCurr)
    <=> v16334(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1067,axiom,(
    ! [VarCurr] :
      ( v16334(VarCurr)
    <=> ( v16295(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1066,axiom,(
    ! [VarCurr] :
      ( v16330(VarCurr)
    <=> ( ( v16331(VarCurr,bitIndex2)
        <=> $true )
        & ( v16331(VarCurr,bitIndex1)
        <=> $false )
        & ( v16331(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6467,axiom,(
    ! [VarCurr] :
      ( v16331(VarCurr,bitIndex0)
    <=> v16293(VarCurr) ) )).

fof(addAssignment_6466,axiom,(
    ! [VarCurr] :
      ( v16331(VarCurr,bitIndex1)
    <=> v16291(VarCurr) ) )).

fof(addAssignment_6465,axiom,(
    ! [VarCurr] :
      ( v16331(VarCurr,bitIndex2)
    <=> v16289(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3769,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16315(VarNext)
      <=> ( v16316(VarNext)
          & v16311(VarNext) ) ) ) )).

fof(writeUnaryOperator_1991,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16316(VarNext)
      <=> v16318(VarNext) ) ) )).

fof(addAssignment_6464,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16318(VarNext)
      <=> v16311(VarCurr) ) ) )).

fof(addAssignment_6463,axiom,(
    ! [VarCurr] :
      ( v16311(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6462,axiom,(
    ! [VarCurr] :
      ( v16309(VarCurr)
    <=> $false ) )).

fof(addAssignment_6461,axiom,(
    ! [VarCurr] :
      ( v16307(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6460,axiom,(
    ! [VarCurr] :
      ( v16305(VarCurr)
    <=> $false ) )).

fof(addAssignment_6459,axiom,(
    ! [VarCurr] :
      ( v16295(VarCurr)
    <=> v13838(VarCurr,bitIndex47) ) )).

fof(addAssignment_6458,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex47)
    <=> v13840(VarCurr,bitIndex47) ) )).

fof(addAssignment_6457,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex47)
    <=> v3822(VarCurr,bitIndex47) ) )).

fof(addAssignment_6456,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex47)
    <=> v3824(VarCurr,bitIndex47) ) )).

fof(addAssignment_6455,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex47)
    <=> v3826(VarCurr,bitIndex47) ) )).

fof(addAssignment_6454,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex47)
    <=> v3828(VarCurr,bitIndex47) ) )).

fof(addAssignment_6453,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex47)
    <=> v3830(VarCurr,bitIndex47) ) )).

fof(addAssignment_6452,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex47)
    <=> v3832(VarCurr,bitIndex47) ) )).

fof(addAssignment_6451,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex47)
    <=> v3834(VarCurr,bitIndex47) ) )).

fof(addAssignment_6450,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex47)
    <=> v16297(VarNext,bitIndex47) ) )).

fof(addCaseBooleanConditionEqualRanges1_188,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16298(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16297(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_210,axiom,(
    ! [VarNext] :
      ( v16298(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16297(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3768,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16298(VarNext)
      <=> v16299(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3767,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16299(VarNext)
      <=> ( v16301(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1990,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16301(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6449,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex47)
    <=> v13844(VarCurr,bitIndex47) ) )).

fof(addAssignment_6448,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex47)
    <=> v13846(VarCurr,bitIndex47) ) )).

fof(addAssignment_6447,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex47)
    <=> v13848(VarCurr,bitIndex47) ) )).

fof(addAssignment_6446,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex47)
    <=> v13850(VarCurr,bitIndex47) ) )).

fof(addAssignment_6445,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex47)
    <=> v13852(VarCurr,bitIndex47) ) )).

fof(addAssignment_6444,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex47)
    <=> v13538(VarCurr,bitIndex47) ) )).

fof(addAssignment_6443,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex47)
    <=> v13540(VarCurr,bitIndex47) ) )).

fof(addAssignment_6442,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex47)
    <=> v13542(VarCurr,bitIndex47) ) )).

fof(addAssignment_6441,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex47)
    <=> v13544(VarCurr,bitIndex47) ) )).

fof(addAssignment_6440,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex47)
    <=> v13546(VarCurr,bitIndex47) ) )).

fof(addAssignment_6439,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex47)
    <=> v13548(VarCurr,bitIndex47) ) )).

fof(addAssignment_6438,axiom,(
    ! [VarCurr] :
      ( v16293(VarCurr)
    <=> $false ) )).

fof(addAssignment_6437,axiom,(
    ! [VarCurr] :
      ( v16291(VarCurr)
    <=> $false ) )).

fof(addAssignment_6436,axiom,(
    ! [VarCurr] :
      ( v16289(VarCurr)
    <=> $true ) )).

fof(addAssignment_6435,axiom,(
    ! [VarCurr] :
      ( v16287(VarCurr)
    <=> $false ) )).

fof(addAssignment_6434,axiom,(
    ! [VarCurr] :
      ( v16285(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_187,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16238(VarNext)
       => ( v16207(VarNext)
        <=> v16207(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_209,axiom,(
    ! [VarNext] :
      ( v16238(VarNext)
     => ( v16207(VarNext)
      <=> v16273(VarNext) ) ) )).

fof(addAssignment_6433,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16273(VarNext)
      <=> v16271(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_312,axiom,(
    ! [VarCurr] :
      ( ~ v16209(VarCurr)
     => ( v16271(VarCurr)
      <=> v16274(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_312,axiom,(
    ! [VarCurr] :
      ( v16209(VarCurr)
     => ( v16271(VarCurr)
      <=> v16211(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_311,axiom,(
    ! [VarCurr] :
      ( ~ v16251(VarCurr)
     => ( v16274(VarCurr)
      <=> v16233(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_311,axiom,(
    ! [VarCurr] :
      ( v16251(VarCurr)
     => ( v16274(VarCurr)
      <=> v16275(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_90,axiom,(
    ! [VarCurr] :
      ( ( ~ v16254(VarCurr)
        & ~ v16256(VarCurr) )
     => ( v16275(VarCurr)
      <=> v16279(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_310,axiom,(
    ! [VarCurr] :
      ( v16256(VarCurr)
     => ( v16275(VarCurr)
      <=> v16278(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_310,axiom,(
    ! [VarCurr] :
      ( v16254(VarCurr)
     => ( v16275(VarCurr)
      <=> v16276(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_309,axiom,(
    ! [VarCurr] :
      ( ~ v16264(VarCurr)
     => ( v16279(VarCurr)
      <=> v16233(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_309,axiom,(
    ! [VarCurr] :
      ( v16264(VarCurr)
     => ( v16279(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_308,axiom,(
    ! [VarCurr] :
      ( ~ v16258(VarCurr)
     => ( v16278(VarCurr)
      <=> v16233(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_308,axiom,(
    ! [VarCurr] :
      ( v16258(VarCurr)
     => ( v16278(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_311,axiom,(
    ! [VarCurr] :
      ( ~ v16277(VarCurr)
     => ( v16276(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_251,axiom,(
    ! [VarCurr] :
      ( v16277(VarCurr)
     => ( v16276(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1065,axiom,(
    ! [VarCurr] :
      ( v16277(VarCurr)
    <=> ( v16219(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3766,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16238(VarNext)
      <=> ( v16239(VarNext)
          & v16248(VarNext) ) ) ) )).

fof(addAssignment_6432,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16248(VarNext)
      <=> v16246(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3765,axiom,(
    ! [VarCurr] :
      ( v16246(VarCurr)
    <=> ( v16209(VarCurr)
        | v16249(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3764,axiom,(
    ! [VarCurr] :
      ( v16249(VarCurr)
    <=> ( v16250(VarCurr)
        & v16270(VarCurr) ) ) )).

fof(writeUnaryOperator_1989,axiom,(
    ! [VarCurr] :
      ( ~ v16270(VarCurr)
    <=> v16209(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3763,axiom,(
    ! [VarCurr] :
      ( v16250(VarCurr)
    <=> ( v16251(VarCurr)
        | v16268(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3762,axiom,(
    ! [VarCurr] :
      ( v16268(VarCurr)
    <=> ( v16229(VarCurr)
        & v16269(VarCurr) ) ) )).

fof(writeUnaryOperator_1988,axiom,(
    ! [VarCurr] :
      ( ~ v16269(VarCurr)
    <=> v16231(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3761,axiom,(
    ! [VarCurr] :
      ( v16251(VarCurr)
    <=> ( v16252(VarCurr)
        & v16231(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3760,axiom,(
    ! [VarCurr] :
      ( v16252(VarCurr)
    <=> ( v16253(VarCurr)
        | v16262(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3759,axiom,(
    ! [VarCurr] :
      ( v16262(VarCurr)
    <=> ( v16263(VarCurr)
        & v16267(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1064,axiom,(
    ! [VarCurr] :
      ( v16267(VarCurr)
    <=> ( ( v16255(VarCurr,bitIndex2)
        <=> $false )
        & ( v16255(VarCurr,bitIndex1)
        <=> $false )
        & ( v16255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3758,axiom,(
    ! [VarCurr] :
      ( v16263(VarCurr)
    <=> ( v16264(VarCurr)
        | v16265(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3757,axiom,(
    ! [VarCurr] :
      ( v16265(VarCurr)
    <=> ( v16229(VarCurr)
        & v16266(VarCurr) ) ) )).

fof(writeUnaryOperator_1987,axiom,(
    ! [VarCurr] :
      ( ~ v16266(VarCurr)
    <=> v16264(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1063,axiom,(
    ! [VarCurr] :
      ( v16264(VarCurr)
    <=> ( v16219(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3756,axiom,(
    ! [VarCurr] :
      ( v16253(VarCurr)
    <=> ( v16254(VarCurr)
        | v16256(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3755,axiom,(
    ! [VarCurr] :
      ( v16256(VarCurr)
    <=> ( v16257(VarCurr)
        & v16261(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1062,axiom,(
    ! [VarCurr] :
      ( v16261(VarCurr)
    <=> ( ( v16255(VarCurr,bitIndex2)
        <=> $false )
        & ( v16255(VarCurr,bitIndex1)
        <=> $true )
        & ( v16255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3754,axiom,(
    ! [VarCurr] :
      ( v16257(VarCurr)
    <=> ( v16258(VarCurr)
        | v16259(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3753,axiom,(
    ! [VarCurr] :
      ( v16259(VarCurr)
    <=> ( v16229(VarCurr)
        & v16260(VarCurr) ) ) )).

fof(writeUnaryOperator_1986,axiom,(
    ! [VarCurr] :
      ( ~ v16260(VarCurr)
    <=> v16258(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1061,axiom,(
    ! [VarCurr] :
      ( v16258(VarCurr)
    <=> ( v16219(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1060,axiom,(
    ! [VarCurr] :
      ( v16254(VarCurr)
    <=> ( ( v16255(VarCurr,bitIndex2)
        <=> $true )
        & ( v16255(VarCurr,bitIndex1)
        <=> $false )
        & ( v16255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6431,axiom,(
    ! [VarCurr] :
      ( v16255(VarCurr,bitIndex0)
    <=> v16217(VarCurr) ) )).

fof(addAssignment_6430,axiom,(
    ! [VarCurr] :
      ( v16255(VarCurr,bitIndex1)
    <=> v16215(VarCurr) ) )).

fof(addAssignment_6429,axiom,(
    ! [VarCurr] :
      ( v16255(VarCurr,bitIndex2)
    <=> v16213(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16239(VarNext)
      <=> ( v16240(VarNext)
          & v16235(VarNext) ) ) ) )).

fof(writeUnaryOperator_1985,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16240(VarNext)
      <=> v16242(VarNext) ) ) )).

fof(addAssignment_6428,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16242(VarNext)
      <=> v16235(VarCurr) ) ) )).

fof(addAssignment_6427,axiom,(
    ! [VarCurr] :
      ( v16235(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6426,axiom,(
    ! [VarCurr] :
      ( v16233(VarCurr)
    <=> $false ) )).

fof(addAssignment_6425,axiom,(
    ! [VarCurr] :
      ( v16231(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6424,axiom,(
    ! [VarCurr] :
      ( v16229(VarCurr)
    <=> $false ) )).

fof(addAssignment_6423,axiom,(
    ! [VarCurr] :
      ( v16219(VarCurr)
    <=> v13838(VarCurr,bitIndex46) ) )).

fof(addAssignment_6422,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex46)
    <=> v13840(VarCurr,bitIndex46) ) )).

fof(addAssignment_6421,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex46)
    <=> v3822(VarCurr,bitIndex46) ) )).

fof(addAssignment_6420,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex46)
    <=> v3824(VarCurr,bitIndex46) ) )).

fof(addAssignment_6419,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex46)
    <=> v3826(VarCurr,bitIndex46) ) )).

fof(addAssignment_6418,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex46)
    <=> v3828(VarCurr,bitIndex46) ) )).

fof(addAssignment_6417,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex46)
    <=> v3830(VarCurr,bitIndex46) ) )).

fof(addAssignment_6416,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex46)
    <=> v3832(VarCurr,bitIndex46) ) )).

fof(addAssignment_6415,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex46)
    <=> v3834(VarCurr,bitIndex46) ) )).

fof(addAssignment_6414,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex46)
    <=> v16221(VarNext,bitIndex46) ) )).

fof(addCaseBooleanConditionEqualRanges1_186,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16222(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16221(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_208,axiom,(
    ! [VarNext] :
      ( v16222(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16221(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3751,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16222(VarNext)
      <=> v16223(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3750,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16223(VarNext)
      <=> ( v16225(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1984,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16225(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6413,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex46)
    <=> v13844(VarCurr,bitIndex46) ) )).

fof(addAssignment_6412,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex46)
    <=> v13846(VarCurr,bitIndex46) ) )).

fof(addAssignment_6411,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex46)
    <=> v13848(VarCurr,bitIndex46) ) )).

fof(addAssignment_6410,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex46)
    <=> v13850(VarCurr,bitIndex46) ) )).

fof(addAssignment_6409,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex46)
    <=> v13852(VarCurr,bitIndex46) ) )).

fof(addAssignment_6408,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex46)
    <=> v13538(VarCurr,bitIndex46) ) )).

fof(addAssignment_6407,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex46)
    <=> v13540(VarCurr,bitIndex46) ) )).

fof(addAssignment_6406,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex46)
    <=> v13542(VarCurr,bitIndex46) ) )).

fof(addAssignment_6405,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex46)
    <=> v13544(VarCurr,bitIndex46) ) )).

fof(addAssignment_6404,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex46)
    <=> v13546(VarCurr,bitIndex46) ) )).

fof(addAssignment_6403,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex46)
    <=> v13548(VarCurr,bitIndex46) ) )).

fof(addAssignment_6402,axiom,(
    ! [VarCurr] :
      ( v16217(VarCurr)
    <=> $false ) )).

fof(addAssignment_6401,axiom,(
    ! [VarCurr] :
      ( v16215(VarCurr)
    <=> $false ) )).

fof(addAssignment_6400,axiom,(
    ! [VarCurr] :
      ( v16213(VarCurr)
    <=> $true ) )).

fof(addAssignment_6399,axiom,(
    ! [VarCurr] :
      ( v16211(VarCurr)
    <=> $false ) )).

fof(addAssignment_6398,axiom,(
    ! [VarCurr] :
      ( v16209(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16162(VarNext)
       => ( v16131(VarNext)
        <=> v16131(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_207,axiom,(
    ! [VarNext] :
      ( v16162(VarNext)
     => ( v16131(VarNext)
      <=> v16197(VarNext) ) ) )).

fof(addAssignment_6397,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16197(VarNext)
      <=> v16195(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_307,axiom,(
    ! [VarCurr] :
      ( ~ v16133(VarCurr)
     => ( v16195(VarCurr)
      <=> v16198(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_307,axiom,(
    ! [VarCurr] :
      ( v16133(VarCurr)
     => ( v16195(VarCurr)
      <=> v16135(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_306,axiom,(
    ! [VarCurr] :
      ( ~ v16175(VarCurr)
     => ( v16198(VarCurr)
      <=> v16157(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_306,axiom,(
    ! [VarCurr] :
      ( v16175(VarCurr)
     => ( v16198(VarCurr)
      <=> v16199(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_89,axiom,(
    ! [VarCurr] :
      ( ( ~ v16178(VarCurr)
        & ~ v16180(VarCurr) )
     => ( v16199(VarCurr)
      <=> v16203(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_305,axiom,(
    ! [VarCurr] :
      ( v16180(VarCurr)
     => ( v16199(VarCurr)
      <=> v16202(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_305,axiom,(
    ! [VarCurr] :
      ( v16178(VarCurr)
     => ( v16199(VarCurr)
      <=> v16200(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_304,axiom,(
    ! [VarCurr] :
      ( ~ v16188(VarCurr)
     => ( v16203(VarCurr)
      <=> v16157(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_304,axiom,(
    ! [VarCurr] :
      ( v16188(VarCurr)
     => ( v16203(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_303,axiom,(
    ! [VarCurr] :
      ( ~ v16182(VarCurr)
     => ( v16202(VarCurr)
      <=> v16157(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_303,axiom,(
    ! [VarCurr] :
      ( v16182(VarCurr)
     => ( v16202(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_310,axiom,(
    ! [VarCurr] :
      ( ~ v16201(VarCurr)
     => ( v16200(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_250,axiom,(
    ! [VarCurr] :
      ( v16201(VarCurr)
     => ( v16200(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1059,axiom,(
    ! [VarCurr] :
      ( v16201(VarCurr)
    <=> ( v16143(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3749,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16162(VarNext)
      <=> ( v16163(VarNext)
          & v16172(VarNext) ) ) ) )).

fof(addAssignment_6396,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16172(VarNext)
      <=> v16170(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3748,axiom,(
    ! [VarCurr] :
      ( v16170(VarCurr)
    <=> ( v16133(VarCurr)
        | v16173(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3747,axiom,(
    ! [VarCurr] :
      ( v16173(VarCurr)
    <=> ( v16174(VarCurr)
        & v16194(VarCurr) ) ) )).

fof(writeUnaryOperator_1983,axiom,(
    ! [VarCurr] :
      ( ~ v16194(VarCurr)
    <=> v16133(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3746,axiom,(
    ! [VarCurr] :
      ( v16174(VarCurr)
    <=> ( v16175(VarCurr)
        | v16192(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3745,axiom,(
    ! [VarCurr] :
      ( v16192(VarCurr)
    <=> ( v16153(VarCurr)
        & v16193(VarCurr) ) ) )).

fof(writeUnaryOperator_1982,axiom,(
    ! [VarCurr] :
      ( ~ v16193(VarCurr)
    <=> v16155(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3744,axiom,(
    ! [VarCurr] :
      ( v16175(VarCurr)
    <=> ( v16176(VarCurr)
        & v16155(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3743,axiom,(
    ! [VarCurr] :
      ( v16176(VarCurr)
    <=> ( v16177(VarCurr)
        | v16186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3742,axiom,(
    ! [VarCurr] :
      ( v16186(VarCurr)
    <=> ( v16187(VarCurr)
        & v16191(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1058,axiom,(
    ! [VarCurr] :
      ( v16191(VarCurr)
    <=> ( ( v16179(VarCurr,bitIndex2)
        <=> $false )
        & ( v16179(VarCurr,bitIndex1)
        <=> $false )
        & ( v16179(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3741,axiom,(
    ! [VarCurr] :
      ( v16187(VarCurr)
    <=> ( v16188(VarCurr)
        | v16189(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3740,axiom,(
    ! [VarCurr] :
      ( v16189(VarCurr)
    <=> ( v16153(VarCurr)
        & v16190(VarCurr) ) ) )).

fof(writeUnaryOperator_1981,axiom,(
    ! [VarCurr] :
      ( ~ v16190(VarCurr)
    <=> v16188(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1057,axiom,(
    ! [VarCurr] :
      ( v16188(VarCurr)
    <=> ( v16143(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3739,axiom,(
    ! [VarCurr] :
      ( v16177(VarCurr)
    <=> ( v16178(VarCurr)
        | v16180(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3738,axiom,(
    ! [VarCurr] :
      ( v16180(VarCurr)
    <=> ( v16181(VarCurr)
        & v16185(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1056,axiom,(
    ! [VarCurr] :
      ( v16185(VarCurr)
    <=> ( ( v16179(VarCurr,bitIndex2)
        <=> $false )
        & ( v16179(VarCurr,bitIndex1)
        <=> $true )
        & ( v16179(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3737,axiom,(
    ! [VarCurr] :
      ( v16181(VarCurr)
    <=> ( v16182(VarCurr)
        | v16183(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3736,axiom,(
    ! [VarCurr] :
      ( v16183(VarCurr)
    <=> ( v16153(VarCurr)
        & v16184(VarCurr) ) ) )).

fof(writeUnaryOperator_1980,axiom,(
    ! [VarCurr] :
      ( ~ v16184(VarCurr)
    <=> v16182(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1055,axiom,(
    ! [VarCurr] :
      ( v16182(VarCurr)
    <=> ( v16143(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1054,axiom,(
    ! [VarCurr] :
      ( v16178(VarCurr)
    <=> ( ( v16179(VarCurr,bitIndex2)
        <=> $true )
        & ( v16179(VarCurr,bitIndex1)
        <=> $false )
        & ( v16179(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6395,axiom,(
    ! [VarCurr] :
      ( v16179(VarCurr,bitIndex0)
    <=> v16141(VarCurr) ) )).

fof(addAssignment_6394,axiom,(
    ! [VarCurr] :
      ( v16179(VarCurr,bitIndex1)
    <=> v16139(VarCurr) ) )).

fof(addAssignment_6393,axiom,(
    ! [VarCurr] :
      ( v16179(VarCurr,bitIndex2)
    <=> v16137(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3735,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16163(VarNext)
      <=> ( v16164(VarNext)
          & v16159(VarNext) ) ) ) )).

fof(writeUnaryOperator_1979,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16164(VarNext)
      <=> v16166(VarNext) ) ) )).

fof(addAssignment_6392,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16166(VarNext)
      <=> v16159(VarCurr) ) ) )).

fof(addAssignment_6391,axiom,(
    ! [VarCurr] :
      ( v16159(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6390,axiom,(
    ! [VarCurr] :
      ( v16157(VarCurr)
    <=> $false ) )).

fof(addAssignment_6389,axiom,(
    ! [VarCurr] :
      ( v16155(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6388,axiom,(
    ! [VarCurr] :
      ( v16153(VarCurr)
    <=> $false ) )).

fof(addAssignment_6387,axiom,(
    ! [VarCurr] :
      ( v16143(VarCurr)
    <=> v13838(VarCurr,bitIndex45) ) )).

fof(addAssignment_6386,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex45)
    <=> v13840(VarCurr,bitIndex45) ) )).

fof(addAssignment_6385,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex45)
    <=> v3822(VarCurr,bitIndex45) ) )).

fof(addAssignment_6384,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex45)
    <=> v3824(VarCurr,bitIndex45) ) )).

fof(addAssignment_6383,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex45)
    <=> v3826(VarCurr,bitIndex45) ) )).

fof(addAssignment_6382,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex45)
    <=> v3828(VarCurr,bitIndex45) ) )).

fof(addAssignment_6381,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex45)
    <=> v3830(VarCurr,bitIndex45) ) )).

fof(addAssignment_6380,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex45)
    <=> v3832(VarCurr,bitIndex45) ) )).

fof(addAssignment_6379,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex45)
    <=> v3834(VarCurr,bitIndex45) ) )).

fof(addAssignment_6378,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex45)
    <=> v16145(VarNext,bitIndex45) ) )).

fof(addCaseBooleanConditionEqualRanges1_184,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16146(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16145(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_206,axiom,(
    ! [VarNext] :
      ( v16146(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16145(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3734,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16146(VarNext)
      <=> v16147(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3733,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16147(VarNext)
      <=> ( v16149(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1978,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16149(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6377,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex45)
    <=> v13844(VarCurr,bitIndex45) ) )).

fof(addAssignment_6376,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex45)
    <=> v13846(VarCurr,bitIndex45) ) )).

fof(addAssignment_6375,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex45)
    <=> v13848(VarCurr,bitIndex45) ) )).

fof(addAssignment_6374,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex45)
    <=> v13850(VarCurr,bitIndex45) ) )).

fof(addAssignment_6373,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex45)
    <=> v13852(VarCurr,bitIndex45) ) )).

fof(addAssignment_6372,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex45)
    <=> v13538(VarCurr,bitIndex45) ) )).

fof(addAssignment_6371,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex45)
    <=> v13540(VarCurr,bitIndex45) ) )).

fof(addAssignment_6370,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex45)
    <=> v13542(VarCurr,bitIndex45) ) )).

fof(addAssignment_6369,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex45)
    <=> v13544(VarCurr,bitIndex45) ) )).

fof(addAssignment_6368,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex45)
    <=> v13546(VarCurr,bitIndex45) ) )).

fof(addAssignment_6367,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex45)
    <=> v13548(VarCurr,bitIndex45) ) )).

fof(addAssignment_6366,axiom,(
    ! [VarCurr] :
      ( v16141(VarCurr)
    <=> $false ) )).

fof(addAssignment_6365,axiom,(
    ! [VarCurr] :
      ( v16139(VarCurr)
    <=> $false ) )).

fof(addAssignment_6364,axiom,(
    ! [VarCurr] :
      ( v16137(VarCurr)
    <=> $true ) )).

fof(addAssignment_6363,axiom,(
    ! [VarCurr] :
      ( v16135(VarCurr)
    <=> $false ) )).

fof(addAssignment_6362,axiom,(
    ! [VarCurr] :
      ( v16133(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_183,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16086(VarNext)
       => ( v16055(VarNext)
        <=> v16055(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_205,axiom,(
    ! [VarNext] :
      ( v16086(VarNext)
     => ( v16055(VarNext)
      <=> v16121(VarNext) ) ) )).

fof(addAssignment_6361,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16121(VarNext)
      <=> v16119(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_302,axiom,(
    ! [VarCurr] :
      ( ~ v16057(VarCurr)
     => ( v16119(VarCurr)
      <=> v16122(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_302,axiom,(
    ! [VarCurr] :
      ( v16057(VarCurr)
     => ( v16119(VarCurr)
      <=> v16059(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_301,axiom,(
    ! [VarCurr] :
      ( ~ v16099(VarCurr)
     => ( v16122(VarCurr)
      <=> v16081(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_301,axiom,(
    ! [VarCurr] :
      ( v16099(VarCurr)
     => ( v16122(VarCurr)
      <=> v16123(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_88,axiom,(
    ! [VarCurr] :
      ( ( ~ v16102(VarCurr)
        & ~ v16104(VarCurr) )
     => ( v16123(VarCurr)
      <=> v16127(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_300,axiom,(
    ! [VarCurr] :
      ( v16104(VarCurr)
     => ( v16123(VarCurr)
      <=> v16126(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_300,axiom,(
    ! [VarCurr] :
      ( v16102(VarCurr)
     => ( v16123(VarCurr)
      <=> v16124(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_299,axiom,(
    ! [VarCurr] :
      ( ~ v16112(VarCurr)
     => ( v16127(VarCurr)
      <=> v16081(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_299,axiom,(
    ! [VarCurr] :
      ( v16112(VarCurr)
     => ( v16127(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_298,axiom,(
    ! [VarCurr] :
      ( ~ v16106(VarCurr)
     => ( v16126(VarCurr)
      <=> v16081(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_298,axiom,(
    ! [VarCurr] :
      ( v16106(VarCurr)
     => ( v16126(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_309,axiom,(
    ! [VarCurr] :
      ( ~ v16125(VarCurr)
     => ( v16124(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_249,axiom,(
    ! [VarCurr] :
      ( v16125(VarCurr)
     => ( v16124(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1053,axiom,(
    ! [VarCurr] :
      ( v16125(VarCurr)
    <=> ( v16067(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3732,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16086(VarNext)
      <=> ( v16087(VarNext)
          & v16096(VarNext) ) ) ) )).

fof(addAssignment_6360,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16096(VarNext)
      <=> v16094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3731,axiom,(
    ! [VarCurr] :
      ( v16094(VarCurr)
    <=> ( v16057(VarCurr)
        | v16097(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3730,axiom,(
    ! [VarCurr] :
      ( v16097(VarCurr)
    <=> ( v16098(VarCurr)
        & v16118(VarCurr) ) ) )).

fof(writeUnaryOperator_1977,axiom,(
    ! [VarCurr] :
      ( ~ v16118(VarCurr)
    <=> v16057(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3729,axiom,(
    ! [VarCurr] :
      ( v16098(VarCurr)
    <=> ( v16099(VarCurr)
        | v16116(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3728,axiom,(
    ! [VarCurr] :
      ( v16116(VarCurr)
    <=> ( v16077(VarCurr)
        & v16117(VarCurr) ) ) )).

fof(writeUnaryOperator_1976,axiom,(
    ! [VarCurr] :
      ( ~ v16117(VarCurr)
    <=> v16079(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3727,axiom,(
    ! [VarCurr] :
      ( v16099(VarCurr)
    <=> ( v16100(VarCurr)
        & v16079(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3726,axiom,(
    ! [VarCurr] :
      ( v16100(VarCurr)
    <=> ( v16101(VarCurr)
        | v16110(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3725,axiom,(
    ! [VarCurr] :
      ( v16110(VarCurr)
    <=> ( v16111(VarCurr)
        & v16115(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1052,axiom,(
    ! [VarCurr] :
      ( v16115(VarCurr)
    <=> ( ( v16103(VarCurr,bitIndex2)
        <=> $false )
        & ( v16103(VarCurr,bitIndex1)
        <=> $false )
        & ( v16103(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3724,axiom,(
    ! [VarCurr] :
      ( v16111(VarCurr)
    <=> ( v16112(VarCurr)
        | v16113(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3723,axiom,(
    ! [VarCurr] :
      ( v16113(VarCurr)
    <=> ( v16077(VarCurr)
        & v16114(VarCurr) ) ) )).

fof(writeUnaryOperator_1975,axiom,(
    ! [VarCurr] :
      ( ~ v16114(VarCurr)
    <=> v16112(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1051,axiom,(
    ! [VarCurr] :
      ( v16112(VarCurr)
    <=> ( v16067(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3722,axiom,(
    ! [VarCurr] :
      ( v16101(VarCurr)
    <=> ( v16102(VarCurr)
        | v16104(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3721,axiom,(
    ! [VarCurr] :
      ( v16104(VarCurr)
    <=> ( v16105(VarCurr)
        & v16109(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1050,axiom,(
    ! [VarCurr] :
      ( v16109(VarCurr)
    <=> ( ( v16103(VarCurr,bitIndex2)
        <=> $false )
        & ( v16103(VarCurr,bitIndex1)
        <=> $true )
        & ( v16103(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3720,axiom,(
    ! [VarCurr] :
      ( v16105(VarCurr)
    <=> ( v16106(VarCurr)
        | v16107(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3719,axiom,(
    ! [VarCurr] :
      ( v16107(VarCurr)
    <=> ( v16077(VarCurr)
        & v16108(VarCurr) ) ) )).

fof(writeUnaryOperator_1974,axiom,(
    ! [VarCurr] :
      ( ~ v16108(VarCurr)
    <=> v16106(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1049,axiom,(
    ! [VarCurr] :
      ( v16106(VarCurr)
    <=> ( v16067(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1048,axiom,(
    ! [VarCurr] :
      ( v16102(VarCurr)
    <=> ( ( v16103(VarCurr,bitIndex2)
        <=> $true )
        & ( v16103(VarCurr,bitIndex1)
        <=> $false )
        & ( v16103(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6359,axiom,(
    ! [VarCurr] :
      ( v16103(VarCurr,bitIndex0)
    <=> v16065(VarCurr) ) )).

fof(addAssignment_6358,axiom,(
    ! [VarCurr] :
      ( v16103(VarCurr,bitIndex1)
    <=> v16063(VarCurr) ) )).

fof(addAssignment_6357,axiom,(
    ! [VarCurr] :
      ( v16103(VarCurr,bitIndex2)
    <=> v16061(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3718,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16087(VarNext)
      <=> ( v16088(VarNext)
          & v16083(VarNext) ) ) ) )).

fof(writeUnaryOperator_1973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16088(VarNext)
      <=> v16090(VarNext) ) ) )).

fof(addAssignment_6356,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16090(VarNext)
      <=> v16083(VarCurr) ) ) )).

fof(addAssignment_6355,axiom,(
    ! [VarCurr] :
      ( v16083(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6354,axiom,(
    ! [VarCurr] :
      ( v16081(VarCurr)
    <=> $false ) )).

fof(addAssignment_6353,axiom,(
    ! [VarCurr] :
      ( v16079(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6352,axiom,(
    ! [VarCurr] :
      ( v16077(VarCurr)
    <=> $false ) )).

fof(addAssignment_6351,axiom,(
    ! [VarCurr] :
      ( v16067(VarCurr)
    <=> v13838(VarCurr,bitIndex44) ) )).

fof(addAssignment_6350,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex44)
    <=> v13840(VarCurr,bitIndex44) ) )).

fof(addAssignment_6349,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex44)
    <=> v3822(VarCurr,bitIndex44) ) )).

fof(addAssignment_6348,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex44)
    <=> v3824(VarCurr,bitIndex44) ) )).

fof(addAssignment_6347,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex44)
    <=> v3826(VarCurr,bitIndex44) ) )).

fof(addAssignment_6346,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex44)
    <=> v3828(VarCurr,bitIndex44) ) )).

fof(addAssignment_6345,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex44)
    <=> v3830(VarCurr,bitIndex44) ) )).

fof(addAssignment_6344,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex44)
    <=> v3832(VarCurr,bitIndex44) ) )).

fof(addAssignment_6343,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex44)
    <=> v3834(VarCurr,bitIndex44) ) )).

fof(addAssignment_6342,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex44)
    <=> v16069(VarNext,bitIndex44) ) )).

fof(addCaseBooleanConditionEqualRanges1_182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16070(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v16069(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_204,axiom,(
    ! [VarNext] :
      ( v16070(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v16069(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3717,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16070(VarNext)
      <=> v16071(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3716,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16071(VarNext)
      <=> ( v16073(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1972,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16073(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6341,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex44)
    <=> v13844(VarCurr,bitIndex44) ) )).

fof(addAssignment_6340,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex44)
    <=> v13846(VarCurr,bitIndex44) ) )).

fof(addAssignment_6339,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex44)
    <=> v13848(VarCurr,bitIndex44) ) )).

fof(addAssignment_6338,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex44)
    <=> v13850(VarCurr,bitIndex44) ) )).

fof(addAssignment_6337,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex44)
    <=> v13852(VarCurr,bitIndex44) ) )).

fof(addAssignment_6336,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex44)
    <=> v13538(VarCurr,bitIndex44) ) )).

fof(addAssignment_6335,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex44)
    <=> v13540(VarCurr,bitIndex44) ) )).

fof(addAssignment_6334,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex44)
    <=> v13542(VarCurr,bitIndex44) ) )).

fof(addAssignment_6333,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex44)
    <=> v13544(VarCurr,bitIndex44) ) )).

fof(addAssignment_6332,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex44)
    <=> v13546(VarCurr,bitIndex44) ) )).

fof(addAssignment_6331,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex44)
    <=> v13548(VarCurr,bitIndex44) ) )).

fof(addAssignment_6330,axiom,(
    ! [VarCurr] :
      ( v16065(VarCurr)
    <=> $false ) )).

fof(addAssignment_6329,axiom,(
    ! [VarCurr] :
      ( v16063(VarCurr)
    <=> $false ) )).

fof(addAssignment_6328,axiom,(
    ! [VarCurr] :
      ( v16061(VarCurr)
    <=> $true ) )).

fof(addAssignment_6327,axiom,(
    ! [VarCurr] :
      ( v16059(VarCurr)
    <=> $false ) )).

fof(addAssignment_6326,axiom,(
    ! [VarCurr] :
      ( v16057(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_181,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16010(VarNext)
       => ( v15979(VarNext)
        <=> v15979(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_203,axiom,(
    ! [VarNext] :
      ( v16010(VarNext)
     => ( v15979(VarNext)
      <=> v16045(VarNext) ) ) )).

fof(addAssignment_6325,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16045(VarNext)
      <=> v16043(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_297,axiom,(
    ! [VarCurr] :
      ( ~ v15981(VarCurr)
     => ( v16043(VarCurr)
      <=> v16046(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_297,axiom,(
    ! [VarCurr] :
      ( v15981(VarCurr)
     => ( v16043(VarCurr)
      <=> v15983(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_296,axiom,(
    ! [VarCurr] :
      ( ~ v16023(VarCurr)
     => ( v16046(VarCurr)
      <=> v16005(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_296,axiom,(
    ! [VarCurr] :
      ( v16023(VarCurr)
     => ( v16046(VarCurr)
      <=> v16047(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_87,axiom,(
    ! [VarCurr] :
      ( ( ~ v16026(VarCurr)
        & ~ v16028(VarCurr) )
     => ( v16047(VarCurr)
      <=> v16051(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_295,axiom,(
    ! [VarCurr] :
      ( v16028(VarCurr)
     => ( v16047(VarCurr)
      <=> v16050(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_295,axiom,(
    ! [VarCurr] :
      ( v16026(VarCurr)
     => ( v16047(VarCurr)
      <=> v16048(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_294,axiom,(
    ! [VarCurr] :
      ( ~ v16036(VarCurr)
     => ( v16051(VarCurr)
      <=> v16005(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_294,axiom,(
    ! [VarCurr] :
      ( v16036(VarCurr)
     => ( v16051(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_293,axiom,(
    ! [VarCurr] :
      ( ~ v16030(VarCurr)
     => ( v16050(VarCurr)
      <=> v16005(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_293,axiom,(
    ! [VarCurr] :
      ( v16030(VarCurr)
     => ( v16050(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_308,axiom,(
    ! [VarCurr] :
      ( ~ v16049(VarCurr)
     => ( v16048(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_248,axiom,(
    ! [VarCurr] :
      ( v16049(VarCurr)
     => ( v16048(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1047,axiom,(
    ! [VarCurr] :
      ( v16049(VarCurr)
    <=> ( v15991(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3715,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16010(VarNext)
      <=> ( v16011(VarNext)
          & v16020(VarNext) ) ) ) )).

fof(addAssignment_6324,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16020(VarNext)
      <=> v16018(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3714,axiom,(
    ! [VarCurr] :
      ( v16018(VarCurr)
    <=> ( v15981(VarCurr)
        | v16021(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3713,axiom,(
    ! [VarCurr] :
      ( v16021(VarCurr)
    <=> ( v16022(VarCurr)
        & v16042(VarCurr) ) ) )).

fof(writeUnaryOperator_1971,axiom,(
    ! [VarCurr] :
      ( ~ v16042(VarCurr)
    <=> v15981(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3712,axiom,(
    ! [VarCurr] :
      ( v16022(VarCurr)
    <=> ( v16023(VarCurr)
        | v16040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3711,axiom,(
    ! [VarCurr] :
      ( v16040(VarCurr)
    <=> ( v16001(VarCurr)
        & v16041(VarCurr) ) ) )).

fof(writeUnaryOperator_1970,axiom,(
    ! [VarCurr] :
      ( ~ v16041(VarCurr)
    <=> v16003(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3710,axiom,(
    ! [VarCurr] :
      ( v16023(VarCurr)
    <=> ( v16024(VarCurr)
        & v16003(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3709,axiom,(
    ! [VarCurr] :
      ( v16024(VarCurr)
    <=> ( v16025(VarCurr)
        | v16034(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3708,axiom,(
    ! [VarCurr] :
      ( v16034(VarCurr)
    <=> ( v16035(VarCurr)
        & v16039(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1046,axiom,(
    ! [VarCurr] :
      ( v16039(VarCurr)
    <=> ( ( v16027(VarCurr,bitIndex2)
        <=> $false )
        & ( v16027(VarCurr,bitIndex1)
        <=> $false )
        & ( v16027(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3707,axiom,(
    ! [VarCurr] :
      ( v16035(VarCurr)
    <=> ( v16036(VarCurr)
        | v16037(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3706,axiom,(
    ! [VarCurr] :
      ( v16037(VarCurr)
    <=> ( v16001(VarCurr)
        & v16038(VarCurr) ) ) )).

fof(writeUnaryOperator_1969,axiom,(
    ! [VarCurr] :
      ( ~ v16038(VarCurr)
    <=> v16036(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1045,axiom,(
    ! [VarCurr] :
      ( v16036(VarCurr)
    <=> ( v15991(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3705,axiom,(
    ! [VarCurr] :
      ( v16025(VarCurr)
    <=> ( v16026(VarCurr)
        | v16028(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3704,axiom,(
    ! [VarCurr] :
      ( v16028(VarCurr)
    <=> ( v16029(VarCurr)
        & v16033(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1044,axiom,(
    ! [VarCurr] :
      ( v16033(VarCurr)
    <=> ( ( v16027(VarCurr,bitIndex2)
        <=> $false )
        & ( v16027(VarCurr,bitIndex1)
        <=> $true )
        & ( v16027(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3703,axiom,(
    ! [VarCurr] :
      ( v16029(VarCurr)
    <=> ( v16030(VarCurr)
        | v16031(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3702,axiom,(
    ! [VarCurr] :
      ( v16031(VarCurr)
    <=> ( v16001(VarCurr)
        & v16032(VarCurr) ) ) )).

fof(writeUnaryOperator_1968,axiom,(
    ! [VarCurr] :
      ( ~ v16032(VarCurr)
    <=> v16030(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1043,axiom,(
    ! [VarCurr] :
      ( v16030(VarCurr)
    <=> ( v15991(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1042,axiom,(
    ! [VarCurr] :
      ( v16026(VarCurr)
    <=> ( ( v16027(VarCurr,bitIndex2)
        <=> $true )
        & ( v16027(VarCurr,bitIndex1)
        <=> $false )
        & ( v16027(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6323,axiom,(
    ! [VarCurr] :
      ( v16027(VarCurr,bitIndex0)
    <=> v15989(VarCurr) ) )).

fof(addAssignment_6322,axiom,(
    ! [VarCurr] :
      ( v16027(VarCurr,bitIndex1)
    <=> v15987(VarCurr) ) )).

fof(addAssignment_6321,axiom,(
    ! [VarCurr] :
      ( v16027(VarCurr,bitIndex2)
    <=> v15985(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3701,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16011(VarNext)
      <=> ( v16012(VarNext)
          & v16007(VarNext) ) ) ) )).

fof(writeUnaryOperator_1967,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16012(VarNext)
      <=> v16014(VarNext) ) ) )).

fof(addAssignment_6320,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16014(VarNext)
      <=> v16007(VarCurr) ) ) )).

fof(addAssignment_6319,axiom,(
    ! [VarCurr] :
      ( v16007(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6318,axiom,(
    ! [VarCurr] :
      ( v16005(VarCurr)
    <=> $false ) )).

fof(addAssignment_6317,axiom,(
    ! [VarCurr] :
      ( v16003(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6316,axiom,(
    ! [VarCurr] :
      ( v16001(VarCurr)
    <=> $false ) )).

fof(addAssignment_6315,axiom,(
    ! [VarCurr] :
      ( v15991(VarCurr)
    <=> v13838(VarCurr,bitIndex43) ) )).

fof(addAssignment_6314,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex43)
    <=> v13840(VarCurr,bitIndex43) ) )).

fof(addAssignment_6313,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex43)
    <=> v3822(VarCurr,bitIndex43) ) )).

fof(addAssignment_6312,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex43)
    <=> v3824(VarCurr,bitIndex43) ) )).

fof(addAssignment_6311,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex43)
    <=> v3826(VarCurr,bitIndex43) ) )).

fof(addAssignment_6310,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex43)
    <=> v3828(VarCurr,bitIndex43) ) )).

fof(addAssignment_6309,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex43)
    <=> v3830(VarCurr,bitIndex43) ) )).

fof(addAssignment_6308,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex43)
    <=> v3832(VarCurr,bitIndex43) ) )).

fof(addAssignment_6307,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex43)
    <=> v3834(VarCurr,bitIndex43) ) )).

fof(addAssignment_6306,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex43)
    <=> v15993(VarNext,bitIndex43) ) )).

fof(addCaseBooleanConditionEqualRanges1_180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15994(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15993(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_202,axiom,(
    ! [VarNext] :
      ( v15994(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15993(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3700,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15994(VarNext)
      <=> v15995(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3699,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15995(VarNext)
      <=> ( v15997(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1966,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15997(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6305,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex43)
    <=> v13844(VarCurr,bitIndex43) ) )).

fof(addAssignment_6304,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex43)
    <=> v13846(VarCurr,bitIndex43) ) )).

fof(addAssignment_6303,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex43)
    <=> v13848(VarCurr,bitIndex43) ) )).

fof(addAssignment_6302,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex43)
    <=> v13850(VarCurr,bitIndex43) ) )).

fof(addAssignment_6301,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex43)
    <=> v13852(VarCurr,bitIndex43) ) )).

fof(addAssignment_6300,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex43)
    <=> v13538(VarCurr,bitIndex43) ) )).

fof(addAssignment_6299,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex43)
    <=> v13540(VarCurr,bitIndex43) ) )).

fof(addAssignment_6298,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex43)
    <=> v13542(VarCurr,bitIndex43) ) )).

fof(addAssignment_6297,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex43)
    <=> v13544(VarCurr,bitIndex43) ) )).

fof(addAssignment_6296,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex43)
    <=> v13546(VarCurr,bitIndex43) ) )).

fof(addAssignment_6295,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex43)
    <=> v13548(VarCurr,bitIndex43) ) )).

fof(addAssignment_6294,axiom,(
    ! [VarCurr] :
      ( v15989(VarCurr)
    <=> $false ) )).

fof(addAssignment_6293,axiom,(
    ! [VarCurr] :
      ( v15987(VarCurr)
    <=> $false ) )).

fof(addAssignment_6292,axiom,(
    ! [VarCurr] :
      ( v15985(VarCurr)
    <=> $true ) )).

fof(addAssignment_6291,axiom,(
    ! [VarCurr] :
      ( v15983(VarCurr)
    <=> $false ) )).

fof(addAssignment_6290,axiom,(
    ! [VarCurr] :
      ( v15981(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_179,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15934(VarNext)
       => ( v15903(VarNext)
        <=> v15903(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_201,axiom,(
    ! [VarNext] :
      ( v15934(VarNext)
     => ( v15903(VarNext)
      <=> v15969(VarNext) ) ) )).

fof(addAssignment_6289,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15969(VarNext)
      <=> v15967(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_292,axiom,(
    ! [VarCurr] :
      ( ~ v15905(VarCurr)
     => ( v15967(VarCurr)
      <=> v15970(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_292,axiom,(
    ! [VarCurr] :
      ( v15905(VarCurr)
     => ( v15967(VarCurr)
      <=> v15907(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_291,axiom,(
    ! [VarCurr] :
      ( ~ v15947(VarCurr)
     => ( v15970(VarCurr)
      <=> v15929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_291,axiom,(
    ! [VarCurr] :
      ( v15947(VarCurr)
     => ( v15970(VarCurr)
      <=> v15971(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_86,axiom,(
    ! [VarCurr] :
      ( ( ~ v15950(VarCurr)
        & ~ v15952(VarCurr) )
     => ( v15971(VarCurr)
      <=> v15975(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_290,axiom,(
    ! [VarCurr] :
      ( v15952(VarCurr)
     => ( v15971(VarCurr)
      <=> v15974(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_290,axiom,(
    ! [VarCurr] :
      ( v15950(VarCurr)
     => ( v15971(VarCurr)
      <=> v15972(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_289,axiom,(
    ! [VarCurr] :
      ( ~ v15960(VarCurr)
     => ( v15975(VarCurr)
      <=> v15929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_289,axiom,(
    ! [VarCurr] :
      ( v15960(VarCurr)
     => ( v15975(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_288,axiom,(
    ! [VarCurr] :
      ( ~ v15954(VarCurr)
     => ( v15974(VarCurr)
      <=> v15929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_288,axiom,(
    ! [VarCurr] :
      ( v15954(VarCurr)
     => ( v15974(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_307,axiom,(
    ! [VarCurr] :
      ( ~ v15973(VarCurr)
     => ( v15972(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_247,axiom,(
    ! [VarCurr] :
      ( v15973(VarCurr)
     => ( v15972(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1041,axiom,(
    ! [VarCurr] :
      ( v15973(VarCurr)
    <=> ( v15915(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3698,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15934(VarNext)
      <=> ( v15935(VarNext)
          & v15944(VarNext) ) ) ) )).

fof(addAssignment_6288,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15944(VarNext)
      <=> v15942(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3697,axiom,(
    ! [VarCurr] :
      ( v15942(VarCurr)
    <=> ( v15905(VarCurr)
        | v15945(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3696,axiom,(
    ! [VarCurr] :
      ( v15945(VarCurr)
    <=> ( v15946(VarCurr)
        & v15966(VarCurr) ) ) )).

fof(writeUnaryOperator_1965,axiom,(
    ! [VarCurr] :
      ( ~ v15966(VarCurr)
    <=> v15905(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3695,axiom,(
    ! [VarCurr] :
      ( v15946(VarCurr)
    <=> ( v15947(VarCurr)
        | v15964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3694,axiom,(
    ! [VarCurr] :
      ( v15964(VarCurr)
    <=> ( v15925(VarCurr)
        & v15965(VarCurr) ) ) )).

fof(writeUnaryOperator_1964,axiom,(
    ! [VarCurr] :
      ( ~ v15965(VarCurr)
    <=> v15927(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3693,axiom,(
    ! [VarCurr] :
      ( v15947(VarCurr)
    <=> ( v15948(VarCurr)
        & v15927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3692,axiom,(
    ! [VarCurr] :
      ( v15948(VarCurr)
    <=> ( v15949(VarCurr)
        | v15958(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3691,axiom,(
    ! [VarCurr] :
      ( v15958(VarCurr)
    <=> ( v15959(VarCurr)
        & v15963(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1040,axiom,(
    ! [VarCurr] :
      ( v15963(VarCurr)
    <=> ( ( v15951(VarCurr,bitIndex2)
        <=> $false )
        & ( v15951(VarCurr,bitIndex1)
        <=> $false )
        & ( v15951(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3690,axiom,(
    ! [VarCurr] :
      ( v15959(VarCurr)
    <=> ( v15960(VarCurr)
        | v15961(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3689,axiom,(
    ! [VarCurr] :
      ( v15961(VarCurr)
    <=> ( v15925(VarCurr)
        & v15962(VarCurr) ) ) )).

fof(writeUnaryOperator_1963,axiom,(
    ! [VarCurr] :
      ( ~ v15962(VarCurr)
    <=> v15960(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1039,axiom,(
    ! [VarCurr] :
      ( v15960(VarCurr)
    <=> ( v15915(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3688,axiom,(
    ! [VarCurr] :
      ( v15949(VarCurr)
    <=> ( v15950(VarCurr)
        | v15952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3687,axiom,(
    ! [VarCurr] :
      ( v15952(VarCurr)
    <=> ( v15953(VarCurr)
        & v15957(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1038,axiom,(
    ! [VarCurr] :
      ( v15957(VarCurr)
    <=> ( ( v15951(VarCurr,bitIndex2)
        <=> $false )
        & ( v15951(VarCurr,bitIndex1)
        <=> $true )
        & ( v15951(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3686,axiom,(
    ! [VarCurr] :
      ( v15953(VarCurr)
    <=> ( v15954(VarCurr)
        | v15955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3685,axiom,(
    ! [VarCurr] :
      ( v15955(VarCurr)
    <=> ( v15925(VarCurr)
        & v15956(VarCurr) ) ) )).

fof(writeUnaryOperator_1962,axiom,(
    ! [VarCurr] :
      ( ~ v15956(VarCurr)
    <=> v15954(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1037,axiom,(
    ! [VarCurr] :
      ( v15954(VarCurr)
    <=> ( v15915(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1036,axiom,(
    ! [VarCurr] :
      ( v15950(VarCurr)
    <=> ( ( v15951(VarCurr,bitIndex2)
        <=> $true )
        & ( v15951(VarCurr,bitIndex1)
        <=> $false )
        & ( v15951(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6287,axiom,(
    ! [VarCurr] :
      ( v15951(VarCurr,bitIndex0)
    <=> v15913(VarCurr) ) )).

fof(addAssignment_6286,axiom,(
    ! [VarCurr] :
      ( v15951(VarCurr,bitIndex1)
    <=> v15911(VarCurr) ) )).

fof(addAssignment_6285,axiom,(
    ! [VarCurr] :
      ( v15951(VarCurr,bitIndex2)
    <=> v15909(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3684,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15935(VarNext)
      <=> ( v15936(VarNext)
          & v15931(VarNext) ) ) ) )).

fof(writeUnaryOperator_1961,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15936(VarNext)
      <=> v15938(VarNext) ) ) )).

fof(addAssignment_6284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15938(VarNext)
      <=> v15931(VarCurr) ) ) )).

fof(addAssignment_6283,axiom,(
    ! [VarCurr] :
      ( v15931(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6282,axiom,(
    ! [VarCurr] :
      ( v15929(VarCurr)
    <=> $false ) )).

fof(addAssignment_6281,axiom,(
    ! [VarCurr] :
      ( v15927(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6280,axiom,(
    ! [VarCurr] :
      ( v15925(VarCurr)
    <=> $false ) )).

fof(addAssignment_6279,axiom,(
    ! [VarCurr] :
      ( v15915(VarCurr)
    <=> v13838(VarCurr,bitIndex42) ) )).

fof(addAssignment_6278,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex42)
    <=> v13840(VarCurr,bitIndex42) ) )).

fof(addAssignment_6277,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex42)
    <=> v3822(VarCurr,bitIndex42) ) )).

fof(addAssignment_6276,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex42)
    <=> v3824(VarCurr,bitIndex42) ) )).

fof(addAssignment_6275,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex42)
    <=> v3826(VarCurr,bitIndex42) ) )).

fof(addAssignment_6274,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex42)
    <=> v3828(VarCurr,bitIndex42) ) )).

fof(addAssignment_6273,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex42)
    <=> v3830(VarCurr,bitIndex42) ) )).

fof(addAssignment_6272,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex42)
    <=> v3832(VarCurr,bitIndex42) ) )).

fof(addAssignment_6271,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex42)
    <=> v3834(VarCurr,bitIndex42) ) )).

fof(addAssignment_6270,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex42)
    <=> v15917(VarNext,bitIndex42) ) )).

fof(addCaseBooleanConditionEqualRanges1_178,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15918(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15917(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_200,axiom,(
    ! [VarNext] :
      ( v15918(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15917(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3683,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15918(VarNext)
      <=> v15919(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3682,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15919(VarNext)
      <=> ( v15921(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1960,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15921(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6269,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex42)
    <=> v13844(VarCurr,bitIndex42) ) )).

fof(addAssignment_6268,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex42)
    <=> v13846(VarCurr,bitIndex42) ) )).

fof(addAssignment_6267,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex42)
    <=> v13848(VarCurr,bitIndex42) ) )).

fof(addAssignment_6266,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex42)
    <=> v13850(VarCurr,bitIndex42) ) )).

fof(addAssignment_6265,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex42)
    <=> v13852(VarCurr,bitIndex42) ) )).

fof(addAssignment_6264,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex42)
    <=> v13538(VarCurr,bitIndex42) ) )).

fof(addAssignment_6263,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex42)
    <=> v13540(VarCurr,bitIndex42) ) )).

fof(addAssignment_6262,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex42)
    <=> v13542(VarCurr,bitIndex42) ) )).

fof(addAssignment_6261,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex42)
    <=> v13544(VarCurr,bitIndex42) ) )).

fof(addAssignment_6260,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex42)
    <=> v13546(VarCurr,bitIndex42) ) )).

fof(addAssignment_6259,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex42)
    <=> v13548(VarCurr,bitIndex42) ) )).

fof(addAssignment_6258,axiom,(
    ! [VarCurr] :
      ( v15913(VarCurr)
    <=> $false ) )).

fof(addAssignment_6257,axiom,(
    ! [VarCurr] :
      ( v15911(VarCurr)
    <=> $false ) )).

fof(addAssignment_6256,axiom,(
    ! [VarCurr] :
      ( v15909(VarCurr)
    <=> $true ) )).

fof(addAssignment_6255,axiom,(
    ! [VarCurr] :
      ( v15907(VarCurr)
    <=> $false ) )).

fof(addAssignment_6254,axiom,(
    ! [VarCurr] :
      ( v15905(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_177,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15858(VarNext)
       => ( v15827(VarNext)
        <=> v15827(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_199,axiom,(
    ! [VarNext] :
      ( v15858(VarNext)
     => ( v15827(VarNext)
      <=> v15893(VarNext) ) ) )).

fof(addAssignment_6253,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15893(VarNext)
      <=> v15891(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_287,axiom,(
    ! [VarCurr] :
      ( ~ v15829(VarCurr)
     => ( v15891(VarCurr)
      <=> v15894(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_287,axiom,(
    ! [VarCurr] :
      ( v15829(VarCurr)
     => ( v15891(VarCurr)
      <=> v15831(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_286,axiom,(
    ! [VarCurr] :
      ( ~ v15871(VarCurr)
     => ( v15894(VarCurr)
      <=> v15853(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_286,axiom,(
    ! [VarCurr] :
      ( v15871(VarCurr)
     => ( v15894(VarCurr)
      <=> v15895(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_85,axiom,(
    ! [VarCurr] :
      ( ( ~ v15874(VarCurr)
        & ~ v15876(VarCurr) )
     => ( v15895(VarCurr)
      <=> v15899(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_285,axiom,(
    ! [VarCurr] :
      ( v15876(VarCurr)
     => ( v15895(VarCurr)
      <=> v15898(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_285,axiom,(
    ! [VarCurr] :
      ( v15874(VarCurr)
     => ( v15895(VarCurr)
      <=> v15896(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_284,axiom,(
    ! [VarCurr] :
      ( ~ v15884(VarCurr)
     => ( v15899(VarCurr)
      <=> v15853(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_284,axiom,(
    ! [VarCurr] :
      ( v15884(VarCurr)
     => ( v15899(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_283,axiom,(
    ! [VarCurr] :
      ( ~ v15878(VarCurr)
     => ( v15898(VarCurr)
      <=> v15853(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_283,axiom,(
    ! [VarCurr] :
      ( v15878(VarCurr)
     => ( v15898(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_306,axiom,(
    ! [VarCurr] :
      ( ~ v15897(VarCurr)
     => ( v15896(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_246,axiom,(
    ! [VarCurr] :
      ( v15897(VarCurr)
     => ( v15896(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1035,axiom,(
    ! [VarCurr] :
      ( v15897(VarCurr)
    <=> ( v15839(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3681,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15858(VarNext)
      <=> ( v15859(VarNext)
          & v15868(VarNext) ) ) ) )).

fof(addAssignment_6252,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15868(VarNext)
      <=> v15866(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3680,axiom,(
    ! [VarCurr] :
      ( v15866(VarCurr)
    <=> ( v15829(VarCurr)
        | v15869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3679,axiom,(
    ! [VarCurr] :
      ( v15869(VarCurr)
    <=> ( v15870(VarCurr)
        & v15890(VarCurr) ) ) )).

fof(writeUnaryOperator_1959,axiom,(
    ! [VarCurr] :
      ( ~ v15890(VarCurr)
    <=> v15829(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3678,axiom,(
    ! [VarCurr] :
      ( v15870(VarCurr)
    <=> ( v15871(VarCurr)
        | v15888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3677,axiom,(
    ! [VarCurr] :
      ( v15888(VarCurr)
    <=> ( v15849(VarCurr)
        & v15889(VarCurr) ) ) )).

fof(writeUnaryOperator_1958,axiom,(
    ! [VarCurr] :
      ( ~ v15889(VarCurr)
    <=> v15851(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3676,axiom,(
    ! [VarCurr] :
      ( v15871(VarCurr)
    <=> ( v15872(VarCurr)
        & v15851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3675,axiom,(
    ! [VarCurr] :
      ( v15872(VarCurr)
    <=> ( v15873(VarCurr)
        | v15882(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3674,axiom,(
    ! [VarCurr] :
      ( v15882(VarCurr)
    <=> ( v15883(VarCurr)
        & v15887(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1034,axiom,(
    ! [VarCurr] :
      ( v15887(VarCurr)
    <=> ( ( v15875(VarCurr,bitIndex2)
        <=> $false )
        & ( v15875(VarCurr,bitIndex1)
        <=> $false )
        & ( v15875(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3673,axiom,(
    ! [VarCurr] :
      ( v15883(VarCurr)
    <=> ( v15884(VarCurr)
        | v15885(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3672,axiom,(
    ! [VarCurr] :
      ( v15885(VarCurr)
    <=> ( v15849(VarCurr)
        & v15886(VarCurr) ) ) )).

fof(writeUnaryOperator_1957,axiom,(
    ! [VarCurr] :
      ( ~ v15886(VarCurr)
    <=> v15884(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1033,axiom,(
    ! [VarCurr] :
      ( v15884(VarCurr)
    <=> ( v15839(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3671,axiom,(
    ! [VarCurr] :
      ( v15873(VarCurr)
    <=> ( v15874(VarCurr)
        | v15876(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3670,axiom,(
    ! [VarCurr] :
      ( v15876(VarCurr)
    <=> ( v15877(VarCurr)
        & v15881(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1032,axiom,(
    ! [VarCurr] :
      ( v15881(VarCurr)
    <=> ( ( v15875(VarCurr,bitIndex2)
        <=> $false )
        & ( v15875(VarCurr,bitIndex1)
        <=> $true )
        & ( v15875(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3669,axiom,(
    ! [VarCurr] :
      ( v15877(VarCurr)
    <=> ( v15878(VarCurr)
        | v15879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3668,axiom,(
    ! [VarCurr] :
      ( v15879(VarCurr)
    <=> ( v15849(VarCurr)
        & v15880(VarCurr) ) ) )).

fof(writeUnaryOperator_1956,axiom,(
    ! [VarCurr] :
      ( ~ v15880(VarCurr)
    <=> v15878(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1031,axiom,(
    ! [VarCurr] :
      ( v15878(VarCurr)
    <=> ( v15839(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1030,axiom,(
    ! [VarCurr] :
      ( v15874(VarCurr)
    <=> ( ( v15875(VarCurr,bitIndex2)
        <=> $true )
        & ( v15875(VarCurr,bitIndex1)
        <=> $false )
        & ( v15875(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6251,axiom,(
    ! [VarCurr] :
      ( v15875(VarCurr,bitIndex0)
    <=> v15837(VarCurr) ) )).

fof(addAssignment_6250,axiom,(
    ! [VarCurr] :
      ( v15875(VarCurr,bitIndex1)
    <=> v15835(VarCurr) ) )).

fof(addAssignment_6249,axiom,(
    ! [VarCurr] :
      ( v15875(VarCurr,bitIndex2)
    <=> v15833(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3667,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15859(VarNext)
      <=> ( v15860(VarNext)
          & v15855(VarNext) ) ) ) )).

fof(writeUnaryOperator_1955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15860(VarNext)
      <=> v15862(VarNext) ) ) )).

fof(addAssignment_6248,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15862(VarNext)
      <=> v15855(VarCurr) ) ) )).

fof(addAssignment_6247,axiom,(
    ! [VarCurr] :
      ( v15855(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6246,axiom,(
    ! [VarCurr] :
      ( v15853(VarCurr)
    <=> $false ) )).

fof(addAssignment_6245,axiom,(
    ! [VarCurr] :
      ( v15851(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6244,axiom,(
    ! [VarCurr] :
      ( v15849(VarCurr)
    <=> $false ) )).

fof(addAssignment_6243,axiom,(
    ! [VarCurr] :
      ( v15839(VarCurr)
    <=> v13838(VarCurr,bitIndex41) ) )).

fof(addAssignment_6242,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex41)
    <=> v13840(VarCurr,bitIndex41) ) )).

fof(addAssignment_6241,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex41)
    <=> v3822(VarCurr,bitIndex41) ) )).

fof(addAssignment_6240,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex41)
    <=> v3824(VarCurr,bitIndex41) ) )).

fof(addAssignment_6239,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex41)
    <=> v3826(VarCurr,bitIndex41) ) )).

fof(addAssignment_6238,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex41)
    <=> v3828(VarCurr,bitIndex41) ) )).

fof(addAssignment_6237,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex41)
    <=> v3830(VarCurr,bitIndex41) ) )).

fof(addAssignment_6236,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex41)
    <=> v3832(VarCurr,bitIndex41) ) )).

fof(addAssignment_6235,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex41)
    <=> v3834(VarCurr,bitIndex41) ) )).

fof(addAssignment_6234,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex41)
    <=> v15841(VarNext,bitIndex41) ) )).

fof(addCaseBooleanConditionEqualRanges1_176,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15842(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15841(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_198,axiom,(
    ! [VarNext] :
      ( v15842(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15841(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3666,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15842(VarNext)
      <=> v15843(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3665,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15843(VarNext)
      <=> ( v15845(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1954,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15845(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6233,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex41)
    <=> v13844(VarCurr,bitIndex41) ) )).

fof(addAssignment_6232,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex41)
    <=> v13846(VarCurr,bitIndex41) ) )).

fof(addAssignment_6231,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex41)
    <=> v13848(VarCurr,bitIndex41) ) )).

fof(addAssignment_6230,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex41)
    <=> v13850(VarCurr,bitIndex41) ) )).

fof(addAssignment_6229,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex41)
    <=> v13852(VarCurr,bitIndex41) ) )).

fof(addAssignment_6228,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex41)
    <=> v13538(VarCurr,bitIndex41) ) )).

fof(addAssignment_6227,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex41)
    <=> v13540(VarCurr,bitIndex41) ) )).

fof(addAssignment_6226,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex41)
    <=> v13542(VarCurr,bitIndex41) ) )).

fof(addAssignment_6225,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex41)
    <=> v13544(VarCurr,bitIndex41) ) )).

fof(addAssignment_6224,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex41)
    <=> v13546(VarCurr,bitIndex41) ) )).

fof(addAssignment_6223,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex41)
    <=> v13548(VarCurr,bitIndex41) ) )).

fof(addAssignment_6222,axiom,(
    ! [VarCurr] :
      ( v15837(VarCurr)
    <=> $false ) )).

fof(addAssignment_6221,axiom,(
    ! [VarCurr] :
      ( v15835(VarCurr)
    <=> $false ) )).

fof(addAssignment_6220,axiom,(
    ! [VarCurr] :
      ( v15833(VarCurr)
    <=> $true ) )).

fof(addAssignment_6219,axiom,(
    ! [VarCurr] :
      ( v15831(VarCurr)
    <=> $false ) )).

fof(addAssignment_6218,axiom,(
    ! [VarCurr] :
      ( v15829(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_175,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15782(VarNext)
       => ( v15751(VarNext)
        <=> v15751(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_197,axiom,(
    ! [VarNext] :
      ( v15782(VarNext)
     => ( v15751(VarNext)
      <=> v15817(VarNext) ) ) )).

fof(addAssignment_6217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15817(VarNext)
      <=> v15815(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_282,axiom,(
    ! [VarCurr] :
      ( ~ v15753(VarCurr)
     => ( v15815(VarCurr)
      <=> v15818(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_282,axiom,(
    ! [VarCurr] :
      ( v15753(VarCurr)
     => ( v15815(VarCurr)
      <=> v15755(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_281,axiom,(
    ! [VarCurr] :
      ( ~ v15795(VarCurr)
     => ( v15818(VarCurr)
      <=> v15777(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_281,axiom,(
    ! [VarCurr] :
      ( v15795(VarCurr)
     => ( v15818(VarCurr)
      <=> v15819(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_84,axiom,(
    ! [VarCurr] :
      ( ( ~ v15798(VarCurr)
        & ~ v15800(VarCurr) )
     => ( v15819(VarCurr)
      <=> v15823(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_280,axiom,(
    ! [VarCurr] :
      ( v15800(VarCurr)
     => ( v15819(VarCurr)
      <=> v15822(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_280,axiom,(
    ! [VarCurr] :
      ( v15798(VarCurr)
     => ( v15819(VarCurr)
      <=> v15820(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_279,axiom,(
    ! [VarCurr] :
      ( ~ v15808(VarCurr)
     => ( v15823(VarCurr)
      <=> v15777(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_279,axiom,(
    ! [VarCurr] :
      ( v15808(VarCurr)
     => ( v15823(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_278,axiom,(
    ! [VarCurr] :
      ( ~ v15802(VarCurr)
     => ( v15822(VarCurr)
      <=> v15777(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_278,axiom,(
    ! [VarCurr] :
      ( v15802(VarCurr)
     => ( v15822(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_305,axiom,(
    ! [VarCurr] :
      ( ~ v15821(VarCurr)
     => ( v15820(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_245,axiom,(
    ! [VarCurr] :
      ( v15821(VarCurr)
     => ( v15820(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1029,axiom,(
    ! [VarCurr] :
      ( v15821(VarCurr)
    <=> ( v15763(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3664,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15782(VarNext)
      <=> ( v15783(VarNext)
          & v15792(VarNext) ) ) ) )).

fof(addAssignment_6216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15792(VarNext)
      <=> v15790(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3663,axiom,(
    ! [VarCurr] :
      ( v15790(VarCurr)
    <=> ( v15753(VarCurr)
        | v15793(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3662,axiom,(
    ! [VarCurr] :
      ( v15793(VarCurr)
    <=> ( v15794(VarCurr)
        & v15814(VarCurr) ) ) )).

fof(writeUnaryOperator_1953,axiom,(
    ! [VarCurr] :
      ( ~ v15814(VarCurr)
    <=> v15753(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3661,axiom,(
    ! [VarCurr] :
      ( v15794(VarCurr)
    <=> ( v15795(VarCurr)
        | v15812(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3660,axiom,(
    ! [VarCurr] :
      ( v15812(VarCurr)
    <=> ( v15773(VarCurr)
        & v15813(VarCurr) ) ) )).

fof(writeUnaryOperator_1952,axiom,(
    ! [VarCurr] :
      ( ~ v15813(VarCurr)
    <=> v15775(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3659,axiom,(
    ! [VarCurr] :
      ( v15795(VarCurr)
    <=> ( v15796(VarCurr)
        & v15775(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3658,axiom,(
    ! [VarCurr] :
      ( v15796(VarCurr)
    <=> ( v15797(VarCurr)
        | v15806(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3657,axiom,(
    ! [VarCurr] :
      ( v15806(VarCurr)
    <=> ( v15807(VarCurr)
        & v15811(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1028,axiom,(
    ! [VarCurr] :
      ( v15811(VarCurr)
    <=> ( ( v15799(VarCurr,bitIndex2)
        <=> $false )
        & ( v15799(VarCurr,bitIndex1)
        <=> $false )
        & ( v15799(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3656,axiom,(
    ! [VarCurr] :
      ( v15807(VarCurr)
    <=> ( v15808(VarCurr)
        | v15809(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3655,axiom,(
    ! [VarCurr] :
      ( v15809(VarCurr)
    <=> ( v15773(VarCurr)
        & v15810(VarCurr) ) ) )).

fof(writeUnaryOperator_1951,axiom,(
    ! [VarCurr] :
      ( ~ v15810(VarCurr)
    <=> v15808(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1027,axiom,(
    ! [VarCurr] :
      ( v15808(VarCurr)
    <=> ( v15763(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3654,axiom,(
    ! [VarCurr] :
      ( v15797(VarCurr)
    <=> ( v15798(VarCurr)
        | v15800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3653,axiom,(
    ! [VarCurr] :
      ( v15800(VarCurr)
    <=> ( v15801(VarCurr)
        & v15805(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1026,axiom,(
    ! [VarCurr] :
      ( v15805(VarCurr)
    <=> ( ( v15799(VarCurr,bitIndex2)
        <=> $false )
        & ( v15799(VarCurr,bitIndex1)
        <=> $true )
        & ( v15799(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3652,axiom,(
    ! [VarCurr] :
      ( v15801(VarCurr)
    <=> ( v15802(VarCurr)
        | v15803(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3651,axiom,(
    ! [VarCurr] :
      ( v15803(VarCurr)
    <=> ( v15773(VarCurr)
        & v15804(VarCurr) ) ) )).

fof(writeUnaryOperator_1950,axiom,(
    ! [VarCurr] :
      ( ~ v15804(VarCurr)
    <=> v15802(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1025,axiom,(
    ! [VarCurr] :
      ( v15802(VarCurr)
    <=> ( v15763(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1024,axiom,(
    ! [VarCurr] :
      ( v15798(VarCurr)
    <=> ( ( v15799(VarCurr,bitIndex2)
        <=> $true )
        & ( v15799(VarCurr,bitIndex1)
        <=> $false )
        & ( v15799(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6215,axiom,(
    ! [VarCurr] :
      ( v15799(VarCurr,bitIndex0)
    <=> v15761(VarCurr) ) )).

fof(addAssignment_6214,axiom,(
    ! [VarCurr] :
      ( v15799(VarCurr,bitIndex1)
    <=> v15759(VarCurr) ) )).

fof(addAssignment_6213,axiom,(
    ! [VarCurr] :
      ( v15799(VarCurr,bitIndex2)
    <=> v15757(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3650,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15783(VarNext)
      <=> ( v15784(VarNext)
          & v15779(VarNext) ) ) ) )).

fof(writeUnaryOperator_1949,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15784(VarNext)
      <=> v15786(VarNext) ) ) )).

fof(addAssignment_6212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15786(VarNext)
      <=> v15779(VarCurr) ) ) )).

fof(addAssignment_6211,axiom,(
    ! [VarCurr] :
      ( v15779(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6210,axiom,(
    ! [VarCurr] :
      ( v15777(VarCurr)
    <=> $false ) )).

fof(addAssignment_6209,axiom,(
    ! [VarCurr] :
      ( v15775(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6208,axiom,(
    ! [VarCurr] :
      ( v15773(VarCurr)
    <=> $false ) )).

fof(addAssignment_6207,axiom,(
    ! [VarCurr] :
      ( v15763(VarCurr)
    <=> v13838(VarCurr,bitIndex40) ) )).

fof(addAssignment_6206,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex40)
    <=> v13840(VarCurr,bitIndex40) ) )).

fof(addAssignment_6205,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex40)
    <=> v3822(VarCurr,bitIndex40) ) )).

fof(addAssignment_6204,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex40)
    <=> v3824(VarCurr,bitIndex40) ) )).

fof(addAssignment_6203,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex40)
    <=> v3826(VarCurr,bitIndex40) ) )).

fof(addAssignment_6202,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex40)
    <=> v3828(VarCurr,bitIndex40) ) )).

fof(addAssignment_6201,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex40)
    <=> v3830(VarCurr,bitIndex40) ) )).

fof(addAssignment_6200,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex40)
    <=> v3832(VarCurr,bitIndex40) ) )).

fof(addAssignment_6199,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex40)
    <=> v3834(VarCurr,bitIndex40) ) )).

fof(addAssignment_6198,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex40)
    <=> v15765(VarNext,bitIndex40) ) )).

fof(addCaseBooleanConditionEqualRanges1_174,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15766(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15765(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_196,axiom,(
    ! [VarNext] :
      ( v15766(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15765(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3649,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15766(VarNext)
      <=> v15767(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3648,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15767(VarNext)
      <=> ( v15769(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1948,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15769(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6197,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex40)
    <=> v13844(VarCurr,bitIndex40) ) )).

fof(addAssignment_6196,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex40)
    <=> v13846(VarCurr,bitIndex40) ) )).

fof(addAssignment_6195,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex40)
    <=> v13848(VarCurr,bitIndex40) ) )).

fof(addAssignment_6194,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex40)
    <=> v13850(VarCurr,bitIndex40) ) )).

fof(addAssignment_6193,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex40)
    <=> v13852(VarCurr,bitIndex40) ) )).

fof(addAssignment_6192,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex40)
    <=> v13538(VarCurr,bitIndex40) ) )).

fof(addAssignment_6191,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex40)
    <=> v13540(VarCurr,bitIndex40) ) )).

fof(addAssignment_6190,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex40)
    <=> v13542(VarCurr,bitIndex40) ) )).

fof(addAssignment_6189,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex40)
    <=> v13544(VarCurr,bitIndex40) ) )).

fof(addAssignment_6188,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex40)
    <=> v13546(VarCurr,bitIndex40) ) )).

fof(addAssignment_6187,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex40)
    <=> v13548(VarCurr,bitIndex40) ) )).

fof(addAssignment_6186,axiom,(
    ! [VarCurr] :
      ( v15761(VarCurr)
    <=> $false ) )).

fof(addAssignment_6185,axiom,(
    ! [VarCurr] :
      ( v15759(VarCurr)
    <=> $false ) )).

fof(addAssignment_6184,axiom,(
    ! [VarCurr] :
      ( v15757(VarCurr)
    <=> $true ) )).

fof(addAssignment_6183,axiom,(
    ! [VarCurr] :
      ( v15755(VarCurr)
    <=> $false ) )).

fof(addAssignment_6182,axiom,(
    ! [VarCurr] :
      ( v15753(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_173,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15706(VarNext)
       => ( v15675(VarNext)
        <=> v15675(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_195,axiom,(
    ! [VarNext] :
      ( v15706(VarNext)
     => ( v15675(VarNext)
      <=> v15741(VarNext) ) ) )).

fof(addAssignment_6181,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15741(VarNext)
      <=> v15739(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_277,axiom,(
    ! [VarCurr] :
      ( ~ v15677(VarCurr)
     => ( v15739(VarCurr)
      <=> v15742(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_277,axiom,(
    ! [VarCurr] :
      ( v15677(VarCurr)
     => ( v15739(VarCurr)
      <=> v15679(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_276,axiom,(
    ! [VarCurr] :
      ( ~ v15719(VarCurr)
     => ( v15742(VarCurr)
      <=> v15701(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_276,axiom,(
    ! [VarCurr] :
      ( v15719(VarCurr)
     => ( v15742(VarCurr)
      <=> v15743(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_83,axiom,(
    ! [VarCurr] :
      ( ( ~ v15722(VarCurr)
        & ~ v15724(VarCurr) )
     => ( v15743(VarCurr)
      <=> v15747(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_275,axiom,(
    ! [VarCurr] :
      ( v15724(VarCurr)
     => ( v15743(VarCurr)
      <=> v15746(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_275,axiom,(
    ! [VarCurr] :
      ( v15722(VarCurr)
     => ( v15743(VarCurr)
      <=> v15744(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_274,axiom,(
    ! [VarCurr] :
      ( ~ v15732(VarCurr)
     => ( v15747(VarCurr)
      <=> v15701(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_274,axiom,(
    ! [VarCurr] :
      ( v15732(VarCurr)
     => ( v15747(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_273,axiom,(
    ! [VarCurr] :
      ( ~ v15726(VarCurr)
     => ( v15746(VarCurr)
      <=> v15701(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_273,axiom,(
    ! [VarCurr] :
      ( v15726(VarCurr)
     => ( v15746(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_304,axiom,(
    ! [VarCurr] :
      ( ~ v15745(VarCurr)
     => ( v15744(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_244,axiom,(
    ! [VarCurr] :
      ( v15745(VarCurr)
     => ( v15744(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1023,axiom,(
    ! [VarCurr] :
      ( v15745(VarCurr)
    <=> ( v15687(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3647,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15706(VarNext)
      <=> ( v15707(VarNext)
          & v15716(VarNext) ) ) ) )).

fof(addAssignment_6180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15716(VarNext)
      <=> v15714(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3646,axiom,(
    ! [VarCurr] :
      ( v15714(VarCurr)
    <=> ( v15677(VarCurr)
        | v15717(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3645,axiom,(
    ! [VarCurr] :
      ( v15717(VarCurr)
    <=> ( v15718(VarCurr)
        & v15738(VarCurr) ) ) )).

fof(writeUnaryOperator_1947,axiom,(
    ! [VarCurr] :
      ( ~ v15738(VarCurr)
    <=> v15677(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3644,axiom,(
    ! [VarCurr] :
      ( v15718(VarCurr)
    <=> ( v15719(VarCurr)
        | v15736(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3643,axiom,(
    ! [VarCurr] :
      ( v15736(VarCurr)
    <=> ( v15697(VarCurr)
        & v15737(VarCurr) ) ) )).

fof(writeUnaryOperator_1946,axiom,(
    ! [VarCurr] :
      ( ~ v15737(VarCurr)
    <=> v15699(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3642,axiom,(
    ! [VarCurr] :
      ( v15719(VarCurr)
    <=> ( v15720(VarCurr)
        & v15699(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3641,axiom,(
    ! [VarCurr] :
      ( v15720(VarCurr)
    <=> ( v15721(VarCurr)
        | v15730(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3640,axiom,(
    ! [VarCurr] :
      ( v15730(VarCurr)
    <=> ( v15731(VarCurr)
        & v15735(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1022,axiom,(
    ! [VarCurr] :
      ( v15735(VarCurr)
    <=> ( ( v15723(VarCurr,bitIndex2)
        <=> $false )
        & ( v15723(VarCurr,bitIndex1)
        <=> $false )
        & ( v15723(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3639,axiom,(
    ! [VarCurr] :
      ( v15731(VarCurr)
    <=> ( v15732(VarCurr)
        | v15733(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3638,axiom,(
    ! [VarCurr] :
      ( v15733(VarCurr)
    <=> ( v15697(VarCurr)
        & v15734(VarCurr) ) ) )).

fof(writeUnaryOperator_1945,axiom,(
    ! [VarCurr] :
      ( ~ v15734(VarCurr)
    <=> v15732(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1021,axiom,(
    ! [VarCurr] :
      ( v15732(VarCurr)
    <=> ( v15687(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3637,axiom,(
    ! [VarCurr] :
      ( v15721(VarCurr)
    <=> ( v15722(VarCurr)
        | v15724(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3636,axiom,(
    ! [VarCurr] :
      ( v15724(VarCurr)
    <=> ( v15725(VarCurr)
        & v15729(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1020,axiom,(
    ! [VarCurr] :
      ( v15729(VarCurr)
    <=> ( ( v15723(VarCurr,bitIndex2)
        <=> $false )
        & ( v15723(VarCurr,bitIndex1)
        <=> $true )
        & ( v15723(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3635,axiom,(
    ! [VarCurr] :
      ( v15725(VarCurr)
    <=> ( v15726(VarCurr)
        | v15727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3634,axiom,(
    ! [VarCurr] :
      ( v15727(VarCurr)
    <=> ( v15697(VarCurr)
        & v15728(VarCurr) ) ) )).

fof(writeUnaryOperator_1944,axiom,(
    ! [VarCurr] :
      ( ~ v15728(VarCurr)
    <=> v15726(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1019,axiom,(
    ! [VarCurr] :
      ( v15726(VarCurr)
    <=> ( v15687(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1018,axiom,(
    ! [VarCurr] :
      ( v15722(VarCurr)
    <=> ( ( v15723(VarCurr,bitIndex2)
        <=> $true )
        & ( v15723(VarCurr,bitIndex1)
        <=> $false )
        & ( v15723(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6179,axiom,(
    ! [VarCurr] :
      ( v15723(VarCurr,bitIndex0)
    <=> v15685(VarCurr) ) )).

fof(addAssignment_6178,axiom,(
    ! [VarCurr] :
      ( v15723(VarCurr,bitIndex1)
    <=> v15683(VarCurr) ) )).

fof(addAssignment_6177,axiom,(
    ! [VarCurr] :
      ( v15723(VarCurr,bitIndex2)
    <=> v15681(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3633,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15707(VarNext)
      <=> ( v15708(VarNext)
          & v15703(VarNext) ) ) ) )).

fof(writeUnaryOperator_1943,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15708(VarNext)
      <=> v15710(VarNext) ) ) )).

fof(addAssignment_6176,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15710(VarNext)
      <=> v15703(VarCurr) ) ) )).

fof(addAssignment_6175,axiom,(
    ! [VarCurr] :
      ( v15703(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6174,axiom,(
    ! [VarCurr] :
      ( v15701(VarCurr)
    <=> $false ) )).

fof(addAssignment_6173,axiom,(
    ! [VarCurr] :
      ( v15699(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6172,axiom,(
    ! [VarCurr] :
      ( v15697(VarCurr)
    <=> $false ) )).

fof(addAssignment_6171,axiom,(
    ! [VarCurr] :
      ( v15687(VarCurr)
    <=> v13838(VarCurr,bitIndex39) ) )).

fof(addAssignment_6170,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex39)
    <=> v13840(VarCurr,bitIndex39) ) )).

fof(addAssignment_6169,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex39)
    <=> v3822(VarCurr,bitIndex39) ) )).

fof(addAssignment_6168,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex39)
    <=> v3824(VarCurr,bitIndex39) ) )).

fof(addAssignment_6167,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex39)
    <=> v3826(VarCurr,bitIndex39) ) )).

fof(addAssignment_6166,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex39)
    <=> v3828(VarCurr,bitIndex39) ) )).

fof(addAssignment_6165,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex39)
    <=> v3830(VarCurr,bitIndex39) ) )).

fof(addAssignment_6164,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex39)
    <=> v3832(VarCurr,bitIndex39) ) )).

fof(addAssignment_6163,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex39)
    <=> v3834(VarCurr,bitIndex39) ) )).

fof(addAssignment_6162,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex39)
    <=> v15689(VarNext,bitIndex39) ) )).

fof(addCaseBooleanConditionEqualRanges1_172,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15690(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15689(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_194,axiom,(
    ! [VarNext] :
      ( v15690(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15689(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3632,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15690(VarNext)
      <=> v15691(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3631,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15691(VarNext)
      <=> ( v15693(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1942,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15693(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6161,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex39)
    <=> v13844(VarCurr,bitIndex39) ) )).

fof(addAssignment_6160,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex39)
    <=> v13846(VarCurr,bitIndex39) ) )).

fof(addAssignment_6159,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex39)
    <=> v13848(VarCurr,bitIndex39) ) )).

fof(addAssignment_6158,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex39)
    <=> v13850(VarCurr,bitIndex39) ) )).

fof(addAssignment_6157,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex39)
    <=> v13852(VarCurr,bitIndex39) ) )).

fof(addAssignment_6156,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex39)
    <=> v13538(VarCurr,bitIndex39) ) )).

fof(addAssignment_6155,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex39)
    <=> v13540(VarCurr,bitIndex39) ) )).

fof(addAssignment_6154,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex39)
    <=> v13542(VarCurr,bitIndex39) ) )).

fof(addAssignment_6153,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex39)
    <=> v13544(VarCurr,bitIndex39) ) )).

fof(addAssignment_6152,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex39)
    <=> v13546(VarCurr,bitIndex39) ) )).

fof(addAssignment_6151,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex39)
    <=> v13548(VarCurr,bitIndex39) ) )).

fof(addAssignment_6150,axiom,(
    ! [VarCurr] :
      ( v15685(VarCurr)
    <=> $false ) )).

fof(addAssignment_6149,axiom,(
    ! [VarCurr] :
      ( v15683(VarCurr)
    <=> $false ) )).

fof(addAssignment_6148,axiom,(
    ! [VarCurr] :
      ( v15681(VarCurr)
    <=> $true ) )).

fof(addAssignment_6147,axiom,(
    ! [VarCurr] :
      ( v15679(VarCurr)
    <=> $false ) )).

fof(addAssignment_6146,axiom,(
    ! [VarCurr] :
      ( v15677(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_171,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15630(VarNext)
       => ( v15599(VarNext)
        <=> v15599(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_193,axiom,(
    ! [VarNext] :
      ( v15630(VarNext)
     => ( v15599(VarNext)
      <=> v15665(VarNext) ) ) )).

fof(addAssignment_6145,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15665(VarNext)
      <=> v15663(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_272,axiom,(
    ! [VarCurr] :
      ( ~ v15601(VarCurr)
     => ( v15663(VarCurr)
      <=> v15666(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_272,axiom,(
    ! [VarCurr] :
      ( v15601(VarCurr)
     => ( v15663(VarCurr)
      <=> v15603(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_271,axiom,(
    ! [VarCurr] :
      ( ~ v15643(VarCurr)
     => ( v15666(VarCurr)
      <=> v15625(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_271,axiom,(
    ! [VarCurr] :
      ( v15643(VarCurr)
     => ( v15666(VarCurr)
      <=> v15667(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_82,axiom,(
    ! [VarCurr] :
      ( ( ~ v15646(VarCurr)
        & ~ v15648(VarCurr) )
     => ( v15667(VarCurr)
      <=> v15671(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_270,axiom,(
    ! [VarCurr] :
      ( v15648(VarCurr)
     => ( v15667(VarCurr)
      <=> v15670(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_270,axiom,(
    ! [VarCurr] :
      ( v15646(VarCurr)
     => ( v15667(VarCurr)
      <=> v15668(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_269,axiom,(
    ! [VarCurr] :
      ( ~ v15656(VarCurr)
     => ( v15671(VarCurr)
      <=> v15625(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_269,axiom,(
    ! [VarCurr] :
      ( v15656(VarCurr)
     => ( v15671(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_268,axiom,(
    ! [VarCurr] :
      ( ~ v15650(VarCurr)
     => ( v15670(VarCurr)
      <=> v15625(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_268,axiom,(
    ! [VarCurr] :
      ( v15650(VarCurr)
     => ( v15670(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_303,axiom,(
    ! [VarCurr] :
      ( ~ v15669(VarCurr)
     => ( v15668(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_243,axiom,(
    ! [VarCurr] :
      ( v15669(VarCurr)
     => ( v15668(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1017,axiom,(
    ! [VarCurr] :
      ( v15669(VarCurr)
    <=> ( v15611(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3630,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15630(VarNext)
      <=> ( v15631(VarNext)
          & v15640(VarNext) ) ) ) )).

fof(addAssignment_6144,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15640(VarNext)
      <=> v15638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3629,axiom,(
    ! [VarCurr] :
      ( v15638(VarCurr)
    <=> ( v15601(VarCurr)
        | v15641(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3628,axiom,(
    ! [VarCurr] :
      ( v15641(VarCurr)
    <=> ( v15642(VarCurr)
        & v15662(VarCurr) ) ) )).

fof(writeUnaryOperator_1941,axiom,(
    ! [VarCurr] :
      ( ~ v15662(VarCurr)
    <=> v15601(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3627,axiom,(
    ! [VarCurr] :
      ( v15642(VarCurr)
    <=> ( v15643(VarCurr)
        | v15660(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3626,axiom,(
    ! [VarCurr] :
      ( v15660(VarCurr)
    <=> ( v15621(VarCurr)
        & v15661(VarCurr) ) ) )).

fof(writeUnaryOperator_1940,axiom,(
    ! [VarCurr] :
      ( ~ v15661(VarCurr)
    <=> v15623(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3625,axiom,(
    ! [VarCurr] :
      ( v15643(VarCurr)
    <=> ( v15644(VarCurr)
        & v15623(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3624,axiom,(
    ! [VarCurr] :
      ( v15644(VarCurr)
    <=> ( v15645(VarCurr)
        | v15654(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3623,axiom,(
    ! [VarCurr] :
      ( v15654(VarCurr)
    <=> ( v15655(VarCurr)
        & v15659(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1016,axiom,(
    ! [VarCurr] :
      ( v15659(VarCurr)
    <=> ( ( v15647(VarCurr,bitIndex2)
        <=> $false )
        & ( v15647(VarCurr,bitIndex1)
        <=> $false )
        & ( v15647(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3622,axiom,(
    ! [VarCurr] :
      ( v15655(VarCurr)
    <=> ( v15656(VarCurr)
        | v15657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3621,axiom,(
    ! [VarCurr] :
      ( v15657(VarCurr)
    <=> ( v15621(VarCurr)
        & v15658(VarCurr) ) ) )).

fof(writeUnaryOperator_1939,axiom,(
    ! [VarCurr] :
      ( ~ v15658(VarCurr)
    <=> v15656(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1015,axiom,(
    ! [VarCurr] :
      ( v15656(VarCurr)
    <=> ( v15611(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3620,axiom,(
    ! [VarCurr] :
      ( v15645(VarCurr)
    <=> ( v15646(VarCurr)
        | v15648(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3619,axiom,(
    ! [VarCurr] :
      ( v15648(VarCurr)
    <=> ( v15649(VarCurr)
        & v15653(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1014,axiom,(
    ! [VarCurr] :
      ( v15653(VarCurr)
    <=> ( ( v15647(VarCurr,bitIndex2)
        <=> $false )
        & ( v15647(VarCurr,bitIndex1)
        <=> $true )
        & ( v15647(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3618,axiom,(
    ! [VarCurr] :
      ( v15649(VarCurr)
    <=> ( v15650(VarCurr)
        | v15651(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3617,axiom,(
    ! [VarCurr] :
      ( v15651(VarCurr)
    <=> ( v15621(VarCurr)
        & v15652(VarCurr) ) ) )).

fof(writeUnaryOperator_1938,axiom,(
    ! [VarCurr] :
      ( ~ v15652(VarCurr)
    <=> v15650(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1013,axiom,(
    ! [VarCurr] :
      ( v15650(VarCurr)
    <=> ( v15611(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1012,axiom,(
    ! [VarCurr] :
      ( v15646(VarCurr)
    <=> ( ( v15647(VarCurr,bitIndex2)
        <=> $true )
        & ( v15647(VarCurr,bitIndex1)
        <=> $false )
        & ( v15647(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6143,axiom,(
    ! [VarCurr] :
      ( v15647(VarCurr,bitIndex0)
    <=> v15609(VarCurr) ) )).

fof(addAssignment_6142,axiom,(
    ! [VarCurr] :
      ( v15647(VarCurr,bitIndex1)
    <=> v15607(VarCurr) ) )).

fof(addAssignment_6141,axiom,(
    ! [VarCurr] :
      ( v15647(VarCurr,bitIndex2)
    <=> v15605(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3616,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15631(VarNext)
      <=> ( v15632(VarNext)
          & v15627(VarNext) ) ) ) )).

fof(writeUnaryOperator_1937,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15632(VarNext)
      <=> v15634(VarNext) ) ) )).

fof(addAssignment_6140,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15634(VarNext)
      <=> v15627(VarCurr) ) ) )).

fof(addAssignment_6139,axiom,(
    ! [VarCurr] :
      ( v15627(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6138,axiom,(
    ! [VarCurr] :
      ( v15625(VarCurr)
    <=> $false ) )).

fof(addAssignment_6137,axiom,(
    ! [VarCurr] :
      ( v15623(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6136,axiom,(
    ! [VarCurr] :
      ( v15621(VarCurr)
    <=> $false ) )).

fof(addAssignment_6135,axiom,(
    ! [VarCurr] :
      ( v15611(VarCurr)
    <=> v13838(VarCurr,bitIndex38) ) )).

fof(addAssignment_6134,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex38)
    <=> v13840(VarCurr,bitIndex38) ) )).

fof(addAssignment_6133,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex38)
    <=> v3822(VarCurr,bitIndex38) ) )).

fof(addAssignment_6132,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex38)
    <=> v3824(VarCurr,bitIndex38) ) )).

fof(addAssignment_6131,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex38)
    <=> v3826(VarCurr,bitIndex38) ) )).

fof(addAssignment_6130,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex38)
    <=> v3828(VarCurr,bitIndex38) ) )).

fof(addAssignment_6129,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex38)
    <=> v3830(VarCurr,bitIndex38) ) )).

fof(addAssignment_6128,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex38)
    <=> v3832(VarCurr,bitIndex38) ) )).

fof(addAssignment_6127,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex38)
    <=> v3834(VarCurr,bitIndex38) ) )).

fof(addAssignment_6126,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex38)
    <=> v15613(VarNext,bitIndex38) ) )).

fof(addCaseBooleanConditionEqualRanges1_170,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15614(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15613(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_192,axiom,(
    ! [VarNext] :
      ( v15614(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15613(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3615,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15614(VarNext)
      <=> v15615(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3614,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15615(VarNext)
      <=> ( v15617(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1936,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15617(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6125,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex38)
    <=> v13844(VarCurr,bitIndex38) ) )).

fof(addAssignment_6124,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex38)
    <=> v13846(VarCurr,bitIndex38) ) )).

fof(addAssignment_6123,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex38)
    <=> v13848(VarCurr,bitIndex38) ) )).

fof(addAssignment_6122,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex38)
    <=> v13850(VarCurr,bitIndex38) ) )).

fof(addAssignment_6121,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex38)
    <=> v13852(VarCurr,bitIndex38) ) )).

fof(addAssignment_6120,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex38)
    <=> v13538(VarCurr,bitIndex38) ) )).

fof(addAssignment_6119,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex38)
    <=> v13540(VarCurr,bitIndex38) ) )).

fof(addAssignment_6118,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex38)
    <=> v13542(VarCurr,bitIndex38) ) )).

fof(addAssignment_6117,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex38)
    <=> v13544(VarCurr,bitIndex38) ) )).

fof(addAssignment_6116,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex38)
    <=> v13546(VarCurr,bitIndex38) ) )).

fof(addAssignment_6115,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex38)
    <=> v13548(VarCurr,bitIndex38) ) )).

fof(addAssignment_6114,axiom,(
    ! [VarCurr] :
      ( v15609(VarCurr)
    <=> $false ) )).

fof(addAssignment_6113,axiom,(
    ! [VarCurr] :
      ( v15607(VarCurr)
    <=> $false ) )).

fof(addAssignment_6112,axiom,(
    ! [VarCurr] :
      ( v15605(VarCurr)
    <=> $true ) )).

fof(addAssignment_6111,axiom,(
    ! [VarCurr] :
      ( v15603(VarCurr)
    <=> $false ) )).

fof(addAssignment_6110,axiom,(
    ! [VarCurr] :
      ( v15601(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_169,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15554(VarNext)
       => ( v15523(VarNext)
        <=> v15523(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_191,axiom,(
    ! [VarNext] :
      ( v15554(VarNext)
     => ( v15523(VarNext)
      <=> v15589(VarNext) ) ) )).

fof(addAssignment_6109,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15589(VarNext)
      <=> v15587(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_267,axiom,(
    ! [VarCurr] :
      ( ~ v15525(VarCurr)
     => ( v15587(VarCurr)
      <=> v15590(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_267,axiom,(
    ! [VarCurr] :
      ( v15525(VarCurr)
     => ( v15587(VarCurr)
      <=> v15527(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_266,axiom,(
    ! [VarCurr] :
      ( ~ v15567(VarCurr)
     => ( v15590(VarCurr)
      <=> v15549(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_266,axiom,(
    ! [VarCurr] :
      ( v15567(VarCurr)
     => ( v15590(VarCurr)
      <=> v15591(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_81,axiom,(
    ! [VarCurr] :
      ( ( ~ v15570(VarCurr)
        & ~ v15572(VarCurr) )
     => ( v15591(VarCurr)
      <=> v15595(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_265,axiom,(
    ! [VarCurr] :
      ( v15572(VarCurr)
     => ( v15591(VarCurr)
      <=> v15594(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_265,axiom,(
    ! [VarCurr] :
      ( v15570(VarCurr)
     => ( v15591(VarCurr)
      <=> v15592(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_264,axiom,(
    ! [VarCurr] :
      ( ~ v15580(VarCurr)
     => ( v15595(VarCurr)
      <=> v15549(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_264,axiom,(
    ! [VarCurr] :
      ( v15580(VarCurr)
     => ( v15595(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_263,axiom,(
    ! [VarCurr] :
      ( ~ v15574(VarCurr)
     => ( v15594(VarCurr)
      <=> v15549(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_263,axiom,(
    ! [VarCurr] :
      ( v15574(VarCurr)
     => ( v15594(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_302,axiom,(
    ! [VarCurr] :
      ( ~ v15593(VarCurr)
     => ( v15592(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_242,axiom,(
    ! [VarCurr] :
      ( v15593(VarCurr)
     => ( v15592(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1011,axiom,(
    ! [VarCurr] :
      ( v15593(VarCurr)
    <=> ( v15535(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3613,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15554(VarNext)
      <=> ( v15555(VarNext)
          & v15564(VarNext) ) ) ) )).

fof(addAssignment_6108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15564(VarNext)
      <=> v15562(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3612,axiom,(
    ! [VarCurr] :
      ( v15562(VarCurr)
    <=> ( v15525(VarCurr)
        | v15565(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3611,axiom,(
    ! [VarCurr] :
      ( v15565(VarCurr)
    <=> ( v15566(VarCurr)
        & v15586(VarCurr) ) ) )).

fof(writeUnaryOperator_1935,axiom,(
    ! [VarCurr] :
      ( ~ v15586(VarCurr)
    <=> v15525(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3610,axiom,(
    ! [VarCurr] :
      ( v15566(VarCurr)
    <=> ( v15567(VarCurr)
        | v15584(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3609,axiom,(
    ! [VarCurr] :
      ( v15584(VarCurr)
    <=> ( v15545(VarCurr)
        & v15585(VarCurr) ) ) )).

fof(writeUnaryOperator_1934,axiom,(
    ! [VarCurr] :
      ( ~ v15585(VarCurr)
    <=> v15547(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3608,axiom,(
    ! [VarCurr] :
      ( v15567(VarCurr)
    <=> ( v15568(VarCurr)
        & v15547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3607,axiom,(
    ! [VarCurr] :
      ( v15568(VarCurr)
    <=> ( v15569(VarCurr)
        | v15578(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3606,axiom,(
    ! [VarCurr] :
      ( v15578(VarCurr)
    <=> ( v15579(VarCurr)
        & v15583(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1010,axiom,(
    ! [VarCurr] :
      ( v15583(VarCurr)
    <=> ( ( v15571(VarCurr,bitIndex2)
        <=> $false )
        & ( v15571(VarCurr,bitIndex1)
        <=> $false )
        & ( v15571(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3605,axiom,(
    ! [VarCurr] :
      ( v15579(VarCurr)
    <=> ( v15580(VarCurr)
        | v15581(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3604,axiom,(
    ! [VarCurr] :
      ( v15581(VarCurr)
    <=> ( v15545(VarCurr)
        & v15582(VarCurr) ) ) )).

fof(writeUnaryOperator_1933,axiom,(
    ! [VarCurr] :
      ( ~ v15582(VarCurr)
    <=> v15580(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1009,axiom,(
    ! [VarCurr] :
      ( v15580(VarCurr)
    <=> ( v15535(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3603,axiom,(
    ! [VarCurr] :
      ( v15569(VarCurr)
    <=> ( v15570(VarCurr)
        | v15572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3602,axiom,(
    ! [VarCurr] :
      ( v15572(VarCurr)
    <=> ( v15573(VarCurr)
        & v15577(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1008,axiom,(
    ! [VarCurr] :
      ( v15577(VarCurr)
    <=> ( ( v15571(VarCurr,bitIndex2)
        <=> $false )
        & ( v15571(VarCurr,bitIndex1)
        <=> $true )
        & ( v15571(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3601,axiom,(
    ! [VarCurr] :
      ( v15573(VarCurr)
    <=> ( v15574(VarCurr)
        | v15575(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3600,axiom,(
    ! [VarCurr] :
      ( v15575(VarCurr)
    <=> ( v15545(VarCurr)
        & v15576(VarCurr) ) ) )).

fof(writeUnaryOperator_1932,axiom,(
    ! [VarCurr] :
      ( ~ v15576(VarCurr)
    <=> v15574(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1007,axiom,(
    ! [VarCurr] :
      ( v15574(VarCurr)
    <=> ( v15535(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1006,axiom,(
    ! [VarCurr] :
      ( v15570(VarCurr)
    <=> ( ( v15571(VarCurr,bitIndex2)
        <=> $true )
        & ( v15571(VarCurr,bitIndex1)
        <=> $false )
        & ( v15571(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6107,axiom,(
    ! [VarCurr] :
      ( v15571(VarCurr,bitIndex0)
    <=> v15533(VarCurr) ) )).

fof(addAssignment_6106,axiom,(
    ! [VarCurr] :
      ( v15571(VarCurr,bitIndex1)
    <=> v15531(VarCurr) ) )).

fof(addAssignment_6105,axiom,(
    ! [VarCurr] :
      ( v15571(VarCurr,bitIndex2)
    <=> v15529(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3599,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15555(VarNext)
      <=> ( v15556(VarNext)
          & v15551(VarNext) ) ) ) )).

fof(writeUnaryOperator_1931,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15556(VarNext)
      <=> v15558(VarNext) ) ) )).

fof(addAssignment_6104,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15558(VarNext)
      <=> v15551(VarCurr) ) ) )).

fof(addAssignment_6103,axiom,(
    ! [VarCurr] :
      ( v15551(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6102,axiom,(
    ! [VarCurr] :
      ( v15549(VarCurr)
    <=> $false ) )).

fof(addAssignment_6101,axiom,(
    ! [VarCurr] :
      ( v15547(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6100,axiom,(
    ! [VarCurr] :
      ( v15545(VarCurr)
    <=> $false ) )).

fof(addAssignment_6099,axiom,(
    ! [VarCurr] :
      ( v15535(VarCurr)
    <=> v13838(VarCurr,bitIndex37) ) )).

fof(addAssignment_6098,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex37)
    <=> v13840(VarCurr,bitIndex37) ) )).

fof(addAssignment_6097,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex37)
    <=> v3822(VarCurr,bitIndex37) ) )).

fof(addAssignment_6096,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex37)
    <=> v3824(VarCurr,bitIndex37) ) )).

fof(addAssignment_6095,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex37)
    <=> v3826(VarCurr,bitIndex37) ) )).

fof(addAssignment_6094,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex37)
    <=> v3828(VarCurr,bitIndex37) ) )).

fof(addAssignment_6093,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex37)
    <=> v3830(VarCurr,bitIndex37) ) )).

fof(addAssignment_6092,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex37)
    <=> v3832(VarCurr,bitIndex37) ) )).

fof(addAssignment_6091,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex37)
    <=> v3834(VarCurr,bitIndex37) ) )).

fof(addAssignment_6090,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex37)
    <=> v15537(VarNext,bitIndex37) ) )).

fof(addCaseBooleanConditionEqualRanges1_168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15538(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15537(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_190,axiom,(
    ! [VarNext] :
      ( v15538(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15537(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3598,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15538(VarNext)
      <=> v15539(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3597,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15539(VarNext)
      <=> ( v15541(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1930,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15541(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6089,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex37)
    <=> v13844(VarCurr,bitIndex37) ) )).

fof(addAssignment_6088,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex37)
    <=> v13846(VarCurr,bitIndex37) ) )).

fof(addAssignment_6087,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex37)
    <=> v13848(VarCurr,bitIndex37) ) )).

fof(addAssignment_6086,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex37)
    <=> v13850(VarCurr,bitIndex37) ) )).

fof(addAssignment_6085,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex37)
    <=> v13852(VarCurr,bitIndex37) ) )).

fof(addAssignment_6084,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex37)
    <=> v13538(VarCurr,bitIndex37) ) )).

fof(addAssignment_6083,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex37)
    <=> v13540(VarCurr,bitIndex37) ) )).

fof(addAssignment_6082,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex37)
    <=> v13542(VarCurr,bitIndex37) ) )).

fof(addAssignment_6081,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex37)
    <=> v13544(VarCurr,bitIndex37) ) )).

fof(addAssignment_6080,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex37)
    <=> v13546(VarCurr,bitIndex37) ) )).

fof(addAssignment_6079,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex37)
    <=> v13548(VarCurr,bitIndex37) ) )).

fof(addAssignment_6078,axiom,(
    ! [VarCurr] :
      ( v15533(VarCurr)
    <=> $false ) )).

fof(addAssignment_6077,axiom,(
    ! [VarCurr] :
      ( v15531(VarCurr)
    <=> $false ) )).

fof(addAssignment_6076,axiom,(
    ! [VarCurr] :
      ( v15529(VarCurr)
    <=> $true ) )).

fof(addAssignment_6075,axiom,(
    ! [VarCurr] :
      ( v15527(VarCurr)
    <=> $false ) )).

fof(addAssignment_6074,axiom,(
    ! [VarCurr] :
      ( v15525(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_167,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15478(VarNext)
       => ( v15447(VarNext)
        <=> v15447(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_189,axiom,(
    ! [VarNext] :
      ( v15478(VarNext)
     => ( v15447(VarNext)
      <=> v15513(VarNext) ) ) )).

fof(addAssignment_6073,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15513(VarNext)
      <=> v15511(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_262,axiom,(
    ! [VarCurr] :
      ( ~ v15449(VarCurr)
     => ( v15511(VarCurr)
      <=> v15514(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_262,axiom,(
    ! [VarCurr] :
      ( v15449(VarCurr)
     => ( v15511(VarCurr)
      <=> v15451(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_261,axiom,(
    ! [VarCurr] :
      ( ~ v15491(VarCurr)
     => ( v15514(VarCurr)
      <=> v15473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_261,axiom,(
    ! [VarCurr] :
      ( v15491(VarCurr)
     => ( v15514(VarCurr)
      <=> v15515(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_80,axiom,(
    ! [VarCurr] :
      ( ( ~ v15494(VarCurr)
        & ~ v15496(VarCurr) )
     => ( v15515(VarCurr)
      <=> v15519(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_260,axiom,(
    ! [VarCurr] :
      ( v15496(VarCurr)
     => ( v15515(VarCurr)
      <=> v15518(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_260,axiom,(
    ! [VarCurr] :
      ( v15494(VarCurr)
     => ( v15515(VarCurr)
      <=> v15516(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_259,axiom,(
    ! [VarCurr] :
      ( ~ v15504(VarCurr)
     => ( v15519(VarCurr)
      <=> v15473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_259,axiom,(
    ! [VarCurr] :
      ( v15504(VarCurr)
     => ( v15519(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_258,axiom,(
    ! [VarCurr] :
      ( ~ v15498(VarCurr)
     => ( v15518(VarCurr)
      <=> v15473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_258,axiom,(
    ! [VarCurr] :
      ( v15498(VarCurr)
     => ( v15518(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_301,axiom,(
    ! [VarCurr] :
      ( ~ v15517(VarCurr)
     => ( v15516(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_241,axiom,(
    ! [VarCurr] :
      ( v15517(VarCurr)
     => ( v15516(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1005,axiom,(
    ! [VarCurr] :
      ( v15517(VarCurr)
    <=> ( v15459(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3596,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15478(VarNext)
      <=> ( v15479(VarNext)
          & v15488(VarNext) ) ) ) )).

fof(addAssignment_6072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15488(VarNext)
      <=> v15486(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3595,axiom,(
    ! [VarCurr] :
      ( v15486(VarCurr)
    <=> ( v15449(VarCurr)
        | v15489(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3594,axiom,(
    ! [VarCurr] :
      ( v15489(VarCurr)
    <=> ( v15490(VarCurr)
        & v15510(VarCurr) ) ) )).

fof(writeUnaryOperator_1929,axiom,(
    ! [VarCurr] :
      ( ~ v15510(VarCurr)
    <=> v15449(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3593,axiom,(
    ! [VarCurr] :
      ( v15490(VarCurr)
    <=> ( v15491(VarCurr)
        | v15508(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3592,axiom,(
    ! [VarCurr] :
      ( v15508(VarCurr)
    <=> ( v15469(VarCurr)
        & v15509(VarCurr) ) ) )).

fof(writeUnaryOperator_1928,axiom,(
    ! [VarCurr] :
      ( ~ v15509(VarCurr)
    <=> v15471(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3591,axiom,(
    ! [VarCurr] :
      ( v15491(VarCurr)
    <=> ( v15492(VarCurr)
        & v15471(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3590,axiom,(
    ! [VarCurr] :
      ( v15492(VarCurr)
    <=> ( v15493(VarCurr)
        | v15502(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3589,axiom,(
    ! [VarCurr] :
      ( v15502(VarCurr)
    <=> ( v15503(VarCurr)
        & v15507(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1004,axiom,(
    ! [VarCurr] :
      ( v15507(VarCurr)
    <=> ( ( v15495(VarCurr,bitIndex2)
        <=> $false )
        & ( v15495(VarCurr,bitIndex1)
        <=> $false )
        & ( v15495(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3588,axiom,(
    ! [VarCurr] :
      ( v15503(VarCurr)
    <=> ( v15504(VarCurr)
        | v15505(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3587,axiom,(
    ! [VarCurr] :
      ( v15505(VarCurr)
    <=> ( v15469(VarCurr)
        & v15506(VarCurr) ) ) )).

fof(writeUnaryOperator_1927,axiom,(
    ! [VarCurr] :
      ( ~ v15506(VarCurr)
    <=> v15504(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1003,axiom,(
    ! [VarCurr] :
      ( v15504(VarCurr)
    <=> ( v15459(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3586,axiom,(
    ! [VarCurr] :
      ( v15493(VarCurr)
    <=> ( v15494(VarCurr)
        | v15496(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3585,axiom,(
    ! [VarCurr] :
      ( v15496(VarCurr)
    <=> ( v15497(VarCurr)
        & v15501(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1002,axiom,(
    ! [VarCurr] :
      ( v15501(VarCurr)
    <=> ( ( v15495(VarCurr,bitIndex2)
        <=> $false )
        & ( v15495(VarCurr,bitIndex1)
        <=> $true )
        & ( v15495(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3584,axiom,(
    ! [VarCurr] :
      ( v15497(VarCurr)
    <=> ( v15498(VarCurr)
        | v15499(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3583,axiom,(
    ! [VarCurr] :
      ( v15499(VarCurr)
    <=> ( v15469(VarCurr)
        & v15500(VarCurr) ) ) )).

fof(writeUnaryOperator_1926,axiom,(
    ! [VarCurr] :
      ( ~ v15500(VarCurr)
    <=> v15498(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1001,axiom,(
    ! [VarCurr] :
      ( v15498(VarCurr)
    <=> ( v15459(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1000,axiom,(
    ! [VarCurr] :
      ( v15494(VarCurr)
    <=> ( ( v15495(VarCurr,bitIndex2)
        <=> $true )
        & ( v15495(VarCurr,bitIndex1)
        <=> $false )
        & ( v15495(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6071,axiom,(
    ! [VarCurr] :
      ( v15495(VarCurr,bitIndex0)
    <=> v15457(VarCurr) ) )).

fof(addAssignment_6070,axiom,(
    ! [VarCurr] :
      ( v15495(VarCurr,bitIndex1)
    <=> v15455(VarCurr) ) )).

fof(addAssignment_6069,axiom,(
    ! [VarCurr] :
      ( v15495(VarCurr,bitIndex2)
    <=> v15453(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3582,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15479(VarNext)
      <=> ( v15480(VarNext)
          & v15475(VarNext) ) ) ) )).

fof(writeUnaryOperator_1925,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15480(VarNext)
      <=> v15482(VarNext) ) ) )).

fof(addAssignment_6068,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15482(VarNext)
      <=> v15475(VarCurr) ) ) )).

fof(addAssignment_6067,axiom,(
    ! [VarCurr] :
      ( v15475(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6066,axiom,(
    ! [VarCurr] :
      ( v15473(VarCurr)
    <=> $false ) )).

fof(addAssignment_6065,axiom,(
    ! [VarCurr] :
      ( v15471(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6064,axiom,(
    ! [VarCurr] :
      ( v15469(VarCurr)
    <=> $false ) )).

fof(addAssignment_6063,axiom,(
    ! [VarCurr] :
      ( v15459(VarCurr)
    <=> v13838(VarCurr,bitIndex36) ) )).

fof(addAssignment_6062,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex36)
    <=> v13840(VarCurr,bitIndex36) ) )).

fof(addAssignment_6061,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex36)
    <=> v3822(VarCurr,bitIndex36) ) )).

fof(addAssignment_6060,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex36)
    <=> v3824(VarCurr,bitIndex36) ) )).

fof(addAssignment_6059,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex36)
    <=> v3826(VarCurr,bitIndex36) ) )).

fof(addAssignment_6058,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex36)
    <=> v3828(VarCurr,bitIndex36) ) )).

fof(addAssignment_6057,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex36)
    <=> v3830(VarCurr,bitIndex36) ) )).

fof(addAssignment_6056,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex36)
    <=> v3832(VarCurr,bitIndex36) ) )).

fof(addAssignment_6055,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex36)
    <=> v3834(VarCurr,bitIndex36) ) )).

fof(addAssignment_6054,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex36)
    <=> v15461(VarNext,bitIndex36) ) )).

fof(addCaseBooleanConditionEqualRanges1_166,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15462(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15461(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_188,axiom,(
    ! [VarNext] :
      ( v15462(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15461(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3581,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15462(VarNext)
      <=> v15463(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3580,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15463(VarNext)
      <=> ( v15465(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1924,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15465(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6053,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex36)
    <=> v13844(VarCurr,bitIndex36) ) )).

fof(addAssignment_6052,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex36)
    <=> v13846(VarCurr,bitIndex36) ) )).

fof(addAssignment_6051,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex36)
    <=> v13848(VarCurr,bitIndex36) ) )).

fof(addAssignment_6050,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex36)
    <=> v13850(VarCurr,bitIndex36) ) )).

fof(addAssignment_6049,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex36)
    <=> v13852(VarCurr,bitIndex36) ) )).

fof(addAssignment_6048,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex36)
    <=> v13538(VarCurr,bitIndex36) ) )).

fof(addAssignment_6047,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex36)
    <=> v13540(VarCurr,bitIndex36) ) )).

fof(addAssignment_6046,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex36)
    <=> v13542(VarCurr,bitIndex36) ) )).

fof(addAssignment_6045,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex36)
    <=> v13544(VarCurr,bitIndex36) ) )).

fof(addAssignment_6044,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex36)
    <=> v13546(VarCurr,bitIndex36) ) )).

fof(addAssignment_6043,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex36)
    <=> v13548(VarCurr,bitIndex36) ) )).

fof(addAssignment_6042,axiom,(
    ! [VarCurr] :
      ( v15457(VarCurr)
    <=> $false ) )).

fof(addAssignment_6041,axiom,(
    ! [VarCurr] :
      ( v15455(VarCurr)
    <=> $false ) )).

fof(addAssignment_6040,axiom,(
    ! [VarCurr] :
      ( v15453(VarCurr)
    <=> $true ) )).

fof(addAssignment_6039,axiom,(
    ! [VarCurr] :
      ( v15451(VarCurr)
    <=> $false ) )).

fof(addAssignment_6038,axiom,(
    ! [VarCurr] :
      ( v15449(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_165,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15402(VarNext)
       => ( v15371(VarNext)
        <=> v15371(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_187,axiom,(
    ! [VarNext] :
      ( v15402(VarNext)
     => ( v15371(VarNext)
      <=> v15437(VarNext) ) ) )).

fof(addAssignment_6037,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15437(VarNext)
      <=> v15435(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_257,axiom,(
    ! [VarCurr] :
      ( ~ v15373(VarCurr)
     => ( v15435(VarCurr)
      <=> v15438(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_257,axiom,(
    ! [VarCurr] :
      ( v15373(VarCurr)
     => ( v15435(VarCurr)
      <=> v15375(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_256,axiom,(
    ! [VarCurr] :
      ( ~ v15415(VarCurr)
     => ( v15438(VarCurr)
      <=> v15397(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_256,axiom,(
    ! [VarCurr] :
      ( v15415(VarCurr)
     => ( v15438(VarCurr)
      <=> v15439(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_79,axiom,(
    ! [VarCurr] :
      ( ( ~ v15418(VarCurr)
        & ~ v15420(VarCurr) )
     => ( v15439(VarCurr)
      <=> v15443(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_255,axiom,(
    ! [VarCurr] :
      ( v15420(VarCurr)
     => ( v15439(VarCurr)
      <=> v15442(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_255,axiom,(
    ! [VarCurr] :
      ( v15418(VarCurr)
     => ( v15439(VarCurr)
      <=> v15440(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_254,axiom,(
    ! [VarCurr] :
      ( ~ v15428(VarCurr)
     => ( v15443(VarCurr)
      <=> v15397(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_254,axiom,(
    ! [VarCurr] :
      ( v15428(VarCurr)
     => ( v15443(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_253,axiom,(
    ! [VarCurr] :
      ( ~ v15422(VarCurr)
     => ( v15442(VarCurr)
      <=> v15397(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_253,axiom,(
    ! [VarCurr] :
      ( v15422(VarCurr)
     => ( v15442(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_300,axiom,(
    ! [VarCurr] :
      ( ~ v15441(VarCurr)
     => ( v15440(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_240,axiom,(
    ! [VarCurr] :
      ( v15441(VarCurr)
     => ( v15440(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_999,axiom,(
    ! [VarCurr] :
      ( v15441(VarCurr)
    <=> ( v15383(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3579,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15402(VarNext)
      <=> ( v15403(VarNext)
          & v15412(VarNext) ) ) ) )).

fof(addAssignment_6036,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15412(VarNext)
      <=> v15410(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3578,axiom,(
    ! [VarCurr] :
      ( v15410(VarCurr)
    <=> ( v15373(VarCurr)
        | v15413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3577,axiom,(
    ! [VarCurr] :
      ( v15413(VarCurr)
    <=> ( v15414(VarCurr)
        & v15434(VarCurr) ) ) )).

fof(writeUnaryOperator_1923,axiom,(
    ! [VarCurr] :
      ( ~ v15434(VarCurr)
    <=> v15373(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3576,axiom,(
    ! [VarCurr] :
      ( v15414(VarCurr)
    <=> ( v15415(VarCurr)
        | v15432(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3575,axiom,(
    ! [VarCurr] :
      ( v15432(VarCurr)
    <=> ( v15393(VarCurr)
        & v15433(VarCurr) ) ) )).

fof(writeUnaryOperator_1922,axiom,(
    ! [VarCurr] :
      ( ~ v15433(VarCurr)
    <=> v15395(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3574,axiom,(
    ! [VarCurr] :
      ( v15415(VarCurr)
    <=> ( v15416(VarCurr)
        & v15395(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3573,axiom,(
    ! [VarCurr] :
      ( v15416(VarCurr)
    <=> ( v15417(VarCurr)
        | v15426(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3572,axiom,(
    ! [VarCurr] :
      ( v15426(VarCurr)
    <=> ( v15427(VarCurr)
        & v15431(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_998,axiom,(
    ! [VarCurr] :
      ( v15431(VarCurr)
    <=> ( ( v15419(VarCurr,bitIndex2)
        <=> $false )
        & ( v15419(VarCurr,bitIndex1)
        <=> $false )
        & ( v15419(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3571,axiom,(
    ! [VarCurr] :
      ( v15427(VarCurr)
    <=> ( v15428(VarCurr)
        | v15429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3570,axiom,(
    ! [VarCurr] :
      ( v15429(VarCurr)
    <=> ( v15393(VarCurr)
        & v15430(VarCurr) ) ) )).

fof(writeUnaryOperator_1921,axiom,(
    ! [VarCurr] :
      ( ~ v15430(VarCurr)
    <=> v15428(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_997,axiom,(
    ! [VarCurr] :
      ( v15428(VarCurr)
    <=> ( v15383(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3569,axiom,(
    ! [VarCurr] :
      ( v15417(VarCurr)
    <=> ( v15418(VarCurr)
        | v15420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3568,axiom,(
    ! [VarCurr] :
      ( v15420(VarCurr)
    <=> ( v15421(VarCurr)
        & v15425(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_996,axiom,(
    ! [VarCurr] :
      ( v15425(VarCurr)
    <=> ( ( v15419(VarCurr,bitIndex2)
        <=> $false )
        & ( v15419(VarCurr,bitIndex1)
        <=> $true )
        & ( v15419(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3567,axiom,(
    ! [VarCurr] :
      ( v15421(VarCurr)
    <=> ( v15422(VarCurr)
        | v15423(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3566,axiom,(
    ! [VarCurr] :
      ( v15423(VarCurr)
    <=> ( v15393(VarCurr)
        & v15424(VarCurr) ) ) )).

fof(writeUnaryOperator_1920,axiom,(
    ! [VarCurr] :
      ( ~ v15424(VarCurr)
    <=> v15422(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_995,axiom,(
    ! [VarCurr] :
      ( v15422(VarCurr)
    <=> ( v15383(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_994,axiom,(
    ! [VarCurr] :
      ( v15418(VarCurr)
    <=> ( ( v15419(VarCurr,bitIndex2)
        <=> $true )
        & ( v15419(VarCurr,bitIndex1)
        <=> $false )
        & ( v15419(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_6035,axiom,(
    ! [VarCurr] :
      ( v15419(VarCurr,bitIndex0)
    <=> v15381(VarCurr) ) )).

fof(addAssignment_6034,axiom,(
    ! [VarCurr] :
      ( v15419(VarCurr,bitIndex1)
    <=> v15379(VarCurr) ) )).

fof(addAssignment_6033,axiom,(
    ! [VarCurr] :
      ( v15419(VarCurr,bitIndex2)
    <=> v15377(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3565,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15403(VarNext)
      <=> ( v15404(VarNext)
          & v15399(VarNext) ) ) ) )).

fof(writeUnaryOperator_1919,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15404(VarNext)
      <=> v15406(VarNext) ) ) )).

fof(addAssignment_6032,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15406(VarNext)
      <=> v15399(VarCurr) ) ) )).

fof(addAssignment_6031,axiom,(
    ! [VarCurr] :
      ( v15399(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_6030,axiom,(
    ! [VarCurr] :
      ( v15397(VarCurr)
    <=> $false ) )).

fof(addAssignment_6029,axiom,(
    ! [VarCurr] :
      ( v15395(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_6028,axiom,(
    ! [VarCurr] :
      ( v15393(VarCurr)
    <=> $false ) )).

fof(addAssignment_6027,axiom,(
    ! [VarCurr] :
      ( v15383(VarCurr)
    <=> v13838(VarCurr,bitIndex35) ) )).

fof(addAssignment_6026,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex35)
    <=> v13840(VarCurr,bitIndex35) ) )).

fof(addAssignment_6025,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex35)
    <=> v3822(VarCurr,bitIndex35) ) )).

fof(addAssignment_6024,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex35)
    <=> v3824(VarCurr,bitIndex35) ) )).

fof(addAssignment_6023,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex35)
    <=> v3826(VarCurr,bitIndex35) ) )).

fof(addAssignment_6022,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex35)
    <=> v3828(VarCurr,bitIndex35) ) )).

fof(addAssignment_6021,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex35)
    <=> v3830(VarCurr,bitIndex35) ) )).

fof(addAssignment_6020,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex35)
    <=> v3832(VarCurr,bitIndex35) ) )).

fof(addAssignment_6019,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex35)
    <=> v3834(VarCurr,bitIndex35) ) )).

fof(addAssignment_6018,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex35)
    <=> v15385(VarNext,bitIndex35) ) )).

fof(addCaseBooleanConditionEqualRanges1_164,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15386(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15385(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_186,axiom,(
    ! [VarNext] :
      ( v15386(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15385(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3564,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15386(VarNext)
      <=> v15387(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3563,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15387(VarNext)
      <=> ( v15389(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1918,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15389(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_6017,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex35)
    <=> v13844(VarCurr,bitIndex35) ) )).

fof(addAssignment_6016,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex35)
    <=> v13846(VarCurr,bitIndex35) ) )).

fof(addAssignment_6015,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex35)
    <=> v13848(VarCurr,bitIndex35) ) )).

fof(addAssignment_6014,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex35)
    <=> v13850(VarCurr,bitIndex35) ) )).

fof(addAssignment_6013,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex35)
    <=> v13852(VarCurr,bitIndex35) ) )).

fof(addAssignment_6012,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex35)
    <=> v13538(VarCurr,bitIndex35) ) )).

fof(addAssignment_6011,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex35)
    <=> v13540(VarCurr,bitIndex35) ) )).

fof(addAssignment_6010,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex35)
    <=> v13542(VarCurr,bitIndex35) ) )).

fof(addAssignment_6009,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex35)
    <=> v13544(VarCurr,bitIndex35) ) )).

fof(addAssignment_6008,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex35)
    <=> v13546(VarCurr,bitIndex35) ) )).

fof(addAssignment_6007,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex35)
    <=> v13548(VarCurr,bitIndex35) ) )).

fof(addAssignment_6006,axiom,(
    ! [VarCurr] :
      ( v15381(VarCurr)
    <=> $false ) )).

fof(addAssignment_6005,axiom,(
    ! [VarCurr] :
      ( v15379(VarCurr)
    <=> $false ) )).

fof(addAssignment_6004,axiom,(
    ! [VarCurr] :
      ( v15377(VarCurr)
    <=> $true ) )).

fof(addAssignment_6003,axiom,(
    ! [VarCurr] :
      ( v15375(VarCurr)
    <=> $false ) )).

fof(addAssignment_6002,axiom,(
    ! [VarCurr] :
      ( v15373(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_163,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15326(VarNext)
       => ( v15295(VarNext)
        <=> v15295(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_185,axiom,(
    ! [VarNext] :
      ( v15326(VarNext)
     => ( v15295(VarNext)
      <=> v15361(VarNext) ) ) )).

fof(addAssignment_6001,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15361(VarNext)
      <=> v15359(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_252,axiom,(
    ! [VarCurr] :
      ( ~ v15297(VarCurr)
     => ( v15359(VarCurr)
      <=> v15362(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_252,axiom,(
    ! [VarCurr] :
      ( v15297(VarCurr)
     => ( v15359(VarCurr)
      <=> v15299(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_251,axiom,(
    ! [VarCurr] :
      ( ~ v15339(VarCurr)
     => ( v15362(VarCurr)
      <=> v15321(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_251,axiom,(
    ! [VarCurr] :
      ( v15339(VarCurr)
     => ( v15362(VarCurr)
      <=> v15363(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_78,axiom,(
    ! [VarCurr] :
      ( ( ~ v15342(VarCurr)
        & ~ v15344(VarCurr) )
     => ( v15363(VarCurr)
      <=> v15367(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_250,axiom,(
    ! [VarCurr] :
      ( v15344(VarCurr)
     => ( v15363(VarCurr)
      <=> v15366(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_250,axiom,(
    ! [VarCurr] :
      ( v15342(VarCurr)
     => ( v15363(VarCurr)
      <=> v15364(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_249,axiom,(
    ! [VarCurr] :
      ( ~ v15352(VarCurr)
     => ( v15367(VarCurr)
      <=> v15321(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_249,axiom,(
    ! [VarCurr] :
      ( v15352(VarCurr)
     => ( v15367(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_248,axiom,(
    ! [VarCurr] :
      ( ~ v15346(VarCurr)
     => ( v15366(VarCurr)
      <=> v15321(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_248,axiom,(
    ! [VarCurr] :
      ( v15346(VarCurr)
     => ( v15366(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_299,axiom,(
    ! [VarCurr] :
      ( ~ v15365(VarCurr)
     => ( v15364(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_239,axiom,(
    ! [VarCurr] :
      ( v15365(VarCurr)
     => ( v15364(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_993,axiom,(
    ! [VarCurr] :
      ( v15365(VarCurr)
    <=> ( v15307(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3562,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15326(VarNext)
      <=> ( v15327(VarNext)
          & v15336(VarNext) ) ) ) )).

fof(addAssignment_6000,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15336(VarNext)
      <=> v15334(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3561,axiom,(
    ! [VarCurr] :
      ( v15334(VarCurr)
    <=> ( v15297(VarCurr)
        | v15337(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3560,axiom,(
    ! [VarCurr] :
      ( v15337(VarCurr)
    <=> ( v15338(VarCurr)
        & v15358(VarCurr) ) ) )).

fof(writeUnaryOperator_1917,axiom,(
    ! [VarCurr] :
      ( ~ v15358(VarCurr)
    <=> v15297(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3559,axiom,(
    ! [VarCurr] :
      ( v15338(VarCurr)
    <=> ( v15339(VarCurr)
        | v15356(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3558,axiom,(
    ! [VarCurr] :
      ( v15356(VarCurr)
    <=> ( v15317(VarCurr)
        & v15357(VarCurr) ) ) )).

fof(writeUnaryOperator_1916,axiom,(
    ! [VarCurr] :
      ( ~ v15357(VarCurr)
    <=> v15319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3557,axiom,(
    ! [VarCurr] :
      ( v15339(VarCurr)
    <=> ( v15340(VarCurr)
        & v15319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3556,axiom,(
    ! [VarCurr] :
      ( v15340(VarCurr)
    <=> ( v15341(VarCurr)
        | v15350(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3555,axiom,(
    ! [VarCurr] :
      ( v15350(VarCurr)
    <=> ( v15351(VarCurr)
        & v15355(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_992,axiom,(
    ! [VarCurr] :
      ( v15355(VarCurr)
    <=> ( ( v15343(VarCurr,bitIndex2)
        <=> $false )
        & ( v15343(VarCurr,bitIndex1)
        <=> $false )
        & ( v15343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3554,axiom,(
    ! [VarCurr] :
      ( v15351(VarCurr)
    <=> ( v15352(VarCurr)
        | v15353(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3553,axiom,(
    ! [VarCurr] :
      ( v15353(VarCurr)
    <=> ( v15317(VarCurr)
        & v15354(VarCurr) ) ) )).

fof(writeUnaryOperator_1915,axiom,(
    ! [VarCurr] :
      ( ~ v15354(VarCurr)
    <=> v15352(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_991,axiom,(
    ! [VarCurr] :
      ( v15352(VarCurr)
    <=> ( v15307(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3552,axiom,(
    ! [VarCurr] :
      ( v15341(VarCurr)
    <=> ( v15342(VarCurr)
        | v15344(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3551,axiom,(
    ! [VarCurr] :
      ( v15344(VarCurr)
    <=> ( v15345(VarCurr)
        & v15349(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_990,axiom,(
    ! [VarCurr] :
      ( v15349(VarCurr)
    <=> ( ( v15343(VarCurr,bitIndex2)
        <=> $false )
        & ( v15343(VarCurr,bitIndex1)
        <=> $true )
        & ( v15343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3550,axiom,(
    ! [VarCurr] :
      ( v15345(VarCurr)
    <=> ( v15346(VarCurr)
        | v15347(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3549,axiom,(
    ! [VarCurr] :
      ( v15347(VarCurr)
    <=> ( v15317(VarCurr)
        & v15348(VarCurr) ) ) )).

fof(writeUnaryOperator_1914,axiom,(
    ! [VarCurr] :
      ( ~ v15348(VarCurr)
    <=> v15346(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_989,axiom,(
    ! [VarCurr] :
      ( v15346(VarCurr)
    <=> ( v15307(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_988,axiom,(
    ! [VarCurr] :
      ( v15342(VarCurr)
    <=> ( ( v15343(VarCurr,bitIndex2)
        <=> $true )
        & ( v15343(VarCurr,bitIndex1)
        <=> $false )
        & ( v15343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5999,axiom,(
    ! [VarCurr] :
      ( v15343(VarCurr,bitIndex0)
    <=> v15305(VarCurr) ) )).

fof(addAssignment_5998,axiom,(
    ! [VarCurr] :
      ( v15343(VarCurr,bitIndex1)
    <=> v15303(VarCurr) ) )).

fof(addAssignment_5997,axiom,(
    ! [VarCurr] :
      ( v15343(VarCurr,bitIndex2)
    <=> v15301(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15327(VarNext)
      <=> ( v15328(VarNext)
          & v15323(VarNext) ) ) ) )).

fof(writeUnaryOperator_1913,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15328(VarNext)
      <=> v15330(VarNext) ) ) )).

fof(addAssignment_5996,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15330(VarNext)
      <=> v15323(VarCurr) ) ) )).

fof(addAssignment_5995,axiom,(
    ! [VarCurr] :
      ( v15323(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5994,axiom,(
    ! [VarCurr] :
      ( v15321(VarCurr)
    <=> $false ) )).

fof(addAssignment_5993,axiom,(
    ! [VarCurr] :
      ( v15319(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5992,axiom,(
    ! [VarCurr] :
      ( v15317(VarCurr)
    <=> $false ) )).

fof(addAssignment_5991,axiom,(
    ! [VarCurr] :
      ( v15307(VarCurr)
    <=> v13838(VarCurr,bitIndex34) ) )).

fof(addAssignment_5990,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex34)
    <=> v13840(VarCurr,bitIndex34) ) )).

fof(addAssignment_5989,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex34)
    <=> v3822(VarCurr,bitIndex34) ) )).

fof(addAssignment_5988,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex34)
    <=> v3824(VarCurr,bitIndex34) ) )).

fof(addAssignment_5987,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex34)
    <=> v3826(VarCurr,bitIndex34) ) )).

fof(addAssignment_5986,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex34)
    <=> v3828(VarCurr,bitIndex34) ) )).

fof(addAssignment_5985,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex34)
    <=> v3830(VarCurr,bitIndex34) ) )).

fof(addAssignment_5984,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex34)
    <=> v3832(VarCurr,bitIndex34) ) )).

fof(addAssignment_5983,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex34)
    <=> v3834(VarCurr,bitIndex34) ) )).

fof(addAssignment_5982,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex34)
    <=> v15309(VarNext,bitIndex34) ) )).

fof(addCaseBooleanConditionEqualRanges1_162,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15310(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15309(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_184,axiom,(
    ! [VarNext] :
      ( v15310(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15309(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15310(VarNext)
      <=> v15311(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3546,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15311(VarNext)
      <=> ( v15313(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1912,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15313(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5981,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex34)
    <=> v13844(VarCurr,bitIndex34) ) )).

fof(addAssignment_5980,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex34)
    <=> v13846(VarCurr,bitIndex34) ) )).

fof(addAssignment_5979,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex34)
    <=> v13848(VarCurr,bitIndex34) ) )).

fof(addAssignment_5978,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex34)
    <=> v13850(VarCurr,bitIndex34) ) )).

fof(addAssignment_5977,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex34)
    <=> v13852(VarCurr,bitIndex34) ) )).

fof(addAssignment_5976,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex34)
    <=> v13538(VarCurr,bitIndex34) ) )).

fof(addAssignment_5975,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex34)
    <=> v13540(VarCurr,bitIndex34) ) )).

fof(addAssignment_5974,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex34)
    <=> v13542(VarCurr,bitIndex34) ) )).

fof(addAssignment_5973,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex34)
    <=> v13544(VarCurr,bitIndex34) ) )).

fof(addAssignment_5972,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex34)
    <=> v13546(VarCurr,bitIndex34) ) )).

fof(addAssignment_5971,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex34)
    <=> v13548(VarCurr,bitIndex34) ) )).

fof(addAssignment_5970,axiom,(
    ! [VarCurr] :
      ( v15305(VarCurr)
    <=> $false ) )).

fof(addAssignment_5969,axiom,(
    ! [VarCurr] :
      ( v15303(VarCurr)
    <=> $false ) )).

fof(addAssignment_5968,axiom,(
    ! [VarCurr] :
      ( v15301(VarCurr)
    <=> $true ) )).

fof(addAssignment_5967,axiom,(
    ! [VarCurr] :
      ( v15299(VarCurr)
    <=> $false ) )).

fof(addAssignment_5966,axiom,(
    ! [VarCurr] :
      ( v15297(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_161,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15250(VarNext)
       => ( v15219(VarNext)
        <=> v15219(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_183,axiom,(
    ! [VarNext] :
      ( v15250(VarNext)
     => ( v15219(VarNext)
      <=> v15285(VarNext) ) ) )).

fof(addAssignment_5965,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15285(VarNext)
      <=> v15283(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_247,axiom,(
    ! [VarCurr] :
      ( ~ v15221(VarCurr)
     => ( v15283(VarCurr)
      <=> v15286(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_247,axiom,(
    ! [VarCurr] :
      ( v15221(VarCurr)
     => ( v15283(VarCurr)
      <=> v15223(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_246,axiom,(
    ! [VarCurr] :
      ( ~ v15263(VarCurr)
     => ( v15286(VarCurr)
      <=> v15245(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_246,axiom,(
    ! [VarCurr] :
      ( v15263(VarCurr)
     => ( v15286(VarCurr)
      <=> v15287(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_77,axiom,(
    ! [VarCurr] :
      ( ( ~ v15266(VarCurr)
        & ~ v15268(VarCurr) )
     => ( v15287(VarCurr)
      <=> v15291(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_245,axiom,(
    ! [VarCurr] :
      ( v15268(VarCurr)
     => ( v15287(VarCurr)
      <=> v15290(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_245,axiom,(
    ! [VarCurr] :
      ( v15266(VarCurr)
     => ( v15287(VarCurr)
      <=> v15288(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_244,axiom,(
    ! [VarCurr] :
      ( ~ v15276(VarCurr)
     => ( v15291(VarCurr)
      <=> v15245(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_244,axiom,(
    ! [VarCurr] :
      ( v15276(VarCurr)
     => ( v15291(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_243,axiom,(
    ! [VarCurr] :
      ( ~ v15270(VarCurr)
     => ( v15290(VarCurr)
      <=> v15245(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_243,axiom,(
    ! [VarCurr] :
      ( v15270(VarCurr)
     => ( v15290(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_298,axiom,(
    ! [VarCurr] :
      ( ~ v15289(VarCurr)
     => ( v15288(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_238,axiom,(
    ! [VarCurr] :
      ( v15289(VarCurr)
     => ( v15288(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_987,axiom,(
    ! [VarCurr] :
      ( v15289(VarCurr)
    <=> ( v15231(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3545,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15250(VarNext)
      <=> ( v15251(VarNext)
          & v15260(VarNext) ) ) ) )).

fof(addAssignment_5964,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15260(VarNext)
      <=> v15258(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3544,axiom,(
    ! [VarCurr] :
      ( v15258(VarCurr)
    <=> ( v15221(VarCurr)
        | v15261(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3543,axiom,(
    ! [VarCurr] :
      ( v15261(VarCurr)
    <=> ( v15262(VarCurr)
        & v15282(VarCurr) ) ) )).

fof(writeUnaryOperator_1911,axiom,(
    ! [VarCurr] :
      ( ~ v15282(VarCurr)
    <=> v15221(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3542,axiom,(
    ! [VarCurr] :
      ( v15262(VarCurr)
    <=> ( v15263(VarCurr)
        | v15280(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3541,axiom,(
    ! [VarCurr] :
      ( v15280(VarCurr)
    <=> ( v15241(VarCurr)
        & v15281(VarCurr) ) ) )).

fof(writeUnaryOperator_1910,axiom,(
    ! [VarCurr] :
      ( ~ v15281(VarCurr)
    <=> v15243(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3540,axiom,(
    ! [VarCurr] :
      ( v15263(VarCurr)
    <=> ( v15264(VarCurr)
        & v15243(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3539,axiom,(
    ! [VarCurr] :
      ( v15264(VarCurr)
    <=> ( v15265(VarCurr)
        | v15274(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3538,axiom,(
    ! [VarCurr] :
      ( v15274(VarCurr)
    <=> ( v15275(VarCurr)
        & v15279(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_986,axiom,(
    ! [VarCurr] :
      ( v15279(VarCurr)
    <=> ( ( v15267(VarCurr,bitIndex2)
        <=> $false )
        & ( v15267(VarCurr,bitIndex1)
        <=> $false )
        & ( v15267(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3537,axiom,(
    ! [VarCurr] :
      ( v15275(VarCurr)
    <=> ( v15276(VarCurr)
        | v15277(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3536,axiom,(
    ! [VarCurr] :
      ( v15277(VarCurr)
    <=> ( v15241(VarCurr)
        & v15278(VarCurr) ) ) )).

fof(writeUnaryOperator_1909,axiom,(
    ! [VarCurr] :
      ( ~ v15278(VarCurr)
    <=> v15276(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_985,axiom,(
    ! [VarCurr] :
      ( v15276(VarCurr)
    <=> ( v15231(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3535,axiom,(
    ! [VarCurr] :
      ( v15265(VarCurr)
    <=> ( v15266(VarCurr)
        | v15268(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3534,axiom,(
    ! [VarCurr] :
      ( v15268(VarCurr)
    <=> ( v15269(VarCurr)
        & v15273(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_984,axiom,(
    ! [VarCurr] :
      ( v15273(VarCurr)
    <=> ( ( v15267(VarCurr,bitIndex2)
        <=> $false )
        & ( v15267(VarCurr,bitIndex1)
        <=> $true )
        & ( v15267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3533,axiom,(
    ! [VarCurr] :
      ( v15269(VarCurr)
    <=> ( v15270(VarCurr)
        | v15271(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3532,axiom,(
    ! [VarCurr] :
      ( v15271(VarCurr)
    <=> ( v15241(VarCurr)
        & v15272(VarCurr) ) ) )).

fof(writeUnaryOperator_1908,axiom,(
    ! [VarCurr] :
      ( ~ v15272(VarCurr)
    <=> v15270(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_983,axiom,(
    ! [VarCurr] :
      ( v15270(VarCurr)
    <=> ( v15231(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_982,axiom,(
    ! [VarCurr] :
      ( v15266(VarCurr)
    <=> ( ( v15267(VarCurr,bitIndex2)
        <=> $true )
        & ( v15267(VarCurr,bitIndex1)
        <=> $false )
        & ( v15267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5963,axiom,(
    ! [VarCurr] :
      ( v15267(VarCurr,bitIndex0)
    <=> v15229(VarCurr) ) )).

fof(addAssignment_5962,axiom,(
    ! [VarCurr] :
      ( v15267(VarCurr,bitIndex1)
    <=> v15227(VarCurr) ) )).

fof(addAssignment_5961,axiom,(
    ! [VarCurr] :
      ( v15267(VarCurr,bitIndex2)
    <=> v15225(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3531,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15251(VarNext)
      <=> ( v15252(VarNext)
          & v15247(VarNext) ) ) ) )).

fof(writeUnaryOperator_1907,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15252(VarNext)
      <=> v15254(VarNext) ) ) )).

fof(addAssignment_5960,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15254(VarNext)
      <=> v15247(VarCurr) ) ) )).

fof(addAssignment_5959,axiom,(
    ! [VarCurr] :
      ( v15247(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5958,axiom,(
    ! [VarCurr] :
      ( v15245(VarCurr)
    <=> $false ) )).

fof(addAssignment_5957,axiom,(
    ! [VarCurr] :
      ( v15243(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5956,axiom,(
    ! [VarCurr] :
      ( v15241(VarCurr)
    <=> $false ) )).

fof(addAssignment_5955,axiom,(
    ! [VarCurr] :
      ( v15231(VarCurr)
    <=> v13838(VarCurr,bitIndex33) ) )).

fof(addAssignment_5954,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex33)
    <=> v13840(VarCurr,bitIndex33) ) )).

fof(addAssignment_5953,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex33)
    <=> v3822(VarCurr,bitIndex33) ) )).

fof(addAssignment_5952,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex33)
    <=> v3824(VarCurr,bitIndex33) ) )).

fof(addAssignment_5951,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex33)
    <=> v3826(VarCurr,bitIndex33) ) )).

fof(addAssignment_5950,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex33)
    <=> v3828(VarCurr,bitIndex33) ) )).

fof(addAssignment_5949,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex33)
    <=> v3830(VarCurr,bitIndex33) ) )).

fof(addAssignment_5948,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex33)
    <=> v3832(VarCurr,bitIndex33) ) )).

fof(addAssignment_5947,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex33)
    <=> v3834(VarCurr,bitIndex33) ) )).

fof(addAssignment_5946,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex33)
    <=> v15233(VarNext,bitIndex33) ) )).

fof(addCaseBooleanConditionEqualRanges1_160,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15234(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15233(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_182,axiom,(
    ! [VarNext] :
      ( v15234(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15233(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3530,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15234(VarNext)
      <=> v15235(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3529,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15235(VarNext)
      <=> ( v15237(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1906,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15237(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5945,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex33)
    <=> v13844(VarCurr,bitIndex33) ) )).

fof(addAssignment_5944,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex33)
    <=> v13846(VarCurr,bitIndex33) ) )).

fof(addAssignment_5943,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex33)
    <=> v13848(VarCurr,bitIndex33) ) )).

fof(addAssignment_5942,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex33)
    <=> v13850(VarCurr,bitIndex33) ) )).

fof(addAssignment_5941,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex33)
    <=> v13852(VarCurr,bitIndex33) ) )).

fof(addAssignment_5940,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex33)
    <=> v13538(VarCurr,bitIndex33) ) )).

fof(addAssignment_5939,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex33)
    <=> v13540(VarCurr,bitIndex33) ) )).

fof(addAssignment_5938,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex33)
    <=> v13542(VarCurr,bitIndex33) ) )).

fof(addAssignment_5937,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex33)
    <=> v13544(VarCurr,bitIndex33) ) )).

fof(addAssignment_5936,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex33)
    <=> v13546(VarCurr,bitIndex33) ) )).

fof(addAssignment_5935,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex33)
    <=> v13548(VarCurr,bitIndex33) ) )).

fof(addAssignment_5934,axiom,(
    ! [VarCurr] :
      ( v15229(VarCurr)
    <=> $false ) )).

fof(addAssignment_5933,axiom,(
    ! [VarCurr] :
      ( v15227(VarCurr)
    <=> $false ) )).

fof(addAssignment_5932,axiom,(
    ! [VarCurr] :
      ( v15225(VarCurr)
    <=> $true ) )).

fof(addAssignment_5931,axiom,(
    ! [VarCurr] :
      ( v15223(VarCurr)
    <=> $false ) )).

fof(addAssignment_5930,axiom,(
    ! [VarCurr] :
      ( v15221(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_159,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15174(VarNext)
       => ( v15143(VarNext)
        <=> v15143(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_181,axiom,(
    ! [VarNext] :
      ( v15174(VarNext)
     => ( v15143(VarNext)
      <=> v15209(VarNext) ) ) )).

fof(addAssignment_5929,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15209(VarNext)
      <=> v15207(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_242,axiom,(
    ! [VarCurr] :
      ( ~ v15145(VarCurr)
     => ( v15207(VarCurr)
      <=> v15210(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_242,axiom,(
    ! [VarCurr] :
      ( v15145(VarCurr)
     => ( v15207(VarCurr)
      <=> v15147(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_241,axiom,(
    ! [VarCurr] :
      ( ~ v15187(VarCurr)
     => ( v15210(VarCurr)
      <=> v15169(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_241,axiom,(
    ! [VarCurr] :
      ( v15187(VarCurr)
     => ( v15210(VarCurr)
      <=> v15211(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_76,axiom,(
    ! [VarCurr] :
      ( ( ~ v15190(VarCurr)
        & ~ v15192(VarCurr) )
     => ( v15211(VarCurr)
      <=> v15215(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_240,axiom,(
    ! [VarCurr] :
      ( v15192(VarCurr)
     => ( v15211(VarCurr)
      <=> v15214(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_240,axiom,(
    ! [VarCurr] :
      ( v15190(VarCurr)
     => ( v15211(VarCurr)
      <=> v15212(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_239,axiom,(
    ! [VarCurr] :
      ( ~ v15200(VarCurr)
     => ( v15215(VarCurr)
      <=> v15169(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_239,axiom,(
    ! [VarCurr] :
      ( v15200(VarCurr)
     => ( v15215(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_238,axiom,(
    ! [VarCurr] :
      ( ~ v15194(VarCurr)
     => ( v15214(VarCurr)
      <=> v15169(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_238,axiom,(
    ! [VarCurr] :
      ( v15194(VarCurr)
     => ( v15214(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_297,axiom,(
    ! [VarCurr] :
      ( ~ v15213(VarCurr)
     => ( v15212(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_237,axiom,(
    ! [VarCurr] :
      ( v15213(VarCurr)
     => ( v15212(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_981,axiom,(
    ! [VarCurr] :
      ( v15213(VarCurr)
    <=> ( v15155(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15174(VarNext)
      <=> ( v15175(VarNext)
          & v15184(VarNext) ) ) ) )).

fof(addAssignment_5928,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15184(VarNext)
      <=> v15182(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3527,axiom,(
    ! [VarCurr] :
      ( v15182(VarCurr)
    <=> ( v15145(VarCurr)
        | v15185(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3526,axiom,(
    ! [VarCurr] :
      ( v15185(VarCurr)
    <=> ( v15186(VarCurr)
        & v15206(VarCurr) ) ) )).

fof(writeUnaryOperator_1905,axiom,(
    ! [VarCurr] :
      ( ~ v15206(VarCurr)
    <=> v15145(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3525,axiom,(
    ! [VarCurr] :
      ( v15186(VarCurr)
    <=> ( v15187(VarCurr)
        | v15204(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3524,axiom,(
    ! [VarCurr] :
      ( v15204(VarCurr)
    <=> ( v15165(VarCurr)
        & v15205(VarCurr) ) ) )).

fof(writeUnaryOperator_1904,axiom,(
    ! [VarCurr] :
      ( ~ v15205(VarCurr)
    <=> v15167(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3523,axiom,(
    ! [VarCurr] :
      ( v15187(VarCurr)
    <=> ( v15188(VarCurr)
        & v15167(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3522,axiom,(
    ! [VarCurr] :
      ( v15188(VarCurr)
    <=> ( v15189(VarCurr)
        | v15198(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3521,axiom,(
    ! [VarCurr] :
      ( v15198(VarCurr)
    <=> ( v15199(VarCurr)
        & v15203(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_980,axiom,(
    ! [VarCurr] :
      ( v15203(VarCurr)
    <=> ( ( v15191(VarCurr,bitIndex2)
        <=> $false )
        & ( v15191(VarCurr,bitIndex1)
        <=> $false )
        & ( v15191(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3520,axiom,(
    ! [VarCurr] :
      ( v15199(VarCurr)
    <=> ( v15200(VarCurr)
        | v15201(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3519,axiom,(
    ! [VarCurr] :
      ( v15201(VarCurr)
    <=> ( v15165(VarCurr)
        & v15202(VarCurr) ) ) )).

fof(writeUnaryOperator_1903,axiom,(
    ! [VarCurr] :
      ( ~ v15202(VarCurr)
    <=> v15200(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_979,axiom,(
    ! [VarCurr] :
      ( v15200(VarCurr)
    <=> ( v15155(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3518,axiom,(
    ! [VarCurr] :
      ( v15189(VarCurr)
    <=> ( v15190(VarCurr)
        | v15192(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3517,axiom,(
    ! [VarCurr] :
      ( v15192(VarCurr)
    <=> ( v15193(VarCurr)
        & v15197(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_978,axiom,(
    ! [VarCurr] :
      ( v15197(VarCurr)
    <=> ( ( v15191(VarCurr,bitIndex2)
        <=> $false )
        & ( v15191(VarCurr,bitIndex1)
        <=> $true )
        & ( v15191(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3516,axiom,(
    ! [VarCurr] :
      ( v15193(VarCurr)
    <=> ( v15194(VarCurr)
        | v15195(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3515,axiom,(
    ! [VarCurr] :
      ( v15195(VarCurr)
    <=> ( v15165(VarCurr)
        & v15196(VarCurr) ) ) )).

fof(writeUnaryOperator_1902,axiom,(
    ! [VarCurr] :
      ( ~ v15196(VarCurr)
    <=> v15194(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_977,axiom,(
    ! [VarCurr] :
      ( v15194(VarCurr)
    <=> ( v15155(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_976,axiom,(
    ! [VarCurr] :
      ( v15190(VarCurr)
    <=> ( ( v15191(VarCurr,bitIndex2)
        <=> $true )
        & ( v15191(VarCurr,bitIndex1)
        <=> $false )
        & ( v15191(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5927,axiom,(
    ! [VarCurr] :
      ( v15191(VarCurr,bitIndex0)
    <=> v15153(VarCurr) ) )).

fof(addAssignment_5926,axiom,(
    ! [VarCurr] :
      ( v15191(VarCurr,bitIndex1)
    <=> v15151(VarCurr) ) )).

fof(addAssignment_5925,axiom,(
    ! [VarCurr] :
      ( v15191(VarCurr,bitIndex2)
    <=> v15149(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3514,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15175(VarNext)
      <=> ( v15176(VarNext)
          & v15171(VarNext) ) ) ) )).

fof(writeUnaryOperator_1901,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15176(VarNext)
      <=> v15178(VarNext) ) ) )).

fof(addAssignment_5924,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15178(VarNext)
      <=> v15171(VarCurr) ) ) )).

fof(addAssignment_5923,axiom,(
    ! [VarCurr] :
      ( v15171(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5922,axiom,(
    ! [VarCurr] :
      ( v15169(VarCurr)
    <=> $false ) )).

fof(addAssignment_5921,axiom,(
    ! [VarCurr] :
      ( v15167(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5920,axiom,(
    ! [VarCurr] :
      ( v15165(VarCurr)
    <=> $false ) )).

fof(addAssignment_5919,axiom,(
    ! [VarCurr] :
      ( v15155(VarCurr)
    <=> v13838(VarCurr,bitIndex32) ) )).

fof(addAssignment_5918,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex32)
    <=> v13840(VarCurr,bitIndex32) ) )).

fof(addAssignment_5917,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex32)
    <=> v3822(VarCurr,bitIndex32) ) )).

fof(addAssignment_5916,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex32)
    <=> v3824(VarCurr,bitIndex32) ) )).

fof(addAssignment_5915,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex32)
    <=> v3826(VarCurr,bitIndex32) ) )).

fof(addAssignment_5914,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex32)
    <=> v3828(VarCurr,bitIndex32) ) )).

fof(addAssignment_5913,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex32)
    <=> v3830(VarCurr,bitIndex32) ) )).

fof(addAssignment_5912,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex32)
    <=> v3832(VarCurr,bitIndex32) ) )).

fof(addAssignment_5911,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex32)
    <=> v3834(VarCurr,bitIndex32) ) )).

fof(addAssignment_5910,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex32)
    <=> v15157(VarNext,bitIndex32) ) )).

fof(addCaseBooleanConditionEqualRanges1_158,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15158(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15157(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_180,axiom,(
    ! [VarNext] :
      ( v15158(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15157(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3513,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15158(VarNext)
      <=> v15159(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3512,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15159(VarNext)
      <=> ( v15161(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15161(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5909,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex32)
    <=> v13844(VarCurr,bitIndex32) ) )).

fof(addAssignment_5908,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex32)
    <=> v13846(VarCurr,bitIndex32) ) )).

fof(addAssignment_5907,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex32)
    <=> v13848(VarCurr,bitIndex32) ) )).

fof(addAssignment_5906,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex32)
    <=> v13850(VarCurr,bitIndex32) ) )).

fof(addAssignment_5905,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex32)
    <=> v13852(VarCurr,bitIndex32) ) )).

fof(addAssignment_5904,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex32)
    <=> v13538(VarCurr,bitIndex32) ) )).

fof(addAssignment_5903,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex32)
    <=> v13540(VarCurr,bitIndex32) ) )).

fof(addAssignment_5902,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex32)
    <=> v13542(VarCurr,bitIndex32) ) )).

fof(addAssignment_5901,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex32)
    <=> v13544(VarCurr,bitIndex32) ) )).

fof(addAssignment_5900,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex32)
    <=> v13546(VarCurr,bitIndex32) ) )).

fof(addAssignment_5899,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex32)
    <=> v13548(VarCurr,bitIndex32) ) )).

fof(addAssignment_5898,axiom,(
    ! [VarCurr] :
      ( v15153(VarCurr)
    <=> $false ) )).

fof(addAssignment_5897,axiom,(
    ! [VarCurr] :
      ( v15151(VarCurr)
    <=> $false ) )).

fof(addAssignment_5896,axiom,(
    ! [VarCurr] :
      ( v15149(VarCurr)
    <=> $true ) )).

fof(addAssignment_5895,axiom,(
    ! [VarCurr] :
      ( v15147(VarCurr)
    <=> $false ) )).

fof(addAssignment_5894,axiom,(
    ! [VarCurr] :
      ( v15145(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_157,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15098(VarNext)
       => ( v15067(VarNext)
        <=> v15067(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_179,axiom,(
    ! [VarNext] :
      ( v15098(VarNext)
     => ( v15067(VarNext)
      <=> v15133(VarNext) ) ) )).

fof(addAssignment_5893,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15133(VarNext)
      <=> v15131(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_237,axiom,(
    ! [VarCurr] :
      ( ~ v15069(VarCurr)
     => ( v15131(VarCurr)
      <=> v15134(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_237,axiom,(
    ! [VarCurr] :
      ( v15069(VarCurr)
     => ( v15131(VarCurr)
      <=> v15071(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_236,axiom,(
    ! [VarCurr] :
      ( ~ v15111(VarCurr)
     => ( v15134(VarCurr)
      <=> v15093(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_236,axiom,(
    ! [VarCurr] :
      ( v15111(VarCurr)
     => ( v15134(VarCurr)
      <=> v15135(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_75,axiom,(
    ! [VarCurr] :
      ( ( ~ v15114(VarCurr)
        & ~ v15116(VarCurr) )
     => ( v15135(VarCurr)
      <=> v15139(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_235,axiom,(
    ! [VarCurr] :
      ( v15116(VarCurr)
     => ( v15135(VarCurr)
      <=> v15138(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_235,axiom,(
    ! [VarCurr] :
      ( v15114(VarCurr)
     => ( v15135(VarCurr)
      <=> v15136(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_234,axiom,(
    ! [VarCurr] :
      ( ~ v15124(VarCurr)
     => ( v15139(VarCurr)
      <=> v15093(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_234,axiom,(
    ! [VarCurr] :
      ( v15124(VarCurr)
     => ( v15139(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_233,axiom,(
    ! [VarCurr] :
      ( ~ v15118(VarCurr)
     => ( v15138(VarCurr)
      <=> v15093(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_233,axiom,(
    ! [VarCurr] :
      ( v15118(VarCurr)
     => ( v15138(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_296,axiom,(
    ! [VarCurr] :
      ( ~ v15137(VarCurr)
     => ( v15136(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_236,axiom,(
    ! [VarCurr] :
      ( v15137(VarCurr)
     => ( v15136(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_975,axiom,(
    ! [VarCurr] :
      ( v15137(VarCurr)
    <=> ( v15079(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3511,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15098(VarNext)
      <=> ( v15099(VarNext)
          & v15108(VarNext) ) ) ) )).

fof(addAssignment_5892,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15108(VarNext)
      <=> v15106(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3510,axiom,(
    ! [VarCurr] :
      ( v15106(VarCurr)
    <=> ( v15069(VarCurr)
        | v15109(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3509,axiom,(
    ! [VarCurr] :
      ( v15109(VarCurr)
    <=> ( v15110(VarCurr)
        & v15130(VarCurr) ) ) )).

fof(writeUnaryOperator_1899,axiom,(
    ! [VarCurr] :
      ( ~ v15130(VarCurr)
    <=> v15069(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3508,axiom,(
    ! [VarCurr] :
      ( v15110(VarCurr)
    <=> ( v15111(VarCurr)
        | v15128(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3507,axiom,(
    ! [VarCurr] :
      ( v15128(VarCurr)
    <=> ( v15089(VarCurr)
        & v15129(VarCurr) ) ) )).

fof(writeUnaryOperator_1898,axiom,(
    ! [VarCurr] :
      ( ~ v15129(VarCurr)
    <=> v15091(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3506,axiom,(
    ! [VarCurr] :
      ( v15111(VarCurr)
    <=> ( v15112(VarCurr)
        & v15091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3505,axiom,(
    ! [VarCurr] :
      ( v15112(VarCurr)
    <=> ( v15113(VarCurr)
        | v15122(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3504,axiom,(
    ! [VarCurr] :
      ( v15122(VarCurr)
    <=> ( v15123(VarCurr)
        & v15127(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_974,axiom,(
    ! [VarCurr] :
      ( v15127(VarCurr)
    <=> ( ( v15115(VarCurr,bitIndex2)
        <=> $false )
        & ( v15115(VarCurr,bitIndex1)
        <=> $false )
        & ( v15115(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3503,axiom,(
    ! [VarCurr] :
      ( v15123(VarCurr)
    <=> ( v15124(VarCurr)
        | v15125(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3502,axiom,(
    ! [VarCurr] :
      ( v15125(VarCurr)
    <=> ( v15089(VarCurr)
        & v15126(VarCurr) ) ) )).

fof(writeUnaryOperator_1897,axiom,(
    ! [VarCurr] :
      ( ~ v15126(VarCurr)
    <=> v15124(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_973,axiom,(
    ! [VarCurr] :
      ( v15124(VarCurr)
    <=> ( v15079(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3501,axiom,(
    ! [VarCurr] :
      ( v15113(VarCurr)
    <=> ( v15114(VarCurr)
        | v15116(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3500,axiom,(
    ! [VarCurr] :
      ( v15116(VarCurr)
    <=> ( v15117(VarCurr)
        & v15121(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_972,axiom,(
    ! [VarCurr] :
      ( v15121(VarCurr)
    <=> ( ( v15115(VarCurr,bitIndex2)
        <=> $false )
        & ( v15115(VarCurr,bitIndex1)
        <=> $true )
        & ( v15115(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3499,axiom,(
    ! [VarCurr] :
      ( v15117(VarCurr)
    <=> ( v15118(VarCurr)
        | v15119(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3498,axiom,(
    ! [VarCurr] :
      ( v15119(VarCurr)
    <=> ( v15089(VarCurr)
        & v15120(VarCurr) ) ) )).

fof(writeUnaryOperator_1896,axiom,(
    ! [VarCurr] :
      ( ~ v15120(VarCurr)
    <=> v15118(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_971,axiom,(
    ! [VarCurr] :
      ( v15118(VarCurr)
    <=> ( v15079(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_970,axiom,(
    ! [VarCurr] :
      ( v15114(VarCurr)
    <=> ( ( v15115(VarCurr,bitIndex2)
        <=> $true )
        & ( v15115(VarCurr,bitIndex1)
        <=> $false )
        & ( v15115(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5891,axiom,(
    ! [VarCurr] :
      ( v15115(VarCurr,bitIndex0)
    <=> v15077(VarCurr) ) )).

fof(addAssignment_5890,axiom,(
    ! [VarCurr] :
      ( v15115(VarCurr,bitIndex1)
    <=> v15075(VarCurr) ) )).

fof(addAssignment_5889,axiom,(
    ! [VarCurr] :
      ( v15115(VarCurr,bitIndex2)
    <=> v15073(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3497,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15099(VarNext)
      <=> ( v15100(VarNext)
          & v15095(VarNext) ) ) ) )).

fof(writeUnaryOperator_1895,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15100(VarNext)
      <=> v15102(VarNext) ) ) )).

fof(addAssignment_5888,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15102(VarNext)
      <=> v15095(VarCurr) ) ) )).

fof(addAssignment_5887,axiom,(
    ! [VarCurr] :
      ( v15095(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5886,axiom,(
    ! [VarCurr] :
      ( v15093(VarCurr)
    <=> $false ) )).

fof(addAssignment_5885,axiom,(
    ! [VarCurr] :
      ( v15091(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5884,axiom,(
    ! [VarCurr] :
      ( v15089(VarCurr)
    <=> $false ) )).

fof(addAssignment_5883,axiom,(
    ! [VarCurr] :
      ( v15079(VarCurr)
    <=> v13838(VarCurr,bitIndex31) ) )).

fof(addAssignment_5882,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex31)
    <=> v13840(VarCurr,bitIndex31) ) )).

fof(addAssignment_5881,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex31)
    <=> v3822(VarCurr,bitIndex31) ) )).

fof(addAssignment_5880,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex31)
    <=> v3824(VarCurr,bitIndex31) ) )).

fof(addAssignment_5879,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex31)
    <=> v3826(VarCurr,bitIndex31) ) )).

fof(addAssignment_5878,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex31)
    <=> v3828(VarCurr,bitIndex31) ) )).

fof(addAssignment_5877,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex31)
    <=> v3830(VarCurr,bitIndex31) ) )).

fof(addAssignment_5876,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex31)
    <=> v3832(VarCurr,bitIndex31) ) )).

fof(addAssignment_5875,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex31)
    <=> v3834(VarCurr,bitIndex31) ) )).

fof(addAssignment_5874,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex31)
    <=> v15081(VarNext,bitIndex31) ) )).

fof(addCaseBooleanConditionEqualRanges1_156,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15082(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15081(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_178,axiom,(
    ! [VarNext] :
      ( v15082(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15081(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3496,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15082(VarNext)
      <=> v15083(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3495,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15083(VarNext)
      <=> ( v15085(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1894,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15085(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5873,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex31)
    <=> v13844(VarCurr,bitIndex31) ) )).

fof(addAssignment_5872,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex31)
    <=> v13846(VarCurr,bitIndex31) ) )).

fof(addAssignment_5871,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex31)
    <=> v13848(VarCurr,bitIndex31) ) )).

fof(addAssignment_5870,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex31)
    <=> v13850(VarCurr,bitIndex31) ) )).

fof(addAssignment_5869,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex31)
    <=> v13852(VarCurr,bitIndex31) ) )).

fof(addAssignment_5868,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex31)
    <=> v13538(VarCurr,bitIndex31) ) )).

fof(addAssignment_5867,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex31)
    <=> v13540(VarCurr,bitIndex31) ) )).

fof(addAssignment_5866,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex31)
    <=> v13542(VarCurr,bitIndex31) ) )).

fof(addAssignment_5865,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex31)
    <=> v13544(VarCurr,bitIndex31) ) )).

fof(addAssignment_5864,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex31)
    <=> v13546(VarCurr,bitIndex31) ) )).

fof(addAssignment_5863,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex31)
    <=> v13548(VarCurr,bitIndex31) ) )).

fof(addAssignment_5862,axiom,(
    ! [VarCurr] :
      ( v15077(VarCurr)
    <=> $false ) )).

fof(addAssignment_5861,axiom,(
    ! [VarCurr] :
      ( v15075(VarCurr)
    <=> $false ) )).

fof(addAssignment_5860,axiom,(
    ! [VarCurr] :
      ( v15073(VarCurr)
    <=> $true ) )).

fof(addAssignment_5859,axiom,(
    ! [VarCurr] :
      ( v15071(VarCurr)
    <=> $false ) )).

fof(addAssignment_5858,axiom,(
    ! [VarCurr] :
      ( v15069(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_155,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15022(VarNext)
       => ( v14991(VarNext)
        <=> v14991(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_177,axiom,(
    ! [VarNext] :
      ( v15022(VarNext)
     => ( v14991(VarNext)
      <=> v15057(VarNext) ) ) )).

fof(addAssignment_5857,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15057(VarNext)
      <=> v15055(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_232,axiom,(
    ! [VarCurr] :
      ( ~ v14993(VarCurr)
     => ( v15055(VarCurr)
      <=> v15058(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_232,axiom,(
    ! [VarCurr] :
      ( v14993(VarCurr)
     => ( v15055(VarCurr)
      <=> v14995(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_231,axiom,(
    ! [VarCurr] :
      ( ~ v15035(VarCurr)
     => ( v15058(VarCurr)
      <=> v15017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_231,axiom,(
    ! [VarCurr] :
      ( v15035(VarCurr)
     => ( v15058(VarCurr)
      <=> v15059(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_74,axiom,(
    ! [VarCurr] :
      ( ( ~ v15038(VarCurr)
        & ~ v15040(VarCurr) )
     => ( v15059(VarCurr)
      <=> v15063(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_230,axiom,(
    ! [VarCurr] :
      ( v15040(VarCurr)
     => ( v15059(VarCurr)
      <=> v15062(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_230,axiom,(
    ! [VarCurr] :
      ( v15038(VarCurr)
     => ( v15059(VarCurr)
      <=> v15060(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_229,axiom,(
    ! [VarCurr] :
      ( ~ v15048(VarCurr)
     => ( v15063(VarCurr)
      <=> v15017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_229,axiom,(
    ! [VarCurr] :
      ( v15048(VarCurr)
     => ( v15063(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_228,axiom,(
    ! [VarCurr] :
      ( ~ v15042(VarCurr)
     => ( v15062(VarCurr)
      <=> v15017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_228,axiom,(
    ! [VarCurr] :
      ( v15042(VarCurr)
     => ( v15062(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_295,axiom,(
    ! [VarCurr] :
      ( ~ v15061(VarCurr)
     => ( v15060(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_235,axiom,(
    ! [VarCurr] :
      ( v15061(VarCurr)
     => ( v15060(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_969,axiom,(
    ! [VarCurr] :
      ( v15061(VarCurr)
    <=> ( v15003(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3494,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15022(VarNext)
      <=> ( v15023(VarNext)
          & v15032(VarNext) ) ) ) )).

fof(addAssignment_5856,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15032(VarNext)
      <=> v15030(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3493,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr)
    <=> ( v14993(VarCurr)
        | v15033(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3492,axiom,(
    ! [VarCurr] :
      ( v15033(VarCurr)
    <=> ( v15034(VarCurr)
        & v15054(VarCurr) ) ) )).

fof(writeUnaryOperator_1893,axiom,(
    ! [VarCurr] :
      ( ~ v15054(VarCurr)
    <=> v14993(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3491,axiom,(
    ! [VarCurr] :
      ( v15034(VarCurr)
    <=> ( v15035(VarCurr)
        | v15052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3490,axiom,(
    ! [VarCurr] :
      ( v15052(VarCurr)
    <=> ( v15013(VarCurr)
        & v15053(VarCurr) ) ) )).

fof(writeUnaryOperator_1892,axiom,(
    ! [VarCurr] :
      ( ~ v15053(VarCurr)
    <=> v15015(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3489,axiom,(
    ! [VarCurr] :
      ( v15035(VarCurr)
    <=> ( v15036(VarCurr)
        & v15015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3488,axiom,(
    ! [VarCurr] :
      ( v15036(VarCurr)
    <=> ( v15037(VarCurr)
        | v15046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3487,axiom,(
    ! [VarCurr] :
      ( v15046(VarCurr)
    <=> ( v15047(VarCurr)
        & v15051(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_968,axiom,(
    ! [VarCurr] :
      ( v15051(VarCurr)
    <=> ( ( v15039(VarCurr,bitIndex2)
        <=> $false )
        & ( v15039(VarCurr,bitIndex1)
        <=> $false )
        & ( v15039(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3486,axiom,(
    ! [VarCurr] :
      ( v15047(VarCurr)
    <=> ( v15048(VarCurr)
        | v15049(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3485,axiom,(
    ! [VarCurr] :
      ( v15049(VarCurr)
    <=> ( v15013(VarCurr)
        & v15050(VarCurr) ) ) )).

fof(writeUnaryOperator_1891,axiom,(
    ! [VarCurr] :
      ( ~ v15050(VarCurr)
    <=> v15048(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_967,axiom,(
    ! [VarCurr] :
      ( v15048(VarCurr)
    <=> ( v15003(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3484,axiom,(
    ! [VarCurr] :
      ( v15037(VarCurr)
    <=> ( v15038(VarCurr)
        | v15040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3483,axiom,(
    ! [VarCurr] :
      ( v15040(VarCurr)
    <=> ( v15041(VarCurr)
        & v15045(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_966,axiom,(
    ! [VarCurr] :
      ( v15045(VarCurr)
    <=> ( ( v15039(VarCurr,bitIndex2)
        <=> $false )
        & ( v15039(VarCurr,bitIndex1)
        <=> $true )
        & ( v15039(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3482,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr)
    <=> ( v15042(VarCurr)
        | v15043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3481,axiom,(
    ! [VarCurr] :
      ( v15043(VarCurr)
    <=> ( v15013(VarCurr)
        & v15044(VarCurr) ) ) )).

fof(writeUnaryOperator_1890,axiom,(
    ! [VarCurr] :
      ( ~ v15044(VarCurr)
    <=> v15042(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_965,axiom,(
    ! [VarCurr] :
      ( v15042(VarCurr)
    <=> ( v15003(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_964,axiom,(
    ! [VarCurr] :
      ( v15038(VarCurr)
    <=> ( ( v15039(VarCurr,bitIndex2)
        <=> $true )
        & ( v15039(VarCurr,bitIndex1)
        <=> $false )
        & ( v15039(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5855,axiom,(
    ! [VarCurr] :
      ( v15039(VarCurr,bitIndex0)
    <=> v15001(VarCurr) ) )).

fof(addAssignment_5854,axiom,(
    ! [VarCurr] :
      ( v15039(VarCurr,bitIndex1)
    <=> v14999(VarCurr) ) )).

fof(addAssignment_5853,axiom,(
    ! [VarCurr] :
      ( v15039(VarCurr,bitIndex2)
    <=> v14997(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3480,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15023(VarNext)
      <=> ( v15024(VarNext)
          & v15019(VarNext) ) ) ) )).

fof(writeUnaryOperator_1889,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15024(VarNext)
      <=> v15026(VarNext) ) ) )).

fof(addAssignment_5852,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15026(VarNext)
      <=> v15019(VarCurr) ) ) )).

fof(addAssignment_5851,axiom,(
    ! [VarCurr] :
      ( v15019(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5850,axiom,(
    ! [VarCurr] :
      ( v15017(VarCurr)
    <=> $false ) )).

fof(addAssignment_5849,axiom,(
    ! [VarCurr] :
      ( v15015(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5848,axiom,(
    ! [VarCurr] :
      ( v15013(VarCurr)
    <=> $false ) )).

fof(addAssignment_5847,axiom,(
    ! [VarCurr] :
      ( v15003(VarCurr)
    <=> v13838(VarCurr,bitIndex30) ) )).

fof(addAssignment_5846,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex30)
    <=> v13840(VarCurr,bitIndex30) ) )).

fof(addAssignment_5845,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex30)
    <=> v3822(VarCurr,bitIndex30) ) )).

fof(addAssignment_5844,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex30)
    <=> v3824(VarCurr,bitIndex30) ) )).

fof(addAssignment_5843,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex30)
    <=> v3826(VarCurr,bitIndex30) ) )).

fof(addAssignment_5842,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex30)
    <=> v3828(VarCurr,bitIndex30) ) )).

fof(addAssignment_5841,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex30)
    <=> v3830(VarCurr,bitIndex30) ) )).

fof(addAssignment_5840,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex30)
    <=> v3832(VarCurr,bitIndex30) ) )).

fof(addAssignment_5839,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex30)
    <=> v3834(VarCurr,bitIndex30) ) )).

fof(addAssignment_5838,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex30)
    <=> v15005(VarNext,bitIndex30) ) )).

fof(addCaseBooleanConditionEqualRanges1_154,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15006(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v15005(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_176,axiom,(
    ! [VarNext] :
      ( v15006(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v15005(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3479,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15006(VarNext)
      <=> v15007(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3478,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15007(VarNext)
      <=> ( v15009(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1888,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15009(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5837,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex30)
    <=> v13844(VarCurr,bitIndex30) ) )).

fof(addAssignment_5836,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex30)
    <=> v13846(VarCurr,bitIndex30) ) )).

fof(addAssignment_5835,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex30)
    <=> v13848(VarCurr,bitIndex30) ) )).

fof(addAssignment_5834,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex30)
    <=> v13850(VarCurr,bitIndex30) ) )).

fof(addAssignment_5833,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex30)
    <=> v13852(VarCurr,bitIndex30) ) )).

fof(addAssignment_5832,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex30)
    <=> v13538(VarCurr,bitIndex30) ) )).

fof(addAssignment_5831,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex30)
    <=> v13540(VarCurr,bitIndex30) ) )).

fof(addAssignment_5830,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex30)
    <=> v13542(VarCurr,bitIndex30) ) )).

fof(addAssignment_5829,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex30)
    <=> v13544(VarCurr,bitIndex30) ) )).

fof(addAssignment_5828,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex30)
    <=> v13546(VarCurr,bitIndex30) ) )).

fof(addAssignment_5827,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex30)
    <=> v13548(VarCurr,bitIndex30) ) )).

fof(addAssignment_5826,axiom,(
    ! [VarCurr] :
      ( v15001(VarCurr)
    <=> $false ) )).

fof(addAssignment_5825,axiom,(
    ! [VarCurr] :
      ( v14999(VarCurr)
    <=> $false ) )).

fof(addAssignment_5824,axiom,(
    ! [VarCurr] :
      ( v14997(VarCurr)
    <=> $true ) )).

fof(addAssignment_5823,axiom,(
    ! [VarCurr] :
      ( v14995(VarCurr)
    <=> $false ) )).

fof(addAssignment_5822,axiom,(
    ! [VarCurr] :
      ( v14993(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_153,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14946(VarNext)
       => ( v14915(VarNext)
        <=> v14915(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_175,axiom,(
    ! [VarNext] :
      ( v14946(VarNext)
     => ( v14915(VarNext)
      <=> v14981(VarNext) ) ) )).

fof(addAssignment_5821,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14981(VarNext)
      <=> v14979(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_227,axiom,(
    ! [VarCurr] :
      ( ~ v14917(VarCurr)
     => ( v14979(VarCurr)
      <=> v14982(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_227,axiom,(
    ! [VarCurr] :
      ( v14917(VarCurr)
     => ( v14979(VarCurr)
      <=> v14919(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_226,axiom,(
    ! [VarCurr] :
      ( ~ v14959(VarCurr)
     => ( v14982(VarCurr)
      <=> v14941(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_226,axiom,(
    ! [VarCurr] :
      ( v14959(VarCurr)
     => ( v14982(VarCurr)
      <=> v14983(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_73,axiom,(
    ! [VarCurr] :
      ( ( ~ v14962(VarCurr)
        & ~ v14964(VarCurr) )
     => ( v14983(VarCurr)
      <=> v14987(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_225,axiom,(
    ! [VarCurr] :
      ( v14964(VarCurr)
     => ( v14983(VarCurr)
      <=> v14986(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_225,axiom,(
    ! [VarCurr] :
      ( v14962(VarCurr)
     => ( v14983(VarCurr)
      <=> v14984(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_224,axiom,(
    ! [VarCurr] :
      ( ~ v14972(VarCurr)
     => ( v14987(VarCurr)
      <=> v14941(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_224,axiom,(
    ! [VarCurr] :
      ( v14972(VarCurr)
     => ( v14987(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_223,axiom,(
    ! [VarCurr] :
      ( ~ v14966(VarCurr)
     => ( v14986(VarCurr)
      <=> v14941(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_223,axiom,(
    ! [VarCurr] :
      ( v14966(VarCurr)
     => ( v14986(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_294,axiom,(
    ! [VarCurr] :
      ( ~ v14985(VarCurr)
     => ( v14984(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_234,axiom,(
    ! [VarCurr] :
      ( v14985(VarCurr)
     => ( v14984(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_963,axiom,(
    ! [VarCurr] :
      ( v14985(VarCurr)
    <=> ( v14927(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3477,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14946(VarNext)
      <=> ( v14947(VarNext)
          & v14956(VarNext) ) ) ) )).

fof(addAssignment_5820,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14956(VarNext)
      <=> v14954(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3476,axiom,(
    ! [VarCurr] :
      ( v14954(VarCurr)
    <=> ( v14917(VarCurr)
        | v14957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3475,axiom,(
    ! [VarCurr] :
      ( v14957(VarCurr)
    <=> ( v14958(VarCurr)
        & v14978(VarCurr) ) ) )).

fof(writeUnaryOperator_1887,axiom,(
    ! [VarCurr] :
      ( ~ v14978(VarCurr)
    <=> v14917(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3474,axiom,(
    ! [VarCurr] :
      ( v14958(VarCurr)
    <=> ( v14959(VarCurr)
        | v14976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3473,axiom,(
    ! [VarCurr] :
      ( v14976(VarCurr)
    <=> ( v14937(VarCurr)
        & v14977(VarCurr) ) ) )).

fof(writeUnaryOperator_1886,axiom,(
    ! [VarCurr] :
      ( ~ v14977(VarCurr)
    <=> v14939(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3472,axiom,(
    ! [VarCurr] :
      ( v14959(VarCurr)
    <=> ( v14960(VarCurr)
        & v14939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3471,axiom,(
    ! [VarCurr] :
      ( v14960(VarCurr)
    <=> ( v14961(VarCurr)
        | v14970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3470,axiom,(
    ! [VarCurr] :
      ( v14970(VarCurr)
    <=> ( v14971(VarCurr)
        & v14975(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_962,axiom,(
    ! [VarCurr] :
      ( v14975(VarCurr)
    <=> ( ( v14963(VarCurr,bitIndex2)
        <=> $false )
        & ( v14963(VarCurr,bitIndex1)
        <=> $false )
        & ( v14963(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3469,axiom,(
    ! [VarCurr] :
      ( v14971(VarCurr)
    <=> ( v14972(VarCurr)
        | v14973(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3468,axiom,(
    ! [VarCurr] :
      ( v14973(VarCurr)
    <=> ( v14937(VarCurr)
        & v14974(VarCurr) ) ) )).

fof(writeUnaryOperator_1885,axiom,(
    ! [VarCurr] :
      ( ~ v14974(VarCurr)
    <=> v14972(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_961,axiom,(
    ! [VarCurr] :
      ( v14972(VarCurr)
    <=> ( v14927(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3467,axiom,(
    ! [VarCurr] :
      ( v14961(VarCurr)
    <=> ( v14962(VarCurr)
        | v14964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3466,axiom,(
    ! [VarCurr] :
      ( v14964(VarCurr)
    <=> ( v14965(VarCurr)
        & v14969(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_960,axiom,(
    ! [VarCurr] :
      ( v14969(VarCurr)
    <=> ( ( v14963(VarCurr,bitIndex2)
        <=> $false )
        & ( v14963(VarCurr,bitIndex1)
        <=> $true )
        & ( v14963(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3465,axiom,(
    ! [VarCurr] :
      ( v14965(VarCurr)
    <=> ( v14966(VarCurr)
        | v14967(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3464,axiom,(
    ! [VarCurr] :
      ( v14967(VarCurr)
    <=> ( v14937(VarCurr)
        & v14968(VarCurr) ) ) )).

fof(writeUnaryOperator_1884,axiom,(
    ! [VarCurr] :
      ( ~ v14968(VarCurr)
    <=> v14966(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_959,axiom,(
    ! [VarCurr] :
      ( v14966(VarCurr)
    <=> ( v14927(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_958,axiom,(
    ! [VarCurr] :
      ( v14962(VarCurr)
    <=> ( ( v14963(VarCurr,bitIndex2)
        <=> $true )
        & ( v14963(VarCurr,bitIndex1)
        <=> $false )
        & ( v14963(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5819,axiom,(
    ! [VarCurr] :
      ( v14963(VarCurr,bitIndex0)
    <=> v14925(VarCurr) ) )).

fof(addAssignment_5818,axiom,(
    ! [VarCurr] :
      ( v14963(VarCurr,bitIndex1)
    <=> v14923(VarCurr) ) )).

fof(addAssignment_5817,axiom,(
    ! [VarCurr] :
      ( v14963(VarCurr,bitIndex2)
    <=> v14921(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3463,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14947(VarNext)
      <=> ( v14948(VarNext)
          & v14943(VarNext) ) ) ) )).

fof(writeUnaryOperator_1883,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14948(VarNext)
      <=> v14950(VarNext) ) ) )).

fof(addAssignment_5816,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14950(VarNext)
      <=> v14943(VarCurr) ) ) )).

fof(addAssignment_5815,axiom,(
    ! [VarCurr] :
      ( v14943(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5814,axiom,(
    ! [VarCurr] :
      ( v14941(VarCurr)
    <=> $false ) )).

fof(addAssignment_5813,axiom,(
    ! [VarCurr] :
      ( v14939(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5812,axiom,(
    ! [VarCurr] :
      ( v14937(VarCurr)
    <=> $false ) )).

fof(addAssignment_5811,axiom,(
    ! [VarCurr] :
      ( v14927(VarCurr)
    <=> v13838(VarCurr,bitIndex29) ) )).

fof(addAssignment_5810,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex29)
    <=> v13840(VarCurr,bitIndex29) ) )).

fof(addAssignment_5809,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex29)
    <=> v3822(VarCurr,bitIndex29) ) )).

fof(addAssignment_5808,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex29)
    <=> v3824(VarCurr,bitIndex29) ) )).

fof(addAssignment_5807,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex29)
    <=> v3826(VarCurr,bitIndex29) ) )).

fof(addAssignment_5806,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex29)
    <=> v3828(VarCurr,bitIndex29) ) )).

fof(addAssignment_5805,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex29)
    <=> v3830(VarCurr,bitIndex29) ) )).

fof(addAssignment_5804,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex29)
    <=> v3832(VarCurr,bitIndex29) ) )).

fof(addAssignment_5803,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex29)
    <=> v3834(VarCurr,bitIndex29) ) )).

fof(addAssignment_5802,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex29)
    <=> v14929(VarNext,bitIndex29) ) )).

fof(addCaseBooleanConditionEqualRanges1_152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14930(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14929(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_174,axiom,(
    ! [VarNext] :
      ( v14930(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14929(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3462,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14930(VarNext)
      <=> v14931(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3461,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14931(VarNext)
      <=> ( v14933(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1882,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14933(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5801,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex29)
    <=> v13844(VarCurr,bitIndex29) ) )).

fof(addAssignment_5800,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex29)
    <=> v13846(VarCurr,bitIndex29) ) )).

fof(addAssignment_5799,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex29)
    <=> v13848(VarCurr,bitIndex29) ) )).

fof(addAssignment_5798,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex29)
    <=> v13850(VarCurr,bitIndex29) ) )).

fof(addAssignment_5797,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex29)
    <=> v13852(VarCurr,bitIndex29) ) )).

fof(addAssignment_5796,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex29)
    <=> v13538(VarCurr,bitIndex29) ) )).

fof(addAssignment_5795,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex29)
    <=> v13540(VarCurr,bitIndex29) ) )).

fof(addAssignment_5794,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex29)
    <=> v13542(VarCurr,bitIndex29) ) )).

fof(addAssignment_5793,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex29)
    <=> v13544(VarCurr,bitIndex29) ) )).

fof(addAssignment_5792,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex29)
    <=> v13546(VarCurr,bitIndex29) ) )).

fof(addAssignment_5791,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex29)
    <=> v13548(VarCurr,bitIndex29) ) )).

fof(addAssignment_5790,axiom,(
    ! [VarCurr] :
      ( v14925(VarCurr)
    <=> $false ) )).

fof(addAssignment_5789,axiom,(
    ! [VarCurr] :
      ( v14923(VarCurr)
    <=> $false ) )).

fof(addAssignment_5788,axiom,(
    ! [VarCurr] :
      ( v14921(VarCurr)
    <=> $true ) )).

fof(addAssignment_5787,axiom,(
    ! [VarCurr] :
      ( v14919(VarCurr)
    <=> $false ) )).

fof(addAssignment_5786,axiom,(
    ! [VarCurr] :
      ( v14917(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_151,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14870(VarNext)
       => ( v14839(VarNext)
        <=> v14839(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_173,axiom,(
    ! [VarNext] :
      ( v14870(VarNext)
     => ( v14839(VarNext)
      <=> v14905(VarNext) ) ) )).

fof(addAssignment_5785,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14905(VarNext)
      <=> v14903(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_222,axiom,(
    ! [VarCurr] :
      ( ~ v14841(VarCurr)
     => ( v14903(VarCurr)
      <=> v14906(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_222,axiom,(
    ! [VarCurr] :
      ( v14841(VarCurr)
     => ( v14903(VarCurr)
      <=> v14843(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_221,axiom,(
    ! [VarCurr] :
      ( ~ v14883(VarCurr)
     => ( v14906(VarCurr)
      <=> v14865(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_221,axiom,(
    ! [VarCurr] :
      ( v14883(VarCurr)
     => ( v14906(VarCurr)
      <=> v14907(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_72,axiom,(
    ! [VarCurr] :
      ( ( ~ v14886(VarCurr)
        & ~ v14888(VarCurr) )
     => ( v14907(VarCurr)
      <=> v14911(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_220,axiom,(
    ! [VarCurr] :
      ( v14888(VarCurr)
     => ( v14907(VarCurr)
      <=> v14910(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_220,axiom,(
    ! [VarCurr] :
      ( v14886(VarCurr)
     => ( v14907(VarCurr)
      <=> v14908(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_219,axiom,(
    ! [VarCurr] :
      ( ~ v14896(VarCurr)
     => ( v14911(VarCurr)
      <=> v14865(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_219,axiom,(
    ! [VarCurr] :
      ( v14896(VarCurr)
     => ( v14911(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_218,axiom,(
    ! [VarCurr] :
      ( ~ v14890(VarCurr)
     => ( v14910(VarCurr)
      <=> v14865(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_218,axiom,(
    ! [VarCurr] :
      ( v14890(VarCurr)
     => ( v14910(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_293,axiom,(
    ! [VarCurr] :
      ( ~ v14909(VarCurr)
     => ( v14908(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_233,axiom,(
    ! [VarCurr] :
      ( v14909(VarCurr)
     => ( v14908(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_957,axiom,(
    ! [VarCurr] :
      ( v14909(VarCurr)
    <=> ( v14851(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3460,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14870(VarNext)
      <=> ( v14871(VarNext)
          & v14880(VarNext) ) ) ) )).

fof(addAssignment_5784,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14880(VarNext)
      <=> v14878(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3459,axiom,(
    ! [VarCurr] :
      ( v14878(VarCurr)
    <=> ( v14841(VarCurr)
        | v14881(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3458,axiom,(
    ! [VarCurr] :
      ( v14881(VarCurr)
    <=> ( v14882(VarCurr)
        & v14902(VarCurr) ) ) )).

fof(writeUnaryOperator_1881,axiom,(
    ! [VarCurr] :
      ( ~ v14902(VarCurr)
    <=> v14841(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3457,axiom,(
    ! [VarCurr] :
      ( v14882(VarCurr)
    <=> ( v14883(VarCurr)
        | v14900(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3456,axiom,(
    ! [VarCurr] :
      ( v14900(VarCurr)
    <=> ( v14861(VarCurr)
        & v14901(VarCurr) ) ) )).

fof(writeUnaryOperator_1880,axiom,(
    ! [VarCurr] :
      ( ~ v14901(VarCurr)
    <=> v14863(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3455,axiom,(
    ! [VarCurr] :
      ( v14883(VarCurr)
    <=> ( v14884(VarCurr)
        & v14863(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3454,axiom,(
    ! [VarCurr] :
      ( v14884(VarCurr)
    <=> ( v14885(VarCurr)
        | v14894(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3453,axiom,(
    ! [VarCurr] :
      ( v14894(VarCurr)
    <=> ( v14895(VarCurr)
        & v14899(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_956,axiom,(
    ! [VarCurr] :
      ( v14899(VarCurr)
    <=> ( ( v14887(VarCurr,bitIndex2)
        <=> $false )
        & ( v14887(VarCurr,bitIndex1)
        <=> $false )
        & ( v14887(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3452,axiom,(
    ! [VarCurr] :
      ( v14895(VarCurr)
    <=> ( v14896(VarCurr)
        | v14897(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3451,axiom,(
    ! [VarCurr] :
      ( v14897(VarCurr)
    <=> ( v14861(VarCurr)
        & v14898(VarCurr) ) ) )).

fof(writeUnaryOperator_1879,axiom,(
    ! [VarCurr] :
      ( ~ v14898(VarCurr)
    <=> v14896(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_955,axiom,(
    ! [VarCurr] :
      ( v14896(VarCurr)
    <=> ( v14851(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3450,axiom,(
    ! [VarCurr] :
      ( v14885(VarCurr)
    <=> ( v14886(VarCurr)
        | v14888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3449,axiom,(
    ! [VarCurr] :
      ( v14888(VarCurr)
    <=> ( v14889(VarCurr)
        & v14893(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_954,axiom,(
    ! [VarCurr] :
      ( v14893(VarCurr)
    <=> ( ( v14887(VarCurr,bitIndex2)
        <=> $false )
        & ( v14887(VarCurr,bitIndex1)
        <=> $true )
        & ( v14887(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3448,axiom,(
    ! [VarCurr] :
      ( v14889(VarCurr)
    <=> ( v14890(VarCurr)
        | v14891(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3447,axiom,(
    ! [VarCurr] :
      ( v14891(VarCurr)
    <=> ( v14861(VarCurr)
        & v14892(VarCurr) ) ) )).

fof(writeUnaryOperator_1878,axiom,(
    ! [VarCurr] :
      ( ~ v14892(VarCurr)
    <=> v14890(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_953,axiom,(
    ! [VarCurr] :
      ( v14890(VarCurr)
    <=> ( v14851(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_952,axiom,(
    ! [VarCurr] :
      ( v14886(VarCurr)
    <=> ( ( v14887(VarCurr,bitIndex2)
        <=> $true )
        & ( v14887(VarCurr,bitIndex1)
        <=> $false )
        & ( v14887(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5783,axiom,(
    ! [VarCurr] :
      ( v14887(VarCurr,bitIndex0)
    <=> v14849(VarCurr) ) )).

fof(addAssignment_5782,axiom,(
    ! [VarCurr] :
      ( v14887(VarCurr,bitIndex1)
    <=> v14847(VarCurr) ) )).

fof(addAssignment_5781,axiom,(
    ! [VarCurr] :
      ( v14887(VarCurr,bitIndex2)
    <=> v14845(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3446,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14871(VarNext)
      <=> ( v14872(VarNext)
          & v14867(VarNext) ) ) ) )).

fof(writeUnaryOperator_1877,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14872(VarNext)
      <=> v14874(VarNext) ) ) )).

fof(addAssignment_5780,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14874(VarNext)
      <=> v14867(VarCurr) ) ) )).

fof(addAssignment_5779,axiom,(
    ! [VarCurr] :
      ( v14867(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5778,axiom,(
    ! [VarCurr] :
      ( v14865(VarCurr)
    <=> $false ) )).

fof(addAssignment_5777,axiom,(
    ! [VarCurr] :
      ( v14863(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5776,axiom,(
    ! [VarCurr] :
      ( v14861(VarCurr)
    <=> $false ) )).

fof(addAssignment_5775,axiom,(
    ! [VarCurr] :
      ( v14851(VarCurr)
    <=> v13838(VarCurr,bitIndex28) ) )).

fof(addAssignment_5774,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex28)
    <=> v13840(VarCurr,bitIndex28) ) )).

fof(addAssignment_5773,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex28)
    <=> v3822(VarCurr,bitIndex28) ) )).

fof(addAssignment_5772,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex28)
    <=> v3824(VarCurr,bitIndex28) ) )).

fof(addAssignment_5771,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex28)
    <=> v3826(VarCurr,bitIndex28) ) )).

fof(addAssignment_5770,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex28)
    <=> v3828(VarCurr,bitIndex28) ) )).

fof(addAssignment_5769,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex28)
    <=> v3830(VarCurr,bitIndex28) ) )).

fof(addAssignment_5768,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex28)
    <=> v3832(VarCurr,bitIndex28) ) )).

fof(addAssignment_5767,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex28)
    <=> v3834(VarCurr,bitIndex28) ) )).

fof(addAssignment_5766,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex28)
    <=> v14853(VarNext,bitIndex28) ) )).

fof(addCaseBooleanConditionEqualRanges1_150,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14854(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14853(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_172,axiom,(
    ! [VarNext] :
      ( v14854(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14853(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3445,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14854(VarNext)
      <=> v14855(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3444,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14855(VarNext)
      <=> ( v14857(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1876,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14857(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5765,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex28)
    <=> v13844(VarCurr,bitIndex28) ) )).

fof(addAssignment_5764,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex28)
    <=> v13846(VarCurr,bitIndex28) ) )).

fof(addAssignment_5763,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex28)
    <=> v13848(VarCurr,bitIndex28) ) )).

fof(addAssignment_5762,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex28)
    <=> v13850(VarCurr,bitIndex28) ) )).

fof(addAssignment_5761,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex28)
    <=> v13852(VarCurr,bitIndex28) ) )).

fof(addAssignment_5760,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex28)
    <=> v13538(VarCurr,bitIndex28) ) )).

fof(addAssignment_5759,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex28)
    <=> v13540(VarCurr,bitIndex28) ) )).

fof(addAssignment_5758,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex28)
    <=> v13542(VarCurr,bitIndex28) ) )).

fof(addAssignment_5757,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex28)
    <=> v13544(VarCurr,bitIndex28) ) )).

fof(addAssignment_5756,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex28)
    <=> v13546(VarCurr,bitIndex28) ) )).

fof(addAssignment_5755,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex28)
    <=> v13548(VarCurr,bitIndex28) ) )).

fof(addAssignment_5754,axiom,(
    ! [VarCurr] :
      ( v14849(VarCurr)
    <=> $false ) )).

fof(addAssignment_5753,axiom,(
    ! [VarCurr] :
      ( v14847(VarCurr)
    <=> $false ) )).

fof(addAssignment_5752,axiom,(
    ! [VarCurr] :
      ( v14845(VarCurr)
    <=> $true ) )).

fof(addAssignment_5751,axiom,(
    ! [VarCurr] :
      ( v14843(VarCurr)
    <=> $false ) )).

fof(addAssignment_5750,axiom,(
    ! [VarCurr] :
      ( v14841(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_149,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14794(VarNext)
       => ( v14763(VarNext)
        <=> v14763(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_171,axiom,(
    ! [VarNext] :
      ( v14794(VarNext)
     => ( v14763(VarNext)
      <=> v14829(VarNext) ) ) )).

fof(addAssignment_5749,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14829(VarNext)
      <=> v14827(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_217,axiom,(
    ! [VarCurr] :
      ( ~ v14765(VarCurr)
     => ( v14827(VarCurr)
      <=> v14830(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_217,axiom,(
    ! [VarCurr] :
      ( v14765(VarCurr)
     => ( v14827(VarCurr)
      <=> v14767(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_216,axiom,(
    ! [VarCurr] :
      ( ~ v14807(VarCurr)
     => ( v14830(VarCurr)
      <=> v14789(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_216,axiom,(
    ! [VarCurr] :
      ( v14807(VarCurr)
     => ( v14830(VarCurr)
      <=> v14831(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_71,axiom,(
    ! [VarCurr] :
      ( ( ~ v14810(VarCurr)
        & ~ v14812(VarCurr) )
     => ( v14831(VarCurr)
      <=> v14835(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_215,axiom,(
    ! [VarCurr] :
      ( v14812(VarCurr)
     => ( v14831(VarCurr)
      <=> v14834(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_215,axiom,(
    ! [VarCurr] :
      ( v14810(VarCurr)
     => ( v14831(VarCurr)
      <=> v14832(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_214,axiom,(
    ! [VarCurr] :
      ( ~ v14820(VarCurr)
     => ( v14835(VarCurr)
      <=> v14789(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_214,axiom,(
    ! [VarCurr] :
      ( v14820(VarCurr)
     => ( v14835(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_213,axiom,(
    ! [VarCurr] :
      ( ~ v14814(VarCurr)
     => ( v14834(VarCurr)
      <=> v14789(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_213,axiom,(
    ! [VarCurr] :
      ( v14814(VarCurr)
     => ( v14834(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_292,axiom,(
    ! [VarCurr] :
      ( ~ v14833(VarCurr)
     => ( v14832(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_232,axiom,(
    ! [VarCurr] :
      ( v14833(VarCurr)
     => ( v14832(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_951,axiom,(
    ! [VarCurr] :
      ( v14833(VarCurr)
    <=> ( v14775(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3443,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14794(VarNext)
      <=> ( v14795(VarNext)
          & v14804(VarNext) ) ) ) )).

fof(addAssignment_5748,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14804(VarNext)
      <=> v14802(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3442,axiom,(
    ! [VarCurr] :
      ( v14802(VarCurr)
    <=> ( v14765(VarCurr)
        | v14805(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3441,axiom,(
    ! [VarCurr] :
      ( v14805(VarCurr)
    <=> ( v14806(VarCurr)
        & v14826(VarCurr) ) ) )).

fof(writeUnaryOperator_1875,axiom,(
    ! [VarCurr] :
      ( ~ v14826(VarCurr)
    <=> v14765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3440,axiom,(
    ! [VarCurr] :
      ( v14806(VarCurr)
    <=> ( v14807(VarCurr)
        | v14824(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3439,axiom,(
    ! [VarCurr] :
      ( v14824(VarCurr)
    <=> ( v14785(VarCurr)
        & v14825(VarCurr) ) ) )).

fof(writeUnaryOperator_1874,axiom,(
    ! [VarCurr] :
      ( ~ v14825(VarCurr)
    <=> v14787(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3438,axiom,(
    ! [VarCurr] :
      ( v14807(VarCurr)
    <=> ( v14808(VarCurr)
        & v14787(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3437,axiom,(
    ! [VarCurr] :
      ( v14808(VarCurr)
    <=> ( v14809(VarCurr)
        | v14818(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3436,axiom,(
    ! [VarCurr] :
      ( v14818(VarCurr)
    <=> ( v14819(VarCurr)
        & v14823(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_950,axiom,(
    ! [VarCurr] :
      ( v14823(VarCurr)
    <=> ( ( v14811(VarCurr,bitIndex2)
        <=> $false )
        & ( v14811(VarCurr,bitIndex1)
        <=> $false )
        & ( v14811(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3435,axiom,(
    ! [VarCurr] :
      ( v14819(VarCurr)
    <=> ( v14820(VarCurr)
        | v14821(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3434,axiom,(
    ! [VarCurr] :
      ( v14821(VarCurr)
    <=> ( v14785(VarCurr)
        & v14822(VarCurr) ) ) )).

fof(writeUnaryOperator_1873,axiom,(
    ! [VarCurr] :
      ( ~ v14822(VarCurr)
    <=> v14820(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_949,axiom,(
    ! [VarCurr] :
      ( v14820(VarCurr)
    <=> ( v14775(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3433,axiom,(
    ! [VarCurr] :
      ( v14809(VarCurr)
    <=> ( v14810(VarCurr)
        | v14812(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3432,axiom,(
    ! [VarCurr] :
      ( v14812(VarCurr)
    <=> ( v14813(VarCurr)
        & v14817(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_948,axiom,(
    ! [VarCurr] :
      ( v14817(VarCurr)
    <=> ( ( v14811(VarCurr,bitIndex2)
        <=> $false )
        & ( v14811(VarCurr,bitIndex1)
        <=> $true )
        & ( v14811(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3431,axiom,(
    ! [VarCurr] :
      ( v14813(VarCurr)
    <=> ( v14814(VarCurr)
        | v14815(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3430,axiom,(
    ! [VarCurr] :
      ( v14815(VarCurr)
    <=> ( v14785(VarCurr)
        & v14816(VarCurr) ) ) )).

fof(writeUnaryOperator_1872,axiom,(
    ! [VarCurr] :
      ( ~ v14816(VarCurr)
    <=> v14814(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_947,axiom,(
    ! [VarCurr] :
      ( v14814(VarCurr)
    <=> ( v14775(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_946,axiom,(
    ! [VarCurr] :
      ( v14810(VarCurr)
    <=> ( ( v14811(VarCurr,bitIndex2)
        <=> $true )
        & ( v14811(VarCurr,bitIndex1)
        <=> $false )
        & ( v14811(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5747,axiom,(
    ! [VarCurr] :
      ( v14811(VarCurr,bitIndex0)
    <=> v14773(VarCurr) ) )).

fof(addAssignment_5746,axiom,(
    ! [VarCurr] :
      ( v14811(VarCurr,bitIndex1)
    <=> v14771(VarCurr) ) )).

fof(addAssignment_5745,axiom,(
    ! [VarCurr] :
      ( v14811(VarCurr,bitIndex2)
    <=> v14769(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3429,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14795(VarNext)
      <=> ( v14796(VarNext)
          & v14791(VarNext) ) ) ) )).

fof(writeUnaryOperator_1871,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14796(VarNext)
      <=> v14798(VarNext) ) ) )).

fof(addAssignment_5744,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14798(VarNext)
      <=> v14791(VarCurr) ) ) )).

fof(addAssignment_5743,axiom,(
    ! [VarCurr] :
      ( v14791(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5742,axiom,(
    ! [VarCurr] :
      ( v14789(VarCurr)
    <=> $false ) )).

fof(addAssignment_5741,axiom,(
    ! [VarCurr] :
      ( v14787(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5740,axiom,(
    ! [VarCurr] :
      ( v14785(VarCurr)
    <=> $false ) )).

fof(addAssignment_5739,axiom,(
    ! [VarCurr] :
      ( v14775(VarCurr)
    <=> v13838(VarCurr,bitIndex27) ) )).

fof(addAssignment_5738,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex27)
    <=> v13840(VarCurr,bitIndex27) ) )).

fof(addAssignment_5737,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex27)
    <=> v3822(VarCurr,bitIndex27) ) )).

fof(addAssignment_5736,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex27)
    <=> v3824(VarCurr,bitIndex27) ) )).

fof(addAssignment_5735,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex27)
    <=> v3826(VarCurr,bitIndex27) ) )).

fof(addAssignment_5734,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex27)
    <=> v3828(VarCurr,bitIndex27) ) )).

fof(addAssignment_5733,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex27)
    <=> v3830(VarCurr,bitIndex27) ) )).

fof(addAssignment_5732,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex27)
    <=> v3832(VarCurr,bitIndex27) ) )).

fof(addAssignment_5731,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex27)
    <=> v3834(VarCurr,bitIndex27) ) )).

fof(addAssignment_5730,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex27)
    <=> v14777(VarNext,bitIndex27) ) )).

fof(addCaseBooleanConditionEqualRanges1_148,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14778(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14777(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_170,axiom,(
    ! [VarNext] :
      ( v14778(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14777(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3428,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14778(VarNext)
      <=> v14779(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3427,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14779(VarNext)
      <=> ( v14781(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1870,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14781(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5729,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex27)
    <=> v13844(VarCurr,bitIndex27) ) )).

fof(addAssignment_5728,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex27)
    <=> v13846(VarCurr,bitIndex27) ) )).

fof(addAssignment_5727,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex27)
    <=> v13848(VarCurr,bitIndex27) ) )).

fof(addAssignment_5726,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex27)
    <=> v13850(VarCurr,bitIndex27) ) )).

fof(addAssignment_5725,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex27)
    <=> v13852(VarCurr,bitIndex27) ) )).

fof(addAssignment_5724,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex27)
    <=> v13538(VarCurr,bitIndex27) ) )).

fof(addAssignment_5723,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex27)
    <=> v13540(VarCurr,bitIndex27) ) )).

fof(addAssignment_5722,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex27)
    <=> v13542(VarCurr,bitIndex27) ) )).

fof(addAssignment_5721,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex27)
    <=> v13544(VarCurr,bitIndex27) ) )).

fof(addAssignment_5720,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex27)
    <=> v13546(VarCurr,bitIndex27) ) )).

fof(addAssignment_5719,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex27)
    <=> v13548(VarCurr,bitIndex27) ) )).

fof(addAssignment_5718,axiom,(
    ! [VarCurr] :
      ( v14773(VarCurr)
    <=> $false ) )).

fof(addAssignment_5717,axiom,(
    ! [VarCurr] :
      ( v14771(VarCurr)
    <=> $false ) )).

fof(addAssignment_5716,axiom,(
    ! [VarCurr] :
      ( v14769(VarCurr)
    <=> $true ) )).

fof(addAssignment_5715,axiom,(
    ! [VarCurr] :
      ( v14767(VarCurr)
    <=> $false ) )).

fof(addAssignment_5714,axiom,(
    ! [VarCurr] :
      ( v14765(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_147,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14718(VarNext)
       => ( v14687(VarNext)
        <=> v14687(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_169,axiom,(
    ! [VarNext] :
      ( v14718(VarNext)
     => ( v14687(VarNext)
      <=> v14753(VarNext) ) ) )).

fof(addAssignment_5713,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14753(VarNext)
      <=> v14751(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_212,axiom,(
    ! [VarCurr] :
      ( ~ v14689(VarCurr)
     => ( v14751(VarCurr)
      <=> v14754(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_212,axiom,(
    ! [VarCurr] :
      ( v14689(VarCurr)
     => ( v14751(VarCurr)
      <=> v14691(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_211,axiom,(
    ! [VarCurr] :
      ( ~ v14731(VarCurr)
     => ( v14754(VarCurr)
      <=> v14713(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_211,axiom,(
    ! [VarCurr] :
      ( v14731(VarCurr)
     => ( v14754(VarCurr)
      <=> v14755(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_70,axiom,(
    ! [VarCurr] :
      ( ( ~ v14734(VarCurr)
        & ~ v14736(VarCurr) )
     => ( v14755(VarCurr)
      <=> v14759(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_210,axiom,(
    ! [VarCurr] :
      ( v14736(VarCurr)
     => ( v14755(VarCurr)
      <=> v14758(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_210,axiom,(
    ! [VarCurr] :
      ( v14734(VarCurr)
     => ( v14755(VarCurr)
      <=> v14756(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_209,axiom,(
    ! [VarCurr] :
      ( ~ v14744(VarCurr)
     => ( v14759(VarCurr)
      <=> v14713(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_209,axiom,(
    ! [VarCurr] :
      ( v14744(VarCurr)
     => ( v14759(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_208,axiom,(
    ! [VarCurr] :
      ( ~ v14738(VarCurr)
     => ( v14758(VarCurr)
      <=> v14713(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_208,axiom,(
    ! [VarCurr] :
      ( v14738(VarCurr)
     => ( v14758(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_291,axiom,(
    ! [VarCurr] :
      ( ~ v14757(VarCurr)
     => ( v14756(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_231,axiom,(
    ! [VarCurr] :
      ( v14757(VarCurr)
     => ( v14756(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_945,axiom,(
    ! [VarCurr] :
      ( v14757(VarCurr)
    <=> ( v14699(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3426,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14718(VarNext)
      <=> ( v14719(VarNext)
          & v14728(VarNext) ) ) ) )).

fof(addAssignment_5712,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14728(VarNext)
      <=> v14726(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3425,axiom,(
    ! [VarCurr] :
      ( v14726(VarCurr)
    <=> ( v14689(VarCurr)
        | v14729(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3424,axiom,(
    ! [VarCurr] :
      ( v14729(VarCurr)
    <=> ( v14730(VarCurr)
        & v14750(VarCurr) ) ) )).

fof(writeUnaryOperator_1869,axiom,(
    ! [VarCurr] :
      ( ~ v14750(VarCurr)
    <=> v14689(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3423,axiom,(
    ! [VarCurr] :
      ( v14730(VarCurr)
    <=> ( v14731(VarCurr)
        | v14748(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3422,axiom,(
    ! [VarCurr] :
      ( v14748(VarCurr)
    <=> ( v14709(VarCurr)
        & v14749(VarCurr) ) ) )).

fof(writeUnaryOperator_1868,axiom,(
    ! [VarCurr] :
      ( ~ v14749(VarCurr)
    <=> v14711(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3421,axiom,(
    ! [VarCurr] :
      ( v14731(VarCurr)
    <=> ( v14732(VarCurr)
        & v14711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3420,axiom,(
    ! [VarCurr] :
      ( v14732(VarCurr)
    <=> ( v14733(VarCurr)
        | v14742(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3419,axiom,(
    ! [VarCurr] :
      ( v14742(VarCurr)
    <=> ( v14743(VarCurr)
        & v14747(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_944,axiom,(
    ! [VarCurr] :
      ( v14747(VarCurr)
    <=> ( ( v14735(VarCurr,bitIndex2)
        <=> $false )
        & ( v14735(VarCurr,bitIndex1)
        <=> $false )
        & ( v14735(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3418,axiom,(
    ! [VarCurr] :
      ( v14743(VarCurr)
    <=> ( v14744(VarCurr)
        | v14745(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3417,axiom,(
    ! [VarCurr] :
      ( v14745(VarCurr)
    <=> ( v14709(VarCurr)
        & v14746(VarCurr) ) ) )).

fof(writeUnaryOperator_1867,axiom,(
    ! [VarCurr] :
      ( ~ v14746(VarCurr)
    <=> v14744(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_943,axiom,(
    ! [VarCurr] :
      ( v14744(VarCurr)
    <=> ( v14699(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3416,axiom,(
    ! [VarCurr] :
      ( v14733(VarCurr)
    <=> ( v14734(VarCurr)
        | v14736(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3415,axiom,(
    ! [VarCurr] :
      ( v14736(VarCurr)
    <=> ( v14737(VarCurr)
        & v14741(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_942,axiom,(
    ! [VarCurr] :
      ( v14741(VarCurr)
    <=> ( ( v14735(VarCurr,bitIndex2)
        <=> $false )
        & ( v14735(VarCurr,bitIndex1)
        <=> $true )
        & ( v14735(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3414,axiom,(
    ! [VarCurr] :
      ( v14737(VarCurr)
    <=> ( v14738(VarCurr)
        | v14739(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3413,axiom,(
    ! [VarCurr] :
      ( v14739(VarCurr)
    <=> ( v14709(VarCurr)
        & v14740(VarCurr) ) ) )).

fof(writeUnaryOperator_1866,axiom,(
    ! [VarCurr] :
      ( ~ v14740(VarCurr)
    <=> v14738(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_941,axiom,(
    ! [VarCurr] :
      ( v14738(VarCurr)
    <=> ( v14699(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_940,axiom,(
    ! [VarCurr] :
      ( v14734(VarCurr)
    <=> ( ( v14735(VarCurr,bitIndex2)
        <=> $true )
        & ( v14735(VarCurr,bitIndex1)
        <=> $false )
        & ( v14735(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5711,axiom,(
    ! [VarCurr] :
      ( v14735(VarCurr,bitIndex0)
    <=> v14697(VarCurr) ) )).

fof(addAssignment_5710,axiom,(
    ! [VarCurr] :
      ( v14735(VarCurr,bitIndex1)
    <=> v14695(VarCurr) ) )).

fof(addAssignment_5709,axiom,(
    ! [VarCurr] :
      ( v14735(VarCurr,bitIndex2)
    <=> v14693(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3412,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14719(VarNext)
      <=> ( v14720(VarNext)
          & v14715(VarNext) ) ) ) )).

fof(writeUnaryOperator_1865,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14720(VarNext)
      <=> v14722(VarNext) ) ) )).

fof(addAssignment_5708,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14722(VarNext)
      <=> v14715(VarCurr) ) ) )).

fof(addAssignment_5707,axiom,(
    ! [VarCurr] :
      ( v14715(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5706,axiom,(
    ! [VarCurr] :
      ( v14713(VarCurr)
    <=> $false ) )).

fof(addAssignment_5705,axiom,(
    ! [VarCurr] :
      ( v14711(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5704,axiom,(
    ! [VarCurr] :
      ( v14709(VarCurr)
    <=> $false ) )).

fof(addAssignment_5703,axiom,(
    ! [VarCurr] :
      ( v14699(VarCurr)
    <=> v13838(VarCurr,bitIndex26) ) )).

fof(addAssignment_5702,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex26)
    <=> v13840(VarCurr,bitIndex26) ) )).

fof(addAssignment_5701,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex26)
    <=> v3822(VarCurr,bitIndex26) ) )).

fof(addAssignment_5700,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex26)
    <=> v3824(VarCurr,bitIndex26) ) )).

fof(addAssignment_5699,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex26)
    <=> v3826(VarCurr,bitIndex26) ) )).

fof(addAssignment_5698,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex26)
    <=> v3828(VarCurr,bitIndex26) ) )).

fof(addAssignment_5697,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex26)
    <=> v3830(VarCurr,bitIndex26) ) )).

fof(addAssignment_5696,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex26)
    <=> v3832(VarCurr,bitIndex26) ) )).

fof(addAssignment_5695,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex26)
    <=> v3834(VarCurr,bitIndex26) ) )).

fof(addAssignment_5694,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex26)
    <=> v14701(VarNext,bitIndex26) ) )).

fof(addCaseBooleanConditionEqualRanges1_146,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14702(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14701(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_168,axiom,(
    ! [VarNext] :
      ( v14702(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14701(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3411,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14702(VarNext)
      <=> v14703(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3410,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14703(VarNext)
      <=> ( v14705(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1864,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14705(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5693,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex26)
    <=> v13844(VarCurr,bitIndex26) ) )).

fof(addAssignment_5692,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex26)
    <=> v13846(VarCurr,bitIndex26) ) )).

fof(addAssignment_5691,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex26)
    <=> v13848(VarCurr,bitIndex26) ) )).

fof(addAssignment_5690,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex26)
    <=> v13850(VarCurr,bitIndex26) ) )).

fof(addAssignment_5689,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex26)
    <=> v13852(VarCurr,bitIndex26) ) )).

fof(addAssignment_5688,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex26)
    <=> v13538(VarCurr,bitIndex26) ) )).

fof(addAssignment_5687,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex26)
    <=> v13540(VarCurr,bitIndex26) ) )).

fof(addAssignment_5686,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex26)
    <=> v13542(VarCurr,bitIndex26) ) )).

fof(addAssignment_5685,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex26)
    <=> v13544(VarCurr,bitIndex26) ) )).

fof(addAssignment_5684,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex26)
    <=> v13546(VarCurr,bitIndex26) ) )).

fof(addAssignment_5683,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex26)
    <=> v13548(VarCurr,bitIndex26) ) )).

fof(addAssignment_5682,axiom,(
    ! [VarCurr] :
      ( v14697(VarCurr)
    <=> $false ) )).

fof(addAssignment_5681,axiom,(
    ! [VarCurr] :
      ( v14695(VarCurr)
    <=> $false ) )).

fof(addAssignment_5680,axiom,(
    ! [VarCurr] :
      ( v14693(VarCurr)
    <=> $true ) )).

fof(addAssignment_5679,axiom,(
    ! [VarCurr] :
      ( v14691(VarCurr)
    <=> $false ) )).

fof(addAssignment_5678,axiom,(
    ! [VarCurr] :
      ( v14689(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_145,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14642(VarNext)
       => ( v14611(VarNext)
        <=> v14611(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_167,axiom,(
    ! [VarNext] :
      ( v14642(VarNext)
     => ( v14611(VarNext)
      <=> v14677(VarNext) ) ) )).

fof(addAssignment_5677,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14677(VarNext)
      <=> v14675(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_207,axiom,(
    ! [VarCurr] :
      ( ~ v14613(VarCurr)
     => ( v14675(VarCurr)
      <=> v14678(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_207,axiom,(
    ! [VarCurr] :
      ( v14613(VarCurr)
     => ( v14675(VarCurr)
      <=> v14615(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_206,axiom,(
    ! [VarCurr] :
      ( ~ v14655(VarCurr)
     => ( v14678(VarCurr)
      <=> v14637(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_206,axiom,(
    ! [VarCurr] :
      ( v14655(VarCurr)
     => ( v14678(VarCurr)
      <=> v14679(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_69,axiom,(
    ! [VarCurr] :
      ( ( ~ v14658(VarCurr)
        & ~ v14660(VarCurr) )
     => ( v14679(VarCurr)
      <=> v14683(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_205,axiom,(
    ! [VarCurr] :
      ( v14660(VarCurr)
     => ( v14679(VarCurr)
      <=> v14682(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_205,axiom,(
    ! [VarCurr] :
      ( v14658(VarCurr)
     => ( v14679(VarCurr)
      <=> v14680(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_204,axiom,(
    ! [VarCurr] :
      ( ~ v14668(VarCurr)
     => ( v14683(VarCurr)
      <=> v14637(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_204,axiom,(
    ! [VarCurr] :
      ( v14668(VarCurr)
     => ( v14683(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_203,axiom,(
    ! [VarCurr] :
      ( ~ v14662(VarCurr)
     => ( v14682(VarCurr)
      <=> v14637(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_203,axiom,(
    ! [VarCurr] :
      ( v14662(VarCurr)
     => ( v14682(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_290,axiom,(
    ! [VarCurr] :
      ( ~ v14681(VarCurr)
     => ( v14680(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_230,axiom,(
    ! [VarCurr] :
      ( v14681(VarCurr)
     => ( v14680(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_939,axiom,(
    ! [VarCurr] :
      ( v14681(VarCurr)
    <=> ( v14623(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3409,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14642(VarNext)
      <=> ( v14643(VarNext)
          & v14652(VarNext) ) ) ) )).

fof(addAssignment_5676,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14652(VarNext)
      <=> v14650(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3408,axiom,(
    ! [VarCurr] :
      ( v14650(VarCurr)
    <=> ( v14613(VarCurr)
        | v14653(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3407,axiom,(
    ! [VarCurr] :
      ( v14653(VarCurr)
    <=> ( v14654(VarCurr)
        & v14674(VarCurr) ) ) )).

fof(writeUnaryOperator_1863,axiom,(
    ! [VarCurr] :
      ( ~ v14674(VarCurr)
    <=> v14613(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3406,axiom,(
    ! [VarCurr] :
      ( v14654(VarCurr)
    <=> ( v14655(VarCurr)
        | v14672(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3405,axiom,(
    ! [VarCurr] :
      ( v14672(VarCurr)
    <=> ( v14633(VarCurr)
        & v14673(VarCurr) ) ) )).

fof(writeUnaryOperator_1862,axiom,(
    ! [VarCurr] :
      ( ~ v14673(VarCurr)
    <=> v14635(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3404,axiom,(
    ! [VarCurr] :
      ( v14655(VarCurr)
    <=> ( v14656(VarCurr)
        & v14635(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3403,axiom,(
    ! [VarCurr] :
      ( v14656(VarCurr)
    <=> ( v14657(VarCurr)
        | v14666(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3402,axiom,(
    ! [VarCurr] :
      ( v14666(VarCurr)
    <=> ( v14667(VarCurr)
        & v14671(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_938,axiom,(
    ! [VarCurr] :
      ( v14671(VarCurr)
    <=> ( ( v14659(VarCurr,bitIndex2)
        <=> $false )
        & ( v14659(VarCurr,bitIndex1)
        <=> $false )
        & ( v14659(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3401,axiom,(
    ! [VarCurr] :
      ( v14667(VarCurr)
    <=> ( v14668(VarCurr)
        | v14669(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3400,axiom,(
    ! [VarCurr] :
      ( v14669(VarCurr)
    <=> ( v14633(VarCurr)
        & v14670(VarCurr) ) ) )).

fof(writeUnaryOperator_1861,axiom,(
    ! [VarCurr] :
      ( ~ v14670(VarCurr)
    <=> v14668(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_937,axiom,(
    ! [VarCurr] :
      ( v14668(VarCurr)
    <=> ( v14623(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3399,axiom,(
    ! [VarCurr] :
      ( v14657(VarCurr)
    <=> ( v14658(VarCurr)
        | v14660(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3398,axiom,(
    ! [VarCurr] :
      ( v14660(VarCurr)
    <=> ( v14661(VarCurr)
        & v14665(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_936,axiom,(
    ! [VarCurr] :
      ( v14665(VarCurr)
    <=> ( ( v14659(VarCurr,bitIndex2)
        <=> $false )
        & ( v14659(VarCurr,bitIndex1)
        <=> $true )
        & ( v14659(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3397,axiom,(
    ! [VarCurr] :
      ( v14661(VarCurr)
    <=> ( v14662(VarCurr)
        | v14663(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3396,axiom,(
    ! [VarCurr] :
      ( v14663(VarCurr)
    <=> ( v14633(VarCurr)
        & v14664(VarCurr) ) ) )).

fof(writeUnaryOperator_1860,axiom,(
    ! [VarCurr] :
      ( ~ v14664(VarCurr)
    <=> v14662(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_935,axiom,(
    ! [VarCurr] :
      ( v14662(VarCurr)
    <=> ( v14623(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_934,axiom,(
    ! [VarCurr] :
      ( v14658(VarCurr)
    <=> ( ( v14659(VarCurr,bitIndex2)
        <=> $true )
        & ( v14659(VarCurr,bitIndex1)
        <=> $false )
        & ( v14659(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5675,axiom,(
    ! [VarCurr] :
      ( v14659(VarCurr,bitIndex0)
    <=> v14621(VarCurr) ) )).

fof(addAssignment_5674,axiom,(
    ! [VarCurr] :
      ( v14659(VarCurr,bitIndex1)
    <=> v14619(VarCurr) ) )).

fof(addAssignment_5673,axiom,(
    ! [VarCurr] :
      ( v14659(VarCurr,bitIndex2)
    <=> v14617(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3395,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14643(VarNext)
      <=> ( v14644(VarNext)
          & v14639(VarNext) ) ) ) )).

fof(writeUnaryOperator_1859,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14644(VarNext)
      <=> v14646(VarNext) ) ) )).

fof(addAssignment_5672,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14646(VarNext)
      <=> v14639(VarCurr) ) ) )).

fof(addAssignment_5671,axiom,(
    ! [VarCurr] :
      ( v14639(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5670,axiom,(
    ! [VarCurr] :
      ( v14637(VarCurr)
    <=> $false ) )).

fof(addAssignment_5669,axiom,(
    ! [VarCurr] :
      ( v14635(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5668,axiom,(
    ! [VarCurr] :
      ( v14633(VarCurr)
    <=> $false ) )).

fof(addAssignment_5667,axiom,(
    ! [VarCurr] :
      ( v14623(VarCurr)
    <=> v13838(VarCurr,bitIndex25) ) )).

fof(addAssignment_5666,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex25)
    <=> v13840(VarCurr,bitIndex25) ) )).

fof(addAssignment_5665,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex25)
    <=> v3822(VarCurr,bitIndex25) ) )).

fof(addAssignment_5664,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex25)
    <=> v3824(VarCurr,bitIndex25) ) )).

fof(addAssignment_5663,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex25)
    <=> v3826(VarCurr,bitIndex25) ) )).

fof(addAssignment_5662,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex25)
    <=> v3828(VarCurr,bitIndex25) ) )).

fof(addAssignment_5661,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex25)
    <=> v3830(VarCurr,bitIndex25) ) )).

fof(addAssignment_5660,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex25)
    <=> v3832(VarCurr,bitIndex25) ) )).

fof(addAssignment_5659,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex25)
    <=> v3834(VarCurr,bitIndex25) ) )).

fof(addAssignment_5658,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex25)
    <=> v14625(VarNext,bitIndex25) ) )).

fof(addCaseBooleanConditionEqualRanges1_144,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14626(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14625(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_166,axiom,(
    ! [VarNext] :
      ( v14626(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14625(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3394,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14626(VarNext)
      <=> v14627(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3393,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14627(VarNext)
      <=> ( v14629(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1858,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14629(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5657,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex25)
    <=> v13844(VarCurr,bitIndex25) ) )).

fof(addAssignment_5656,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex25)
    <=> v13846(VarCurr,bitIndex25) ) )).

fof(addAssignment_5655,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex25)
    <=> v13848(VarCurr,bitIndex25) ) )).

fof(addAssignment_5654,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex25)
    <=> v13850(VarCurr,bitIndex25) ) )).

fof(addAssignment_5653,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex25)
    <=> v13852(VarCurr,bitIndex25) ) )).

fof(addAssignment_5652,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex25)
    <=> v13538(VarCurr,bitIndex25) ) )).

fof(addAssignment_5651,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex25)
    <=> v13540(VarCurr,bitIndex25) ) )).

fof(addAssignment_5650,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex25)
    <=> v13542(VarCurr,bitIndex25) ) )).

fof(addAssignment_5649,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex25)
    <=> v13544(VarCurr,bitIndex25) ) )).

fof(addAssignment_5648,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex25)
    <=> v13546(VarCurr,bitIndex25) ) )).

fof(addAssignment_5647,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex25)
    <=> v13548(VarCurr,bitIndex25) ) )).

fof(addAssignment_5646,axiom,(
    ! [VarCurr] :
      ( v14621(VarCurr)
    <=> $false ) )).

fof(addAssignment_5645,axiom,(
    ! [VarCurr] :
      ( v14619(VarCurr)
    <=> $false ) )).

fof(addAssignment_5644,axiom,(
    ! [VarCurr] :
      ( v14617(VarCurr)
    <=> $true ) )).

fof(addAssignment_5643,axiom,(
    ! [VarCurr] :
      ( v14615(VarCurr)
    <=> $false ) )).

fof(addAssignment_5642,axiom,(
    ! [VarCurr] :
      ( v14613(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_143,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14566(VarNext)
       => ( v14535(VarNext)
        <=> v14535(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_165,axiom,(
    ! [VarNext] :
      ( v14566(VarNext)
     => ( v14535(VarNext)
      <=> v14601(VarNext) ) ) )).

fof(addAssignment_5641,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14601(VarNext)
      <=> v14599(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_202,axiom,(
    ! [VarCurr] :
      ( ~ v14537(VarCurr)
     => ( v14599(VarCurr)
      <=> v14602(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_202,axiom,(
    ! [VarCurr] :
      ( v14537(VarCurr)
     => ( v14599(VarCurr)
      <=> v14539(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_201,axiom,(
    ! [VarCurr] :
      ( ~ v14579(VarCurr)
     => ( v14602(VarCurr)
      <=> v14561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_201,axiom,(
    ! [VarCurr] :
      ( v14579(VarCurr)
     => ( v14602(VarCurr)
      <=> v14603(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_68,axiom,(
    ! [VarCurr] :
      ( ( ~ v14582(VarCurr)
        & ~ v14584(VarCurr) )
     => ( v14603(VarCurr)
      <=> v14607(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_200,axiom,(
    ! [VarCurr] :
      ( v14584(VarCurr)
     => ( v14603(VarCurr)
      <=> v14606(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_200,axiom,(
    ! [VarCurr] :
      ( v14582(VarCurr)
     => ( v14603(VarCurr)
      <=> v14604(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_199,axiom,(
    ! [VarCurr] :
      ( ~ v14592(VarCurr)
     => ( v14607(VarCurr)
      <=> v14561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_199,axiom,(
    ! [VarCurr] :
      ( v14592(VarCurr)
     => ( v14607(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_198,axiom,(
    ! [VarCurr] :
      ( ~ v14586(VarCurr)
     => ( v14606(VarCurr)
      <=> v14561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_198,axiom,(
    ! [VarCurr] :
      ( v14586(VarCurr)
     => ( v14606(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_289,axiom,(
    ! [VarCurr] :
      ( ~ v14605(VarCurr)
     => ( v14604(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_229,axiom,(
    ! [VarCurr] :
      ( v14605(VarCurr)
     => ( v14604(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_933,axiom,(
    ! [VarCurr] :
      ( v14605(VarCurr)
    <=> ( v14547(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3392,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14566(VarNext)
      <=> ( v14567(VarNext)
          & v14576(VarNext) ) ) ) )).

fof(addAssignment_5640,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14576(VarNext)
      <=> v14574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3391,axiom,(
    ! [VarCurr] :
      ( v14574(VarCurr)
    <=> ( v14537(VarCurr)
        | v14577(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3390,axiom,(
    ! [VarCurr] :
      ( v14577(VarCurr)
    <=> ( v14578(VarCurr)
        & v14598(VarCurr) ) ) )).

fof(writeUnaryOperator_1857,axiom,(
    ! [VarCurr] :
      ( ~ v14598(VarCurr)
    <=> v14537(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3389,axiom,(
    ! [VarCurr] :
      ( v14578(VarCurr)
    <=> ( v14579(VarCurr)
        | v14596(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3388,axiom,(
    ! [VarCurr] :
      ( v14596(VarCurr)
    <=> ( v14557(VarCurr)
        & v14597(VarCurr) ) ) )).

fof(writeUnaryOperator_1856,axiom,(
    ! [VarCurr] :
      ( ~ v14597(VarCurr)
    <=> v14559(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3387,axiom,(
    ! [VarCurr] :
      ( v14579(VarCurr)
    <=> ( v14580(VarCurr)
        & v14559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3386,axiom,(
    ! [VarCurr] :
      ( v14580(VarCurr)
    <=> ( v14581(VarCurr)
        | v14590(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3385,axiom,(
    ! [VarCurr] :
      ( v14590(VarCurr)
    <=> ( v14591(VarCurr)
        & v14595(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_932,axiom,(
    ! [VarCurr] :
      ( v14595(VarCurr)
    <=> ( ( v14583(VarCurr,bitIndex2)
        <=> $false )
        & ( v14583(VarCurr,bitIndex1)
        <=> $false )
        & ( v14583(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3384,axiom,(
    ! [VarCurr] :
      ( v14591(VarCurr)
    <=> ( v14592(VarCurr)
        | v14593(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3383,axiom,(
    ! [VarCurr] :
      ( v14593(VarCurr)
    <=> ( v14557(VarCurr)
        & v14594(VarCurr) ) ) )).

fof(writeUnaryOperator_1855,axiom,(
    ! [VarCurr] :
      ( ~ v14594(VarCurr)
    <=> v14592(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_931,axiom,(
    ! [VarCurr] :
      ( v14592(VarCurr)
    <=> ( v14547(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3382,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr)
    <=> ( v14582(VarCurr)
        | v14584(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3381,axiom,(
    ! [VarCurr] :
      ( v14584(VarCurr)
    <=> ( v14585(VarCurr)
        & v14589(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_930,axiom,(
    ! [VarCurr] :
      ( v14589(VarCurr)
    <=> ( ( v14583(VarCurr,bitIndex2)
        <=> $false )
        & ( v14583(VarCurr,bitIndex1)
        <=> $true )
        & ( v14583(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3380,axiom,(
    ! [VarCurr] :
      ( v14585(VarCurr)
    <=> ( v14586(VarCurr)
        | v14587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3379,axiom,(
    ! [VarCurr] :
      ( v14587(VarCurr)
    <=> ( v14557(VarCurr)
        & v14588(VarCurr) ) ) )).

fof(writeUnaryOperator_1854,axiom,(
    ! [VarCurr] :
      ( ~ v14588(VarCurr)
    <=> v14586(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_929,axiom,(
    ! [VarCurr] :
      ( v14586(VarCurr)
    <=> ( v14547(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_928,axiom,(
    ! [VarCurr] :
      ( v14582(VarCurr)
    <=> ( ( v14583(VarCurr,bitIndex2)
        <=> $true )
        & ( v14583(VarCurr,bitIndex1)
        <=> $false )
        & ( v14583(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5639,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex0)
    <=> v14545(VarCurr) ) )).

fof(addAssignment_5638,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex1)
    <=> v14543(VarCurr) ) )).

fof(addAssignment_5637,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex2)
    <=> v14541(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3378,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14567(VarNext)
      <=> ( v14568(VarNext)
          & v14563(VarNext) ) ) ) )).

fof(writeUnaryOperator_1853,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14568(VarNext)
      <=> v14570(VarNext) ) ) )).

fof(addAssignment_5636,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14570(VarNext)
      <=> v14563(VarCurr) ) ) )).

fof(addAssignment_5635,axiom,(
    ! [VarCurr] :
      ( v14563(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5634,axiom,(
    ! [VarCurr] :
      ( v14561(VarCurr)
    <=> $false ) )).

fof(addAssignment_5633,axiom,(
    ! [VarCurr] :
      ( v14559(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5632,axiom,(
    ! [VarCurr] :
      ( v14557(VarCurr)
    <=> $false ) )).

fof(addAssignment_5631,axiom,(
    ! [VarCurr] :
      ( v14547(VarCurr)
    <=> v13838(VarCurr,bitIndex24) ) )).

fof(addAssignment_5630,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex24)
    <=> v13840(VarCurr,bitIndex24) ) )).

fof(addAssignment_5629,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex24)
    <=> v3822(VarCurr,bitIndex24) ) )).

fof(addAssignment_5628,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex24)
    <=> v3824(VarCurr,bitIndex24) ) )).

fof(addAssignment_5627,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex24)
    <=> v3826(VarCurr,bitIndex24) ) )).

fof(addAssignment_5626,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex24)
    <=> v3828(VarCurr,bitIndex24) ) )).

fof(addAssignment_5625,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex24)
    <=> v3830(VarCurr,bitIndex24) ) )).

fof(addAssignment_5624,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex24)
    <=> v3832(VarCurr,bitIndex24) ) )).

fof(addAssignment_5623,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex24)
    <=> v3834(VarCurr,bitIndex24) ) )).

fof(addAssignment_5622,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex24)
    <=> v14549(VarNext,bitIndex24) ) )).

fof(addCaseBooleanConditionEqualRanges1_142,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14550(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14549(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_164,axiom,(
    ! [VarNext] :
      ( v14550(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14549(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3377,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14550(VarNext)
      <=> v14551(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3376,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14551(VarNext)
      <=> ( v14553(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1852,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14553(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5621,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex24)
    <=> v13844(VarCurr,bitIndex24) ) )).

fof(addAssignment_5620,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex24)
    <=> v13846(VarCurr,bitIndex24) ) )).

fof(addAssignment_5619,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex24)
    <=> v13848(VarCurr,bitIndex24) ) )).

fof(addAssignment_5618,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex24)
    <=> v13850(VarCurr,bitIndex24) ) )).

fof(addAssignment_5617,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex24)
    <=> v13852(VarCurr,bitIndex24) ) )).

fof(addAssignment_5616,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex24)
    <=> v13538(VarCurr,bitIndex24) ) )).

fof(addAssignment_5615,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex24)
    <=> v13540(VarCurr,bitIndex24) ) )).

fof(addAssignment_5614,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex24)
    <=> v13542(VarCurr,bitIndex24) ) )).

fof(addAssignment_5613,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex24)
    <=> v13544(VarCurr,bitIndex24) ) )).

fof(addAssignment_5612,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex24)
    <=> v13546(VarCurr,bitIndex24) ) )).

fof(addAssignment_5611,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex24)
    <=> v13548(VarCurr,bitIndex24) ) )).

fof(addAssignment_5610,axiom,(
    ! [VarCurr] :
      ( v14545(VarCurr)
    <=> $false ) )).

fof(addAssignment_5609,axiom,(
    ! [VarCurr] :
      ( v14543(VarCurr)
    <=> $false ) )).

fof(addAssignment_5608,axiom,(
    ! [VarCurr] :
      ( v14541(VarCurr)
    <=> $true ) )).

fof(addAssignment_5607,axiom,(
    ! [VarCurr] :
      ( v14539(VarCurr)
    <=> $false ) )).

fof(addAssignment_5606,axiom,(
    ! [VarCurr] :
      ( v14537(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_141,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14490(VarNext)
       => ( v14459(VarNext)
        <=> v14459(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_163,axiom,(
    ! [VarNext] :
      ( v14490(VarNext)
     => ( v14459(VarNext)
      <=> v14525(VarNext) ) ) )).

fof(addAssignment_5605,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14525(VarNext)
      <=> v14523(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_197,axiom,(
    ! [VarCurr] :
      ( ~ v14461(VarCurr)
     => ( v14523(VarCurr)
      <=> v14526(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_197,axiom,(
    ! [VarCurr] :
      ( v14461(VarCurr)
     => ( v14523(VarCurr)
      <=> v14463(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_196,axiom,(
    ! [VarCurr] :
      ( ~ v14503(VarCurr)
     => ( v14526(VarCurr)
      <=> v14485(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_196,axiom,(
    ! [VarCurr] :
      ( v14503(VarCurr)
     => ( v14526(VarCurr)
      <=> v14527(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_67,axiom,(
    ! [VarCurr] :
      ( ( ~ v14506(VarCurr)
        & ~ v14508(VarCurr) )
     => ( v14527(VarCurr)
      <=> v14531(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_195,axiom,(
    ! [VarCurr] :
      ( v14508(VarCurr)
     => ( v14527(VarCurr)
      <=> v14530(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_195,axiom,(
    ! [VarCurr] :
      ( v14506(VarCurr)
     => ( v14527(VarCurr)
      <=> v14528(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_194,axiom,(
    ! [VarCurr] :
      ( ~ v14516(VarCurr)
     => ( v14531(VarCurr)
      <=> v14485(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_194,axiom,(
    ! [VarCurr] :
      ( v14516(VarCurr)
     => ( v14531(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_193,axiom,(
    ! [VarCurr] :
      ( ~ v14510(VarCurr)
     => ( v14530(VarCurr)
      <=> v14485(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_193,axiom,(
    ! [VarCurr] :
      ( v14510(VarCurr)
     => ( v14530(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_288,axiom,(
    ! [VarCurr] :
      ( ~ v14529(VarCurr)
     => ( v14528(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_228,axiom,(
    ! [VarCurr] :
      ( v14529(VarCurr)
     => ( v14528(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_927,axiom,(
    ! [VarCurr] :
      ( v14529(VarCurr)
    <=> ( v14471(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3375,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14490(VarNext)
      <=> ( v14491(VarNext)
          & v14500(VarNext) ) ) ) )).

fof(addAssignment_5604,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14500(VarNext)
      <=> v14498(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3374,axiom,(
    ! [VarCurr] :
      ( v14498(VarCurr)
    <=> ( v14461(VarCurr)
        | v14501(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3373,axiom,(
    ! [VarCurr] :
      ( v14501(VarCurr)
    <=> ( v14502(VarCurr)
        & v14522(VarCurr) ) ) )).

fof(writeUnaryOperator_1851,axiom,(
    ! [VarCurr] :
      ( ~ v14522(VarCurr)
    <=> v14461(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3372,axiom,(
    ! [VarCurr] :
      ( v14502(VarCurr)
    <=> ( v14503(VarCurr)
        | v14520(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3371,axiom,(
    ! [VarCurr] :
      ( v14520(VarCurr)
    <=> ( v14481(VarCurr)
        & v14521(VarCurr) ) ) )).

fof(writeUnaryOperator_1850,axiom,(
    ! [VarCurr] :
      ( ~ v14521(VarCurr)
    <=> v14483(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3370,axiom,(
    ! [VarCurr] :
      ( v14503(VarCurr)
    <=> ( v14504(VarCurr)
        & v14483(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3369,axiom,(
    ! [VarCurr] :
      ( v14504(VarCurr)
    <=> ( v14505(VarCurr)
        | v14514(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3368,axiom,(
    ! [VarCurr] :
      ( v14514(VarCurr)
    <=> ( v14515(VarCurr)
        & v14519(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_926,axiom,(
    ! [VarCurr] :
      ( v14519(VarCurr)
    <=> ( ( v14507(VarCurr,bitIndex2)
        <=> $false )
        & ( v14507(VarCurr,bitIndex1)
        <=> $false )
        & ( v14507(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3367,axiom,(
    ! [VarCurr] :
      ( v14515(VarCurr)
    <=> ( v14516(VarCurr)
        | v14517(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3366,axiom,(
    ! [VarCurr] :
      ( v14517(VarCurr)
    <=> ( v14481(VarCurr)
        & v14518(VarCurr) ) ) )).

fof(writeUnaryOperator_1849,axiom,(
    ! [VarCurr] :
      ( ~ v14518(VarCurr)
    <=> v14516(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_925,axiom,(
    ! [VarCurr] :
      ( v14516(VarCurr)
    <=> ( v14471(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3365,axiom,(
    ! [VarCurr] :
      ( v14505(VarCurr)
    <=> ( v14506(VarCurr)
        | v14508(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3364,axiom,(
    ! [VarCurr] :
      ( v14508(VarCurr)
    <=> ( v14509(VarCurr)
        & v14513(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_924,axiom,(
    ! [VarCurr] :
      ( v14513(VarCurr)
    <=> ( ( v14507(VarCurr,bitIndex2)
        <=> $false )
        & ( v14507(VarCurr,bitIndex1)
        <=> $true )
        & ( v14507(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3363,axiom,(
    ! [VarCurr] :
      ( v14509(VarCurr)
    <=> ( v14510(VarCurr)
        | v14511(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3362,axiom,(
    ! [VarCurr] :
      ( v14511(VarCurr)
    <=> ( v14481(VarCurr)
        & v14512(VarCurr) ) ) )).

fof(writeUnaryOperator_1848,axiom,(
    ! [VarCurr] :
      ( ~ v14512(VarCurr)
    <=> v14510(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_923,axiom,(
    ! [VarCurr] :
      ( v14510(VarCurr)
    <=> ( v14471(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_922,axiom,(
    ! [VarCurr] :
      ( v14506(VarCurr)
    <=> ( ( v14507(VarCurr,bitIndex2)
        <=> $true )
        & ( v14507(VarCurr,bitIndex1)
        <=> $false )
        & ( v14507(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5603,axiom,(
    ! [VarCurr] :
      ( v14507(VarCurr,bitIndex0)
    <=> v14469(VarCurr) ) )).

fof(addAssignment_5602,axiom,(
    ! [VarCurr] :
      ( v14507(VarCurr,bitIndex1)
    <=> v14467(VarCurr) ) )).

fof(addAssignment_5601,axiom,(
    ! [VarCurr] :
      ( v14507(VarCurr,bitIndex2)
    <=> v14465(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3361,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14491(VarNext)
      <=> ( v14492(VarNext)
          & v14487(VarNext) ) ) ) )).

fof(writeUnaryOperator_1847,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14492(VarNext)
      <=> v14494(VarNext) ) ) )).

fof(addAssignment_5600,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14494(VarNext)
      <=> v14487(VarCurr) ) ) )).

fof(addAssignment_5599,axiom,(
    ! [VarCurr] :
      ( v14487(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5598,axiom,(
    ! [VarCurr] :
      ( v14485(VarCurr)
    <=> $false ) )).

fof(addAssignment_5597,axiom,(
    ! [VarCurr] :
      ( v14483(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5596,axiom,(
    ! [VarCurr] :
      ( v14481(VarCurr)
    <=> $false ) )).

fof(addAssignment_5595,axiom,(
    ! [VarCurr] :
      ( v14471(VarCurr)
    <=> v13838(VarCurr,bitIndex23) ) )).

fof(addAssignment_5594,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex23)
    <=> v13840(VarCurr,bitIndex23) ) )).

fof(addAssignment_5593,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex23)
    <=> v3822(VarCurr,bitIndex23) ) )).

fof(addAssignment_5592,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex23)
    <=> v3824(VarCurr,bitIndex23) ) )).

fof(addAssignment_5591,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex23)
    <=> v3826(VarCurr,bitIndex23) ) )).

fof(addAssignment_5590,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex23)
    <=> v3828(VarCurr,bitIndex23) ) )).

fof(addAssignment_5589,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex23)
    <=> v3830(VarCurr,bitIndex23) ) )).

fof(addAssignment_5588,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex23)
    <=> v3832(VarCurr,bitIndex23) ) )).

fof(addAssignment_5587,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex23)
    <=> v3834(VarCurr,bitIndex23) ) )).

fof(addAssignment_5586,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex23)
    <=> v14473(VarNext,bitIndex23) ) )).

fof(addCaseBooleanConditionEqualRanges1_140,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14474(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14473(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_162,axiom,(
    ! [VarNext] :
      ( v14474(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14473(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3360,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14474(VarNext)
      <=> v14475(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3359,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14475(VarNext)
      <=> ( v14477(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1846,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14477(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5585,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex23)
    <=> v13844(VarCurr,bitIndex23) ) )).

fof(addAssignment_5584,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex23)
    <=> v13846(VarCurr,bitIndex23) ) )).

fof(addAssignment_5583,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex23)
    <=> v13848(VarCurr,bitIndex23) ) )).

fof(addAssignment_5582,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex23)
    <=> v13850(VarCurr,bitIndex23) ) )).

fof(addAssignment_5581,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex23)
    <=> v13852(VarCurr,bitIndex23) ) )).

fof(addAssignment_5580,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex23)
    <=> v13538(VarCurr,bitIndex23) ) )).

fof(addAssignment_5579,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex23)
    <=> v13540(VarCurr,bitIndex23) ) )).

fof(addAssignment_5578,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex23)
    <=> v13542(VarCurr,bitIndex23) ) )).

fof(addAssignment_5577,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex23)
    <=> v13544(VarCurr,bitIndex23) ) )).

fof(addAssignment_5576,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex23)
    <=> v13546(VarCurr,bitIndex23) ) )).

fof(addAssignment_5575,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex23)
    <=> v13548(VarCurr,bitIndex23) ) )).

fof(addAssignment_5574,axiom,(
    ! [VarCurr] :
      ( v14469(VarCurr)
    <=> $false ) )).

fof(addAssignment_5573,axiom,(
    ! [VarCurr] :
      ( v14467(VarCurr)
    <=> $false ) )).

fof(addAssignment_5572,axiom,(
    ! [VarCurr] :
      ( v14465(VarCurr)
    <=> $true ) )).

fof(addAssignment_5571,axiom,(
    ! [VarCurr] :
      ( v14463(VarCurr)
    <=> $false ) )).

fof(addAssignment_5570,axiom,(
    ! [VarCurr] :
      ( v14461(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_139,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14414(VarNext)
       => ( v14383(VarNext)
        <=> v14383(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_161,axiom,(
    ! [VarNext] :
      ( v14414(VarNext)
     => ( v14383(VarNext)
      <=> v14449(VarNext) ) ) )).

fof(addAssignment_5569,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14449(VarNext)
      <=> v14447(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_192,axiom,(
    ! [VarCurr] :
      ( ~ v14385(VarCurr)
     => ( v14447(VarCurr)
      <=> v14450(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_192,axiom,(
    ! [VarCurr] :
      ( v14385(VarCurr)
     => ( v14447(VarCurr)
      <=> v14387(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_191,axiom,(
    ! [VarCurr] :
      ( ~ v14427(VarCurr)
     => ( v14450(VarCurr)
      <=> v14409(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_191,axiom,(
    ! [VarCurr] :
      ( v14427(VarCurr)
     => ( v14450(VarCurr)
      <=> v14451(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_66,axiom,(
    ! [VarCurr] :
      ( ( ~ v14430(VarCurr)
        & ~ v14432(VarCurr) )
     => ( v14451(VarCurr)
      <=> v14455(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_190,axiom,(
    ! [VarCurr] :
      ( v14432(VarCurr)
     => ( v14451(VarCurr)
      <=> v14454(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_190,axiom,(
    ! [VarCurr] :
      ( v14430(VarCurr)
     => ( v14451(VarCurr)
      <=> v14452(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_189,axiom,(
    ! [VarCurr] :
      ( ~ v14440(VarCurr)
     => ( v14455(VarCurr)
      <=> v14409(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_189,axiom,(
    ! [VarCurr] :
      ( v14440(VarCurr)
     => ( v14455(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_188,axiom,(
    ! [VarCurr] :
      ( ~ v14434(VarCurr)
     => ( v14454(VarCurr)
      <=> v14409(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_188,axiom,(
    ! [VarCurr] :
      ( v14434(VarCurr)
     => ( v14454(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_287,axiom,(
    ! [VarCurr] :
      ( ~ v14453(VarCurr)
     => ( v14452(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_227,axiom,(
    ! [VarCurr] :
      ( v14453(VarCurr)
     => ( v14452(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_921,axiom,(
    ! [VarCurr] :
      ( v14453(VarCurr)
    <=> ( v14395(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3358,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14414(VarNext)
      <=> ( v14415(VarNext)
          & v14424(VarNext) ) ) ) )).

fof(addAssignment_5568,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14424(VarNext)
      <=> v14422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3357,axiom,(
    ! [VarCurr] :
      ( v14422(VarCurr)
    <=> ( v14385(VarCurr)
        | v14425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3356,axiom,(
    ! [VarCurr] :
      ( v14425(VarCurr)
    <=> ( v14426(VarCurr)
        & v14446(VarCurr) ) ) )).

fof(writeUnaryOperator_1845,axiom,(
    ! [VarCurr] :
      ( ~ v14446(VarCurr)
    <=> v14385(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3355,axiom,(
    ! [VarCurr] :
      ( v14426(VarCurr)
    <=> ( v14427(VarCurr)
        | v14444(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3354,axiom,(
    ! [VarCurr] :
      ( v14444(VarCurr)
    <=> ( v14405(VarCurr)
        & v14445(VarCurr) ) ) )).

fof(writeUnaryOperator_1844,axiom,(
    ! [VarCurr] :
      ( ~ v14445(VarCurr)
    <=> v14407(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3353,axiom,(
    ! [VarCurr] :
      ( v14427(VarCurr)
    <=> ( v14428(VarCurr)
        & v14407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3352,axiom,(
    ! [VarCurr] :
      ( v14428(VarCurr)
    <=> ( v14429(VarCurr)
        | v14438(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3351,axiom,(
    ! [VarCurr] :
      ( v14438(VarCurr)
    <=> ( v14439(VarCurr)
        & v14443(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_920,axiom,(
    ! [VarCurr] :
      ( v14443(VarCurr)
    <=> ( ( v14431(VarCurr,bitIndex2)
        <=> $false )
        & ( v14431(VarCurr,bitIndex1)
        <=> $false )
        & ( v14431(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3350,axiom,(
    ! [VarCurr] :
      ( v14439(VarCurr)
    <=> ( v14440(VarCurr)
        | v14441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3349,axiom,(
    ! [VarCurr] :
      ( v14441(VarCurr)
    <=> ( v14405(VarCurr)
        & v14442(VarCurr) ) ) )).

fof(writeUnaryOperator_1843,axiom,(
    ! [VarCurr] :
      ( ~ v14442(VarCurr)
    <=> v14440(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_919,axiom,(
    ! [VarCurr] :
      ( v14440(VarCurr)
    <=> ( v14395(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3348,axiom,(
    ! [VarCurr] :
      ( v14429(VarCurr)
    <=> ( v14430(VarCurr)
        | v14432(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3347,axiom,(
    ! [VarCurr] :
      ( v14432(VarCurr)
    <=> ( v14433(VarCurr)
        & v14437(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_918,axiom,(
    ! [VarCurr] :
      ( v14437(VarCurr)
    <=> ( ( v14431(VarCurr,bitIndex2)
        <=> $false )
        & ( v14431(VarCurr,bitIndex1)
        <=> $true )
        & ( v14431(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3346,axiom,(
    ! [VarCurr] :
      ( v14433(VarCurr)
    <=> ( v14434(VarCurr)
        | v14435(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3345,axiom,(
    ! [VarCurr] :
      ( v14435(VarCurr)
    <=> ( v14405(VarCurr)
        & v14436(VarCurr) ) ) )).

fof(writeUnaryOperator_1842,axiom,(
    ! [VarCurr] :
      ( ~ v14436(VarCurr)
    <=> v14434(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_917,axiom,(
    ! [VarCurr] :
      ( v14434(VarCurr)
    <=> ( v14395(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_916,axiom,(
    ! [VarCurr] :
      ( v14430(VarCurr)
    <=> ( ( v14431(VarCurr,bitIndex2)
        <=> $true )
        & ( v14431(VarCurr,bitIndex1)
        <=> $false )
        & ( v14431(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5567,axiom,(
    ! [VarCurr] :
      ( v14431(VarCurr,bitIndex0)
    <=> v14393(VarCurr) ) )).

fof(addAssignment_5566,axiom,(
    ! [VarCurr] :
      ( v14431(VarCurr,bitIndex1)
    <=> v14391(VarCurr) ) )).

fof(addAssignment_5565,axiom,(
    ! [VarCurr] :
      ( v14431(VarCurr,bitIndex2)
    <=> v14389(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3344,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14415(VarNext)
      <=> ( v14416(VarNext)
          & v14411(VarNext) ) ) ) )).

fof(writeUnaryOperator_1841,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14416(VarNext)
      <=> v14418(VarNext) ) ) )).

fof(addAssignment_5564,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14418(VarNext)
      <=> v14411(VarCurr) ) ) )).

fof(addAssignment_5563,axiom,(
    ! [VarCurr] :
      ( v14411(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5562,axiom,(
    ! [VarCurr] :
      ( v14409(VarCurr)
    <=> $false ) )).

fof(addAssignment_5561,axiom,(
    ! [VarCurr] :
      ( v14407(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5560,axiom,(
    ! [VarCurr] :
      ( v14405(VarCurr)
    <=> $false ) )).

fof(addAssignment_5559,axiom,(
    ! [VarCurr] :
      ( v14395(VarCurr)
    <=> v13838(VarCurr,bitIndex22) ) )).

fof(addAssignment_5558,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex22)
    <=> v13840(VarCurr,bitIndex22) ) )).

fof(addAssignment_5557,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex22)
    <=> v3822(VarCurr,bitIndex22) ) )).

fof(addAssignment_5556,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex22)
    <=> v3824(VarCurr,bitIndex22) ) )).

fof(addAssignment_5555,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex22)
    <=> v3826(VarCurr,bitIndex22) ) )).

fof(addAssignment_5554,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex22)
    <=> v3828(VarCurr,bitIndex22) ) )).

fof(addAssignment_5553,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex22)
    <=> v3830(VarCurr,bitIndex22) ) )).

fof(addAssignment_5552,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex22)
    <=> v3832(VarCurr,bitIndex22) ) )).

fof(addAssignment_5551,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex22)
    <=> v3834(VarCurr,bitIndex22) ) )).

fof(addAssignment_5550,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex22)
    <=> v14397(VarNext,bitIndex22) ) )).

fof(addCaseBooleanConditionEqualRanges1_138,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14398(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14397(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_160,axiom,(
    ! [VarNext] :
      ( v14398(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14397(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3343,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14398(VarNext)
      <=> v14399(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3342,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14399(VarNext)
      <=> ( v14401(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1840,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14401(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5549,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex22)
    <=> v13844(VarCurr,bitIndex22) ) )).

fof(addAssignment_5548,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex22)
    <=> v13846(VarCurr,bitIndex22) ) )).

fof(addAssignment_5547,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex22)
    <=> v13848(VarCurr,bitIndex22) ) )).

fof(addAssignment_5546,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex22)
    <=> v13850(VarCurr,bitIndex22) ) )).

fof(addAssignment_5545,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex22)
    <=> v13852(VarCurr,bitIndex22) ) )).

fof(addAssignment_5544,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex22)
    <=> v13538(VarCurr,bitIndex22) ) )).

fof(addAssignment_5543,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex22)
    <=> v13540(VarCurr,bitIndex22) ) )).

fof(addAssignment_5542,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex22)
    <=> v13542(VarCurr,bitIndex22) ) )).

fof(addAssignment_5541,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex22)
    <=> v13544(VarCurr,bitIndex22) ) )).

fof(addAssignment_5540,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex22)
    <=> v13546(VarCurr,bitIndex22) ) )).

fof(addAssignment_5539,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex22)
    <=> v13548(VarCurr,bitIndex22) ) )).

fof(addAssignment_5538,axiom,(
    ! [VarCurr] :
      ( v14393(VarCurr)
    <=> $false ) )).

fof(addAssignment_5537,axiom,(
    ! [VarCurr] :
      ( v14391(VarCurr)
    <=> $false ) )).

fof(addAssignment_5536,axiom,(
    ! [VarCurr] :
      ( v14389(VarCurr)
    <=> $true ) )).

fof(addAssignment_5535,axiom,(
    ! [VarCurr] :
      ( v14387(VarCurr)
    <=> $false ) )).

fof(addAssignment_5534,axiom,(
    ! [VarCurr] :
      ( v14385(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_137,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14338(VarNext)
       => ( v14307(VarNext)
        <=> v14307(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_159,axiom,(
    ! [VarNext] :
      ( v14338(VarNext)
     => ( v14307(VarNext)
      <=> v14373(VarNext) ) ) )).

fof(addAssignment_5533,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14373(VarNext)
      <=> v14371(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_187,axiom,(
    ! [VarCurr] :
      ( ~ v14309(VarCurr)
     => ( v14371(VarCurr)
      <=> v14374(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_187,axiom,(
    ! [VarCurr] :
      ( v14309(VarCurr)
     => ( v14371(VarCurr)
      <=> v14311(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_186,axiom,(
    ! [VarCurr] :
      ( ~ v14351(VarCurr)
     => ( v14374(VarCurr)
      <=> v14333(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_186,axiom,(
    ! [VarCurr] :
      ( v14351(VarCurr)
     => ( v14374(VarCurr)
      <=> v14375(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_65,axiom,(
    ! [VarCurr] :
      ( ( ~ v14354(VarCurr)
        & ~ v14356(VarCurr) )
     => ( v14375(VarCurr)
      <=> v14379(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_185,axiom,(
    ! [VarCurr] :
      ( v14356(VarCurr)
     => ( v14375(VarCurr)
      <=> v14378(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_185,axiom,(
    ! [VarCurr] :
      ( v14354(VarCurr)
     => ( v14375(VarCurr)
      <=> v14376(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_184,axiom,(
    ! [VarCurr] :
      ( ~ v14364(VarCurr)
     => ( v14379(VarCurr)
      <=> v14333(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_184,axiom,(
    ! [VarCurr] :
      ( v14364(VarCurr)
     => ( v14379(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_183,axiom,(
    ! [VarCurr] :
      ( ~ v14358(VarCurr)
     => ( v14378(VarCurr)
      <=> v14333(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_183,axiom,(
    ! [VarCurr] :
      ( v14358(VarCurr)
     => ( v14378(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_286,axiom,(
    ! [VarCurr] :
      ( ~ v14377(VarCurr)
     => ( v14376(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_226,axiom,(
    ! [VarCurr] :
      ( v14377(VarCurr)
     => ( v14376(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_915,axiom,(
    ! [VarCurr] :
      ( v14377(VarCurr)
    <=> ( v14319(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3341,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14338(VarNext)
      <=> ( v14339(VarNext)
          & v14348(VarNext) ) ) ) )).

fof(addAssignment_5532,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14348(VarNext)
      <=> v14346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3340,axiom,(
    ! [VarCurr] :
      ( v14346(VarCurr)
    <=> ( v14309(VarCurr)
        | v14349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3339,axiom,(
    ! [VarCurr] :
      ( v14349(VarCurr)
    <=> ( v14350(VarCurr)
        & v14370(VarCurr) ) ) )).

fof(writeUnaryOperator_1839,axiom,(
    ! [VarCurr] :
      ( ~ v14370(VarCurr)
    <=> v14309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3338,axiom,(
    ! [VarCurr] :
      ( v14350(VarCurr)
    <=> ( v14351(VarCurr)
        | v14368(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3337,axiom,(
    ! [VarCurr] :
      ( v14368(VarCurr)
    <=> ( v14329(VarCurr)
        & v14369(VarCurr) ) ) )).

fof(writeUnaryOperator_1838,axiom,(
    ! [VarCurr] :
      ( ~ v14369(VarCurr)
    <=> v14331(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3336,axiom,(
    ! [VarCurr] :
      ( v14351(VarCurr)
    <=> ( v14352(VarCurr)
        & v14331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3335,axiom,(
    ! [VarCurr] :
      ( v14352(VarCurr)
    <=> ( v14353(VarCurr)
        | v14362(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3334,axiom,(
    ! [VarCurr] :
      ( v14362(VarCurr)
    <=> ( v14363(VarCurr)
        & v14367(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_914,axiom,(
    ! [VarCurr] :
      ( v14367(VarCurr)
    <=> ( ( v14355(VarCurr,bitIndex2)
        <=> $false )
        & ( v14355(VarCurr,bitIndex1)
        <=> $false )
        & ( v14355(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3333,axiom,(
    ! [VarCurr] :
      ( v14363(VarCurr)
    <=> ( v14364(VarCurr)
        | v14365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3332,axiom,(
    ! [VarCurr] :
      ( v14365(VarCurr)
    <=> ( v14329(VarCurr)
        & v14366(VarCurr) ) ) )).

fof(writeUnaryOperator_1837,axiom,(
    ! [VarCurr] :
      ( ~ v14366(VarCurr)
    <=> v14364(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_913,axiom,(
    ! [VarCurr] :
      ( v14364(VarCurr)
    <=> ( v14319(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3331,axiom,(
    ! [VarCurr] :
      ( v14353(VarCurr)
    <=> ( v14354(VarCurr)
        | v14356(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3330,axiom,(
    ! [VarCurr] :
      ( v14356(VarCurr)
    <=> ( v14357(VarCurr)
        & v14361(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_912,axiom,(
    ! [VarCurr] :
      ( v14361(VarCurr)
    <=> ( ( v14355(VarCurr,bitIndex2)
        <=> $false )
        & ( v14355(VarCurr,bitIndex1)
        <=> $true )
        & ( v14355(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3329,axiom,(
    ! [VarCurr] :
      ( v14357(VarCurr)
    <=> ( v14358(VarCurr)
        | v14359(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3328,axiom,(
    ! [VarCurr] :
      ( v14359(VarCurr)
    <=> ( v14329(VarCurr)
        & v14360(VarCurr) ) ) )).

fof(writeUnaryOperator_1836,axiom,(
    ! [VarCurr] :
      ( ~ v14360(VarCurr)
    <=> v14358(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_911,axiom,(
    ! [VarCurr] :
      ( v14358(VarCurr)
    <=> ( v14319(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_910,axiom,(
    ! [VarCurr] :
      ( v14354(VarCurr)
    <=> ( ( v14355(VarCurr,bitIndex2)
        <=> $true )
        & ( v14355(VarCurr,bitIndex1)
        <=> $false )
        & ( v14355(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5531,axiom,(
    ! [VarCurr] :
      ( v14355(VarCurr,bitIndex0)
    <=> v14317(VarCurr) ) )).

fof(addAssignment_5530,axiom,(
    ! [VarCurr] :
      ( v14355(VarCurr,bitIndex1)
    <=> v14315(VarCurr) ) )).

fof(addAssignment_5529,axiom,(
    ! [VarCurr] :
      ( v14355(VarCurr,bitIndex2)
    <=> v14313(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14339(VarNext)
      <=> ( v14340(VarNext)
          & v14335(VarNext) ) ) ) )).

fof(writeUnaryOperator_1835,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14340(VarNext)
      <=> v14342(VarNext) ) ) )).

fof(addAssignment_5528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14342(VarNext)
      <=> v14335(VarCurr) ) ) )).

fof(addAssignment_5527,axiom,(
    ! [VarCurr] :
      ( v14335(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5526,axiom,(
    ! [VarCurr] :
      ( v14333(VarCurr)
    <=> $false ) )).

fof(addAssignment_5525,axiom,(
    ! [VarCurr] :
      ( v14331(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5524,axiom,(
    ! [VarCurr] :
      ( v14329(VarCurr)
    <=> $false ) )).

fof(addAssignment_5523,axiom,(
    ! [VarCurr] :
      ( v14319(VarCurr)
    <=> v13838(VarCurr,bitIndex21) ) )).

fof(addAssignment_5522,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex21)
    <=> v13840(VarCurr,bitIndex21) ) )).

fof(addAssignment_5521,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex21)
    <=> v3822(VarCurr,bitIndex21) ) )).

fof(addAssignment_5520,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex21)
    <=> v3824(VarCurr,bitIndex21) ) )).

fof(addAssignment_5519,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex21)
    <=> v3826(VarCurr,bitIndex21) ) )).

fof(addAssignment_5518,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex21)
    <=> v3828(VarCurr,bitIndex21) ) )).

fof(addAssignment_5517,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex21)
    <=> v3830(VarCurr,bitIndex21) ) )).

fof(addAssignment_5516,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex21)
    <=> v3832(VarCurr,bitIndex21) ) )).

fof(addAssignment_5515,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex21)
    <=> v3834(VarCurr,bitIndex21) ) )).

fof(addAssignment_5514,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex21)
    <=> v14321(VarNext,bitIndex21) ) )).

fof(addCaseBooleanConditionEqualRanges1_136,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14322(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14321(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_158,axiom,(
    ! [VarNext] :
      ( v14322(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14321(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3326,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14322(VarNext)
      <=> v14323(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3325,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14323(VarNext)
      <=> ( v14325(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1834,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14325(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5513,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex21)
    <=> v13844(VarCurr,bitIndex21) ) )).

fof(addAssignment_5512,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex21)
    <=> v13846(VarCurr,bitIndex21) ) )).

fof(addAssignment_5511,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex21)
    <=> v13848(VarCurr,bitIndex21) ) )).

fof(addAssignment_5510,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex21)
    <=> v13850(VarCurr,bitIndex21) ) )).

fof(addAssignment_5509,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex21)
    <=> v13852(VarCurr,bitIndex21) ) )).

fof(addAssignment_5508,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex21)
    <=> v13538(VarCurr,bitIndex21) ) )).

fof(addAssignment_5507,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex21)
    <=> v13540(VarCurr,bitIndex21) ) )).

fof(addAssignment_5506,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex21)
    <=> v13542(VarCurr,bitIndex21) ) )).

fof(addAssignment_5505,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex21)
    <=> v13544(VarCurr,bitIndex21) ) )).

fof(addAssignment_5504,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex21)
    <=> v13546(VarCurr,bitIndex21) ) )).

fof(addAssignment_5503,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex21)
    <=> v13548(VarCurr,bitIndex21) ) )).

fof(addAssignment_5502,axiom,(
    ! [VarCurr] :
      ( v14317(VarCurr)
    <=> $false ) )).

fof(addAssignment_5501,axiom,(
    ! [VarCurr] :
      ( v14315(VarCurr)
    <=> $false ) )).

fof(addAssignment_5500,axiom,(
    ! [VarCurr] :
      ( v14313(VarCurr)
    <=> $true ) )).

fof(addAssignment_5499,axiom,(
    ! [VarCurr] :
      ( v14311(VarCurr)
    <=> $false ) )).

fof(addAssignment_5498,axiom,(
    ! [VarCurr] :
      ( v14309(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_135,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14262(VarNext)
       => ( v14231(VarNext)
        <=> v14231(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_157,axiom,(
    ! [VarNext] :
      ( v14262(VarNext)
     => ( v14231(VarNext)
      <=> v14297(VarNext) ) ) )).

fof(addAssignment_5497,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14297(VarNext)
      <=> v14295(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_182,axiom,(
    ! [VarCurr] :
      ( ~ v14233(VarCurr)
     => ( v14295(VarCurr)
      <=> v14298(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_182,axiom,(
    ! [VarCurr] :
      ( v14233(VarCurr)
     => ( v14295(VarCurr)
      <=> v14235(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_181,axiom,(
    ! [VarCurr] :
      ( ~ v14275(VarCurr)
     => ( v14298(VarCurr)
      <=> v14257(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_181,axiom,(
    ! [VarCurr] :
      ( v14275(VarCurr)
     => ( v14298(VarCurr)
      <=> v14299(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_64,axiom,(
    ! [VarCurr] :
      ( ( ~ v14278(VarCurr)
        & ~ v14280(VarCurr) )
     => ( v14299(VarCurr)
      <=> v14303(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_180,axiom,(
    ! [VarCurr] :
      ( v14280(VarCurr)
     => ( v14299(VarCurr)
      <=> v14302(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_180,axiom,(
    ! [VarCurr] :
      ( v14278(VarCurr)
     => ( v14299(VarCurr)
      <=> v14300(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_179,axiom,(
    ! [VarCurr] :
      ( ~ v14288(VarCurr)
     => ( v14303(VarCurr)
      <=> v14257(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_179,axiom,(
    ! [VarCurr] :
      ( v14288(VarCurr)
     => ( v14303(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_178,axiom,(
    ! [VarCurr] :
      ( ~ v14282(VarCurr)
     => ( v14302(VarCurr)
      <=> v14257(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_178,axiom,(
    ! [VarCurr] :
      ( v14282(VarCurr)
     => ( v14302(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_285,axiom,(
    ! [VarCurr] :
      ( ~ v14301(VarCurr)
     => ( v14300(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_225,axiom,(
    ! [VarCurr] :
      ( v14301(VarCurr)
     => ( v14300(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_909,axiom,(
    ! [VarCurr] :
      ( v14301(VarCurr)
    <=> ( v14243(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3324,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14262(VarNext)
      <=> ( v14263(VarNext)
          & v14272(VarNext) ) ) ) )).

fof(addAssignment_5496,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14272(VarNext)
      <=> v14270(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3323,axiom,(
    ! [VarCurr] :
      ( v14270(VarCurr)
    <=> ( v14233(VarCurr)
        | v14273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3322,axiom,(
    ! [VarCurr] :
      ( v14273(VarCurr)
    <=> ( v14274(VarCurr)
        & v14294(VarCurr) ) ) )).

fof(writeUnaryOperator_1833,axiom,(
    ! [VarCurr] :
      ( ~ v14294(VarCurr)
    <=> v14233(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3321,axiom,(
    ! [VarCurr] :
      ( v14274(VarCurr)
    <=> ( v14275(VarCurr)
        | v14292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3320,axiom,(
    ! [VarCurr] :
      ( v14292(VarCurr)
    <=> ( v14253(VarCurr)
        & v14293(VarCurr) ) ) )).

fof(writeUnaryOperator_1832,axiom,(
    ! [VarCurr] :
      ( ~ v14293(VarCurr)
    <=> v14255(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3319,axiom,(
    ! [VarCurr] :
      ( v14275(VarCurr)
    <=> ( v14276(VarCurr)
        & v14255(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3318,axiom,(
    ! [VarCurr] :
      ( v14276(VarCurr)
    <=> ( v14277(VarCurr)
        | v14286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3317,axiom,(
    ! [VarCurr] :
      ( v14286(VarCurr)
    <=> ( v14287(VarCurr)
        & v14291(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_908,axiom,(
    ! [VarCurr] :
      ( v14291(VarCurr)
    <=> ( ( v14279(VarCurr,bitIndex2)
        <=> $false )
        & ( v14279(VarCurr,bitIndex1)
        <=> $false )
        & ( v14279(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3316,axiom,(
    ! [VarCurr] :
      ( v14287(VarCurr)
    <=> ( v14288(VarCurr)
        | v14289(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3315,axiom,(
    ! [VarCurr] :
      ( v14289(VarCurr)
    <=> ( v14253(VarCurr)
        & v14290(VarCurr) ) ) )).

fof(writeUnaryOperator_1831,axiom,(
    ! [VarCurr] :
      ( ~ v14290(VarCurr)
    <=> v14288(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_907,axiom,(
    ! [VarCurr] :
      ( v14288(VarCurr)
    <=> ( v14243(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3314,axiom,(
    ! [VarCurr] :
      ( v14277(VarCurr)
    <=> ( v14278(VarCurr)
        | v14280(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3313,axiom,(
    ! [VarCurr] :
      ( v14280(VarCurr)
    <=> ( v14281(VarCurr)
        & v14285(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_906,axiom,(
    ! [VarCurr] :
      ( v14285(VarCurr)
    <=> ( ( v14279(VarCurr,bitIndex2)
        <=> $false )
        & ( v14279(VarCurr,bitIndex1)
        <=> $true )
        & ( v14279(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3312,axiom,(
    ! [VarCurr] :
      ( v14281(VarCurr)
    <=> ( v14282(VarCurr)
        | v14283(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3311,axiom,(
    ! [VarCurr] :
      ( v14283(VarCurr)
    <=> ( v14253(VarCurr)
        & v14284(VarCurr) ) ) )).

fof(writeUnaryOperator_1830,axiom,(
    ! [VarCurr] :
      ( ~ v14284(VarCurr)
    <=> v14282(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_905,axiom,(
    ! [VarCurr] :
      ( v14282(VarCurr)
    <=> ( v14243(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_904,axiom,(
    ! [VarCurr] :
      ( v14278(VarCurr)
    <=> ( ( v14279(VarCurr,bitIndex2)
        <=> $true )
        & ( v14279(VarCurr,bitIndex1)
        <=> $false )
        & ( v14279(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5495,axiom,(
    ! [VarCurr] :
      ( v14279(VarCurr,bitIndex0)
    <=> v14241(VarCurr) ) )).

fof(addAssignment_5494,axiom,(
    ! [VarCurr] :
      ( v14279(VarCurr,bitIndex1)
    <=> v14239(VarCurr) ) )).

fof(addAssignment_5493,axiom,(
    ! [VarCurr] :
      ( v14279(VarCurr,bitIndex2)
    <=> v14237(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3310,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14263(VarNext)
      <=> ( v14264(VarNext)
          & v14259(VarNext) ) ) ) )).

fof(writeUnaryOperator_1829,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14264(VarNext)
      <=> v14266(VarNext) ) ) )).

fof(addAssignment_5492,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14266(VarNext)
      <=> v14259(VarCurr) ) ) )).

fof(addAssignment_5491,axiom,(
    ! [VarCurr] :
      ( v14259(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5490,axiom,(
    ! [VarCurr] :
      ( v14257(VarCurr)
    <=> $false ) )).

fof(addAssignment_5489,axiom,(
    ! [VarCurr] :
      ( v14255(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5488,axiom,(
    ! [VarCurr] :
      ( v14253(VarCurr)
    <=> $false ) )).

fof(addAssignment_5487,axiom,(
    ! [VarCurr] :
      ( v14243(VarCurr)
    <=> v13838(VarCurr,bitIndex20) ) )).

fof(addAssignment_5486,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex20)
    <=> v13840(VarCurr,bitIndex20) ) )).

fof(addAssignment_5485,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex20)
    <=> v3822(VarCurr,bitIndex20) ) )).

fof(addAssignment_5484,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex20)
    <=> v3824(VarCurr,bitIndex20) ) )).

fof(addAssignment_5483,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex20)
    <=> v3826(VarCurr,bitIndex20) ) )).

fof(addAssignment_5482,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex20)
    <=> v3828(VarCurr,bitIndex20) ) )).

fof(addAssignment_5481,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex20)
    <=> v3830(VarCurr,bitIndex20) ) )).

fof(addAssignment_5480,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex20)
    <=> v3832(VarCurr,bitIndex20) ) )).

fof(addAssignment_5479,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex20)
    <=> v3834(VarCurr,bitIndex20) ) )).

fof(addAssignment_5478,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex20)
    <=> v14245(VarNext,bitIndex20) ) )).

fof(addCaseBooleanConditionEqualRanges1_134,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14246(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14245(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_156,axiom,(
    ! [VarNext] :
      ( v14246(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14245(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3309,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14246(VarNext)
      <=> v14247(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3308,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14247(VarNext)
      <=> ( v14249(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1828,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14249(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5477,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex20)
    <=> v13844(VarCurr,bitIndex20) ) )).

fof(addAssignment_5476,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex20)
    <=> v13846(VarCurr,bitIndex20) ) )).

fof(addAssignment_5475,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex20)
    <=> v13848(VarCurr,bitIndex20) ) )).

fof(addAssignment_5474,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex20)
    <=> v13850(VarCurr,bitIndex20) ) )).

fof(addAssignment_5473,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex20)
    <=> v13852(VarCurr,bitIndex20) ) )).

fof(addAssignment_5472,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex20)
    <=> v13538(VarCurr,bitIndex20) ) )).

fof(addAssignment_5471,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex20)
    <=> v13540(VarCurr,bitIndex20) ) )).

fof(addAssignment_5470,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex20)
    <=> v13542(VarCurr,bitIndex20) ) )).

fof(addAssignment_5469,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex20)
    <=> v13544(VarCurr,bitIndex20) ) )).

fof(addAssignment_5468,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex20)
    <=> v13546(VarCurr,bitIndex20) ) )).

fof(addAssignment_5467,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex20)
    <=> v13548(VarCurr,bitIndex20) ) )).

fof(addAssignment_5466,axiom,(
    ! [VarCurr] :
      ( v14241(VarCurr)
    <=> $false ) )).

fof(addAssignment_5465,axiom,(
    ! [VarCurr] :
      ( v14239(VarCurr)
    <=> $false ) )).

fof(addAssignment_5464,axiom,(
    ! [VarCurr] :
      ( v14237(VarCurr)
    <=> $true ) )).

fof(addAssignment_5463,axiom,(
    ! [VarCurr] :
      ( v14235(VarCurr)
    <=> $false ) )).

fof(addAssignment_5462,axiom,(
    ! [VarCurr] :
      ( v14233(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14186(VarNext)
       => ( v14155(VarNext)
        <=> v14155(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_155,axiom,(
    ! [VarNext] :
      ( v14186(VarNext)
     => ( v14155(VarNext)
      <=> v14221(VarNext) ) ) )).

fof(addAssignment_5461,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14221(VarNext)
      <=> v14219(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_177,axiom,(
    ! [VarCurr] :
      ( ~ v14157(VarCurr)
     => ( v14219(VarCurr)
      <=> v14222(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_177,axiom,(
    ! [VarCurr] :
      ( v14157(VarCurr)
     => ( v14219(VarCurr)
      <=> v14159(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_176,axiom,(
    ! [VarCurr] :
      ( ~ v14199(VarCurr)
     => ( v14222(VarCurr)
      <=> v14181(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_176,axiom,(
    ! [VarCurr] :
      ( v14199(VarCurr)
     => ( v14222(VarCurr)
      <=> v14223(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_63,axiom,(
    ! [VarCurr] :
      ( ( ~ v14202(VarCurr)
        & ~ v14204(VarCurr) )
     => ( v14223(VarCurr)
      <=> v14227(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_175,axiom,(
    ! [VarCurr] :
      ( v14204(VarCurr)
     => ( v14223(VarCurr)
      <=> v14226(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_175,axiom,(
    ! [VarCurr] :
      ( v14202(VarCurr)
     => ( v14223(VarCurr)
      <=> v14224(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_174,axiom,(
    ! [VarCurr] :
      ( ~ v14212(VarCurr)
     => ( v14227(VarCurr)
      <=> v14181(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_174,axiom,(
    ! [VarCurr] :
      ( v14212(VarCurr)
     => ( v14227(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_173,axiom,(
    ! [VarCurr] :
      ( ~ v14206(VarCurr)
     => ( v14226(VarCurr)
      <=> v14181(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_173,axiom,(
    ! [VarCurr] :
      ( v14206(VarCurr)
     => ( v14226(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_284,axiom,(
    ! [VarCurr] :
      ( ~ v14225(VarCurr)
     => ( v14224(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_224,axiom,(
    ! [VarCurr] :
      ( v14225(VarCurr)
     => ( v14224(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_903,axiom,(
    ! [VarCurr] :
      ( v14225(VarCurr)
    <=> ( v14167(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3307,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14186(VarNext)
      <=> ( v14187(VarNext)
          & v14196(VarNext) ) ) ) )).

fof(addAssignment_5460,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14196(VarNext)
      <=> v14194(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3306,axiom,(
    ! [VarCurr] :
      ( v14194(VarCurr)
    <=> ( v14157(VarCurr)
        | v14197(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3305,axiom,(
    ! [VarCurr] :
      ( v14197(VarCurr)
    <=> ( v14198(VarCurr)
        & v14218(VarCurr) ) ) )).

fof(writeUnaryOperator_1827,axiom,(
    ! [VarCurr] :
      ( ~ v14218(VarCurr)
    <=> v14157(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3304,axiom,(
    ! [VarCurr] :
      ( v14198(VarCurr)
    <=> ( v14199(VarCurr)
        | v14216(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3303,axiom,(
    ! [VarCurr] :
      ( v14216(VarCurr)
    <=> ( v14177(VarCurr)
        & v14217(VarCurr) ) ) )).

fof(writeUnaryOperator_1826,axiom,(
    ! [VarCurr] :
      ( ~ v14217(VarCurr)
    <=> v14179(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3302,axiom,(
    ! [VarCurr] :
      ( v14199(VarCurr)
    <=> ( v14200(VarCurr)
        & v14179(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3301,axiom,(
    ! [VarCurr] :
      ( v14200(VarCurr)
    <=> ( v14201(VarCurr)
        | v14210(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3300,axiom,(
    ! [VarCurr] :
      ( v14210(VarCurr)
    <=> ( v14211(VarCurr)
        & v14215(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_902,axiom,(
    ! [VarCurr] :
      ( v14215(VarCurr)
    <=> ( ( v14203(VarCurr,bitIndex2)
        <=> $false )
        & ( v14203(VarCurr,bitIndex1)
        <=> $false )
        & ( v14203(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3299,axiom,(
    ! [VarCurr] :
      ( v14211(VarCurr)
    <=> ( v14212(VarCurr)
        | v14213(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3298,axiom,(
    ! [VarCurr] :
      ( v14213(VarCurr)
    <=> ( v14177(VarCurr)
        & v14214(VarCurr) ) ) )).

fof(writeUnaryOperator_1825,axiom,(
    ! [VarCurr] :
      ( ~ v14214(VarCurr)
    <=> v14212(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_901,axiom,(
    ! [VarCurr] :
      ( v14212(VarCurr)
    <=> ( v14167(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3297,axiom,(
    ! [VarCurr] :
      ( v14201(VarCurr)
    <=> ( v14202(VarCurr)
        | v14204(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3296,axiom,(
    ! [VarCurr] :
      ( v14204(VarCurr)
    <=> ( v14205(VarCurr)
        & v14209(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_900,axiom,(
    ! [VarCurr] :
      ( v14209(VarCurr)
    <=> ( ( v14203(VarCurr,bitIndex2)
        <=> $false )
        & ( v14203(VarCurr,bitIndex1)
        <=> $true )
        & ( v14203(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3295,axiom,(
    ! [VarCurr] :
      ( v14205(VarCurr)
    <=> ( v14206(VarCurr)
        | v14207(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3294,axiom,(
    ! [VarCurr] :
      ( v14207(VarCurr)
    <=> ( v14177(VarCurr)
        & v14208(VarCurr) ) ) )).

fof(writeUnaryOperator_1824,axiom,(
    ! [VarCurr] :
      ( ~ v14208(VarCurr)
    <=> v14206(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_899,axiom,(
    ! [VarCurr] :
      ( v14206(VarCurr)
    <=> ( v14167(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_898,axiom,(
    ! [VarCurr] :
      ( v14202(VarCurr)
    <=> ( ( v14203(VarCurr,bitIndex2)
        <=> $true )
        & ( v14203(VarCurr,bitIndex1)
        <=> $false )
        & ( v14203(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5459,axiom,(
    ! [VarCurr] :
      ( v14203(VarCurr,bitIndex0)
    <=> v14165(VarCurr) ) )).

fof(addAssignment_5458,axiom,(
    ! [VarCurr] :
      ( v14203(VarCurr,bitIndex1)
    <=> v14163(VarCurr) ) )).

fof(addAssignment_5457,axiom,(
    ! [VarCurr] :
      ( v14203(VarCurr,bitIndex2)
    <=> v14161(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3293,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14187(VarNext)
      <=> ( v14188(VarNext)
          & v14183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1823,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14188(VarNext)
      <=> v14190(VarNext) ) ) )).

fof(addAssignment_5456,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14190(VarNext)
      <=> v14183(VarCurr) ) ) )).

fof(addAssignment_5455,axiom,(
    ! [VarCurr] :
      ( v14183(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5454,axiom,(
    ! [VarCurr] :
      ( v14181(VarCurr)
    <=> $false ) )).

fof(addAssignment_5453,axiom,(
    ! [VarCurr] :
      ( v14179(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5452,axiom,(
    ! [VarCurr] :
      ( v14177(VarCurr)
    <=> $false ) )).

fof(addAssignment_5451,axiom,(
    ! [VarCurr] :
      ( v14167(VarCurr)
    <=> v13838(VarCurr,bitIndex19) ) )).

fof(addAssignment_5450,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex19)
    <=> v13840(VarCurr,bitIndex19) ) )).

fof(addAssignment_5449,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex19)
    <=> v3822(VarCurr,bitIndex19) ) )).

fof(addAssignment_5448,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex19)
    <=> v3824(VarCurr,bitIndex19) ) )).

fof(addAssignment_5447,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex19)
    <=> v3826(VarCurr,bitIndex19) ) )).

fof(addAssignment_5446,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex19)
    <=> v3828(VarCurr,bitIndex19) ) )).

fof(addAssignment_5445,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex19)
    <=> v3830(VarCurr,bitIndex19) ) )).

fof(addAssignment_5444,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex19)
    <=> v3832(VarCurr,bitIndex19) ) )).

fof(addAssignment_5443,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex19)
    <=> v3834(VarCurr,bitIndex19) ) )).

fof(addAssignment_5442,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex19)
    <=> v14169(VarNext,bitIndex19) ) )).

fof(addCaseBooleanConditionEqualRanges1_132,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14170(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14169(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_154,axiom,(
    ! [VarNext] :
      ( v14170(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14169(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3292,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14170(VarNext)
      <=> v14171(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3291,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14171(VarNext)
      <=> ( v14173(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1822,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14173(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5441,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex19)
    <=> v13844(VarCurr,bitIndex19) ) )).

fof(addAssignment_5440,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex19)
    <=> v13846(VarCurr,bitIndex19) ) )).

fof(addAssignment_5439,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex19)
    <=> v13848(VarCurr,bitIndex19) ) )).

fof(addAssignment_5438,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex19)
    <=> v13850(VarCurr,bitIndex19) ) )).

fof(addAssignment_5437,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex19)
    <=> v13852(VarCurr,bitIndex19) ) )).

fof(addAssignment_5436,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex19)
    <=> v13538(VarCurr,bitIndex19) ) )).

fof(addAssignment_5435,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex19)
    <=> v13540(VarCurr,bitIndex19) ) )).

fof(addAssignment_5434,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex19)
    <=> v13542(VarCurr,bitIndex19) ) )).

fof(addAssignment_5433,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex19)
    <=> v13544(VarCurr,bitIndex19) ) )).

fof(addAssignment_5432,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex19)
    <=> v13546(VarCurr,bitIndex19) ) )).

fof(addAssignment_5431,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex19)
    <=> v13548(VarCurr,bitIndex19) ) )).

fof(addAssignment_5430,axiom,(
    ! [VarCurr] :
      ( v14165(VarCurr)
    <=> $false ) )).

fof(addAssignment_5429,axiom,(
    ! [VarCurr] :
      ( v14163(VarCurr)
    <=> $false ) )).

fof(addAssignment_5428,axiom,(
    ! [VarCurr] :
      ( v14161(VarCurr)
    <=> $true ) )).

fof(addAssignment_5427,axiom,(
    ! [VarCurr] :
      ( v14159(VarCurr)
    <=> $false ) )).

fof(addAssignment_5426,axiom,(
    ! [VarCurr] :
      ( v14157(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_131,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14110(VarNext)
       => ( v14079(VarNext)
        <=> v14079(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_153,axiom,(
    ! [VarNext] :
      ( v14110(VarNext)
     => ( v14079(VarNext)
      <=> v14145(VarNext) ) ) )).

fof(addAssignment_5425,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14145(VarNext)
      <=> v14143(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_172,axiom,(
    ! [VarCurr] :
      ( ~ v14081(VarCurr)
     => ( v14143(VarCurr)
      <=> v14146(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_172,axiom,(
    ! [VarCurr] :
      ( v14081(VarCurr)
     => ( v14143(VarCurr)
      <=> v14083(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_171,axiom,(
    ! [VarCurr] :
      ( ~ v14123(VarCurr)
     => ( v14146(VarCurr)
      <=> v14105(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_171,axiom,(
    ! [VarCurr] :
      ( v14123(VarCurr)
     => ( v14146(VarCurr)
      <=> v14147(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_62,axiom,(
    ! [VarCurr] :
      ( ( ~ v14126(VarCurr)
        & ~ v14128(VarCurr) )
     => ( v14147(VarCurr)
      <=> v14151(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_170,axiom,(
    ! [VarCurr] :
      ( v14128(VarCurr)
     => ( v14147(VarCurr)
      <=> v14150(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_170,axiom,(
    ! [VarCurr] :
      ( v14126(VarCurr)
     => ( v14147(VarCurr)
      <=> v14148(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_169,axiom,(
    ! [VarCurr] :
      ( ~ v14136(VarCurr)
     => ( v14151(VarCurr)
      <=> v14105(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_169,axiom,(
    ! [VarCurr] :
      ( v14136(VarCurr)
     => ( v14151(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_168,axiom,(
    ! [VarCurr] :
      ( ~ v14130(VarCurr)
     => ( v14150(VarCurr)
      <=> v14105(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_168,axiom,(
    ! [VarCurr] :
      ( v14130(VarCurr)
     => ( v14150(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_283,axiom,(
    ! [VarCurr] :
      ( ~ v14149(VarCurr)
     => ( v14148(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_223,axiom,(
    ! [VarCurr] :
      ( v14149(VarCurr)
     => ( v14148(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_897,axiom,(
    ! [VarCurr] :
      ( v14149(VarCurr)
    <=> ( v14091(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3290,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14110(VarNext)
      <=> ( v14111(VarNext)
          & v14120(VarNext) ) ) ) )).

fof(addAssignment_5424,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14120(VarNext)
      <=> v14118(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3289,axiom,(
    ! [VarCurr] :
      ( v14118(VarCurr)
    <=> ( v14081(VarCurr)
        | v14121(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3288,axiom,(
    ! [VarCurr] :
      ( v14121(VarCurr)
    <=> ( v14122(VarCurr)
        & v14142(VarCurr) ) ) )).

fof(writeUnaryOperator_1821,axiom,(
    ! [VarCurr] :
      ( ~ v14142(VarCurr)
    <=> v14081(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3287,axiom,(
    ! [VarCurr] :
      ( v14122(VarCurr)
    <=> ( v14123(VarCurr)
        | v14140(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3286,axiom,(
    ! [VarCurr] :
      ( v14140(VarCurr)
    <=> ( v14101(VarCurr)
        & v14141(VarCurr) ) ) )).

fof(writeUnaryOperator_1820,axiom,(
    ! [VarCurr] :
      ( ~ v14141(VarCurr)
    <=> v14103(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3285,axiom,(
    ! [VarCurr] :
      ( v14123(VarCurr)
    <=> ( v14124(VarCurr)
        & v14103(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3284,axiom,(
    ! [VarCurr] :
      ( v14124(VarCurr)
    <=> ( v14125(VarCurr)
        | v14134(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3283,axiom,(
    ! [VarCurr] :
      ( v14134(VarCurr)
    <=> ( v14135(VarCurr)
        & v14139(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_896,axiom,(
    ! [VarCurr] :
      ( v14139(VarCurr)
    <=> ( ( v14127(VarCurr,bitIndex2)
        <=> $false )
        & ( v14127(VarCurr,bitIndex1)
        <=> $false )
        & ( v14127(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3282,axiom,(
    ! [VarCurr] :
      ( v14135(VarCurr)
    <=> ( v14136(VarCurr)
        | v14137(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3281,axiom,(
    ! [VarCurr] :
      ( v14137(VarCurr)
    <=> ( v14101(VarCurr)
        & v14138(VarCurr) ) ) )).

fof(writeUnaryOperator_1819,axiom,(
    ! [VarCurr] :
      ( ~ v14138(VarCurr)
    <=> v14136(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_895,axiom,(
    ! [VarCurr] :
      ( v14136(VarCurr)
    <=> ( v14091(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3280,axiom,(
    ! [VarCurr] :
      ( v14125(VarCurr)
    <=> ( v14126(VarCurr)
        | v14128(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3279,axiom,(
    ! [VarCurr] :
      ( v14128(VarCurr)
    <=> ( v14129(VarCurr)
        & v14133(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_894,axiom,(
    ! [VarCurr] :
      ( v14133(VarCurr)
    <=> ( ( v14127(VarCurr,bitIndex2)
        <=> $false )
        & ( v14127(VarCurr,bitIndex1)
        <=> $true )
        & ( v14127(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3278,axiom,(
    ! [VarCurr] :
      ( v14129(VarCurr)
    <=> ( v14130(VarCurr)
        | v14131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3277,axiom,(
    ! [VarCurr] :
      ( v14131(VarCurr)
    <=> ( v14101(VarCurr)
        & v14132(VarCurr) ) ) )).

fof(writeUnaryOperator_1818,axiom,(
    ! [VarCurr] :
      ( ~ v14132(VarCurr)
    <=> v14130(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_893,axiom,(
    ! [VarCurr] :
      ( v14130(VarCurr)
    <=> ( v14091(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_892,axiom,(
    ! [VarCurr] :
      ( v14126(VarCurr)
    <=> ( ( v14127(VarCurr,bitIndex2)
        <=> $true )
        & ( v14127(VarCurr,bitIndex1)
        <=> $false )
        & ( v14127(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5423,axiom,(
    ! [VarCurr] :
      ( v14127(VarCurr,bitIndex0)
    <=> v14089(VarCurr) ) )).

fof(addAssignment_5422,axiom,(
    ! [VarCurr] :
      ( v14127(VarCurr,bitIndex1)
    <=> v14087(VarCurr) ) )).

fof(addAssignment_5421,axiom,(
    ! [VarCurr] :
      ( v14127(VarCurr,bitIndex2)
    <=> v14085(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3276,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14111(VarNext)
      <=> ( v14112(VarNext)
          & v14107(VarNext) ) ) ) )).

fof(writeUnaryOperator_1817,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14112(VarNext)
      <=> v14114(VarNext) ) ) )).

fof(addAssignment_5420,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14114(VarNext)
      <=> v14107(VarCurr) ) ) )).

fof(addAssignment_5419,axiom,(
    ! [VarCurr] :
      ( v14107(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5418,axiom,(
    ! [VarCurr] :
      ( v14105(VarCurr)
    <=> $false ) )).

fof(addAssignment_5417,axiom,(
    ! [VarCurr] :
      ( v14103(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5416,axiom,(
    ! [VarCurr] :
      ( v14101(VarCurr)
    <=> $false ) )).

fof(addAssignment_5415,axiom,(
    ! [VarCurr] :
      ( v14091(VarCurr)
    <=> v13838(VarCurr,bitIndex18) ) )).

fof(addAssignment_5414,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex18)
    <=> v13840(VarCurr,bitIndex18) ) )).

fof(addAssignment_5413,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex18)
    <=> v3822(VarCurr,bitIndex18) ) )).

fof(addAssignment_5412,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex18)
    <=> v3824(VarCurr,bitIndex18) ) )).

fof(addAssignment_5411,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex18)
    <=> v3826(VarCurr,bitIndex18) ) )).

fof(addAssignment_5410,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex18)
    <=> v3828(VarCurr,bitIndex18) ) )).

fof(addAssignment_5409,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex18)
    <=> v3830(VarCurr,bitIndex18) ) )).

fof(addAssignment_5408,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex18)
    <=> v3832(VarCurr,bitIndex18) ) )).

fof(addAssignment_5407,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex18)
    <=> v3834(VarCurr,bitIndex18) ) )).

fof(addAssignment_5406,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex18)
    <=> v14093(VarNext,bitIndex18) ) )).

fof(addCaseBooleanConditionEqualRanges1_130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14094(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14093(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_152,axiom,(
    ! [VarNext] :
      ( v14094(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14093(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3275,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14094(VarNext)
      <=> v14095(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3274,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14095(VarNext)
      <=> ( v14097(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1816,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14097(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5405,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex18)
    <=> v13844(VarCurr,bitIndex18) ) )).

fof(addAssignment_5404,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex18)
    <=> v13846(VarCurr,bitIndex18) ) )).

fof(addAssignment_5403,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex18)
    <=> v13848(VarCurr,bitIndex18) ) )).

fof(addAssignment_5402,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex18)
    <=> v13850(VarCurr,bitIndex18) ) )).

fof(addAssignment_5401,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex18)
    <=> v13852(VarCurr,bitIndex18) ) )).

fof(addAssignment_5400,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex18)
    <=> v13538(VarCurr,bitIndex18) ) )).

fof(addAssignment_5399,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex18)
    <=> v13540(VarCurr,bitIndex18) ) )).

fof(addAssignment_5398,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex18)
    <=> v13542(VarCurr,bitIndex18) ) )).

fof(addAssignment_5397,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex18)
    <=> v13544(VarCurr,bitIndex18) ) )).

fof(addAssignment_5396,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex18)
    <=> v13546(VarCurr,bitIndex18) ) )).

fof(addAssignment_5395,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex18)
    <=> v13548(VarCurr,bitIndex18) ) )).

fof(addAssignment_5394,axiom,(
    ! [VarCurr] :
      ( v14089(VarCurr)
    <=> $false ) )).

fof(addAssignment_5393,axiom,(
    ! [VarCurr] :
      ( v14087(VarCurr)
    <=> $false ) )).

fof(addAssignment_5392,axiom,(
    ! [VarCurr] :
      ( v14085(VarCurr)
    <=> $true ) )).

fof(addAssignment_5391,axiom,(
    ! [VarCurr] :
      ( v14083(VarCurr)
    <=> $false ) )).

fof(addAssignment_5390,axiom,(
    ! [VarCurr] :
      ( v14081(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_129,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14034(VarNext)
       => ( v14003(VarNext)
        <=> v14003(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_151,axiom,(
    ! [VarNext] :
      ( v14034(VarNext)
     => ( v14003(VarNext)
      <=> v14069(VarNext) ) ) )).

fof(addAssignment_5389,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14069(VarNext)
      <=> v14067(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_167,axiom,(
    ! [VarCurr] :
      ( ~ v14005(VarCurr)
     => ( v14067(VarCurr)
      <=> v14070(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_167,axiom,(
    ! [VarCurr] :
      ( v14005(VarCurr)
     => ( v14067(VarCurr)
      <=> v14007(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_166,axiom,(
    ! [VarCurr] :
      ( ~ v14047(VarCurr)
     => ( v14070(VarCurr)
      <=> v14029(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_166,axiom,(
    ! [VarCurr] :
      ( v14047(VarCurr)
     => ( v14070(VarCurr)
      <=> v14071(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_61,axiom,(
    ! [VarCurr] :
      ( ( ~ v14050(VarCurr)
        & ~ v14052(VarCurr) )
     => ( v14071(VarCurr)
      <=> v14075(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_165,axiom,(
    ! [VarCurr] :
      ( v14052(VarCurr)
     => ( v14071(VarCurr)
      <=> v14074(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_165,axiom,(
    ! [VarCurr] :
      ( v14050(VarCurr)
     => ( v14071(VarCurr)
      <=> v14072(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_164,axiom,(
    ! [VarCurr] :
      ( ~ v14060(VarCurr)
     => ( v14075(VarCurr)
      <=> v14029(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_164,axiom,(
    ! [VarCurr] :
      ( v14060(VarCurr)
     => ( v14075(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_163,axiom,(
    ! [VarCurr] :
      ( ~ v14054(VarCurr)
     => ( v14074(VarCurr)
      <=> v14029(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_163,axiom,(
    ! [VarCurr] :
      ( v14054(VarCurr)
     => ( v14074(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_282,axiom,(
    ! [VarCurr] :
      ( ~ v14073(VarCurr)
     => ( v14072(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_222,axiom,(
    ! [VarCurr] :
      ( v14073(VarCurr)
     => ( v14072(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_891,axiom,(
    ! [VarCurr] :
      ( v14073(VarCurr)
    <=> ( v14015(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3273,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14034(VarNext)
      <=> ( v14035(VarNext)
          & v14044(VarNext) ) ) ) )).

fof(addAssignment_5388,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14044(VarNext)
      <=> v14042(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3272,axiom,(
    ! [VarCurr] :
      ( v14042(VarCurr)
    <=> ( v14005(VarCurr)
        | v14045(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3271,axiom,(
    ! [VarCurr] :
      ( v14045(VarCurr)
    <=> ( v14046(VarCurr)
        & v14066(VarCurr) ) ) )).

fof(writeUnaryOperator_1815,axiom,(
    ! [VarCurr] :
      ( ~ v14066(VarCurr)
    <=> v14005(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3270,axiom,(
    ! [VarCurr] :
      ( v14046(VarCurr)
    <=> ( v14047(VarCurr)
        | v14064(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3269,axiom,(
    ! [VarCurr] :
      ( v14064(VarCurr)
    <=> ( v14025(VarCurr)
        & v14065(VarCurr) ) ) )).

fof(writeUnaryOperator_1814,axiom,(
    ! [VarCurr] :
      ( ~ v14065(VarCurr)
    <=> v14027(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3268,axiom,(
    ! [VarCurr] :
      ( v14047(VarCurr)
    <=> ( v14048(VarCurr)
        & v14027(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3267,axiom,(
    ! [VarCurr] :
      ( v14048(VarCurr)
    <=> ( v14049(VarCurr)
        | v14058(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3266,axiom,(
    ! [VarCurr] :
      ( v14058(VarCurr)
    <=> ( v14059(VarCurr)
        & v14063(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_890,axiom,(
    ! [VarCurr] :
      ( v14063(VarCurr)
    <=> ( ( v14051(VarCurr,bitIndex2)
        <=> $false )
        & ( v14051(VarCurr,bitIndex1)
        <=> $false )
        & ( v14051(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3265,axiom,(
    ! [VarCurr] :
      ( v14059(VarCurr)
    <=> ( v14060(VarCurr)
        | v14061(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3264,axiom,(
    ! [VarCurr] :
      ( v14061(VarCurr)
    <=> ( v14025(VarCurr)
        & v14062(VarCurr) ) ) )).

fof(writeUnaryOperator_1813,axiom,(
    ! [VarCurr] :
      ( ~ v14062(VarCurr)
    <=> v14060(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_889,axiom,(
    ! [VarCurr] :
      ( v14060(VarCurr)
    <=> ( v14015(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3263,axiom,(
    ! [VarCurr] :
      ( v14049(VarCurr)
    <=> ( v14050(VarCurr)
        | v14052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3262,axiom,(
    ! [VarCurr] :
      ( v14052(VarCurr)
    <=> ( v14053(VarCurr)
        & v14057(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_888,axiom,(
    ! [VarCurr] :
      ( v14057(VarCurr)
    <=> ( ( v14051(VarCurr,bitIndex2)
        <=> $false )
        & ( v14051(VarCurr,bitIndex1)
        <=> $true )
        & ( v14051(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3261,axiom,(
    ! [VarCurr] :
      ( v14053(VarCurr)
    <=> ( v14054(VarCurr)
        | v14055(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3260,axiom,(
    ! [VarCurr] :
      ( v14055(VarCurr)
    <=> ( v14025(VarCurr)
        & v14056(VarCurr) ) ) )).

fof(writeUnaryOperator_1812,axiom,(
    ! [VarCurr] :
      ( ~ v14056(VarCurr)
    <=> v14054(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_887,axiom,(
    ! [VarCurr] :
      ( v14054(VarCurr)
    <=> ( v14015(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_886,axiom,(
    ! [VarCurr] :
      ( v14050(VarCurr)
    <=> ( ( v14051(VarCurr,bitIndex2)
        <=> $true )
        & ( v14051(VarCurr,bitIndex1)
        <=> $false )
        & ( v14051(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5387,axiom,(
    ! [VarCurr] :
      ( v14051(VarCurr,bitIndex0)
    <=> v14013(VarCurr) ) )).

fof(addAssignment_5386,axiom,(
    ! [VarCurr] :
      ( v14051(VarCurr,bitIndex1)
    <=> v14011(VarCurr) ) )).

fof(addAssignment_5385,axiom,(
    ! [VarCurr] :
      ( v14051(VarCurr,bitIndex2)
    <=> v14009(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3259,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14035(VarNext)
      <=> ( v14036(VarNext)
          & v14031(VarNext) ) ) ) )).

fof(writeUnaryOperator_1811,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14036(VarNext)
      <=> v14038(VarNext) ) ) )).

fof(addAssignment_5384,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14038(VarNext)
      <=> v14031(VarCurr) ) ) )).

fof(addAssignment_5383,axiom,(
    ! [VarCurr] :
      ( v14031(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5382,axiom,(
    ! [VarCurr] :
      ( v14029(VarCurr)
    <=> $false ) )).

fof(addAssignment_5381,axiom,(
    ! [VarCurr] :
      ( v14027(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5380,axiom,(
    ! [VarCurr] :
      ( v14025(VarCurr)
    <=> $false ) )).

fof(addAssignment_5379,axiom,(
    ! [VarCurr] :
      ( v14015(VarCurr)
    <=> v13838(VarCurr,bitIndex17) ) )).

fof(addAssignment_5378,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex17)
    <=> v13840(VarCurr,bitIndex17) ) )).

fof(addAssignment_5377,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex17)
    <=> v3822(VarCurr,bitIndex17) ) )).

fof(addAssignment_5376,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex17)
    <=> v3824(VarCurr,bitIndex17) ) )).

fof(addAssignment_5375,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex17)
    <=> v3826(VarCurr,bitIndex17) ) )).

fof(addAssignment_5374,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex17)
    <=> v3828(VarCurr,bitIndex17) ) )).

fof(addAssignment_5373,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex17)
    <=> v3830(VarCurr,bitIndex17) ) )).

fof(addAssignment_5372,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex17)
    <=> v3832(VarCurr,bitIndex17) ) )).

fof(addAssignment_5371,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex17)
    <=> v3834(VarCurr,bitIndex17) ) )).

fof(addAssignment_5370,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex17)
    <=> v14017(VarNext,bitIndex17) ) )).

fof(addCaseBooleanConditionEqualRanges1_128,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14018(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v14017(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_150,axiom,(
    ! [VarNext] :
      ( v14018(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v14017(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3258,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14018(VarNext)
      <=> v14019(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3257,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14019(VarNext)
      <=> ( v14021(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1810,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14021(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5369,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex17)
    <=> v13844(VarCurr,bitIndex17) ) )).

fof(addAssignment_5368,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex17)
    <=> v13846(VarCurr,bitIndex17) ) )).

fof(addAssignment_5367,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex17)
    <=> v13848(VarCurr,bitIndex17) ) )).

fof(addAssignment_5366,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex17)
    <=> v13850(VarCurr,bitIndex17) ) )).

fof(addAssignment_5365,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex17)
    <=> v13852(VarCurr,bitIndex17) ) )).

fof(addAssignment_5364,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex17)
    <=> v13538(VarCurr,bitIndex17) ) )).

fof(addAssignment_5363,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex17)
    <=> v13540(VarCurr,bitIndex17) ) )).

fof(addAssignment_5362,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex17)
    <=> v13542(VarCurr,bitIndex17) ) )).

fof(addAssignment_5361,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex17)
    <=> v13544(VarCurr,bitIndex17) ) )).

fof(addAssignment_5360,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex17)
    <=> v13546(VarCurr,bitIndex17) ) )).

fof(addAssignment_5359,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex17)
    <=> v13548(VarCurr,bitIndex17) ) )).

fof(addAssignment_5358,axiom,(
    ! [VarCurr] :
      ( v14013(VarCurr)
    <=> $false ) )).

fof(addAssignment_5357,axiom,(
    ! [VarCurr] :
      ( v14011(VarCurr)
    <=> $false ) )).

fof(addAssignment_5356,axiom,(
    ! [VarCurr] :
      ( v14009(VarCurr)
    <=> $true ) )).

fof(addAssignment_5355,axiom,(
    ! [VarCurr] :
      ( v14007(VarCurr)
    <=> $false ) )).

fof(addAssignment_5354,axiom,(
    ! [VarCurr] :
      ( v14005(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_127,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13958(VarNext)
       => ( v13817(VarNext)
        <=> v13817(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_149,axiom,(
    ! [VarNext] :
      ( v13958(VarNext)
     => ( v13817(VarNext)
      <=> v13993(VarNext) ) ) )).

fof(addAssignment_5353,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13993(VarNext)
      <=> v13991(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_162,axiom,(
    ! [VarCurr] :
      ( ~ v13819(VarCurr)
     => ( v13991(VarCurr)
      <=> v13994(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_162,axiom,(
    ! [VarCurr] :
      ( v13819(VarCurr)
     => ( v13991(VarCurr)
      <=> v13828(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_161,axiom,(
    ! [VarCurr] :
      ( ~ v13971(VarCurr)
     => ( v13994(VarCurr)
      <=> v13949(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_161,axiom,(
    ! [VarCurr] :
      ( v13971(VarCurr)
     => ( v13994(VarCurr)
      <=> v13995(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_60,axiom,(
    ! [VarCurr] :
      ( ( ~ v13974(VarCurr)
        & ~ v13976(VarCurr) )
     => ( v13995(VarCurr)
      <=> v13999(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_160,axiom,(
    ! [VarCurr] :
      ( v13976(VarCurr)
     => ( v13995(VarCurr)
      <=> v13998(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_160,axiom,(
    ! [VarCurr] :
      ( v13974(VarCurr)
     => ( v13995(VarCurr)
      <=> v13996(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_159,axiom,(
    ! [VarCurr] :
      ( ~ v13984(VarCurr)
     => ( v13999(VarCurr)
      <=> v13949(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_159,axiom,(
    ! [VarCurr] :
      ( v13984(VarCurr)
     => ( v13999(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_158,axiom,(
    ! [VarCurr] :
      ( ~ v13978(VarCurr)
     => ( v13998(VarCurr)
      <=> v13949(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_158,axiom,(
    ! [VarCurr] :
      ( v13978(VarCurr)
     => ( v13998(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_281,axiom,(
    ! [VarCurr] :
      ( ~ v13997(VarCurr)
     => ( v13996(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_221,axiom,(
    ! [VarCurr] :
      ( v13997(VarCurr)
     => ( v13996(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_885,axiom,(
    ! [VarCurr] :
      ( v13997(VarCurr)
    <=> ( v13836(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13958(VarNext)
      <=> ( v13959(VarNext)
          & v13968(VarNext) ) ) ) )).

fof(addAssignment_5352,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13968(VarNext)
      <=> v13966(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3255,axiom,(
    ! [VarCurr] :
      ( v13966(VarCurr)
    <=> ( v13819(VarCurr)
        | v13969(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3254,axiom,(
    ! [VarCurr] :
      ( v13969(VarCurr)
    <=> ( v13970(VarCurr)
        & v13990(VarCurr) ) ) )).

fof(writeUnaryOperator_1809,axiom,(
    ! [VarCurr] :
      ( ~ v13990(VarCurr)
    <=> v13819(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3253,axiom,(
    ! [VarCurr] :
      ( v13970(VarCurr)
    <=> ( v13971(VarCurr)
        | v13988(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3252,axiom,(
    ! [VarCurr] :
      ( v13988(VarCurr)
    <=> ( v13867(VarCurr)
        & v13989(VarCurr) ) ) )).

fof(writeUnaryOperator_1808,axiom,(
    ! [VarCurr] :
      ( ~ v13989(VarCurr)
    <=> v13869(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3251,axiom,(
    ! [VarCurr] :
      ( v13971(VarCurr)
    <=> ( v13972(VarCurr)
        & v13869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3250,axiom,(
    ! [VarCurr] :
      ( v13972(VarCurr)
    <=> ( v13973(VarCurr)
        | v13982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3249,axiom,(
    ! [VarCurr] :
      ( v13982(VarCurr)
    <=> ( v13983(VarCurr)
        & v13987(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_884,axiom,(
    ! [VarCurr] :
      ( v13987(VarCurr)
    <=> ( ( v13975(VarCurr,bitIndex2)
        <=> $false )
        & ( v13975(VarCurr,bitIndex1)
        <=> $false )
        & ( v13975(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3248,axiom,(
    ! [VarCurr] :
      ( v13983(VarCurr)
    <=> ( v13984(VarCurr)
        | v13985(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3247,axiom,(
    ! [VarCurr] :
      ( v13985(VarCurr)
    <=> ( v13867(VarCurr)
        & v13986(VarCurr) ) ) )).

fof(writeUnaryOperator_1807,axiom,(
    ! [VarCurr] :
      ( ~ v13986(VarCurr)
    <=> v13984(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_883,axiom,(
    ! [VarCurr] :
      ( v13984(VarCurr)
    <=> ( v13836(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3246,axiom,(
    ! [VarCurr] :
      ( v13973(VarCurr)
    <=> ( v13974(VarCurr)
        | v13976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3245,axiom,(
    ! [VarCurr] :
      ( v13976(VarCurr)
    <=> ( v13977(VarCurr)
        & v13981(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_882,axiom,(
    ! [VarCurr] :
      ( v13981(VarCurr)
    <=> ( ( v13975(VarCurr,bitIndex2)
        <=> $false )
        & ( v13975(VarCurr,bitIndex1)
        <=> $true )
        & ( v13975(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3244,axiom,(
    ! [VarCurr] :
      ( v13977(VarCurr)
    <=> ( v13978(VarCurr)
        | v13979(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3243,axiom,(
    ! [VarCurr] :
      ( v13979(VarCurr)
    <=> ( v13867(VarCurr)
        & v13980(VarCurr) ) ) )).

fof(writeUnaryOperator_1806,axiom,(
    ! [VarCurr] :
      ( ~ v13980(VarCurr)
    <=> v13978(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_881,axiom,(
    ! [VarCurr] :
      ( v13978(VarCurr)
    <=> ( v13836(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_880,axiom,(
    ! [VarCurr] :
      ( v13974(VarCurr)
    <=> ( ( v13975(VarCurr,bitIndex2)
        <=> $true )
        & ( v13975(VarCurr,bitIndex1)
        <=> $false )
        & ( v13975(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5351,axiom,(
    ! [VarCurr] :
      ( v13975(VarCurr,bitIndex0)
    <=> v13834(VarCurr) ) )).

fof(addAssignment_5350,axiom,(
    ! [VarCurr] :
      ( v13975(VarCurr,bitIndex1)
    <=> v13832(VarCurr) ) )).

fof(addAssignment_5349,axiom,(
    ! [VarCurr] :
      ( v13975(VarCurr,bitIndex2)
    <=> v13830(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3242,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13959(VarNext)
      <=> ( v13960(VarNext)
          & v13951(VarNext) ) ) ) )).

fof(writeUnaryOperator_1805,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13960(VarNext)
      <=> v13962(VarNext) ) ) )).

fof(addAssignment_5348,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13962(VarNext)
      <=> v13951(VarCurr) ) ) )).

fof(addAssignment_5347,axiom,(
    ! [VarCurr] :
      ( v13951(VarCurr)
    <=> v13953(VarCurr) ) )).

fof(addAssignment_5346,axiom,(
    ! [VarCurr] :
      ( v13953(VarCurr)
    <=> v13955(VarCurr) ) )).

fof(addAssignment_5345,axiom,(
    ! [VarCurr] :
      ( v13955(VarCurr)
    <=> v3933(VarCurr) ) )).

fof(addAssignment_5344,axiom,(
    ! [VarCurr] :
      ( v13949(VarCurr)
    <=> $false ) )).

fof(addAssignment_5343,axiom,(
    ! [VarCurr] :
      ( v13869(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_5342,axiom,(
    ! [VarCurr] :
      ( v13871(VarCurr)
    <=> v13873(VarCurr) ) )).

fof(addAssignment_5341,axiom,(
    ! [VarCurr] :
      ( v13873(VarCurr)
    <=> v13875(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3241,axiom,(
    ! [VarCurr] :
      ( v13875(VarCurr)
    <=> ( v13877(VarCurr)
        & v3860(VarCurr) ) ) )).

fof(addAssignment_5340,axiom,(
    ! [VarCurr] :
      ( v13877(VarCurr)
    <=> v13879(VarCurr) ) )).

fof(addAssignment_5339,axiom,(
    ! [VarCurr] :
      ( v13879(VarCurr)
    <=> v13881(VarCurr) ) )).

fof(addAssignment_5338,axiom,(
    ! [VarCurr] :
      ( v13881(VarCurr)
    <=> v13883(VarCurr) ) )).

fof(addAssignment_5337,axiom,(
    ! [VarCurr] :
      ( v13883(VarCurr)
    <=> v13885(VarCurr) ) )).

fof(addAssignment_5336,axiom,(
    ! [VarCurr] :
      ( v13885(VarCurr)
    <=> v13887(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13933(VarNext)
       => ( v13887(VarNext)
        <=> v13887(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_148,axiom,(
    ! [VarNext] :
      ( v13933(VarNext)
     => ( v13887(VarNext)
      <=> v13941(VarNext) ) ) )).

fof(addAssignment_5335,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13941(VarNext)
      <=> v13939(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_280,axiom,(
    ! [VarCurr] :
      ( ~ v13942(VarCurr)
     => ( v13939(VarCurr)
      <=> v13943(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_220,axiom,(
    ! [VarCurr] :
      ( v13942(VarCurr)
     => ( v13939(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3240,axiom,(
    ! [VarCurr] :
      ( v13943(VarCurr)
    <=> ( v13944(VarCurr)
        & v13891(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3239,axiom,(
    ! [VarCurr] :
      ( v13944(VarCurr)
    <=> ( $true
        & v13889(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_38,axiom,
    ( v13889(constB0)
  <=> $false )).

fof(writeUnaryOperator_1804,axiom,(
    ! [VarCurr] :
      ( ~ v13942(VarCurr)
    <=> v3874(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13933(VarNext)
      <=> v13934(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13934(VarNext)
      <=> ( v13935(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1803,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13935(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_279,axiom,(
    ! [VarCurr] :
      ( ~ v13925(VarCurr)
     => ( v13891(VarCurr)
      <=> v13926(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_219,axiom,(
    ! [VarCurr] :
      ( v13925(VarCurr)
     => ( v13891(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_59,axiom,(
    ! [VarCurr] :
      ( ( ~ v13927(VarCurr)
        & ~ v13929(VarCurr) )
     => ( v13926(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_157,axiom,(
    ! [VarCurr] :
      ( v13929(VarCurr)
     => ( v13926(VarCurr)
      <=> v13930(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_157,axiom,(
    ! [VarCurr] :
      ( v13927(VarCurr)
     => ( v13926(VarCurr)
      <=> v13928(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_879,axiom,(
    ! [VarCurr] :
      ( v13930(VarCurr)
    <=> ( ( v13911(VarCurr,bitIndex26)
        <=> $false )
        & ( v13911(VarCurr,bitIndex25)
        <=> $false )
        & ( v13911(VarCurr,bitIndex24)
        <=> $false )
        & ( v13911(VarCurr,bitIndex23)
        <=> $false )
        & ( v13911(VarCurr,bitIndex22)
        <=> $false )
        & ( v13911(VarCurr,bitIndex21)
        <=> $false )
        & ( v13911(VarCurr,bitIndex20)
        <=> $false )
        & ( v13911(VarCurr,bitIndex19)
        <=> $true )
        & ( v13911(VarCurr,bitIndex18)
        <=> $true )
        & ( v13911(VarCurr,bitIndex17)
        <=> $true )
        & ( v13911(VarCurr,bitIndex16)
        <=> $false )
        & ( v13911(VarCurr,bitIndex15)
        <=> $false )
        & ( v13911(VarCurr,bitIndex14)
        <=> $true )
        & ( v13911(VarCurr,bitIndex13)
        <=> $true )
        & ( v13911(VarCurr,bitIndex12)
        <=> $false )
        & ( v13911(VarCurr,bitIndex11)
        <=> $true )
        & ( v13911(VarCurr,bitIndex10)
        <=> $false )
        & ( v13911(VarCurr,bitIndex9)
        <=> $false )
        & ( v13911(VarCurr,bitIndex8)
        <=> $false )
        & ( v13911(VarCurr,bitIndex7)
        <=> $false )
        & ( v13911(VarCurr,bitIndex6)
        <=> $false )
        & ( v13911(VarCurr,bitIndex5)
        <=> $false )
        & ( v13911(VarCurr,bitIndex4)
        <=> $false )
        & ( v13911(VarCurr,bitIndex3)
        <=> $false )
        & ( v13911(VarCurr,bitIndex2)
        <=> $false )
        & ( v13911(VarCurr,bitIndex1)
        <=> $false )
        & ( v13911(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2421,axiom,(
    ~ b000000011100110100000000001(bitIndex26) )).

fof(bitBlastConstant_2420,axiom,(
    ~ b000000011100110100000000001(bitIndex25) )).

fof(bitBlastConstant_2419,axiom,(
    ~ b000000011100110100000000001(bitIndex24) )).

fof(bitBlastConstant_2418,axiom,(
    ~ b000000011100110100000000001(bitIndex23) )).

fof(bitBlastConstant_2417,axiom,(
    ~ b000000011100110100000000001(bitIndex22) )).

fof(bitBlastConstant_2416,axiom,(
    ~ b000000011100110100000000001(bitIndex21) )).

fof(bitBlastConstant_2415,axiom,(
    ~ b000000011100110100000000001(bitIndex20) )).

fof(bitBlastConstant_2414,axiom,(
    b000000011100110100000000001(bitIndex19) )).

fof(bitBlastConstant_2413,axiom,(
    b000000011100110100000000001(bitIndex18) )).

fof(bitBlastConstant_2412,axiom,(
    b000000011100110100000000001(bitIndex17) )).

fof(bitBlastConstant_2411,axiom,(
    ~ b000000011100110100000000001(bitIndex16) )).

fof(bitBlastConstant_2410,axiom,(
    ~ b000000011100110100000000001(bitIndex15) )).

fof(bitBlastConstant_2409,axiom,(
    b000000011100110100000000001(bitIndex14) )).

fof(bitBlastConstant_2408,axiom,(
    b000000011100110100000000001(bitIndex13) )).

fof(bitBlastConstant_2407,axiom,(
    ~ b000000011100110100000000001(bitIndex12) )).

fof(bitBlastConstant_2406,axiom,(
    b000000011100110100000000001(bitIndex11) )).

fof(bitBlastConstant_2405,axiom,(
    ~ b000000011100110100000000001(bitIndex10) )).

fof(bitBlastConstant_2404,axiom,(
    ~ b000000011100110100000000001(bitIndex9) )).

fof(bitBlastConstant_2403,axiom,(
    ~ b000000011100110100000000001(bitIndex8) )).

fof(bitBlastConstant_2402,axiom,(
    ~ b000000011100110100000000001(bitIndex7) )).

fof(bitBlastConstant_2401,axiom,(
    ~ b000000011100110100000000001(bitIndex6) )).

fof(bitBlastConstant_2400,axiom,(
    ~ b000000011100110100000000001(bitIndex5) )).

fof(bitBlastConstant_2399,axiom,(
    ~ b000000011100110100000000001(bitIndex4) )).

fof(bitBlastConstant_2398,axiom,(
    ~ b000000011100110100000000001(bitIndex3) )).

fof(bitBlastConstant_2397,axiom,(
    ~ b000000011100110100000000001(bitIndex2) )).

fof(bitBlastConstant_2396,axiom,(
    ~ b000000011100110100000000001(bitIndex1) )).

fof(bitBlastConstant_2395,axiom,(
    b000000011100110100000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_878,axiom,(
    ! [VarCurr] :
      ( v13929(VarCurr)
    <=> ( v13905(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_877,axiom,(
    ! [VarCurr] :
      ( v13928(VarCurr)
    <=> ( ( v13911(VarCurr,bitIndex26)
        <=> $false )
        & ( v13911(VarCurr,bitIndex25)
        <=> $false )
        & ( v13911(VarCurr,bitIndex24)
        <=> $false )
        & ( v13911(VarCurr,bitIndex23)
        <=> $false )
        & ( v13911(VarCurr,bitIndex22)
        <=> $false )
        & ( v13911(VarCurr,bitIndex21)
        <=> $false )
        & ( v13911(VarCurr,bitIndex20)
        <=> $false )
        & ( v13911(VarCurr,bitIndex19)
        <=> $true )
        & ( v13911(VarCurr,bitIndex18)
        <=> $true )
        & ( v13911(VarCurr,bitIndex17)
        <=> $false )
        & ( v13911(VarCurr,bitIndex16)
        <=> $false )
        & ( v13911(VarCurr,bitIndex15)
        <=> $false )
        & ( v13911(VarCurr,bitIndex14)
        <=> $true )
        & ( v13911(VarCurr,bitIndex13)
        <=> $true )
        & ( v13911(VarCurr,bitIndex12)
        <=> $false )
        & ( v13911(VarCurr,bitIndex11)
        <=> $true )
        & ( v13911(VarCurr,bitIndex10)
        <=> $false )
        & ( v13911(VarCurr,bitIndex9)
        <=> $false )
        & ( v13911(VarCurr,bitIndex8)
        <=> $false )
        & ( v13911(VarCurr,bitIndex7)
        <=> $false )
        & ( v13911(VarCurr,bitIndex6)
        <=> $false )
        & ( v13911(VarCurr,bitIndex5)
        <=> $false )
        & ( v13911(VarCurr,bitIndex4)
        <=> $false )
        & ( v13911(VarCurr,bitIndex3)
        <=> $false )
        & ( v13911(VarCurr,bitIndex2)
        <=> $false )
        & ( v13911(VarCurr,bitIndex1)
        <=> $false )
        & ( v13911(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2394,axiom,(
    ~ b000000011000110100000000001(bitIndex26) )).

fof(bitBlastConstant_2393,axiom,(
    ~ b000000011000110100000000001(bitIndex25) )).

fof(bitBlastConstant_2392,axiom,(
    ~ b000000011000110100000000001(bitIndex24) )).

fof(bitBlastConstant_2391,axiom,(
    ~ b000000011000110100000000001(bitIndex23) )).

fof(bitBlastConstant_2390,axiom,(
    ~ b000000011000110100000000001(bitIndex22) )).

fof(bitBlastConstant_2389,axiom,(
    ~ b000000011000110100000000001(bitIndex21) )).

fof(bitBlastConstant_2388,axiom,(
    ~ b000000011000110100000000001(bitIndex20) )).

fof(bitBlastConstant_2387,axiom,(
    b000000011000110100000000001(bitIndex19) )).

fof(bitBlastConstant_2386,axiom,(
    b000000011000110100000000001(bitIndex18) )).

fof(bitBlastConstant_2385,axiom,(
    ~ b000000011000110100000000001(bitIndex17) )).

fof(bitBlastConstant_2384,axiom,(
    ~ b000000011000110100000000001(bitIndex16) )).

fof(bitBlastConstant_2383,axiom,(
    ~ b000000011000110100000000001(bitIndex15) )).

fof(bitBlastConstant_2382,axiom,(
    b000000011000110100000000001(bitIndex14) )).

fof(bitBlastConstant_2381,axiom,(
    b000000011000110100000000001(bitIndex13) )).

fof(bitBlastConstant_2380,axiom,(
    ~ b000000011000110100000000001(bitIndex12) )).

fof(bitBlastConstant_2379,axiom,(
    b000000011000110100000000001(bitIndex11) )).

fof(bitBlastConstant_2378,axiom,(
    ~ b000000011000110100000000001(bitIndex10) )).

fof(bitBlastConstant_2377,axiom,(
    ~ b000000011000110100000000001(bitIndex9) )).

fof(bitBlastConstant_2376,axiom,(
    ~ b000000011000110100000000001(bitIndex8) )).

fof(bitBlastConstant_2375,axiom,(
    ~ b000000011000110100000000001(bitIndex7) )).

fof(bitBlastConstant_2374,axiom,(
    ~ b000000011000110100000000001(bitIndex6) )).

fof(bitBlastConstant_2373,axiom,(
    ~ b000000011000110100000000001(bitIndex5) )).

fof(bitBlastConstant_2372,axiom,(
    ~ b000000011000110100000000001(bitIndex4) )).

fof(bitBlastConstant_2371,axiom,(
    ~ b000000011000110100000000001(bitIndex3) )).

fof(bitBlastConstant_2370,axiom,(
    ~ b000000011000110100000000001(bitIndex2) )).

fof(bitBlastConstant_2369,axiom,(
    ~ b000000011000110100000000001(bitIndex1) )).

fof(bitBlastConstant_2368,axiom,(
    b000000011000110100000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_876,axiom,(
    ! [VarCurr] :
      ( v13927(VarCurr)
    <=> ( v13905(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_1802,axiom,(
    ! [VarCurr] :
      ( ~ v13925(VarCurr)
    <=> v13893(VarCurr) ) )).

fof(addAssignment_5334,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13911(VarCurr,B)
      <=> v13913(VarCurr,B) ) ) )).

fof(addAssignment_5333,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13913(VarCurr,B)
      <=> v13915(VarCurr,B) ) ) )).

fof(addAssignment_5332,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13915(VarCurr,B)
      <=> v13917(VarCurr,B) ) ) )).

fof(addAssignment_5331,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13917(VarCurr,B)
      <=> v13919(VarCurr,B) ) ) )).

fof(addAssignment_5330,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13919(VarCurr,B)
      <=> v13921(VarCurr,B) ) ) )).

fof(addAssignment_5329,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13921(VarCurr,B)
      <=> v13646(VarCurr,B) ) ) )).

fof(addAssignment_5328,axiom,(
    ! [VarCurr] :
      ( v13905(VarCurr)
    <=> v13907(VarCurr) ) )).

fof(addAssignment_5327,axiom,(
    ! [VarCurr] :
      ( v13907(VarCurr)
    <=> v13909(VarCurr) ) )).

fof(addAssignment_5326,axiom,(
    ! [VarCurr] :
      ( v13909(VarCurr)
    <=> v13630(VarCurr) ) )).

fof(addAssignment_5325,axiom,(
    ! [VarCurr] :
      ( v13893(VarCurr)
    <=> v13895(VarCurr) ) )).

fof(addAssignment_5324,axiom,(
    ! [VarCurr] :
      ( v13895(VarCurr)
    <=> v13897(VarCurr) ) )).

fof(addAssignment_5323,axiom,(
    ! [VarCurr] :
      ( v13897(VarCurr)
    <=> v13899(VarCurr) ) )).

fof(addAssignment_5322,axiom,(
    ! [VarCurr] :
      ( v13899(VarCurr)
    <=> v13901(VarCurr) ) )).

fof(addAssignment_5321,axiom,(
    ! [VarCurr] :
      ( v13901(VarCurr)
    <=> v13903(VarCurr) ) )).

fof(addAssignment_5320,axiom,(
    ! [VarCurr] :
      ( v13903(VarCurr)
    <=> v13612(VarCurr) ) )).

fof(addAssignment_5319,axiom,(
    ! [VarCurr] :
      ( v13867(VarCurr)
    <=> $false ) )).

fof(addAssignment_5318,axiom,(
    ! [VarCurr] :
      ( v13836(VarCurr)
    <=> v13838(VarCurr,bitIndex16) ) )).

fof(addAssignment_5317,axiom,(
    ! [VarCurr] :
      ( v13838(VarCurr,bitIndex16)
    <=> v13840(VarCurr,bitIndex16) ) )).

fof(addAssignment_5316,axiom,(
    ! [VarCurr] :
      ( v13840(VarCurr,bitIndex16)
    <=> v3822(VarCurr,bitIndex16) ) )).

fof(addAssignment_5315,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex16)
    <=> v3824(VarCurr,bitIndex16) ) )).

fof(addAssignment_5314,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex16)
    <=> v3826(VarCurr,bitIndex16) ) )).

fof(addAssignment_5313,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex16)
    <=> v3828(VarCurr,bitIndex16) ) )).

fof(addAssignment_5312,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex16)
    <=> v3830(VarCurr,bitIndex16) ) )).

fof(addAssignment_5311,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex16)
    <=> v3832(VarCurr,bitIndex16) ) )).

fof(addAssignment_5310,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex16)
    <=> v3834(VarCurr,bitIndex16) ) )).

fof(addAssignment_5309,axiom,(
    ! [VarNext] :
      ( v3834(VarNext,bitIndex16)
    <=> v13854(VarNext,bitIndex16) ) )).

fof(addCaseBooleanConditionEqualRanges1_125,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13855(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v13854(VarNext,B)
            <=> v3834(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_147,axiom,(
    ! [VarNext] :
      ( v13855(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v13854(VarNext,B)
          <=> v13863(VarNext,B) ) ) ) )).

fof(addAssignment_5308,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v13863(VarNext,B)
          <=> v13861(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_278,axiom,(
    ! [VarCurr] :
      ( ~ v3920(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v13861(VarCurr,B)
          <=> v13842(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_218,axiom,(
    ! [VarCurr] :
      ( v3920(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v13861(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3236,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13855(VarNext)
      <=> v13856(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3235,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13856(VarNext)
      <=> ( v13858(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_1801,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13858(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_5307,axiom,(
    ! [VarCurr] :
      ( v13842(VarCurr,bitIndex16)
    <=> v13844(VarCurr,bitIndex16) ) )).

fof(addAssignment_5306,axiom,(
    ! [VarCurr] :
      ( v13844(VarCurr,bitIndex16)
    <=> v13846(VarCurr,bitIndex16) ) )).

fof(addAssignment_5305,axiom,(
    ! [VarCurr] :
      ( v13846(VarCurr,bitIndex16)
    <=> v13848(VarCurr,bitIndex16) ) )).

fof(addAssignment_5304,axiom,(
    ! [VarCurr] :
      ( v13848(VarCurr,bitIndex16)
    <=> v13850(VarCurr,bitIndex16) ) )).

fof(addAssignment_5303,axiom,(
    ! [VarCurr] :
      ( v13850(VarCurr,bitIndex16)
    <=> v13852(VarCurr,bitIndex16) ) )).

fof(addAssignment_5302,axiom,(
    ! [VarCurr] :
      ( v13852(VarCurr,bitIndex16)
    <=> v13538(VarCurr,bitIndex16) ) )).

fof(addAssignment_5301,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex16)
    <=> v13540(VarCurr,bitIndex16) ) )).

fof(addAssignment_5300,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex16)
    <=> v13542(VarCurr,bitIndex16) ) )).

fof(addAssignment_5299,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex16)
    <=> v13544(VarCurr,bitIndex16) ) )).

fof(addAssignment_5298,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex16)
    <=> v13546(VarCurr,bitIndex16) ) )).

fof(addAssignment_5297,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex16)
    <=> v13548(VarCurr,bitIndex16) ) )).

fof(addAssignment_5296,axiom,(
    ! [VarCurr] :
      ( v13834(VarCurr)
    <=> $false ) )).

fof(addAssignment_5295,axiom,(
    ! [VarCurr] :
      ( v13832(VarCurr)
    <=> $false ) )).

fof(addAssignment_5294,axiom,(
    ! [VarCurr] :
      ( v13830(VarCurr)
    <=> $true ) )).

fof(addAssignment_5293,axiom,(
    ! [VarCurr] :
      ( v13828(VarCurr)
    <=> $false ) )).

fof(addAssignment_5292,axiom,(
    ! [VarCurr] :
      ( v13819(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(writeUnaryOperator_1800,axiom,(
    ! [VarCurr] :
      ( ~ v13821(VarCurr)
    <=> v13823(VarCurr) ) )).

fof(addAssignment_5291,axiom,(
    ! [VarCurr] :
      ( v13823(VarCurr)
    <=> v13825(VarCurr) ) )).

fof(addAssignment_5290,axiom,(
    ! [VarCurr] :
      ( v13825(VarCurr)
    <=> v3792(VarCurr) ) )).

fof(addAssignment_5289,axiom,(
    ! [VarCurr,B] :
      ( range_60_14(B)
     => ( v13240(VarCurr,B)
      <=> v13242(VarCurr,B) ) ) )).

fof(range_axiom_73,axiom,(
    ! [B] :
      ( range_60_14(B)
    <=> ( $false
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_5288,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v13242(VarCurr,B)
      <=> v13244(VarCurr,B) ) ) )).

fof(addAssignment_5287,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v13244(VarCurr,B)
      <=> v13246(VarCurr,B) ) ) )).

fof(addAssignment_5286,axiom,(
    ! [VarCurr] :
      ( ( v13246(VarCurr,bitIndex60)
      <=> v13248(VarCurr,bitIndex640) )
      & ( v13246(VarCurr,bitIndex59)
      <=> v13248(VarCurr,bitIndex639) )
      & ( v13246(VarCurr,bitIndex58)
      <=> v13248(VarCurr,bitIndex638) )
      & ( v13246(VarCurr,bitIndex57)
      <=> v13248(VarCurr,bitIndex637) )
      & ( v13246(VarCurr,bitIndex56)
      <=> v13248(VarCurr,bitIndex636) )
      & ( v13246(VarCurr,bitIndex55)
      <=> v13248(VarCurr,bitIndex635) )
      & ( v13246(VarCurr,bitIndex54)
      <=> v13248(VarCurr,bitIndex634) )
      & ( v13246(VarCurr,bitIndex53)
      <=> v13248(VarCurr,bitIndex633) )
      & ( v13246(VarCurr,bitIndex52)
      <=> v13248(VarCurr,bitIndex632) )
      & ( v13246(VarCurr,bitIndex51)
      <=> v13248(VarCurr,bitIndex631) )
      & ( v13246(VarCurr,bitIndex50)
      <=> v13248(VarCurr,bitIndex630) )
      & ( v13246(VarCurr,bitIndex49)
      <=> v13248(VarCurr,bitIndex629) )
      & ( v13246(VarCurr,bitIndex48)
      <=> v13248(VarCurr,bitIndex628) )
      & ( v13246(VarCurr,bitIndex47)
      <=> v13248(VarCurr,bitIndex627) )
      & ( v13246(VarCurr,bitIndex46)
      <=> v13248(VarCurr,bitIndex626) )
      & ( v13246(VarCurr,bitIndex45)
      <=> v13248(VarCurr,bitIndex625) )
      & ( v13246(VarCurr,bitIndex44)
      <=> v13248(VarCurr,bitIndex624) )
      & ( v13246(VarCurr,bitIndex43)
      <=> v13248(VarCurr,bitIndex623) )
      & ( v13246(VarCurr,bitIndex42)
      <=> v13248(VarCurr,bitIndex622) )
      & ( v13246(VarCurr,bitIndex41)
      <=> v13248(VarCurr,bitIndex621) )
      & ( v13246(VarCurr,bitIndex40)
      <=> v13248(VarCurr,bitIndex620) )
      & ( v13246(VarCurr,bitIndex39)
      <=> v13248(VarCurr,bitIndex619) )
      & ( v13246(VarCurr,bitIndex38)
      <=> v13248(VarCurr,bitIndex618) )
      & ( v13246(VarCurr,bitIndex37)
      <=> v13248(VarCurr,bitIndex617) )
      & ( v13246(VarCurr,bitIndex36)
      <=> v13248(VarCurr,bitIndex616) )
      & ( v13246(VarCurr,bitIndex35)
      <=> v13248(VarCurr,bitIndex615) )
      & ( v13246(VarCurr,bitIndex34)
      <=> v13248(VarCurr,bitIndex614) )
      & ( v13246(VarCurr,bitIndex33)
      <=> v13248(VarCurr,bitIndex613) )
      & ( v13246(VarCurr,bitIndex32)
      <=> v13248(VarCurr,bitIndex612) )
      & ( v13246(VarCurr,bitIndex31)
      <=> v13248(VarCurr,bitIndex611) )
      & ( v13246(VarCurr,bitIndex30)
      <=> v13248(VarCurr,bitIndex610) ) ) )).

fof(addAssignment_5285,axiom,(
    ! [VarNext] :
      ( ( v13248(VarNext,bitIndex640)
      <=> v13787(VarNext,bitIndex60) )
      & ( v13248(VarNext,bitIndex639)
      <=> v13787(VarNext,bitIndex59) )
      & ( v13248(VarNext,bitIndex638)
      <=> v13787(VarNext,bitIndex58) )
      & ( v13248(VarNext,bitIndex637)
      <=> v13787(VarNext,bitIndex57) )
      & ( v13248(VarNext,bitIndex636)
      <=> v13787(VarNext,bitIndex56) )
      & ( v13248(VarNext,bitIndex635)
      <=> v13787(VarNext,bitIndex55) )
      & ( v13248(VarNext,bitIndex634)
      <=> v13787(VarNext,bitIndex54) )
      & ( v13248(VarNext,bitIndex633)
      <=> v13787(VarNext,bitIndex53) )
      & ( v13248(VarNext,bitIndex632)
      <=> v13787(VarNext,bitIndex52) )
      & ( v13248(VarNext,bitIndex631)
      <=> v13787(VarNext,bitIndex51) )
      & ( v13248(VarNext,bitIndex630)
      <=> v13787(VarNext,bitIndex50) )
      & ( v13248(VarNext,bitIndex629)
      <=> v13787(VarNext,bitIndex49) )
      & ( v13248(VarNext,bitIndex628)
      <=> v13787(VarNext,bitIndex48) )
      & ( v13248(VarNext,bitIndex627)
      <=> v13787(VarNext,bitIndex47) )
      & ( v13248(VarNext,bitIndex626)
      <=> v13787(VarNext,bitIndex46) )
      & ( v13248(VarNext,bitIndex625)
      <=> v13787(VarNext,bitIndex45) )
      & ( v13248(VarNext,bitIndex624)
      <=> v13787(VarNext,bitIndex44) )
      & ( v13248(VarNext,bitIndex623)
      <=> v13787(VarNext,bitIndex43) )
      & ( v13248(VarNext,bitIndex622)
      <=> v13787(VarNext,bitIndex42) )
      & ( v13248(VarNext,bitIndex621)
      <=> v13787(VarNext,bitIndex41) )
      & ( v13248(VarNext,bitIndex620)
      <=> v13787(VarNext,bitIndex40) )
      & ( v13248(VarNext,bitIndex619)
      <=> v13787(VarNext,bitIndex39) )
      & ( v13248(VarNext,bitIndex618)
      <=> v13787(VarNext,bitIndex38) )
      & ( v13248(VarNext,bitIndex617)
      <=> v13787(VarNext,bitIndex37) )
      & ( v13248(VarNext,bitIndex616)
      <=> v13787(VarNext,bitIndex36) )
      & ( v13248(VarNext,bitIndex615)
      <=> v13787(VarNext,bitIndex35) )
      & ( v13248(VarNext,bitIndex614)
      <=> v13787(VarNext,bitIndex34) )
      & ( v13248(VarNext,bitIndex613)
      <=> v13787(VarNext,bitIndex33) )
      & ( v13248(VarNext,bitIndex612)
      <=> v13787(VarNext,bitIndex32) )
      & ( v13248(VarNext,bitIndex611)
      <=> v13787(VarNext,bitIndex31) )
      & ( v13248(VarNext,bitIndex610)
      <=> v13787(VarNext,bitIndex30) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13789(VarNext)
       => ( ( v13787(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v13787(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v13787(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v13787(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v13787(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v13787(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v13787(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v13787(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v13787(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v13787(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v13787(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v13787(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v13787(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v13787(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v13787(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v13787(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v13787(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v13787(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v13787(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v13787(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v13787(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v13787(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v13787(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v13787(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v13787(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v13787(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v13787(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v13787(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v13787(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v13787(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v13787(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v13787(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v13787(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v13787(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v13787(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v13787(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v13787(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v13787(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v13787(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v13787(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v13787(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v13787(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v13787(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v13787(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v13787(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v13787(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v13787(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v13787(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v13787(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v13787(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v13787(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v13787(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v13787(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v13787(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v13787(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v13787(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v13787(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v13787(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v13787(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v13787(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v13787(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v13787(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v13787(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v13787(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v13787(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v13787(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v13787(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v13787(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v13787(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v13787(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v13787(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v13787(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v13787(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v13787(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v13787(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v13787(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v13787(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v13787(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v13787(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v13787(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v13787(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v13787(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v13787(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v13787(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v13787(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v13787(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v13787(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v13787(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v13787(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v13787(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v13787(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v13787(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v13787(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v13787(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v13787(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v13787(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v13787(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v13787(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v13787(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v13787(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v13787(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v13787(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v13787(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v13787(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v13787(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v13787(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v13787(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v13787(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v13787(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v13787(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v13787(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v13787(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v13787(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v13787(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v13787(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v13787(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_146,axiom,(
    ! [VarNext] :
      ( v13789(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v13787(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3234,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13789(VarNext)
      <=> ( v13790(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3233,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13790(VarNext)
      <=> ( v13792(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_1799,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13792(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_5284,axiom,(
    ! [VarNext] :
      ( ( v13248(VarNext,bitIndex524)
      <=> v13779(VarNext,bitIndex60) )
      & ( v13248(VarNext,bitIndex523)
      <=> v13779(VarNext,bitIndex59) )
      & ( v13248(VarNext,bitIndex522)
      <=> v13779(VarNext,bitIndex58) )
      & ( v13248(VarNext,bitIndex521)
      <=> v13779(VarNext,bitIndex57) )
      & ( v13248(VarNext,bitIndex520)
      <=> v13779(VarNext,bitIndex56) )
      & ( v13248(VarNext,bitIndex519)
      <=> v13779(VarNext,bitIndex55) )
      & ( v13248(VarNext,bitIndex518)
      <=> v13779(VarNext,bitIndex54) )
      & ( v13248(VarNext,bitIndex517)
      <=> v13779(VarNext,bitIndex53) )
      & ( v13248(VarNext,bitIndex516)
      <=> v13779(VarNext,bitIndex52) )
      & ( v13248(VarNext,bitIndex515)
      <=> v13779(VarNext,bitIndex51) )
      & ( v13248(VarNext,bitIndex514)
      <=> v13779(VarNext,bitIndex50) )
      & ( v13248(VarNext,bitIndex513)
      <=> v13779(VarNext,bitIndex49) )
      & ( v13248(VarNext,bitIndex512)
      <=> v13779(VarNext,bitIndex48) )
      & ( v13248(VarNext,bitIndex511)
      <=> v13779(VarNext,bitIndex47) )
      & ( v13248(VarNext,bitIndex510)
      <=> v13779(VarNext,bitIndex46) )
      & ( v13248(VarNext,bitIndex509)
      <=> v13779(VarNext,bitIndex45) )
      & ( v13248(VarNext,bitIndex508)
      <=> v13779(VarNext,bitIndex44) )
      & ( v13248(VarNext,bitIndex507)
      <=> v13779(VarNext,bitIndex43) )
      & ( v13248(VarNext,bitIndex506)
      <=> v13779(VarNext,bitIndex42) )
      & ( v13248(VarNext,bitIndex505)
      <=> v13779(VarNext,bitIndex41) )
      & ( v13248(VarNext,bitIndex504)
      <=> v13779(VarNext,bitIndex40) )
      & ( v13248(VarNext,bitIndex503)
      <=> v13779(VarNext,bitIndex39) )
      & ( v13248(VarNext,bitIndex502)
      <=> v13779(VarNext,bitIndex38) )
      & ( v13248(VarNext,bitIndex501)
      <=> v13779(VarNext,bitIndex37) )
      & ( v13248(VarNext,bitIndex500)
      <=> v13779(VarNext,bitIndex36) )
      & ( v13248(VarNext,bitIndex499)
      <=> v13779(VarNext,bitIndex35) )
      & ( v13248(VarNext,bitIndex498)
      <=> v13779(VarNext,bitIndex34) )
      & ( v13248(VarNext,bitIndex497)
      <=> v13779(VarNext,bitIndex33) )
      & ( v13248(VarNext,bitIndex496)
      <=> v13779(VarNext,bitIndex32) )
      & ( v13248(VarNext,bitIndex495)
      <=> v13779(VarNext,bitIndex31) )
      & ( v13248(VarNext,bitIndex494)
      <=> v13779(VarNext,bitIndex30) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13781(VarNext)
       => ( ( v13779(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex579) )
          & ( v13779(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex578) )
          & ( v13779(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex577) )
          & ( v13779(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex576) )
          & ( v13779(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex575) )
          & ( v13779(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex574) )
          & ( v13779(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex573) )
          & ( v13779(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex572) )
          & ( v13779(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex571) )
          & ( v13779(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex570) )
          & ( v13779(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex569) )
          & ( v13779(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex568) )
          & ( v13779(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex567) )
          & ( v13779(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex566) )
          & ( v13779(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex565) )
          & ( v13779(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex564) )
          & ( v13779(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex563) )
          & ( v13779(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex562) )
          & ( v13779(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex561) )
          & ( v13779(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex560) )
          & ( v13779(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex559) )
          & ( v13779(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex558) )
          & ( v13779(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex557) )
          & ( v13779(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex556) )
          & ( v13779(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex555) )
          & ( v13779(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex554) )
          & ( v13779(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex553) )
          & ( v13779(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex552) )
          & ( v13779(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex551) )
          & ( v13779(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex550) )
          & ( v13779(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex549) )
          & ( v13779(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex548) )
          & ( v13779(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex547) )
          & ( v13779(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex546) )
          & ( v13779(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex545) )
          & ( v13779(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex544) )
          & ( v13779(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex543) )
          & ( v13779(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex542) )
          & ( v13779(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex541) )
          & ( v13779(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex540) )
          & ( v13779(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex539) )
          & ( v13779(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex538) )
          & ( v13779(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex537) )
          & ( v13779(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex536) )
          & ( v13779(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex535) )
          & ( v13779(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex534) )
          & ( v13779(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex533) )
          & ( v13779(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex532) )
          & ( v13779(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex531) )
          & ( v13779(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex530) )
          & ( v13779(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex529) )
          & ( v13779(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex528) )
          & ( v13779(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex527) )
          & ( v13779(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex526) )
          & ( v13779(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex525) )
          & ( v13779(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex524) )
          & ( v13779(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex523) )
          & ( v13779(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex522) )
          & ( v13779(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex521) )
          & ( v13779(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex520) )
          & ( v13779(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex519) )
          & ( v13779(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex518) )
          & ( v13779(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex517) )
          & ( v13779(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex516) )
          & ( v13779(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex515) )
          & ( v13779(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex514) )
          & ( v13779(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex513) )
          & ( v13779(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex512) )
          & ( v13779(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex511) )
          & ( v13779(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex510) )
          & ( v13779(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex509) )
          & ( v13779(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex508) )
          & ( v13779(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex507) )
          & ( v13779(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex506) )
          & ( v13779(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex505) )
          & ( v13779(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex504) )
          & ( v13779(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex503) )
          & ( v13779(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex502) )
          & ( v13779(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex501) )
          & ( v13779(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex500) )
          & ( v13779(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex499) )
          & ( v13779(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex498) )
          & ( v13779(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex497) )
          & ( v13779(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex496) )
          & ( v13779(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex495) )
          & ( v13779(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex494) )
          & ( v13779(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex493) )
          & ( v13779(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex492) )
          & ( v13779(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex491) )
          & ( v13779(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex490) )
          & ( v13779(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex489) )
          & ( v13779(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex488) )
          & ( v13779(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex487) )
          & ( v13779(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex486) )
          & ( v13779(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex485) )
          & ( v13779(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex484) )
          & ( v13779(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex483) )
          & ( v13779(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex482) )
          & ( v13779(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex481) )
          & ( v13779(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex480) )
          & ( v13779(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex479) )
          & ( v13779(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex478) )
          & ( v13779(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex477) )
          & ( v13779(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex476) )
          & ( v13779(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex475) )
          & ( v13779(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex474) )
          & ( v13779(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex473) )
          & ( v13779(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex472) )
          & ( v13779(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex471) )
          & ( v13779(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex470) )
          & ( v13779(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex469) )
          & ( v13779(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex468) )
          & ( v13779(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex467) )
          & ( v13779(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex466) )
          & ( v13779(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex465) )
          & ( v13779(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex464) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_145,axiom,(
    ! [VarNext] :
      ( v13781(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v13779(VarNext,B)
          <=> v13413(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13781(VarNext)
      <=> ( v13782(VarNext)
          & v13407(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13782(VarNext)
      <=> ( v13784(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_1798,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13784(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_5283,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v13382(VarCurr,B)
      <=> v13384(VarCurr,B) ) ) )).

fof(addAssignment_5282,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v13384(VarCurr,B)
      <=> v13386(VarCurr,B) ) ) )).

fof(addAssignment_5281,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v13386(VarCurr,B)
      <=> v13388(VarCurr,B) ) ) )).

fof(addAssignment_5280,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v13388(VarCurr,B)
      <=> v13390(VarCurr,B) ) ) )).

fof(addAssignment_5279,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v13390(VarCurr,B)
      <=> v13392(VarCurr,B) ) ) )).

fof(range_axiom_72,axiom,(
    ! [B] :
      ( range_60_30(B)
    <=> ( $false
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_5278,axiom,(
    ! [VarCurr] :
      ( v13447(VarCurr)
    <=> v13449(VarCurr) ) )).

fof(addAssignment_5277,axiom,(
    ! [VarCurr] :
      ( v13449(VarCurr)
    <=> v13451(VarCurr) ) )).

fof(addAssignment_5276,axiom,(
    ! [VarCurr] :
      ( v13451(VarCurr)
    <=> v13453(VarCurr) ) )).

fof(addAssignment_5275,axiom,(
    ! [VarCurr] :
      ( v13453(VarCurr)
    <=> v13455(VarCurr) ) )).

fof(addAssignment_5274,axiom,(
    ! [VarCurr] :
      ( v13455(VarCurr)
    <=> v13457(VarCurr) ) )).

fof(addAssignment_5273,axiom,(
    ! [VarCurr] :
      ( v13457(VarCurr)
    <=> v13459(VarCurr) ) )).

fof(addAssignment_5272,axiom,(
    ! [VarCurr] :
      ( v13459(VarCurr)
    <=> v13461(VarCurr,bitIndex44) ) )).

fof(addAssignment_5271,axiom,(
    ! [VarCurr] :
      ( v13461(VarCurr,bitIndex44)
    <=> v13463(VarCurr,bitIndex44) ) )).

fof(addAssignment_5270,axiom,(
    ! [VarCurr] :
      ( v13463(VarCurr,bitIndex44)
    <=> v13465(VarCurr,bitIndex44) ) )).

fof(addAssignment_5269,axiom,(
    ! [VarCurr] :
      ( v13465(VarCurr,bitIndex44)
    <=> v13467(VarCurr,bitIndex44) ) )).

fof(addAssignment_5268,axiom,(
    ! [VarCurr] :
      ( v13467(VarCurr,bitIndex44)
    <=> v13469(VarCurr,bitIndex63) ) )).

fof(addAssignment_5267,axiom,(
    ! [VarCurr] :
      ( v13469(VarCurr,bitIndex63)
    <=> v13471(VarCurr,bitIndex63) ) )).

fof(addAssignment_5266,axiom,(
    ! [VarCurr] :
      ( v13471(VarCurr,bitIndex63)
    <=> v13473(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_124,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13734(VarNext)
       => ( v13473(VarNext)
        <=> v13473(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_144,axiom,(
    ! [VarNext] :
      ( v13734(VarNext)
     => ( v13473(VarNext)
      <=> v13769(VarNext) ) ) )).

fof(addAssignment_5265,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13769(VarNext)
      <=> v13767(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_156,axiom,(
    ! [VarCurr] :
      ( ~ v13475(VarCurr)
     => ( v13767(VarCurr)
      <=> v13770(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_156,axiom,(
    ! [VarCurr] :
      ( v13475(VarCurr)
     => ( v13767(VarCurr)
      <=> v13496(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_155,axiom,(
    ! [VarCurr] :
      ( ~ v13747(VarCurr)
     => ( v13770(VarCurr)
      <=> v13723(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_155,axiom,(
    ! [VarCurr] :
      ( v13747(VarCurr)
     => ( v13770(VarCurr)
      <=> v13771(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_58,axiom,(
    ! [VarCurr] :
      ( ( ~ v13750(VarCurr)
        & ~ v13752(VarCurr) )
     => ( v13771(VarCurr)
      <=> v13775(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_154,axiom,(
    ! [VarCurr] :
      ( v13752(VarCurr)
     => ( v13771(VarCurr)
      <=> v13774(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_154,axiom,(
    ! [VarCurr] :
      ( v13750(VarCurr)
     => ( v13771(VarCurr)
      <=> v13772(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_153,axiom,(
    ! [VarCurr] :
      ( ~ v13760(VarCurr)
     => ( v13775(VarCurr)
      <=> v13723(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_153,axiom,(
    ! [VarCurr] :
      ( v13760(VarCurr)
     => ( v13775(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_152,axiom,(
    ! [VarCurr] :
      ( ~ v13754(VarCurr)
     => ( v13774(VarCurr)
      <=> v13723(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_152,axiom,(
    ! [VarCurr] :
      ( v13754(VarCurr)
     => ( v13774(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_277,axiom,(
    ! [VarCurr] :
      ( ~ v13773(VarCurr)
     => ( v13772(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_217,axiom,(
    ! [VarCurr] :
      ( v13773(VarCurr)
     => ( v13772(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_875,axiom,(
    ! [VarCurr] :
      ( v13773(VarCurr)
    <=> ( v13504(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3230,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13734(VarNext)
      <=> ( v13735(VarNext)
          & v13744(VarNext) ) ) ) )).

fof(addAssignment_5264,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13744(VarNext)
      <=> v13742(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3229,axiom,(
    ! [VarCurr] :
      ( v13742(VarCurr)
    <=> ( v13475(VarCurr)
        | v13745(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3228,axiom,(
    ! [VarCurr] :
      ( v13745(VarCurr)
    <=> ( v13746(VarCurr)
        & v13766(VarCurr) ) ) )).

fof(writeUnaryOperator_1797,axiom,(
    ! [VarCurr] :
      ( ~ v13766(VarCurr)
    <=> v13475(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3227,axiom,(
    ! [VarCurr] :
      ( v13746(VarCurr)
    <=> ( v13747(VarCurr)
        | v13764(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3226,axiom,(
    ! [VarCurr] :
      ( v13764(VarCurr)
    <=> ( v13574(VarCurr)
        & v13765(VarCurr) ) ) )).

fof(writeUnaryOperator_1796,axiom,(
    ! [VarCurr] :
      ( ~ v13765(VarCurr)
    <=> v13576(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3225,axiom,(
    ! [VarCurr] :
      ( v13747(VarCurr)
    <=> ( v13748(VarCurr)
        & v13576(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3224,axiom,(
    ! [VarCurr] :
      ( v13748(VarCurr)
    <=> ( v13749(VarCurr)
        | v13758(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3223,axiom,(
    ! [VarCurr] :
      ( v13758(VarCurr)
    <=> ( v13759(VarCurr)
        & v13763(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_874,axiom,(
    ! [VarCurr] :
      ( v13763(VarCurr)
    <=> ( ( v13751(VarCurr,bitIndex2)
        <=> $false )
        & ( v13751(VarCurr,bitIndex1)
        <=> $false )
        & ( v13751(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3222,axiom,(
    ! [VarCurr] :
      ( v13759(VarCurr)
    <=> ( v13760(VarCurr)
        | v13761(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3221,axiom,(
    ! [VarCurr] :
      ( v13761(VarCurr)
    <=> ( v13574(VarCurr)
        & v13762(VarCurr) ) ) )).

fof(writeUnaryOperator_1795,axiom,(
    ! [VarCurr] :
      ( ~ v13762(VarCurr)
    <=> v13760(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_873,axiom,(
    ! [VarCurr] :
      ( v13760(VarCurr)
    <=> ( v13504(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3220,axiom,(
    ! [VarCurr] :
      ( v13749(VarCurr)
    <=> ( v13750(VarCurr)
        | v13752(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3219,axiom,(
    ! [VarCurr] :
      ( v13752(VarCurr)
    <=> ( v13753(VarCurr)
        & v13757(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_872,axiom,(
    ! [VarCurr] :
      ( v13757(VarCurr)
    <=> ( ( v13751(VarCurr,bitIndex2)
        <=> $false )
        & ( v13751(VarCurr,bitIndex1)
        <=> $true )
        & ( v13751(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3218,axiom,(
    ! [VarCurr] :
      ( v13753(VarCurr)
    <=> ( v13754(VarCurr)
        | v13755(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3217,axiom,(
    ! [VarCurr] :
      ( v13755(VarCurr)
    <=> ( v13574(VarCurr)
        & v13756(VarCurr) ) ) )).

fof(writeUnaryOperator_1794,axiom,(
    ! [VarCurr] :
      ( ~ v13756(VarCurr)
    <=> v13754(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_871,axiom,(
    ! [VarCurr] :
      ( v13754(VarCurr)
    <=> ( v13504(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_870,axiom,(
    ! [VarCurr] :
      ( v13750(VarCurr)
    <=> ( ( v13751(VarCurr,bitIndex2)
        <=> $true )
        & ( v13751(VarCurr,bitIndex1)
        <=> $false )
        & ( v13751(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5263,axiom,(
    ! [VarCurr] :
      ( v13751(VarCurr,bitIndex0)
    <=> v13502(VarCurr) ) )).

fof(addAssignment_5262,axiom,(
    ! [VarCurr] :
      ( v13751(VarCurr,bitIndex1)
    <=> v13500(VarCurr) ) )).

fof(addAssignment_5261,axiom,(
    ! [VarCurr] :
      ( v13751(VarCurr,bitIndex2)
    <=> v13498(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13735(VarNext)
      <=> ( v13736(VarNext)
          & v13725(VarNext) ) ) ) )).

fof(writeUnaryOperator_1793,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13736(VarNext)
      <=> v13738(VarNext) ) ) )).

fof(addAssignment_5260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13738(VarNext)
      <=> v13725(VarCurr) ) ) )).

fof(addAssignment_5259,axiom,(
    ! [VarCurr] :
      ( v13725(VarCurr)
    <=> v13727(VarCurr) ) )).

fof(addAssignment_5258,axiom,(
    ! [VarCurr] :
      ( v13727(VarCurr)
    <=> v13729(VarCurr) ) )).

fof(addAssignment_5257,axiom,(
    ! [VarCurr] :
      ( v13729(VarCurr)
    <=> v13731(VarCurr) ) )).

fof(addAssignment_5256,axiom,(
    ! [VarCurr] :
      ( v13731(VarCurr)
    <=> v13554(VarCurr) ) )).

fof(addAssignment_5255,axiom,(
    ! [VarCurr] :
      ( v13723(VarCurr)
    <=> $false ) )).

fof(addAssignment_5254,axiom,(
    ! [VarCurr] :
      ( v13576(VarCurr)
    <=> v13578(VarCurr) ) )).

fof(addAssignment_5253,axiom,(
    ! [VarCurr] :
      ( v13578(VarCurr)
    <=> v13580(VarCurr) ) )).

fof(addAssignment_5252,axiom,(
    ! [VarCurr] :
      ( v13580(VarCurr)
    <=> v13582(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3215,axiom,(
    ! [VarCurr] :
      ( v13582(VarCurr)
    <=> ( v13584(VarCurr)
        & v13683(VarCurr) ) ) )).

fof(addAssignment_5251,axiom,(
    ! [VarCurr] :
      ( v13683(VarCurr)
    <=> v13685(VarCurr) ) )).

fof(addAssignment_5250,axiom,(
    ! [VarCurr] :
      ( v13685(VarCurr)
    <=> v13687(VarCurr) ) )).

fof(addAssignment_5249,axiom,(
    ! [VarCurr] :
      ( v13687(VarCurr)
    <=> v13689(VarCurr) ) )).

fof(addAssignment_5248,axiom,(
    ! [VarCurr] :
      ( v13689(VarCurr)
    <=> v13691(VarCurr) ) )).

fof(addAssignment_5247,axiom,(
    ! [VarCurr] :
      ( v13691(VarCurr)
    <=> v13693(VarCurr) ) )).

fof(addAssignment_5246,axiom,(
    ! [VarCurr] :
      ( v13693(VarCurr)
    <=> v13695(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_123,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13710(VarNext)
       => ( v13695(VarNext)
        <=> v13695(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_143,axiom,(
    ! [VarNext] :
      ( v13710(VarNext)
     => ( v13695(VarNext)
      <=> v13718(VarNext) ) ) )).

fof(addAssignment_5245,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13718(VarNext)
      <=> v13716(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_276,axiom,(
    ! [VarCurr] :
      ( ~ v13570(VarCurr)
     => ( v13716(VarCurr)
      <=> v13697(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_216,axiom,(
    ! [VarCurr] :
      ( v13570(VarCurr)
     => ( v13716(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3214,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13710(VarNext)
      <=> v13711(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13711(VarNext)
      <=> ( v13713(VarNext)
          & v13552(VarNext) ) ) ) )).

fof(writeUnaryOperator_1792,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13713(VarNext)
      <=> v13563(VarNext) ) ) )).

fof(addAssignment_5244,axiom,(
    ! [VarCurr] :
      ( v13697(VarCurr)
    <=> v13699(VarCurr) ) )).

fof(addAssignment_5243,axiom,(
    ! [VarCurr] :
      ( v13699(VarCurr)
    <=> v13701(VarCurr) ) )).

fof(addAssignment_5242,axiom,(
    ! [VarCurr] :
      ( v13701(VarCurr)
    <=> v13703(VarCurr) ) )).

fof(addAssignment_5241,axiom,(
    ! [VarCurr] :
      ( v13703(VarCurr)
    <=> v13705(VarCurr) ) )).

fof(addAssignment_5240,axiom,(
    ! [VarCurr] :
      ( v13705(VarCurr)
    <=> v13707(VarCurr) ) )).

fof(addAssignment_5239,axiom,(
    ! [VarCurr] :
      ( v13707(VarCurr)
    <=> v3888(VarCurr) ) )).

fof(addAssignment_5238,axiom,(
    ! [VarCurr] :
      ( v13584(VarCurr)
    <=> v13586(VarCurr) ) )).

fof(addAssignment_5237,axiom,(
    ! [VarCurr] :
      ( v13586(VarCurr)
    <=> v13588(VarCurr) ) )).

fof(addAssignment_5236,axiom,(
    ! [VarCurr] :
      ( v13588(VarCurr)
    <=> v13590(VarCurr) ) )).

fof(addAssignment_5235,axiom,(
    ! [VarCurr] :
      ( v13590(VarCurr)
    <=> v13592(VarCurr) ) )).

fof(addAssignment_5234,axiom,(
    ! [VarCurr] :
      ( v13592(VarCurr)
    <=> v13594(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13668(VarNext)
       => ( v13594(VarNext)
        <=> v13594(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_142,axiom,(
    ! [VarNext] :
      ( v13668(VarNext)
     => ( v13594(VarNext)
      <=> v13676(VarNext) ) ) )).

fof(addAssignment_5233,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13676(VarNext)
      <=> v13674(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_275,axiom,(
    ! [VarCurr] :
      ( ~ v13677(VarCurr)
     => ( v13674(VarCurr)
      <=> v13678(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_215,axiom,(
    ! [VarCurr] :
      ( v13677(VarCurr)
     => ( v13674(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3212,axiom,(
    ! [VarCurr] :
      ( v13678(VarCurr)
    <=> ( v13679(VarCurr)
        & v13598(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3211,axiom,(
    ! [VarCurr] :
      ( v13679(VarCurr)
    <=> ( $true
        & v13596(VarCurr) ) ) )).

fof(writeUnaryOperator_1791,axiom,(
    ! [VarCurr] :
      ( ~ v13677(VarCurr)
    <=> v13524(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3210,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13668(VarNext)
      <=> v13669(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13669(VarNext)
      <=> ( v13670(VarNext)
          & v13552(VarNext) ) ) ) )).

fof(writeUnaryOperator_1790,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13670(VarNext)
      <=> v13563(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_274,axiom,(
    ! [VarCurr] :
      ( ~ v13660(VarCurr)
     => ( v13598(VarCurr)
      <=> v13661(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_214,axiom,(
    ! [VarCurr] :
      ( v13660(VarCurr)
     => ( v13598(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_57,axiom,(
    ! [VarCurr] :
      ( ( ~ v13662(VarCurr)
        & ~ v13664(VarCurr) )
     => ( v13661(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_151,axiom,(
    ! [VarCurr] :
      ( v13664(VarCurr)
     => ( v13661(VarCurr)
      <=> v13665(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_151,axiom,(
    ! [VarCurr] :
      ( v13662(VarCurr)
     => ( v13661(VarCurr)
      <=> v13663(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_869,axiom,(
    ! [VarCurr] :
      ( v13665(VarCurr)
    <=> ( ( v13634(VarCurr,bitIndex26)
        <=> $false )
        & ( v13634(VarCurr,bitIndex25)
        <=> $false )
        & ( v13634(VarCurr,bitIndex24)
        <=> $false )
        & ( v13634(VarCurr,bitIndex23)
        <=> $false )
        & ( v13634(VarCurr,bitIndex22)
        <=> $false )
        & ( v13634(VarCurr,bitIndex21)
        <=> $false )
        & ( v13634(VarCurr,bitIndex20)
        <=> $false )
        & ( v13634(VarCurr,bitIndex19)
        <=> $true )
        & ( v13634(VarCurr,bitIndex18)
        <=> $true )
        & ( v13634(VarCurr,bitIndex17)
        <=> $true )
        & ( v13634(VarCurr,bitIndex16)
        <=> $false )
        & ( v13634(VarCurr,bitIndex15)
        <=> $false )
        & ( v13634(VarCurr,bitIndex14)
        <=> $false )
        & ( v13634(VarCurr,bitIndex13)
        <=> $true )
        & ( v13634(VarCurr,bitIndex12)
        <=> $false )
        & ( v13634(VarCurr,bitIndex11)
        <=> $false )
        & ( v13634(VarCurr,bitIndex10)
        <=> $false )
        & ( v13634(VarCurr,bitIndex9)
        <=> $false )
        & ( v13634(VarCurr,bitIndex8)
        <=> $false )
        & ( v13634(VarCurr,bitIndex7)
        <=> $false )
        & ( v13634(VarCurr,bitIndex6)
        <=> $false )
        & ( v13634(VarCurr,bitIndex5)
        <=> $false )
        & ( v13634(VarCurr,bitIndex4)
        <=> $false )
        & ( v13634(VarCurr,bitIndex3)
        <=> $false )
        & ( v13634(VarCurr,bitIndex2)
        <=> $false )
        & ( v13634(VarCurr,bitIndex1)
        <=> $false )
        & ( v13634(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2367,axiom,(
    ~ b000000011100010000000000000(bitIndex26) )).

fof(bitBlastConstant_2366,axiom,(
    ~ b000000011100010000000000000(bitIndex25) )).

fof(bitBlastConstant_2365,axiom,(
    ~ b000000011100010000000000000(bitIndex24) )).

fof(bitBlastConstant_2364,axiom,(
    ~ b000000011100010000000000000(bitIndex23) )).

fof(bitBlastConstant_2363,axiom,(
    ~ b000000011100010000000000000(bitIndex22) )).

fof(bitBlastConstant_2362,axiom,(
    ~ b000000011100010000000000000(bitIndex21) )).

fof(bitBlastConstant_2361,axiom,(
    ~ b000000011100010000000000000(bitIndex20) )).

fof(bitBlastConstant_2360,axiom,(
    b000000011100010000000000000(bitIndex19) )).

fof(bitBlastConstant_2359,axiom,(
    b000000011100010000000000000(bitIndex18) )).

fof(bitBlastConstant_2358,axiom,(
    b000000011100010000000000000(bitIndex17) )).

fof(bitBlastConstant_2357,axiom,(
    ~ b000000011100010000000000000(bitIndex16) )).

fof(bitBlastConstant_2356,axiom,(
    ~ b000000011100010000000000000(bitIndex15) )).

fof(bitBlastConstant_2355,axiom,(
    ~ b000000011100010000000000000(bitIndex14) )).

fof(bitBlastConstant_2354,axiom,(
    b000000011100010000000000000(bitIndex13) )).

fof(bitBlastConstant_2353,axiom,(
    ~ b000000011100010000000000000(bitIndex12) )).

fof(bitBlastConstant_2352,axiom,(
    ~ b000000011100010000000000000(bitIndex11) )).

fof(bitBlastConstant_2351,axiom,(
    ~ b000000011100010000000000000(bitIndex10) )).

fof(bitBlastConstant_2350,axiom,(
    ~ b000000011100010000000000000(bitIndex9) )).

fof(bitBlastConstant_2349,axiom,(
    ~ b000000011100010000000000000(bitIndex8) )).

fof(bitBlastConstant_2348,axiom,(
    ~ b000000011100010000000000000(bitIndex7) )).

fof(bitBlastConstant_2347,axiom,(
    ~ b000000011100010000000000000(bitIndex6) )).

fof(bitBlastConstant_2346,axiom,(
    ~ b000000011100010000000000000(bitIndex5) )).

fof(bitBlastConstant_2345,axiom,(
    ~ b000000011100010000000000000(bitIndex4) )).

fof(bitBlastConstant_2344,axiom,(
    ~ b000000011100010000000000000(bitIndex3) )).

fof(bitBlastConstant_2343,axiom,(
    ~ b000000011100010000000000000(bitIndex2) )).

fof(bitBlastConstant_2342,axiom,(
    ~ b000000011100010000000000000(bitIndex1) )).

fof(bitBlastConstant_2341,axiom,(
    ~ b000000011100010000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_868,axiom,(
    ! [VarCurr] :
      ( v13664(VarCurr)
    <=> ( v13624(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_867,axiom,(
    ! [VarCurr] :
      ( v13663(VarCurr)
    <=> ( ( v13634(VarCurr,bitIndex26)
        <=> $false )
        & ( v13634(VarCurr,bitIndex25)
        <=> $false )
        & ( v13634(VarCurr,bitIndex24)
        <=> $false )
        & ( v13634(VarCurr,bitIndex23)
        <=> $false )
        & ( v13634(VarCurr,bitIndex22)
        <=> $false )
        & ( v13634(VarCurr,bitIndex21)
        <=> $false )
        & ( v13634(VarCurr,bitIndex20)
        <=> $false )
        & ( v13634(VarCurr,bitIndex19)
        <=> $true )
        & ( v13634(VarCurr,bitIndex18)
        <=> $true )
        & ( v13634(VarCurr,bitIndex17)
        <=> $false )
        & ( v13634(VarCurr,bitIndex16)
        <=> $false )
        & ( v13634(VarCurr,bitIndex15)
        <=> $false )
        & ( v13634(VarCurr,bitIndex14)
        <=> $false )
        & ( v13634(VarCurr,bitIndex13)
        <=> $true )
        & ( v13634(VarCurr,bitIndex12)
        <=> $false )
        & ( v13634(VarCurr,bitIndex11)
        <=> $false )
        & ( v13634(VarCurr,bitIndex10)
        <=> $false )
        & ( v13634(VarCurr,bitIndex9)
        <=> $false )
        & ( v13634(VarCurr,bitIndex8)
        <=> $false )
        & ( v13634(VarCurr,bitIndex7)
        <=> $false )
        & ( v13634(VarCurr,bitIndex6)
        <=> $false )
        & ( v13634(VarCurr,bitIndex5)
        <=> $false )
        & ( v13634(VarCurr,bitIndex4)
        <=> $false )
        & ( v13634(VarCurr,bitIndex3)
        <=> $false )
        & ( v13634(VarCurr,bitIndex2)
        <=> $false )
        & ( v13634(VarCurr,bitIndex1)
        <=> $false )
        & ( v13634(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2340,axiom,(
    ~ b000000011000010000000000000(bitIndex26) )).

fof(bitBlastConstant_2339,axiom,(
    ~ b000000011000010000000000000(bitIndex25) )).

fof(bitBlastConstant_2338,axiom,(
    ~ b000000011000010000000000000(bitIndex24) )).

fof(bitBlastConstant_2337,axiom,(
    ~ b000000011000010000000000000(bitIndex23) )).

fof(bitBlastConstant_2336,axiom,(
    ~ b000000011000010000000000000(bitIndex22) )).

fof(bitBlastConstant_2335,axiom,(
    ~ b000000011000010000000000000(bitIndex21) )).

fof(bitBlastConstant_2334,axiom,(
    ~ b000000011000010000000000000(bitIndex20) )).

fof(bitBlastConstant_2333,axiom,(
    b000000011000010000000000000(bitIndex19) )).

fof(bitBlastConstant_2332,axiom,(
    b000000011000010000000000000(bitIndex18) )).

fof(bitBlastConstant_2331,axiom,(
    ~ b000000011000010000000000000(bitIndex17) )).

fof(bitBlastConstant_2330,axiom,(
    ~ b000000011000010000000000000(bitIndex16) )).

fof(bitBlastConstant_2329,axiom,(
    ~ b000000011000010000000000000(bitIndex15) )).

fof(bitBlastConstant_2328,axiom,(
    ~ b000000011000010000000000000(bitIndex14) )).

fof(bitBlastConstant_2327,axiom,(
    b000000011000010000000000000(bitIndex13) )).

fof(bitBlastConstant_2326,axiom,(
    ~ b000000011000010000000000000(bitIndex12) )).

fof(bitBlastConstant_2325,axiom,(
    ~ b000000011000010000000000000(bitIndex11) )).

fof(bitBlastConstant_2324,axiom,(
    ~ b000000011000010000000000000(bitIndex10) )).

fof(bitBlastConstant_2323,axiom,(
    ~ b000000011000010000000000000(bitIndex9) )).

fof(bitBlastConstant_2322,axiom,(
    ~ b000000011000010000000000000(bitIndex8) )).

fof(bitBlastConstant_2321,axiom,(
    ~ b000000011000010000000000000(bitIndex7) )).

fof(bitBlastConstant_2320,axiom,(
    ~ b000000011000010000000000000(bitIndex6) )).

fof(bitBlastConstant_2319,axiom,(
    ~ b000000011000010000000000000(bitIndex5) )).

fof(bitBlastConstant_2318,axiom,(
    ~ b000000011000010000000000000(bitIndex4) )).

fof(bitBlastConstant_2317,axiom,(
    ~ b000000011000010000000000000(bitIndex3) )).

fof(bitBlastConstant_2316,axiom,(
    ~ b000000011000010000000000000(bitIndex2) )).

fof(bitBlastConstant_2315,axiom,(
    ~ b000000011000010000000000000(bitIndex1) )).

fof(bitBlastConstant_2314,axiom,(
    ~ b000000011000010000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_866,axiom,(
    ! [VarCurr] :
      ( v13662(VarCurr)
    <=> ( v13624(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_1789,axiom,(
    ! [VarCurr] :
      ( ~ v13660(VarCurr)
    <=> v13600(VarCurr) ) )).

fof(addAssignment_5232,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13634(VarCurr,B)
      <=> v13636(VarCurr,B) ) ) )).

fof(addAssignment_5231,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13636(VarCurr,B)
      <=> v13638(VarCurr,B) ) ) )).

fof(addAssignment_5230,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13638(VarCurr,B)
      <=> v13640(VarCurr,B) ) ) )).

fof(addAssignment_5229,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13640(VarCurr,B)
      <=> v13642(VarCurr,B) ) ) )).

fof(addAssignment_5228,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13642(VarCurr,B)
      <=> v13644(VarCurr,B) ) ) )).

fof(addAssignment_5227,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13644(VarCurr,B)
      <=> v13646(VarCurr,B) ) ) )).

fof(addAssignment_5226,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13646(VarCurr,B)
      <=> v13648(VarCurr,B) ) ) )).

fof(addAssignment_5225,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13648(VarCurr,B)
      <=> v13650(VarCurr,B) ) ) )).

fof(addAssignment_5224,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13650(VarCurr,B)
      <=> v13652(VarCurr,B) ) ) )).

fof(addAssignment_5223,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13652(VarCurr,B)
      <=> v13654(VarCurr,B) ) ) )).

fof(addAssignment_5222,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v13654(VarCurr,B)
      <=> v13656(VarCurr,B) ) ) )).

fof(addAssignmentInitValueVector_37,axiom,(
    ! [B] :
      ( range_26_0(B)
     => ( v13656(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_5221,axiom,(
    ! [VarCurr] :
      ( v13624(VarCurr)
    <=> v13626(VarCurr) ) )).

fof(addAssignment_5220,axiom,(
    ! [VarCurr] :
      ( v13626(VarCurr)
    <=> v13628(VarCurr) ) )).

fof(addAssignment_5219,axiom,(
    ! [VarCurr] :
      ( v13628(VarCurr)
    <=> v13630(VarCurr) ) )).

fof(addAssignment_5218,axiom,(
    ! [VarCurr] :
      ( v13630(VarCurr)
    <=> v13632(VarCurr) ) )).

fof(addAssignment_5217,axiom,(
    ! [VarCurr] :
      ( v13600(VarCurr)
    <=> v13602(VarCurr) ) )).

fof(addAssignment_5216,axiom,(
    ! [VarCurr] :
      ( v13602(VarCurr)
    <=> v13604(VarCurr) ) )).

fof(addAssignment_5215,axiom,(
    ! [VarCurr] :
      ( v13604(VarCurr)
    <=> v13606(VarCurr) ) )).

fof(addAssignment_5214,axiom,(
    ! [VarCurr] :
      ( v13606(VarCurr)
    <=> v13608(VarCurr) ) )).

fof(addAssignment_5213,axiom,(
    ! [VarCurr] :
      ( v13608(VarCurr)
    <=> v13610(VarCurr) ) )).

fof(addAssignment_5212,axiom,(
    ! [VarCurr] :
      ( v13610(VarCurr)
    <=> v13612(VarCurr) ) )).

fof(addAssignment_5211,axiom,(
    ! [VarCurr] :
      ( v13612(VarCurr)
    <=> v13614(VarCurr) ) )).

fof(addAssignment_5210,axiom,(
    ! [VarCurr] :
      ( v13614(VarCurr)
    <=> v13616(VarCurr) ) )).

fof(addAssignment_5209,axiom,(
    ! [VarCurr] :
      ( v13616(VarCurr)
    <=> v13618(VarCurr) ) )).

fof(addAssignment_5208,axiom,(
    ! [VarCurr] :
      ( v13618(VarCurr)
    <=> v13620(VarCurr) ) )).

fof(addAssignment_5207,axiom,(
    ! [VarCurr] :
      ( v13620(VarCurr)
    <=> v13622(VarCurr) ) )).

fof(addAssignmentInitValueVector_36,axiom,
    ( v13622(constB0)
  <=> $true )).

fof(addAssignment_5206,axiom,(
    ! [VarCurr] :
      ( v13574(VarCurr)
    <=> $false ) )).

fof(addAssignment_5205,axiom,(
    ! [VarCurr] :
      ( v13504(VarCurr)
    <=> v13506(VarCurr,bitIndex63) ) )).

fof(addAssignment_5204,axiom,(
    ! [VarCurr] :
      ( v13506(VarCurr,bitIndex63)
    <=> v13508(VarCurr,bitIndex63) ) )).

fof(addAssignment_5203,axiom,(
    ! [VarCurr] :
      ( v13508(VarCurr,bitIndex63)
    <=> v13510(VarCurr,bitIndex63) ) )).

fof(addAssignment_5202,axiom,(
    ! [VarCurr] :
      ( v13510(VarCurr,bitIndex63)
    <=> v13512(VarCurr,bitIndex63) ) )).

fof(addAssignment_5201,axiom,(
    ! [VarCurr] :
      ( v13512(VarCurr,bitIndex63)
    <=> v13514(VarCurr,bitIndex63) ) )).

fof(addAssignment_5200,axiom,(
    ! [VarCurr] :
      ( v13514(VarCurr,bitIndex63)
    <=> v13516(VarCurr,bitIndex63) ) )).

fof(addAssignment_5199,axiom,(
    ! [VarCurr] :
      ( v13516(VarCurr,bitIndex63)
    <=> v13518(VarCurr,bitIndex63) ) )).

fof(addAssignment_5198,axiom,(
    ! [VarCurr] :
      ( v13518(VarCurr,bitIndex63)
    <=> v13520(VarCurr,bitIndex63) ) )).

fof(addAssignment_5197,axiom,(
    ! [VarCurr] :
      ( v13520(VarCurr,bitIndex63)
    <=> v13522(VarCurr,bitIndex63) ) )).

fof(addAssignment_5196,axiom,(
    ! [VarNext] :
      ( v13522(VarNext,bitIndex63)
    <=> v13558(VarNext,bitIndex63) ) )).

fof(addCaseBooleanConditionEqualRanges1_121,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13559(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v13558(VarNext,B)
            <=> v13522(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_141,axiom,(
    ! [VarNext] :
      ( v13559(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v13558(VarNext,B)
          <=> v13569(VarNext,B) ) ) ) )).

fof(addAssignment_5195,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v13569(VarNext,B)
          <=> v13567(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_273,axiom,(
    ! [VarCurr] :
      ( ~ v13570(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v13567(VarCurr,B)
          <=> v13526(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_213,axiom,(
    ! [VarCurr] :
      ( v13570(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v13567(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1788,axiom,(
    ! [VarCurr] :
      ( ~ v13570(VarCurr)
    <=> v13524(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13559(VarNext)
      <=> v13560(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13560(VarNext)
      <=> ( v13561(VarNext)
          & v13552(VarNext) ) ) ) )).

fof(writeUnaryOperator_1787,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13561(VarNext)
      <=> v13563(VarNext) ) ) )).

fof(addAssignment_5194,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13563(VarNext)
      <=> v13552(VarCurr) ) ) )).

fof(addAssignment_5193,axiom,(
    ! [VarCurr] :
      ( v13552(VarCurr)
    <=> v13554(VarCurr) ) )).

fof(addAssignment_5192,axiom,(
    ! [VarCurr] :
      ( v13554(VarCurr)
    <=> v13556(VarCurr) ) )).

fof(addAssignment_5191,axiom,(
    ! [VarCurr] :
      ( v13556(VarCurr)
    <=> v3906(VarCurr) ) )).

fof(addAssignment_5190,axiom,(
    ! [VarCurr] :
      ( v13526(VarCurr,bitIndex63)
    <=> v13528(VarCurr,bitIndex63) ) )).

fof(addAssignment_5189,axiom,(
    ! [VarCurr] :
      ( v13528(VarCurr,bitIndex63)
    <=> v13530(VarCurr,bitIndex63) ) )).

fof(addAssignment_5188,axiom,(
    ! [VarCurr] :
      ( v13530(VarCurr,bitIndex63)
    <=> v13532(VarCurr,bitIndex63) ) )).

fof(addAssignment_5187,axiom,(
    ! [VarCurr] :
      ( v13532(VarCurr,bitIndex63)
    <=> v13534(VarCurr,bitIndex63) ) )).

fof(addAssignment_5186,axiom,(
    ! [VarCurr] :
      ( v13534(VarCurr,bitIndex63)
    <=> v13536(VarCurr,bitIndex63) ) )).

fof(addAssignment_5185,axiom,(
    ! [VarCurr] :
      ( v13536(VarCurr,bitIndex63)
    <=> v13538(VarCurr,bitIndex63) ) )).

fof(addAssignment_5184,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr,bitIndex63)
    <=> v13540(VarCurr,bitIndex63) ) )).

fof(addAssignment_5183,axiom,(
    ! [VarCurr] :
      ( v13540(VarCurr,bitIndex63)
    <=> v13542(VarCurr,bitIndex63) ) )).

fof(addAssignment_5182,axiom,(
    ! [VarCurr] :
      ( v13542(VarCurr,bitIndex63)
    <=> v13544(VarCurr,bitIndex63) ) )).

fof(addAssignment_5181,axiom,(
    ! [VarCurr] :
      ( v13544(VarCurr,bitIndex63)
    <=> v13546(VarCurr,bitIndex63) ) )).

fof(addAssignment_5180,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr,bitIndex63)
    <=> v13548(VarCurr,bitIndex63) ) )).

fof(addAssignmentInitValue_36,axiom,(
    ~ v13548(constB0,bitIndex1) )).

fof(addAssignmentInitValue_35,axiom,(
    ~ v13548(constB0,bitIndex0) )).

fof(bitBlastConstant_2313,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex1) )).

fof(bitBlastConstant_2312,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex0) )).

fof(addAssignment_5179,axiom,(
    ! [VarCurr] :
      ( v13524(VarCurr)
    <=> v13491(VarCurr) ) )).

fof(addAssignment_5178,axiom,(
    ! [VarCurr] :
      ( v13502(VarCurr)
    <=> $false ) )).

fof(addAssignment_5177,axiom,(
    ! [VarCurr] :
      ( v13500(VarCurr)
    <=> $false ) )).

fof(addAssignment_5176,axiom,(
    ! [VarCurr] :
      ( v13498(VarCurr)
    <=> $true ) )).

fof(addAssignment_5175,axiom,(
    ! [VarCurr] :
      ( v13496(VarCurr)
    <=> $false ) )).

fof(addAssignment_5174,axiom,(
    ! [VarCurr] :
      ( v13475(VarCurr)
    <=> v13477(VarCurr) ) )).

fof(writeUnaryOperator_1786,axiom,(
    ! [VarCurr] :
      ( ~ v13477(VarCurr)
    <=> v13479(VarCurr) ) )).

fof(addAssignment_5173,axiom,(
    ! [VarCurr] :
      ( v13479(VarCurr)
    <=> v13481(VarCurr) ) )).

fof(addAssignment_5172,axiom,(
    ! [VarCurr] :
      ( v13481(VarCurr)
    <=> v13483(VarCurr) ) )).

fof(addAssignment_5171,axiom,(
    ! [VarCurr] :
      ( v13483(VarCurr)
    <=> v13485(VarCurr) ) )).

fof(addAssignment_5170,axiom,(
    ! [VarCurr] :
      ( v13485(VarCurr)
    <=> v13487(VarCurr) ) )).

fof(addAssignment_5169,axiom,(
    ! [VarCurr] :
      ( v13487(VarCurr)
    <=> v13489(VarCurr) ) )).

fof(addAssignment_5168,axiom,(
    ! [VarCurr] :
      ( v13489(VarCurr)
    <=> v13491(VarCurr) ) )).

fof(addAssignment_5167,axiom,(
    ! [VarCurr] :
      ( v13491(VarCurr)
    <=> v13493(VarCurr) ) )).

fof(addAssignment_5166,axiom,(
    ! [VarCurr] :
      ( v13493(VarCurr)
    <=> v3804(VarCurr) ) )).

fof(addAssignment_5165,axiom,(
    ! [VarCurr] :
      ( v13439(VarCurr)
    <=> v13441(VarCurr) ) )).

fof(addAssignment_5164,axiom,(
    ! [VarCurr] :
      ( v13441(VarCurr)
    <=> v13443(VarCurr) ) )).

fof(addAssignment_5163,axiom,(
    ! [VarCurr] :
      ( v13443(VarCurr)
    <=> v13445(VarCurr) ) )).

fof(addAssignment_5162,axiom,(
    ! [VarCurr] :
      ( v13445(VarCurr)
    <=> v5912(VarCurr) ) )).

fof(addAssignment_5161,axiom,(
    ! [VarCurr] :
      ( ( v13361(VarCurr,bitIndex6)
      <=> v13242(VarCurr,bitIndex115) )
      & ( v13361(VarCurr,bitIndex5)
      <=> v13242(VarCurr,bitIndex114) )
      & ( v13361(VarCurr,bitIndex4)
      <=> v13242(VarCurr,bitIndex113) )
      & ( v13361(VarCurr,bitIndex3)
      <=> v13242(VarCurr,bitIndex112) )
      & ( v13361(VarCurr,bitIndex2)
      <=> v13242(VarCurr,bitIndex111) )
      & ( v13361(VarCurr,bitIndex1)
      <=> v13242(VarCurr,bitIndex110) )
      & ( v13361(VarCurr,bitIndex0)
      <=> v13242(VarCurr,bitIndex109) ) ) )).

fof(addAssignment_5160,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v13242(VarCurr,B)
      <=> v13244(VarCurr,B) ) ) )).

fof(addAssignment_5159,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v13244(VarCurr,B)
      <=> v13246(VarCurr,B) ) ) )).

fof(addAssignment_5158,axiom,(
    ! [VarCurr] :
      ( ( v13246(VarCurr,bitIndex115)
      <=> v13248(VarCurr,bitIndex695) )
      & ( v13246(VarCurr,bitIndex114)
      <=> v13248(VarCurr,bitIndex694) )
      & ( v13246(VarCurr,bitIndex113)
      <=> v13248(VarCurr,bitIndex693) )
      & ( v13246(VarCurr,bitIndex112)
      <=> v13248(VarCurr,bitIndex692) )
      & ( v13246(VarCurr,bitIndex111)
      <=> v13248(VarCurr,bitIndex691) )
      & ( v13246(VarCurr,bitIndex110)
      <=> v13248(VarCurr,bitIndex690) )
      & ( v13246(VarCurr,bitIndex109)
      <=> v13248(VarCurr,bitIndex689) ) ) )).

fof(addAssignment_5157,axiom,(
    ! [VarNext] :
      ( ( v13248(VarNext,bitIndex695)
      <=> v13418(VarNext,bitIndex115) )
      & ( v13248(VarNext,bitIndex694)
      <=> v13418(VarNext,bitIndex114) )
      & ( v13248(VarNext,bitIndex693)
      <=> v13418(VarNext,bitIndex113) )
      & ( v13248(VarNext,bitIndex692)
      <=> v13418(VarNext,bitIndex112) )
      & ( v13248(VarNext,bitIndex691)
      <=> v13418(VarNext,bitIndex111) )
      & ( v13248(VarNext,bitIndex690)
      <=> v13418(VarNext,bitIndex110) )
      & ( v13248(VarNext,bitIndex689)
      <=> v13418(VarNext,bitIndex109) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_23,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13419(VarNext)
       => ( ( v13418(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex695) )
          & ( v13418(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex694) )
          & ( v13418(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex693) )
          & ( v13418(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex692) )
          & ( v13418(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex691) )
          & ( v13418(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex690) )
          & ( v13418(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex689) )
          & ( v13418(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex688) )
          & ( v13418(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex687) )
          & ( v13418(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex686) )
          & ( v13418(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex685) )
          & ( v13418(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex684) )
          & ( v13418(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex683) )
          & ( v13418(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex682) )
          & ( v13418(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex681) )
          & ( v13418(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex680) )
          & ( v13418(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex679) )
          & ( v13418(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex678) )
          & ( v13418(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex677) )
          & ( v13418(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex676) )
          & ( v13418(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex675) )
          & ( v13418(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex674) )
          & ( v13418(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex673) )
          & ( v13418(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex672) )
          & ( v13418(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex671) )
          & ( v13418(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex670) )
          & ( v13418(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex669) )
          & ( v13418(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex668) )
          & ( v13418(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex667) )
          & ( v13418(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex666) )
          & ( v13418(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex665) )
          & ( v13418(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex664) )
          & ( v13418(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex663) )
          & ( v13418(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex662) )
          & ( v13418(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex661) )
          & ( v13418(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex660) )
          & ( v13418(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex659) )
          & ( v13418(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex658) )
          & ( v13418(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex657) )
          & ( v13418(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex656) )
          & ( v13418(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex655) )
          & ( v13418(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex654) )
          & ( v13418(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex653) )
          & ( v13418(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex652) )
          & ( v13418(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex651) )
          & ( v13418(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex650) )
          & ( v13418(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex649) )
          & ( v13418(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex648) )
          & ( v13418(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex647) )
          & ( v13418(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex646) )
          & ( v13418(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex645) )
          & ( v13418(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex644) )
          & ( v13418(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex643) )
          & ( v13418(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex642) )
          & ( v13418(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex641) )
          & ( v13418(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex640) )
          & ( v13418(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex639) )
          & ( v13418(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex638) )
          & ( v13418(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex637) )
          & ( v13418(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex636) )
          & ( v13418(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex635) )
          & ( v13418(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex634) )
          & ( v13418(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex633) )
          & ( v13418(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex632) )
          & ( v13418(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex631) )
          & ( v13418(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex630) )
          & ( v13418(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex629) )
          & ( v13418(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex628) )
          & ( v13418(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex627) )
          & ( v13418(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex626) )
          & ( v13418(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex625) )
          & ( v13418(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex624) )
          & ( v13418(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex623) )
          & ( v13418(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex622) )
          & ( v13418(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex621) )
          & ( v13418(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex620) )
          & ( v13418(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex619) )
          & ( v13418(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex618) )
          & ( v13418(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex617) )
          & ( v13418(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex616) )
          & ( v13418(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex615) )
          & ( v13418(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex614) )
          & ( v13418(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex613) )
          & ( v13418(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex612) )
          & ( v13418(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex611) )
          & ( v13418(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex610) )
          & ( v13418(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex609) )
          & ( v13418(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex608) )
          & ( v13418(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex607) )
          & ( v13418(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex606) )
          & ( v13418(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex605) )
          & ( v13418(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex604) )
          & ( v13418(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex603) )
          & ( v13418(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex602) )
          & ( v13418(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex601) )
          & ( v13418(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex600) )
          & ( v13418(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex599) )
          & ( v13418(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex598) )
          & ( v13418(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex597) )
          & ( v13418(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex596) )
          & ( v13418(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex595) )
          & ( v13418(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex594) )
          & ( v13418(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex593) )
          & ( v13418(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex592) )
          & ( v13418(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex591) )
          & ( v13418(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex590) )
          & ( v13418(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex589) )
          & ( v13418(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex588) )
          & ( v13418(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex587) )
          & ( v13418(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex586) )
          & ( v13418(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex585) )
          & ( v13418(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex584) )
          & ( v13418(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex583) )
          & ( v13418(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex582) )
          & ( v13418(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex581) )
          & ( v13418(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_140,axiom,(
    ! [VarNext] :
      ( v13419(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v13418(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(addAssignment_5156,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v13432(VarNext,B)
          <=> v13430(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_150,axiom,(
    ! [VarCurr] :
      ( ~ v13408(VarCurr)
     => ! [B] :
          ( range_115_0(B)
         => ( v13430(VarCurr,B)
          <=> v13433(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_150,axiom,(
    ! [VarCurr] :
      ( v13408(VarCurr)
     => ! [B] :
          ( range_115_0(B)
         => ( v13430(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_272,axiom,(
    ! [VarCurr] :
      ( ~ v13363(VarCurr,bitIndex0)
     => ! [B] :
          ( range_115_0(B)
         => ( v13433(VarCurr,B)
          <=> v13382(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_374,axiom,(
    ! [VarCurr] :
      ( v13363(VarCurr,bitIndex0)
     => ( ( v13433(VarCurr,bitIndex115)
        <=> v13248(VarCurr,bitIndex579) )
        & ( v13433(VarCurr,bitIndex114)
        <=> v13248(VarCurr,bitIndex578) )
        & ( v13433(VarCurr,bitIndex113)
        <=> v13248(VarCurr,bitIndex577) )
        & ( v13433(VarCurr,bitIndex112)
        <=> v13248(VarCurr,bitIndex576) )
        & ( v13433(VarCurr,bitIndex111)
        <=> v13248(VarCurr,bitIndex575) )
        & ( v13433(VarCurr,bitIndex110)
        <=> v13248(VarCurr,bitIndex574) )
        & ( v13433(VarCurr,bitIndex109)
        <=> v13248(VarCurr,bitIndex573) )
        & ( v13433(VarCurr,bitIndex108)
        <=> v13248(VarCurr,bitIndex572) )
        & ( v13433(VarCurr,bitIndex107)
        <=> v13248(VarCurr,bitIndex571) )
        & ( v13433(VarCurr,bitIndex106)
        <=> v13248(VarCurr,bitIndex570) )
        & ( v13433(VarCurr,bitIndex105)
        <=> v13248(VarCurr,bitIndex569) )
        & ( v13433(VarCurr,bitIndex104)
        <=> v13248(VarCurr,bitIndex568) )
        & ( v13433(VarCurr,bitIndex103)
        <=> v13248(VarCurr,bitIndex567) )
        & ( v13433(VarCurr,bitIndex102)
        <=> v13248(VarCurr,bitIndex566) )
        & ( v13433(VarCurr,bitIndex101)
        <=> v13248(VarCurr,bitIndex565) )
        & ( v13433(VarCurr,bitIndex100)
        <=> v13248(VarCurr,bitIndex564) )
        & ( v13433(VarCurr,bitIndex99)
        <=> v13248(VarCurr,bitIndex563) )
        & ( v13433(VarCurr,bitIndex98)
        <=> v13248(VarCurr,bitIndex562) )
        & ( v13433(VarCurr,bitIndex97)
        <=> v13248(VarCurr,bitIndex561) )
        & ( v13433(VarCurr,bitIndex96)
        <=> v13248(VarCurr,bitIndex560) )
        & ( v13433(VarCurr,bitIndex95)
        <=> v13248(VarCurr,bitIndex559) )
        & ( v13433(VarCurr,bitIndex94)
        <=> v13248(VarCurr,bitIndex558) )
        & ( v13433(VarCurr,bitIndex93)
        <=> v13248(VarCurr,bitIndex557) )
        & ( v13433(VarCurr,bitIndex92)
        <=> v13248(VarCurr,bitIndex556) )
        & ( v13433(VarCurr,bitIndex91)
        <=> v13248(VarCurr,bitIndex555) )
        & ( v13433(VarCurr,bitIndex90)
        <=> v13248(VarCurr,bitIndex554) )
        & ( v13433(VarCurr,bitIndex89)
        <=> v13248(VarCurr,bitIndex553) )
        & ( v13433(VarCurr,bitIndex88)
        <=> v13248(VarCurr,bitIndex552) )
        & ( v13433(VarCurr,bitIndex87)
        <=> v13248(VarCurr,bitIndex551) )
        & ( v13433(VarCurr,bitIndex86)
        <=> v13248(VarCurr,bitIndex550) )
        & ( v13433(VarCurr,bitIndex85)
        <=> v13248(VarCurr,bitIndex549) )
        & ( v13433(VarCurr,bitIndex84)
        <=> v13248(VarCurr,bitIndex548) )
        & ( v13433(VarCurr,bitIndex83)
        <=> v13248(VarCurr,bitIndex547) )
        & ( v13433(VarCurr,bitIndex82)
        <=> v13248(VarCurr,bitIndex546) )
        & ( v13433(VarCurr,bitIndex81)
        <=> v13248(VarCurr,bitIndex545) )
        & ( v13433(VarCurr,bitIndex80)
        <=> v13248(VarCurr,bitIndex544) )
        & ( v13433(VarCurr,bitIndex79)
        <=> v13248(VarCurr,bitIndex543) )
        & ( v13433(VarCurr,bitIndex78)
        <=> v13248(VarCurr,bitIndex542) )
        & ( v13433(VarCurr,bitIndex77)
        <=> v13248(VarCurr,bitIndex541) )
        & ( v13433(VarCurr,bitIndex76)
        <=> v13248(VarCurr,bitIndex540) )
        & ( v13433(VarCurr,bitIndex75)
        <=> v13248(VarCurr,bitIndex539) )
        & ( v13433(VarCurr,bitIndex74)
        <=> v13248(VarCurr,bitIndex538) )
        & ( v13433(VarCurr,bitIndex73)
        <=> v13248(VarCurr,bitIndex537) )
        & ( v13433(VarCurr,bitIndex72)
        <=> v13248(VarCurr,bitIndex536) )
        & ( v13433(VarCurr,bitIndex71)
        <=> v13248(VarCurr,bitIndex535) )
        & ( v13433(VarCurr,bitIndex70)
        <=> v13248(VarCurr,bitIndex534) )
        & ( v13433(VarCurr,bitIndex69)
        <=> v13248(VarCurr,bitIndex533) )
        & ( v13433(VarCurr,bitIndex68)
        <=> v13248(VarCurr,bitIndex532) )
        & ( v13433(VarCurr,bitIndex67)
        <=> v13248(VarCurr,bitIndex531) )
        & ( v13433(VarCurr,bitIndex66)
        <=> v13248(VarCurr,bitIndex530) )
        & ( v13433(VarCurr,bitIndex65)
        <=> v13248(VarCurr,bitIndex529) )
        & ( v13433(VarCurr,bitIndex64)
        <=> v13248(VarCurr,bitIndex528) )
        & ( v13433(VarCurr,bitIndex63)
        <=> v13248(VarCurr,bitIndex527) )
        & ( v13433(VarCurr,bitIndex62)
        <=> v13248(VarCurr,bitIndex526) )
        & ( v13433(VarCurr,bitIndex61)
        <=> v13248(VarCurr,bitIndex525) )
        & ( v13433(VarCurr,bitIndex60)
        <=> v13248(VarCurr,bitIndex524) )
        & ( v13433(VarCurr,bitIndex59)
        <=> v13248(VarCurr,bitIndex523) )
        & ( v13433(VarCurr,bitIndex58)
        <=> v13248(VarCurr,bitIndex522) )
        & ( v13433(VarCurr,bitIndex57)
        <=> v13248(VarCurr,bitIndex521) )
        & ( v13433(VarCurr,bitIndex56)
        <=> v13248(VarCurr,bitIndex520) )
        & ( v13433(VarCurr,bitIndex55)
        <=> v13248(VarCurr,bitIndex519) )
        & ( v13433(VarCurr,bitIndex54)
        <=> v13248(VarCurr,bitIndex518) )
        & ( v13433(VarCurr,bitIndex53)
        <=> v13248(VarCurr,bitIndex517) )
        & ( v13433(VarCurr,bitIndex52)
        <=> v13248(VarCurr,bitIndex516) )
        & ( v13433(VarCurr,bitIndex51)
        <=> v13248(VarCurr,bitIndex515) )
        & ( v13433(VarCurr,bitIndex50)
        <=> v13248(VarCurr,bitIndex514) )
        & ( v13433(VarCurr,bitIndex49)
        <=> v13248(VarCurr,bitIndex513) )
        & ( v13433(VarCurr,bitIndex48)
        <=> v13248(VarCurr,bitIndex512) )
        & ( v13433(VarCurr,bitIndex47)
        <=> v13248(VarCurr,bitIndex511) )
        & ( v13433(VarCurr,bitIndex46)
        <=> v13248(VarCurr,bitIndex510) )
        & ( v13433(VarCurr,bitIndex45)
        <=> v13248(VarCurr,bitIndex509) )
        & ( v13433(VarCurr,bitIndex44)
        <=> v13248(VarCurr,bitIndex508) )
        & ( v13433(VarCurr,bitIndex43)
        <=> v13248(VarCurr,bitIndex507) )
        & ( v13433(VarCurr,bitIndex42)
        <=> v13248(VarCurr,bitIndex506) )
        & ( v13433(VarCurr,bitIndex41)
        <=> v13248(VarCurr,bitIndex505) )
        & ( v13433(VarCurr,bitIndex40)
        <=> v13248(VarCurr,bitIndex504) )
        & ( v13433(VarCurr,bitIndex39)
        <=> v13248(VarCurr,bitIndex503) )
        & ( v13433(VarCurr,bitIndex38)
        <=> v13248(VarCurr,bitIndex502) )
        & ( v13433(VarCurr,bitIndex37)
        <=> v13248(VarCurr,bitIndex501) )
        & ( v13433(VarCurr,bitIndex36)
        <=> v13248(VarCurr,bitIndex500) )
        & ( v13433(VarCurr,bitIndex35)
        <=> v13248(VarCurr,bitIndex499) )
        & ( v13433(VarCurr,bitIndex34)
        <=> v13248(VarCurr,bitIndex498) )
        & ( v13433(VarCurr,bitIndex33)
        <=> v13248(VarCurr,bitIndex497) )
        & ( v13433(VarCurr,bitIndex32)
        <=> v13248(VarCurr,bitIndex496) )
        & ( v13433(VarCurr,bitIndex31)
        <=> v13248(VarCurr,bitIndex495) )
        & ( v13433(VarCurr,bitIndex30)
        <=> v13248(VarCurr,bitIndex494) )
        & ( v13433(VarCurr,bitIndex29)
        <=> v13248(VarCurr,bitIndex493) )
        & ( v13433(VarCurr,bitIndex28)
        <=> v13248(VarCurr,bitIndex492) )
        & ( v13433(VarCurr,bitIndex27)
        <=> v13248(VarCurr,bitIndex491) )
        & ( v13433(VarCurr,bitIndex26)
        <=> v13248(VarCurr,bitIndex490) )
        & ( v13433(VarCurr,bitIndex25)
        <=> v13248(VarCurr,bitIndex489) )
        & ( v13433(VarCurr,bitIndex24)
        <=> v13248(VarCurr,bitIndex488) )
        & ( v13433(VarCurr,bitIndex23)
        <=> v13248(VarCurr,bitIndex487) )
        & ( v13433(VarCurr,bitIndex22)
        <=> v13248(VarCurr,bitIndex486) )
        & ( v13433(VarCurr,bitIndex21)
        <=> v13248(VarCurr,bitIndex485) )
        & ( v13433(VarCurr,bitIndex20)
        <=> v13248(VarCurr,bitIndex484) )
        & ( v13433(VarCurr,bitIndex19)
        <=> v13248(VarCurr,bitIndex483) )
        & ( v13433(VarCurr,bitIndex18)
        <=> v13248(VarCurr,bitIndex482) )
        & ( v13433(VarCurr,bitIndex17)
        <=> v13248(VarCurr,bitIndex481) )
        & ( v13433(VarCurr,bitIndex16)
        <=> v13248(VarCurr,bitIndex480) )
        & ( v13433(VarCurr,bitIndex15)
        <=> v13248(VarCurr,bitIndex479) )
        & ( v13433(VarCurr,bitIndex14)
        <=> v13248(VarCurr,bitIndex478) )
        & ( v13433(VarCurr,bitIndex13)
        <=> v13248(VarCurr,bitIndex477) )
        & ( v13433(VarCurr,bitIndex12)
        <=> v13248(VarCurr,bitIndex476) )
        & ( v13433(VarCurr,bitIndex11)
        <=> v13248(VarCurr,bitIndex475) )
        & ( v13433(VarCurr,bitIndex10)
        <=> v13248(VarCurr,bitIndex474) )
        & ( v13433(VarCurr,bitIndex9)
        <=> v13248(VarCurr,bitIndex473) )
        & ( v13433(VarCurr,bitIndex8)
        <=> v13248(VarCurr,bitIndex472) )
        & ( v13433(VarCurr,bitIndex7)
        <=> v13248(VarCurr,bitIndex471) )
        & ( v13433(VarCurr,bitIndex6)
        <=> v13248(VarCurr,bitIndex470) )
        & ( v13433(VarCurr,bitIndex5)
        <=> v13248(VarCurr,bitIndex469) )
        & ( v13433(VarCurr,bitIndex4)
        <=> v13248(VarCurr,bitIndex468) )
        & ( v13433(VarCurr,bitIndex3)
        <=> v13248(VarCurr,bitIndex467) )
        & ( v13433(VarCurr,bitIndex2)
        <=> v13248(VarCurr,bitIndex466) )
        & ( v13433(VarCurr,bitIndex1)
        <=> v13248(VarCurr,bitIndex465) )
        & ( v13433(VarCurr,bitIndex0)
        <=> v13248(VarCurr,bitIndex464) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3206,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13419(VarNext)
      <=> ( v13420(VarNext)
          & v13427(VarNext) ) ) ) )).

fof(addAssignment_5155,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13427(VarNext)
      <=> v13425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3205,axiom,(
    ! [VarCurr] :
      ( v13425(VarCurr)
    <=> ( v13408(VarCurr)
        | v13428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3204,axiom,(
    ! [VarCurr] :
      ( v13428(VarCurr)
    <=> ( v13257(VarCurr,bitIndex0)
        & v13429(VarCurr) ) ) )).

fof(writeUnaryOperator_1785,axiom,(
    ! [VarCurr] :
      ( ~ v13429(VarCurr)
    <=> v13408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3203,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13420(VarNext)
      <=> ( v13422(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_1784,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13422(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_5154,axiom,(
    ! [VarNext] :
      ( ( v13248(VarNext,bitIndex579)
      <=> v13396(VarNext,bitIndex115) )
      & ( v13248(VarNext,bitIndex578)
      <=> v13396(VarNext,bitIndex114) )
      & ( v13248(VarNext,bitIndex577)
      <=> v13396(VarNext,bitIndex113) )
      & ( v13248(VarNext,bitIndex576)
      <=> v13396(VarNext,bitIndex112) )
      & ( v13248(VarNext,bitIndex575)
      <=> v13396(VarNext,bitIndex111) )
      & ( v13248(VarNext,bitIndex574)
      <=> v13396(VarNext,bitIndex110) )
      & ( v13248(VarNext,bitIndex573)
      <=> v13396(VarNext,bitIndex109) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13397(VarNext)
       => ( ( v13396(VarNext,bitIndex115)
          <=> v13248(VarCurr,bitIndex579) )
          & ( v13396(VarNext,bitIndex114)
          <=> v13248(VarCurr,bitIndex578) )
          & ( v13396(VarNext,bitIndex113)
          <=> v13248(VarCurr,bitIndex577) )
          & ( v13396(VarNext,bitIndex112)
          <=> v13248(VarCurr,bitIndex576) )
          & ( v13396(VarNext,bitIndex111)
          <=> v13248(VarCurr,bitIndex575) )
          & ( v13396(VarNext,bitIndex110)
          <=> v13248(VarCurr,bitIndex574) )
          & ( v13396(VarNext,bitIndex109)
          <=> v13248(VarCurr,bitIndex573) )
          & ( v13396(VarNext,bitIndex108)
          <=> v13248(VarCurr,bitIndex572) )
          & ( v13396(VarNext,bitIndex107)
          <=> v13248(VarCurr,bitIndex571) )
          & ( v13396(VarNext,bitIndex106)
          <=> v13248(VarCurr,bitIndex570) )
          & ( v13396(VarNext,bitIndex105)
          <=> v13248(VarCurr,bitIndex569) )
          & ( v13396(VarNext,bitIndex104)
          <=> v13248(VarCurr,bitIndex568) )
          & ( v13396(VarNext,bitIndex103)
          <=> v13248(VarCurr,bitIndex567) )
          & ( v13396(VarNext,bitIndex102)
          <=> v13248(VarCurr,bitIndex566) )
          & ( v13396(VarNext,bitIndex101)
          <=> v13248(VarCurr,bitIndex565) )
          & ( v13396(VarNext,bitIndex100)
          <=> v13248(VarCurr,bitIndex564) )
          & ( v13396(VarNext,bitIndex99)
          <=> v13248(VarCurr,bitIndex563) )
          & ( v13396(VarNext,bitIndex98)
          <=> v13248(VarCurr,bitIndex562) )
          & ( v13396(VarNext,bitIndex97)
          <=> v13248(VarCurr,bitIndex561) )
          & ( v13396(VarNext,bitIndex96)
          <=> v13248(VarCurr,bitIndex560) )
          & ( v13396(VarNext,bitIndex95)
          <=> v13248(VarCurr,bitIndex559) )
          & ( v13396(VarNext,bitIndex94)
          <=> v13248(VarCurr,bitIndex558) )
          & ( v13396(VarNext,bitIndex93)
          <=> v13248(VarCurr,bitIndex557) )
          & ( v13396(VarNext,bitIndex92)
          <=> v13248(VarCurr,bitIndex556) )
          & ( v13396(VarNext,bitIndex91)
          <=> v13248(VarCurr,bitIndex555) )
          & ( v13396(VarNext,bitIndex90)
          <=> v13248(VarCurr,bitIndex554) )
          & ( v13396(VarNext,bitIndex89)
          <=> v13248(VarCurr,bitIndex553) )
          & ( v13396(VarNext,bitIndex88)
          <=> v13248(VarCurr,bitIndex552) )
          & ( v13396(VarNext,bitIndex87)
          <=> v13248(VarCurr,bitIndex551) )
          & ( v13396(VarNext,bitIndex86)
          <=> v13248(VarCurr,bitIndex550) )
          & ( v13396(VarNext,bitIndex85)
          <=> v13248(VarCurr,bitIndex549) )
          & ( v13396(VarNext,bitIndex84)
          <=> v13248(VarCurr,bitIndex548) )
          & ( v13396(VarNext,bitIndex83)
          <=> v13248(VarCurr,bitIndex547) )
          & ( v13396(VarNext,bitIndex82)
          <=> v13248(VarCurr,bitIndex546) )
          & ( v13396(VarNext,bitIndex81)
          <=> v13248(VarCurr,bitIndex545) )
          & ( v13396(VarNext,bitIndex80)
          <=> v13248(VarCurr,bitIndex544) )
          & ( v13396(VarNext,bitIndex79)
          <=> v13248(VarCurr,bitIndex543) )
          & ( v13396(VarNext,bitIndex78)
          <=> v13248(VarCurr,bitIndex542) )
          & ( v13396(VarNext,bitIndex77)
          <=> v13248(VarCurr,bitIndex541) )
          & ( v13396(VarNext,bitIndex76)
          <=> v13248(VarCurr,bitIndex540) )
          & ( v13396(VarNext,bitIndex75)
          <=> v13248(VarCurr,bitIndex539) )
          & ( v13396(VarNext,bitIndex74)
          <=> v13248(VarCurr,bitIndex538) )
          & ( v13396(VarNext,bitIndex73)
          <=> v13248(VarCurr,bitIndex537) )
          & ( v13396(VarNext,bitIndex72)
          <=> v13248(VarCurr,bitIndex536) )
          & ( v13396(VarNext,bitIndex71)
          <=> v13248(VarCurr,bitIndex535) )
          & ( v13396(VarNext,bitIndex70)
          <=> v13248(VarCurr,bitIndex534) )
          & ( v13396(VarNext,bitIndex69)
          <=> v13248(VarCurr,bitIndex533) )
          & ( v13396(VarNext,bitIndex68)
          <=> v13248(VarCurr,bitIndex532) )
          & ( v13396(VarNext,bitIndex67)
          <=> v13248(VarCurr,bitIndex531) )
          & ( v13396(VarNext,bitIndex66)
          <=> v13248(VarCurr,bitIndex530) )
          & ( v13396(VarNext,bitIndex65)
          <=> v13248(VarCurr,bitIndex529) )
          & ( v13396(VarNext,bitIndex64)
          <=> v13248(VarCurr,bitIndex528) )
          & ( v13396(VarNext,bitIndex63)
          <=> v13248(VarCurr,bitIndex527) )
          & ( v13396(VarNext,bitIndex62)
          <=> v13248(VarCurr,bitIndex526) )
          & ( v13396(VarNext,bitIndex61)
          <=> v13248(VarCurr,bitIndex525) )
          & ( v13396(VarNext,bitIndex60)
          <=> v13248(VarCurr,bitIndex524) )
          & ( v13396(VarNext,bitIndex59)
          <=> v13248(VarCurr,bitIndex523) )
          & ( v13396(VarNext,bitIndex58)
          <=> v13248(VarCurr,bitIndex522) )
          & ( v13396(VarNext,bitIndex57)
          <=> v13248(VarCurr,bitIndex521) )
          & ( v13396(VarNext,bitIndex56)
          <=> v13248(VarCurr,bitIndex520) )
          & ( v13396(VarNext,bitIndex55)
          <=> v13248(VarCurr,bitIndex519) )
          & ( v13396(VarNext,bitIndex54)
          <=> v13248(VarCurr,bitIndex518) )
          & ( v13396(VarNext,bitIndex53)
          <=> v13248(VarCurr,bitIndex517) )
          & ( v13396(VarNext,bitIndex52)
          <=> v13248(VarCurr,bitIndex516) )
          & ( v13396(VarNext,bitIndex51)
          <=> v13248(VarCurr,bitIndex515) )
          & ( v13396(VarNext,bitIndex50)
          <=> v13248(VarCurr,bitIndex514) )
          & ( v13396(VarNext,bitIndex49)
          <=> v13248(VarCurr,bitIndex513) )
          & ( v13396(VarNext,bitIndex48)
          <=> v13248(VarCurr,bitIndex512) )
          & ( v13396(VarNext,bitIndex47)
          <=> v13248(VarCurr,bitIndex511) )
          & ( v13396(VarNext,bitIndex46)
          <=> v13248(VarCurr,bitIndex510) )
          & ( v13396(VarNext,bitIndex45)
          <=> v13248(VarCurr,bitIndex509) )
          & ( v13396(VarNext,bitIndex44)
          <=> v13248(VarCurr,bitIndex508) )
          & ( v13396(VarNext,bitIndex43)
          <=> v13248(VarCurr,bitIndex507) )
          & ( v13396(VarNext,bitIndex42)
          <=> v13248(VarCurr,bitIndex506) )
          & ( v13396(VarNext,bitIndex41)
          <=> v13248(VarCurr,bitIndex505) )
          & ( v13396(VarNext,bitIndex40)
          <=> v13248(VarCurr,bitIndex504) )
          & ( v13396(VarNext,bitIndex39)
          <=> v13248(VarCurr,bitIndex503) )
          & ( v13396(VarNext,bitIndex38)
          <=> v13248(VarCurr,bitIndex502) )
          & ( v13396(VarNext,bitIndex37)
          <=> v13248(VarCurr,bitIndex501) )
          & ( v13396(VarNext,bitIndex36)
          <=> v13248(VarCurr,bitIndex500) )
          & ( v13396(VarNext,bitIndex35)
          <=> v13248(VarCurr,bitIndex499) )
          & ( v13396(VarNext,bitIndex34)
          <=> v13248(VarCurr,bitIndex498) )
          & ( v13396(VarNext,bitIndex33)
          <=> v13248(VarCurr,bitIndex497) )
          & ( v13396(VarNext,bitIndex32)
          <=> v13248(VarCurr,bitIndex496) )
          & ( v13396(VarNext,bitIndex31)
          <=> v13248(VarCurr,bitIndex495) )
          & ( v13396(VarNext,bitIndex30)
          <=> v13248(VarCurr,bitIndex494) )
          & ( v13396(VarNext,bitIndex29)
          <=> v13248(VarCurr,bitIndex493) )
          & ( v13396(VarNext,bitIndex28)
          <=> v13248(VarCurr,bitIndex492) )
          & ( v13396(VarNext,bitIndex27)
          <=> v13248(VarCurr,bitIndex491) )
          & ( v13396(VarNext,bitIndex26)
          <=> v13248(VarCurr,bitIndex490) )
          & ( v13396(VarNext,bitIndex25)
          <=> v13248(VarCurr,bitIndex489) )
          & ( v13396(VarNext,bitIndex24)
          <=> v13248(VarCurr,bitIndex488) )
          & ( v13396(VarNext,bitIndex23)
          <=> v13248(VarCurr,bitIndex487) )
          & ( v13396(VarNext,bitIndex22)
          <=> v13248(VarCurr,bitIndex486) )
          & ( v13396(VarNext,bitIndex21)
          <=> v13248(VarCurr,bitIndex485) )
          & ( v13396(VarNext,bitIndex20)
          <=> v13248(VarCurr,bitIndex484) )
          & ( v13396(VarNext,bitIndex19)
          <=> v13248(VarCurr,bitIndex483) )
          & ( v13396(VarNext,bitIndex18)
          <=> v13248(VarCurr,bitIndex482) )
          & ( v13396(VarNext,bitIndex17)
          <=> v13248(VarCurr,bitIndex481) )
          & ( v13396(VarNext,bitIndex16)
          <=> v13248(VarCurr,bitIndex480) )
          & ( v13396(VarNext,bitIndex15)
          <=> v13248(VarCurr,bitIndex479) )
          & ( v13396(VarNext,bitIndex14)
          <=> v13248(VarCurr,bitIndex478) )
          & ( v13396(VarNext,bitIndex13)
          <=> v13248(VarCurr,bitIndex477) )
          & ( v13396(VarNext,bitIndex12)
          <=> v13248(VarCurr,bitIndex476) )
          & ( v13396(VarNext,bitIndex11)
          <=> v13248(VarCurr,bitIndex475) )
          & ( v13396(VarNext,bitIndex10)
          <=> v13248(VarCurr,bitIndex474) )
          & ( v13396(VarNext,bitIndex9)
          <=> v13248(VarCurr,bitIndex473) )
          & ( v13396(VarNext,bitIndex8)
          <=> v13248(VarCurr,bitIndex472) )
          & ( v13396(VarNext,bitIndex7)
          <=> v13248(VarCurr,bitIndex471) )
          & ( v13396(VarNext,bitIndex6)
          <=> v13248(VarCurr,bitIndex470) )
          & ( v13396(VarNext,bitIndex5)
          <=> v13248(VarCurr,bitIndex469) )
          & ( v13396(VarNext,bitIndex4)
          <=> v13248(VarCurr,bitIndex468) )
          & ( v13396(VarNext,bitIndex3)
          <=> v13248(VarCurr,bitIndex467) )
          & ( v13396(VarNext,bitIndex2)
          <=> v13248(VarCurr,bitIndex466) )
          & ( v13396(VarNext,bitIndex1)
          <=> v13248(VarCurr,bitIndex465) )
          & ( v13396(VarNext,bitIndex0)
          <=> v13248(VarCurr,bitIndex464) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_139,axiom,(
    ! [VarNext] :
      ( v13397(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v13396(VarNext,B)
          <=> v13413(VarNext,B) ) ) ) )).

fof(addAssignment_5153,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v13413(VarNext,B)
          <=> v13411(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_149,axiom,(
    ! [VarCurr] :
      ( ~ v13408(VarCurr)
     => ! [B] :
          ( range_115_0(B)
         => ( v13411(VarCurr,B)
          <=> v13414(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_149,axiom,(
    ! [VarCurr] :
      ( v13408(VarCurr)
     => ! [B] :
          ( range_115_0(B)
         => ( v13411(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_2311,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex115) )).

fof(bitBlastConstant_2310,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex114) )).

fof(bitBlastConstant_2309,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex113) )).

fof(bitBlastConstant_2308,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex112) )).

fof(bitBlastConstant_2307,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex111) )).

fof(bitBlastConstant_2306,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex110) )).

fof(bitBlastConstant_2305,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex109) )).

fof(bitBlastConstant_2304,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex108) )).

fof(bitBlastConstant_2303,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex107) )).

fof(bitBlastConstant_2302,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex106) )).

fof(bitBlastConstant_2301,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex105) )).

fof(bitBlastConstant_2300,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex104) )).

fof(bitBlastConstant_2299,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex103) )).

fof(bitBlastConstant_2298,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex102) )).

fof(bitBlastConstant_2297,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex101) )).

fof(bitBlastConstant_2296,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex100) )).

fof(bitBlastConstant_2295,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex99) )).

fof(bitBlastConstant_2294,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex98) )).

fof(bitBlastConstant_2293,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex97) )).

fof(bitBlastConstant_2292,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex96) )).

fof(bitBlastConstant_2291,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex95) )).

fof(bitBlastConstant_2290,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex94) )).

fof(bitBlastConstant_2289,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex93) )).

fof(bitBlastConstant_2288,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex92) )).

fof(bitBlastConstant_2287,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex91) )).

fof(bitBlastConstant_2286,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex90) )).

fof(bitBlastConstant_2285,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex89) )).

fof(bitBlastConstant_2284,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex88) )).

fof(bitBlastConstant_2283,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex87) )).

fof(bitBlastConstant_2282,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex86) )).

fof(bitBlastConstant_2281,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex85) )).

fof(bitBlastConstant_2280,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex84) )).

fof(bitBlastConstant_2279,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex83) )).

fof(bitBlastConstant_2278,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex82) )).

fof(bitBlastConstant_2277,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex81) )).

fof(bitBlastConstant_2276,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex80) )).

fof(bitBlastConstant_2275,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex79) )).

fof(bitBlastConstant_2274,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex78) )).

fof(bitBlastConstant_2273,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex77) )).

fof(bitBlastConstant_2272,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex76) )).

fof(bitBlastConstant_2271,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex75) )).

fof(bitBlastConstant_2270,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex74) )).

fof(bitBlastConstant_2269,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex73) )).

fof(bitBlastConstant_2268,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex72) )).

fof(bitBlastConstant_2267,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex71) )).

fof(bitBlastConstant_2266,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex70) )).

fof(bitBlastConstant_2265,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_2264,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_2263,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_2262,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_2261,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_2260,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_2259,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_2258,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_2257,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_2256,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_2255,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_2254,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_2253,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_2252,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_2251,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_2250,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_2249,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_2248,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_2247,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_2246,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_2245,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_2244,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_2243,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_2242,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_2241,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_2240,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_2239,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_2238,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_2237,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_2236,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_2235,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_2234,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_2233,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_2232,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_2231,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_2230,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_2229,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_2228,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_2227,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_2226,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_2225,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_2224,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_2223,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_2222,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_2221,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_2220,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_2219,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_2218,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_2217,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_2216,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_2215,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_2214,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_2213,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_2212,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_2211,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_2210,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_2209,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_2208,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_2207,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_2206,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_2205,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_2204,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_2203,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_2202,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_2201,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_2200,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_2199,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_2198,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_2197,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_2196,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_271,axiom,(
    ! [VarCurr] :
      ( ~ v13363(VarCurr,bitIndex1)
     => ! [B] :
          ( range_115_0(B)
         => ( v13414(VarCurr,B)
          <=> v13382(VarCurr,B) ) ) ) )).

fof(range_axiom_71,axiom,(
    ! [B] :
      ( range_115_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_373,axiom,(
    ! [VarCurr] :
      ( v13363(VarCurr,bitIndex1)
     => ( ( v13414(VarCurr,bitIndex115)
        <=> v13248(VarCurr,bitIndex463) )
        & ( v13414(VarCurr,bitIndex114)
        <=> v13248(VarCurr,bitIndex462) )
        & ( v13414(VarCurr,bitIndex113)
        <=> v13248(VarCurr,bitIndex461) )
        & ( v13414(VarCurr,bitIndex112)
        <=> v13248(VarCurr,bitIndex460) )
        & ( v13414(VarCurr,bitIndex111)
        <=> v13248(VarCurr,bitIndex459) )
        & ( v13414(VarCurr,bitIndex110)
        <=> v13248(VarCurr,bitIndex458) )
        & ( v13414(VarCurr,bitIndex109)
        <=> v13248(VarCurr,bitIndex457) )
        & ( v13414(VarCurr,bitIndex108)
        <=> v13248(VarCurr,bitIndex456) )
        & ( v13414(VarCurr,bitIndex107)
        <=> v13248(VarCurr,bitIndex455) )
        & ( v13414(VarCurr,bitIndex106)
        <=> v13248(VarCurr,bitIndex454) )
        & ( v13414(VarCurr,bitIndex105)
        <=> v13248(VarCurr,bitIndex453) )
        & ( v13414(VarCurr,bitIndex104)
        <=> v13248(VarCurr,bitIndex452) )
        & ( v13414(VarCurr,bitIndex103)
        <=> v13248(VarCurr,bitIndex451) )
        & ( v13414(VarCurr,bitIndex102)
        <=> v13248(VarCurr,bitIndex450) )
        & ( v13414(VarCurr,bitIndex101)
        <=> v13248(VarCurr,bitIndex449) )
        & ( v13414(VarCurr,bitIndex100)
        <=> v13248(VarCurr,bitIndex448) )
        & ( v13414(VarCurr,bitIndex99)
        <=> v13248(VarCurr,bitIndex447) )
        & ( v13414(VarCurr,bitIndex98)
        <=> v13248(VarCurr,bitIndex446) )
        & ( v13414(VarCurr,bitIndex97)
        <=> v13248(VarCurr,bitIndex445) )
        & ( v13414(VarCurr,bitIndex96)
        <=> v13248(VarCurr,bitIndex444) )
        & ( v13414(VarCurr,bitIndex95)
        <=> v13248(VarCurr,bitIndex443) )
        & ( v13414(VarCurr,bitIndex94)
        <=> v13248(VarCurr,bitIndex442) )
        & ( v13414(VarCurr,bitIndex93)
        <=> v13248(VarCurr,bitIndex441) )
        & ( v13414(VarCurr,bitIndex92)
        <=> v13248(VarCurr,bitIndex440) )
        & ( v13414(VarCurr,bitIndex91)
        <=> v13248(VarCurr,bitIndex439) )
        & ( v13414(VarCurr,bitIndex90)
        <=> v13248(VarCurr,bitIndex438) )
        & ( v13414(VarCurr,bitIndex89)
        <=> v13248(VarCurr,bitIndex437) )
        & ( v13414(VarCurr,bitIndex88)
        <=> v13248(VarCurr,bitIndex436) )
        & ( v13414(VarCurr,bitIndex87)
        <=> v13248(VarCurr,bitIndex435) )
        & ( v13414(VarCurr,bitIndex86)
        <=> v13248(VarCurr,bitIndex434) )
        & ( v13414(VarCurr,bitIndex85)
        <=> v13248(VarCurr,bitIndex433) )
        & ( v13414(VarCurr,bitIndex84)
        <=> v13248(VarCurr,bitIndex432) )
        & ( v13414(VarCurr,bitIndex83)
        <=> v13248(VarCurr,bitIndex431) )
        & ( v13414(VarCurr,bitIndex82)
        <=> v13248(VarCurr,bitIndex430) )
        & ( v13414(VarCurr,bitIndex81)
        <=> v13248(VarCurr,bitIndex429) )
        & ( v13414(VarCurr,bitIndex80)
        <=> v13248(VarCurr,bitIndex428) )
        & ( v13414(VarCurr,bitIndex79)
        <=> v13248(VarCurr,bitIndex427) )
        & ( v13414(VarCurr,bitIndex78)
        <=> v13248(VarCurr,bitIndex426) )
        & ( v13414(VarCurr,bitIndex77)
        <=> v13248(VarCurr,bitIndex425) )
        & ( v13414(VarCurr,bitIndex76)
        <=> v13248(VarCurr,bitIndex424) )
        & ( v13414(VarCurr,bitIndex75)
        <=> v13248(VarCurr,bitIndex423) )
        & ( v13414(VarCurr,bitIndex74)
        <=> v13248(VarCurr,bitIndex422) )
        & ( v13414(VarCurr,bitIndex73)
        <=> v13248(VarCurr,bitIndex421) )
        & ( v13414(VarCurr,bitIndex72)
        <=> v13248(VarCurr,bitIndex420) )
        & ( v13414(VarCurr,bitIndex71)
        <=> v13248(VarCurr,bitIndex419) )
        & ( v13414(VarCurr,bitIndex70)
        <=> v13248(VarCurr,bitIndex418) )
        & ( v13414(VarCurr,bitIndex69)
        <=> v13248(VarCurr,bitIndex417) )
        & ( v13414(VarCurr,bitIndex68)
        <=> v13248(VarCurr,bitIndex416) )
        & ( v13414(VarCurr,bitIndex67)
        <=> v13248(VarCurr,bitIndex415) )
        & ( v13414(VarCurr,bitIndex66)
        <=> v13248(VarCurr,bitIndex414) )
        & ( v13414(VarCurr,bitIndex65)
        <=> v13248(VarCurr,bitIndex413) )
        & ( v13414(VarCurr,bitIndex64)
        <=> v13248(VarCurr,bitIndex412) )
        & ( v13414(VarCurr,bitIndex63)
        <=> v13248(VarCurr,bitIndex411) )
        & ( v13414(VarCurr,bitIndex62)
        <=> v13248(VarCurr,bitIndex410) )
        & ( v13414(VarCurr,bitIndex61)
        <=> v13248(VarCurr,bitIndex409) )
        & ( v13414(VarCurr,bitIndex60)
        <=> v13248(VarCurr,bitIndex408) )
        & ( v13414(VarCurr,bitIndex59)
        <=> v13248(VarCurr,bitIndex407) )
        & ( v13414(VarCurr,bitIndex58)
        <=> v13248(VarCurr,bitIndex406) )
        & ( v13414(VarCurr,bitIndex57)
        <=> v13248(VarCurr,bitIndex405) )
        & ( v13414(VarCurr,bitIndex56)
        <=> v13248(VarCurr,bitIndex404) )
        & ( v13414(VarCurr,bitIndex55)
        <=> v13248(VarCurr,bitIndex403) )
        & ( v13414(VarCurr,bitIndex54)
        <=> v13248(VarCurr,bitIndex402) )
        & ( v13414(VarCurr,bitIndex53)
        <=> v13248(VarCurr,bitIndex401) )
        & ( v13414(VarCurr,bitIndex52)
        <=> v13248(VarCurr,bitIndex400) )
        & ( v13414(VarCurr,bitIndex51)
        <=> v13248(VarCurr,bitIndex399) )
        & ( v13414(VarCurr,bitIndex50)
        <=> v13248(VarCurr,bitIndex398) )
        & ( v13414(VarCurr,bitIndex49)
        <=> v13248(VarCurr,bitIndex397) )
        & ( v13414(VarCurr,bitIndex48)
        <=> v13248(VarCurr,bitIndex396) )
        & ( v13414(VarCurr,bitIndex47)
        <=> v13248(VarCurr,bitIndex395) )
        & ( v13414(VarCurr,bitIndex46)
        <=> v13248(VarCurr,bitIndex394) )
        & ( v13414(VarCurr,bitIndex45)
        <=> v13248(VarCurr,bitIndex393) )
        & ( v13414(VarCurr,bitIndex44)
        <=> v13248(VarCurr,bitIndex392) )
        & ( v13414(VarCurr,bitIndex43)
        <=> v13248(VarCurr,bitIndex391) )
        & ( v13414(VarCurr,bitIndex42)
        <=> v13248(VarCurr,bitIndex390) )
        & ( v13414(VarCurr,bitIndex41)
        <=> v13248(VarCurr,bitIndex389) )
        & ( v13414(VarCurr,bitIndex40)
        <=> v13248(VarCurr,bitIndex388) )
        & ( v13414(VarCurr,bitIndex39)
        <=> v13248(VarCurr,bitIndex387) )
        & ( v13414(VarCurr,bitIndex38)
        <=> v13248(VarCurr,bitIndex386) )
        & ( v13414(VarCurr,bitIndex37)
        <=> v13248(VarCurr,bitIndex385) )
        & ( v13414(VarCurr,bitIndex36)
        <=> v13248(VarCurr,bitIndex384) )
        & ( v13414(VarCurr,bitIndex35)
        <=> v13248(VarCurr,bitIndex383) )
        & ( v13414(VarCurr,bitIndex34)
        <=> v13248(VarCurr,bitIndex382) )
        & ( v13414(VarCurr,bitIndex33)
        <=> v13248(VarCurr,bitIndex381) )
        & ( v13414(VarCurr,bitIndex32)
        <=> v13248(VarCurr,bitIndex380) )
        & ( v13414(VarCurr,bitIndex31)
        <=> v13248(VarCurr,bitIndex379) )
        & ( v13414(VarCurr,bitIndex30)
        <=> v13248(VarCurr,bitIndex378) )
        & ( v13414(VarCurr,bitIndex29)
        <=> v13248(VarCurr,bitIndex377) )
        & ( v13414(VarCurr,bitIndex28)
        <=> v13248(VarCurr,bitIndex376) )
        & ( v13414(VarCurr,bitIndex27)
        <=> v13248(VarCurr,bitIndex375) )
        & ( v13414(VarCurr,bitIndex26)
        <=> v13248(VarCurr,bitIndex374) )
        & ( v13414(VarCurr,bitIndex25)
        <=> v13248(VarCurr,bitIndex373) )
        & ( v13414(VarCurr,bitIndex24)
        <=> v13248(VarCurr,bitIndex372) )
        & ( v13414(VarCurr,bitIndex23)
        <=> v13248(VarCurr,bitIndex371) )
        & ( v13414(VarCurr,bitIndex22)
        <=> v13248(VarCurr,bitIndex370) )
        & ( v13414(VarCurr,bitIndex21)
        <=> v13248(VarCurr,bitIndex369) )
        & ( v13414(VarCurr,bitIndex20)
        <=> v13248(VarCurr,bitIndex368) )
        & ( v13414(VarCurr,bitIndex19)
        <=> v13248(VarCurr,bitIndex367) )
        & ( v13414(VarCurr,bitIndex18)
        <=> v13248(VarCurr,bitIndex366) )
        & ( v13414(VarCurr,bitIndex17)
        <=> v13248(VarCurr,bitIndex365) )
        & ( v13414(VarCurr,bitIndex16)
        <=> v13248(VarCurr,bitIndex364) )
        & ( v13414(VarCurr,bitIndex15)
        <=> v13248(VarCurr,bitIndex363) )
        & ( v13414(VarCurr,bitIndex14)
        <=> v13248(VarCurr,bitIndex362) )
        & ( v13414(VarCurr,bitIndex13)
        <=> v13248(VarCurr,bitIndex361) )
        & ( v13414(VarCurr,bitIndex12)
        <=> v13248(VarCurr,bitIndex360) )
        & ( v13414(VarCurr,bitIndex11)
        <=> v13248(VarCurr,bitIndex359) )
        & ( v13414(VarCurr,bitIndex10)
        <=> v13248(VarCurr,bitIndex358) )
        & ( v13414(VarCurr,bitIndex9)
        <=> v13248(VarCurr,bitIndex357) )
        & ( v13414(VarCurr,bitIndex8)
        <=> v13248(VarCurr,bitIndex356) )
        & ( v13414(VarCurr,bitIndex7)
        <=> v13248(VarCurr,bitIndex355) )
        & ( v13414(VarCurr,bitIndex6)
        <=> v13248(VarCurr,bitIndex354) )
        & ( v13414(VarCurr,bitIndex5)
        <=> v13248(VarCurr,bitIndex353) )
        & ( v13414(VarCurr,bitIndex4)
        <=> v13248(VarCurr,bitIndex352) )
        & ( v13414(VarCurr,bitIndex3)
        <=> v13248(VarCurr,bitIndex351) )
        & ( v13414(VarCurr,bitIndex2)
        <=> v13248(VarCurr,bitIndex350) )
        & ( v13414(VarCurr,bitIndex1)
        <=> v13248(VarCurr,bitIndex349) )
        & ( v13414(VarCurr,bitIndex0)
        <=> v13248(VarCurr,bitIndex348) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13397(VarNext)
      <=> ( v13398(VarNext)
          & v13407(VarNext) ) ) ) )).

fof(addAssignment_5152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13407(VarNext)
      <=> v13405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3201,axiom,(
    ! [VarCurr] :
      ( v13405(VarCurr)
    <=> ( v13408(VarCurr)
        | v13409(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1208,axiom,(
    ! [VarCurr] :
      ( v13409(VarCurr)
    <=> ( v13257(VarCurr,bitIndex1)
        & v13410(VarCurr) ) ) )).

fof(writeUnaryOperator_1783,axiom,(
    ! [VarCurr] :
      ( ~ v13410(VarCurr)
    <=> v13408(VarCurr) ) )).

fof(writeUnaryOperator_1782,axiom,(
    ! [VarCurr] :
      ( ~ v13408(VarCurr)
    <=> v13250(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3200,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13398(VarNext)
      <=> ( v13399(VarNext)
          & v13394(VarNext) ) ) ) )).

fof(writeUnaryOperator_1781,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13399(VarNext)
      <=> v13401(VarNext) ) ) )).

fof(addAssignment_5151,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13401(VarNext)
      <=> v13394(VarCurr) ) ) )).

fof(addAssignment_5150,axiom,(
    ! [VarCurr] :
      ( v13394(VarCurr)
    <=> v13320(VarCurr) ) )).

fof(addAssignment_5149,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v13382(VarCurr,B)
      <=> v13384(VarCurr,B) ) ) )).

fof(addAssignment_5148,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v13384(VarCurr,B)
      <=> v13386(VarCurr,B) ) ) )).

fof(addAssignment_5147,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v13386(VarCurr,B)
      <=> v13388(VarCurr,B) ) ) )).

fof(addAssignment_5146,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v13388(VarCurr,B)
      <=> v13390(VarCurr,B) ) ) )).

fof(addAssignment_5145,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v13390(VarCurr,B)
      <=> v13392(VarCurr,B) ) ) )).

fof(range_axiom_70,axiom,(
    ! [B] :
      ( range_115_109(B)
    <=> ( $false
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B ) ) )).

fof(addAssignment_5144,axiom,(
    ! [VarCurr] :
      ( v13363(VarCurr,bitIndex1)
    <=> v13365(VarCurr,bitIndex1) ) )).

fof(addAssignment_5143,axiom,(
    ! [VarCurr] :
      ( v13365(VarCurr,bitIndex1)
    <=> v13367(VarCurr,bitIndex1) ) )).

fof(addAssignment_5142,axiom,(
    ! [VarCurr] :
      ( v13367(VarCurr,bitIndex1)
    <=> v13301(VarCurr,bitIndex2) ) )).

fof(addAssignment_5141,axiom,(
    ! [VarCurr] :
      ( v13257(VarCurr,bitIndex1)
    <=> v13259(VarCurr,bitIndex1) ) )).

fof(addAssignment_5140,axiom,(
    ! [VarCurr] :
      ( v13259(VarCurr,bitIndex1)
    <=> v13261(VarCurr,bitIndex1) ) )).

fof(addAssignment_5139,axiom,(
    ! [VarCurr] :
      ( v13261(VarCurr,bitIndex1)
    <=> v13368(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_39,axiom,(
    ! [VarCurr] :
      ( ( ~ v13369(VarCurr)
        & ~ v13374(VarCurr)
        & ~ v13376(VarCurr) )
     => ! [B] :
          ( range_5_0(B)
         => ( v13368(VarCurr,B)
          <=> v13301(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_56,axiom,(
    ! [VarCurr] :
      ( v13376(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13368(VarCurr,B)
          <=> v13378(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_148,axiom,(
    ! [VarCurr] :
      ( v13374(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13368(VarCurr,B)
          <=> v13301(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_148,axiom,(
    ! [VarCurr] :
      ( v13369(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13368(VarCurr,B)
          <=> v13371(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_865,axiom,(
    ! [VarCurr] :
      ( v13379(VarCurr)
    <=> ( ( v13380(VarCurr,bitIndex1)
        <=> $true )
        & ( v13380(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5138,axiom,(
    ! [VarCurr] :
      ( v13380(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5137,axiom,(
    ! [VarCurr] :
      ( v13380(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(writeUnaryOperator_1780,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13378(VarCurr,B)
      <=> ~ v13301(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_864,axiom,(
    ! [VarCurr] :
      ( v13376(VarCurr)
    <=> ( ( v13377(VarCurr,bitIndex1)
        <=> $true )
        & ( v13377(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5136,axiom,(
    ! [VarCurr] :
      ( v13377(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5135,axiom,(
    ! [VarCurr] :
      ( v13377(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_863,axiom,(
    ! [VarCurr] :
      ( v13374(VarCurr)
    <=> ( ( v13375(VarCurr,bitIndex1)
        <=> $false )
        & ( v13375(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5134,axiom,(
    ! [VarCurr] :
      ( v13375(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5133,axiom,(
    ! [VarCurr] :
      ( v13375(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(writeUnaryOperator_1779,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13371(VarCurr,B)
      <=> ~ v13372(VarCurr,B) ) ) )).

fof(addAssignment_5132,axiom,(
    ! [VarCurr] :
      ( v13372(VarCurr,bitIndex0)
    <=> v13373(VarCurr) ) )).

fof(addAssignment_5131,axiom,(
    ! [VarCurr] :
      ( v13372(VarCurr,bitIndex1)
    <=> v13373(VarCurr) ) )).

fof(addAssignment_5130,axiom,(
    ! [VarCurr] :
      ( v13372(VarCurr,bitIndex2)
    <=> v13373(VarCurr) ) )).

fof(addAssignment_5129,axiom,(
    ! [VarCurr] :
      ( v13372(VarCurr,bitIndex3)
    <=> v13373(VarCurr) ) )).

fof(addAssignment_5128,axiom,(
    ! [VarCurr] :
      ( v13372(VarCurr,bitIndex4)
    <=> v13373(VarCurr) ) )).

fof(addAssignment_5127,axiom,(
    ! [VarCurr] :
      ( v13372(VarCurr,bitIndex5)
    <=> v13373(VarCurr) ) )).

fof(addAssignment_5126,axiom,(
    ! [VarCurr] :
      ( v13373(VarCurr)
    <=> v13303(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_862,axiom,(
    ! [VarCurr] :
      ( v13369(VarCurr)
    <=> ( ( v13370(VarCurr,bitIndex1)
        <=> $false )
        & ( v13370(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5125,axiom,(
    ! [VarCurr] :
      ( v13370(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5124,axiom,(
    ! [VarCurr] :
      ( v13370(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(addAssignment_5123,axiom,(
    ! [VarCurr] :
      ( v13363(VarCurr,bitIndex0)
    <=> v13365(VarCurr,bitIndex0) ) )).

fof(addAssignment_5122,axiom,(
    ! [VarCurr] :
      ( v13365(VarCurr,bitIndex0)
    <=> v13367(VarCurr,bitIndex0) ) )).

fof(addAssignment_5121,axiom,(
    ! [VarCurr] :
      ( v13367(VarCurr,bitIndex0)
    <=> v13301(VarCurr,bitIndex1) ) )).

fof(addAssignment_5120,axiom,(
    ! [VarCurr] :
      ( v13287(VarCurr)
    <=> v13289(VarCurr) ) )).

fof(addAssignment_5119,axiom,(
    ! [VarCurr] :
      ( v13289(VarCurr)
    <=> v13291(VarCurr) ) )).

fof(addAssignment_5118,axiom,(
    ! [VarCurr] :
      ( v13291(VarCurr)
    <=> v13293(VarCurr) ) )).

fof(addAssignment_5117,axiom,(
    ! [VarCurr] :
      ( v13293(VarCurr)
    <=> v13295(VarCurr) ) )).

fof(writeUnaryOperator_1778,axiom,(
    ! [VarCurr] :
      ( ~ v13295(VarCurr)
    <=> v13297(VarCurr,bitIndex0) ) )).

fof(addAssignment_5116,axiom,(
    ! [VarCurr] :
      ( v13297(VarCurr,bitIndex0)
    <=> v13299(VarCurr,bitIndex0) ) )).

fof(addAssignment_5115,axiom,(
    ! [VarCurr] :
      ( v13299(VarCurr,bitIndex0)
    <=> v13301(VarCurr,bitIndex0) ) )).

fof(addAssignment_5114,axiom,(
    ! [VarNext] :
      ( v13301(VarNext,bitIndex0)
    <=> v13344(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_120,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13345(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v13344(VarNext,B)
            <=> v13301(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_138,axiom,(
    ! [VarNext] :
      ( v13345(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v13344(VarNext,B)
          <=> v13339(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13345(VarNext)
      <=> v13346(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13346(VarNext)
      <=> ( v13348(VarNext)
          & v13318(VarNext) ) ) ) )).

fof(writeUnaryOperator_1777,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13348(VarNext)
      <=> v13333(VarNext) ) ) )).

fof(addAssignment_5113,axiom,(
    ! [VarCurr] :
      ( v13305(VarCurr,bitIndex0)
    <=> v13306(VarCurr,bitIndex0) ) )).

fof(addAssignment_5112,axiom,(
    ! [VarNext] :
      ( v13301(VarNext,bitIndex1)
    <=> v13328(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_119,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13329(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v13328(VarNext,B)
            <=> v13301(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_137,axiom,(
    ! [VarNext] :
      ( v13329(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v13328(VarNext,B)
          <=> v13339(VarNext,B) ) ) ) )).

fof(addAssignment_5111,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v13339(VarNext,B)
          <=> v13337(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_270,axiom,(
    ! [VarCurr] :
      ( ~ v13340(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13337(VarCurr,B)
          <=> v13305(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_212,axiom,(
    ! [VarCurr] :
      ( v13340(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13337(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1776,axiom,(
    ! [VarCurr] :
      ( ~ v13340(VarCurr)
    <=> v13303(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13329(VarNext)
      <=> v13330(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3196,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13330(VarNext)
      <=> ( v13331(VarNext)
          & v13318(VarNext) ) ) ) )).

fof(writeUnaryOperator_1775,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13331(VarNext)
      <=> v13333(VarNext) ) ) )).

fof(addAssignment_5110,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13333(VarNext)
      <=> v13318(VarCurr) ) ) )).

fof(addAssignment_5109,axiom,(
    ! [VarCurr] :
      ( v13318(VarCurr)
    <=> v13320(VarCurr) ) )).

fof(addAssignment_5108,axiom,(
    ! [VarCurr] :
      ( v13320(VarCurr)
    <=> v13322(VarCurr) ) )).

fof(addAssignment_5107,axiom,(
    ! [VarCurr] :
      ( v13322(VarCurr)
    <=> v13324(VarCurr) ) )).

fof(addAssignment_5106,axiom,(
    ! [VarCurr] :
      ( v13324(VarCurr)
    <=> v13326(VarCurr) ) )).

fof(addAssignment_5105,axiom,(
    ! [VarCurr] :
      ( v13326(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_5104,axiom,(
    ! [VarCurr] :
      ( v13305(VarCurr,bitIndex1)
    <=> v13306(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_38,axiom,(
    ! [VarCurr] :
      ( ( ~ v13307(VarCurr)
        & ~ v13309(VarCurr)
        & ~ v13312(VarCurr) )
     => ! [B] :
          ( range_5_0(B)
         => ( v13306(VarCurr,B)
          <=> v13301(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_55,axiom,(
    ! [VarCurr] :
      ( v13312(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13306(VarCurr,B)
          <=> v13314(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_147,axiom,(
    ! [VarCurr] :
      ( v13309(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13306(VarCurr,B)
          <=> v13311(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_147,axiom,(
    ! [VarCurr] :
      ( v13307(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13306(VarCurr,B)
          <=> v13301(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_861,axiom,(
    ! [VarCurr] :
      ( v13315(VarCurr)
    <=> ( ( v13316(VarCurr,bitIndex1)
        <=> $true )
        & ( v13316(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5103,axiom,(
    ! [VarCurr] :
      ( v13316(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5102,axiom,(
    ! [VarCurr] :
      ( v13316(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(addAssignment_5101,axiom,(
    ! [VarCurr] :
      ( v13314(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_5100,axiom,(
    ! [VarCurr] :
      ( ( v13314(VarCurr,bitIndex5)
      <=> v13301(VarCurr,bitIndex4) )
      & ( v13314(VarCurr,bitIndex4)
      <=> v13301(VarCurr,bitIndex3) )
      & ( v13314(VarCurr,bitIndex3)
      <=> v13301(VarCurr,bitIndex2) )
      & ( v13314(VarCurr,bitIndex2)
      <=> v13301(VarCurr,bitIndex1) )
      & ( v13314(VarCurr,bitIndex1)
      <=> v13301(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_860,axiom,(
    ! [VarCurr] :
      ( v13312(VarCurr)
    <=> ( ( v13313(VarCurr,bitIndex1)
        <=> $true )
        & ( v13313(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5099,axiom,(
    ! [VarCurr] :
      ( v13313(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5098,axiom,(
    ! [VarCurr] :
      ( v13313(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(addAssignment_5097,axiom,(
    ! [VarCurr] :
      ( ( v13311(VarCurr,bitIndex4)
      <=> v13301(VarCurr,bitIndex5) )
      & ( v13311(VarCurr,bitIndex3)
      <=> v13301(VarCurr,bitIndex4) )
      & ( v13311(VarCurr,bitIndex2)
      <=> v13301(VarCurr,bitIndex3) )
      & ( v13311(VarCurr,bitIndex1)
      <=> v13301(VarCurr,bitIndex2) )
      & ( v13311(VarCurr,bitIndex0)
      <=> v13301(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5096,axiom,(
    ! [VarCurr] :
      ( v13311(VarCurr,bitIndex5)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_859,axiom,(
    ! [VarCurr] :
      ( v13309(VarCurr)
    <=> ( ( v13310(VarCurr,bitIndex1)
        <=> $false )
        & ( v13310(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5095,axiom,(
    ! [VarCurr] :
      ( v13310(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5094,axiom,(
    ! [VarCurr] :
      ( v13310(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_858,axiom,(
    ! [VarCurr] :
      ( v13307(VarCurr)
    <=> ( ( v13308(VarCurr,bitIndex1)
        <=> $false )
        & ( v13308(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5093,axiom,(
    ! [VarCurr] :
      ( v13308(VarCurr,bitIndex0)
    <=> v13275(VarCurr) ) )).

fof(addAssignment_5092,axiom,(
    ! [VarCurr] :
      ( v13308(VarCurr,bitIndex1)
    <=> v13263(VarCurr) ) )).

fof(addAssignment_5091,axiom,(
    ! [VarCurr] :
      ( v13303(VarCurr)
    <=> v13252(VarCurr) ) )).

fof(addAssignment_5090,axiom,(
    ! [VarCurr] :
      ( v13263(VarCurr)
    <=> v13265(VarCurr) ) )).

fof(addAssignment_5089,axiom,(
    ! [VarCurr] :
      ( v13265(VarCurr)
    <=> v13267(VarCurr) ) )).

fof(addAssignment_5088,axiom,(
    ! [VarCurr] :
      ( v13267(VarCurr)
    <=> v13269(VarCurr) ) )).

fof(addAssignment_5087,axiom,(
    ! [VarCurr] :
      ( v13269(VarCurr)
    <=> v13271(VarCurr) ) )).

fof(addAssignment_5086,axiom,(
    ! [VarCurr] :
      ( v13271(VarCurr)
    <=> v13273(VarCurr) ) )).

fof(addAssignment_5085,axiom,(
    ! [VarCurr] :
      ( v13250(VarCurr)
    <=> v13252(VarCurr) ) )).

fof(addAssignment_5084,axiom,(
    ! [VarCurr] :
      ( v13252(VarCurr)
    <=> v13254(VarCurr) ) )).

fof(addAssignment_5083,axiom,(
    ! [VarCurr] :
      ( v13254(VarCurr)
    <=> v13210(VarCurr) ) )).

fof(addAssignment_5082,axiom,(
    ! [VarCurr] :
      ( v13222(VarCurr)
    <=> v13210(VarCurr) ) )).

fof(addAssignment_5081,axiom,(
    ! [VarCurr] :
      ( v13208(VarCurr)
    <=> v13210(VarCurr) ) )).

fof(addAssignment_5080,axiom,(
    ! [VarCurr] :
      ( v13210(VarCurr)
    <=> v13212(VarCurr) ) )).

fof(addAssignment_5079,axiom,(
    ! [VarCurr] :
      ( v13212(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_118,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13143(VarNext)
       => ( v2719(VarNext)
        <=> v2719(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_136,axiom,(
    ! [VarNext] :
      ( v13143(VarNext)
     => ( v2719(VarNext)
      <=> v13156(VarNext) ) ) )).

fof(addAssignment_5078,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13156(VarNext)
      <=> v13154(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_5,axiom,(
    ! [VarCurr] :
      ( ~ v13108(VarCurr)
     => ( v13154(VarCurr)
      <=> v13157(VarCurr,bitIndex5) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_146,axiom,(
    ! [VarCurr] :
      ( v13108(VarCurr)
     => ( v13154(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_5077,axiom,(
    ! [VarCurr] :
      ( v13157(VarCurr,bitIndex0)
    <=> v13186(VarCurr) ) )).

fof(addAssignment_5076,axiom,(
    ! [VarCurr] :
      ( v13157(VarCurr,bitIndex1)
    <=> v13184(VarCurr) ) )).

fof(addAssignment_5075,axiom,(
    ! [VarCurr] :
      ( v13157(VarCurr,bitIndex2)
    <=> v13179(VarCurr) ) )).

fof(addAssignment_5074,axiom,(
    ! [VarCurr] :
      ( v13157(VarCurr,bitIndex3)
    <=> v13174(VarCurr) ) )).

fof(addAssignment_5073,axiom,(
    ! [VarCurr] :
      ( v13157(VarCurr,bitIndex4)
    <=> v13169(VarCurr) ) )).

fof(addAssignment_5072,axiom,(
    ! [VarCurr] :
      ( v13157(VarCurr,bitIndex5)
    <=> v13159(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3195,axiom,(
    ! [VarCurr] :
      ( v13184(VarCurr)
    <=> ( v13185(VarCurr)
        & v13188(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1207,axiom,(
    ! [VarCurr] :
      ( v13188(VarCurr)
    <=> ( v13166(VarCurr,bitIndex0)
        | v13166(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3194,axiom,(
    ! [VarCurr] :
      ( v13185(VarCurr)
    <=> ( v13186(VarCurr)
        | v13187(VarCurr) ) ) )).

fof(writeUnaryOperator_1774,axiom,(
    ! [VarCurr] :
      ( ~ v13187(VarCurr)
    <=> v13166(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1773,axiom,(
    ! [VarCurr] :
      ( ~ v13186(VarCurr)
    <=> v13166(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3193,axiom,(
    ! [VarCurr] :
      ( v13179(VarCurr)
    <=> ( v13180(VarCurr)
        & v13183(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1206,axiom,(
    ! [VarCurr] :
      ( v13183(VarCurr)
    <=> ( v13165(VarCurr)
        | v13166(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3192,axiom,(
    ! [VarCurr] :
      ( v13180(VarCurr)
    <=> ( v13181(VarCurr)
        | v13182(VarCurr) ) ) )).

fof(writeUnaryOperator_1772,axiom,(
    ! [VarCurr] :
      ( ~ v13182(VarCurr)
    <=> v13166(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1771,axiom,(
    ! [VarCurr] :
      ( ~ v13181(VarCurr)
    <=> v13165(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3191,axiom,(
    ! [VarCurr] :
      ( v13174(VarCurr)
    <=> ( v13175(VarCurr)
        & v13178(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1205,axiom,(
    ! [VarCurr] :
      ( v13178(VarCurr)
    <=> ( v13164(VarCurr)
        | v13166(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3190,axiom,(
    ! [VarCurr] :
      ( v13175(VarCurr)
    <=> ( v13176(VarCurr)
        | v13177(VarCurr) ) ) )).

fof(writeUnaryOperator_1770,axiom,(
    ! [VarCurr] :
      ( ~ v13177(VarCurr)
    <=> v13166(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1769,axiom,(
    ! [VarCurr] :
      ( ~ v13176(VarCurr)
    <=> v13164(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3189,axiom,(
    ! [VarCurr] :
      ( v13169(VarCurr)
    <=> ( v13170(VarCurr)
        & v13173(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1204,axiom,(
    ! [VarCurr] :
      ( v13173(VarCurr)
    <=> ( v13163(VarCurr)
        | v13166(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3188,axiom,(
    ! [VarCurr] :
      ( v13170(VarCurr)
    <=> ( v13171(VarCurr)
        | v13172(VarCurr) ) ) )).

fof(writeUnaryOperator_1768,axiom,(
    ! [VarCurr] :
      ( ~ v13172(VarCurr)
    <=> v13166(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1767,axiom,(
    ! [VarCurr] :
      ( ~ v13171(VarCurr)
    <=> v13163(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3187,axiom,(
    ! [VarCurr] :
      ( v13159(VarCurr)
    <=> ( v13160(VarCurr)
        & v13168(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1203,axiom,(
    ! [VarCurr] :
      ( v13168(VarCurr)
    <=> ( v13162(VarCurr)
        | v13166(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3186,axiom,(
    ! [VarCurr] :
      ( v13160(VarCurr)
    <=> ( v13161(VarCurr)
        | v13167(VarCurr) ) ) )).

fof(writeUnaryOperator_1766,axiom,(
    ! [VarCurr] :
      ( ~ v13167(VarCurr)
    <=> v13166(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1765,axiom,(
    ! [VarCurr] :
      ( ~ v13161(VarCurr)
    <=> v13162(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1202,axiom,(
    ! [VarCurr] :
      ( v13162(VarCurr)
    <=> ( v13163(VarCurr)
        & v13166(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1201,axiom,(
    ! [VarCurr] :
      ( v13163(VarCurr)
    <=> ( v13164(VarCurr)
        & v13166(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1200,axiom,(
    ! [VarCurr] :
      ( v13164(VarCurr)
    <=> ( v13165(VarCurr)
        & v13166(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1199,axiom,(
    ! [VarCurr] :
      ( v13165(VarCurr)
    <=> ( v13166(VarCurr,bitIndex0)
        & v13166(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5071,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v13166(VarCurr,B)
      <=> v13096(VarCurr,B) ) ) )).

fof(addAssignment_5070,axiom,(
    ! [VarCurr] :
      ( v13166(VarCurr,bitIndex5)
    <=> v2719(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13143(VarNext)
      <=> ( v13144(VarNext)
          & v13151(VarNext) ) ) ) )).

fof(addAssignment_5069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13151(VarNext)
      <=> v13149(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3184,axiom,(
    ! [VarCurr] :
      ( v13149(VarCurr)
    <=> ( v13108(VarCurr)
        | v13152(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3183,axiom,(
    ! [VarCurr] :
      ( v13152(VarCurr)
    <=> ( v2721(VarCurr)
        & v13153(VarCurr) ) ) )).

fof(writeUnaryOperator_1764,axiom,(
    ! [VarCurr] :
      ( ~ v13153(VarCurr)
    <=> v13108(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13144(VarNext)
      <=> ( v13146(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_1763,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13146(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(addAssignmentInitValueVector_35,axiom,
    ( v2719(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_117,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13099(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v13096(VarNext,B)
            <=> v13096(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_135,axiom,(
    ! [VarNext] :
      ( v13099(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v13096(VarNext,B)
          <=> v13113(VarNext,B) ) ) ) )).

fof(addAssignment_5068,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v13113(VarNext,B)
          <=> v13111(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_146,axiom,(
    ! [VarCurr] :
      ( ~ v13108(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v13111(VarCurr,B)
          <=> v13114(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_145,axiom,(
    ! [VarCurr] :
      ( v13108(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v13111(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_5067,axiom,(
    ! [VarCurr] :
      ( v13114(VarCurr,bitIndex0)
    <=> v13136(VarCurr) ) )).

fof(addAssignment_5066,axiom,(
    ! [VarCurr] :
      ( v13114(VarCurr,bitIndex1)
    <=> v13134(VarCurr) ) )).

fof(addAssignment_5065,axiom,(
    ! [VarCurr] :
      ( v13114(VarCurr,bitIndex2)
    <=> v13129(VarCurr) ) )).

fof(addAssignment_5064,axiom,(
    ! [VarCurr] :
      ( v13114(VarCurr,bitIndex3)
    <=> v13124(VarCurr) ) )).

fof(addAssignment_5063,axiom,(
    ! [VarCurr] :
      ( v13114(VarCurr,bitIndex4)
    <=> v13116(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3181,axiom,(
    ! [VarCurr] :
      ( v13134(VarCurr)
    <=> ( v13135(VarCurr)
        & v13138(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1198,axiom,(
    ! [VarCurr] :
      ( v13138(VarCurr)
    <=> ( v13096(VarCurr,bitIndex0)
        | v13096(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3180,axiom,(
    ! [VarCurr] :
      ( v13135(VarCurr)
    <=> ( v13136(VarCurr)
        | v13137(VarCurr) ) ) )).

fof(writeUnaryOperator_1762,axiom,(
    ! [VarCurr] :
      ( ~ v13137(VarCurr)
    <=> v13096(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1761,axiom,(
    ! [VarCurr] :
      ( ~ v13136(VarCurr)
    <=> v13096(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3179,axiom,(
    ! [VarCurr] :
      ( v13129(VarCurr)
    <=> ( v13130(VarCurr)
        & v13133(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1197,axiom,(
    ! [VarCurr] :
      ( v13133(VarCurr)
    <=> ( v13121(VarCurr)
        | v13096(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3178,axiom,(
    ! [VarCurr] :
      ( v13130(VarCurr)
    <=> ( v13131(VarCurr)
        | v13132(VarCurr) ) ) )).

fof(writeUnaryOperator_1760,axiom,(
    ! [VarCurr] :
      ( ~ v13132(VarCurr)
    <=> v13096(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1759,axiom,(
    ! [VarCurr] :
      ( ~ v13131(VarCurr)
    <=> v13121(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3177,axiom,(
    ! [VarCurr] :
      ( v13124(VarCurr)
    <=> ( v13125(VarCurr)
        & v13128(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1196,axiom,(
    ! [VarCurr] :
      ( v13128(VarCurr)
    <=> ( v13120(VarCurr)
        | v13096(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3176,axiom,(
    ! [VarCurr] :
      ( v13125(VarCurr)
    <=> ( v13126(VarCurr)
        | v13127(VarCurr) ) ) )).

fof(writeUnaryOperator_1758,axiom,(
    ! [VarCurr] :
      ( ~ v13127(VarCurr)
    <=> v13096(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1757,axiom,(
    ! [VarCurr] :
      ( ~ v13126(VarCurr)
    <=> v13120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3175,axiom,(
    ! [VarCurr] :
      ( v13116(VarCurr)
    <=> ( v13117(VarCurr)
        & v13123(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1195,axiom,(
    ! [VarCurr] :
      ( v13123(VarCurr)
    <=> ( v13119(VarCurr)
        | v13096(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3174,axiom,(
    ! [VarCurr] :
      ( v13117(VarCurr)
    <=> ( v13118(VarCurr)
        | v13122(VarCurr) ) ) )).

fof(writeUnaryOperator_1756,axiom,(
    ! [VarCurr] :
      ( ~ v13122(VarCurr)
    <=> v13096(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1755,axiom,(
    ! [VarCurr] :
      ( ~ v13118(VarCurr)
    <=> v13119(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1194,axiom,(
    ! [VarCurr] :
      ( v13119(VarCurr)
    <=> ( v13120(VarCurr)
        & v13096(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1193,axiom,(
    ! [VarCurr] :
      ( v13120(VarCurr)
    <=> ( v13121(VarCurr)
        & v13096(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1192,axiom,(
    ! [VarCurr] :
      ( v13121(VarCurr)
    <=> ( v13096(VarCurr,bitIndex0)
        & v13096(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3173,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13099(VarNext)
      <=> ( v13100(VarNext)
          & v13107(VarNext) ) ) ) )).

fof(addAssignment_5062,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13107(VarNext)
      <=> v13105(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3172,axiom,(
    ! [VarCurr] :
      ( v13105(VarCurr)
    <=> ( v13108(VarCurr)
        | v13109(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3171,axiom,(
    ! [VarCurr] :
      ( v13109(VarCurr)
    <=> ( v2721(VarCurr)
        & v13110(VarCurr) ) ) )).

fof(writeUnaryOperator_1754,axiom,(
    ! [VarCurr] :
      ( ~ v13110(VarCurr)
    <=> v13108(VarCurr) ) )).

fof(writeUnaryOperator_1753,axiom,(
    ! [VarCurr] :
      ( ~ v13108(VarCurr)
    <=> v2675(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3170,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13100(VarNext)
      <=> ( v13101(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_1752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13101(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(addAssignmentInitValueVector_34,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v13096(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_5061,axiom,(
    ! [VarCurr] :
      ( v2721(VarCurr)
    <=> v2723(VarCurr) ) )).

fof(addAssignment_5060,axiom,(
    ! [VarCurr] :
      ( v2723(VarCurr)
    <=> v2725(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1191,axiom,(
    ! [VarCurr] :
      ( v2725(VarCurr)
    <=> ( v2683(VarCurr,bitIndex3)
        | v13077(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3169,axiom,(
    ! [VarCurr] :
      ( v13077(VarCurr)
    <=> ( v13091(VarCurr)
        & v13084(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3168,axiom,(
    ! [VarCurr] :
      ( v13091(VarCurr)
    <=> ( v13092(VarCurr)
        & v13093(VarCurr) ) ) )).

fof(writeUnaryOperator_1751,axiom,(
    ! [VarCurr] :
      ( ~ v13093(VarCurr)
    <=> v13079(VarCurr) ) )).

fof(writeUnaryOperator_1750,axiom,(
    ! [VarCurr] :
      ( ~ v13092(VarCurr)
    <=> v2694(VarCurr) ) )).

fof(addAssignment_5059,axiom,(
    ! [VarCurr] :
      ( v13084(VarCurr)
    <=> v13086(VarCurr) ) )).

fof(addAssignment_5058,axiom,(
    ! [VarCurr] :
      ( v13086(VarCurr)
    <=> v13088(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_269,axiom,(
    ! [VarCurr] :
      ( ~ v2708(VarCurr)
     => ( v13088(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_211,axiom,(
    ! [VarCurr] :
      ( v2708(VarCurr)
     => ( v13088(VarCurr)
      <=> v2704(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1190,axiom,(
    ! [VarCurr] :
      ( v13079(VarCurr)
    <=> ( v13081(VarCurr)
        | v2689(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1189,axiom,(
    ! [VarCurr] :
      ( v13081(VarCurr)
    <=> ( v13082(VarCurr)
        | v2689(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1188,axiom,(
    ! [VarCurr] :
      ( v13082(VarCurr)
    <=> ( v2683(VarCurr,bitIndex1)
        | v2689(VarCurr,bitIndex1) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_314,axiom,(
    ! [VarCurr] :
      ( ~ v13071(VarCurr)
     => ( v2683(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_372,axiom,(
    ! [VarCurr] :
      ( v13071(VarCurr)
     => ( v2683(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3167,axiom,(
    ! [VarCurr] :
      ( v13071(VarCurr)
    <=> ( v13072(VarCurr)
        | v13074(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3166,axiom,(
    ! [VarCurr] :
      ( v13074(VarCurr)
    <=> ( v13075(VarCurr)
        & v13061(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3165,axiom,(
    ! [VarCurr] :
      ( v13075(VarCurr)
    <=> ( v2685(VarCurr)
        & v2727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3164,axiom,(
    ! [VarCurr] :
      ( v13072(VarCurr)
    <=> ( v13073(VarCurr)
        & v13056(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3163,axiom,(
    ! [VarCurr] :
      ( v13073(VarCurr)
    <=> ( v2685(VarCurr)
        & v2727(VarCurr) ) ) )).

fof(addAssignment_5057,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex4)
    <=> v13063(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionShiftedRanges1_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13064(VarNext)
       => ( ( v13063(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v13063(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v13063(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v13063(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v13063(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v13063(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v13063(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v13063(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v13063(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v13063(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v13063(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v13063(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v13063(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v13063(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v13063(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v13063(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v13063(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v13063(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v13063(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v13063(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_134,axiom,(
    ! [VarNext] :
      ( v13064(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v13063(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3162,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13064(VarNext)
      <=> v13065(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3161,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13065(VarNext)
      <=> ( v13067(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1749,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13067(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_313,axiom,(
    ! [VarCurr] :
      ( ~ v13051(VarCurr)
     => ( v2683(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_371,axiom,(
    ! [VarCurr] :
      ( v13051(VarCurr)
     => ( v2683(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3160,axiom,(
    ! [VarCurr] :
      ( v13051(VarCurr)
    <=> ( v13052(VarCurr)
        | v13057(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3159,axiom,(
    ! [VarCurr] :
      ( v13057(VarCurr)
    <=> ( v13058(VarCurr)
        & v13061(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_857,axiom,(
    ! [VarCurr] :
      ( v13061(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3158,axiom,(
    ! [VarCurr] :
      ( v13058(VarCurr)
    <=> ( v13059(VarCurr)
        | v13060(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3157,axiom,(
    ! [VarCurr] :
      ( v13060(VarCurr)
    <=> ( v2685(VarCurr)
        & v12854(VarCurr) ) ) )).

fof(writeUnaryOperator_1748,axiom,(
    ! [VarCurr] :
      ( ~ v13059(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3156,axiom,(
    ! [VarCurr] :
      ( v13052(VarCurr)
    <=> ( v13053(VarCurr)
        & v13056(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_856,axiom,(
    ! [VarCurr] :
      ( v13056(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3155,axiom,(
    ! [VarCurr] :
      ( v13053(VarCurr)
    <=> ( v13054(VarCurr)
        | v13055(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3154,axiom,(
    ! [VarCurr] :
      ( v13055(VarCurr)
    <=> ( v2685(VarCurr)
        & v12854(VarCurr) ) ) )).

fof(writeUnaryOperator_1747,axiom,(
    ! [VarCurr] :
      ( ~ v13054(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(addAssignment_5056,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex2)
    <=> v13043(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13044(VarNext)
       => ( ( v13043(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v13043(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v13043(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v13043(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v13043(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v13043(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v13043(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v13043(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v13043(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v13043(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v13043(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v13043(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v13043(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v13043(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v13043(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v13043(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v13043(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v13043(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v13043(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v13043(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_133,axiom,(
    ! [VarNext] :
      ( v13044(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v13043(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3153,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13044(VarNext)
      <=> v13045(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13045(VarNext)
      <=> ( v13047(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1746,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13047(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_312,axiom,(
    ! [VarCurr] :
      ( ~ v13041(VarCurr)
     => ( v2683(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_370,axiom,(
    ! [VarCurr] :
      ( v13041(VarCurr)
     => ( v2683(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_855,axiom,(
    ! [VarCurr] :
      ( v13041(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5055,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex1)
    <=> v13033(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_19,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13034(VarNext)
       => ( ( v13033(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v13033(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v13033(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v13033(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v13033(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v13033(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v13033(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v13033(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v13033(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v13033(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v13033(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v13033(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v13033(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v13033(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v13033(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v13033(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v13033(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v13033(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v13033(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v13033(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_132,axiom,(
    ! [VarNext] :
      ( v13034(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v13033(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3151,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13034(VarNext)
      <=> v13035(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3150,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13035(VarNext)
      <=> ( v13037(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1745,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13037(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_311,axiom,(
    ! [VarCurr] :
      ( ~ v13027(VarCurr)
     => ( v2683(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_369,axiom,(
    ! [VarCurr] :
      ( v13027(VarCurr)
     => ( v2683(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3149,axiom,(
    ! [VarCurr] :
      ( v13027(VarCurr)
    <=> ( v13028(VarCurr)
        & v12949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3148,axiom,(
    ! [VarCurr] :
      ( v13028(VarCurr)
    <=> ( v13030(VarCurr)
        & v13007(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3147,axiom,(
    ! [VarCurr] :
      ( v13030(VarCurr)
    <=> ( v13031(VarCurr)
        & v12948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3146,axiom,(
    ! [VarCurr] :
      ( v13031(VarCurr)
    <=> ( v12942(VarCurr)
        & v2696(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_116,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13015(VarNext)
       => ( v2689(VarNext,bitIndex0)
        <=> v2689(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_131,axiom,(
    ! [VarNext] :
      ( v13015(VarNext)
     => ( v2689(VarNext,bitIndex0)
      <=> v13023(VarNext) ) ) )).

fof(addAssignment_5054,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13023(VarNext)
      <=> v13021(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_268,axiom,(
    ! [VarCurr] :
      ( ~ v12833(VarCurr)
     => ( v13021(VarCurr)
      <=> v2683(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_210,axiom,(
    ! [VarCurr] :
      ( v12833(VarCurr)
     => ( v13021(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3145,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13015(VarNext)
      <=> v13016(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3144,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13016(VarNext)
      <=> ( v13018(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1744,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13018(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_267,axiom,(
    ! [VarCurr] :
      ( ~ v12997(VarCurr)
     => ( v2683(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_209,axiom,(
    ! [VarCurr] :
      ( v12997(VarCurr)
     => ( v2683(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3143,axiom,(
    ! [VarCurr] :
      ( v12997(VarCurr)
    <=> ( v12998(VarCurr)
        | v13012(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_854,axiom,(
    ! [VarCurr] :
      ( v13012(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3142,axiom,(
    ! [VarCurr] :
      ( v12998(VarCurr)
    <=> ( v12999(VarCurr)
        | v13011(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_853,axiom,(
    ! [VarCurr] :
      ( v13011(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3141,axiom,(
    ! [VarCurr] :
      ( v12999(VarCurr)
    <=> ( v13000(VarCurr)
        | v13010(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_852,axiom,(
    ! [VarCurr] :
      ( v13010(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3140,axiom,(
    ! [VarCurr] :
      ( v13000(VarCurr)
    <=> ( v13001(VarCurr)
        | v13009(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_851,axiom,(
    ! [VarCurr] :
      ( v13009(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3139,axiom,(
    ! [VarCurr] :
      ( v13001(VarCurr)
    <=> ( v13002(VarCurr)
        | v13008(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_850,axiom,(
    ! [VarCurr] :
      ( v13008(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3138,axiom,(
    ! [VarCurr] :
      ( v13002(VarCurr)
    <=> ( v13003(VarCurr)
        & v12949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3137,axiom,(
    ! [VarCurr] :
      ( v13003(VarCurr)
    <=> ( v13004(VarCurr)
        | v13005(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3136,axiom,(
    ! [VarCurr] :
      ( v13005(VarCurr)
    <=> ( v12940(VarCurr)
        & v13007(VarCurr) ) ) )).

fof(writeUnaryOperator_1743,axiom,(
    ! [VarCurr] :
      ( ~ v13007(VarCurr)
    <=> v12810(VarCurr) ) )).

fof(addAssignment_5053,axiom,(
    ! [VarCurr] :
      ( v13004(VarCurr)
    <=> v2694(VarCurr) ) )).

fof(addAssignment_5052,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex19)
    <=> v12989(VarNext,bitIndex18) ) )).

fof(addCaseBooleanConditionShiftedRanges1_18,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12990(VarNext)
       => ( ( v12989(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12989(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12989(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12989(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12989(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12989(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12989(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12989(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12989(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12989(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12989(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12989(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12989(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12989(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12989(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12989(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12989(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12989(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12989(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12989(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_130,axiom,(
    ! [VarNext] :
      ( v12990(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12989(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3135,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12990(VarNext)
      <=> v12991(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3134,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12991(VarNext)
      <=> ( v12993(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1742,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12993(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_310,axiom,(
    ! [VarCurr] :
      ( ~ v12985(VarCurr)
     => ( v2683(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_368,axiom,(
    ! [VarCurr] :
      ( v12985(VarCurr)
     => ( v2683(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3133,axiom,(
    ! [VarCurr] :
      ( v12985(VarCurr)
    <=> ( v12986(VarCurr)
        | v12987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3132,axiom,(
    ! [VarCurr] :
      ( v12987(VarCurr)
    <=> ( v2685(VarCurr)
        & v12975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3131,axiom,(
    ! [VarCurr] :
      ( v12986(VarCurr)
    <=> ( v2685(VarCurr)
        & v12972(VarCurr) ) ) )).

fof(addAssignment_5051,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex20)
    <=> v12977(VarNext,bitIndex19) ) )).

fof(addCaseBooleanConditionShiftedRanges1_17,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12978(VarNext)
       => ( ( v12977(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12977(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12977(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12977(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12977(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12977(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12977(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12977(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12977(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12977(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12977(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12977(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12977(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12977(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12977(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12977(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12977(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12977(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12977(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12977(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_129,axiom,(
    ! [VarNext] :
      ( v12978(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12977(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12978(VarNext)
      <=> v12979(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3129,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12979(VarNext)
      <=> ( v12981(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1741,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12981(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_309,axiom,(
    ! [VarCurr] :
      ( ~ v12969(VarCurr)
     => ( v2683(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_367,axiom,(
    ! [VarCurr] :
      ( v12969(VarCurr)
     => ( v2683(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3128,axiom,(
    ! [VarCurr] :
      ( v12969(VarCurr)
    <=> ( v12970(VarCurr)
        | v12973(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3127,axiom,(
    ! [VarCurr] :
      ( v12973(VarCurr)
    <=> ( v12974(VarCurr)
        & v12975(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_849,axiom,(
    ! [VarCurr] :
      ( v12975(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex20) ) ) )).

fof(writeUnaryOperator_1740,axiom,(
    ! [VarCurr] :
      ( ~ v12974(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3126,axiom,(
    ! [VarCurr] :
      ( v12970(VarCurr)
    <=> ( v12971(VarCurr)
        & v12972(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_848,axiom,(
    ! [VarCurr] :
      ( v12972(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex18) ) ) )).

fof(writeUnaryOperator_1739,axiom,(
    ! [VarCurr] :
      ( ~ v12971(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(addAssignment_5050,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex18)
    <=> v12961(VarNext,bitIndex17) ) )).

fof(addCaseBooleanConditionShiftedRanges1_16,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12962(VarNext)
       => ( ( v12961(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12961(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12961(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12961(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12961(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12961(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12961(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12961(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12961(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12961(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12961(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12961(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12961(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12961(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12961(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12961(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12961(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12961(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12961(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12961(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_128,axiom,(
    ! [VarNext] :
      ( v12962(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12961(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3125,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12962(VarNext)
      <=> v12963(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3124,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12963(VarNext)
      <=> ( v12965(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1738,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12965(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_308,axiom,(
    ! [VarCurr] :
      ( ~ v12959(VarCurr)
     => ( v2683(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_366,axiom,(
    ! [VarCurr] :
      ( v12959(VarCurr)
     => ( v2683(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_847,axiom,(
    ! [VarCurr] :
      ( v12959(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex17) ) ) )).

fof(addAssignment_5049,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex17)
    <=> v12951(VarNext,bitIndex16) ) )).

fof(addCaseBooleanConditionShiftedRanges1_15,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12952(VarNext)
       => ( ( v12951(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12951(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12951(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12951(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12951(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12951(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12951(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12951(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12951(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12951(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12951(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12951(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12951(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12951(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12951(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12951(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12951(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12951(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12951(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12951(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_127,axiom,(
    ! [VarNext] :
      ( v12952(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12951(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3123,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12952(VarNext)
      <=> v12953(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12953(VarNext)
      <=> ( v12955(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1737,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12955(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_307,axiom,(
    ! [VarCurr] :
      ( ~ v12937(VarCurr)
     => ( v2683(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_365,axiom,(
    ! [VarCurr] :
      ( v12937(VarCurr)
     => ( v2683(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3121,axiom,(
    ! [VarCurr] :
      ( v12937(VarCurr)
    <=> ( v12938(VarCurr)
        & v12949(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_846,axiom,(
    ! [VarCurr] :
      ( v12949(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3120,axiom,(
    ! [VarCurr] :
      ( v12938(VarCurr)
    <=> ( v12940(VarCurr)
        & v12810(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3119,axiom,(
    ! [VarCurr] :
      ( v12940(VarCurr)
    <=> ( v12941(VarCurr)
        & v12948(VarCurr) ) ) )).

fof(writeUnaryOperator_1736,axiom,(
    ! [VarCurr] :
      ( ~ v12948(VarCurr)
    <=> v12802(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3118,axiom,(
    ! [VarCurr] :
      ( v12941(VarCurr)
    <=> ( v12942(VarCurr)
        & v12947(VarCurr) ) ) )).

fof(writeUnaryOperator_1735,axiom,(
    ! [VarCurr] :
      ( ~ v12947(VarCurr)
    <=> v2696(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3117,axiom,(
    ! [VarCurr] :
      ( v12942(VarCurr)
    <=> ( v12943(VarCurr)
        & v12946(VarCurr) ) ) )).

fof(writeUnaryOperator_1734,axiom,(
    ! [VarCurr] :
      ( ~ v12946(VarCurr)
    <=> v12800(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3116,axiom,(
    ! [VarCurr] :
      ( v12943(VarCurr)
    <=> ( v12944(VarCurr)
        & v12945(VarCurr) ) ) )).

fof(writeUnaryOperator_1733,axiom,(
    ! [VarCurr] :
      ( ~ v12945(VarCurr)
    <=> v12798(VarCurr) ) )).

fof(writeUnaryOperator_1732,axiom,(
    ! [VarCurr] :
      ( ~ v12944(VarCurr)
    <=> v2694(VarCurr) ) )).

fof(addAssignment_5048,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex15)
    <=> v12929(VarNext,bitIndex14) ) )).

fof(addCaseBooleanConditionShiftedRanges1_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12930(VarNext)
       => ( ( v12929(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12929(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12929(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12929(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12929(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12929(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12929(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12929(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12929(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12929(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12929(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12929(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12929(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12929(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12929(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12929(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12929(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12929(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12929(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12929(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_126,axiom,(
    ! [VarNext] :
      ( v12930(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12929(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3115,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12930(VarNext)
      <=> v12931(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3114,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12931(VarNext)
      <=> ( v12933(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1731,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12933(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addAssignment_5047,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex11)
    <=> v12921(VarNext,bitIndex10) ) )).

fof(addCaseBooleanConditionShiftedRanges1_13,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12922(VarNext)
       => ( ( v12921(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12921(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12921(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12921(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12921(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12921(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12921(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12921(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12921(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12921(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12921(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12921(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12921(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12921(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12921(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12921(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12921(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12921(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12921(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12921(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_125,axiom,(
    ! [VarNext] :
      ( v12922(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12921(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3113,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12922(VarNext)
      <=> v12923(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3112,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12923(VarNext)
      <=> ( v12925(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1730,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12925(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_306,axiom,(
    ! [VarCurr] :
      ( ~ v12915(VarCurr)
     => ( v2683(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_364,axiom,(
    ! [VarCurr] :
      ( v12915(VarCurr)
     => ( v2683(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3111,axiom,(
    ! [VarCurr] :
      ( v12915(VarCurr)
    <=> ( v12916(VarCurr)
        | v12918(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3110,axiom,(
    ! [VarCurr] :
      ( v12918(VarCurr)
    <=> ( v12919(VarCurr)
        & v12905(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3109,axiom,(
    ! [VarCurr] :
      ( v12919(VarCurr)
    <=> ( v2685(VarCurr)
        & v2727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3108,axiom,(
    ! [VarCurr] :
      ( v12916(VarCurr)
    <=> ( v12917(VarCurr)
        & v12900(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3107,axiom,(
    ! [VarCurr] :
      ( v12917(VarCurr)
    <=> ( v2685(VarCurr)
        & v2727(VarCurr) ) ) )).

fof(addAssignment_5046,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex12)
    <=> v12907(VarNext,bitIndex11) ) )).

fof(addCaseBooleanConditionShiftedRanges1_12,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12908(VarNext)
       => ( ( v12907(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12907(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12907(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12907(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12907(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12907(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12907(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12907(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12907(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12907(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12907(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12907(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12907(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12907(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12907(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12907(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12907(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12907(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12907(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12907(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_124,axiom,(
    ! [VarNext] :
      ( v12908(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12907(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3106,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12908(VarNext)
      <=> v12909(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3105,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12909(VarNext)
      <=> ( v12911(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1729,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12911(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_305,axiom,(
    ! [VarCurr] :
      ( ~ v12895(VarCurr)
     => ( v2683(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_363,axiom,(
    ! [VarCurr] :
      ( v12895(VarCurr)
     => ( v2683(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3104,axiom,(
    ! [VarCurr] :
      ( v12895(VarCurr)
    <=> ( v12896(VarCurr)
        | v12901(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3103,axiom,(
    ! [VarCurr] :
      ( v12901(VarCurr)
    <=> ( v12902(VarCurr)
        & v12905(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_845,axiom,(
    ! [VarCurr] :
      ( v12905(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3102,axiom,(
    ! [VarCurr] :
      ( v12902(VarCurr)
    <=> ( v12903(VarCurr)
        | v12904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3101,axiom,(
    ! [VarCurr] :
      ( v12904(VarCurr)
    <=> ( v2685(VarCurr)
        & v12854(VarCurr) ) ) )).

fof(writeUnaryOperator_1728,axiom,(
    ! [VarCurr] :
      ( ~ v12903(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3100,axiom,(
    ! [VarCurr] :
      ( v12896(VarCurr)
    <=> ( v12897(VarCurr)
        & v12900(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_844,axiom,(
    ! [VarCurr] :
      ( v12900(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3099,axiom,(
    ! [VarCurr] :
      ( v12897(VarCurr)
    <=> ( v12898(VarCurr)
        | v12899(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3098,axiom,(
    ! [VarCurr] :
      ( v12899(VarCurr)
    <=> ( v2685(VarCurr)
        & v12854(VarCurr) ) ) )).

fof(writeUnaryOperator_1727,axiom,(
    ! [VarCurr] :
      ( ~ v12898(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(addAssignment_5045,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex10)
    <=> v12887(VarNext,bitIndex9) ) )).

fof(addCaseBooleanConditionShiftedRanges1_11,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12888(VarNext)
       => ( ( v12887(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12887(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12887(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12887(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12887(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12887(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12887(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12887(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12887(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12887(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12887(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12887(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12887(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12887(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12887(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12887(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12887(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12887(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12887(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12887(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_123,axiom,(
    ! [VarNext] :
      ( v12888(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12887(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3097,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12888(VarNext)
      <=> v12889(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3096,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12889(VarNext)
      <=> ( v12891(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1726,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12891(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_304,axiom,(
    ! [VarCurr] :
      ( ~ v12885(VarCurr)
     => ( v2683(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_362,axiom,(
    ! [VarCurr] :
      ( v12885(VarCurr)
     => ( v2683(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_843,axiom,(
    ! [VarCurr] :
      ( v12885(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_5044,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex7)
    <=> v12877(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionShiftedRanges1_10,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12878(VarNext)
       => ( ( v12877(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12877(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12877(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12877(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12877(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12877(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12877(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12877(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12877(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12877(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12877(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12877(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12877(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12877(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12877(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12877(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12877(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12877(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12877(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12877(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_122,axiom,(
    ! [VarNext] :
      ( v12878(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12877(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3095,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12878(VarNext)
      <=> v12879(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3094,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12879(VarNext)
      <=> ( v12881(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1725,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12881(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_303,axiom,(
    ! [VarCurr] :
      ( ~ v12870(VarCurr)
     => ( v2683(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_361,axiom,(
    ! [VarCurr] :
      ( v12870(VarCurr)
     => ( v2683(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3093,axiom,(
    ! [VarCurr] :
      ( v12870(VarCurr)
    <=> ( v12871(VarCurr)
        | v12874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3092,axiom,(
    ! [VarCurr] :
      ( v12874(VarCurr)
    <=> ( v12875(VarCurr)
        & v12860(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3091,axiom,(
    ! [VarCurr] :
      ( v12875(VarCurr)
    <=> ( v2685(VarCurr)
        & v2727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3090,axiom,(
    ! [VarCurr] :
      ( v12871(VarCurr)
    <=> ( v12872(VarCurr)
        & v12855(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3089,axiom,(
    ! [VarCurr] :
      ( v12872(VarCurr)
    <=> ( v2685(VarCurr)
        & v2727(VarCurr) ) ) )).

fof(addAssignment_5043,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex8)
    <=> v12862(VarNext,bitIndex7) ) )).

fof(addCaseBooleanConditionShiftedRanges1_9,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12863(VarNext)
       => ( ( v12862(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12862(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12862(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12862(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12862(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12862(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12862(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12862(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12862(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12862(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12862(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12862(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12862(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12862(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12862(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12862(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12862(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12862(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12862(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12862(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_121,axiom,(
    ! [VarNext] :
      ( v12863(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12862(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12863(VarNext)
      <=> v12864(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3087,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12864(VarNext)
      <=> ( v12866(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12866(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_302,axiom,(
    ! [VarCurr] :
      ( ~ v12847(VarCurr)
     => ( v2683(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_360,axiom,(
    ! [VarCurr] :
      ( v12847(VarCurr)
     => ( v2683(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3086,axiom,(
    ! [VarCurr] :
      ( v12847(VarCurr)
    <=> ( v12848(VarCurr)
        | v12856(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3085,axiom,(
    ! [VarCurr] :
      ( v12856(VarCurr)
    <=> ( v12857(VarCurr)
        & v12860(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_842,axiom,(
    ! [VarCurr] :
      ( v12860(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3084,axiom,(
    ! [VarCurr] :
      ( v12857(VarCurr)
    <=> ( v12858(VarCurr)
        | v12859(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3083,axiom,(
    ! [VarCurr] :
      ( v12859(VarCurr)
    <=> ( v2685(VarCurr)
        & v12854(VarCurr) ) ) )).

fof(writeUnaryOperator_1723,axiom,(
    ! [VarCurr] :
      ( ~ v12858(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3082,axiom,(
    ! [VarCurr] :
      ( v12848(VarCurr)
    <=> ( v12849(VarCurr)
        & v12855(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_841,axiom,(
    ! [VarCurr] :
      ( v12855(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3081,axiom,(
    ! [VarCurr] :
      ( v12849(VarCurr)
    <=> ( v12850(VarCurr)
        | v12852(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3080,axiom,(
    ! [VarCurr] :
      ( v12852(VarCurr)
    <=> ( v2685(VarCurr)
        & v12854(VarCurr) ) ) )).

fof(writeUnaryOperator_1722,axiom,(
    ! [VarCurr] :
      ( ~ v12854(VarCurr)
    <=> v2727(VarCurr) ) )).

fof(writeUnaryOperator_1721,axiom,(
    ! [VarCurr] :
      ( ~ v12850(VarCurr)
    <=> v2685(VarCurr) ) )).

fof(addAssignment_5042,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex6)
    <=> v12839(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionShiftedRanges1_8,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12840(VarNext)
       => ( ( v12839(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12839(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12839(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12839(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12839(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12839(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12839(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12839(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12839(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12839(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12839(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12839(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12839(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12839(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12839(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12839(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12839(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12839(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12839(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12839(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_120,axiom,(
    ! [VarNext] :
      ( v12840(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12839(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3079,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12840(VarNext)
      <=> v12841(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3078,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12841(VarNext)
      <=> ( v12843(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12843(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_301,axiom,(
    ! [VarCurr] :
      ( ~ v12837(VarCurr)
     => ( v2683(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_359,axiom,(
    ! [VarCurr] :
      ( v12837(VarCurr)
     => ( v2683(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_840,axiom,(
    ! [VarCurr] :
      ( v12837(VarCurr)
    <=> ( $true
      <=> v2689(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_5041,axiom,(
    ! [VarNext] :
      ( v2689(VarNext,bitIndex3)
    <=> v12821(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionShiftedRanges1_7,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12822(VarNext)
       => ( ( v12821(VarNext,bitIndex19)
          <=> v2689(VarCurr,bitIndex20) )
          & ( v12821(VarNext,bitIndex18)
          <=> v2689(VarCurr,bitIndex19) )
          & ( v12821(VarNext,bitIndex17)
          <=> v2689(VarCurr,bitIndex18) )
          & ( v12821(VarNext,bitIndex16)
          <=> v2689(VarCurr,bitIndex17) )
          & ( v12821(VarNext,bitIndex15)
          <=> v2689(VarCurr,bitIndex16) )
          & ( v12821(VarNext,bitIndex14)
          <=> v2689(VarCurr,bitIndex15) )
          & ( v12821(VarNext,bitIndex13)
          <=> v2689(VarCurr,bitIndex14) )
          & ( v12821(VarNext,bitIndex12)
          <=> v2689(VarCurr,bitIndex13) )
          & ( v12821(VarNext,bitIndex11)
          <=> v2689(VarCurr,bitIndex12) )
          & ( v12821(VarNext,bitIndex10)
          <=> v2689(VarCurr,bitIndex11) )
          & ( v12821(VarNext,bitIndex9)
          <=> v2689(VarCurr,bitIndex10) )
          & ( v12821(VarNext,bitIndex8)
          <=> v2689(VarCurr,bitIndex9) )
          & ( v12821(VarNext,bitIndex7)
          <=> v2689(VarCurr,bitIndex8) )
          & ( v12821(VarNext,bitIndex6)
          <=> v2689(VarCurr,bitIndex7) )
          & ( v12821(VarNext,bitIndex5)
          <=> v2689(VarCurr,bitIndex6) )
          & ( v12821(VarNext,bitIndex4)
          <=> v2689(VarCurr,bitIndex5) )
          & ( v12821(VarNext,bitIndex3)
          <=> v2689(VarCurr,bitIndex4) )
          & ( v12821(VarNext,bitIndex2)
          <=> v2689(VarCurr,bitIndex3) )
          & ( v12821(VarNext,bitIndex1)
          <=> v2689(VarCurr,bitIndex2) )
          & ( v12821(VarNext,bitIndex0)
          <=> v2689(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_119,axiom,(
    ! [VarNext] :
      ( v12822(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12821(VarNext,B)
          <=> v12832(VarNext,B) ) ) ) )).

fof(addAssignment_5040,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v12832(VarNext,B)
          <=> v12830(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_300,axiom,(
    ! [VarCurr] :
      ( ~ v12833(VarCurr)
     => ( ( v12830(VarCurr,bitIndex19)
        <=> v2683(VarCurr,bitIndex20) )
        & ( v12830(VarCurr,bitIndex18)
        <=> v2683(VarCurr,bitIndex19) )
        & ( v12830(VarCurr,bitIndex17)
        <=> v2683(VarCurr,bitIndex18) )
        & ( v12830(VarCurr,bitIndex16)
        <=> v2683(VarCurr,bitIndex17) )
        & ( v12830(VarCurr,bitIndex15)
        <=> v2683(VarCurr,bitIndex16) )
        & ( v12830(VarCurr,bitIndex14)
        <=> v2683(VarCurr,bitIndex15) )
        & ( v12830(VarCurr,bitIndex13)
        <=> v2683(VarCurr,bitIndex14) )
        & ( v12830(VarCurr,bitIndex12)
        <=> v2683(VarCurr,bitIndex13) )
        & ( v12830(VarCurr,bitIndex11)
        <=> v2683(VarCurr,bitIndex12) )
        & ( v12830(VarCurr,bitIndex10)
        <=> v2683(VarCurr,bitIndex11) )
        & ( v12830(VarCurr,bitIndex9)
        <=> v2683(VarCurr,bitIndex10) )
        & ( v12830(VarCurr,bitIndex8)
        <=> v2683(VarCurr,bitIndex9) )
        & ( v12830(VarCurr,bitIndex7)
        <=> v2683(VarCurr,bitIndex8) )
        & ( v12830(VarCurr,bitIndex6)
        <=> v2683(VarCurr,bitIndex7) )
        & ( v12830(VarCurr,bitIndex5)
        <=> v2683(VarCurr,bitIndex6) )
        & ( v12830(VarCurr,bitIndex4)
        <=> v2683(VarCurr,bitIndex5) )
        & ( v12830(VarCurr,bitIndex3)
        <=> v2683(VarCurr,bitIndex4) )
        & ( v12830(VarCurr,bitIndex2)
        <=> v2683(VarCurr,bitIndex3) )
        & ( v12830(VarCurr,bitIndex1)
        <=> v2683(VarCurr,bitIndex2) )
        & ( v12830(VarCurr,bitIndex0)
        <=> v2683(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_208,axiom,(
    ! [VarCurr] :
      ( v12833(VarCurr)
     => ! [B] :
          ( range_19_0(B)
         => ( v12830(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_2195,axiom,(
    ~ b00000000000000000000(bitIndex19) )).

fof(bitBlastConstant_2194,axiom,(
    ~ b00000000000000000000(bitIndex18) )).

fof(bitBlastConstant_2193,axiom,(
    ~ b00000000000000000000(bitIndex17) )).

fof(bitBlastConstant_2192,axiom,(
    ~ b00000000000000000000(bitIndex16) )).

fof(bitBlastConstant_2191,axiom,(
    ~ b00000000000000000000(bitIndex15) )).

fof(bitBlastConstant_2190,axiom,(
    ~ b00000000000000000000(bitIndex14) )).

fof(bitBlastConstant_2189,axiom,(
    ~ b00000000000000000000(bitIndex13) )).

fof(bitBlastConstant_2188,axiom,(
    ~ b00000000000000000000(bitIndex12) )).

fof(bitBlastConstant_2187,axiom,(
    ~ b00000000000000000000(bitIndex11) )).

fof(bitBlastConstant_2186,axiom,(
    ~ b00000000000000000000(bitIndex10) )).

fof(bitBlastConstant_2185,axiom,(
    ~ b00000000000000000000(bitIndex9) )).

fof(bitBlastConstant_2184,axiom,(
    ~ b00000000000000000000(bitIndex8) )).

fof(bitBlastConstant_2183,axiom,(
    ~ b00000000000000000000(bitIndex7) )).

fof(bitBlastConstant_2182,axiom,(
    ~ b00000000000000000000(bitIndex6) )).

fof(bitBlastConstant_2181,axiom,(
    ~ b00000000000000000000(bitIndex5) )).

fof(bitBlastConstant_2180,axiom,(
    ~ b00000000000000000000(bitIndex4) )).

fof(bitBlastConstant_2179,axiom,(
    ~ b00000000000000000000(bitIndex3) )).

fof(bitBlastConstant_2178,axiom,(
    ~ b00000000000000000000(bitIndex2) )).

fof(bitBlastConstant_2177,axiom,(
    ~ b00000000000000000000(bitIndex1) )).

fof(bitBlastConstant_2176,axiom,(
    ~ b00000000000000000000(bitIndex0) )).

fof(writeUnaryOperator_1719,axiom,(
    ! [VarCurr] :
      ( ~ v12833(VarCurr)
    <=> v2691(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3077,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12822(VarNext)
      <=> v12823(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3076,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12823(VarNext)
      <=> ( v12824(VarNext)
          & v12817(VarNext) ) ) ) )).

fof(writeUnaryOperator_1718,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12824(VarNext)
      <=> v12826(VarNext) ) ) )).

fof(addAssignment_5039,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12826(VarNext)
      <=> v12817(VarCurr) ) ) )).

fof(addAssignmentInitValue_34,axiom,(
    ~ v2689(constB0,bitIndex3) )).

fof(addAssignmentInitValue_33,axiom,(
    ~ v2689(constB0,bitIndex2) )).

fof(addAssignmentInitValue_32,axiom,(
    ~ v2689(constB0,bitIndex1) )).

fof(bitBlastConstant_2175,axiom,(
    ~ bxxxxxxxxxxxxxxxxx000(bitIndex2) )).

fof(bitBlastConstant_2174,axiom,(
    ~ bxxxxxxxxxxxxxxxxx000(bitIndex1) )).

fof(bitBlastConstant_2173,axiom,(
    ~ bxxxxxxxxxxxxxxxxx000(bitIndex0) )).

fof(addAssignmentInitValueVector_33,axiom,
    ( v2689(constB0,bitIndex0)
  <=> $true )).

fof(addAssignment_5038,axiom,(
    ! [VarCurr] :
      ( v12817(VarCurr)
    <=> v599(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3075,axiom,(
    ! [VarCurr] :
      ( v12810(VarCurr)
    <=> ( v12812(VarCurr)
        & v12814(VarCurr) ) ) )).

fof(writeUnaryOperator_1717,axiom,(
    ! [VarCurr] :
      ( ~ v12814(VarCurr)
    <=> v12806(VarCurr) ) )).

fof(addAssignment_5037,axiom,(
    ! [VarCurr] :
      ( v12812(VarCurr)
    <=> v4804(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3074,axiom,(
    ! [VarCurr] :
      ( v12802(VarCurr)
    <=> ( v12804(VarCurr)
        & v12808(VarCurr) ) ) )).

fof(writeUnaryOperator_1716,axiom,(
    ! [VarCurr] :
      ( ~ v12808(VarCurr)
    <=> v12806(VarCurr) ) )).

fof(addAssignment_5036,axiom,(
    ! [VarCurr] :
      ( v12806(VarCurr)
    <=> v2669(VarCurr) ) )).

fof(addAssignment_5035,axiom,(
    ! [VarCurr] :
      ( v12804(VarCurr)
    <=> v641(VarCurr) ) )).

fof(addAssignment_5034,axiom,(
    ! [VarCurr] :
      ( v12800(VarCurr)
    <=> v4844(VarCurr) ) )).

fof(addAssignment_5033,axiom,(
    ! [VarCurr] :
      ( v12798(VarCurr)
    <=> v4826(VarCurr) ) )).

fof(addAssignment_5032,axiom,(
    ! [VarCurr] :
      ( v2727(VarCurr)
    <=> v2729(VarCurr) ) )).

fof(addAssignment_5031,axiom,(
    ! [VarCurr] :
      ( v2729(VarCurr)
    <=> v2731(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1187,axiom,(
    ! [VarCurr] :
      ( v2731(VarCurr)
    <=> ( v12783(VarCurr)
        | v2733(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1186,axiom,(
    ! [VarCurr] :
      ( v12783(VarCurr)
    <=> ( v12784(VarCurr)
        | v2733(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1185,axiom,(
    ! [VarCurr] :
      ( v12784(VarCurr)
    <=> ( v12785(VarCurr)
        | v2733(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1184,axiom,(
    ! [VarCurr] :
      ( v12785(VarCurr)
    <=> ( v12786(VarCurr)
        | v2733(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1183,axiom,(
    ! [VarCurr] :
      ( v12786(VarCurr)
    <=> ( v12787(VarCurr)
        | v2733(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1182,axiom,(
    ! [VarCurr] :
      ( v12787(VarCurr)
    <=> ( v12788(VarCurr)
        | v2733(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1181,axiom,(
    ! [VarCurr] :
      ( v12788(VarCurr)
    <=> ( v12789(VarCurr)
        | v2733(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1180,axiom,(
    ! [VarCurr] :
      ( v12789(VarCurr)
    <=> ( v12790(VarCurr)
        | v2733(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1179,axiom,(
    ! [VarCurr] :
      ( v12790(VarCurr)
    <=> ( v12791(VarCurr)
        | v2733(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1178,axiom,(
    ! [VarCurr] :
      ( v12791(VarCurr)
    <=> ( v12792(VarCurr)
        | v2733(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1177,axiom,(
    ! [VarCurr] :
      ( v12792(VarCurr)
    <=> ( v12793(VarCurr)
        | v2733(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1176,axiom,(
    ! [VarCurr] :
      ( v12793(VarCurr)
    <=> ( v12794(VarCurr)
        | v2733(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1175,axiom,(
    ! [VarCurr] :
      ( v12794(VarCurr)
    <=> ( v12795(VarCurr)
        | v2733(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1174,axiom,(
    ! [VarCurr] :
      ( v12795(VarCurr)
    <=> ( v12796(VarCurr)
        | v2733(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1173,axiom,(
    ! [VarCurr] :
      ( v12796(VarCurr)
    <=> ( v2733(VarCurr,bitIndex0)
        | v2733(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_115,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12767(VarNext)
       => ! [B] :
            ( range_15_0(B)
           => ( v2733(VarNext,B)
            <=> v2733(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_118,axiom,(
    ! [VarNext] :
      ( v12767(VarNext)
     => ! [B] :
          ( range_15_0(B)
         => ( v2733(VarNext,B)
          <=> v12777(VarNext,B) ) ) ) )).

fof(addAssignment_5030,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_15_0(B)
         => ( v12777(VarNext,B)
          <=> v12775(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_266,axiom,(
    ! [VarCurr] :
      ( ~ v12778(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v12775(VarCurr,B)
          <=> v2738(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_207,axiom,(
    ! [VarCurr] :
      ( v12778(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v12775(VarCurr,B)
          <=> $true ) ) ) )).

fof(writeUnaryOperator_1715,axiom,(
    ! [VarCurr] :
      ( ~ v12778(VarCurr)
    <=> v2735(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3073,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12767(VarNext)
      <=> v12768(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12768(VarNext)
      <=> ( v12769(VarNext)
          & v12764(VarNext) ) ) ) )).

fof(writeUnaryOperator_1714,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12769(VarNext)
      <=> v12771(VarNext) ) ) )).

fof(addAssignment_5029,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12771(VarNext)
      <=> v12764(VarCurr) ) ) )).

fof(addAssignment_5028,axiom,(
    ! [VarCurr] :
      ( v12764(VarCurr)
    <=> v599(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_118,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v2738(VarCurr,B)
      <=> ( v12761(VarCurr,B)
          & v12762(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1713,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12762(VarCurr,B)
      <=> ~ v4783(VarCurr,B) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_117,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12761(VarCurr,B)
      <=> ( v2740(VarCurr,B)
          | v2733(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_116,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v4783(VarCurr,B)
      <=> ( v4785(VarCurr,B)
          & v12758(VarCurr,B) ) ) ) )).

fof(addAssignment_5027,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex0)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5026,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex1)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5025,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex2)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5024,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex3)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5023,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex4)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5022,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex5)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5021,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex6)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5020,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex7)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5019,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex8)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5018,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex9)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5017,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex10)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5016,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex11)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5015,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex12)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5014,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex13)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5013,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex14)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5012,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr,bitIndex15)
    <=> v12759(VarCurr) ) )).

fof(addAssignment_5011,axiom,(
    ! [VarCurr] :
      ( v12759(VarCurr)
    <=> v4792(VarCurr) ) )).

fof(addAssignment_5010,axiom,(
    ! [VarCurr] :
      ( v4792(VarCurr)
    <=> v4794(VarCurr) ) )).

fof(addAssignment_5009,axiom,(
    ! [VarCurr] :
      ( v4794(VarCurr)
    <=> v4796(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3071,axiom,(
    ! [VarCurr] :
      ( v4796(VarCurr)
    <=> ( v12755(VarCurr)
        | v12112(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3070,axiom,(
    ! [VarCurr] :
      ( v12755(VarCurr)
    <=> ( v12756(VarCurr)
        | v4935(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1172,axiom,(
    ! [VarCurr] :
      ( v12756(VarCurr)
    <=> ( v29(VarCurr,bitIndex3)
        | v29(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3069,axiom,(
    ! [VarCurr] :
      ( v12112(VarCurr)
    <=> ( v12114(VarCurr)
        | v12750(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3068,axiom,(
    ! [VarCurr] :
      ( v12750(VarCurr)
    <=> ( v12752(VarCurr)
        & v12118(VarCurr) ) ) )).

fof(writeUnaryOperator_1712,axiom,(
    ! [VarCurr] :
      ( ~ v12752(VarCurr)
    <=> v12116(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3067,axiom,(
    ! [VarCurr] :
      ( v12114(VarCurr)
    <=> ( v12748(VarCurr)
        & v12136(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3066,axiom,(
    ! [VarCurr] :
      ( v12748(VarCurr)
    <=> ( v12116(VarCurr)
        & v12118(VarCurr) ) ) )).

fof(addAssignment_5008,axiom,(
    ! [VarCurr] :
      ( v12136(VarCurr)
    <=> v12138(VarCurr) ) )).

fof(addAssignment_5007,axiom,(
    ! [VarCurr] :
      ( v12138(VarCurr)
    <=> v12140(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1171,axiom,(
    ! [VarCurr] :
      ( v12140(VarCurr)
    <=> ( v12740(VarCurr)
        & v12142(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1170,axiom,(
    ! [VarCurr] :
      ( v12740(VarCurr)
    <=> ( v12741(VarCurr)
        & v12142(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1169,axiom,(
    ! [VarCurr] :
      ( v12741(VarCurr)
    <=> ( v12742(VarCurr)
        & v12142(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1168,axiom,(
    ! [VarCurr] :
      ( v12742(VarCurr)
    <=> ( v12743(VarCurr)
        & v12142(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1167,axiom,(
    ! [VarCurr] :
      ( v12743(VarCurr)
    <=> ( v12744(VarCurr)
        & v12142(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1166,axiom,(
    ! [VarCurr] :
      ( v12744(VarCurr)
    <=> ( v12745(VarCurr)
        & v12142(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1165,axiom,(
    ! [VarCurr] :
      ( v12745(VarCurr)
    <=> ( v12746(VarCurr)
        & v12142(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1164,axiom,(
    ! [VarCurr] :
      ( v12746(VarCurr)
    <=> ( v12142(VarCurr,bitIndex0)
        & v12142(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5006,axiom,(
    ! [VarCurr] :
      ( ( v12142(VarCurr,bitIndex8)
      <=> v12673(VarCurr,bitIndex16) )
      & ( v12142(VarCurr,bitIndex7)
      <=> v12673(VarCurr,bitIndex15) )
      & ( v12142(VarCurr,bitIndex6)
      <=> v12673(VarCurr,bitIndex14) )
      & ( v12142(VarCurr,bitIndex5)
      <=> v12673(VarCurr,bitIndex13) )
      & ( v12142(VarCurr,bitIndex4)
      <=> v12673(VarCurr,bitIndex12) )
      & ( v12142(VarCurr,bitIndex3)
      <=> v12673(VarCurr,bitIndex11) )
      & ( v12142(VarCurr,bitIndex2)
      <=> v12673(VarCurr,bitIndex10) )
      & ( v12142(VarCurr,bitIndex1)
      <=> v12673(VarCurr,bitIndex9) )
      & ( v12142(VarCurr,bitIndex0)
      <=> v12673(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_115,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12673(VarCurr,B)
      <=> ( v12675(VarCurr,B)
          | v12735(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_114,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12735(VarCurr,B)
      <=> ( v12736(VarCurr,B)
          & v12737(VarCurr,B) ) ) ) )).

fof(addAssignment_5005,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex0)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_5004,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex1)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_5003,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex2)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_5002,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex3)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_5001,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex4)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_5000,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex5)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4999,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex6)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4998,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex7)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4997,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex8)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4996,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex9)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4995,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex10)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4994,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex11)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4993,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex12)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4992,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex13)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4991,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex14)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4990,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex15)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4989,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr,bitIndex16)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(addAssignment_4988,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v12736(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4987,axiom,(
    ! [VarCurr] :
      ( ( v12736(VarCurr,bitIndex16)
      <=> v12676(VarCurr,bitIndex8) )
      & ( v12736(VarCurr,bitIndex15)
      <=> v12676(VarCurr,bitIndex7) )
      & ( v12736(VarCurr,bitIndex14)
      <=> v12676(VarCurr,bitIndex6) )
      & ( v12736(VarCurr,bitIndex13)
      <=> v12676(VarCurr,bitIndex5) )
      & ( v12736(VarCurr,bitIndex12)
      <=> v12676(VarCurr,bitIndex4) )
      & ( v12736(VarCurr,bitIndex11)
      <=> v12676(VarCurr,bitIndex3) )
      & ( v12736(VarCurr,bitIndex10)
      <=> v12676(VarCurr,bitIndex2) )
      & ( v12736(VarCurr,bitIndex9)
      <=> v12676(VarCurr,bitIndex1) )
      & ( v12736(VarCurr,bitIndex8)
      <=> v12676(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_113,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12675(VarCurr,B)
      <=> ( v12676(VarCurr,B)
          & v12733(VarCurr,B) ) ) ) )).

fof(addAssignment_4986,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex0)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4985,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex1)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4984,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex2)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4983,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex3)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4982,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex4)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4981,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex5)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4980,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex6)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4979,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex7)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4978,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex8)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4977,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex9)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4976,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex10)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4975,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex11)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4974,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex12)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4973,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex13)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4972,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex14)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4971,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex15)
    <=> v12734(VarCurr) ) )).

fof(addAssignment_4970,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr,bitIndex16)
    <=> v12734(VarCurr) ) )).

fof(writeUnaryOperator_1711,axiom,(
    ! [VarCurr] :
      ( ~ v12734(VarCurr)
    <=> v12685(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_112,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12676(VarCurr,B)
      <=> ( v12677(VarCurr,B)
          | v12730(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_111,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12730(VarCurr,B)
      <=> ( v12731(VarCurr,B)
          & v12732(VarCurr,B) ) ) ) )).

fof(addAssignment_4969,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex0)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4968,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex1)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4967,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex2)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4966,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex3)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4965,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex4)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4964,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex5)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4963,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex6)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4962,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex7)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4961,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex8)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4960,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex9)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4959,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex10)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4958,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex11)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4957,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex12)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4956,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex13)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4955,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex14)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4954,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex15)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4953,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr,bitIndex16)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(addAssignment_4952,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12731(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4951,axiom,(
    ! [VarCurr] :
      ( ( v12731(VarCurr,bitIndex16)
      <=> v12678(VarCurr,bitIndex12) )
      & ( v12731(VarCurr,bitIndex15)
      <=> v12678(VarCurr,bitIndex11) )
      & ( v12731(VarCurr,bitIndex14)
      <=> v12678(VarCurr,bitIndex10) )
      & ( v12731(VarCurr,bitIndex13)
      <=> v12678(VarCurr,bitIndex9) )
      & ( v12731(VarCurr,bitIndex12)
      <=> v12678(VarCurr,bitIndex8) )
      & ( v12731(VarCurr,bitIndex11)
      <=> v12678(VarCurr,bitIndex7) )
      & ( v12731(VarCurr,bitIndex10)
      <=> v12678(VarCurr,bitIndex6) )
      & ( v12731(VarCurr,bitIndex9)
      <=> v12678(VarCurr,bitIndex5) )
      & ( v12731(VarCurr,bitIndex8)
      <=> v12678(VarCurr,bitIndex4) )
      & ( v12731(VarCurr,bitIndex7)
      <=> v12678(VarCurr,bitIndex3) )
      & ( v12731(VarCurr,bitIndex6)
      <=> v12678(VarCurr,bitIndex2) )
      & ( v12731(VarCurr,bitIndex5)
      <=> v12678(VarCurr,bitIndex1) )
      & ( v12731(VarCurr,bitIndex4)
      <=> v12678(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_110,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12677(VarCurr,B)
      <=> ( v12678(VarCurr,B)
          & v12728(VarCurr,B) ) ) ) )).

fof(addAssignment_4950,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex0)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4949,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex1)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4948,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex2)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4947,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex3)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4946,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex4)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4945,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex5)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4944,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex6)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4943,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex7)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4942,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex8)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4941,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex9)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4940,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex10)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4939,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex11)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4938,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex12)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4937,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex13)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4936,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex14)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4935,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex15)
    <=> v12729(VarCurr) ) )).

fof(addAssignment_4934,axiom,(
    ! [VarCurr] :
      ( v12728(VarCurr,bitIndex16)
    <=> v12729(VarCurr) ) )).

fof(writeUnaryOperator_1710,axiom,(
    ! [VarCurr] :
      ( ~ v12729(VarCurr)
    <=> v12685(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_109,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12678(VarCurr,B)
      <=> ( v12679(VarCurr,B)
          | v12725(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_108,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12725(VarCurr,B)
      <=> ( v12726(VarCurr,B)
          & v12727(VarCurr,B) ) ) ) )).

fof(addAssignment_4933,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex0)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4932,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex1)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4931,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex2)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4930,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex3)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4929,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex4)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4928,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex5)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4927,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex6)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4926,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex7)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4925,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex8)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4924,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex9)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4923,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex10)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4922,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex11)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4921,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex12)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4920,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex13)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4919,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex14)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4918,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex15)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4917,axiom,(
    ! [VarCurr] :
      ( v12727(VarCurr,bitIndex16)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(addAssignment_4916,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v12726(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4915,axiom,(
    ! [VarCurr] :
      ( ( v12726(VarCurr,bitIndex16)
      <=> v12680(VarCurr,bitIndex14) )
      & ( v12726(VarCurr,bitIndex15)
      <=> v12680(VarCurr,bitIndex13) )
      & ( v12726(VarCurr,bitIndex14)
      <=> v12680(VarCurr,bitIndex12) )
      & ( v12726(VarCurr,bitIndex13)
      <=> v12680(VarCurr,bitIndex11) )
      & ( v12726(VarCurr,bitIndex12)
      <=> v12680(VarCurr,bitIndex10) )
      & ( v12726(VarCurr,bitIndex11)
      <=> v12680(VarCurr,bitIndex9) )
      & ( v12726(VarCurr,bitIndex10)
      <=> v12680(VarCurr,bitIndex8) )
      & ( v12726(VarCurr,bitIndex9)
      <=> v12680(VarCurr,bitIndex7) )
      & ( v12726(VarCurr,bitIndex8)
      <=> v12680(VarCurr,bitIndex6) )
      & ( v12726(VarCurr,bitIndex7)
      <=> v12680(VarCurr,bitIndex5) )
      & ( v12726(VarCurr,bitIndex6)
      <=> v12680(VarCurr,bitIndex4) )
      & ( v12726(VarCurr,bitIndex5)
      <=> v12680(VarCurr,bitIndex3) )
      & ( v12726(VarCurr,bitIndex4)
      <=> v12680(VarCurr,bitIndex2) )
      & ( v12726(VarCurr,bitIndex3)
      <=> v12680(VarCurr,bitIndex1) )
      & ( v12726(VarCurr,bitIndex2)
      <=> v12680(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_107,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12679(VarCurr,B)
      <=> ( v12680(VarCurr,B)
          & v12723(VarCurr,B) ) ) ) )).

fof(addAssignment_4914,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex0)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4913,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex1)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4912,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex2)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4911,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex3)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4910,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex4)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4909,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex5)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4908,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex6)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4907,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex7)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4906,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex8)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4905,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex9)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4904,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex10)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4903,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex11)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4902,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex12)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4901,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex13)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4900,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex14)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4899,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex15)
    <=> v12724(VarCurr) ) )).

fof(addAssignment_4898,axiom,(
    ! [VarCurr] :
      ( v12723(VarCurr,bitIndex16)
    <=> v12724(VarCurr) ) )).

fof(writeUnaryOperator_1709,axiom,(
    ! [VarCurr] :
      ( ~ v12724(VarCurr)
    <=> v12685(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_106,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12680(VarCurr,B)
      <=> ( v12681(VarCurr,B)
          | v12720(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_105,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12720(VarCurr,B)
      <=> ( v12721(VarCurr,B)
          & v12722(VarCurr,B) ) ) ) )).

fof(addAssignment_4897,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex0)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4896,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex1)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4895,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex2)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4894,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex3)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4893,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex4)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4892,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex5)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4891,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex6)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4890,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex7)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4889,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex8)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4888,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex9)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4887,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex10)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4886,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex11)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4885,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex12)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4884,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex13)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4883,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex14)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4882,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex15)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4881,axiom,(
    ! [VarCurr] :
      ( v12722(VarCurr,bitIndex16)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4880,axiom,(
    ! [VarCurr] :
      ( v12721(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_4879,axiom,(
    ! [VarCurr] :
      ( ( v12721(VarCurr,bitIndex16)
      <=> v12682(VarCurr,bitIndex15) )
      & ( v12721(VarCurr,bitIndex15)
      <=> v12682(VarCurr,bitIndex14) )
      & ( v12721(VarCurr,bitIndex14)
      <=> v12682(VarCurr,bitIndex13) )
      & ( v12721(VarCurr,bitIndex13)
      <=> v12682(VarCurr,bitIndex12) )
      & ( v12721(VarCurr,bitIndex12)
      <=> v12682(VarCurr,bitIndex11) )
      & ( v12721(VarCurr,bitIndex11)
      <=> v12682(VarCurr,bitIndex10) )
      & ( v12721(VarCurr,bitIndex10)
      <=> v12682(VarCurr,bitIndex9) )
      & ( v12721(VarCurr,bitIndex9)
      <=> v12682(VarCurr,bitIndex8) )
      & ( v12721(VarCurr,bitIndex8)
      <=> v12682(VarCurr,bitIndex7) )
      & ( v12721(VarCurr,bitIndex7)
      <=> v12682(VarCurr,bitIndex6) )
      & ( v12721(VarCurr,bitIndex6)
      <=> v12682(VarCurr,bitIndex5) )
      & ( v12721(VarCurr,bitIndex5)
      <=> v12682(VarCurr,bitIndex4) )
      & ( v12721(VarCurr,bitIndex4)
      <=> v12682(VarCurr,bitIndex3) )
      & ( v12721(VarCurr,bitIndex3)
      <=> v12682(VarCurr,bitIndex2) )
      & ( v12721(VarCurr,bitIndex2)
      <=> v12682(VarCurr,bitIndex1) )
      & ( v12721(VarCurr,bitIndex1)
      <=> v12682(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_104,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v12681(VarCurr,B)
      <=> ( v12682(VarCurr,B)
          & v12683(VarCurr,B) ) ) ) )).

fof(range_axiom_69,axiom,(
    ! [B] :
      ( range_16_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B ) ) )).

fof(addAssignment_4878,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex0)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4877,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex1)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4876,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex2)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4875,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex3)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4874,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex4)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4873,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex5)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4872,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex6)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4871,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex7)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4870,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex8)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4869,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex9)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4868,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex10)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4867,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex11)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4866,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex12)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4865,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex13)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4864,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex14)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4863,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex15)
    <=> v12684(VarCurr) ) )).

fof(addAssignment_4862,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr,bitIndex16)
    <=> v12684(VarCurr) ) )).

fof(writeUnaryOperator_1708,axiom,(
    ! [VarCurr] :
      ( ~ v12684(VarCurr)
    <=> v12685(VarCurr,bitIndex0) ) )).

fof(addAssignment_4861,axiom,(
    ! [VarCurr] :
      ( v12685(VarCurr,bitIndex0)
    <=> v12694(VarCurr) ) )).

fof(addAssignment_4860,axiom,(
    ! [VarCurr] :
      ( v12685(VarCurr,bitIndex1)
    <=> v12716(VarCurr) ) )).

fof(addAssignment_4859,axiom,(
    ! [VarCurr] :
      ( v12685(VarCurr,bitIndex2)
    <=> v12711(VarCurr) ) )).

fof(addAssignment_4858,axiom,(
    ! [VarCurr] :
      ( v12685(VarCurr,bitIndex3)
    <=> v12687(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3065,axiom,(
    ! [VarCurr] :
      ( v12716(VarCurr)
    <=> ( v12717(VarCurr)
        & v12719(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3064,axiom,(
    ! [VarCurr] :
      ( v12719(VarCurr)
    <=> ( v12670(VarCurr,bitIndex0)
        | v12706(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3063,axiom,(
    ! [VarCurr] :
      ( v12717(VarCurr)
    <=> ( v12694(VarCurr)
        | v12718(VarCurr) ) ) )).

fof(writeUnaryOperator_1707,axiom,(
    ! [VarCurr] :
      ( ~ v12718(VarCurr)
    <=> v12706(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3062,axiom,(
    ! [VarCurr] :
      ( v12711(VarCurr)
    <=> ( v12712(VarCurr)
        & v12715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3061,axiom,(
    ! [VarCurr] :
      ( v12715(VarCurr)
    <=> ( v12701(VarCurr)
        | v12705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3060,axiom,(
    ! [VarCurr] :
      ( v12712(VarCurr)
    <=> ( v12713(VarCurr)
        | v12714(VarCurr) ) ) )).

fof(writeUnaryOperator_1706,axiom,(
    ! [VarCurr] :
      ( ~ v12714(VarCurr)
    <=> v12705(VarCurr) ) )).

fof(writeUnaryOperator_1705,axiom,(
    ! [VarCurr] :
      ( ~ v12713(VarCurr)
    <=> v12701(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3059,axiom,(
    ! [VarCurr] :
      ( v12687(VarCurr)
    <=> ( v12688(VarCurr)
        & v12709(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3058,axiom,(
    ! [VarCurr] :
      ( v12709(VarCurr)
    <=> ( v12710(VarCurr)
        | v12700(VarCurr) ) ) )).

fof(writeUnaryOperator_1704,axiom,(
    ! [VarCurr] :
      ( ~ v12710(VarCurr)
    <=> v12689(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3057,axiom,(
    ! [VarCurr] :
      ( v12688(VarCurr)
    <=> ( v12689(VarCurr)
        | v12699(VarCurr) ) ) )).

fof(writeUnaryOperator_1703,axiom,(
    ! [VarCurr] :
      ( ~ v12699(VarCurr)
    <=> v12700(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3056,axiom,(
    ! [VarCurr] :
      ( v12700(VarCurr)
    <=> ( v12701(VarCurr)
        & v12705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3055,axiom,(
    ! [VarCurr] :
      ( v12705(VarCurr)
    <=> ( v12670(VarCurr,bitIndex0)
        & v12706(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3054,axiom,(
    ! [VarCurr] :
      ( v12706(VarCurr)
    <=> ( v12707(VarCurr)
        & v12708(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3053,axiom,(
    ! [VarCurr] :
      ( v12708(VarCurr)
    <=> ( v12694(VarCurr)
        | v12695(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1163,axiom,(
    ! [VarCurr] :
      ( v12707(VarCurr)
    <=> ( v12670(VarCurr,bitIndex0)
        | v12670(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3052,axiom,(
    ! [VarCurr] :
      ( v12701(VarCurr)
    <=> ( v12702(VarCurr)
        & v12704(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3051,axiom,(
    ! [VarCurr] :
      ( v12704(VarCurr)
    <=> ( v12693(VarCurr)
        | v12696(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1162,axiom,(
    ! [VarCurr] :
      ( v12702(VarCurr)
    <=> ( v12703(VarCurr)
        | v12670(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_1702,axiom,(
    ! [VarCurr] :
      ( ~ v12703(VarCurr)
    <=> v12693(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3050,axiom,(
    ! [VarCurr] :
      ( v12689(VarCurr)
    <=> ( v12690(VarCurr)
        & v12697(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3049,axiom,(
    ! [VarCurr] :
      ( v12697(VarCurr)
    <=> ( v12692(VarCurr)
        | v12698(VarCurr) ) ) )).

fof(writeUnaryOperator_1701,axiom,(
    ! [VarCurr] :
      ( ~ v12698(VarCurr)
    <=> v12670(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1161,axiom,(
    ! [VarCurr] :
      ( v12690(VarCurr)
    <=> ( v12691(VarCurr)
        | v12670(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_1700,axiom,(
    ! [VarCurr] :
      ( ~ v12691(VarCurr)
    <=> v12692(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3048,axiom,(
    ! [VarCurr] :
      ( v12692(VarCurr)
    <=> ( v12693(VarCurr)
        & v12696(VarCurr) ) ) )).

fof(writeUnaryOperator_1699,axiom,(
    ! [VarCurr] :
      ( ~ v12696(VarCurr)
    <=> v12670(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3047,axiom,(
    ! [VarCurr] :
      ( v12693(VarCurr)
    <=> ( v12694(VarCurr)
        & v12695(VarCurr) ) ) )).

fof(writeUnaryOperator_1698,axiom,(
    ! [VarCurr] :
      ( ~ v12695(VarCurr)
    <=> v12670(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1697,axiom,(
    ! [VarCurr] :
      ( ~ v12694(VarCurr)
    <=> v12670(VarCurr,bitIndex0) ) )).

fof(addAssignment_4857,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v12682(VarCurr,B)
      <=> $true ) ) )).

fof(addAssignment_4856,axiom,(
    ! [VarCurr] :
      ( ( v12682(VarCurr,bitIndex16)
      <=> v12144(VarCurr,bitIndex8) )
      & ( v12682(VarCurr,bitIndex15)
      <=> v12144(VarCurr,bitIndex7) )
      & ( v12682(VarCurr,bitIndex14)
      <=> v12144(VarCurr,bitIndex6) )
      & ( v12682(VarCurr,bitIndex13)
      <=> v12144(VarCurr,bitIndex5) )
      & ( v12682(VarCurr,bitIndex12)
      <=> v12144(VarCurr,bitIndex4) )
      & ( v12682(VarCurr,bitIndex11)
      <=> v12144(VarCurr,bitIndex3) )
      & ( v12682(VarCurr,bitIndex10)
      <=> v12144(VarCurr,bitIndex2) )
      & ( v12682(VarCurr,bitIndex9)
      <=> v12144(VarCurr,bitIndex1) )
      & ( v12682(VarCurr,bitIndex8)
      <=> v12144(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_4855,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12670(VarCurr,B)
      <=> v12672(VarCurr,B) ) ) )).

fof(addAssignment_4854,axiom,(
    ! [VarCurr] :
      ( ( v12672(VarCurr,bitIndex3)
      <=> v649(VarCurr,bitIndex8) )
      & ( v12672(VarCurr,bitIndex2)
      <=> v649(VarCurr,bitIndex7) )
      & ( v12672(VarCurr,bitIndex1)
      <=> v649(VarCurr,bitIndex6) )
      & ( v12672(VarCurr,bitIndex0)
      <=> v649(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_4853,axiom,(
    ! [VarCurr,B] :
      ( range_8_5(B)
     => ( v649(VarCurr,B)
      <=> v651(VarCurr,B) ) ) )).

fof(addAssignment_4852,axiom,(
    ! [VarCurr,B] :
      ( range_8_5(B)
     => ( v651(VarCurr,B)
      <=> v2658(VarCurr,B) ) ) )).

fof(range_axiom_68,axiom,(
    ! [B] :
      ( range_8_5(B)
    <=> ( $false
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_4851,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex8)
    <=> v12480(VarCurr,bitIndex8) ) )).

fof(addAssignment_4850,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex7)
    <=> v12480(VarCurr,bitIndex7) ) )).

fof(addAssignment_4849,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex6)
    <=> v12480(VarCurr,bitIndex6) ) )).

fof(addAssignment_4848,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex5)
    <=> v12480(VarCurr,bitIndex5) ) )).

fof(addAssignment_4847,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex4)
    <=> v12480(VarCurr,bitIndex4) ) )).

fof(addAssignment_4846,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex3)
    <=> v12480(VarCurr,bitIndex3) ) )).

fof(addAssignment_4845,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex2)
    <=> v12480(VarCurr,bitIndex2) ) )).

fof(addAssignment_4844,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex1)
    <=> v12480(VarCurr,bitIndex1) ) )).

fof(addAssignment_4843,axiom,(
    ! [VarCurr] :
      ( v12144(VarCurr,bitIndex0)
    <=> v12480(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_103,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12480(VarCurr,B)
      <=> ( v12482(VarCurr,B)
          | v12575(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_102,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12575(VarCurr,B)
      <=> ( v12576(VarCurr,B)
          & v12668(VarCurr,B) ) ) ) )).

fof(addAssignment_4842,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4841,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4840,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4839,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4838,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4837,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4836,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4835,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4834,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4833,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4832,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4831,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4830,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4829,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4828,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4827,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4826,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4825,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4824,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4823,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4822,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4821,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4820,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4819,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4818,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4817,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4816,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4815,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4814,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4813,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4812,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4811,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4810,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4809,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4808,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4807,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4806,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex36)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4805,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex37)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4804,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex38)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4803,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr,bitIndex39)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(addAssignment_4802,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12576(VarCurr,B)
      <=> v12578(VarCurr,B) ) ) )).

fof(addAssignment_4801,axiom,(
    ! [VarCurr] :
      ( ( v12576(VarCurr,bitIndex39)
      <=> $false )
      & ( v12576(VarCurr,bitIndex38)
      <=> $false )
      & ( v12576(VarCurr,bitIndex37)
      <=> $false )
      & ( v12576(VarCurr,bitIndex36)
      <=> $false )
      & ( v12576(VarCurr,bitIndex35)
      <=> $false )
      & ( v12576(VarCurr,bitIndex34)
      <=> $false )
      & ( v12576(VarCurr,bitIndex33)
      <=> $false )
      & ( v12576(VarCurr,bitIndex32)
      <=> $false )
      & ( v12576(VarCurr,bitIndex31)
      <=> $false )
      & ( v12576(VarCurr,bitIndex30)
      <=> $false )
      & ( v12576(VarCurr,bitIndex29)
      <=> $false )
      & ( v12576(VarCurr,bitIndex28)
      <=> $false )
      & ( v12576(VarCurr,bitIndex27)
      <=> $false )
      & ( v12576(VarCurr,bitIndex26)
      <=> $false )
      & ( v12576(VarCurr,bitIndex25)
      <=> $false )
      & ( v12576(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(bitBlastConstant_2172,axiom,(
    ~ b0000000000000000(bitIndex15) )).

fof(bitBlastConstant_2171,axiom,(
    ~ b0000000000000000(bitIndex14) )).

fof(bitBlastConstant_2170,axiom,(
    ~ b0000000000000000(bitIndex13) )).

fof(bitBlastConstant_2169,axiom,(
    ~ b0000000000000000(bitIndex12) )).

fof(bitBlastConstant_2168,axiom,(
    ~ b0000000000000000(bitIndex11) )).

fof(bitBlastConstant_2167,axiom,(
    ~ b0000000000000000(bitIndex10) )).

fof(bitBlastConstant_2166,axiom,(
    ~ b0000000000000000(bitIndex9) )).

fof(bitBlastConstant_2165,axiom,(
    ~ b0000000000000000(bitIndex8) )).

fof(bitBlastConstant_2164,axiom,(
    ~ b0000000000000000(bitIndex7) )).

fof(bitBlastConstant_2163,axiom,(
    ~ b0000000000000000(bitIndex6) )).

fof(bitBlastConstant_2162,axiom,(
    ~ b0000000000000000(bitIndex5) )).

fof(bitBlastConstant_2161,axiom,(
    ~ b0000000000000000(bitIndex4) )).

fof(bitBlastConstant_2160,axiom,(
    ~ b0000000000000000(bitIndex3) )).

fof(bitBlastConstant_2159,axiom,(
    ~ b0000000000000000(bitIndex2) )).

fof(bitBlastConstant_2158,axiom,(
    ~ b0000000000000000(bitIndex1) )).

fof(bitBlastConstant_2157,axiom,(
    ~ b0000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_101,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12578(VarCurr,B)
      <=> ( v12579(VarCurr,B)
          | v12623(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_100,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12623(VarCurr,B)
      <=> ( v12624(VarCurr,B)
          & v12667(VarCurr,B) ) ) ) )).

fof(addAssignment_4800,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4799,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4798,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4797,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4796,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4795,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4794,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4793,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4792,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4791,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4790,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4789,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4788,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4787,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4786,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4785,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4784,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4783,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4782,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4781,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4780,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4779,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4778,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4777,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4776,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12624(VarCurr,B)
      <=> v12625(VarCurr,B) ) ) )).

fof(addAssignment_4775,axiom,(
    ! [VarCurr] :
      ( ( v12624(VarCurr,bitIndex23)
      <=> $false )
      & ( v12624(VarCurr,bitIndex22)
      <=> $false )
      & ( v12624(VarCurr,bitIndex21)
      <=> $false )
      & ( v12624(VarCurr,bitIndex20)
      <=> $false )
      & ( v12624(VarCurr,bitIndex19)
      <=> $false )
      & ( v12624(VarCurr,bitIndex18)
      <=> $false )
      & ( v12624(VarCurr,bitIndex17)
      <=> $false )
      & ( v12624(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_99,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12625(VarCurr,B)
      <=> ( v12626(VarCurr,B)
          | v12646(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_98,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12646(VarCurr,B)
      <=> ( v12647(VarCurr,B)
          & v12666(VarCurr,B) ) ) ) )).

fof(addAssignment_4774,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4773,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4772,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4771,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4770,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4769,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4768,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4767,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4766,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4765,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4764,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4763,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4762,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4761,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4760,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4759,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4758,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v12647(VarCurr,B)
      <=> v12648(VarCurr,B) ) ) )).

fof(addAssignment_4757,axiom,(
    ! [VarCurr] :
      ( ( v12647(VarCurr,bitIndex15)
      <=> $false )
      & ( v12647(VarCurr,bitIndex14)
      <=> $false )
      & ( v12647(VarCurr,bitIndex13)
      <=> $false )
      & ( v12647(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_97,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v12648(VarCurr,B)
      <=> ( v12649(VarCurr,B)
          | v12657(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_96,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v12657(VarCurr,B)
      <=> ( v12658(VarCurr,B)
          & v12665(VarCurr,B) ) ) ) )).

fof(addAssignment_4756,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4755,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4754,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4753,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4752,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4751,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4750,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4749,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4748,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4747,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4746,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4745,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4744,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v12658(VarCurr,B)
      <=> v12659(VarCurr,B) ) ) )).

fof(addAssignment_4743,axiom,(
    ! [VarCurr] :
      ( ( v12658(VarCurr,bitIndex11)
      <=> $false )
      & ( v12658(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_95,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v12659(VarCurr,B)
      <=> ( v12660(VarCurr,B)
          | v12662(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_94,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v12662(VarCurr,B)
      <=> ( v12663(VarCurr,B)
          & v12664(VarCurr,B) ) ) ) )).

fof(addAssignment_4742,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4741,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4740,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4739,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4738,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4737,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4736,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4735,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4734,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4733,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4732,axiom,(
    ! [VarCurr] :
      ( ( v12663(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12663(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12663(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12663(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12663(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12663(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12663(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12663(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12663(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex31) ) ) )).

fof(addAssignment_4731,axiom,(
    ! [VarCurr] :
      ( v12663(VarCurr,bitIndex9)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1160,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12661(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1159,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12661(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1158,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12661(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1157,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12661(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1156,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12661(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1155,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12661(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1154,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12661(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1153,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12661(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1152,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12661(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1151,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12661(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_4730,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4729,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4728,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4727,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4726,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4725,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4724,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4723,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4722,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4721,axiom,(
    ! [VarCurr] :
      ( v12661(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_93,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v12649(VarCurr,B)
      <=> ( v12650(VarCurr,B)
          & v12656(VarCurr,B) ) ) ) )).

fof(addAssignment_4720,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4719,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4718,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4717,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4716,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4715,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4714,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4713,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4712,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4711,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4710,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4709,axiom,(
    ! [VarCurr] :
      ( v12656(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_92,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v12650(VarCurr,B)
      <=> ( v12651(VarCurr,B)
          | v12653(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_91,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v12653(VarCurr,B)
      <=> ( v12654(VarCurr,B)
          & v12655(VarCurr,B) ) ) ) )).

fof(addAssignment_4708,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4707,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4706,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4705,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4704,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4703,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4702,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4701,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4700,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4699,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4698,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4697,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4696,axiom,(
    ! [VarCurr] :
      ( ( v12654(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12654(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12654(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12654(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12654(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12654(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12654(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12654(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12654(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12654(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12654(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex29) ) ) )).

fof(addAssignment_4695,axiom,(
    ! [VarCurr] :
      ( v12654(VarCurr,bitIndex11)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1150,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12652(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1149,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12652(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1148,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12652(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1147,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12652(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1146,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12652(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1145,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12652(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1144,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12652(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1143,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12652(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1142,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12652(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1141,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12652(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1140,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12652(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1139,axiom,(
    ! [VarCurr] :
      ( v12651(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12652(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_4694,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4693,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4692,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4691,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4690,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4689,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4688,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4687,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4686,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4685,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4684,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4683,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_90,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12626(VarCurr,B)
      <=> ( v12627(VarCurr,B)
          & v12645(VarCurr,B) ) ) ) )).

fof(addAssignment_4682,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex0)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4681,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex1)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4680,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex2)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4679,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex3)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4678,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex4)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4677,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex5)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4676,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex6)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4675,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex7)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4674,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex8)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4673,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex9)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4672,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex10)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4671,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex11)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4670,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex12)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4669,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex13)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4668,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex14)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4667,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr,bitIndex15)
    <=> v12387(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_89,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12627(VarCurr,B)
      <=> ( v12628(VarCurr,B)
          | v12636(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_88,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12636(VarCurr,B)
      <=> ( v12637(VarCurr,B)
          & v12644(VarCurr,B) ) ) ) )).

fof(addAssignment_4666,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4665,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4664,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4663,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4662,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4661,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4660,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4659,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4658,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4657,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4656,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4655,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4654,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4653,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4652,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4651,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4650,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v12637(VarCurr,B)
      <=> v12638(VarCurr,B) ) ) )).

fof(addAssignment_4649,axiom,(
    ! [VarCurr] :
      ( ( v12637(VarCurr,bitIndex15)
      <=> $false )
      & ( v12637(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_87,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v12638(VarCurr,B)
      <=> ( v12639(VarCurr,B)
          | v12641(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_86,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v12641(VarCurr,B)
      <=> ( v12642(VarCurr,B)
          & v12643(VarCurr,B) ) ) ) )).

fof(addAssignment_4648,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4647,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4646,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4645,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4644,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4643,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4642,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4641,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4640,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4639,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4638,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4637,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4636,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4635,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4634,axiom,(
    ! [VarCurr] :
      ( ( v12642(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12642(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12642(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12642(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12642(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12642(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12642(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12642(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12642(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12642(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12642(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12642(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12642(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex27) ) ) )).

fof(addAssignment_4633,axiom,(
    ! [VarCurr] :
      ( v12642(VarCurr,bitIndex13)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1138,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12640(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1137,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12640(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1136,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12640(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1135,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12640(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1134,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12640(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1133,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12640(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1132,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12640(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1131,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12640(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1130,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12640(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1129,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12640(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1128,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12640(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1127,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12640(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1126,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12640(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1125,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12640(VarCurr,bitIndex13) ) ) )).

fof(addAssignment_4632,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4631,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4630,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4629,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4628,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4627,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4626,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4625,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4624,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4623,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4622,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4621,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4620,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4619,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_85,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12628(VarCurr,B)
      <=> ( v12629(VarCurr,B)
          & v12635(VarCurr,B) ) ) ) )).

fof(addAssignment_4618,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4617,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4616,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4615,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4614,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4613,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4612,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4611,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4610,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4609,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4608,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4607,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4606,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex12)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4605,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex13)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4604,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex14)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4603,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr,bitIndex15)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_84,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12629(VarCurr,B)
      <=> ( v12630(VarCurr,B)
          | v12632(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_83,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12632(VarCurr,B)
      <=> ( v12633(VarCurr,B)
          & v12634(VarCurr,B) ) ) ) )).

fof(addAssignment_4602,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4601,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4600,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4599,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4598,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4597,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4596,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4595,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4594,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4593,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4592,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4591,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4590,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4589,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4588,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4587,axiom,(
    ! [VarCurr] :
      ( v12634(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4586,axiom,(
    ! [VarCurr] :
      ( ( v12633(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12633(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12633(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12633(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12633(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12633(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12633(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12633(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12633(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12633(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12633(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12633(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12633(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12633(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12633(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex25) ) ) )).

fof(addAssignment_4585,axiom,(
    ! [VarCurr] :
      ( v12633(VarCurr,bitIndex15)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1124,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12631(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1123,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12631(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1122,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12631(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1121,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12631(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1120,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12631(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1119,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12631(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1118,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12631(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1117,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12631(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1116,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12631(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1115,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12631(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1114,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12631(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1113,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12631(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1112,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12631(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1111,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12631(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1110,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12631(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1109,axiom,(
    ! [VarCurr] :
      ( v12630(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12631(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_4584,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4583,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4582,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4581,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4580,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4579,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4578,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4577,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4576,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4575,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4574,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4573,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4572,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4571,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4570,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4569,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_82,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12579(VarCurr,B)
      <=> ( v12580(VarCurr,B)
          & v12622(VarCurr,B) ) ) ) )).

fof(addAssignment_4568,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex0)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4567,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex1)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4566,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex2)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4565,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex3)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4564,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex4)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4563,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex5)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4562,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex6)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4561,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex7)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4560,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex8)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4559,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex9)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4558,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex10)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4557,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex11)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4556,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex12)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4555,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex13)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4554,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex14)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4553,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex15)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4552,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex16)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4551,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex17)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4550,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex18)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4549,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex19)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4548,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex20)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4547,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex21)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4546,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex22)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_4545,axiom,(
    ! [VarCurr] :
      ( v12622(VarCurr,bitIndex23)
    <=> v12382(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_81,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12580(VarCurr,B)
      <=> ( v12581(VarCurr,B)
          | v12601(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_80,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12601(VarCurr,B)
      <=> ( v12602(VarCurr,B)
          & v12621(VarCurr,B) ) ) ) )).

fof(addAssignment_4544,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4543,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4542,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4541,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4540,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4539,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4538,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4537,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4536,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4535,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4534,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4533,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4532,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4531,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4530,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4529,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4528,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4527,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4526,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4525,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4524,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4523,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4522,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4521,axiom,(
    ! [VarCurr] :
      ( v12621(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4520,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v12602(VarCurr,B)
      <=> v12603(VarCurr,B) ) ) )).

fof(addAssignment_4519,axiom,(
    ! [VarCurr] :
      ( ( v12602(VarCurr,bitIndex23)
      <=> $false )
      & ( v12602(VarCurr,bitIndex22)
      <=> $false )
      & ( v12602(VarCurr,bitIndex21)
      <=> $false )
      & ( v12602(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_79,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v12603(VarCurr,B)
      <=> ( v12604(VarCurr,B)
          | v12612(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_78,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v12612(VarCurr,B)
      <=> ( v12613(VarCurr,B)
          & v12620(VarCurr,B) ) ) ) )).

fof(addAssignment_4518,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4517,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4516,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4515,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4514,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4513,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4512,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4511,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4510,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4509,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4508,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4507,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4506,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4505,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4504,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4503,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4502,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4501,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4500,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4499,axiom,(
    ! [VarCurr] :
      ( v12620(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4498,axiom,(
    ! [VarCurr,B] :
      ( range_17_0(B)
     => ( v12613(VarCurr,B)
      <=> v12614(VarCurr,B) ) ) )).

fof(addAssignment_4497,axiom,(
    ! [VarCurr] :
      ( ( v12613(VarCurr,bitIndex19)
      <=> $false )
      & ( v12613(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_77,axiom,(
    ! [VarCurr,B] :
      ( range_17_0(B)
     => ( v12614(VarCurr,B)
      <=> ( v12615(VarCurr,B)
          | v12617(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_76,axiom,(
    ! [VarCurr,B] :
      ( range_17_0(B)
     => ( v12617(VarCurr,B)
      <=> ( v12618(VarCurr,B)
          & v12619(VarCurr,B) ) ) ) )).

fof(addAssignment_4496,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4495,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4494,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4493,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4492,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4491,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4490,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4489,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4488,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4487,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4486,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4485,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4484,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4483,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4482,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4481,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4480,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4479,axiom,(
    ! [VarCurr] :
      ( v12619(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4478,axiom,(
    ! [VarCurr] :
      ( ( v12618(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12618(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12618(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12618(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12618(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12618(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12618(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12618(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12618(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12618(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12618(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12618(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12618(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12618(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12618(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12618(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12618(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex23) ) ) )).

fof(addAssignment_4477,axiom,(
    ! [VarCurr] :
      ( v12618(VarCurr,bitIndex17)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1108,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12616(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1107,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12616(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1106,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12616(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1105,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12616(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1104,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12616(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1103,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12616(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1102,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12616(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1101,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12616(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1100,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12616(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1099,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12616(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1098,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12616(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1097,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12616(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1096,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12616(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1095,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12616(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1094,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12616(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1093,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12616(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1092,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12616(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1091,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12616(VarCurr,bitIndex17) ) ) )).

fof(addAssignment_4476,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4475,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4474,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4473,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4472,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4471,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4470,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4469,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4468,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4467,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4466,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4465,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4464,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4463,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4462,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4461,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4460,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4459,axiom,(
    ! [VarCurr] :
      ( v12616(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_75,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v12604(VarCurr,B)
      <=> ( v12605(VarCurr,B)
          & v12611(VarCurr,B) ) ) ) )).

fof(addAssignment_4458,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4457,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4456,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4455,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4454,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4453,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4452,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4451,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4450,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4449,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4448,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4447,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4446,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex12)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4445,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex13)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4444,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex14)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4443,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex15)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4442,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex16)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4441,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex17)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4440,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex18)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4439,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr,bitIndex19)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_74,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v12605(VarCurr,B)
      <=> ( v12606(VarCurr,B)
          | v12608(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_73,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v12608(VarCurr,B)
      <=> ( v12609(VarCurr,B)
          & v12610(VarCurr,B) ) ) ) )).

fof(range_axiom_67,axiom,(
    ! [B] :
      ( range_19_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B ) ) )).

fof(addAssignment_4438,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4437,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4436,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4435,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4434,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4433,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4432,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4431,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4430,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4429,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4428,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4427,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4426,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4425,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4424,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4423,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4422,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4421,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4420,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4419,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4418,axiom,(
    ! [VarCurr] :
      ( ( v12609(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12609(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12609(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12609(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12609(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12609(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12609(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12609(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12609(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12609(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12609(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12609(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12609(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12609(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12609(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12609(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12609(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12609(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12609(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex21) ) ) )).

fof(addAssignment_4417,axiom,(
    ! [VarCurr] :
      ( v12609(VarCurr,bitIndex19)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1090,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12607(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1089,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12607(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1088,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12607(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1087,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12607(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1086,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12607(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1085,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12607(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1084,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12607(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1083,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12607(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1082,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12607(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1081,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12607(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1080,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12607(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1079,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12607(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1078,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12607(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1077,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12607(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1076,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12607(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1075,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12607(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1074,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12607(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1073,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12607(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1072,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12607(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1071,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12607(VarCurr,bitIndex19) ) ) )).

fof(addAssignment_4416,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4415,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4414,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4413,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4412,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4411,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4410,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4409,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4408,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4407,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4406,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4405,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4404,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4403,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4402,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4401,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4400,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4399,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4398,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4397,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_72,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12581(VarCurr,B)
      <=> ( v12582(VarCurr,B)
          & v12600(VarCurr,B) ) ) ) )).

fof(addAssignment_4396,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex0)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4395,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex1)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4394,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex2)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4393,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex3)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4392,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex4)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4391,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex5)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4390,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex6)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4389,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex7)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4388,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex8)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4387,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex9)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4386,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex10)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4385,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex11)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4384,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex12)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4383,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex13)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4382,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex14)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4381,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex15)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4380,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex16)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4379,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex17)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4378,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex18)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4377,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex19)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4376,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex20)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4375,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex21)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4374,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex22)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_4373,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr,bitIndex23)
    <=> v12387(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_71,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12582(VarCurr,B)
      <=> ( v12583(VarCurr,B)
          | v12591(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_70,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12591(VarCurr,B)
      <=> ( v12592(VarCurr,B)
          & v12599(VarCurr,B) ) ) ) )).

fof(addAssignment_4372,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4371,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4370,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4369,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4368,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4367,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4366,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4365,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4364,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4363,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4362,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4361,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4360,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4359,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4358,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4357,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4356,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4355,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4354,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4353,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4352,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4351,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4350,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4349,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4348,axiom,(
    ! [VarCurr,B] :
      ( range_21_0(B)
     => ( v12592(VarCurr,B)
      <=> v12593(VarCurr,B) ) ) )).

fof(addAssignment_4347,axiom,(
    ! [VarCurr] :
      ( ( v12592(VarCurr,bitIndex23)
      <=> $false )
      & ( v12592(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_69,axiom,(
    ! [VarCurr,B] :
      ( range_21_0(B)
     => ( v12593(VarCurr,B)
      <=> ( v12594(VarCurr,B)
          | v12596(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_68,axiom,(
    ! [VarCurr,B] :
      ( range_21_0(B)
     => ( v12596(VarCurr,B)
      <=> ( v12597(VarCurr,B)
          & v12598(VarCurr,B) ) ) ) )).

fof(range_axiom_66,axiom,(
    ! [B] :
      ( range_21_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B ) ) )).

fof(addAssignment_4346,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4345,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4344,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4343,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4342,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4341,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4340,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4339,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4338,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4337,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4336,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4335,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4334,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4333,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4332,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4331,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4330,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4329,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4328,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4327,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4326,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4325,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4324,axiom,(
    ! [VarCurr] :
      ( ( v12597(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12597(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12597(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12597(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12597(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12597(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12597(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12597(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12597(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12597(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12597(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12597(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12597(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12597(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12597(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12597(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12597(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12597(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12597(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12597(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12597(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex19) ) ) )).

fof(addAssignment_4323,axiom,(
    ! [VarCurr] :
      ( v12597(VarCurr,bitIndex21)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1070,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12595(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1069,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12595(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1068,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12595(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1067,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12595(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1066,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12595(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1065,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12595(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1064,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12595(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1063,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12595(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1062,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12595(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1061,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12595(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1060,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12595(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1059,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12595(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1058,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12595(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1057,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12595(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1056,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12595(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1055,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12595(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1054,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12595(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1053,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12595(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1052,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12595(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1051,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12595(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1050,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12595(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1049,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12595(VarCurr,bitIndex21) ) ) )).

fof(addAssignment_4322,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4321,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4320,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4319,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4318,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4317,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4316,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4315,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4314,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4313,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4312,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4311,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4310,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4309,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4308,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4307,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4306,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4305,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4304,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4303,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4302,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4301,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_67,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12583(VarCurr,B)
      <=> ( v12584(VarCurr,B)
          & v12590(VarCurr,B) ) ) ) )).

fof(addAssignment_4300,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4299,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4298,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4297,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4296,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4295,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4294,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4293,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4292,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4291,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4290,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4289,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4288,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex12)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4287,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex13)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4286,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex14)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4285,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex15)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4284,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex16)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4283,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex17)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4282,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex18)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4281,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex19)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4280,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex20)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4279,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex21)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4278,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex22)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4277,axiom,(
    ! [VarCurr] :
      ( v12590(VarCurr,bitIndex23)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_66,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12584(VarCurr,B)
      <=> ( v12585(VarCurr,B)
          | v12587(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_65,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v12587(VarCurr,B)
      <=> ( v12588(VarCurr,B)
          & v12589(VarCurr,B) ) ) ) )).

fof(addAssignment_4276,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4275,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4274,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4273,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4272,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4271,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4270,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4269,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4268,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4267,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4266,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4265,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4264,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4263,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4262,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4261,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4260,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4259,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4258,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4257,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4256,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4255,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4254,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4253,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4252,axiom,(
    ! [VarCurr] :
      ( ( v12588(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12588(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12588(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12588(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12588(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12588(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12588(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12588(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12588(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12588(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12588(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12588(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12588(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12588(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12588(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12588(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12588(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12588(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12588(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12588(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12588(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12588(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12588(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex17) ) ) )).

fof(addAssignment_4251,axiom,(
    ! [VarCurr] :
      ( v12588(VarCurr,bitIndex23)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1048,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12586(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1047,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12586(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1046,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12586(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1045,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12586(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1044,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12586(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1043,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12586(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1042,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12586(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1041,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12586(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1040,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12586(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1039,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12586(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1038,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12586(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1037,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12586(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1036,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12586(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1035,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12586(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1034,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12586(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1033,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12586(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1032,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12586(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1031,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12586(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1030,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12586(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1029,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12586(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1028,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12586(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1027,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12586(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1026,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12586(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1025,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12586(VarCurr,bitIndex23) ) ) )).

fof(addAssignment_4250,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4249,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4248,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4247,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4246,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4245,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4244,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4243,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4242,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4241,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4240,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4239,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4238,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4237,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4236,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4235,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4234,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4233,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4232,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4231,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4230,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4229,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4228,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4227,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_64,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12482(VarCurr,B)
      <=> ( v12483(VarCurr,B)
          & v12574(VarCurr,B) ) ) ) )).

fof(addAssignment_4226,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex0)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4225,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex1)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4224,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex2)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4223,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex3)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4222,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex4)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4221,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex5)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4220,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex6)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4219,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex7)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4218,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex8)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4217,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex9)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4216,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex10)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4215,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex11)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4214,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex12)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4213,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex13)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4212,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex14)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4211,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex15)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4210,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex16)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4209,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex17)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4208,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex18)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4207,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex19)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4206,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex20)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4205,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex21)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4204,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex22)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4203,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex23)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4202,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex24)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4201,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex25)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4200,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex26)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4199,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex27)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4198,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex28)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4197,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex29)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4196,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex30)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4195,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex31)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4194,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex32)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4193,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex33)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4192,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex34)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4191,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex35)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4190,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex36)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4189,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex37)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4188,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex38)
    <=> v12377(VarCurr) ) )).

fof(addAssignment_4187,axiom,(
    ! [VarCurr] :
      ( v12574(VarCurr,bitIndex39)
    <=> v12377(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_63,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12483(VarCurr,B)
      <=> ( v12484(VarCurr,B)
          | v12529(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_62,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12529(VarCurr,B)
      <=> ( v12530(VarCurr,B)
          & v12573(VarCurr,B) ) ) ) )).

fof(addAssignment_4186,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4185,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4184,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4183,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4182,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4181,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4180,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4179,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4178,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4177,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4176,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4175,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4174,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4173,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4172,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4171,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4170,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4169,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4168,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4167,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4166,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4165,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4164,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4163,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4162,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4161,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4160,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4159,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4158,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4157,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4156,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4155,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4154,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4153,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4152,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4151,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4150,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex36)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4149,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex37)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4148,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex38)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4147,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr,bitIndex39)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(addAssignment_4146,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12530(VarCurr,B)
      <=> v12531(VarCurr,B) ) ) )).

fof(addAssignment_4145,axiom,(
    ! [VarCurr] :
      ( ( v12530(VarCurr,bitIndex39)
      <=> $false )
      & ( v12530(VarCurr,bitIndex38)
      <=> $false )
      & ( v12530(VarCurr,bitIndex37)
      <=> $false )
      & ( v12530(VarCurr,bitIndex36)
      <=> $false )
      & ( v12530(VarCurr,bitIndex35)
      <=> $false )
      & ( v12530(VarCurr,bitIndex34)
      <=> $false )
      & ( v12530(VarCurr,bitIndex33)
      <=> $false )
      & ( v12530(VarCurr,bitIndex32)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_61,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12531(VarCurr,B)
      <=> ( v12532(VarCurr,B)
          | v12552(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_60,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12552(VarCurr,B)
      <=> ( v12553(VarCurr,B)
          & v12572(VarCurr,B) ) ) ) )).

fof(addAssignment_4144,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4143,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4142,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4141,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4140,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4139,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4138,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4137,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4136,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4135,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4134,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4133,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4132,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4131,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4130,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4129,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4128,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4127,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4126,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4125,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4124,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4123,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4122,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4121,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4120,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4119,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4118,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4117,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4116,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4115,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4114,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4113,axiom,(
    ! [VarCurr] :
      ( v12572(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_4112,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v12553(VarCurr,B)
      <=> v12554(VarCurr,B) ) ) )).

fof(addAssignment_4111,axiom,(
    ! [VarCurr] :
      ( ( v12553(VarCurr,bitIndex31)
      <=> $false )
      & ( v12553(VarCurr,bitIndex30)
      <=> $false )
      & ( v12553(VarCurr,bitIndex29)
      <=> $false )
      & ( v12553(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_59,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v12554(VarCurr,B)
      <=> ( v12555(VarCurr,B)
          | v12563(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_58,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v12563(VarCurr,B)
      <=> ( v12564(VarCurr,B)
          & v12571(VarCurr,B) ) ) ) )).

fof(addAssignment_4110,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4109,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4108,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4107,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4106,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4105,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4104,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4103,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4102,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4101,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4100,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4099,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4098,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4097,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4096,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4095,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4094,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4093,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4092,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4091,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4090,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4089,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4088,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4087,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4086,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4085,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4084,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4083,axiom,(
    ! [VarCurr] :
      ( v12571(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_4082,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v12564(VarCurr,B)
      <=> v12565(VarCurr,B) ) ) )).

fof(addAssignment_4081,axiom,(
    ! [VarCurr] :
      ( ( v12564(VarCurr,bitIndex27)
      <=> $false )
      & ( v12564(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_57,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v12565(VarCurr,B)
      <=> ( v12566(VarCurr,B)
          | v12568(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_56,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v12568(VarCurr,B)
      <=> ( v12569(VarCurr,B)
          & v12570(VarCurr,B) ) ) ) )).

fof(addAssignment_4080,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4079,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4078,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4077,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4076,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4075,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4074,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4073,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4072,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4071,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4070,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4069,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4068,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4067,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4066,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4065,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4064,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4063,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4062,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4061,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4060,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4059,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4058,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4057,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4056,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4055,axiom,(
    ! [VarCurr] :
      ( v12570(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_4054,axiom,(
    ! [VarCurr] :
      ( ( v12569(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12569(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12569(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12569(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12569(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12569(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12569(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12569(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12569(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12569(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12569(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12569(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12569(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12569(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12569(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12569(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12569(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12569(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12569(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12569(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12569(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12569(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12569(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12569(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12569(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_4053,axiom,(
    ! [VarCurr] :
      ( v12569(VarCurr,bitIndex25)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1024,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex14)
        & v12567(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1023,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex15)
        & v12567(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1022,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12567(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1021,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12567(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1020,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12567(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1019,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12567(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1018,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12567(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1017,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12567(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1016,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12567(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1015,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12567(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1014,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12567(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1013,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12567(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1012,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12567(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1011,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12567(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1010,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12567(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1009,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12567(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1008,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12567(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1007,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12567(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1006,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12567(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1005,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12567(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1004,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12567(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1003,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12567(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1002,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12567(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1001,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12567(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1000,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex24)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12567(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_999,axiom,(
    ! [VarCurr] :
      ( v12566(VarCurr,bitIndex25)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12567(VarCurr,bitIndex25) ) ) )).

fof(addAssignment_4052,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4051,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4050,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4049,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4048,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4047,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4046,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4045,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4044,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4043,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4042,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4041,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4040,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4039,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4038,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4037,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4036,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4035,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4034,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4033,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4032,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4031,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4030,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4029,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4028,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_4027,axiom,(
    ! [VarCurr] :
      ( v12567(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_55,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v12555(VarCurr,B)
      <=> ( v12556(VarCurr,B)
          & v12562(VarCurr,B) ) ) ) )).

fof(addAssignment_4026,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4025,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4024,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4023,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4022,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4021,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4020,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4019,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4018,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4017,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4016,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4015,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4014,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex12)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4013,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex13)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4012,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex14)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4011,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex15)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4010,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex16)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4009,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex17)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4008,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex18)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4007,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex19)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4006,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex20)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4005,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex21)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4004,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex22)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4003,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex23)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4002,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex24)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4001,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex25)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_4000,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex26)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3999,axiom,(
    ! [VarCurr] :
      ( v12562(VarCurr,bitIndex27)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_54,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v12556(VarCurr,B)
      <=> ( v12557(VarCurr,B)
          | v12559(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_53,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v12559(VarCurr,B)
      <=> ( v12560(VarCurr,B)
          & v12561(VarCurr,B) ) ) ) )).

fof(addAssignment_3998,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3997,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3996,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3995,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3994,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3993,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3992,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3991,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3990,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3989,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3988,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3987,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3986,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3985,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3984,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3983,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3982,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3981,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3980,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3979,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3978,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3977,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3976,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3975,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3974,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3973,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3972,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3971,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3970,axiom,(
    ! [VarCurr] :
      ( ( v12560(VarCurr,bitIndex26)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12560(VarCurr,bitIndex25)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12560(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12560(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12560(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12560(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12560(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12560(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12560(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12560(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12560(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12560(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12560(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12560(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12560(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12560(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12560(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12560(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12560(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12560(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12560(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12560(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12560(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12560(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12560(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex15) )
      & ( v12560(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex14) )
      & ( v12560(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex13) ) ) )).

fof(addAssignment_3969,axiom,(
    ! [VarCurr] :
      ( v12560(VarCurr,bitIndex27)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_998,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex12)
        & v12558(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_997,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex13)
        & v12558(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_996,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex14)
        & v12558(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_995,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex15)
        & v12558(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_994,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12558(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_993,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12558(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_992,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12558(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_991,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12558(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_990,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12558(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_989,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12558(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_988,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12558(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_987,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12558(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_986,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12558(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_985,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12558(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_984,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12558(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_983,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12558(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_982,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12558(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_981,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12558(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_980,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12558(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_979,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12558(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_978,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12558(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_977,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12558(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_976,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12558(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_975,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12558(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_974,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex24)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12558(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_973,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex25)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12558(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_972,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex26)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12558(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_971,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr,bitIndex27)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12558(VarCurr,bitIndex27) ) ) )).

fof(addAssignment_3968,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3967,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3966,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3965,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3964,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3963,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3962,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3961,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3960,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3959,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3958,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3957,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3956,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3955,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3954,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3953,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3952,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3951,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3950,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3949,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3948,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3947,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3946,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3945,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3944,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3943,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3942,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex26)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3941,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr,bitIndex27)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_52,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12532(VarCurr,B)
      <=> ( v12533(VarCurr,B)
          & v12551(VarCurr,B) ) ) ) )).

fof(addAssignment_3940,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex0)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3939,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex1)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3938,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex2)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3937,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex3)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3936,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex4)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3935,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex5)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3934,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex6)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3933,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex7)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3932,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex8)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3931,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex9)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3930,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex10)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3929,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex11)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3928,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex12)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3927,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex13)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3926,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex14)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3925,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex15)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3924,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex16)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3923,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex17)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3922,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex18)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3921,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex19)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3920,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex20)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3919,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex21)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3918,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex22)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3917,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex23)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3916,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex24)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3915,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex25)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3914,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex26)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3913,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex27)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3912,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex28)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3911,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex29)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3910,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex30)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3909,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr,bitIndex31)
    <=> v12387(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_51,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12533(VarCurr,B)
      <=> ( v12534(VarCurr,B)
          | v12542(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_50,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12542(VarCurr,B)
      <=> ( v12543(VarCurr,B)
          & v12550(VarCurr,B) ) ) ) )).

fof(addAssignment_3908,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3907,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3906,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3905,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3904,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3903,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3902,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3901,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3900,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3899,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3898,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3897,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3896,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3895,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3894,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3893,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3892,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3891,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3890,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3889,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3888,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3887,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3886,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3885,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3884,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3883,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3882,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3881,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3880,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3879,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3878,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3877,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3876,axiom,(
    ! [VarCurr,B] :
      ( range_29_0(B)
     => ( v12543(VarCurr,B)
      <=> v12544(VarCurr,B) ) ) )).

fof(addAssignment_3875,axiom,(
    ! [VarCurr] :
      ( ( v12543(VarCurr,bitIndex31)
      <=> $false )
      & ( v12543(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_49,axiom,(
    ! [VarCurr,B] :
      ( range_29_0(B)
     => ( v12544(VarCurr,B)
      <=> ( v12545(VarCurr,B)
          | v12547(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_48,axiom,(
    ! [VarCurr,B] :
      ( range_29_0(B)
     => ( v12547(VarCurr,B)
      <=> ( v12548(VarCurr,B)
          & v12549(VarCurr,B) ) ) ) )).

fof(range_axiom_65,axiom,(
    ! [B] :
      ( range_29_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B ) ) )).

fof(addAssignment_3874,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3873,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3872,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3871,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3870,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3869,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3868,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3867,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3866,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3865,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3864,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3863,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3862,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3861,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3860,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3859,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3858,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3857,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3856,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3855,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3854,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3853,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3852,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3851,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3850,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3849,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3848,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3847,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3846,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3845,axiom,(
    ! [VarCurr] :
      ( v12549(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3844,axiom,(
    ! [VarCurr] :
      ( ( v12548(VarCurr,bitIndex28)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12548(VarCurr,bitIndex27)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12548(VarCurr,bitIndex26)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12548(VarCurr,bitIndex25)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12548(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12548(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12548(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12548(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12548(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12548(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12548(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12548(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12548(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12548(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12548(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12548(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12548(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12548(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12548(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12548(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12548(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12548(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12548(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12548(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12548(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex15) )
      & ( v12548(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex14) )
      & ( v12548(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex13) )
      & ( v12548(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex12) )
      & ( v12548(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_3843,axiom,(
    ! [VarCurr] :
      ( v12548(VarCurr,bitIndex29)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_970,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex10)
        & v12546(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_969,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex11)
        & v12546(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_968,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex12)
        & v12546(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_967,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex13)
        & v12546(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_966,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex14)
        & v12546(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_965,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex15)
        & v12546(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_964,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12546(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_963,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12546(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_962,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12546(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_961,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12546(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_960,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12546(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_959,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12546(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_958,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12546(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_957,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12546(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_956,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12546(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_955,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12546(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_954,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12546(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_953,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12546(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_952,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12546(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_951,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12546(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_950,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12546(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_949,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12546(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_948,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12546(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_947,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12546(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_946,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex24)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12546(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_945,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex25)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12546(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_944,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex26)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12546(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_943,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex27)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12546(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_942,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex28)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12546(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_941,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr,bitIndex29)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12546(VarCurr,bitIndex29) ) ) )).

fof(addAssignment_3842,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3841,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3840,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3839,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3838,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3837,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3836,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3835,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3834,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3833,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3832,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3831,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3830,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3829,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3828,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3827,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3826,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3825,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3824,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3823,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3822,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3821,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3820,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3819,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3818,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3817,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3816,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex26)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3815,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex27)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3814,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex28)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3813,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr,bitIndex29)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_47,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12534(VarCurr,B)
      <=> ( v12535(VarCurr,B)
          & v12541(VarCurr,B) ) ) ) )).

fof(addAssignment_3812,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3811,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3810,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3809,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3808,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3807,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3806,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3805,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3804,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3803,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3802,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3801,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3800,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex12)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3799,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex13)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3798,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex14)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3797,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex15)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3796,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex16)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3795,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex17)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3794,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex18)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3793,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex19)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3792,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex20)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3791,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex21)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3790,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex22)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3789,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex23)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3788,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex24)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3787,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex25)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3786,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex26)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3785,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex27)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3784,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex28)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3783,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex29)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3782,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex30)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3781,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr,bitIndex31)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_46,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12535(VarCurr,B)
      <=> ( v12536(VarCurr,B)
          | v12538(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_45,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12538(VarCurr,B)
      <=> ( v12539(VarCurr,B)
          & v12540(VarCurr,B) ) ) ) )).

fof(addAssignment_3780,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3779,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3778,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3777,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3776,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3775,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3774,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3773,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3772,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3771,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3770,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3769,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3768,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3767,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3766,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3765,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3764,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3763,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3762,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3761,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3760,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3759,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3758,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3757,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3756,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3755,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3754,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3753,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3752,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3751,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3750,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3749,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3748,axiom,(
    ! [VarCurr] :
      ( ( v12539(VarCurr,bitIndex30)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12539(VarCurr,bitIndex29)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12539(VarCurr,bitIndex28)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12539(VarCurr,bitIndex27)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12539(VarCurr,bitIndex26)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12539(VarCurr,bitIndex25)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12539(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12539(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12539(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12539(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12539(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12539(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12539(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12539(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12539(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12539(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12539(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12539(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12539(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12539(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12539(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12539(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12539(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12539(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12539(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex15) )
      & ( v12539(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex14) )
      & ( v12539(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex13) )
      & ( v12539(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex12) )
      & ( v12539(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex11) )
      & ( v12539(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex10) )
      & ( v12539(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_3747,axiom,(
    ! [VarCurr] :
      ( v12539(VarCurr,bitIndex31)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_940,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex8)
        & v12537(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_939,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex9)
        & v12537(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_938,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex10)
        & v12537(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_937,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex11)
        & v12537(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_936,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex12)
        & v12537(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_935,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex13)
        & v12537(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_934,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex14)
        & v12537(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_933,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex15)
        & v12537(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_932,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12537(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_931,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12537(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_930,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12537(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_929,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12537(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_928,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12537(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_927,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12537(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_926,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12537(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_925,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12537(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_924,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12537(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_923,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12537(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_922,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12537(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_921,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12537(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_920,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12537(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_919,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12537(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_918,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12537(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_917,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12537(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_916,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex24)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12537(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_915,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex25)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12537(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_914,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex26)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12537(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_913,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex27)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12537(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_912,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex28)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12537(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_911,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex29)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12537(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_910,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex30)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12537(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_909,axiom,(
    ! [VarCurr] :
      ( v12536(VarCurr,bitIndex31)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12537(VarCurr,bitIndex31) ) ) )).

fof(addAssignment_3746,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3745,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3744,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3743,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3742,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3741,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3740,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3739,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3738,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3737,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3736,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3735,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3734,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3733,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3732,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3731,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3730,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3729,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3728,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3727,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3726,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3725,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3724,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3723,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3722,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3721,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3720,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex26)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3719,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex27)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3718,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex28)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3717,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex29)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3716,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex30)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3715,axiom,(
    ! [VarCurr] :
      ( v12537(VarCurr,bitIndex31)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_44,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12484(VarCurr,B)
      <=> ( v12485(VarCurr,B)
          & v12528(VarCurr,B) ) ) ) )).

fof(addAssignment_3714,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex0)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3713,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex1)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3712,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex2)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3711,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex3)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3710,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex4)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3709,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex5)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3708,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex6)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3707,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex7)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3706,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex8)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3705,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex9)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3704,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex10)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3703,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex11)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3702,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex12)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3701,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex13)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3700,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex14)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3699,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex15)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3698,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex16)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3697,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex17)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3696,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex18)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3695,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex19)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3694,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex20)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3693,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex21)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3692,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex22)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3691,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex23)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3690,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex24)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3689,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex25)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3688,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex26)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3687,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex27)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3686,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex28)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3685,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex29)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3684,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex30)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3683,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex31)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3682,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex32)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3681,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex33)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3680,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex34)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3679,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex35)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3678,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex36)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3677,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex37)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3676,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex38)
    <=> v12382(VarCurr) ) )).

fof(addAssignment_3675,axiom,(
    ! [VarCurr] :
      ( v12528(VarCurr,bitIndex39)
    <=> v12382(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_43,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12485(VarCurr,B)
      <=> ( v12486(VarCurr,B)
          | v12507(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_42,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12507(VarCurr,B)
      <=> ( v12508(VarCurr,B)
          & v12527(VarCurr,B) ) ) ) )).

fof(addAssignment_3674,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3673,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3672,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3671,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3670,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3669,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3668,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3667,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3666,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3665,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3664,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3663,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3662,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3661,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3660,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3659,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3658,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3657,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3656,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3655,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3654,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3653,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3652,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3651,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3650,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3649,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3648,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3647,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3646,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3645,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3644,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3643,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3642,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3641,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3640,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3639,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3638,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex36)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3637,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex37)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3636,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex38)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3635,axiom,(
    ! [VarCurr] :
      ( v12527(VarCurr,bitIndex39)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(addAssignment_3634,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12508(VarCurr,B)
      <=> v12509(VarCurr,B) ) ) )).

fof(addAssignment_3633,axiom,(
    ! [VarCurr] :
      ( ( v12508(VarCurr,bitIndex39)
      <=> $false )
      & ( v12508(VarCurr,bitIndex38)
      <=> $false )
      & ( v12508(VarCurr,bitIndex37)
      <=> $false )
      & ( v12508(VarCurr,bitIndex36)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_41,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12509(VarCurr,B)
      <=> ( v12510(VarCurr,B)
          | v12518(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_40,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12518(VarCurr,B)
      <=> ( v12519(VarCurr,B)
          & v12526(VarCurr,B) ) ) ) )).

fof(addAssignment_3632,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3631,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3630,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3629,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3628,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3627,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3626,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3625,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3624,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3623,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3622,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3621,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3620,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3619,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3618,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3617,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3616,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3615,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3614,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3613,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3612,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3611,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3610,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3609,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3608,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3607,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3606,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3605,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3604,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3603,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3602,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3601,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3600,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3599,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3598,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3597,axiom,(
    ! [VarCurr] :
      ( v12526(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3596,axiom,(
    ! [VarCurr,B] :
      ( range_33_0(B)
     => ( v12519(VarCurr,B)
      <=> v12520(VarCurr,B) ) ) )).

fof(addAssignment_3595,axiom,(
    ! [VarCurr] :
      ( ( v12519(VarCurr,bitIndex35)
      <=> $false )
      & ( v12519(VarCurr,bitIndex34)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_39,axiom,(
    ! [VarCurr,B] :
      ( range_33_0(B)
     => ( v12520(VarCurr,B)
      <=> ( v12521(VarCurr,B)
          | v12523(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_38,axiom,(
    ! [VarCurr,B] :
      ( range_33_0(B)
     => ( v12523(VarCurr,B)
      <=> ( v12524(VarCurr,B)
          & v12525(VarCurr,B) ) ) ) )).

fof(range_axiom_64,axiom,(
    ! [B] :
      ( range_33_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B ) ) )).

fof(addAssignment_3594,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3593,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3592,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3591,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3590,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3589,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3588,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3587,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3586,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3585,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3584,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3583,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3582,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3581,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3580,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3579,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3578,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3577,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3576,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3575,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3574,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3573,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3572,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3571,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3570,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3569,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3568,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3567,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3566,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3565,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3564,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3563,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3562,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3561,axiom,(
    ! [VarCurr] :
      ( v12525(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3560,axiom,(
    ! [VarCurr] :
      ( ( v12524(VarCurr,bitIndex32)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12524(VarCurr,bitIndex31)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12524(VarCurr,bitIndex30)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12524(VarCurr,bitIndex29)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12524(VarCurr,bitIndex28)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12524(VarCurr,bitIndex27)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12524(VarCurr,bitIndex26)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12524(VarCurr,bitIndex25)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12524(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12524(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12524(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12524(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12524(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12524(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12524(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12524(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12524(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12524(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12524(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12524(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12524(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12524(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12524(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12524(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12524(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex15) )
      & ( v12524(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex14) )
      & ( v12524(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex13) )
      & ( v12524(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex12) )
      & ( v12524(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex11) )
      & ( v12524(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex10) )
      & ( v12524(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex9) )
      & ( v12524(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex8) )
      & ( v12524(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_3559,axiom,(
    ! [VarCurr] :
      ( v12524(VarCurr,bitIndex33)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_908,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex6)
        & v12522(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_907,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex7)
        & v12522(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_906,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex8)
        & v12522(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_905,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex9)
        & v12522(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_904,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex10)
        & v12522(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_903,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex11)
        & v12522(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_902,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex12)
        & v12522(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_901,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex13)
        & v12522(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_900,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex14)
        & v12522(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_899,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex15)
        & v12522(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_898,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12522(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_897,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12522(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_896,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12522(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_895,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12522(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_894,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12522(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_893,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12522(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_892,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12522(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_891,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12522(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_890,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12522(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_889,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12522(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_888,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12522(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_887,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12522(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_886,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12522(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_885,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12522(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_884,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex24)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12522(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_883,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex25)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12522(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_882,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex26)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12522(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_881,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex27)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12522(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_880,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex28)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12522(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_879,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex29)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12522(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_878,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex30)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12522(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_877,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex31)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12522(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_876,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex32)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12522(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorShiftedRanges_875,axiom,(
    ! [VarCurr] :
      ( v12521(VarCurr,bitIndex33)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12522(VarCurr,bitIndex33) ) ) )).

fof(addAssignment_3558,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3557,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3556,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3555,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3554,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3553,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3552,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3551,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3550,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3549,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3548,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3547,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3546,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3545,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3544,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3543,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3542,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3541,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3540,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3539,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3538,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3537,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3536,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3535,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3534,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3533,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3532,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex26)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3531,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex27)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3530,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex28)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3529,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex29)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3528,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex30)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3527,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex31)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3526,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex32)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3525,axiom,(
    ! [VarCurr] :
      ( v12522(VarCurr,bitIndex33)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_37,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12510(VarCurr,B)
      <=> ( v12511(VarCurr,B)
          & v12517(VarCurr,B) ) ) ) )).

fof(addAssignment_3524,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3523,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3522,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3521,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3520,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3519,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3518,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3517,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3516,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3515,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3514,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3513,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3512,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex12)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3511,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex13)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3510,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex14)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3509,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex15)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3508,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex16)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3507,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex17)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3506,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex18)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3505,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex19)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3504,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex20)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3503,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex21)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3502,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex22)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3501,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex23)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3500,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex24)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3499,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex25)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3498,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex26)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3497,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex27)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3496,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex28)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3495,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex29)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3494,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex30)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3493,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex31)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3492,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex32)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3491,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex33)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3490,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex34)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3489,axiom,(
    ! [VarCurr] :
      ( v12517(VarCurr,bitIndex35)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_36,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12511(VarCurr,B)
      <=> ( v12512(VarCurr,B)
          | v12514(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_35,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12514(VarCurr,B)
      <=> ( v12515(VarCurr,B)
          & v12516(VarCurr,B) ) ) ) )).

fof(addAssignment_3488,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3487,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3486,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3485,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3484,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3483,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3482,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3481,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3480,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3479,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3478,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3477,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3476,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3475,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3474,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3473,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3472,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3471,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3470,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3469,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3468,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3467,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3466,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3465,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3464,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3463,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3462,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3461,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3460,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3459,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3458,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3457,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3456,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3455,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3454,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3453,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3452,axiom,(
    ! [VarCurr] :
      ( ( v12515(VarCurr,bitIndex34)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12515(VarCurr,bitIndex33)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12515(VarCurr,bitIndex32)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12515(VarCurr,bitIndex31)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12515(VarCurr,bitIndex30)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12515(VarCurr,bitIndex29)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12515(VarCurr,bitIndex28)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12515(VarCurr,bitIndex27)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12515(VarCurr,bitIndex26)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12515(VarCurr,bitIndex25)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12515(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12515(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12515(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12515(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12515(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12515(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12515(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12515(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12515(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12515(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12515(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12515(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12515(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12515(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12515(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex15) )
      & ( v12515(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex14) )
      & ( v12515(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex13) )
      & ( v12515(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex12) )
      & ( v12515(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex11) )
      & ( v12515(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex10) )
      & ( v12515(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex9) )
      & ( v12515(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex8) )
      & ( v12515(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex7) )
      & ( v12515(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex6) )
      & ( v12515(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_3451,axiom,(
    ! [VarCurr] :
      ( v12515(VarCurr,bitIndex35)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_874,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex4)
        & v12513(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_873,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex5)
        & v12513(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_872,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex6)
        & v12513(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_871,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex7)
        & v12513(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_870,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex8)
        & v12513(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_869,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex9)
        & v12513(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_868,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex10)
        & v12513(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_867,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex11)
        & v12513(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_866,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex12)
        & v12513(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_865,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex13)
        & v12513(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_864,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex14)
        & v12513(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_863,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex15)
        & v12513(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_862,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12513(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_861,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12513(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_860,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12513(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_859,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12513(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_858,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12513(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_857,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12513(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_856,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12513(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_855,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12513(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_854,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12513(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_853,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12513(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_852,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12513(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_851,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12513(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_850,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex24)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12513(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_849,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex25)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12513(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_848,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex26)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12513(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_847,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex27)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12513(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_846,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex28)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12513(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_845,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex29)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12513(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_844,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex30)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12513(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_843,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex31)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12513(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_842,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex32)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12513(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorShiftedRanges_841,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex33)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12513(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorShiftedRanges_840,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex34)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12513(VarCurr,bitIndex34) ) ) )).

fof(writeBinaryOperatorShiftedRanges_839,axiom,(
    ! [VarCurr] :
      ( v12512(VarCurr,bitIndex35)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12513(VarCurr,bitIndex35) ) ) )).

fof(addAssignment_3450,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3449,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3448,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3447,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3446,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3445,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3444,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3443,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3442,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3441,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3440,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3439,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3438,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3437,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3436,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3435,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3434,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3433,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3432,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3431,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3430,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3429,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3428,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3427,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3426,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3425,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3424,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex26)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3423,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex27)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3422,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex28)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3421,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex29)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3420,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex30)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3419,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex31)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3418,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex32)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3417,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex33)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3416,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex34)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3415,axiom,(
    ! [VarCurr] :
      ( v12513(VarCurr,bitIndex35)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_34,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12486(VarCurr,B)
      <=> ( v12487(VarCurr,B)
          & v12506(VarCurr,B) ) ) ) )).

fof(addAssignment_3414,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex0)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3413,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex1)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3412,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex2)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3411,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex3)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3410,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex4)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3409,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex5)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3408,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex6)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3407,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex7)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3406,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex8)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3405,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex9)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3404,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex10)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3403,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex11)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3402,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex12)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3401,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex13)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3400,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex14)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3399,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex15)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3398,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex16)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3397,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex17)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3396,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex18)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3395,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex19)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3394,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex20)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3393,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex21)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3392,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex22)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3391,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex23)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3390,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex24)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3389,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex25)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3388,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex26)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3387,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex27)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3386,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex28)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3385,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex29)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3384,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex30)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3383,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex31)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3382,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex32)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3381,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex33)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3380,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex34)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3379,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex35)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3378,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex36)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3377,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex37)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3376,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex38)
    <=> v12387(VarCurr) ) )).

fof(addAssignment_3375,axiom,(
    ! [VarCurr] :
      ( v12506(VarCurr,bitIndex39)
    <=> v12387(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_33,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12487(VarCurr,B)
      <=> ( v12488(VarCurr,B)
          | v12497(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_32,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12497(VarCurr,B)
      <=> ( v12498(VarCurr,B)
          & v12505(VarCurr,B) ) ) ) )).

fof(addAssignment_3374,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3373,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3372,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3371,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3370,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3369,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3368,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3367,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3366,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3365,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3364,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3363,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3362,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3361,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3360,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3359,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3358,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3357,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3356,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3355,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3354,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3353,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3352,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3351,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3350,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3349,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3348,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3347,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3346,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3345,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3344,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3343,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3342,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3341,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3340,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3339,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3338,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex36)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3337,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex37)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3336,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex38)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3335,axiom,(
    ! [VarCurr] :
      ( v12505(VarCurr,bitIndex39)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(addAssignment_3334,axiom,(
    ! [VarCurr,B] :
      ( range_37_0(B)
     => ( v12498(VarCurr,B)
      <=> v12499(VarCurr,B) ) ) )).

fof(addAssignment_3333,axiom,(
    ! [VarCurr] :
      ( ( v12498(VarCurr,bitIndex39)
      <=> $false )
      & ( v12498(VarCurr,bitIndex38)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_31,axiom,(
    ! [VarCurr,B] :
      ( range_37_0(B)
     => ( v12499(VarCurr,B)
      <=> ( v12500(VarCurr,B)
          | v12502(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_30,axiom,(
    ! [VarCurr,B] :
      ( range_37_0(B)
     => ( v12502(VarCurr,B)
      <=> ( v12503(VarCurr,B)
          & v12504(VarCurr,B) ) ) ) )).

fof(range_axiom_63,axiom,(
    ! [B] :
      ( range_37_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B ) ) )).

fof(addAssignment_3332,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3331,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3330,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3329,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3328,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3327,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3326,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3325,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3324,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3323,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3322,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3321,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3320,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3319,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3318,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3317,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3316,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3315,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3314,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3313,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3312,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3311,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3310,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3309,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3308,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3307,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3306,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3305,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3304,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3303,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3302,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3301,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3300,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3299,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3298,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3297,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3296,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex36)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3295,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr,bitIndex37)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3294,axiom,(
    ! [VarCurr] :
      ( ( v12503(VarCurr,bitIndex36)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12503(VarCurr,bitIndex35)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12503(VarCurr,bitIndex34)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12503(VarCurr,bitIndex33)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12503(VarCurr,bitIndex32)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12503(VarCurr,bitIndex31)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12503(VarCurr,bitIndex30)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12503(VarCurr,bitIndex29)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12503(VarCurr,bitIndex28)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12503(VarCurr,bitIndex27)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12503(VarCurr,bitIndex26)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12503(VarCurr,bitIndex25)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12503(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12503(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12503(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12503(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12503(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12503(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12503(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12503(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12503(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12503(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12503(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12503(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12503(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex15) )
      & ( v12503(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex14) )
      & ( v12503(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex13) )
      & ( v12503(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex12) )
      & ( v12503(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex11) )
      & ( v12503(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex10) )
      & ( v12503(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex9) )
      & ( v12503(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex8) )
      & ( v12503(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex7) )
      & ( v12503(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex6) )
      & ( v12503(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex5) )
      & ( v12503(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex4) )
      & ( v12503(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_3293,axiom,(
    ! [VarCurr] :
      ( v12503(VarCurr,bitIndex37)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_838,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex0)
    <=> ( v12491(VarCurr,bitIndex2)
        & v12501(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_837,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex1)
    <=> ( v12491(VarCurr,bitIndex3)
        & v12501(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_836,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex2)
    <=> ( v12491(VarCurr,bitIndex4)
        & v12501(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_835,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex3)
    <=> ( v12491(VarCurr,bitIndex5)
        & v12501(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_834,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex4)
    <=> ( v12491(VarCurr,bitIndex6)
        & v12501(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_833,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex5)
    <=> ( v12491(VarCurr,bitIndex7)
        & v12501(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_832,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex6)
    <=> ( v12491(VarCurr,bitIndex8)
        & v12501(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_831,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex7)
    <=> ( v12491(VarCurr,bitIndex9)
        & v12501(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_830,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex8)
    <=> ( v12491(VarCurr,bitIndex10)
        & v12501(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_829,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex9)
    <=> ( v12491(VarCurr,bitIndex11)
        & v12501(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_828,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex10)
    <=> ( v12491(VarCurr,bitIndex12)
        & v12501(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_827,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex11)
    <=> ( v12491(VarCurr,bitIndex13)
        & v12501(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_826,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex12)
    <=> ( v12491(VarCurr,bitIndex14)
        & v12501(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_825,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex13)
    <=> ( v12491(VarCurr,bitIndex15)
        & v12501(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_824,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex14)
    <=> ( v12491(VarCurr,bitIndex16)
        & v12501(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_823,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex15)
    <=> ( v12491(VarCurr,bitIndex17)
        & v12501(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_822,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex16)
    <=> ( v12491(VarCurr,bitIndex18)
        & v12501(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_821,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex17)
    <=> ( v12491(VarCurr,bitIndex19)
        & v12501(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_820,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex18)
    <=> ( v12491(VarCurr,bitIndex20)
        & v12501(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_819,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex19)
    <=> ( v12491(VarCurr,bitIndex21)
        & v12501(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_818,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex20)
    <=> ( v12491(VarCurr,bitIndex22)
        & v12501(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_817,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex21)
    <=> ( v12491(VarCurr,bitIndex23)
        & v12501(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_816,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex22)
    <=> ( v12491(VarCurr,bitIndex24)
        & v12501(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_815,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex23)
    <=> ( v12491(VarCurr,bitIndex25)
        & v12501(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_814,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex24)
    <=> ( v12491(VarCurr,bitIndex26)
        & v12501(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_813,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex25)
    <=> ( v12491(VarCurr,bitIndex27)
        & v12501(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_812,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex26)
    <=> ( v12491(VarCurr,bitIndex28)
        & v12501(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_811,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex27)
    <=> ( v12491(VarCurr,bitIndex29)
        & v12501(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_810,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex28)
    <=> ( v12491(VarCurr,bitIndex30)
        & v12501(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_809,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex29)
    <=> ( v12491(VarCurr,bitIndex31)
        & v12501(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_808,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex30)
    <=> ( v12491(VarCurr,bitIndex32)
        & v12501(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_807,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex31)
    <=> ( v12491(VarCurr,bitIndex33)
        & v12501(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_806,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex32)
    <=> ( v12491(VarCurr,bitIndex34)
        & v12501(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorShiftedRanges_805,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex33)
    <=> ( v12491(VarCurr,bitIndex35)
        & v12501(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorShiftedRanges_804,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex34)
    <=> ( v12491(VarCurr,bitIndex36)
        & v12501(VarCurr,bitIndex34) ) ) )).

fof(writeBinaryOperatorShiftedRanges_803,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex35)
    <=> ( v12491(VarCurr,bitIndex37)
        & v12501(VarCurr,bitIndex35) ) ) )).

fof(writeBinaryOperatorShiftedRanges_802,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex36)
    <=> ( v12491(VarCurr,bitIndex38)
        & v12501(VarCurr,bitIndex36) ) ) )).

fof(writeBinaryOperatorShiftedRanges_801,axiom,(
    ! [VarCurr] :
      ( v12500(VarCurr,bitIndex37)
    <=> ( v12491(VarCurr,bitIndex39)
        & v12501(VarCurr,bitIndex37) ) ) )).

fof(addAssignment_3292,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3291,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3290,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3289,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3288,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3287,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3286,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3285,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3284,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3283,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3282,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3281,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3280,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3279,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3278,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3277,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3276,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3275,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3274,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3273,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3272,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3271,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3270,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3269,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3268,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3267,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3266,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex26)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3265,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex27)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3264,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex28)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3263,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex29)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3262,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex30)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3261,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex31)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3260,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex32)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3259,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex33)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3258,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex34)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3257,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex35)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3256,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex36)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3255,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr,bitIndex37)
    <=> v12391(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_29,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12488(VarCurr,B)
      <=> ( v12489(VarCurr,B)
          & v12496(VarCurr,B) ) ) ) )).

fof(addAssignment_3254,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex0)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3253,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex1)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3252,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex2)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3251,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex3)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3250,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex4)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3249,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex5)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3248,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex6)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3247,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex7)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3246,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex8)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3245,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex9)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3244,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex10)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3243,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex11)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3242,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex12)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3241,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex13)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3240,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex14)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3239,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex15)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3238,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex16)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3237,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex17)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3236,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex18)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3235,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex19)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3234,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex20)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3233,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex21)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3232,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex22)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3231,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex23)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3230,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex24)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3229,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex25)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3228,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex26)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3227,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex27)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3226,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex28)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3225,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex29)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3224,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex30)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3223,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex31)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3222,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex32)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3221,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex33)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3220,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex34)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3219,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex35)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3218,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex36)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3217,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex37)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3216,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex38)
    <=> v12392(VarCurr) ) )).

fof(addAssignment_3215,axiom,(
    ! [VarCurr] :
      ( v12496(VarCurr,bitIndex39)
    <=> v12392(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_28,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12489(VarCurr,B)
      <=> ( v12490(VarCurr,B)
          | v12493(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_27,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12493(VarCurr,B)
      <=> ( v12494(VarCurr,B)
          & v12495(VarCurr,B) ) ) ) )).

fof(addAssignment_3214,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex0)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3213,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex1)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3212,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex2)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3211,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex3)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3210,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex4)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3209,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex5)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3208,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex6)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3207,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex7)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3206,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex8)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3205,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex9)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3204,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex10)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3203,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex11)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3202,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex12)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3201,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex13)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3200,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex14)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3199,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex15)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3198,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex16)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3197,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex17)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3196,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex18)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3195,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex19)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3194,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex20)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3193,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex21)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3192,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex22)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3191,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex23)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3190,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex24)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3189,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex25)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3188,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex26)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3187,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex27)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3186,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex28)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3185,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex29)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3184,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex30)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3183,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex31)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3182,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex32)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3181,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex33)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3180,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex34)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3179,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex35)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3178,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex36)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3177,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex37)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3176,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex38)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3175,axiom,(
    ! [VarCurr] :
      ( v12495(VarCurr,bitIndex39)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(addAssignment_3174,axiom,(
    ! [VarCurr] :
      ( ( v12494(VarCurr,bitIndex38)
      <=> v12491(VarCurr,bitIndex39) )
      & ( v12494(VarCurr,bitIndex37)
      <=> v12491(VarCurr,bitIndex38) )
      & ( v12494(VarCurr,bitIndex36)
      <=> v12491(VarCurr,bitIndex37) )
      & ( v12494(VarCurr,bitIndex35)
      <=> v12491(VarCurr,bitIndex36) )
      & ( v12494(VarCurr,bitIndex34)
      <=> v12491(VarCurr,bitIndex35) )
      & ( v12494(VarCurr,bitIndex33)
      <=> v12491(VarCurr,bitIndex34) )
      & ( v12494(VarCurr,bitIndex32)
      <=> v12491(VarCurr,bitIndex33) )
      & ( v12494(VarCurr,bitIndex31)
      <=> v12491(VarCurr,bitIndex32) )
      & ( v12494(VarCurr,bitIndex30)
      <=> v12491(VarCurr,bitIndex31) )
      & ( v12494(VarCurr,bitIndex29)
      <=> v12491(VarCurr,bitIndex30) )
      & ( v12494(VarCurr,bitIndex28)
      <=> v12491(VarCurr,bitIndex29) )
      & ( v12494(VarCurr,bitIndex27)
      <=> v12491(VarCurr,bitIndex28) )
      & ( v12494(VarCurr,bitIndex26)
      <=> v12491(VarCurr,bitIndex27) )
      & ( v12494(VarCurr,bitIndex25)
      <=> v12491(VarCurr,bitIndex26) )
      & ( v12494(VarCurr,bitIndex24)
      <=> v12491(VarCurr,bitIndex25) )
      & ( v12494(VarCurr,bitIndex23)
      <=> v12491(VarCurr,bitIndex24) )
      & ( v12494(VarCurr,bitIndex22)
      <=> v12491(VarCurr,bitIndex23) )
      & ( v12494(VarCurr,bitIndex21)
      <=> v12491(VarCurr,bitIndex22) )
      & ( v12494(VarCurr,bitIndex20)
      <=> v12491(VarCurr,bitIndex21) )
      & ( v12494(VarCurr,bitIndex19)
      <=> v12491(VarCurr,bitIndex20) )
      & ( v12494(VarCurr,bitIndex18)
      <=> v12491(VarCurr,bitIndex19) )
      & ( v12494(VarCurr,bitIndex17)
      <=> v12491(VarCurr,bitIndex18) )
      & ( v12494(VarCurr,bitIndex16)
      <=> v12491(VarCurr,bitIndex17) )
      & ( v12494(VarCurr,bitIndex15)
      <=> v12491(VarCurr,bitIndex16) )
      & ( v12494(VarCurr,bitIndex14)
      <=> v12491(VarCurr,bitIndex15) )
      & ( v12494(VarCurr,bitIndex13)
      <=> v12491(VarCurr,bitIndex14) )
      & ( v12494(VarCurr,bitIndex12)
      <=> v12491(VarCurr,bitIndex13) )
      & ( v12494(VarCurr,bitIndex11)
      <=> v12491(VarCurr,bitIndex12) )
      & ( v12494(VarCurr,bitIndex10)
      <=> v12491(VarCurr,bitIndex11) )
      & ( v12494(VarCurr,bitIndex9)
      <=> v12491(VarCurr,bitIndex10) )
      & ( v12494(VarCurr,bitIndex8)
      <=> v12491(VarCurr,bitIndex9) )
      & ( v12494(VarCurr,bitIndex7)
      <=> v12491(VarCurr,bitIndex8) )
      & ( v12494(VarCurr,bitIndex6)
      <=> v12491(VarCurr,bitIndex7) )
      & ( v12494(VarCurr,bitIndex5)
      <=> v12491(VarCurr,bitIndex6) )
      & ( v12494(VarCurr,bitIndex4)
      <=> v12491(VarCurr,bitIndex5) )
      & ( v12494(VarCurr,bitIndex3)
      <=> v12491(VarCurr,bitIndex4) )
      & ( v12494(VarCurr,bitIndex2)
      <=> v12491(VarCurr,bitIndex3) )
      & ( v12494(VarCurr,bitIndex1)
      <=> v12491(VarCurr,bitIndex2) )
      & ( v12494(VarCurr,bitIndex0)
      <=> v12491(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_3173,axiom,(
    ! [VarCurr] :
      ( v12494(VarCurr,bitIndex39)
    <=> $false ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_26,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v12490(VarCurr,B)
      <=> ( v12491(VarCurr,B)
          & v12492(VarCurr,B) ) ) ) )).

fof(range_axiom_62,axiom,(
    ! [B] :
      ( range_39_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B ) ) )).

fof(addAssignment_3172,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3171,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex1)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3170,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex2)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3169,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex3)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3168,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex4)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3167,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex5)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3166,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex6)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3165,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex7)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3164,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex8)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3163,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex9)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3162,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex10)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3161,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex11)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3160,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex12)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3159,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex13)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3158,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex14)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3157,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex15)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3156,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex16)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3155,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex17)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3154,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex18)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3153,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex19)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3152,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex20)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3151,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex21)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3150,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex22)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3149,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex23)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3148,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex24)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3147,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex25)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3146,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex26)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3145,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex27)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3144,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex28)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3143,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex29)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3142,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex30)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3141,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex31)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3140,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex32)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3139,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex33)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3138,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex34)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3137,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex35)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3136,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex36)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3135,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex37)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3134,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex38)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3133,axiom,(
    ! [VarCurr] :
      ( v12492(VarCurr,bitIndex39)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3132,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12491(VarCurr,B)
      <=> v12146(VarCurr,B) ) ) )).

fof(addAssignment_3131,axiom,(
    ! [VarCurr] :
      ( ( v12491(VarCurr,bitIndex39)
      <=> v12146(VarCurr,bitIndex7) )
      & ( v12491(VarCurr,bitIndex38)
      <=> v12146(VarCurr,bitIndex6) )
      & ( v12491(VarCurr,bitIndex37)
      <=> v12146(VarCurr,bitIndex5) )
      & ( v12491(VarCurr,bitIndex36)
      <=> v12146(VarCurr,bitIndex4) )
      & ( v12491(VarCurr,bitIndex35)
      <=> v12146(VarCurr,bitIndex3) )
      & ( v12491(VarCurr,bitIndex34)
      <=> v12146(VarCurr,bitIndex2) )
      & ( v12491(VarCurr,bitIndex33)
      <=> v12146(VarCurr,bitIndex1) )
      & ( v12491(VarCurr,bitIndex32)
      <=> v12146(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_114,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12468(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v12146(VarNext,B)
            <=> v12146(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_117,axiom,(
    ! [VarNext] :
      ( v12468(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v12146(VarNext,B)
          <=> v12476(VarNext,B) ) ) ) )).

fof(addAssignment_3130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v12476(VarNext,B)
          <=> v12474(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_265,axiom,(
    ! [VarCurr] :
      ( ~ v12477(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v12474(VarCurr,B)
          <=> v12149(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_206,axiom,(
    ! [VarCurr] :
      ( v12477(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v12474(VarCurr,B)
          <=> $true ) ) ) )).

fof(writeUnaryOperator_1696,axiom,(
    ! [VarCurr] :
      ( ~ v12477(VarCurr)
    <=> v2675(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3046,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12468(VarNext)
      <=> v12469(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3045,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12469(VarNext)
      <=> ( v12470(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_1695,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12470(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_25,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12149(VarCurr,B)
      <=> ( v12464(VarCurr,B)
          & v12465(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1694,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12465(VarCurr,B)
      <=> ~ v12339(VarCurr,B) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_24,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12464(VarCurr,B)
      <=> ( v12151(VarCurr,B)
          | v12146(VarCurr,B) ) ) ) )).

fof(addAssignmentInitValueVector_32,axiom,(
    ! [B] :
      ( range_31_0(B)
     => ( v12146(constB0,B)
      <=> $true ) ) )).

fof(bitBlastConstant_2156,axiom,(
    b11111111111111111111111111111111(bitIndex31) )).

fof(bitBlastConstant_2155,axiom,(
    b11111111111111111111111111111111(bitIndex30) )).

fof(bitBlastConstant_2154,axiom,(
    b11111111111111111111111111111111(bitIndex29) )).

fof(bitBlastConstant_2153,axiom,(
    b11111111111111111111111111111111(bitIndex28) )).

fof(bitBlastConstant_2152,axiom,(
    b11111111111111111111111111111111(bitIndex27) )).

fof(bitBlastConstant_2151,axiom,(
    b11111111111111111111111111111111(bitIndex26) )).

fof(bitBlastConstant_2150,axiom,(
    b11111111111111111111111111111111(bitIndex25) )).

fof(bitBlastConstant_2149,axiom,(
    b11111111111111111111111111111111(bitIndex24) )).

fof(bitBlastConstant_2148,axiom,(
    b11111111111111111111111111111111(bitIndex23) )).

fof(bitBlastConstant_2147,axiom,(
    b11111111111111111111111111111111(bitIndex22) )).

fof(bitBlastConstant_2146,axiom,(
    b11111111111111111111111111111111(bitIndex21) )).

fof(bitBlastConstant_2145,axiom,(
    b11111111111111111111111111111111(bitIndex20) )).

fof(bitBlastConstant_2144,axiom,(
    b11111111111111111111111111111111(bitIndex19) )).

fof(bitBlastConstant_2143,axiom,(
    b11111111111111111111111111111111(bitIndex18) )).

fof(bitBlastConstant_2142,axiom,(
    b11111111111111111111111111111111(bitIndex17) )).

fof(bitBlastConstant_2141,axiom,(
    b11111111111111111111111111111111(bitIndex16) )).

fof(bitBlastConstant_2140,axiom,(
    b11111111111111111111111111111111(bitIndex15) )).

fof(bitBlastConstant_2139,axiom,(
    b11111111111111111111111111111111(bitIndex14) )).

fof(bitBlastConstant_2138,axiom,(
    b11111111111111111111111111111111(bitIndex13) )).

fof(bitBlastConstant_2137,axiom,(
    b11111111111111111111111111111111(bitIndex12) )).

fof(bitBlastConstant_2136,axiom,(
    b11111111111111111111111111111111(bitIndex11) )).

fof(bitBlastConstant_2135,axiom,(
    b11111111111111111111111111111111(bitIndex10) )).

fof(bitBlastConstant_2134,axiom,(
    b11111111111111111111111111111111(bitIndex9) )).

fof(bitBlastConstant_2133,axiom,(
    b11111111111111111111111111111111(bitIndex8) )).

fof(bitBlastConstant_2132,axiom,(
    b11111111111111111111111111111111(bitIndex7) )).

fof(bitBlastConstant_2131,axiom,(
    b11111111111111111111111111111111(bitIndex6) )).

fof(bitBlastConstant_2130,axiom,(
    b11111111111111111111111111111111(bitIndex5) )).

fof(bitBlastConstant_2129,axiom,(
    b11111111111111111111111111111111(bitIndex4) )).

fof(bitBlastConstant_2128,axiom,(
    b11111111111111111111111111111111(bitIndex3) )).

fof(bitBlastConstant_2127,axiom,(
    b11111111111111111111111111111111(bitIndex2) )).

fof(bitBlastConstant_2126,axiom,(
    b11111111111111111111111111111111(bitIndex1) )).

fof(bitBlastConstant_2125,axiom,(
    b11111111111111111111111111111111(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_23,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12339(VarCurr,B)
      <=> ( v12341(VarCurr,B)
          & v12461(VarCurr,B) ) ) ) )).

fof(addAssignment_3129,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex0)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3128,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex1)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3127,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex2)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3126,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex3)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3125,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex4)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3124,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex5)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3123,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex6)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3122,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex7)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3121,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex8)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3120,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex9)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3119,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex10)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3118,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex11)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3117,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex12)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3116,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex13)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3115,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex14)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3114,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex15)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3113,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex16)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3112,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex17)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3111,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex18)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3110,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex19)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3109,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex20)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3108,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex21)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3107,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex22)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3106,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex23)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3105,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex24)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3104,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex25)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3103,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex26)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3102,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex27)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3101,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex28)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3100,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex29)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3099,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex30)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3098,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr,bitIndex31)
    <=> v12462(VarCurr) ) )).

fof(addAssignment_3097,axiom,(
    ! [VarCurr] :
      ( v12462(VarCurr)
    <=> v12345(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_299,axiom,(
    ! [VarCurr] :
      ( ~ v12459(VarCurr)
     => ( v12341(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_358,axiom,(
    ! [VarCurr] :
      ( v12459(VarCurr)
     => ( v12341(VarCurr,bitIndex31)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_839,axiom,(
    ! [VarCurr] :
      ( v12459(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_298,axiom,(
    ! [VarCurr] :
      ( ~ v12457(VarCurr)
     => ( v12341(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_357,axiom,(
    ! [VarCurr] :
      ( v12457(VarCurr)
     => ( v12341(VarCurr,bitIndex30)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_838,axiom,(
    ! [VarCurr] :
      ( v12457(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_297,axiom,(
    ! [VarCurr] :
      ( ~ v12455(VarCurr)
     => ( v12341(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_356,axiom,(
    ! [VarCurr] :
      ( v12455(VarCurr)
     => ( v12341(VarCurr,bitIndex29)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_837,axiom,(
    ! [VarCurr] :
      ( v12455(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_296,axiom,(
    ! [VarCurr] :
      ( ~ v12453(VarCurr)
     => ( v12341(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_355,axiom,(
    ! [VarCurr] :
      ( v12453(VarCurr)
     => ( v12341(VarCurr,bitIndex28)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_836,axiom,(
    ! [VarCurr] :
      ( v12453(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_295,axiom,(
    ! [VarCurr] :
      ( ~ v12451(VarCurr)
     => ( v12341(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_354,axiom,(
    ! [VarCurr] :
      ( v12451(VarCurr)
     => ( v12341(VarCurr,bitIndex27)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_835,axiom,(
    ! [VarCurr] :
      ( v12451(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_294,axiom,(
    ! [VarCurr] :
      ( ~ v12449(VarCurr)
     => ( v12341(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_353,axiom,(
    ! [VarCurr] :
      ( v12449(VarCurr)
     => ( v12341(VarCurr,bitIndex26)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_834,axiom,(
    ! [VarCurr] :
      ( v12449(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_293,axiom,(
    ! [VarCurr] :
      ( ~ v12447(VarCurr)
     => ( v12341(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_352,axiom,(
    ! [VarCurr] :
      ( v12447(VarCurr)
     => ( v12341(VarCurr,bitIndex25)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_833,axiom,(
    ! [VarCurr] :
      ( v12447(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_292,axiom,(
    ! [VarCurr] :
      ( ~ v12445(VarCurr)
     => ( v12341(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_351,axiom,(
    ! [VarCurr] :
      ( v12445(VarCurr)
     => ( v12341(VarCurr,bitIndex24)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_832,axiom,(
    ! [VarCurr] :
      ( v12445(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_291,axiom,(
    ! [VarCurr] :
      ( ~ v12443(VarCurr)
     => ( v12341(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_350,axiom,(
    ! [VarCurr] :
      ( v12443(VarCurr)
     => ( v12341(VarCurr,bitIndex23)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_831,axiom,(
    ! [VarCurr] :
      ( v12443(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_290,axiom,(
    ! [VarCurr] :
      ( ~ v12441(VarCurr)
     => ( v12341(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_349,axiom,(
    ! [VarCurr] :
      ( v12441(VarCurr)
     => ( v12341(VarCurr,bitIndex22)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_830,axiom,(
    ! [VarCurr] :
      ( v12441(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_289,axiom,(
    ! [VarCurr] :
      ( ~ v12439(VarCurr)
     => ( v12341(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_348,axiom,(
    ! [VarCurr] :
      ( v12439(VarCurr)
     => ( v12341(VarCurr,bitIndex21)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_829,axiom,(
    ! [VarCurr] :
      ( v12439(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_288,axiom,(
    ! [VarCurr] :
      ( ~ v12437(VarCurr)
     => ( v12341(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_347,axiom,(
    ! [VarCurr] :
      ( v12437(VarCurr)
     => ( v12341(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_828,axiom,(
    ! [VarCurr] :
      ( v12437(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_287,axiom,(
    ! [VarCurr] :
      ( ~ v12435(VarCurr)
     => ( v12341(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_346,axiom,(
    ! [VarCurr] :
      ( v12435(VarCurr)
     => ( v12341(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_827,axiom,(
    ! [VarCurr] :
      ( v12435(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_286,axiom,(
    ! [VarCurr] :
      ( ~ v12433(VarCurr)
     => ( v12341(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_345,axiom,(
    ! [VarCurr] :
      ( v12433(VarCurr)
     => ( v12341(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_826,axiom,(
    ! [VarCurr] :
      ( v12433(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_285,axiom,(
    ! [VarCurr] :
      ( ~ v12431(VarCurr)
     => ( v12341(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_344,axiom,(
    ! [VarCurr] :
      ( v12431(VarCurr)
     => ( v12341(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_825,axiom,(
    ! [VarCurr] :
      ( v12431(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_284,axiom,(
    ! [VarCurr] :
      ( ~ v12429(VarCurr)
     => ( v12341(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_343,axiom,(
    ! [VarCurr] :
      ( v12429(VarCurr)
     => ( v12341(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_824,axiom,(
    ! [VarCurr] :
      ( v12429(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $true )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_283,axiom,(
    ! [VarCurr] :
      ( ~ v12427(VarCurr)
     => ( v12341(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_342,axiom,(
    ! [VarCurr] :
      ( v12427(VarCurr)
     => ( v12341(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_823,axiom,(
    ! [VarCurr] :
      ( v12427(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_282,axiom,(
    ! [VarCurr] :
      ( ~ v12425(VarCurr)
     => ( v12341(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_341,axiom,(
    ! [VarCurr] :
      ( v12425(VarCurr)
     => ( v12341(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_822,axiom,(
    ! [VarCurr] :
      ( v12425(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_281,axiom,(
    ! [VarCurr] :
      ( ~ v12423(VarCurr)
     => ( v12341(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_340,axiom,(
    ! [VarCurr] :
      ( v12423(VarCurr)
     => ( v12341(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_821,axiom,(
    ! [VarCurr] :
      ( v12423(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_280,axiom,(
    ! [VarCurr] :
      ( ~ v12421(VarCurr)
     => ( v12341(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_339,axiom,(
    ! [VarCurr] :
      ( v12421(VarCurr)
     => ( v12341(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_820,axiom,(
    ! [VarCurr] :
      ( v12421(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_279,axiom,(
    ! [VarCurr] :
      ( ~ v12419(VarCurr)
     => ( v12341(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_338,axiom,(
    ! [VarCurr] :
      ( v12419(VarCurr)
     => ( v12341(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_819,axiom,(
    ! [VarCurr] :
      ( v12419(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_278,axiom,(
    ! [VarCurr] :
      ( ~ v12417(VarCurr)
     => ( v12341(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_337,axiom,(
    ! [VarCurr] :
      ( v12417(VarCurr)
     => ( v12341(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_818,axiom,(
    ! [VarCurr] :
      ( v12417(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_277,axiom,(
    ! [VarCurr] :
      ( ~ v12415(VarCurr)
     => ( v12341(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_336,axiom,(
    ! [VarCurr] :
      ( v12415(VarCurr)
     => ( v12341(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_817,axiom,(
    ! [VarCurr] :
      ( v12415(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_276,axiom,(
    ! [VarCurr] :
      ( ~ v12413(VarCurr)
     => ( v12341(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_335,axiom,(
    ! [VarCurr] :
      ( v12413(VarCurr)
     => ( v12341(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_816,axiom,(
    ! [VarCurr] :
      ( v12413(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $true )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_275,axiom,(
    ! [VarCurr] :
      ( ~ v12411(VarCurr)
     => ( v12341(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_334,axiom,(
    ! [VarCurr] :
      ( v12411(VarCurr)
     => ( v12341(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_815,axiom,(
    ! [VarCurr] :
      ( v12411(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_274,axiom,(
    ! [VarCurr] :
      ( ~ v12409(VarCurr)
     => ( v12341(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_333,axiom,(
    ! [VarCurr] :
      ( v12409(VarCurr)
     => ( v12341(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_814,axiom,(
    ! [VarCurr] :
      ( v12409(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_273,axiom,(
    ! [VarCurr] :
      ( ~ v12407(VarCurr)
     => ( v12341(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_332,axiom,(
    ! [VarCurr] :
      ( v12407(VarCurr)
     => ( v12341(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_813,axiom,(
    ! [VarCurr] :
      ( v12407(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_272,axiom,(
    ! [VarCurr] :
      ( ~ v12405(VarCurr)
     => ( v12341(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_331,axiom,(
    ! [VarCurr] :
      ( v12405(VarCurr)
     => ( v12341(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_812,axiom,(
    ! [VarCurr] :
      ( v12405(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $true )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_271,axiom,(
    ! [VarCurr] :
      ( ~ v12403(VarCurr)
     => ( v12341(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_330,axiom,(
    ! [VarCurr] :
      ( v12403(VarCurr)
     => ( v12341(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_811,axiom,(
    ! [VarCurr] :
      ( v12403(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_270,axiom,(
    ! [VarCurr] :
      ( ~ v12401(VarCurr)
     => ( v12341(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_329,axiom,(
    ! [VarCurr] :
      ( v12401(VarCurr)
     => ( v12341(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_810,axiom,(
    ! [VarCurr] :
      ( v12401(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $true )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_269,axiom,(
    ! [VarCurr] :
      ( ~ v12399(VarCurr)
     => ( v12341(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_328,axiom,(
    ! [VarCurr] :
      ( v12399(VarCurr)
     => ( v12341(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_809,axiom,(
    ! [VarCurr] :
      ( v12399(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_264,axiom,(
    ! [VarCurr] :
      ( ~ v12397(VarCurr)
     => ( v12341(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_205,axiom,(
    ! [VarCurr] :
      ( v12397(VarCurr)
     => ( v12341(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_808,axiom,(
    ! [VarCurr] :
      ( v12397(VarCurr)
    <=> ( ( v12343(VarCurr,bitIndex4)
        <=> $false )
        & ( v12343(VarCurr,bitIndex3)
        <=> $false )
        & ( v12343(VarCurr,bitIndex2)
        <=> $false )
        & ( v12343(VarCurr,bitIndex1)
        <=> $false )
        & ( v12343(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_113,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12352(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v12343(VarNext,B)
            <=> v12343(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_116,axiom,(
    ! [VarNext] :
      ( v12352(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v12343(VarNext,B)
          <=> v12368(VarNext,B) ) ) ) )).

fof(addAssignment_3096,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v12368(VarNext,B)
          <=> v12366(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_145,axiom,(
    ! [VarCurr] :
      ( ~ v12363(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v12366(VarCurr,B)
          <=> v12369(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_144,axiom,(
    ! [VarCurr] :
      ( v12363(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v12366(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_3095,axiom,(
    ! [VarCurr] :
      ( v12369(VarCurr,bitIndex0)
    <=> v12391(VarCurr) ) )).

fof(addAssignment_3094,axiom,(
    ! [VarCurr] :
      ( v12369(VarCurr,bitIndex1)
    <=> v12389(VarCurr) ) )).

fof(addAssignment_3093,axiom,(
    ! [VarCurr] :
      ( v12369(VarCurr,bitIndex2)
    <=> v12384(VarCurr) ) )).

fof(addAssignment_3092,axiom,(
    ! [VarCurr] :
      ( v12369(VarCurr,bitIndex3)
    <=> v12379(VarCurr) ) )).

fof(addAssignment_3091,axiom,(
    ! [VarCurr] :
      ( v12369(VarCurr,bitIndex4)
    <=> v12371(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3044,axiom,(
    ! [VarCurr] :
      ( v12389(VarCurr)
    <=> ( v12390(VarCurr)
        & v12393(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_800,axiom,(
    ! [VarCurr] :
      ( v12393(VarCurr)
    <=> ( v12343(VarCurr,bitIndex0)
        | v12343(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3043,axiom,(
    ! [VarCurr] :
      ( v12390(VarCurr)
    <=> ( v12391(VarCurr)
        | v12392(VarCurr) ) ) )).

fof(writeUnaryOperator_1693,axiom,(
    ! [VarCurr] :
      ( ~ v12392(VarCurr)
    <=> v12343(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1692,axiom,(
    ! [VarCurr] :
      ( ~ v12391(VarCurr)
    <=> v12343(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3042,axiom,(
    ! [VarCurr] :
      ( v12384(VarCurr)
    <=> ( v12385(VarCurr)
        & v12388(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_799,axiom,(
    ! [VarCurr] :
      ( v12388(VarCurr)
    <=> ( v12376(VarCurr)
        | v12343(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3041,axiom,(
    ! [VarCurr] :
      ( v12385(VarCurr)
    <=> ( v12386(VarCurr)
        | v12387(VarCurr) ) ) )).

fof(writeUnaryOperator_1691,axiom,(
    ! [VarCurr] :
      ( ~ v12387(VarCurr)
    <=> v12343(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1690,axiom,(
    ! [VarCurr] :
      ( ~ v12386(VarCurr)
    <=> v12376(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3040,axiom,(
    ! [VarCurr] :
      ( v12379(VarCurr)
    <=> ( v12380(VarCurr)
        & v12383(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_798,axiom,(
    ! [VarCurr] :
      ( v12383(VarCurr)
    <=> ( v12375(VarCurr)
        | v12343(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3039,axiom,(
    ! [VarCurr] :
      ( v12380(VarCurr)
    <=> ( v12381(VarCurr)
        | v12382(VarCurr) ) ) )).

fof(writeUnaryOperator_1689,axiom,(
    ! [VarCurr] :
      ( ~ v12382(VarCurr)
    <=> v12343(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1688,axiom,(
    ! [VarCurr] :
      ( ~ v12381(VarCurr)
    <=> v12375(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3038,axiom,(
    ! [VarCurr] :
      ( v12371(VarCurr)
    <=> ( v12372(VarCurr)
        & v12378(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_797,axiom,(
    ! [VarCurr] :
      ( v12378(VarCurr)
    <=> ( v12374(VarCurr)
        | v12343(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3037,axiom,(
    ! [VarCurr] :
      ( v12372(VarCurr)
    <=> ( v12373(VarCurr)
        | v12377(VarCurr) ) ) )).

fof(writeUnaryOperator_1687,axiom,(
    ! [VarCurr] :
      ( ~ v12377(VarCurr)
    <=> v12343(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1686,axiom,(
    ! [VarCurr] :
      ( ~ v12373(VarCurr)
    <=> v12374(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_796,axiom,(
    ! [VarCurr] :
      ( v12374(VarCurr)
    <=> ( v12375(VarCurr)
        & v12343(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_795,axiom,(
    ! [VarCurr] :
      ( v12375(VarCurr)
    <=> ( v12376(VarCurr)
        & v12343(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_794,axiom,(
    ! [VarCurr] :
      ( v12376(VarCurr)
    <=> ( v12343(VarCurr,bitIndex0)
        & v12343(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3036,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12352(VarNext)
      <=> ( v12353(VarNext)
          & v12362(VarNext) ) ) ) )).

fof(addAssignment_3090,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12362(VarNext)
      <=> v12360(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3035,axiom,(
    ! [VarCurr] :
      ( v12360(VarCurr)
    <=> ( v12363(VarCurr)
        | v12364(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3034,axiom,(
    ! [VarCurr] :
      ( v12364(VarCurr)
    <=> ( v12345(VarCurr)
        & v12365(VarCurr) ) ) )).

fof(writeUnaryOperator_1685,axiom,(
    ! [VarCurr] :
      ( ~ v12365(VarCurr)
    <=> v12363(VarCurr) ) )).

fof(writeUnaryOperator_1684,axiom,(
    ! [VarCurr] :
      ( ~ v12363(VarCurr)
    <=> v2675(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3033,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12353(VarNext)
      <=> ( v12354(VarNext)
          & v12349(VarNext) ) ) ) )).

fof(writeUnaryOperator_1683,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12354(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(addAssignment_3089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12356(VarNext)
      <=> v12349(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_31,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v12343(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_3088,axiom,(
    ! [VarCurr] :
      ( v12349(VarCurr)
    <=> v599(VarCurr) ) )).

fof(addAssignment_3087,axiom,(
    ! [VarCurr] :
      ( v12345(VarCurr)
    <=> v12347(VarCurr) ) )).

fof(addAssignment_3086,axiom,(
    ! [VarCurr] :
      ( v12347(VarCurr)
    <=> v12112(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_22,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v12151(VarCurr,B)
      <=> ( v12153(VarCurr,B)
          & v12336(VarCurr,B) ) ) ) )).

fof(addAssignment_3085,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex0)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3084,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex1)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3083,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex2)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3082,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex3)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3081,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex4)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3080,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex5)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3079,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex6)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3078,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex7)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3077,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex8)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3076,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex9)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3075,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex10)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3074,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex11)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3073,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex12)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3072,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex13)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3071,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex14)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3070,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex15)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3069,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex16)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3068,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex17)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3067,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex18)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3066,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex19)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3065,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex20)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3064,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex21)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3063,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex22)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3062,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex23)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3061,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex24)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3060,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex25)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3059,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex26)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3058,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex27)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3057,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex28)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3056,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex29)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3055,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex30)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3054,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr,bitIndex31)
    <=> v12337(VarCurr) ) )).

fof(addAssignment_3053,axiom,(
    ! [VarCurr] :
      ( v12337(VarCurr)
    <=> v12297(VarCurr) ) )).

fof(addAssignment_3052,axiom,(
    ! [VarCurr] :
      ( v12297(VarCurr)
    <=> v12299(VarCurr) ) )).

fof(addAssignment_3051,axiom,(
    ! [VarCurr] :
      ( v12299(VarCurr)
    <=> v12301(VarCurr) ) )).

fof(addAssignment_3050,axiom,(
    ! [VarCurr] :
      ( v12301(VarCurr)
    <=> v12303(VarCurr) ) )).

fof(addAssignment_3049,axiom,(
    ! [VarCurr] :
      ( v12303(VarCurr)
    <=> v12305(VarCurr) ) )).

fof(addAssignment_3048,axiom,(
    ! [VarCurr] :
      ( v12305(VarCurr)
    <=> v12307(VarCurr) ) )).

fof(addAssignment_3047,axiom,(
    ! [VarCurr] :
      ( v12307(VarCurr)
    <=> v12309(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_112,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12324(VarNext)
       => ( v12309(VarNext)
        <=> v12309(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_115,axiom,(
    ! [VarNext] :
      ( v12324(VarNext)
     => ( v12309(VarNext)
      <=> v12332(VarNext) ) ) )).

fof(addAssignment_3046,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12332(VarNext)
      <=> v12330(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_263,axiom,(
    ! [VarCurr] :
      ( ~ v12203(VarCurr)
     => ( v12330(VarCurr)
      <=> v12311(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_204,axiom,(
    ! [VarCurr] :
      ( v12203(VarCurr)
     => ( v12330(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3032,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12324(VarNext)
      <=> v12325(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3031,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12325(VarNext)
      <=> ( v12327(VarNext)
          & v12185(VarNext) ) ) ) )).

fof(writeUnaryOperator_1682,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12327(VarNext)
      <=> v12196(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_262,axiom,(
    ! [VarCurr] :
      ( ~ v12321(VarCurr)
     => ( v12311(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_203,axiom,(
    ! [VarCurr] :
      ( v12321(VarCurr)
     => ( v12311(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_793,axiom,(
    ! [VarCurr] :
      ( v12321(VarCurr)
    <=> ( v12177(VarCurr,bitIndex8)
        & v12313(VarCurr) ) ) )).

fof(addAssignment_3045,axiom,(
    ! [VarCurr] :
      ( v12313(VarCurr)
    <=> v12315(VarCurr) ) )).

fof(addAssignment_3044,axiom,(
    ! [VarCurr] :
      ( v12315(VarCurr)
    <=> v12317(VarCurr) ) )).

fof(addAssignment_3043,axiom,(
    ! [VarCurr] :
      ( v12317(VarCurr)
    <=> v12319(VarCurr) ) )).

fof(addAssignment_3042,axiom,(
    ! [VarCurr] :
      ( v12177(VarCurr,bitIndex8)
    <=> v12179(VarCurr,bitIndex8) ) )).

fof(addAssignment_3041,axiom,(
    ! [VarCurr] :
      ( v12179(VarCurr,bitIndex8)
    <=> v12181(VarCurr,bitIndex8) ) )).

fof(addAssignment_3040,axiom,(
    ! [VarCurr] :
      ( v12181(VarCurr,bitIndex8)
    <=> v12183(VarCurr,bitIndex8) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_268,axiom,(
    ! [VarCurr] :
      ( ~ v12295(VarCurr)
     => ( v12153(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_327,axiom,(
    ! [VarCurr] :
      ( v12295(VarCurr)
     => ( v12153(VarCurr,bitIndex31)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_807,axiom,(
    ! [VarCurr] :
      ( v12295(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_267,axiom,(
    ! [VarCurr] :
      ( ~ v12293(VarCurr)
     => ( v12153(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_326,axiom,(
    ! [VarCurr] :
      ( v12293(VarCurr)
     => ( v12153(VarCurr,bitIndex30)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_806,axiom,(
    ! [VarCurr] :
      ( v12293(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2124,axiom,(
    b11110(bitIndex4) )).

fof(bitBlastConstant_2123,axiom,(
    b11110(bitIndex3) )).

fof(bitBlastConstant_2122,axiom,(
    b11110(bitIndex2) )).

fof(bitBlastConstant_2121,axiom,(
    b11110(bitIndex1) )).

fof(bitBlastConstant_2120,axiom,(
    ~ b11110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_266,axiom,(
    ! [VarCurr] :
      ( ~ v12291(VarCurr)
     => ( v12153(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_325,axiom,(
    ! [VarCurr] :
      ( v12291(VarCurr)
     => ( v12153(VarCurr,bitIndex29)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_805,axiom,(
    ! [VarCurr] :
      ( v12291(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2119,axiom,(
    b11101(bitIndex4) )).

fof(bitBlastConstant_2118,axiom,(
    b11101(bitIndex3) )).

fof(bitBlastConstant_2117,axiom,(
    b11101(bitIndex2) )).

fof(bitBlastConstant_2116,axiom,(
    ~ b11101(bitIndex1) )).

fof(bitBlastConstant_2115,axiom,(
    b11101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_265,axiom,(
    ! [VarCurr] :
      ( ~ v12289(VarCurr)
     => ( v12153(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_324,axiom,(
    ! [VarCurr] :
      ( v12289(VarCurr)
     => ( v12153(VarCurr,bitIndex28)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_804,axiom,(
    ! [VarCurr] :
      ( v12289(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2114,axiom,(
    b11100(bitIndex4) )).

fof(bitBlastConstant_2113,axiom,(
    b11100(bitIndex3) )).

fof(bitBlastConstant_2112,axiom,(
    b11100(bitIndex2) )).

fof(bitBlastConstant_2111,axiom,(
    ~ b11100(bitIndex1) )).

fof(bitBlastConstant_2110,axiom,(
    ~ b11100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_264,axiom,(
    ! [VarCurr] :
      ( ~ v12287(VarCurr)
     => ( v12153(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_323,axiom,(
    ! [VarCurr] :
      ( v12287(VarCurr)
     => ( v12153(VarCurr,bitIndex27)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_803,axiom,(
    ! [VarCurr] :
      ( v12287(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2109,axiom,(
    b11011(bitIndex4) )).

fof(bitBlastConstant_2108,axiom,(
    b11011(bitIndex3) )).

fof(bitBlastConstant_2107,axiom,(
    ~ b11011(bitIndex2) )).

fof(bitBlastConstant_2106,axiom,(
    b11011(bitIndex1) )).

fof(bitBlastConstant_2105,axiom,(
    b11011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_263,axiom,(
    ! [VarCurr] :
      ( ~ v12285(VarCurr)
     => ( v12153(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_322,axiom,(
    ! [VarCurr] :
      ( v12285(VarCurr)
     => ( v12153(VarCurr,bitIndex26)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_802,axiom,(
    ! [VarCurr] :
      ( v12285(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2104,axiom,(
    b11010(bitIndex4) )).

fof(bitBlastConstant_2103,axiom,(
    b11010(bitIndex3) )).

fof(bitBlastConstant_2102,axiom,(
    ~ b11010(bitIndex2) )).

fof(bitBlastConstant_2101,axiom,(
    b11010(bitIndex1) )).

fof(bitBlastConstant_2100,axiom,(
    ~ b11010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_262,axiom,(
    ! [VarCurr] :
      ( ~ v12283(VarCurr)
     => ( v12153(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_321,axiom,(
    ! [VarCurr] :
      ( v12283(VarCurr)
     => ( v12153(VarCurr,bitIndex25)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_801,axiom,(
    ! [VarCurr] :
      ( v12283(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2099,axiom,(
    b11001(bitIndex4) )).

fof(bitBlastConstant_2098,axiom,(
    b11001(bitIndex3) )).

fof(bitBlastConstant_2097,axiom,(
    ~ b11001(bitIndex2) )).

fof(bitBlastConstant_2096,axiom,(
    ~ b11001(bitIndex1) )).

fof(bitBlastConstant_2095,axiom,(
    b11001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_261,axiom,(
    ! [VarCurr] :
      ( ~ v12281(VarCurr)
     => ( v12153(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_320,axiom,(
    ! [VarCurr] :
      ( v12281(VarCurr)
     => ( v12153(VarCurr,bitIndex24)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_800,axiom,(
    ! [VarCurr] :
      ( v12281(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2094,axiom,(
    b11000(bitIndex4) )).

fof(bitBlastConstant_2093,axiom,(
    b11000(bitIndex3) )).

fof(bitBlastConstant_2092,axiom,(
    ~ b11000(bitIndex2) )).

fof(bitBlastConstant_2091,axiom,(
    ~ b11000(bitIndex1) )).

fof(bitBlastConstant_2090,axiom,(
    ~ b11000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_260,axiom,(
    ! [VarCurr] :
      ( ~ v12279(VarCurr)
     => ( v12153(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_319,axiom,(
    ! [VarCurr] :
      ( v12279(VarCurr)
     => ( v12153(VarCurr,bitIndex23)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_799,axiom,(
    ! [VarCurr] :
      ( v12279(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2089,axiom,(
    b10111(bitIndex4) )).

fof(bitBlastConstant_2088,axiom,(
    ~ b10111(bitIndex3) )).

fof(bitBlastConstant_2087,axiom,(
    b10111(bitIndex2) )).

fof(bitBlastConstant_2086,axiom,(
    b10111(bitIndex1) )).

fof(bitBlastConstant_2085,axiom,(
    b10111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_259,axiom,(
    ! [VarCurr] :
      ( ~ v12277(VarCurr)
     => ( v12153(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_318,axiom,(
    ! [VarCurr] :
      ( v12277(VarCurr)
     => ( v12153(VarCurr,bitIndex22)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_798,axiom,(
    ! [VarCurr] :
      ( v12277(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2084,axiom,(
    b10110(bitIndex4) )).

fof(bitBlastConstant_2083,axiom,(
    ~ b10110(bitIndex3) )).

fof(bitBlastConstant_2082,axiom,(
    b10110(bitIndex2) )).

fof(bitBlastConstant_2081,axiom,(
    b10110(bitIndex1) )).

fof(bitBlastConstant_2080,axiom,(
    ~ b10110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_258,axiom,(
    ! [VarCurr] :
      ( ~ v12275(VarCurr)
     => ( v12153(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_317,axiom,(
    ! [VarCurr] :
      ( v12275(VarCurr)
     => ( v12153(VarCurr,bitIndex21)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_797,axiom,(
    ! [VarCurr] :
      ( v12275(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2079,axiom,(
    b10101(bitIndex4) )).

fof(bitBlastConstant_2078,axiom,(
    ~ b10101(bitIndex3) )).

fof(bitBlastConstant_2077,axiom,(
    b10101(bitIndex2) )).

fof(bitBlastConstant_2076,axiom,(
    ~ b10101(bitIndex1) )).

fof(bitBlastConstant_2075,axiom,(
    b10101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_257,axiom,(
    ! [VarCurr] :
      ( ~ v12273(VarCurr)
     => ( v12153(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_316,axiom,(
    ! [VarCurr] :
      ( v12273(VarCurr)
     => ( v12153(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_796,axiom,(
    ! [VarCurr] :
      ( v12273(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2074,axiom,(
    b10100(bitIndex4) )).

fof(bitBlastConstant_2073,axiom,(
    ~ b10100(bitIndex3) )).

fof(bitBlastConstant_2072,axiom,(
    b10100(bitIndex2) )).

fof(bitBlastConstant_2071,axiom,(
    ~ b10100(bitIndex1) )).

fof(bitBlastConstant_2070,axiom,(
    ~ b10100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_256,axiom,(
    ! [VarCurr] :
      ( ~ v12271(VarCurr)
     => ( v12153(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_315,axiom,(
    ! [VarCurr] :
      ( v12271(VarCurr)
     => ( v12153(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_795,axiom,(
    ! [VarCurr] :
      ( v12271(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2069,axiom,(
    b10011(bitIndex4) )).

fof(bitBlastConstant_2068,axiom,(
    ~ b10011(bitIndex3) )).

fof(bitBlastConstant_2067,axiom,(
    ~ b10011(bitIndex2) )).

fof(bitBlastConstant_2066,axiom,(
    b10011(bitIndex1) )).

fof(bitBlastConstant_2065,axiom,(
    b10011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_255,axiom,(
    ! [VarCurr] :
      ( ~ v12269(VarCurr)
     => ( v12153(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_314,axiom,(
    ! [VarCurr] :
      ( v12269(VarCurr)
     => ( v12153(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_794,axiom,(
    ! [VarCurr] :
      ( v12269(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2064,axiom,(
    b10010(bitIndex4) )).

fof(bitBlastConstant_2063,axiom,(
    ~ b10010(bitIndex3) )).

fof(bitBlastConstant_2062,axiom,(
    ~ b10010(bitIndex2) )).

fof(bitBlastConstant_2061,axiom,(
    b10010(bitIndex1) )).

fof(bitBlastConstant_2060,axiom,(
    ~ b10010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_254,axiom,(
    ! [VarCurr] :
      ( ~ v12267(VarCurr)
     => ( v12153(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_313,axiom,(
    ! [VarCurr] :
      ( v12267(VarCurr)
     => ( v12153(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_793,axiom,(
    ! [VarCurr] :
      ( v12267(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2059,axiom,(
    b10001(bitIndex4) )).

fof(bitBlastConstant_2058,axiom,(
    ~ b10001(bitIndex3) )).

fof(bitBlastConstant_2057,axiom,(
    ~ b10001(bitIndex2) )).

fof(bitBlastConstant_2056,axiom,(
    ~ b10001(bitIndex1) )).

fof(bitBlastConstant_2055,axiom,(
    b10001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_253,axiom,(
    ! [VarCurr] :
      ( ~ v12265(VarCurr)
     => ( v12153(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_312,axiom,(
    ! [VarCurr] :
      ( v12265(VarCurr)
     => ( v12153(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_792,axiom,(
    ! [VarCurr] :
      ( v12265(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $true )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_252,axiom,(
    ! [VarCurr] :
      ( ~ v12263(VarCurr)
     => ( v12153(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_311,axiom,(
    ! [VarCurr] :
      ( v12263(VarCurr)
     => ( v12153(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_791,axiom,(
    ! [VarCurr] :
      ( v12263(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2054,axiom,(
    ~ b01111(bitIndex4) )).

fof(bitBlastConstant_2053,axiom,(
    b01111(bitIndex3) )).

fof(bitBlastConstant_2052,axiom,(
    b01111(bitIndex2) )).

fof(bitBlastConstant_2051,axiom,(
    b01111(bitIndex1) )).

fof(bitBlastConstant_2050,axiom,(
    b01111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_251,axiom,(
    ! [VarCurr] :
      ( ~ v12261(VarCurr)
     => ( v12153(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_310,axiom,(
    ! [VarCurr] :
      ( v12261(VarCurr)
     => ( v12153(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_790,axiom,(
    ! [VarCurr] :
      ( v12261(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2049,axiom,(
    ~ b01110(bitIndex4) )).

fof(bitBlastConstant_2048,axiom,(
    b01110(bitIndex3) )).

fof(bitBlastConstant_2047,axiom,(
    b01110(bitIndex2) )).

fof(bitBlastConstant_2046,axiom,(
    b01110(bitIndex1) )).

fof(bitBlastConstant_2045,axiom,(
    ~ b01110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_250,axiom,(
    ! [VarCurr] :
      ( ~ v12259(VarCurr)
     => ( v12153(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_309,axiom,(
    ! [VarCurr] :
      ( v12259(VarCurr)
     => ( v12153(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_789,axiom,(
    ! [VarCurr] :
      ( v12259(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2044,axiom,(
    ~ b01101(bitIndex4) )).

fof(bitBlastConstant_2043,axiom,(
    b01101(bitIndex3) )).

fof(bitBlastConstant_2042,axiom,(
    b01101(bitIndex2) )).

fof(bitBlastConstant_2041,axiom,(
    ~ b01101(bitIndex1) )).

fof(bitBlastConstant_2040,axiom,(
    b01101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_249,axiom,(
    ! [VarCurr] :
      ( ~ v12257(VarCurr)
     => ( v12153(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_308,axiom,(
    ! [VarCurr] :
      ( v12257(VarCurr)
     => ( v12153(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_788,axiom,(
    ! [VarCurr] :
      ( v12257(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2039,axiom,(
    ~ b01100(bitIndex4) )).

fof(bitBlastConstant_2038,axiom,(
    b01100(bitIndex3) )).

fof(bitBlastConstant_2037,axiom,(
    b01100(bitIndex2) )).

fof(bitBlastConstant_2036,axiom,(
    ~ b01100(bitIndex1) )).

fof(bitBlastConstant_2035,axiom,(
    ~ b01100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_248,axiom,(
    ! [VarCurr] :
      ( ~ v12255(VarCurr)
     => ( v12153(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_307,axiom,(
    ! [VarCurr] :
      ( v12255(VarCurr)
     => ( v12153(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_787,axiom,(
    ! [VarCurr] :
      ( v12255(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2034,axiom,(
    ~ b01011(bitIndex4) )).

fof(bitBlastConstant_2033,axiom,(
    b01011(bitIndex3) )).

fof(bitBlastConstant_2032,axiom,(
    ~ b01011(bitIndex2) )).

fof(bitBlastConstant_2031,axiom,(
    b01011(bitIndex1) )).

fof(bitBlastConstant_2030,axiom,(
    b01011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_247,axiom,(
    ! [VarCurr] :
      ( ~ v12253(VarCurr)
     => ( v12153(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_306,axiom,(
    ! [VarCurr] :
      ( v12253(VarCurr)
     => ( v12153(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_786,axiom,(
    ! [VarCurr] :
      ( v12253(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_246,axiom,(
    ! [VarCurr] :
      ( ~ v12251(VarCurr)
     => ( v12153(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_305,axiom,(
    ! [VarCurr] :
      ( v12251(VarCurr)
     => ( v12153(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_785,axiom,(
    ! [VarCurr] :
      ( v12251(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_245,axiom,(
    ! [VarCurr] :
      ( ~ v12249(VarCurr)
     => ( v12153(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_304,axiom,(
    ! [VarCurr] :
      ( v12249(VarCurr)
     => ( v12153(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_784,axiom,(
    ! [VarCurr] :
      ( v12249(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $true )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2029,axiom,(
    ~ b01000(bitIndex4) )).

fof(bitBlastConstant_2028,axiom,(
    b01000(bitIndex3) )).

fof(bitBlastConstant_2027,axiom,(
    ~ b01000(bitIndex2) )).

fof(bitBlastConstant_2026,axiom,(
    ~ b01000(bitIndex1) )).

fof(bitBlastConstant_2025,axiom,(
    ~ b01000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_244,axiom,(
    ! [VarCurr] :
      ( ~ v12247(VarCurr)
     => ( v12153(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_303,axiom,(
    ! [VarCurr] :
      ( v12247(VarCurr)
     => ( v12153(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_783,axiom,(
    ! [VarCurr] :
      ( v12247(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2024,axiom,(
    ~ b00111(bitIndex4) )).

fof(bitBlastConstant_2023,axiom,(
    ~ b00111(bitIndex3) )).

fof(bitBlastConstant_2022,axiom,(
    b00111(bitIndex2) )).

fof(bitBlastConstant_2021,axiom,(
    b00111(bitIndex1) )).

fof(bitBlastConstant_2020,axiom,(
    b00111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_243,axiom,(
    ! [VarCurr] :
      ( ~ v12245(VarCurr)
     => ( v12153(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_302,axiom,(
    ! [VarCurr] :
      ( v12245(VarCurr)
     => ( v12153(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_782,axiom,(
    ! [VarCurr] :
      ( v12245(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2019,axiom,(
    ~ b00110(bitIndex4) )).

fof(bitBlastConstant_2018,axiom,(
    ~ b00110(bitIndex3) )).

fof(bitBlastConstant_2017,axiom,(
    b00110(bitIndex2) )).

fof(bitBlastConstant_2016,axiom,(
    b00110(bitIndex1) )).

fof(bitBlastConstant_2015,axiom,(
    ~ b00110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_242,axiom,(
    ! [VarCurr] :
      ( ~ v12243(VarCurr)
     => ( v12153(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_301,axiom,(
    ! [VarCurr] :
      ( v12243(VarCurr)
     => ( v12153(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_781,axiom,(
    ! [VarCurr] :
      ( v12243(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2014,axiom,(
    ~ b00101(bitIndex4) )).

fof(bitBlastConstant_2013,axiom,(
    ~ b00101(bitIndex3) )).

fof(bitBlastConstant_2012,axiom,(
    b00101(bitIndex2) )).

fof(bitBlastConstant_2011,axiom,(
    ~ b00101(bitIndex1) )).

fof(bitBlastConstant_2010,axiom,(
    b00101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_241,axiom,(
    ! [VarCurr] :
      ( ~ v12241(VarCurr)
     => ( v12153(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_300,axiom,(
    ! [VarCurr] :
      ( v12241(VarCurr)
     => ( v12153(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_780,axiom,(
    ! [VarCurr] :
      ( v12241(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $true )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2009,axiom,(
    ~ b00100(bitIndex4) )).

fof(bitBlastConstant_2008,axiom,(
    ~ b00100(bitIndex3) )).

fof(bitBlastConstant_2007,axiom,(
    b00100(bitIndex2) )).

fof(bitBlastConstant_2006,axiom,(
    ~ b00100(bitIndex1) )).

fof(bitBlastConstant_2005,axiom,(
    ~ b00100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_240,axiom,(
    ! [VarCurr] :
      ( ~ v12239(VarCurr)
     => ( v12153(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_299,axiom,(
    ! [VarCurr] :
      ( v12239(VarCurr)
     => ( v12153(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_779,axiom,(
    ! [VarCurr] :
      ( v12239(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2004,axiom,(
    ~ b00011(bitIndex4) )).

fof(bitBlastConstant_2003,axiom,(
    ~ b00011(bitIndex3) )).

fof(bitBlastConstant_2002,axiom,(
    ~ b00011(bitIndex2) )).

fof(bitBlastConstant_2001,axiom,(
    b00011(bitIndex1) )).

fof(bitBlastConstant_2000,axiom,(
    b00011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_239,axiom,(
    ! [VarCurr] :
      ( ~ v12237(VarCurr)
     => ( v12153(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_298,axiom,(
    ! [VarCurr] :
      ( v12237(VarCurr)
     => ( v12153(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_778,axiom,(
    ! [VarCurr] :
      ( v12237(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $true )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1999,axiom,(
    ~ b00010(bitIndex4) )).

fof(bitBlastConstant_1998,axiom,(
    ~ b00010(bitIndex3) )).

fof(bitBlastConstant_1997,axiom,(
    ~ b00010(bitIndex2) )).

fof(bitBlastConstant_1996,axiom,(
    b00010(bitIndex1) )).

fof(bitBlastConstant_1995,axiom,(
    ~ b00010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_238,axiom,(
    ! [VarCurr] :
      ( ~ v12235(VarCurr)
     => ( v12153(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_297,axiom,(
    ! [VarCurr] :
      ( v12235(VarCurr)
     => ( v12153(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_777,axiom,(
    ! [VarCurr] :
      ( v12235(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_261,axiom,(
    ! [VarCurr] :
      ( ~ v12233(VarCurr)
     => ( v12153(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_202,axiom,(
    ! [VarCurr] :
      ( v12233(VarCurr)
     => ( v12153(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_776,axiom,(
    ! [VarCurr] :
      ( v12233(VarCurr)
    <=> ( ( v12155(VarCurr,bitIndex4)
        <=> $false )
        & ( v12155(VarCurr,bitIndex3)
        <=> $false )
        & ( v12155(VarCurr,bitIndex2)
        <=> $false )
        & ( v12155(VarCurr,bitIndex1)
        <=> $false )
        & ( v12155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3039,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12155(VarCurr,B)
      <=> v12157(VarCurr,B) ) ) )).

fof(addAssignment_3038,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12157(VarCurr,B)
      <=> v12159(VarCurr,B) ) ) )).

fof(addAssignment_3037,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12159(VarCurr,B)
      <=> v12161(VarCurr,B) ) ) )).

fof(addAssignment_3036,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12161(VarCurr,B)
      <=> v12163(VarCurr,B) ) ) )).

fof(addAssignment_3035,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12163(VarCurr,B)
      <=> v12165(VarCurr,B) ) ) )).

fof(addAssignment_3034,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12165(VarCurr,B)
      <=> v12167(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_111,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12192(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v12167(VarNext,B)
            <=> v12167(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_114,axiom,(
    ! [VarNext] :
      ( v12192(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v12167(VarNext,B)
          <=> v12202(VarNext,B) ) ) ) )).

fof(addAssignment_3033,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v12202(VarNext,B)
          <=> v12200(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_260,axiom,(
    ! [VarCurr] :
      ( ~ v12203(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v12200(VarCurr,B)
          <=> v12175(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_201,axiom,(
    ! [VarCurr] :
      ( v12203(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v12200(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1681,axiom,(
    ! [VarCurr] :
      ( ~ v12203(VarCurr)
    <=> v12169(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3030,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12192(VarNext)
      <=> v12193(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3029,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12193(VarNext)
      <=> ( v12194(VarNext)
          & v12185(VarNext) ) ) ) )).

fof(writeUnaryOperator_1680,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12194(VarNext)
      <=> v12196(VarNext) ) ) )).

fof(addAssignment_3032,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12196(VarNext)
      <=> v12185(VarCurr) ) ) )).

fof(addAssignment_3031,axiom,(
    ! [VarCurr] :
      ( v12185(VarCurr)
    <=> v12187(VarCurr) ) )).

fof(addAssignment_3030,axiom,(
    ! [VarCurr] :
      ( v12187(VarCurr)
    <=> v12189(VarCurr) ) )).

fof(addAssignment_3029,axiom,(
    ! [VarCurr] :
      ( v12189(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_3028,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12175(VarCurr,B)
      <=> v12177(VarCurr,B) ) ) )).

fof(addAssignment_3027,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12177(VarCurr,B)
      <=> v12179(VarCurr,B) ) ) )).

fof(addAssignment_3026,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12179(VarCurr,B)
      <=> v12181(VarCurr,B) ) ) )).

fof(addAssignment_3025,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v12181(VarCurr,B)
      <=> v12183(VarCurr,B) ) ) )).

fof(addAssignment_3024,axiom,(
    ! [VarCurr] :
      ( v12169(VarCurr)
    <=> v12171(VarCurr) ) )).

fof(addAssignment_3023,axiom,(
    ! [VarCurr] :
      ( v12171(VarCurr)
    <=> v12173(VarCurr) ) )).

fof(addAssignment_3022,axiom,(
    ! [VarCurr] :
      ( v12173(VarCurr)
    <=> v16(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3028,axiom,(
    ! [VarCurr] :
      ( v12118(VarCurr)
    <=> ( v12132(VarCurr)
        & v12134(VarCurr) ) ) )).

fof(writeUnaryOperator_1679,axiom,(
    ! [VarCurr] :
      ( ~ v12134(VarCurr)
    <=> v630(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3027,axiom,(
    ! [VarCurr] :
      ( v12132(VarCurr)
    <=> ( v12133(VarCurr)
        & v4798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3026,axiom,(
    ! [VarCurr] :
      ( v12133(VarCurr)
    <=> ( v31(VarCurr)
        & v12120(VarCurr) ) ) )).

fof(addAssignment_3021,axiom,(
    ! [VarCurr] :
      ( v12120(VarCurr)
    <=> v12122(VarCurr) ) )).

fof(addAssignment_3020,axiom,(
    ! [VarCurr] :
      ( v12122(VarCurr)
    <=> v12124(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_259,axiom,(
    ! [VarCurr] :
      ( ~ v12126(VarCurr)
     => ( v12124(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_200,axiom,(
    ! [VarCurr] :
      ( v12126(VarCurr)
     => ( v12124(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3025,axiom,(
    ! [VarCurr] :
      ( v12126(VarCurr)
    <=> ( v12127(VarCurr)
        & v12128(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3024,axiom,(
    ! [VarCurr] :
      ( v12128(VarCurr)
    <=> ( v12129(VarCurr)
        | v12130(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_775,axiom,(
    ! [VarCurr] :
      ( v12130(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $false )
        & ( v2660(VarCurr,bitIndex5)
        <=> $true )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_774,axiom,(
    ! [VarCurr] :
      ( v12129(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $false )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeUnaryOperator_1678,axiom,(
    ! [VarCurr] :
      ( ~ v12127(VarCurr)
    <=> v2704(VarCurr,bitIndex0) ) )).

fof(addAssignment_3019,axiom,(
    ! [VarCurr] :
      ( v12116(VarCurr)
    <=> v647(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3023,axiom,(
    ! [VarCurr] :
      ( v4935(VarCurr)
    <=> ( v4937(VarCurr)
        & v12110(VarCurr) ) ) )).

fof(writeUnaryOperator_1677,axiom,(
    ! [VarCurr] :
      ( ~ v12110(VarCurr)
    <=> v630(VarCurr) ) )).

fof(addAssignmentInitValueVector_30,axiom,
    ( v630(constB0)
  <=> $false )).

fof(addAssignment_3018,axiom,(
    ! [VarCurr] :
      ( v4937(VarCurr)
    <=> v33(VarCurr,bitIndex0) ) )).

fof(addAssignment_3017,axiom,(
    ! [VarCurr] :
      ( v33(VarCurr,bitIndex0)
    <=> v12107(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_21,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v12107(VarCurr,B)
      <=> ( v35(VarCurr,B)
          & v12108(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1676,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v12108(VarCurr,B)
      <=> ~ v12106(VarCurr,B) ) ) )).

fof(addAssignment_3016,axiom,(
    ! [VarCurr] :
      ( v12106(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_3015,axiom,(
    ! [VarCurr] :
      ( v35(VarCurr,bitIndex0)
    <=> v12104(VarCurr,bitIndex0) ) )).

fof(addAssignment_3014,axiom,(
    ! [VarCurr] :
      ( v12104(VarCurr,bitIndex0)
    <=> v4939(VarCurr) ) )).

fof(addAssignment_3013,axiom,(
    ! [VarCurr] :
      ( v12104(VarCurr,bitIndex1)
    <=> v37(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3022,axiom,(
    ! [VarCurr] :
      ( v4939(VarCurr)
    <=> ( v12101(VarCurr)
        & v12103(VarCurr) ) ) )).

fof(writeUnaryOperator_1675,axiom,(
    ! [VarCurr] :
      ( ~ v12103(VarCurr)
    <=> v620(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3021,axiom,(
    ! [VarCurr] :
      ( v12101(VarCurr)
    <=> ( v12102(VarCurr)
        & v4798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3020,axiom,(
    ! [VarCurr] :
      ( v12102(VarCurr)
    <=> ( v4941(VarCurr)
      <~> v10879(VarCurr) ) ) )).

fof(addAssignment_3012,axiom,(
    ! [VarCurr] :
      ( v4941(VarCurr)
    <=> v4943(VarCurr) ) )).

fof(addAssignment_3011,axiom,(
    ! [VarCurr] :
      ( v4943(VarCurr)
    <=> v4945(VarCurr) ) )).

fof(addAssignment_3010,axiom,(
    ! [VarCurr] :
      ( v4945(VarCurr)
    <=> v4947(VarCurr) ) )).

fof(addAssignment_3009,axiom,(
    ! [VarCurr] :
      ( v4947(VarCurr)
    <=> v4949(VarCurr) ) )).

fof(addAssignment_3008,axiom,(
    ! [VarCurr] :
      ( v4949(VarCurr)
    <=> v4951(VarCurr) ) )).

fof(addAssignment_3007,axiom,(
    ! [VarCurr] :
      ( v4951(VarCurr)
    <=> v4953(VarCurr) ) )).

fof(addAssignment_3006,axiom,(
    ! [VarCurr] :
      ( v4953(VarCurr)
    <=> v4955(VarCurr) ) )).

fof(addAssignment_3005,axiom,(
    ! [VarCurr] :
      ( v4955(VarCurr)
    <=> v4957(VarCurr) ) )).

fof(addAssignment_3004,axiom,(
    ! [VarCurr] :
      ( v4957(VarCurr)
    <=> v4959(VarCurr) ) )).

fof(addAssignment_3003,axiom,(
    ! [VarCurr] :
      ( v4959(VarCurr)
    <=> v4961(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_110,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12089(VarNext)
       => ( v4961(VarNext)
        <=> v4961(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_113,axiom,(
    ! [VarNext] :
      ( v12089(VarNext)
     => ( v4961(VarNext)
      <=> v12097(VarNext) ) ) )).

fof(addAssignment_3002,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12097(VarNext)
      <=> v12095(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_258,axiom,(
    ! [VarCurr] :
      ( ~ v9228(VarCurr)
     => ( v12095(VarCurr)
      <=> v4969(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_199,axiom,(
    ! [VarCurr] :
      ( v9228(VarCurr)
     => ( v12095(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3019,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12089(VarNext)
      <=> v12090(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3018,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12090(VarNext)
      <=> ( v12092(VarNext)
          & v9214(VarNext) ) ) ) )).

fof(writeUnaryOperator_1674,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12092(VarNext)
      <=> v9221(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_257,axiom,(
    ! [VarCurr] :
      ( ~ v12085(VarCurr)
     => ( v4969(VarCurr)
      <=> v4961(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_198,axiom,(
    ! [VarCurr] :
      ( v12085(VarCurr)
     => ( v4969(VarCurr)
      <=> v12086(VarCurr) ) ) )).

fof(writeUnaryOperator_1673,axiom,(
    ! [VarCurr] :
      ( ~ v12086(VarCurr)
    <=> v4961(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3017,axiom,(
    ! [VarCurr] :
      ( v12085(VarCurr)
    <=> ( v8221(VarCurr)
        | v9339(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_109,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12073(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v4971(VarNext,B)
            <=> v4971(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_112,axiom,(
    ! [VarNext] :
      ( v12073(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v4971(VarNext,B)
          <=> v12081(VarNext,B) ) ) ) )).

fof(addAssignment_3001,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v12081(VarNext,B)
          <=> v12079(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_256,axiom,(
    ! [VarCurr] :
      ( ~ v9228(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12079(VarCurr,B)
          <=> v4973(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_197,axiom,(
    ! [VarCurr] :
      ( v9228(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12079(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3016,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12073(VarNext)
      <=> v12074(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3015,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12074(VarNext)
      <=> ( v12076(VarNext)
          & v9214(VarNext) ) ) ) )).

fof(writeUnaryOperator_1672,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12076(VarNext)
      <=> v9221(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_6,axiom,(
    ! [VarCurr] :
      ( ( ~ v12024(VarCurr)
        & ~ v12028(VarCurr)
        & ~ v12029(VarCurr)
        & ~ v12035(VarCurr)
        & ~ v12050(VarCurr)
        & ~ v12067(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v4973(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_9,axiom,(
    ! [VarCurr] :
      ( v12067(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4973(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_9,axiom,(
    ! [VarCurr] :
      ( v12050(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4973(VarCurr,B)
          <=> v12051(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_37,axiom,(
    ! [VarCurr] :
      ( v12035(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4973(VarCurr,B)
          <=> v12036(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_54,axiom,(
    ! [VarCurr] :
      ( v12029(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4973(VarCurr,B)
          <=> v12030(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_144,axiom,(
    ! [VarCurr] :
      ( v12028(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4973(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_143,axiom,(
    ! [VarCurr] :
      ( v12024(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4973(VarCurr,B)
          <=> v12025(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3014,axiom,(
    ! [VarCurr] :
      ( v12068(VarCurr)
    <=> ( v12069(VarCurr)
        | v12070(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_773,axiom,(
    ! [VarCurr] :
      ( v12070(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_772,axiom,(
    ! [VarCurr] :
      ( v12069(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_771,axiom,(
    ! [VarCurr] :
      ( v12067(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_36,axiom,(
    ! [VarCurr] :
      ( ( ~ v12052(VarCurr)
        & ~ v12057(VarCurr)
        & ~ v12062(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v12051(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_53,axiom,(
    ! [VarCurr] :
      ( v12062(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12051(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_143,axiom,(
    ! [VarCurr] :
      ( v12057(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12051(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_142,axiom,(
    ! [VarCurr] :
      ( v12052(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12051(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3013,axiom,(
    ! [VarCurr] :
      ( v12062(VarCurr)
    <=> ( v12063(VarCurr)
        | v12065(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_770,axiom,(
    ! [VarCurr] :
      ( v12065(VarCurr)
    <=> ( ( v12066(VarCurr,bitIndex2)
        <=> $true )
        & ( v12066(VarCurr,bitIndex1)
        <=> $true )
        & ( v12066(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3000,axiom,(
    ! [VarCurr] :
      ( v12066(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2999,axiom,(
    ! [VarCurr] :
      ( v12066(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2998,axiom,(
    ! [VarCurr] :
      ( v12066(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_769,axiom,(
    ! [VarCurr] :
      ( v12063(VarCurr)
    <=> ( ( v12064(VarCurr,bitIndex2)
        <=> $true )
        & ( v12064(VarCurr,bitIndex1)
        <=> $true )
        & ( v12064(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2997,axiom,(
    ! [VarCurr] :
      ( v12064(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2996,axiom,(
    ! [VarCurr] :
      ( v12064(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2995,axiom,(
    ! [VarCurr] :
      ( v12064(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3012,axiom,(
    ! [VarCurr] :
      ( v12057(VarCurr)
    <=> ( v12058(VarCurr)
        | v12060(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_768,axiom,(
    ! [VarCurr] :
      ( v12060(VarCurr)
    <=> ( ( v12061(VarCurr,bitIndex2)
        <=> $true )
        & ( v12061(VarCurr,bitIndex1)
        <=> $false )
        & ( v12061(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2994,axiom,(
    ! [VarCurr] :
      ( v12061(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2993,axiom,(
    ! [VarCurr] :
      ( v12061(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2992,axiom,(
    ! [VarCurr] :
      ( v12061(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_767,axiom,(
    ! [VarCurr] :
      ( v12058(VarCurr)
    <=> ( ( v12059(VarCurr,bitIndex2)
        <=> $true )
        & ( v12059(VarCurr,bitIndex1)
        <=> $false )
        & ( v12059(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2991,axiom,(
    ! [VarCurr] :
      ( v12059(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2990,axiom,(
    ! [VarCurr] :
      ( v12059(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2989,axiom,(
    ! [VarCurr] :
      ( v12059(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3011,axiom,(
    ! [VarCurr] :
      ( v12052(VarCurr)
    <=> ( v12053(VarCurr)
        | v12055(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_766,axiom,(
    ! [VarCurr] :
      ( v12055(VarCurr)
    <=> ( ( v12056(VarCurr,bitIndex2)
        <=> $false )
        & ( v12056(VarCurr,bitIndex1)
        <=> $false )
        & ( v12056(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2988,axiom,(
    ! [VarCurr] :
      ( v12056(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2987,axiom,(
    ! [VarCurr] :
      ( v12056(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2986,axiom,(
    ! [VarCurr] :
      ( v12056(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_765,axiom,(
    ! [VarCurr] :
      ( v12053(VarCurr)
    <=> ( ( v12054(VarCurr,bitIndex2)
        <=> $false )
        & ( v12054(VarCurr,bitIndex1)
        <=> $false )
        & ( v12054(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2985,axiom,(
    ! [VarCurr] :
      ( v12054(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2984,axiom,(
    ! [VarCurr] :
      ( v12054(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2983,axiom,(
    ! [VarCurr] :
      ( v12054(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_764,axiom,(
    ! [VarCurr] :
      ( v12050(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_8,axiom,(
    ! [VarCurr] :
      ( ( ~ v12037(VarCurr)
        & ~ v12039(VarCurr)
        & ~ v12041(VarCurr)
        & ~ v12043(VarCurr)
        & ~ v12045(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v12036(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_8,axiom,(
    ! [VarCurr] :
      ( v12045(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12036(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_35,axiom,(
    ! [VarCurr] :
      ( v12043(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12036(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_52,axiom,(
    ! [VarCurr] :
      ( v12041(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12036(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_142,axiom,(
    ! [VarCurr] :
      ( v12039(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12036(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_141,axiom,(
    ! [VarCurr] :
      ( v12037(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12036(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3010,axiom,(
    ! [VarCurr] :
      ( v12045(VarCurr)
    <=> ( v12046(VarCurr)
        | v12048(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_763,axiom,(
    ! [VarCurr] :
      ( v12048(VarCurr)
    <=> ( ( v12049(VarCurr,bitIndex2)
        <=> $true )
        & ( v12049(VarCurr,bitIndex1)
        <=> $true )
        & ( v12049(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2982,axiom,(
    ! [VarCurr] :
      ( v12049(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2981,axiom,(
    ! [VarCurr] :
      ( v12049(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2980,axiom,(
    ! [VarCurr] :
      ( v12049(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_762,axiom,(
    ! [VarCurr] :
      ( v12046(VarCurr)
    <=> ( ( v12047(VarCurr,bitIndex2)
        <=> $true )
        & ( v12047(VarCurr,bitIndex1)
        <=> $true )
        & ( v12047(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2979,axiom,(
    ! [VarCurr] :
      ( v12047(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2978,axiom,(
    ! [VarCurr] :
      ( v12047(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2977,axiom,(
    ! [VarCurr] :
      ( v12047(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_761,axiom,(
    ! [VarCurr] :
      ( v12043(VarCurr)
    <=> ( ( v12044(VarCurr,bitIndex2)
        <=> $true )
        & ( v12044(VarCurr,bitIndex1)
        <=> $false )
        & ( v12044(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2976,axiom,(
    ! [VarCurr] :
      ( v12044(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2975,axiom,(
    ! [VarCurr] :
      ( v12044(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2974,axiom,(
    ! [VarCurr] :
      ( v12044(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_760,axiom,(
    ! [VarCurr] :
      ( v12041(VarCurr)
    <=> ( ( v12042(VarCurr,bitIndex2)
        <=> $true )
        & ( v12042(VarCurr,bitIndex1)
        <=> $false )
        & ( v12042(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2973,axiom,(
    ! [VarCurr] :
      ( v12042(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2972,axiom,(
    ! [VarCurr] :
      ( v12042(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2971,axiom,(
    ! [VarCurr] :
      ( v12042(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_759,axiom,(
    ! [VarCurr] :
      ( v12039(VarCurr)
    <=> ( ( v12040(VarCurr,bitIndex2)
        <=> $false )
        & ( v12040(VarCurr,bitIndex1)
        <=> $false )
        & ( v12040(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2970,axiom,(
    ! [VarCurr] :
      ( v12040(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2969,axiom,(
    ! [VarCurr] :
      ( v12040(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2968,axiom,(
    ! [VarCurr] :
      ( v12040(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_758,axiom,(
    ! [VarCurr] :
      ( v12037(VarCurr)
    <=> ( ( v12038(VarCurr,bitIndex2)
        <=> $false )
        & ( v12038(VarCurr,bitIndex1)
        <=> $false )
        & ( v12038(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2967,axiom,(
    ! [VarCurr] :
      ( v12038(VarCurr,bitIndex0)
    <=> v8451(VarCurr) ) )).

fof(addAssignment_2966,axiom,(
    ! [VarCurr] :
      ( v12038(VarCurr,bitIndex1)
    <=> v11137(VarCurr) ) )).

fof(addAssignment_2965,axiom,(
    ! [VarCurr] :
      ( v12038(VarCurr,bitIndex2)
    <=> v10901(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_757,axiom,(
    ! [VarCurr] :
      ( v12035(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_141,axiom,(
    ! [VarCurr] :
      ( ~ v12031(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12030(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_140,axiom,(
    ! [VarCurr] :
      ( v12031(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12030(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_756,axiom,(
    ! [VarCurr] :
      ( v12033(VarCurr)
    <=> ( v12034(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3009,axiom,(
    ! [VarCurr] :
      ( v12034(VarCurr)
    <=> ( v4961(VarCurr)
      <~> v10861(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_755,axiom,(
    ! [VarCurr] :
      ( v12031(VarCurr)
    <=> ( v12032(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3008,axiom,(
    ! [VarCurr] :
      ( v12032(VarCurr)
    <=> ( v4961(VarCurr)
      <~> v10861(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_29,axiom,
    ( v4961(constB0)
  <=> $false )).

fof(addBitVectorEqualityBitBlasted_754,axiom,(
    ! [VarCurr] :
      ( v12029(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_753,axiom,(
    ! [VarCurr] :
      ( v12028(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_140,axiom,(
    ! [VarCurr] :
      ( ~ v12026(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12025(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_139,axiom,(
    ! [VarCurr] :
      ( v12026(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12025(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_752,axiom,(
    ! [VarCurr] :
      ( v12027(VarCurr)
    <=> ( v4975(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_751,axiom,(
    ! [VarCurr] :
      ( v12026(VarCurr)
    <=> ( v4975(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_750,axiom,(
    ! [VarCurr] :
      ( v12024(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2964,axiom,(
    ! [VarCurr] :
      ( v11137(VarCurr)
    <=> v11139(VarCurr) ) )).

fof(addAssignment_2963,axiom,(
    ! [VarCurr] :
      ( v11139(VarCurr)
    <=> v11141(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3007,axiom,(
    ! [VarCurr] :
      ( v11141(VarCurr)
    <=> ( v12019(VarCurr)
        & v10905(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_792,axiom,(
    ! [VarCurr] :
      ( v12019(VarCurr)
    <=> ( v12021(VarCurr)
        | v12022(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_791,axiom,(
    ! [VarCurr] :
      ( v12021(VarCurr)
    <=> ( v12022(VarCurr,bitIndex0)
        | v12022(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_20,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v12022(VarCurr,B)
      <=> ( v11143(VarCurr,B)
          | v10992(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12007(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v11143(VarNext,B)
            <=> v11143(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_111,axiom,(
    ! [VarNext] :
      ( v12007(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v11143(VarNext,B)
          <=> v12015(VarNext,B) ) ) ) )).

fof(addAssignment_2962,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v12015(VarNext,B)
          <=> v12013(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_255,axiom,(
    ! [VarCurr] :
      ( ~ v11075(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12013(VarCurr,B)
          <=> v11145(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_196,axiom,(
    ! [VarCurr] :
      ( v11075(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v12013(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12007(VarNext)
      <=> v12008(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12008(VarNext)
      <=> ( v12010(VarNext)
          & v11061(VarNext) ) ) ) )).

fof(writeUnaryOperator_1671,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12010(VarNext)
      <=> v11068(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_34,axiom,(
    ! [VarCurr] :
      ( ( ~ v11043(VarCurr)
        & ~ v11044(VarCurr)
        & ~ v11045(VarCurr) )
     => ( v11145(VarCurr,bitIndex2)
      <=> v11143(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_5,axiom,(
    ! [VarCurr] :
      ( v11045(VarCurr)
     => ( v11145(VarCurr,bitIndex2)
      <=> v12004(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_4,axiom,(
    ! [VarCurr] :
      ( v11044(VarCurr)
     => ( v11145(VarCurr,bitIndex2)
      <=> v12003(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_5,axiom,(
    ! [VarCurr] :
      ( v11043(VarCurr)
     => ( v11145(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(writeBinaryOperatorShiftedRanges_790,axiom,(
    ! [VarCurr] :
      ( v12004(VarCurr)
    <=> ( v11143(VarCurr,bitIndex2)
        | v10992(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_789,axiom,(
    ! [VarCurr] :
      ( v12003(VarCurr)
    <=> ( v11143(VarCurr,bitIndex2)
        | v10992(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_33,axiom,(
    ! [VarCurr] :
      ( ( ~ v11043(VarCurr)
        & ~ v11044(VarCurr)
        & ~ v11045(VarCurr) )
     => ( v11145(VarCurr,bitIndex1)
      <=> v11143(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_4,axiom,(
    ! [VarCurr] :
      ( v11045(VarCurr)
     => ( v11145(VarCurr,bitIndex1)
      <=> v12001(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_3,axiom,(
    ! [VarCurr] :
      ( v11044(VarCurr)
     => ( v11145(VarCurr,bitIndex1)
      <=> v11998(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_4,axiom,(
    ! [VarCurr] :
      ( v11043(VarCurr)
     => ( v11145(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(writeBinaryOperatorShiftedRanges_788,axiom,(
    ! [VarCurr] :
      ( v12001(VarCurr)
    <=> ( v11143(VarCurr,bitIndex1)
        | v10992(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_787,axiom,(
    ! [VarCurr] :
      ( v11998(VarCurr)
    <=> ( v11143(VarCurr,bitIndex1)
        | v11999(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_786,axiom,(
    ! [VarCurr] :
      ( v11999(VarCurr)
    <=> ( v10992(VarCurr,bitIndex0)
        | v10992(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_32,axiom,(
    ! [VarCurr] :
      ( ( ~ v11043(VarCurr)
        & ~ v11044(VarCurr)
        & ~ v11045(VarCurr) )
     => ( v11145(VarCurr,bitIndex0)
      <=> v11143(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_51,axiom,(
    ! [VarCurr] :
      ( v11045(VarCurr)
     => ( v11145(VarCurr,bitIndex0)
      <=> v11996(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_139,axiom,(
    ! [VarCurr] :
      ( v11044(VarCurr)
     => ( v11145(VarCurr,bitIndex0)
      <=> v11995(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_138,axiom,(
    ! [VarCurr] :
      ( v11043(VarCurr)
     => ( v11145(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3004,axiom,(
    ! [VarCurr] :
      ( v11996(VarCurr)
    <=> ( v11143(VarCurr,bitIndex0)
        | v10992(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3003,axiom,(
    ! [VarCurr] :
      ( v11995(VarCurr)
    <=> ( v11143(VarCurr,bitIndex0)
        | v11147(VarCurr) ) ) )).

fof(addAssignment_2961,axiom,(
    ! [VarCurr] :
      ( v10992(VarCurr,bitIndex2)
    <=> v11036(VarCurr,bitIndex2) ) )).

fof(addAssignment_2960,axiom,(
    ! [VarCurr] :
      ( v10994(VarCurr,bitIndex2)
    <=> v10996(VarCurr,bitIndex2) ) )).

fof(addAssignment_2959,axiom,(
    ! [VarCurr] :
      ( v10996(VarCurr,bitIndex2)
    <=> v10998(VarCurr,bitIndex2) ) )).

fof(addAssignment_2958,axiom,(
    ! [VarCurr] :
      ( v10998(VarCurr,bitIndex2)
    <=> v11000(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_785,axiom,(
    ! [VarCurr] :
      ( v11000(VarCurr,bitIndex2)
    <=> ( v11992(VarCurr)
        | v11250(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_784,axiom,(
    ! [VarCurr] :
      ( v11992(VarCurr)
    <=> ( v11993(VarCurr)
        | v11250(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_783,axiom,(
    ! [VarCurr] :
      ( v11993(VarCurr)
    <=> ( v11250(VarCurr,bitIndex0)
        | v11250(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_782,axiom,(
    ! [VarCurr] :
      ( v11250(VarCurr,bitIndex3)
    <=> ( v11833(VarCurr)
      <~> v11989(VarCurr) ) ) )).

fof(writeUnaryOperator_1670,axiom,(
    ! [VarCurr] :
      ( ~ v11989(VarCurr)
    <=> v11282(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3002,axiom,(
    ! [VarCurr] :
      ( v11833(VarCurr)
    <=> ( v11835(VarCurr)
        & v11988(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3001,axiom,(
    ! [VarCurr] :
      ( v11988(VarCurr)
    <=> ( v11837(VarCurr)
        | v11913(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3000,axiom,(
    ! [VarCurr] :
      ( v11835(VarCurr)
    <=> ( v11836(VarCurr)
        | v11912(VarCurr) ) ) )).

fof(writeUnaryOperator_1669,axiom,(
    ! [VarCurr] :
      ( ~ v11912(VarCurr)
    <=> v11913(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2999,axiom,(
    ! [VarCurr] :
      ( v11913(VarCurr)
    <=> ( v11914(VarCurr)
        & v11987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2998,axiom,(
    ! [VarCurr] :
      ( v11987(VarCurr)
    <=> ( v11916(VarCurr)
        | v11932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2997,axiom,(
    ! [VarCurr] :
      ( v11914(VarCurr)
    <=> ( v11915(VarCurr)
        | v11931(VarCurr) ) ) )).

fof(writeUnaryOperator_1668,axiom,(
    ! [VarCurr] :
      ( ~ v11931(VarCurr)
    <=> v11932(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2996,axiom,(
    ! [VarCurr] :
      ( v11932(VarCurr)
    <=> ( v11933(VarCurr)
        & v11986(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2995,axiom,(
    ! [VarCurr] :
      ( v11986(VarCurr)
    <=> ( v11935(VarCurr)
        | v11951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2994,axiom,(
    ! [VarCurr] :
      ( v11933(VarCurr)
    <=> ( v11934(VarCurr)
        | v11950(VarCurr) ) ) )).

fof(writeUnaryOperator_1667,axiom,(
    ! [VarCurr] :
      ( ~ v11950(VarCurr)
    <=> v11951(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2993,axiom,(
    ! [VarCurr] :
      ( v11951(VarCurr)
    <=> ( v11952(VarCurr)
        & v11985(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2992,axiom,(
    ! [VarCurr] :
      ( v11985(VarCurr)
    <=> ( v11954(VarCurr)
        | v11970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2991,axiom,(
    ! [VarCurr] :
      ( v11952(VarCurr)
    <=> ( v11953(VarCurr)
        | v11969(VarCurr) ) ) )).

fof(writeUnaryOperator_1666,axiom,(
    ! [VarCurr] :
      ( ~ v11969(VarCurr)
    <=> v11970(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2990,axiom,(
    ! [VarCurr] :
      ( v11970(VarCurr)
    <=> ( v11971(VarCurr)
        & v11984(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_781,axiom,(
    ! [VarCurr] :
      ( v11984(VarCurr)
    <=> ( v11252(VarCurr,bitIndex119)
        | v11974(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2989,axiom,(
    ! [VarCurr] :
      ( v11971(VarCurr)
    <=> ( v11972(VarCurr)
        | v11973(VarCurr) ) ) )).

fof(writeUnaryOperator_1665,axiom,(
    ! [VarCurr] :
      ( ~ v11973(VarCurr)
    <=> v11974(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2988,axiom,(
    ! [VarCurr] :
      ( v11974(VarCurr)
    <=> ( v11975(VarCurr)
        & v11983(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_780,axiom,(
    ! [VarCurr] :
      ( v11983(VarCurr)
    <=> ( v11252(VarCurr,bitIndex118)
        | v11978(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2987,axiom,(
    ! [VarCurr] :
      ( v11975(VarCurr)
    <=> ( v11976(VarCurr)
        | v11977(VarCurr) ) ) )).

fof(writeUnaryOperator_1664,axiom,(
    ! [VarCurr] :
      ( ~ v11977(VarCurr)
    <=> v11978(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2986,axiom,(
    ! [VarCurr] :
      ( v11978(VarCurr)
    <=> ( v11979(VarCurr)
        & v11982(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_779,axiom,(
    ! [VarCurr] :
      ( v11982(VarCurr)
    <=> ( v11252(VarCurr,bitIndex116)
        | v11252(VarCurr,bitIndex117) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2985,axiom,(
    ! [VarCurr] :
      ( v11979(VarCurr)
    <=> ( v11980(VarCurr)
        | v11981(VarCurr) ) ) )).

fof(writeUnaryOperator_1663,axiom,(
    ! [VarCurr] :
      ( ~ v11981(VarCurr)
    <=> v11252(VarCurr,bitIndex117) ) )).

fof(writeUnaryOperator_1662,axiom,(
    ! [VarCurr] :
      ( ~ v11980(VarCurr)
    <=> v11252(VarCurr,bitIndex116) ) )).

fof(writeUnaryOperator_1661,axiom,(
    ! [VarCurr] :
      ( ~ v11976(VarCurr)
    <=> v11252(VarCurr,bitIndex118) ) )).

fof(writeUnaryOperator_1660,axiom,(
    ! [VarCurr] :
      ( ~ v11972(VarCurr)
    <=> v11252(VarCurr,bitIndex119) ) )).

fof(writeUnaryOperator_1659,axiom,(
    ! [VarCurr] :
      ( ~ v11953(VarCurr)
    <=> v11954(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2984,axiom,(
    ! [VarCurr] :
      ( v11954(VarCurr)
    <=> ( v11955(VarCurr)
        & v11968(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_778,axiom,(
    ! [VarCurr] :
      ( v11968(VarCurr)
    <=> ( v11252(VarCurr,bitIndex115)
        | v11958(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2983,axiom,(
    ! [VarCurr] :
      ( v11955(VarCurr)
    <=> ( v11956(VarCurr)
        | v11957(VarCurr) ) ) )).

fof(writeUnaryOperator_1658,axiom,(
    ! [VarCurr] :
      ( ~ v11957(VarCurr)
    <=> v11958(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2982,axiom,(
    ! [VarCurr] :
      ( v11958(VarCurr)
    <=> ( v11959(VarCurr)
        & v11967(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_777,axiom,(
    ! [VarCurr] :
      ( v11967(VarCurr)
    <=> ( v11252(VarCurr,bitIndex114)
        | v11962(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2981,axiom,(
    ! [VarCurr] :
      ( v11959(VarCurr)
    <=> ( v11960(VarCurr)
        | v11961(VarCurr) ) ) )).

fof(writeUnaryOperator_1657,axiom,(
    ! [VarCurr] :
      ( ~ v11961(VarCurr)
    <=> v11962(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2980,axiom,(
    ! [VarCurr] :
      ( v11962(VarCurr)
    <=> ( v11963(VarCurr)
        & v11966(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_776,axiom,(
    ! [VarCurr] :
      ( v11966(VarCurr)
    <=> ( v11252(VarCurr,bitIndex112)
        | v11252(VarCurr,bitIndex113) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2979,axiom,(
    ! [VarCurr] :
      ( v11963(VarCurr)
    <=> ( v11964(VarCurr)
        | v11965(VarCurr) ) ) )).

fof(writeUnaryOperator_1656,axiom,(
    ! [VarCurr] :
      ( ~ v11965(VarCurr)
    <=> v11252(VarCurr,bitIndex113) ) )).

fof(writeUnaryOperator_1655,axiom,(
    ! [VarCurr] :
      ( ~ v11964(VarCurr)
    <=> v11252(VarCurr,bitIndex112) ) )).

fof(writeUnaryOperator_1654,axiom,(
    ! [VarCurr] :
      ( ~ v11960(VarCurr)
    <=> v11252(VarCurr,bitIndex114) ) )).

fof(writeUnaryOperator_1653,axiom,(
    ! [VarCurr] :
      ( ~ v11956(VarCurr)
    <=> v11252(VarCurr,bitIndex115) ) )).

fof(writeUnaryOperator_1652,axiom,(
    ! [VarCurr] :
      ( ~ v11934(VarCurr)
    <=> v11935(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2978,axiom,(
    ! [VarCurr] :
      ( v11935(VarCurr)
    <=> ( v11936(VarCurr)
        & v11949(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_775,axiom,(
    ! [VarCurr] :
      ( v11949(VarCurr)
    <=> ( v11252(VarCurr,bitIndex123)
        | v11939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2977,axiom,(
    ! [VarCurr] :
      ( v11936(VarCurr)
    <=> ( v11937(VarCurr)
        | v11938(VarCurr) ) ) )).

fof(writeUnaryOperator_1651,axiom,(
    ! [VarCurr] :
      ( ~ v11938(VarCurr)
    <=> v11939(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2976,axiom,(
    ! [VarCurr] :
      ( v11939(VarCurr)
    <=> ( v11940(VarCurr)
        & v11948(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_774,axiom,(
    ! [VarCurr] :
      ( v11948(VarCurr)
    <=> ( v11252(VarCurr,bitIndex122)
        | v11943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2975,axiom,(
    ! [VarCurr] :
      ( v11940(VarCurr)
    <=> ( v11941(VarCurr)
        | v11942(VarCurr) ) ) )).

fof(writeUnaryOperator_1650,axiom,(
    ! [VarCurr] :
      ( ~ v11942(VarCurr)
    <=> v11943(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2974,axiom,(
    ! [VarCurr] :
      ( v11943(VarCurr)
    <=> ( v11944(VarCurr)
        & v11947(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_773,axiom,(
    ! [VarCurr] :
      ( v11947(VarCurr)
    <=> ( v11252(VarCurr,bitIndex120)
        | v11252(VarCurr,bitIndex121) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2973,axiom,(
    ! [VarCurr] :
      ( v11944(VarCurr)
    <=> ( v11945(VarCurr)
        | v11946(VarCurr) ) ) )).

fof(writeUnaryOperator_1649,axiom,(
    ! [VarCurr] :
      ( ~ v11946(VarCurr)
    <=> v11252(VarCurr,bitIndex121) ) )).

fof(writeUnaryOperator_1648,axiom,(
    ! [VarCurr] :
      ( ~ v11945(VarCurr)
    <=> v11252(VarCurr,bitIndex120) ) )).

fof(writeUnaryOperator_1647,axiom,(
    ! [VarCurr] :
      ( ~ v11941(VarCurr)
    <=> v11252(VarCurr,bitIndex122) ) )).

fof(writeUnaryOperator_1646,axiom,(
    ! [VarCurr] :
      ( ~ v11937(VarCurr)
    <=> v11252(VarCurr,bitIndex123) ) )).

fof(writeUnaryOperator_1645,axiom,(
    ! [VarCurr] :
      ( ~ v11915(VarCurr)
    <=> v11916(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2972,axiom,(
    ! [VarCurr] :
      ( v11916(VarCurr)
    <=> ( v11917(VarCurr)
        & v11930(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_772,axiom,(
    ! [VarCurr] :
      ( v11930(VarCurr)
    <=> ( v11252(VarCurr,bitIndex127)
        | v11920(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2971,axiom,(
    ! [VarCurr] :
      ( v11917(VarCurr)
    <=> ( v11918(VarCurr)
        | v11919(VarCurr) ) ) )).

fof(writeUnaryOperator_1644,axiom,(
    ! [VarCurr] :
      ( ~ v11919(VarCurr)
    <=> v11920(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2970,axiom,(
    ! [VarCurr] :
      ( v11920(VarCurr)
    <=> ( v11921(VarCurr)
        & v11929(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_771,axiom,(
    ! [VarCurr] :
      ( v11929(VarCurr)
    <=> ( v11252(VarCurr,bitIndex126)
        | v11924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2969,axiom,(
    ! [VarCurr] :
      ( v11921(VarCurr)
    <=> ( v11922(VarCurr)
        | v11923(VarCurr) ) ) )).

fof(writeUnaryOperator_1643,axiom,(
    ! [VarCurr] :
      ( ~ v11923(VarCurr)
    <=> v11924(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2968,axiom,(
    ! [VarCurr] :
      ( v11924(VarCurr)
    <=> ( v11925(VarCurr)
        & v11928(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_770,axiom,(
    ! [VarCurr] :
      ( v11928(VarCurr)
    <=> ( v11252(VarCurr,bitIndex124)
        | v11252(VarCurr,bitIndex125) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2967,axiom,(
    ! [VarCurr] :
      ( v11925(VarCurr)
    <=> ( v11926(VarCurr)
        | v11927(VarCurr) ) ) )).

fof(writeUnaryOperator_1642,axiom,(
    ! [VarCurr] :
      ( ~ v11927(VarCurr)
    <=> v11252(VarCurr,bitIndex125) ) )).

fof(writeUnaryOperator_1641,axiom,(
    ! [VarCurr] :
      ( ~ v11926(VarCurr)
    <=> v11252(VarCurr,bitIndex124) ) )).

fof(writeUnaryOperator_1640,axiom,(
    ! [VarCurr] :
      ( ~ v11922(VarCurr)
    <=> v11252(VarCurr,bitIndex126) ) )).

fof(writeUnaryOperator_1639,axiom,(
    ! [VarCurr] :
      ( ~ v11918(VarCurr)
    <=> v11252(VarCurr,bitIndex127) ) )).

fof(writeUnaryOperator_1638,axiom,(
    ! [VarCurr] :
      ( ~ v11836(VarCurr)
    <=> v11837(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2966,axiom,(
    ! [VarCurr] :
      ( v11837(VarCurr)
    <=> ( v11838(VarCurr)
        & v11911(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2965,axiom,(
    ! [VarCurr] :
      ( v11911(VarCurr)
    <=> ( v11840(VarCurr)
        | v11856(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2964,axiom,(
    ! [VarCurr] :
      ( v11838(VarCurr)
    <=> ( v11839(VarCurr)
        | v11855(VarCurr) ) ) )).

fof(writeUnaryOperator_1637,axiom,(
    ! [VarCurr] :
      ( ~ v11855(VarCurr)
    <=> v11856(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2963,axiom,(
    ! [VarCurr] :
      ( v11856(VarCurr)
    <=> ( v11857(VarCurr)
        & v11910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2962,axiom,(
    ! [VarCurr] :
      ( v11910(VarCurr)
    <=> ( v11859(VarCurr)
        | v11875(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2961,axiom,(
    ! [VarCurr] :
      ( v11857(VarCurr)
    <=> ( v11858(VarCurr)
        | v11874(VarCurr) ) ) )).

fof(writeUnaryOperator_1636,axiom,(
    ! [VarCurr] :
      ( ~ v11874(VarCurr)
    <=> v11875(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2960,axiom,(
    ! [VarCurr] :
      ( v11875(VarCurr)
    <=> ( v11876(VarCurr)
        & v11909(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2959,axiom,(
    ! [VarCurr] :
      ( v11909(VarCurr)
    <=> ( v11878(VarCurr)
        | v11894(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2958,axiom,(
    ! [VarCurr] :
      ( v11876(VarCurr)
    <=> ( v11877(VarCurr)
        | v11893(VarCurr) ) ) )).

fof(writeUnaryOperator_1635,axiom,(
    ! [VarCurr] :
      ( ~ v11893(VarCurr)
    <=> v11894(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2957,axiom,(
    ! [VarCurr] :
      ( v11894(VarCurr)
    <=> ( v11895(VarCurr)
        & v11908(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_769,axiom,(
    ! [VarCurr] :
      ( v11908(VarCurr)
    <=> ( v11252(VarCurr,bitIndex103)
        | v11898(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2956,axiom,(
    ! [VarCurr] :
      ( v11895(VarCurr)
    <=> ( v11896(VarCurr)
        | v11897(VarCurr) ) ) )).

fof(writeUnaryOperator_1634,axiom,(
    ! [VarCurr] :
      ( ~ v11897(VarCurr)
    <=> v11898(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2955,axiom,(
    ! [VarCurr] :
      ( v11898(VarCurr)
    <=> ( v11899(VarCurr)
        & v11907(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_768,axiom,(
    ! [VarCurr] :
      ( v11907(VarCurr)
    <=> ( v11252(VarCurr,bitIndex102)
        | v11902(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2954,axiom,(
    ! [VarCurr] :
      ( v11899(VarCurr)
    <=> ( v11900(VarCurr)
        | v11901(VarCurr) ) ) )).

fof(writeUnaryOperator_1633,axiom,(
    ! [VarCurr] :
      ( ~ v11901(VarCurr)
    <=> v11902(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2953,axiom,(
    ! [VarCurr] :
      ( v11902(VarCurr)
    <=> ( v11903(VarCurr)
        & v11906(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_767,axiom,(
    ! [VarCurr] :
      ( v11906(VarCurr)
    <=> ( v11252(VarCurr,bitIndex100)
        | v11252(VarCurr,bitIndex101) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2952,axiom,(
    ! [VarCurr] :
      ( v11903(VarCurr)
    <=> ( v11904(VarCurr)
        | v11905(VarCurr) ) ) )).

fof(writeUnaryOperator_1632,axiom,(
    ! [VarCurr] :
      ( ~ v11905(VarCurr)
    <=> v11252(VarCurr,bitIndex101) ) )).

fof(writeUnaryOperator_1631,axiom,(
    ! [VarCurr] :
      ( ~ v11904(VarCurr)
    <=> v11252(VarCurr,bitIndex100) ) )).

fof(writeUnaryOperator_1630,axiom,(
    ! [VarCurr] :
      ( ~ v11900(VarCurr)
    <=> v11252(VarCurr,bitIndex102) ) )).

fof(writeUnaryOperator_1629,axiom,(
    ! [VarCurr] :
      ( ~ v11896(VarCurr)
    <=> v11252(VarCurr,bitIndex103) ) )).

fof(writeUnaryOperator_1628,axiom,(
    ! [VarCurr] :
      ( ~ v11877(VarCurr)
    <=> v11878(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2951,axiom,(
    ! [VarCurr] :
      ( v11878(VarCurr)
    <=> ( v11879(VarCurr)
        & v11892(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_766,axiom,(
    ! [VarCurr] :
      ( v11892(VarCurr)
    <=> ( v11252(VarCurr,bitIndex99)
        | v11882(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2950,axiom,(
    ! [VarCurr] :
      ( v11879(VarCurr)
    <=> ( v11880(VarCurr)
        | v11881(VarCurr) ) ) )).

fof(writeUnaryOperator_1627,axiom,(
    ! [VarCurr] :
      ( ~ v11881(VarCurr)
    <=> v11882(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2949,axiom,(
    ! [VarCurr] :
      ( v11882(VarCurr)
    <=> ( v11883(VarCurr)
        & v11891(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_765,axiom,(
    ! [VarCurr] :
      ( v11891(VarCurr)
    <=> ( v11252(VarCurr,bitIndex98)
        | v11886(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2948,axiom,(
    ! [VarCurr] :
      ( v11883(VarCurr)
    <=> ( v11884(VarCurr)
        | v11885(VarCurr) ) ) )).

fof(writeUnaryOperator_1626,axiom,(
    ! [VarCurr] :
      ( ~ v11885(VarCurr)
    <=> v11886(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2947,axiom,(
    ! [VarCurr] :
      ( v11886(VarCurr)
    <=> ( v11887(VarCurr)
        & v11890(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_764,axiom,(
    ! [VarCurr] :
      ( v11890(VarCurr)
    <=> ( v11252(VarCurr,bitIndex96)
        | v11252(VarCurr,bitIndex97) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2946,axiom,(
    ! [VarCurr] :
      ( v11887(VarCurr)
    <=> ( v11888(VarCurr)
        | v11889(VarCurr) ) ) )).

fof(writeUnaryOperator_1625,axiom,(
    ! [VarCurr] :
      ( ~ v11889(VarCurr)
    <=> v11252(VarCurr,bitIndex97) ) )).

fof(writeUnaryOperator_1624,axiom,(
    ! [VarCurr] :
      ( ~ v11888(VarCurr)
    <=> v11252(VarCurr,bitIndex96) ) )).

fof(writeUnaryOperator_1623,axiom,(
    ! [VarCurr] :
      ( ~ v11884(VarCurr)
    <=> v11252(VarCurr,bitIndex98) ) )).

fof(writeUnaryOperator_1622,axiom,(
    ! [VarCurr] :
      ( ~ v11880(VarCurr)
    <=> v11252(VarCurr,bitIndex99) ) )).

fof(writeUnaryOperator_1621,axiom,(
    ! [VarCurr] :
      ( ~ v11858(VarCurr)
    <=> v11859(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2945,axiom,(
    ! [VarCurr] :
      ( v11859(VarCurr)
    <=> ( v11860(VarCurr)
        & v11873(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_763,axiom,(
    ! [VarCurr] :
      ( v11873(VarCurr)
    <=> ( v11252(VarCurr,bitIndex107)
        | v11863(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2944,axiom,(
    ! [VarCurr] :
      ( v11860(VarCurr)
    <=> ( v11861(VarCurr)
        | v11862(VarCurr) ) ) )).

fof(writeUnaryOperator_1620,axiom,(
    ! [VarCurr] :
      ( ~ v11862(VarCurr)
    <=> v11863(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2943,axiom,(
    ! [VarCurr] :
      ( v11863(VarCurr)
    <=> ( v11864(VarCurr)
        & v11872(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_762,axiom,(
    ! [VarCurr] :
      ( v11872(VarCurr)
    <=> ( v11252(VarCurr,bitIndex106)
        | v11867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2942,axiom,(
    ! [VarCurr] :
      ( v11864(VarCurr)
    <=> ( v11865(VarCurr)
        | v11866(VarCurr) ) ) )).

fof(writeUnaryOperator_1619,axiom,(
    ! [VarCurr] :
      ( ~ v11866(VarCurr)
    <=> v11867(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2941,axiom,(
    ! [VarCurr] :
      ( v11867(VarCurr)
    <=> ( v11868(VarCurr)
        & v11871(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_761,axiom,(
    ! [VarCurr] :
      ( v11871(VarCurr)
    <=> ( v11252(VarCurr,bitIndex104)
        | v11252(VarCurr,bitIndex105) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2940,axiom,(
    ! [VarCurr] :
      ( v11868(VarCurr)
    <=> ( v11869(VarCurr)
        | v11870(VarCurr) ) ) )).

fof(writeUnaryOperator_1618,axiom,(
    ! [VarCurr] :
      ( ~ v11870(VarCurr)
    <=> v11252(VarCurr,bitIndex105) ) )).

fof(writeUnaryOperator_1617,axiom,(
    ! [VarCurr] :
      ( ~ v11869(VarCurr)
    <=> v11252(VarCurr,bitIndex104) ) )).

fof(writeUnaryOperator_1616,axiom,(
    ! [VarCurr] :
      ( ~ v11865(VarCurr)
    <=> v11252(VarCurr,bitIndex106) ) )).

fof(writeUnaryOperator_1615,axiom,(
    ! [VarCurr] :
      ( ~ v11861(VarCurr)
    <=> v11252(VarCurr,bitIndex107) ) )).

fof(writeUnaryOperator_1614,axiom,(
    ! [VarCurr] :
      ( ~ v11839(VarCurr)
    <=> v11840(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2939,axiom,(
    ! [VarCurr] :
      ( v11840(VarCurr)
    <=> ( v11841(VarCurr)
        & v11854(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_760,axiom,(
    ! [VarCurr] :
      ( v11854(VarCurr)
    <=> ( v11252(VarCurr,bitIndex111)
        | v11844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2938,axiom,(
    ! [VarCurr] :
      ( v11841(VarCurr)
    <=> ( v11842(VarCurr)
        | v11843(VarCurr) ) ) )).

fof(writeUnaryOperator_1613,axiom,(
    ! [VarCurr] :
      ( ~ v11843(VarCurr)
    <=> v11844(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2937,axiom,(
    ! [VarCurr] :
      ( v11844(VarCurr)
    <=> ( v11845(VarCurr)
        & v11853(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_759,axiom,(
    ! [VarCurr] :
      ( v11853(VarCurr)
    <=> ( v11252(VarCurr,bitIndex110)
        | v11848(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2936,axiom,(
    ! [VarCurr] :
      ( v11845(VarCurr)
    <=> ( v11846(VarCurr)
        | v11847(VarCurr) ) ) )).

fof(writeUnaryOperator_1612,axiom,(
    ! [VarCurr] :
      ( ~ v11847(VarCurr)
    <=> v11848(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2935,axiom,(
    ! [VarCurr] :
      ( v11848(VarCurr)
    <=> ( v11849(VarCurr)
        & v11852(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_758,axiom,(
    ! [VarCurr] :
      ( v11852(VarCurr)
    <=> ( v11252(VarCurr,bitIndex108)
        | v11252(VarCurr,bitIndex109) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2934,axiom,(
    ! [VarCurr] :
      ( v11849(VarCurr)
    <=> ( v11850(VarCurr)
        | v11851(VarCurr) ) ) )).

fof(writeUnaryOperator_1611,axiom,(
    ! [VarCurr] :
      ( ~ v11851(VarCurr)
    <=> v11252(VarCurr,bitIndex109) ) )).

fof(writeUnaryOperator_1610,axiom,(
    ! [VarCurr] :
      ( ~ v11850(VarCurr)
    <=> v11252(VarCurr,bitIndex108) ) )).

fof(writeUnaryOperator_1609,axiom,(
    ! [VarCurr] :
      ( ~ v11846(VarCurr)
    <=> v11252(VarCurr,bitIndex110) ) )).

fof(writeUnaryOperator_1608,axiom,(
    ! [VarCurr] :
      ( ~ v11842(VarCurr)
    <=> v11252(VarCurr,bitIndex111) ) )).

fof(writeBinaryOperatorShiftedRanges_757,axiom,(
    ! [VarCurr] :
      ( v11250(VarCurr,bitIndex2)
    <=> ( v11675(VarCurr)
      <~> v11831(VarCurr) ) ) )).

fof(writeUnaryOperator_1607,axiom,(
    ! [VarCurr] :
      ( ~ v11831(VarCurr)
    <=> v11282(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2933,axiom,(
    ! [VarCurr] :
      ( v11675(VarCurr)
    <=> ( v11677(VarCurr)
        & v11830(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2932,axiom,(
    ! [VarCurr] :
      ( v11830(VarCurr)
    <=> ( v11679(VarCurr)
        | v11755(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2931,axiom,(
    ! [VarCurr] :
      ( v11677(VarCurr)
    <=> ( v11678(VarCurr)
        | v11754(VarCurr) ) ) )).

fof(writeUnaryOperator_1606,axiom,(
    ! [VarCurr] :
      ( ~ v11754(VarCurr)
    <=> v11755(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2930,axiom,(
    ! [VarCurr] :
      ( v11755(VarCurr)
    <=> ( v11756(VarCurr)
        & v11829(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2929,axiom,(
    ! [VarCurr] :
      ( v11829(VarCurr)
    <=> ( v11758(VarCurr)
        | v11774(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2928,axiom,(
    ! [VarCurr] :
      ( v11756(VarCurr)
    <=> ( v11757(VarCurr)
        | v11773(VarCurr) ) ) )).

fof(writeUnaryOperator_1605,axiom,(
    ! [VarCurr] :
      ( ~ v11773(VarCurr)
    <=> v11774(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2927,axiom,(
    ! [VarCurr] :
      ( v11774(VarCurr)
    <=> ( v11775(VarCurr)
        & v11828(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2926,axiom,(
    ! [VarCurr] :
      ( v11828(VarCurr)
    <=> ( v11777(VarCurr)
        | v11793(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2925,axiom,(
    ! [VarCurr] :
      ( v11775(VarCurr)
    <=> ( v11776(VarCurr)
        | v11792(VarCurr) ) ) )).

fof(writeUnaryOperator_1604,axiom,(
    ! [VarCurr] :
      ( ~ v11792(VarCurr)
    <=> v11793(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2924,axiom,(
    ! [VarCurr] :
      ( v11793(VarCurr)
    <=> ( v11794(VarCurr)
        & v11827(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2923,axiom,(
    ! [VarCurr] :
      ( v11827(VarCurr)
    <=> ( v11796(VarCurr)
        | v11812(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2922,axiom,(
    ! [VarCurr] :
      ( v11794(VarCurr)
    <=> ( v11795(VarCurr)
        | v11811(VarCurr) ) ) )).

fof(writeUnaryOperator_1603,axiom,(
    ! [VarCurr] :
      ( ~ v11811(VarCurr)
    <=> v11812(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2921,axiom,(
    ! [VarCurr] :
      ( v11812(VarCurr)
    <=> ( v11813(VarCurr)
        & v11826(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_756,axiom,(
    ! [VarCurr] :
      ( v11826(VarCurr)
    <=> ( v11252(VarCurr,bitIndex87)
        | v11816(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2920,axiom,(
    ! [VarCurr] :
      ( v11813(VarCurr)
    <=> ( v11814(VarCurr)
        | v11815(VarCurr) ) ) )).

fof(writeUnaryOperator_1602,axiom,(
    ! [VarCurr] :
      ( ~ v11815(VarCurr)
    <=> v11816(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2919,axiom,(
    ! [VarCurr] :
      ( v11816(VarCurr)
    <=> ( v11817(VarCurr)
        & v11825(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_755,axiom,(
    ! [VarCurr] :
      ( v11825(VarCurr)
    <=> ( v11252(VarCurr,bitIndex86)
        | v11820(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2918,axiom,(
    ! [VarCurr] :
      ( v11817(VarCurr)
    <=> ( v11818(VarCurr)
        | v11819(VarCurr) ) ) )).

fof(writeUnaryOperator_1601,axiom,(
    ! [VarCurr] :
      ( ~ v11819(VarCurr)
    <=> v11820(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2917,axiom,(
    ! [VarCurr] :
      ( v11820(VarCurr)
    <=> ( v11821(VarCurr)
        & v11824(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_754,axiom,(
    ! [VarCurr] :
      ( v11824(VarCurr)
    <=> ( v11252(VarCurr,bitIndex84)
        | v11252(VarCurr,bitIndex85) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2916,axiom,(
    ! [VarCurr] :
      ( v11821(VarCurr)
    <=> ( v11822(VarCurr)
        | v11823(VarCurr) ) ) )).

fof(writeUnaryOperator_1600,axiom,(
    ! [VarCurr] :
      ( ~ v11823(VarCurr)
    <=> v11252(VarCurr,bitIndex85) ) )).

fof(writeUnaryOperator_1599,axiom,(
    ! [VarCurr] :
      ( ~ v11822(VarCurr)
    <=> v11252(VarCurr,bitIndex84) ) )).

fof(writeUnaryOperator_1598,axiom,(
    ! [VarCurr] :
      ( ~ v11818(VarCurr)
    <=> v11252(VarCurr,bitIndex86) ) )).

fof(writeUnaryOperator_1597,axiom,(
    ! [VarCurr] :
      ( ~ v11814(VarCurr)
    <=> v11252(VarCurr,bitIndex87) ) )).

fof(writeUnaryOperator_1596,axiom,(
    ! [VarCurr] :
      ( ~ v11795(VarCurr)
    <=> v11796(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2915,axiom,(
    ! [VarCurr] :
      ( v11796(VarCurr)
    <=> ( v11797(VarCurr)
        & v11810(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_753,axiom,(
    ! [VarCurr] :
      ( v11810(VarCurr)
    <=> ( v11252(VarCurr,bitIndex83)
        | v11800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2914,axiom,(
    ! [VarCurr] :
      ( v11797(VarCurr)
    <=> ( v11798(VarCurr)
        | v11799(VarCurr) ) ) )).

fof(writeUnaryOperator_1595,axiom,(
    ! [VarCurr] :
      ( ~ v11799(VarCurr)
    <=> v11800(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2913,axiom,(
    ! [VarCurr] :
      ( v11800(VarCurr)
    <=> ( v11801(VarCurr)
        & v11809(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_752,axiom,(
    ! [VarCurr] :
      ( v11809(VarCurr)
    <=> ( v11252(VarCurr,bitIndex82)
        | v11804(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2912,axiom,(
    ! [VarCurr] :
      ( v11801(VarCurr)
    <=> ( v11802(VarCurr)
        | v11803(VarCurr) ) ) )).

fof(writeUnaryOperator_1594,axiom,(
    ! [VarCurr] :
      ( ~ v11803(VarCurr)
    <=> v11804(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2911,axiom,(
    ! [VarCurr] :
      ( v11804(VarCurr)
    <=> ( v11805(VarCurr)
        & v11808(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_751,axiom,(
    ! [VarCurr] :
      ( v11808(VarCurr)
    <=> ( v11252(VarCurr,bitIndex80)
        | v11252(VarCurr,bitIndex81) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2910,axiom,(
    ! [VarCurr] :
      ( v11805(VarCurr)
    <=> ( v11806(VarCurr)
        | v11807(VarCurr) ) ) )).

fof(writeUnaryOperator_1593,axiom,(
    ! [VarCurr] :
      ( ~ v11807(VarCurr)
    <=> v11252(VarCurr,bitIndex81) ) )).

fof(writeUnaryOperator_1592,axiom,(
    ! [VarCurr] :
      ( ~ v11806(VarCurr)
    <=> v11252(VarCurr,bitIndex80) ) )).

fof(writeUnaryOperator_1591,axiom,(
    ! [VarCurr] :
      ( ~ v11802(VarCurr)
    <=> v11252(VarCurr,bitIndex82) ) )).

fof(writeUnaryOperator_1590,axiom,(
    ! [VarCurr] :
      ( ~ v11798(VarCurr)
    <=> v11252(VarCurr,bitIndex83) ) )).

fof(writeUnaryOperator_1589,axiom,(
    ! [VarCurr] :
      ( ~ v11776(VarCurr)
    <=> v11777(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2909,axiom,(
    ! [VarCurr] :
      ( v11777(VarCurr)
    <=> ( v11778(VarCurr)
        & v11791(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_750,axiom,(
    ! [VarCurr] :
      ( v11791(VarCurr)
    <=> ( v11252(VarCurr,bitIndex91)
        | v11781(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2908,axiom,(
    ! [VarCurr] :
      ( v11778(VarCurr)
    <=> ( v11779(VarCurr)
        | v11780(VarCurr) ) ) )).

fof(writeUnaryOperator_1588,axiom,(
    ! [VarCurr] :
      ( ~ v11780(VarCurr)
    <=> v11781(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2907,axiom,(
    ! [VarCurr] :
      ( v11781(VarCurr)
    <=> ( v11782(VarCurr)
        & v11790(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_749,axiom,(
    ! [VarCurr] :
      ( v11790(VarCurr)
    <=> ( v11252(VarCurr,bitIndex90)
        | v11785(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2906,axiom,(
    ! [VarCurr] :
      ( v11782(VarCurr)
    <=> ( v11783(VarCurr)
        | v11784(VarCurr) ) ) )).

fof(writeUnaryOperator_1587,axiom,(
    ! [VarCurr] :
      ( ~ v11784(VarCurr)
    <=> v11785(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2905,axiom,(
    ! [VarCurr] :
      ( v11785(VarCurr)
    <=> ( v11786(VarCurr)
        & v11789(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_748,axiom,(
    ! [VarCurr] :
      ( v11789(VarCurr)
    <=> ( v11252(VarCurr,bitIndex88)
        | v11252(VarCurr,bitIndex89) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2904,axiom,(
    ! [VarCurr] :
      ( v11786(VarCurr)
    <=> ( v11787(VarCurr)
        | v11788(VarCurr) ) ) )).

fof(writeUnaryOperator_1586,axiom,(
    ! [VarCurr] :
      ( ~ v11788(VarCurr)
    <=> v11252(VarCurr,bitIndex89) ) )).

fof(writeUnaryOperator_1585,axiom,(
    ! [VarCurr] :
      ( ~ v11787(VarCurr)
    <=> v11252(VarCurr,bitIndex88) ) )).

fof(writeUnaryOperator_1584,axiom,(
    ! [VarCurr] :
      ( ~ v11783(VarCurr)
    <=> v11252(VarCurr,bitIndex90) ) )).

fof(writeUnaryOperator_1583,axiom,(
    ! [VarCurr] :
      ( ~ v11779(VarCurr)
    <=> v11252(VarCurr,bitIndex91) ) )).

fof(writeUnaryOperator_1582,axiom,(
    ! [VarCurr] :
      ( ~ v11757(VarCurr)
    <=> v11758(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2903,axiom,(
    ! [VarCurr] :
      ( v11758(VarCurr)
    <=> ( v11759(VarCurr)
        & v11772(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_747,axiom,(
    ! [VarCurr] :
      ( v11772(VarCurr)
    <=> ( v11252(VarCurr,bitIndex95)
        | v11762(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2902,axiom,(
    ! [VarCurr] :
      ( v11759(VarCurr)
    <=> ( v11760(VarCurr)
        | v11761(VarCurr) ) ) )).

fof(writeUnaryOperator_1581,axiom,(
    ! [VarCurr] :
      ( ~ v11761(VarCurr)
    <=> v11762(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2901,axiom,(
    ! [VarCurr] :
      ( v11762(VarCurr)
    <=> ( v11763(VarCurr)
        & v11771(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_746,axiom,(
    ! [VarCurr] :
      ( v11771(VarCurr)
    <=> ( v11252(VarCurr,bitIndex94)
        | v11766(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2900,axiom,(
    ! [VarCurr] :
      ( v11763(VarCurr)
    <=> ( v11764(VarCurr)
        | v11765(VarCurr) ) ) )).

fof(writeUnaryOperator_1580,axiom,(
    ! [VarCurr] :
      ( ~ v11765(VarCurr)
    <=> v11766(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2899,axiom,(
    ! [VarCurr] :
      ( v11766(VarCurr)
    <=> ( v11767(VarCurr)
        & v11770(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_745,axiom,(
    ! [VarCurr] :
      ( v11770(VarCurr)
    <=> ( v11252(VarCurr,bitIndex92)
        | v11252(VarCurr,bitIndex93) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2898,axiom,(
    ! [VarCurr] :
      ( v11767(VarCurr)
    <=> ( v11768(VarCurr)
        | v11769(VarCurr) ) ) )).

fof(writeUnaryOperator_1579,axiom,(
    ! [VarCurr] :
      ( ~ v11769(VarCurr)
    <=> v11252(VarCurr,bitIndex93) ) )).

fof(writeUnaryOperator_1578,axiom,(
    ! [VarCurr] :
      ( ~ v11768(VarCurr)
    <=> v11252(VarCurr,bitIndex92) ) )).

fof(writeUnaryOperator_1577,axiom,(
    ! [VarCurr] :
      ( ~ v11764(VarCurr)
    <=> v11252(VarCurr,bitIndex94) ) )).

fof(writeUnaryOperator_1576,axiom,(
    ! [VarCurr] :
      ( ~ v11760(VarCurr)
    <=> v11252(VarCurr,bitIndex95) ) )).

fof(writeUnaryOperator_1575,axiom,(
    ! [VarCurr] :
      ( ~ v11678(VarCurr)
    <=> v11679(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2897,axiom,(
    ! [VarCurr] :
      ( v11679(VarCurr)
    <=> ( v11680(VarCurr)
        & v11753(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2896,axiom,(
    ! [VarCurr] :
      ( v11753(VarCurr)
    <=> ( v11682(VarCurr)
        | v11698(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2895,axiom,(
    ! [VarCurr] :
      ( v11680(VarCurr)
    <=> ( v11681(VarCurr)
        | v11697(VarCurr) ) ) )).

fof(writeUnaryOperator_1574,axiom,(
    ! [VarCurr] :
      ( ~ v11697(VarCurr)
    <=> v11698(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2894,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr)
    <=> ( v11699(VarCurr)
        & v11752(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2893,axiom,(
    ! [VarCurr] :
      ( v11752(VarCurr)
    <=> ( v11701(VarCurr)
        | v11717(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2892,axiom,(
    ! [VarCurr] :
      ( v11699(VarCurr)
    <=> ( v11700(VarCurr)
        | v11716(VarCurr) ) ) )).

fof(writeUnaryOperator_1573,axiom,(
    ! [VarCurr] :
      ( ~ v11716(VarCurr)
    <=> v11717(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2891,axiom,(
    ! [VarCurr] :
      ( v11717(VarCurr)
    <=> ( v11718(VarCurr)
        & v11751(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2890,axiom,(
    ! [VarCurr] :
      ( v11751(VarCurr)
    <=> ( v11720(VarCurr)
        | v11736(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2889,axiom,(
    ! [VarCurr] :
      ( v11718(VarCurr)
    <=> ( v11719(VarCurr)
        | v11735(VarCurr) ) ) )).

fof(writeUnaryOperator_1572,axiom,(
    ! [VarCurr] :
      ( ~ v11735(VarCurr)
    <=> v11736(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2888,axiom,(
    ! [VarCurr] :
      ( v11736(VarCurr)
    <=> ( v11737(VarCurr)
        & v11750(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_744,axiom,(
    ! [VarCurr] :
      ( v11750(VarCurr)
    <=> ( v11252(VarCurr,bitIndex71)
        | v11740(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2887,axiom,(
    ! [VarCurr] :
      ( v11737(VarCurr)
    <=> ( v11738(VarCurr)
        | v11739(VarCurr) ) ) )).

fof(writeUnaryOperator_1571,axiom,(
    ! [VarCurr] :
      ( ~ v11739(VarCurr)
    <=> v11740(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2886,axiom,(
    ! [VarCurr] :
      ( v11740(VarCurr)
    <=> ( v11741(VarCurr)
        & v11749(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_743,axiom,(
    ! [VarCurr] :
      ( v11749(VarCurr)
    <=> ( v11252(VarCurr,bitIndex70)
        | v11744(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2885,axiom,(
    ! [VarCurr] :
      ( v11741(VarCurr)
    <=> ( v11742(VarCurr)
        | v11743(VarCurr) ) ) )).

fof(writeUnaryOperator_1570,axiom,(
    ! [VarCurr] :
      ( ~ v11743(VarCurr)
    <=> v11744(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2884,axiom,(
    ! [VarCurr] :
      ( v11744(VarCurr)
    <=> ( v11745(VarCurr)
        & v11748(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_742,axiom,(
    ! [VarCurr] :
      ( v11748(VarCurr)
    <=> ( v11252(VarCurr,bitIndex68)
        | v11252(VarCurr,bitIndex69) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2883,axiom,(
    ! [VarCurr] :
      ( v11745(VarCurr)
    <=> ( v11746(VarCurr)
        | v11747(VarCurr) ) ) )).

fof(writeUnaryOperator_1569,axiom,(
    ! [VarCurr] :
      ( ~ v11747(VarCurr)
    <=> v11252(VarCurr,bitIndex69) ) )).

fof(writeUnaryOperator_1568,axiom,(
    ! [VarCurr] :
      ( ~ v11746(VarCurr)
    <=> v11252(VarCurr,bitIndex68) ) )).

fof(writeUnaryOperator_1567,axiom,(
    ! [VarCurr] :
      ( ~ v11742(VarCurr)
    <=> v11252(VarCurr,bitIndex70) ) )).

fof(writeUnaryOperator_1566,axiom,(
    ! [VarCurr] :
      ( ~ v11738(VarCurr)
    <=> v11252(VarCurr,bitIndex71) ) )).

fof(writeUnaryOperator_1565,axiom,(
    ! [VarCurr] :
      ( ~ v11719(VarCurr)
    <=> v11720(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2882,axiom,(
    ! [VarCurr] :
      ( v11720(VarCurr)
    <=> ( v11721(VarCurr)
        & v11734(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_741,axiom,(
    ! [VarCurr] :
      ( v11734(VarCurr)
    <=> ( v11252(VarCurr,bitIndex67)
        | v11724(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2881,axiom,(
    ! [VarCurr] :
      ( v11721(VarCurr)
    <=> ( v11722(VarCurr)
        | v11723(VarCurr) ) ) )).

fof(writeUnaryOperator_1564,axiom,(
    ! [VarCurr] :
      ( ~ v11723(VarCurr)
    <=> v11724(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2880,axiom,(
    ! [VarCurr] :
      ( v11724(VarCurr)
    <=> ( v11725(VarCurr)
        & v11733(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_740,axiom,(
    ! [VarCurr] :
      ( v11733(VarCurr)
    <=> ( v11252(VarCurr,bitIndex66)
        | v11728(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2879,axiom,(
    ! [VarCurr] :
      ( v11725(VarCurr)
    <=> ( v11726(VarCurr)
        | v11727(VarCurr) ) ) )).

fof(writeUnaryOperator_1563,axiom,(
    ! [VarCurr] :
      ( ~ v11727(VarCurr)
    <=> v11728(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2878,axiom,(
    ! [VarCurr] :
      ( v11728(VarCurr)
    <=> ( v11729(VarCurr)
        & v11732(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_739,axiom,(
    ! [VarCurr] :
      ( v11732(VarCurr)
    <=> ( v11252(VarCurr,bitIndex64)
        | v11252(VarCurr,bitIndex65) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2877,axiom,(
    ! [VarCurr] :
      ( v11729(VarCurr)
    <=> ( v11730(VarCurr)
        | v11731(VarCurr) ) ) )).

fof(writeUnaryOperator_1562,axiom,(
    ! [VarCurr] :
      ( ~ v11731(VarCurr)
    <=> v11252(VarCurr,bitIndex65) ) )).

fof(writeUnaryOperator_1561,axiom,(
    ! [VarCurr] :
      ( ~ v11730(VarCurr)
    <=> v11252(VarCurr,bitIndex64) ) )).

fof(writeUnaryOperator_1560,axiom,(
    ! [VarCurr] :
      ( ~ v11726(VarCurr)
    <=> v11252(VarCurr,bitIndex66) ) )).

fof(writeUnaryOperator_1559,axiom,(
    ! [VarCurr] :
      ( ~ v11722(VarCurr)
    <=> v11252(VarCurr,bitIndex67) ) )).

fof(writeUnaryOperator_1558,axiom,(
    ! [VarCurr] :
      ( ~ v11700(VarCurr)
    <=> v11701(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2876,axiom,(
    ! [VarCurr] :
      ( v11701(VarCurr)
    <=> ( v11702(VarCurr)
        & v11715(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_738,axiom,(
    ! [VarCurr] :
      ( v11715(VarCurr)
    <=> ( v11252(VarCurr,bitIndex75)
        | v11705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2875,axiom,(
    ! [VarCurr] :
      ( v11702(VarCurr)
    <=> ( v11703(VarCurr)
        | v11704(VarCurr) ) ) )).

fof(writeUnaryOperator_1557,axiom,(
    ! [VarCurr] :
      ( ~ v11704(VarCurr)
    <=> v11705(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2874,axiom,(
    ! [VarCurr] :
      ( v11705(VarCurr)
    <=> ( v11706(VarCurr)
        & v11714(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_737,axiom,(
    ! [VarCurr] :
      ( v11714(VarCurr)
    <=> ( v11252(VarCurr,bitIndex74)
        | v11709(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2873,axiom,(
    ! [VarCurr] :
      ( v11706(VarCurr)
    <=> ( v11707(VarCurr)
        | v11708(VarCurr) ) ) )).

fof(writeUnaryOperator_1556,axiom,(
    ! [VarCurr] :
      ( ~ v11708(VarCurr)
    <=> v11709(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2872,axiom,(
    ! [VarCurr] :
      ( v11709(VarCurr)
    <=> ( v11710(VarCurr)
        & v11713(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_736,axiom,(
    ! [VarCurr] :
      ( v11713(VarCurr)
    <=> ( v11252(VarCurr,bitIndex72)
        | v11252(VarCurr,bitIndex73) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2871,axiom,(
    ! [VarCurr] :
      ( v11710(VarCurr)
    <=> ( v11711(VarCurr)
        | v11712(VarCurr) ) ) )).

fof(writeUnaryOperator_1555,axiom,(
    ! [VarCurr] :
      ( ~ v11712(VarCurr)
    <=> v11252(VarCurr,bitIndex73) ) )).

fof(writeUnaryOperator_1554,axiom,(
    ! [VarCurr] :
      ( ~ v11711(VarCurr)
    <=> v11252(VarCurr,bitIndex72) ) )).

fof(writeUnaryOperator_1553,axiom,(
    ! [VarCurr] :
      ( ~ v11707(VarCurr)
    <=> v11252(VarCurr,bitIndex74) ) )).

fof(writeUnaryOperator_1552,axiom,(
    ! [VarCurr] :
      ( ~ v11703(VarCurr)
    <=> v11252(VarCurr,bitIndex75) ) )).

fof(writeUnaryOperator_1551,axiom,(
    ! [VarCurr] :
      ( ~ v11681(VarCurr)
    <=> v11682(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2870,axiom,(
    ! [VarCurr] :
      ( v11682(VarCurr)
    <=> ( v11683(VarCurr)
        & v11696(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_735,axiom,(
    ! [VarCurr] :
      ( v11696(VarCurr)
    <=> ( v11252(VarCurr,bitIndex79)
        | v11686(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2869,axiom,(
    ! [VarCurr] :
      ( v11683(VarCurr)
    <=> ( v11684(VarCurr)
        | v11685(VarCurr) ) ) )).

fof(writeUnaryOperator_1550,axiom,(
    ! [VarCurr] :
      ( ~ v11685(VarCurr)
    <=> v11686(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2868,axiom,(
    ! [VarCurr] :
      ( v11686(VarCurr)
    <=> ( v11687(VarCurr)
        & v11695(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_734,axiom,(
    ! [VarCurr] :
      ( v11695(VarCurr)
    <=> ( v11252(VarCurr,bitIndex78)
        | v11690(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2867,axiom,(
    ! [VarCurr] :
      ( v11687(VarCurr)
    <=> ( v11688(VarCurr)
        | v11689(VarCurr) ) ) )).

fof(writeUnaryOperator_1549,axiom,(
    ! [VarCurr] :
      ( ~ v11689(VarCurr)
    <=> v11690(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2866,axiom,(
    ! [VarCurr] :
      ( v11690(VarCurr)
    <=> ( v11691(VarCurr)
        & v11694(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_733,axiom,(
    ! [VarCurr] :
      ( v11694(VarCurr)
    <=> ( v11252(VarCurr,bitIndex76)
        | v11252(VarCurr,bitIndex77) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2865,axiom,(
    ! [VarCurr] :
      ( v11691(VarCurr)
    <=> ( v11692(VarCurr)
        | v11693(VarCurr) ) ) )).

fof(writeUnaryOperator_1548,axiom,(
    ! [VarCurr] :
      ( ~ v11693(VarCurr)
    <=> v11252(VarCurr,bitIndex77) ) )).

fof(writeUnaryOperator_1547,axiom,(
    ! [VarCurr] :
      ( ~ v11692(VarCurr)
    <=> v11252(VarCurr,bitIndex76) ) )).

fof(writeUnaryOperator_1546,axiom,(
    ! [VarCurr] :
      ( ~ v11688(VarCurr)
    <=> v11252(VarCurr,bitIndex78) ) )).

fof(writeUnaryOperator_1545,axiom,(
    ! [VarCurr] :
      ( ~ v11684(VarCurr)
    <=> v11252(VarCurr,bitIndex79) ) )).

fof(writeBinaryOperatorShiftedRanges_732,axiom,(
    ! [VarCurr] :
      ( v11250(VarCurr,bitIndex1)
    <=> ( v11517(VarCurr)
      <~> v11673(VarCurr) ) ) )).

fof(writeUnaryOperator_1544,axiom,(
    ! [VarCurr] :
      ( ~ v11673(VarCurr)
    <=> v11282(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2864,axiom,(
    ! [VarCurr] :
      ( v11517(VarCurr)
    <=> ( v11519(VarCurr)
        & v11672(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2863,axiom,(
    ! [VarCurr] :
      ( v11672(VarCurr)
    <=> ( v11521(VarCurr)
        | v11597(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2862,axiom,(
    ! [VarCurr] :
      ( v11519(VarCurr)
    <=> ( v11520(VarCurr)
        | v11596(VarCurr) ) ) )).

fof(writeUnaryOperator_1543,axiom,(
    ! [VarCurr] :
      ( ~ v11596(VarCurr)
    <=> v11597(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2861,axiom,(
    ! [VarCurr] :
      ( v11597(VarCurr)
    <=> ( v11598(VarCurr)
        & v11671(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2860,axiom,(
    ! [VarCurr] :
      ( v11671(VarCurr)
    <=> ( v11600(VarCurr)
        | v11616(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2859,axiom,(
    ! [VarCurr] :
      ( v11598(VarCurr)
    <=> ( v11599(VarCurr)
        | v11615(VarCurr) ) ) )).

fof(writeUnaryOperator_1542,axiom,(
    ! [VarCurr] :
      ( ~ v11615(VarCurr)
    <=> v11616(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2858,axiom,(
    ! [VarCurr] :
      ( v11616(VarCurr)
    <=> ( v11617(VarCurr)
        & v11670(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2857,axiom,(
    ! [VarCurr] :
      ( v11670(VarCurr)
    <=> ( v11619(VarCurr)
        | v11635(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2856,axiom,(
    ! [VarCurr] :
      ( v11617(VarCurr)
    <=> ( v11618(VarCurr)
        | v11634(VarCurr) ) ) )).

fof(writeUnaryOperator_1541,axiom,(
    ! [VarCurr] :
      ( ~ v11634(VarCurr)
    <=> v11635(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2855,axiom,(
    ! [VarCurr] :
      ( v11635(VarCurr)
    <=> ( v11636(VarCurr)
        & v11669(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2854,axiom,(
    ! [VarCurr] :
      ( v11669(VarCurr)
    <=> ( v11638(VarCurr)
        | v11654(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2853,axiom,(
    ! [VarCurr] :
      ( v11636(VarCurr)
    <=> ( v11637(VarCurr)
        | v11653(VarCurr) ) ) )).

fof(writeUnaryOperator_1540,axiom,(
    ! [VarCurr] :
      ( ~ v11653(VarCurr)
    <=> v11654(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2852,axiom,(
    ! [VarCurr] :
      ( v11654(VarCurr)
    <=> ( v11655(VarCurr)
        & v11668(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_731,axiom,(
    ! [VarCurr] :
      ( v11668(VarCurr)
    <=> ( v11252(VarCurr,bitIndex55)
        | v11658(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2851,axiom,(
    ! [VarCurr] :
      ( v11655(VarCurr)
    <=> ( v11656(VarCurr)
        | v11657(VarCurr) ) ) )).

fof(writeUnaryOperator_1539,axiom,(
    ! [VarCurr] :
      ( ~ v11657(VarCurr)
    <=> v11658(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2850,axiom,(
    ! [VarCurr] :
      ( v11658(VarCurr)
    <=> ( v11659(VarCurr)
        & v11667(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_730,axiom,(
    ! [VarCurr] :
      ( v11667(VarCurr)
    <=> ( v11252(VarCurr,bitIndex54)
        | v11662(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2849,axiom,(
    ! [VarCurr] :
      ( v11659(VarCurr)
    <=> ( v11660(VarCurr)
        | v11661(VarCurr) ) ) )).

fof(writeUnaryOperator_1538,axiom,(
    ! [VarCurr] :
      ( ~ v11661(VarCurr)
    <=> v11662(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2848,axiom,(
    ! [VarCurr] :
      ( v11662(VarCurr)
    <=> ( v11663(VarCurr)
        & v11666(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_729,axiom,(
    ! [VarCurr] :
      ( v11666(VarCurr)
    <=> ( v11252(VarCurr,bitIndex52)
        | v11252(VarCurr,bitIndex53) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2847,axiom,(
    ! [VarCurr] :
      ( v11663(VarCurr)
    <=> ( v11664(VarCurr)
        | v11665(VarCurr) ) ) )).

fof(writeUnaryOperator_1537,axiom,(
    ! [VarCurr] :
      ( ~ v11665(VarCurr)
    <=> v11252(VarCurr,bitIndex53) ) )).

fof(writeUnaryOperator_1536,axiom,(
    ! [VarCurr] :
      ( ~ v11664(VarCurr)
    <=> v11252(VarCurr,bitIndex52) ) )).

fof(writeUnaryOperator_1535,axiom,(
    ! [VarCurr] :
      ( ~ v11660(VarCurr)
    <=> v11252(VarCurr,bitIndex54) ) )).

fof(writeUnaryOperator_1534,axiom,(
    ! [VarCurr] :
      ( ~ v11656(VarCurr)
    <=> v11252(VarCurr,bitIndex55) ) )).

fof(writeUnaryOperator_1533,axiom,(
    ! [VarCurr] :
      ( ~ v11637(VarCurr)
    <=> v11638(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2846,axiom,(
    ! [VarCurr] :
      ( v11638(VarCurr)
    <=> ( v11639(VarCurr)
        & v11652(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_728,axiom,(
    ! [VarCurr] :
      ( v11652(VarCurr)
    <=> ( v11252(VarCurr,bitIndex51)
        | v11642(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2845,axiom,(
    ! [VarCurr] :
      ( v11639(VarCurr)
    <=> ( v11640(VarCurr)
        | v11641(VarCurr) ) ) )).

fof(writeUnaryOperator_1532,axiom,(
    ! [VarCurr] :
      ( ~ v11641(VarCurr)
    <=> v11642(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2844,axiom,(
    ! [VarCurr] :
      ( v11642(VarCurr)
    <=> ( v11643(VarCurr)
        & v11651(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_727,axiom,(
    ! [VarCurr] :
      ( v11651(VarCurr)
    <=> ( v11252(VarCurr,bitIndex50)
        | v11646(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2843,axiom,(
    ! [VarCurr] :
      ( v11643(VarCurr)
    <=> ( v11644(VarCurr)
        | v11645(VarCurr) ) ) )).

fof(writeUnaryOperator_1531,axiom,(
    ! [VarCurr] :
      ( ~ v11645(VarCurr)
    <=> v11646(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2842,axiom,(
    ! [VarCurr] :
      ( v11646(VarCurr)
    <=> ( v11647(VarCurr)
        & v11650(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_726,axiom,(
    ! [VarCurr] :
      ( v11650(VarCurr)
    <=> ( v11252(VarCurr,bitIndex48)
        | v11252(VarCurr,bitIndex49) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2841,axiom,(
    ! [VarCurr] :
      ( v11647(VarCurr)
    <=> ( v11648(VarCurr)
        | v11649(VarCurr) ) ) )).

fof(writeUnaryOperator_1530,axiom,(
    ! [VarCurr] :
      ( ~ v11649(VarCurr)
    <=> v11252(VarCurr,bitIndex49) ) )).

fof(writeUnaryOperator_1529,axiom,(
    ! [VarCurr] :
      ( ~ v11648(VarCurr)
    <=> v11252(VarCurr,bitIndex48) ) )).

fof(writeUnaryOperator_1528,axiom,(
    ! [VarCurr] :
      ( ~ v11644(VarCurr)
    <=> v11252(VarCurr,bitIndex50) ) )).

fof(writeUnaryOperator_1527,axiom,(
    ! [VarCurr] :
      ( ~ v11640(VarCurr)
    <=> v11252(VarCurr,bitIndex51) ) )).

fof(writeUnaryOperator_1526,axiom,(
    ! [VarCurr] :
      ( ~ v11618(VarCurr)
    <=> v11619(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2840,axiom,(
    ! [VarCurr] :
      ( v11619(VarCurr)
    <=> ( v11620(VarCurr)
        & v11633(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_725,axiom,(
    ! [VarCurr] :
      ( v11633(VarCurr)
    <=> ( v11252(VarCurr,bitIndex59)
        | v11623(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2839,axiom,(
    ! [VarCurr] :
      ( v11620(VarCurr)
    <=> ( v11621(VarCurr)
        | v11622(VarCurr) ) ) )).

fof(writeUnaryOperator_1525,axiom,(
    ! [VarCurr] :
      ( ~ v11622(VarCurr)
    <=> v11623(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2838,axiom,(
    ! [VarCurr] :
      ( v11623(VarCurr)
    <=> ( v11624(VarCurr)
        & v11632(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_724,axiom,(
    ! [VarCurr] :
      ( v11632(VarCurr)
    <=> ( v11252(VarCurr,bitIndex58)
        | v11627(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2837,axiom,(
    ! [VarCurr] :
      ( v11624(VarCurr)
    <=> ( v11625(VarCurr)
        | v11626(VarCurr) ) ) )).

fof(writeUnaryOperator_1524,axiom,(
    ! [VarCurr] :
      ( ~ v11626(VarCurr)
    <=> v11627(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2836,axiom,(
    ! [VarCurr] :
      ( v11627(VarCurr)
    <=> ( v11628(VarCurr)
        & v11631(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_723,axiom,(
    ! [VarCurr] :
      ( v11631(VarCurr)
    <=> ( v11252(VarCurr,bitIndex56)
        | v11252(VarCurr,bitIndex57) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2835,axiom,(
    ! [VarCurr] :
      ( v11628(VarCurr)
    <=> ( v11629(VarCurr)
        | v11630(VarCurr) ) ) )).

fof(writeUnaryOperator_1523,axiom,(
    ! [VarCurr] :
      ( ~ v11630(VarCurr)
    <=> v11252(VarCurr,bitIndex57) ) )).

fof(writeUnaryOperator_1522,axiom,(
    ! [VarCurr] :
      ( ~ v11629(VarCurr)
    <=> v11252(VarCurr,bitIndex56) ) )).

fof(writeUnaryOperator_1521,axiom,(
    ! [VarCurr] :
      ( ~ v11625(VarCurr)
    <=> v11252(VarCurr,bitIndex58) ) )).

fof(writeUnaryOperator_1520,axiom,(
    ! [VarCurr] :
      ( ~ v11621(VarCurr)
    <=> v11252(VarCurr,bitIndex59) ) )).

fof(writeUnaryOperator_1519,axiom,(
    ! [VarCurr] :
      ( ~ v11599(VarCurr)
    <=> v11600(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2834,axiom,(
    ! [VarCurr] :
      ( v11600(VarCurr)
    <=> ( v11601(VarCurr)
        & v11614(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_722,axiom,(
    ! [VarCurr] :
      ( v11614(VarCurr)
    <=> ( v11252(VarCurr,bitIndex63)
        | v11604(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2833,axiom,(
    ! [VarCurr] :
      ( v11601(VarCurr)
    <=> ( v11602(VarCurr)
        | v11603(VarCurr) ) ) )).

fof(writeUnaryOperator_1518,axiom,(
    ! [VarCurr] :
      ( ~ v11603(VarCurr)
    <=> v11604(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2832,axiom,(
    ! [VarCurr] :
      ( v11604(VarCurr)
    <=> ( v11605(VarCurr)
        & v11613(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_721,axiom,(
    ! [VarCurr] :
      ( v11613(VarCurr)
    <=> ( v11252(VarCurr,bitIndex62)
        | v11608(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2831,axiom,(
    ! [VarCurr] :
      ( v11605(VarCurr)
    <=> ( v11606(VarCurr)
        | v11607(VarCurr) ) ) )).

fof(writeUnaryOperator_1517,axiom,(
    ! [VarCurr] :
      ( ~ v11607(VarCurr)
    <=> v11608(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2830,axiom,(
    ! [VarCurr] :
      ( v11608(VarCurr)
    <=> ( v11609(VarCurr)
        & v11612(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_720,axiom,(
    ! [VarCurr] :
      ( v11612(VarCurr)
    <=> ( v11252(VarCurr,bitIndex60)
        | v11252(VarCurr,bitIndex61) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2829,axiom,(
    ! [VarCurr] :
      ( v11609(VarCurr)
    <=> ( v11610(VarCurr)
        | v11611(VarCurr) ) ) )).

fof(writeUnaryOperator_1516,axiom,(
    ! [VarCurr] :
      ( ~ v11611(VarCurr)
    <=> v11252(VarCurr,bitIndex61) ) )).

fof(writeUnaryOperator_1515,axiom,(
    ! [VarCurr] :
      ( ~ v11610(VarCurr)
    <=> v11252(VarCurr,bitIndex60) ) )).

fof(writeUnaryOperator_1514,axiom,(
    ! [VarCurr] :
      ( ~ v11606(VarCurr)
    <=> v11252(VarCurr,bitIndex62) ) )).

fof(writeUnaryOperator_1513,axiom,(
    ! [VarCurr] :
      ( ~ v11602(VarCurr)
    <=> v11252(VarCurr,bitIndex63) ) )).

fof(writeUnaryOperator_1512,axiom,(
    ! [VarCurr] :
      ( ~ v11520(VarCurr)
    <=> v11521(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2828,axiom,(
    ! [VarCurr] :
      ( v11521(VarCurr)
    <=> ( v11522(VarCurr)
        & v11595(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2827,axiom,(
    ! [VarCurr] :
      ( v11595(VarCurr)
    <=> ( v11524(VarCurr)
        | v11540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2826,axiom,(
    ! [VarCurr] :
      ( v11522(VarCurr)
    <=> ( v11523(VarCurr)
        | v11539(VarCurr) ) ) )).

fof(writeUnaryOperator_1511,axiom,(
    ! [VarCurr] :
      ( ~ v11539(VarCurr)
    <=> v11540(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2825,axiom,(
    ! [VarCurr] :
      ( v11540(VarCurr)
    <=> ( v11541(VarCurr)
        & v11594(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2824,axiom,(
    ! [VarCurr] :
      ( v11594(VarCurr)
    <=> ( v11543(VarCurr)
        | v11559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2823,axiom,(
    ! [VarCurr] :
      ( v11541(VarCurr)
    <=> ( v11542(VarCurr)
        | v11558(VarCurr) ) ) )).

fof(writeUnaryOperator_1510,axiom,(
    ! [VarCurr] :
      ( ~ v11558(VarCurr)
    <=> v11559(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2822,axiom,(
    ! [VarCurr] :
      ( v11559(VarCurr)
    <=> ( v11560(VarCurr)
        & v11593(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2821,axiom,(
    ! [VarCurr] :
      ( v11593(VarCurr)
    <=> ( v11562(VarCurr)
        | v11578(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2820,axiom,(
    ! [VarCurr] :
      ( v11560(VarCurr)
    <=> ( v11561(VarCurr)
        | v11577(VarCurr) ) ) )).

fof(writeUnaryOperator_1509,axiom,(
    ! [VarCurr] :
      ( ~ v11577(VarCurr)
    <=> v11578(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2819,axiom,(
    ! [VarCurr] :
      ( v11578(VarCurr)
    <=> ( v11579(VarCurr)
        & v11592(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_719,axiom,(
    ! [VarCurr] :
      ( v11592(VarCurr)
    <=> ( v11252(VarCurr,bitIndex39)
        | v11582(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2818,axiom,(
    ! [VarCurr] :
      ( v11579(VarCurr)
    <=> ( v11580(VarCurr)
        | v11581(VarCurr) ) ) )).

fof(writeUnaryOperator_1508,axiom,(
    ! [VarCurr] :
      ( ~ v11581(VarCurr)
    <=> v11582(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2817,axiom,(
    ! [VarCurr] :
      ( v11582(VarCurr)
    <=> ( v11583(VarCurr)
        & v11591(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_718,axiom,(
    ! [VarCurr] :
      ( v11591(VarCurr)
    <=> ( v11252(VarCurr,bitIndex38)
        | v11586(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2816,axiom,(
    ! [VarCurr] :
      ( v11583(VarCurr)
    <=> ( v11584(VarCurr)
        | v11585(VarCurr) ) ) )).

fof(writeUnaryOperator_1507,axiom,(
    ! [VarCurr] :
      ( ~ v11585(VarCurr)
    <=> v11586(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2815,axiom,(
    ! [VarCurr] :
      ( v11586(VarCurr)
    <=> ( v11587(VarCurr)
        & v11590(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_717,axiom,(
    ! [VarCurr] :
      ( v11590(VarCurr)
    <=> ( v11252(VarCurr,bitIndex36)
        | v11252(VarCurr,bitIndex37) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2814,axiom,(
    ! [VarCurr] :
      ( v11587(VarCurr)
    <=> ( v11588(VarCurr)
        | v11589(VarCurr) ) ) )).

fof(writeUnaryOperator_1506,axiom,(
    ! [VarCurr] :
      ( ~ v11589(VarCurr)
    <=> v11252(VarCurr,bitIndex37) ) )).

fof(writeUnaryOperator_1505,axiom,(
    ! [VarCurr] :
      ( ~ v11588(VarCurr)
    <=> v11252(VarCurr,bitIndex36) ) )).

fof(writeUnaryOperator_1504,axiom,(
    ! [VarCurr] :
      ( ~ v11584(VarCurr)
    <=> v11252(VarCurr,bitIndex38) ) )).

fof(writeUnaryOperator_1503,axiom,(
    ! [VarCurr] :
      ( ~ v11580(VarCurr)
    <=> v11252(VarCurr,bitIndex39) ) )).

fof(writeUnaryOperator_1502,axiom,(
    ! [VarCurr] :
      ( ~ v11561(VarCurr)
    <=> v11562(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2813,axiom,(
    ! [VarCurr] :
      ( v11562(VarCurr)
    <=> ( v11563(VarCurr)
        & v11576(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_716,axiom,(
    ! [VarCurr] :
      ( v11576(VarCurr)
    <=> ( v11252(VarCurr,bitIndex35)
        | v11566(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2812,axiom,(
    ! [VarCurr] :
      ( v11563(VarCurr)
    <=> ( v11564(VarCurr)
        | v11565(VarCurr) ) ) )).

fof(writeUnaryOperator_1501,axiom,(
    ! [VarCurr] :
      ( ~ v11565(VarCurr)
    <=> v11566(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2811,axiom,(
    ! [VarCurr] :
      ( v11566(VarCurr)
    <=> ( v11567(VarCurr)
        & v11575(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_715,axiom,(
    ! [VarCurr] :
      ( v11575(VarCurr)
    <=> ( v11252(VarCurr,bitIndex34)
        | v11570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2810,axiom,(
    ! [VarCurr] :
      ( v11567(VarCurr)
    <=> ( v11568(VarCurr)
        | v11569(VarCurr) ) ) )).

fof(writeUnaryOperator_1500,axiom,(
    ! [VarCurr] :
      ( ~ v11569(VarCurr)
    <=> v11570(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2809,axiom,(
    ! [VarCurr] :
      ( v11570(VarCurr)
    <=> ( v11571(VarCurr)
        & v11574(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_714,axiom,(
    ! [VarCurr] :
      ( v11574(VarCurr)
    <=> ( v11252(VarCurr,bitIndex32)
        | v11252(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2808,axiom,(
    ! [VarCurr] :
      ( v11571(VarCurr)
    <=> ( v11572(VarCurr)
        | v11573(VarCurr) ) ) )).

fof(writeUnaryOperator_1499,axiom,(
    ! [VarCurr] :
      ( ~ v11573(VarCurr)
    <=> v11252(VarCurr,bitIndex33) ) )).

fof(writeUnaryOperator_1498,axiom,(
    ! [VarCurr] :
      ( ~ v11572(VarCurr)
    <=> v11252(VarCurr,bitIndex32) ) )).

fof(writeUnaryOperator_1497,axiom,(
    ! [VarCurr] :
      ( ~ v11568(VarCurr)
    <=> v11252(VarCurr,bitIndex34) ) )).

fof(writeUnaryOperator_1496,axiom,(
    ! [VarCurr] :
      ( ~ v11564(VarCurr)
    <=> v11252(VarCurr,bitIndex35) ) )).

fof(writeUnaryOperator_1495,axiom,(
    ! [VarCurr] :
      ( ~ v11542(VarCurr)
    <=> v11543(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2807,axiom,(
    ! [VarCurr] :
      ( v11543(VarCurr)
    <=> ( v11544(VarCurr)
        & v11557(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_713,axiom,(
    ! [VarCurr] :
      ( v11557(VarCurr)
    <=> ( v11252(VarCurr,bitIndex43)
        | v11547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2806,axiom,(
    ! [VarCurr] :
      ( v11544(VarCurr)
    <=> ( v11545(VarCurr)
        | v11546(VarCurr) ) ) )).

fof(writeUnaryOperator_1494,axiom,(
    ! [VarCurr] :
      ( ~ v11546(VarCurr)
    <=> v11547(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2805,axiom,(
    ! [VarCurr] :
      ( v11547(VarCurr)
    <=> ( v11548(VarCurr)
        & v11556(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_712,axiom,(
    ! [VarCurr] :
      ( v11556(VarCurr)
    <=> ( v11252(VarCurr,bitIndex42)
        | v11551(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2804,axiom,(
    ! [VarCurr] :
      ( v11548(VarCurr)
    <=> ( v11549(VarCurr)
        | v11550(VarCurr) ) ) )).

fof(writeUnaryOperator_1493,axiom,(
    ! [VarCurr] :
      ( ~ v11550(VarCurr)
    <=> v11551(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2803,axiom,(
    ! [VarCurr] :
      ( v11551(VarCurr)
    <=> ( v11552(VarCurr)
        & v11555(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_711,axiom,(
    ! [VarCurr] :
      ( v11555(VarCurr)
    <=> ( v11252(VarCurr,bitIndex40)
        | v11252(VarCurr,bitIndex41) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2802,axiom,(
    ! [VarCurr] :
      ( v11552(VarCurr)
    <=> ( v11553(VarCurr)
        | v11554(VarCurr) ) ) )).

fof(writeUnaryOperator_1492,axiom,(
    ! [VarCurr] :
      ( ~ v11554(VarCurr)
    <=> v11252(VarCurr,bitIndex41) ) )).

fof(writeUnaryOperator_1491,axiom,(
    ! [VarCurr] :
      ( ~ v11553(VarCurr)
    <=> v11252(VarCurr,bitIndex40) ) )).

fof(writeUnaryOperator_1490,axiom,(
    ! [VarCurr] :
      ( ~ v11549(VarCurr)
    <=> v11252(VarCurr,bitIndex42) ) )).

fof(writeUnaryOperator_1489,axiom,(
    ! [VarCurr] :
      ( ~ v11545(VarCurr)
    <=> v11252(VarCurr,bitIndex43) ) )).

fof(writeUnaryOperator_1488,axiom,(
    ! [VarCurr] :
      ( ~ v11523(VarCurr)
    <=> v11524(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2801,axiom,(
    ! [VarCurr] :
      ( v11524(VarCurr)
    <=> ( v11525(VarCurr)
        & v11538(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_710,axiom,(
    ! [VarCurr] :
      ( v11538(VarCurr)
    <=> ( v11252(VarCurr,bitIndex47)
        | v11528(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2800,axiom,(
    ! [VarCurr] :
      ( v11525(VarCurr)
    <=> ( v11526(VarCurr)
        | v11527(VarCurr) ) ) )).

fof(writeUnaryOperator_1487,axiom,(
    ! [VarCurr] :
      ( ~ v11527(VarCurr)
    <=> v11528(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2799,axiom,(
    ! [VarCurr] :
      ( v11528(VarCurr)
    <=> ( v11529(VarCurr)
        & v11537(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_709,axiom,(
    ! [VarCurr] :
      ( v11537(VarCurr)
    <=> ( v11252(VarCurr,bitIndex46)
        | v11532(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2798,axiom,(
    ! [VarCurr] :
      ( v11529(VarCurr)
    <=> ( v11530(VarCurr)
        | v11531(VarCurr) ) ) )).

fof(writeUnaryOperator_1486,axiom,(
    ! [VarCurr] :
      ( ~ v11531(VarCurr)
    <=> v11532(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2797,axiom,(
    ! [VarCurr] :
      ( v11532(VarCurr)
    <=> ( v11533(VarCurr)
        & v11536(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_708,axiom,(
    ! [VarCurr] :
      ( v11536(VarCurr)
    <=> ( v11252(VarCurr,bitIndex44)
        | v11252(VarCurr,bitIndex45) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2796,axiom,(
    ! [VarCurr] :
      ( v11533(VarCurr)
    <=> ( v11534(VarCurr)
        | v11535(VarCurr) ) ) )).

fof(writeUnaryOperator_1485,axiom,(
    ! [VarCurr] :
      ( ~ v11535(VarCurr)
    <=> v11252(VarCurr,bitIndex45) ) )).

fof(writeUnaryOperator_1484,axiom,(
    ! [VarCurr] :
      ( ~ v11534(VarCurr)
    <=> v11252(VarCurr,bitIndex44) ) )).

fof(writeUnaryOperator_1483,axiom,(
    ! [VarCurr] :
      ( ~ v11530(VarCurr)
    <=> v11252(VarCurr,bitIndex46) ) )).

fof(writeUnaryOperator_1482,axiom,(
    ! [VarCurr] :
      ( ~ v11526(VarCurr)
    <=> v11252(VarCurr,bitIndex47) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2795,axiom,(
    ! [VarCurr] :
      ( v11250(VarCurr,bitIndex0)
    <=> ( v11359(VarCurr)
      <~> v11515(VarCurr) ) ) )).

fof(writeUnaryOperator_1481,axiom,(
    ! [VarCurr] :
      ( ~ v11515(VarCurr)
    <=> v11282(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2794,axiom,(
    ! [VarCurr] :
      ( v11359(VarCurr)
    <=> ( v11361(VarCurr)
        & v11514(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2793,axiom,(
    ! [VarCurr] :
      ( v11514(VarCurr)
    <=> ( v11363(VarCurr)
        | v11439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2792,axiom,(
    ! [VarCurr] :
      ( v11361(VarCurr)
    <=> ( v11362(VarCurr)
        | v11438(VarCurr) ) ) )).

fof(writeUnaryOperator_1480,axiom,(
    ! [VarCurr] :
      ( ~ v11438(VarCurr)
    <=> v11439(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2791,axiom,(
    ! [VarCurr] :
      ( v11439(VarCurr)
    <=> ( v11440(VarCurr)
        & v11513(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2790,axiom,(
    ! [VarCurr] :
      ( v11513(VarCurr)
    <=> ( v11442(VarCurr)
        | v11458(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2789,axiom,(
    ! [VarCurr] :
      ( v11440(VarCurr)
    <=> ( v11441(VarCurr)
        | v11457(VarCurr) ) ) )).

fof(writeUnaryOperator_1479,axiom,(
    ! [VarCurr] :
      ( ~ v11457(VarCurr)
    <=> v11458(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2788,axiom,(
    ! [VarCurr] :
      ( v11458(VarCurr)
    <=> ( v11459(VarCurr)
        & v11512(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2787,axiom,(
    ! [VarCurr] :
      ( v11512(VarCurr)
    <=> ( v11461(VarCurr)
        | v11477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2786,axiom,(
    ! [VarCurr] :
      ( v11459(VarCurr)
    <=> ( v11460(VarCurr)
        | v11476(VarCurr) ) ) )).

fof(writeUnaryOperator_1478,axiom,(
    ! [VarCurr] :
      ( ~ v11476(VarCurr)
    <=> v11477(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2785,axiom,(
    ! [VarCurr] :
      ( v11477(VarCurr)
    <=> ( v11478(VarCurr)
        & v11511(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2784,axiom,(
    ! [VarCurr] :
      ( v11511(VarCurr)
    <=> ( v11480(VarCurr)
        | v11496(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2783,axiom,(
    ! [VarCurr] :
      ( v11478(VarCurr)
    <=> ( v11479(VarCurr)
        | v11495(VarCurr) ) ) )).

fof(writeUnaryOperator_1477,axiom,(
    ! [VarCurr] :
      ( ~ v11495(VarCurr)
    <=> v11496(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2782,axiom,(
    ! [VarCurr] :
      ( v11496(VarCurr)
    <=> ( v11497(VarCurr)
        & v11510(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_707,axiom,(
    ! [VarCurr] :
      ( v11510(VarCurr)
    <=> ( v11252(VarCurr,bitIndex23)
        | v11500(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2781,axiom,(
    ! [VarCurr] :
      ( v11497(VarCurr)
    <=> ( v11498(VarCurr)
        | v11499(VarCurr) ) ) )).

fof(writeUnaryOperator_1476,axiom,(
    ! [VarCurr] :
      ( ~ v11499(VarCurr)
    <=> v11500(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2780,axiom,(
    ! [VarCurr] :
      ( v11500(VarCurr)
    <=> ( v11501(VarCurr)
        & v11509(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_706,axiom,(
    ! [VarCurr] :
      ( v11509(VarCurr)
    <=> ( v11252(VarCurr,bitIndex22)
        | v11504(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2779,axiom,(
    ! [VarCurr] :
      ( v11501(VarCurr)
    <=> ( v11502(VarCurr)
        | v11503(VarCurr) ) ) )).

fof(writeUnaryOperator_1475,axiom,(
    ! [VarCurr] :
      ( ~ v11503(VarCurr)
    <=> v11504(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2778,axiom,(
    ! [VarCurr] :
      ( v11504(VarCurr)
    <=> ( v11505(VarCurr)
        & v11508(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_705,axiom,(
    ! [VarCurr] :
      ( v11508(VarCurr)
    <=> ( v11252(VarCurr,bitIndex20)
        | v11252(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2777,axiom,(
    ! [VarCurr] :
      ( v11505(VarCurr)
    <=> ( v11506(VarCurr)
        | v11507(VarCurr) ) ) )).

fof(writeUnaryOperator_1474,axiom,(
    ! [VarCurr] :
      ( ~ v11507(VarCurr)
    <=> v11252(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1473,axiom,(
    ! [VarCurr] :
      ( ~ v11506(VarCurr)
    <=> v11252(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1472,axiom,(
    ! [VarCurr] :
      ( ~ v11502(VarCurr)
    <=> v11252(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1471,axiom,(
    ! [VarCurr] :
      ( ~ v11498(VarCurr)
    <=> v11252(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1470,axiom,(
    ! [VarCurr] :
      ( ~ v11479(VarCurr)
    <=> v11480(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2776,axiom,(
    ! [VarCurr] :
      ( v11480(VarCurr)
    <=> ( v11481(VarCurr)
        & v11494(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_704,axiom,(
    ! [VarCurr] :
      ( v11494(VarCurr)
    <=> ( v11252(VarCurr,bitIndex19)
        | v11484(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2775,axiom,(
    ! [VarCurr] :
      ( v11481(VarCurr)
    <=> ( v11482(VarCurr)
        | v11483(VarCurr) ) ) )).

fof(writeUnaryOperator_1469,axiom,(
    ! [VarCurr] :
      ( ~ v11483(VarCurr)
    <=> v11484(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2774,axiom,(
    ! [VarCurr] :
      ( v11484(VarCurr)
    <=> ( v11485(VarCurr)
        & v11493(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_703,axiom,(
    ! [VarCurr] :
      ( v11493(VarCurr)
    <=> ( v11252(VarCurr,bitIndex18)
        | v11488(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2773,axiom,(
    ! [VarCurr] :
      ( v11485(VarCurr)
    <=> ( v11486(VarCurr)
        | v11487(VarCurr) ) ) )).

fof(writeUnaryOperator_1468,axiom,(
    ! [VarCurr] :
      ( ~ v11487(VarCurr)
    <=> v11488(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2772,axiom,(
    ! [VarCurr] :
      ( v11488(VarCurr)
    <=> ( v11489(VarCurr)
        & v11492(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_702,axiom,(
    ! [VarCurr] :
      ( v11492(VarCurr)
    <=> ( v11252(VarCurr,bitIndex16)
        | v11252(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2771,axiom,(
    ! [VarCurr] :
      ( v11489(VarCurr)
    <=> ( v11490(VarCurr)
        | v11491(VarCurr) ) ) )).

fof(writeUnaryOperator_1467,axiom,(
    ! [VarCurr] :
      ( ~ v11491(VarCurr)
    <=> v11252(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1466,axiom,(
    ! [VarCurr] :
      ( ~ v11490(VarCurr)
    <=> v11252(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1465,axiom,(
    ! [VarCurr] :
      ( ~ v11486(VarCurr)
    <=> v11252(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1464,axiom,(
    ! [VarCurr] :
      ( ~ v11482(VarCurr)
    <=> v11252(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1463,axiom,(
    ! [VarCurr] :
      ( ~ v11460(VarCurr)
    <=> v11461(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2770,axiom,(
    ! [VarCurr] :
      ( v11461(VarCurr)
    <=> ( v11462(VarCurr)
        & v11475(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_701,axiom,(
    ! [VarCurr] :
      ( v11475(VarCurr)
    <=> ( v11252(VarCurr,bitIndex27)
        | v11465(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2769,axiom,(
    ! [VarCurr] :
      ( v11462(VarCurr)
    <=> ( v11463(VarCurr)
        | v11464(VarCurr) ) ) )).

fof(writeUnaryOperator_1462,axiom,(
    ! [VarCurr] :
      ( ~ v11464(VarCurr)
    <=> v11465(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2768,axiom,(
    ! [VarCurr] :
      ( v11465(VarCurr)
    <=> ( v11466(VarCurr)
        & v11474(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_700,axiom,(
    ! [VarCurr] :
      ( v11474(VarCurr)
    <=> ( v11252(VarCurr,bitIndex26)
        | v11469(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2767,axiom,(
    ! [VarCurr] :
      ( v11466(VarCurr)
    <=> ( v11467(VarCurr)
        | v11468(VarCurr) ) ) )).

fof(writeUnaryOperator_1461,axiom,(
    ! [VarCurr] :
      ( ~ v11468(VarCurr)
    <=> v11469(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2766,axiom,(
    ! [VarCurr] :
      ( v11469(VarCurr)
    <=> ( v11470(VarCurr)
        & v11473(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_699,axiom,(
    ! [VarCurr] :
      ( v11473(VarCurr)
    <=> ( v11252(VarCurr,bitIndex24)
        | v11252(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2765,axiom,(
    ! [VarCurr] :
      ( v11470(VarCurr)
    <=> ( v11471(VarCurr)
        | v11472(VarCurr) ) ) )).

fof(writeUnaryOperator_1460,axiom,(
    ! [VarCurr] :
      ( ~ v11472(VarCurr)
    <=> v11252(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1459,axiom,(
    ! [VarCurr] :
      ( ~ v11471(VarCurr)
    <=> v11252(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1458,axiom,(
    ! [VarCurr] :
      ( ~ v11467(VarCurr)
    <=> v11252(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1457,axiom,(
    ! [VarCurr] :
      ( ~ v11463(VarCurr)
    <=> v11252(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_1456,axiom,(
    ! [VarCurr] :
      ( ~ v11441(VarCurr)
    <=> v11442(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2764,axiom,(
    ! [VarCurr] :
      ( v11442(VarCurr)
    <=> ( v11443(VarCurr)
        & v11456(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_698,axiom,(
    ! [VarCurr] :
      ( v11456(VarCurr)
    <=> ( v11252(VarCurr,bitIndex31)
        | v11446(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2763,axiom,(
    ! [VarCurr] :
      ( v11443(VarCurr)
    <=> ( v11444(VarCurr)
        | v11445(VarCurr) ) ) )).

fof(writeUnaryOperator_1455,axiom,(
    ! [VarCurr] :
      ( ~ v11445(VarCurr)
    <=> v11446(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2762,axiom,(
    ! [VarCurr] :
      ( v11446(VarCurr)
    <=> ( v11447(VarCurr)
        & v11455(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_697,axiom,(
    ! [VarCurr] :
      ( v11455(VarCurr)
    <=> ( v11252(VarCurr,bitIndex30)
        | v11450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2761,axiom,(
    ! [VarCurr] :
      ( v11447(VarCurr)
    <=> ( v11448(VarCurr)
        | v11449(VarCurr) ) ) )).

fof(writeUnaryOperator_1454,axiom,(
    ! [VarCurr] :
      ( ~ v11449(VarCurr)
    <=> v11450(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2760,axiom,(
    ! [VarCurr] :
      ( v11450(VarCurr)
    <=> ( v11451(VarCurr)
        & v11454(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_696,axiom,(
    ! [VarCurr] :
      ( v11454(VarCurr)
    <=> ( v11252(VarCurr,bitIndex28)
        | v11252(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2759,axiom,(
    ! [VarCurr] :
      ( v11451(VarCurr)
    <=> ( v11452(VarCurr)
        | v11453(VarCurr) ) ) )).

fof(writeUnaryOperator_1453,axiom,(
    ! [VarCurr] :
      ( ~ v11453(VarCurr)
    <=> v11252(VarCurr,bitIndex29) ) )).

fof(writeUnaryOperator_1452,axiom,(
    ! [VarCurr] :
      ( ~ v11452(VarCurr)
    <=> v11252(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_1451,axiom,(
    ! [VarCurr] :
      ( ~ v11448(VarCurr)
    <=> v11252(VarCurr,bitIndex30) ) )).

fof(writeUnaryOperator_1450,axiom,(
    ! [VarCurr] :
      ( ~ v11444(VarCurr)
    <=> v11252(VarCurr,bitIndex31) ) )).

fof(writeUnaryOperator_1449,axiom,(
    ! [VarCurr] :
      ( ~ v11362(VarCurr)
    <=> v11363(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2758,axiom,(
    ! [VarCurr] :
      ( v11363(VarCurr)
    <=> ( v11364(VarCurr)
        & v11437(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2757,axiom,(
    ! [VarCurr] :
      ( v11437(VarCurr)
    <=> ( v11366(VarCurr)
        | v11382(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2756,axiom,(
    ! [VarCurr] :
      ( v11364(VarCurr)
    <=> ( v11365(VarCurr)
        | v11381(VarCurr) ) ) )).

fof(writeUnaryOperator_1448,axiom,(
    ! [VarCurr] :
      ( ~ v11381(VarCurr)
    <=> v11382(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2755,axiom,(
    ! [VarCurr] :
      ( v11382(VarCurr)
    <=> ( v11383(VarCurr)
        & v11436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2754,axiom,(
    ! [VarCurr] :
      ( v11436(VarCurr)
    <=> ( v11385(VarCurr)
        | v11401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2753,axiom,(
    ! [VarCurr] :
      ( v11383(VarCurr)
    <=> ( v11384(VarCurr)
        | v11400(VarCurr) ) ) )).

fof(writeUnaryOperator_1447,axiom,(
    ! [VarCurr] :
      ( ~ v11400(VarCurr)
    <=> v11401(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2752,axiom,(
    ! [VarCurr] :
      ( v11401(VarCurr)
    <=> ( v11402(VarCurr)
        & v11435(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2751,axiom,(
    ! [VarCurr] :
      ( v11435(VarCurr)
    <=> ( v11404(VarCurr)
        | v11420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2750,axiom,(
    ! [VarCurr] :
      ( v11402(VarCurr)
    <=> ( v11403(VarCurr)
        | v11419(VarCurr) ) ) )).

fof(writeUnaryOperator_1446,axiom,(
    ! [VarCurr] :
      ( ~ v11419(VarCurr)
    <=> v11420(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2749,axiom,(
    ! [VarCurr] :
      ( v11420(VarCurr)
    <=> ( v11421(VarCurr)
        & v11434(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_695,axiom,(
    ! [VarCurr] :
      ( v11434(VarCurr)
    <=> ( v11252(VarCurr,bitIndex7)
        | v11424(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2748,axiom,(
    ! [VarCurr] :
      ( v11421(VarCurr)
    <=> ( v11422(VarCurr)
        | v11423(VarCurr) ) ) )).

fof(writeUnaryOperator_1445,axiom,(
    ! [VarCurr] :
      ( ~ v11423(VarCurr)
    <=> v11424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2747,axiom,(
    ! [VarCurr] :
      ( v11424(VarCurr)
    <=> ( v11425(VarCurr)
        & v11433(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_694,axiom,(
    ! [VarCurr] :
      ( v11433(VarCurr)
    <=> ( v11252(VarCurr,bitIndex6)
        | v11428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2746,axiom,(
    ! [VarCurr] :
      ( v11425(VarCurr)
    <=> ( v11426(VarCurr)
        | v11427(VarCurr) ) ) )).

fof(writeUnaryOperator_1444,axiom,(
    ! [VarCurr] :
      ( ~ v11427(VarCurr)
    <=> v11428(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2745,axiom,(
    ! [VarCurr] :
      ( v11428(VarCurr)
    <=> ( v11429(VarCurr)
        & v11432(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_693,axiom,(
    ! [VarCurr] :
      ( v11432(VarCurr)
    <=> ( v11252(VarCurr,bitIndex4)
        | v11252(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2744,axiom,(
    ! [VarCurr] :
      ( v11429(VarCurr)
    <=> ( v11430(VarCurr)
        | v11431(VarCurr) ) ) )).

fof(writeUnaryOperator_1443,axiom,(
    ! [VarCurr] :
      ( ~ v11431(VarCurr)
    <=> v11252(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1442,axiom,(
    ! [VarCurr] :
      ( ~ v11430(VarCurr)
    <=> v11252(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1441,axiom,(
    ! [VarCurr] :
      ( ~ v11426(VarCurr)
    <=> v11252(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1440,axiom,(
    ! [VarCurr] :
      ( ~ v11422(VarCurr)
    <=> v11252(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1439,axiom,(
    ! [VarCurr] :
      ( ~ v11403(VarCurr)
    <=> v11404(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2743,axiom,(
    ! [VarCurr] :
      ( v11404(VarCurr)
    <=> ( v11405(VarCurr)
        & v11418(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_692,axiom,(
    ! [VarCurr] :
      ( v11418(VarCurr)
    <=> ( v11252(VarCurr,bitIndex3)
        | v11408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2742,axiom,(
    ! [VarCurr] :
      ( v11405(VarCurr)
    <=> ( v11406(VarCurr)
        | v11407(VarCurr) ) ) )).

fof(writeUnaryOperator_1438,axiom,(
    ! [VarCurr] :
      ( ~ v11407(VarCurr)
    <=> v11408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2741,axiom,(
    ! [VarCurr] :
      ( v11408(VarCurr)
    <=> ( v11409(VarCurr)
        & v11417(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_691,axiom,(
    ! [VarCurr] :
      ( v11417(VarCurr)
    <=> ( v11252(VarCurr,bitIndex2)
        | v11412(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2740,axiom,(
    ! [VarCurr] :
      ( v11409(VarCurr)
    <=> ( v11410(VarCurr)
        | v11411(VarCurr) ) ) )).

fof(writeUnaryOperator_1437,axiom,(
    ! [VarCurr] :
      ( ~ v11411(VarCurr)
    <=> v11412(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2739,axiom,(
    ! [VarCurr] :
      ( v11412(VarCurr)
    <=> ( v11413(VarCurr)
        & v11416(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_690,axiom,(
    ! [VarCurr] :
      ( v11416(VarCurr)
    <=> ( v11252(VarCurr,bitIndex0)
        | v11252(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2738,axiom,(
    ! [VarCurr] :
      ( v11413(VarCurr)
    <=> ( v11414(VarCurr)
        | v11415(VarCurr) ) ) )).

fof(writeUnaryOperator_1436,axiom,(
    ! [VarCurr] :
      ( ~ v11415(VarCurr)
    <=> v11252(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1435,axiom,(
    ! [VarCurr] :
      ( ~ v11414(VarCurr)
    <=> v11252(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1434,axiom,(
    ! [VarCurr] :
      ( ~ v11410(VarCurr)
    <=> v11252(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1433,axiom,(
    ! [VarCurr] :
      ( ~ v11406(VarCurr)
    <=> v11252(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1432,axiom,(
    ! [VarCurr] :
      ( ~ v11384(VarCurr)
    <=> v11385(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2737,axiom,(
    ! [VarCurr] :
      ( v11385(VarCurr)
    <=> ( v11386(VarCurr)
        & v11399(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_689,axiom,(
    ! [VarCurr] :
      ( v11399(VarCurr)
    <=> ( v11252(VarCurr,bitIndex11)
        | v11389(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2736,axiom,(
    ! [VarCurr] :
      ( v11386(VarCurr)
    <=> ( v11387(VarCurr)
        | v11388(VarCurr) ) ) )).

fof(writeUnaryOperator_1431,axiom,(
    ! [VarCurr] :
      ( ~ v11388(VarCurr)
    <=> v11389(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2735,axiom,(
    ! [VarCurr] :
      ( v11389(VarCurr)
    <=> ( v11390(VarCurr)
        & v11398(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_688,axiom,(
    ! [VarCurr] :
      ( v11398(VarCurr)
    <=> ( v11252(VarCurr,bitIndex10)
        | v11393(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2734,axiom,(
    ! [VarCurr] :
      ( v11390(VarCurr)
    <=> ( v11391(VarCurr)
        | v11392(VarCurr) ) ) )).

fof(writeUnaryOperator_1430,axiom,(
    ! [VarCurr] :
      ( ~ v11392(VarCurr)
    <=> v11393(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2733,axiom,(
    ! [VarCurr] :
      ( v11393(VarCurr)
    <=> ( v11394(VarCurr)
        & v11397(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_687,axiom,(
    ! [VarCurr] :
      ( v11397(VarCurr)
    <=> ( v11252(VarCurr,bitIndex8)
        | v11252(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2732,axiom,(
    ! [VarCurr] :
      ( v11394(VarCurr)
    <=> ( v11395(VarCurr)
        | v11396(VarCurr) ) ) )).

fof(writeUnaryOperator_1429,axiom,(
    ! [VarCurr] :
      ( ~ v11396(VarCurr)
    <=> v11252(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1428,axiom,(
    ! [VarCurr] :
      ( ~ v11395(VarCurr)
    <=> v11252(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1427,axiom,(
    ! [VarCurr] :
      ( ~ v11391(VarCurr)
    <=> v11252(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1426,axiom,(
    ! [VarCurr] :
      ( ~ v11387(VarCurr)
    <=> v11252(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1425,axiom,(
    ! [VarCurr] :
      ( ~ v11365(VarCurr)
    <=> v11366(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2731,axiom,(
    ! [VarCurr] :
      ( v11366(VarCurr)
    <=> ( v11367(VarCurr)
        & v11380(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_686,axiom,(
    ! [VarCurr] :
      ( v11380(VarCurr)
    <=> ( v11252(VarCurr,bitIndex15)
        | v11370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2730,axiom,(
    ! [VarCurr] :
      ( v11367(VarCurr)
    <=> ( v11368(VarCurr)
        | v11369(VarCurr) ) ) )).

fof(writeUnaryOperator_1424,axiom,(
    ! [VarCurr] :
      ( ~ v11369(VarCurr)
    <=> v11370(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2729,axiom,(
    ! [VarCurr] :
      ( v11370(VarCurr)
    <=> ( v11371(VarCurr)
        & v11379(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_685,axiom,(
    ! [VarCurr] :
      ( v11379(VarCurr)
    <=> ( v11252(VarCurr,bitIndex14)
        | v11374(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2728,axiom,(
    ! [VarCurr] :
      ( v11371(VarCurr)
    <=> ( v11372(VarCurr)
        | v11373(VarCurr) ) ) )).

fof(writeUnaryOperator_1423,axiom,(
    ! [VarCurr] :
      ( ~ v11373(VarCurr)
    <=> v11374(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2727,axiom,(
    ! [VarCurr] :
      ( v11374(VarCurr)
    <=> ( v11375(VarCurr)
        & v11378(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_684,axiom,(
    ! [VarCurr] :
      ( v11378(VarCurr)
    <=> ( v11252(VarCurr,bitIndex12)
        | v11252(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2726,axiom,(
    ! [VarCurr] :
      ( v11375(VarCurr)
    <=> ( v11376(VarCurr)
        | v11377(VarCurr) ) ) )).

fof(writeUnaryOperator_1422,axiom,(
    ! [VarCurr] :
      ( ~ v11377(VarCurr)
    <=> v11252(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1421,axiom,(
    ! [VarCurr] :
      ( ~ v11376(VarCurr)
    <=> v11252(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1420,axiom,(
    ! [VarCurr] :
      ( ~ v11372(VarCurr)
    <=> v11252(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1419,axiom,(
    ! [VarCurr] :
      ( ~ v11368(VarCurr)
    <=> v11252(VarCurr,bitIndex15) ) )).

fof(addAssignment_2957,axiom,(
    ! [VarCurr] :
      ( v11282(VarCurr,bitIndex3)
    <=> v11002(VarCurr,bitIndex131) ) )).

fof(addAssignment_2956,axiom,(
    ! [VarCurr] :
      ( v11002(VarCurr,bitIndex131)
    <=> v11004(VarCurr,bitIndex131) ) )).

fof(addAssignment_2955,axiom,(
    ! [VarCurr] :
      ( v11004(VarCurr,bitIndex131)
    <=> v11006(VarCurr,bitIndex131) ) )).

fof(addAssignment_2954,axiom,(
    ! [VarCurr] :
      ( v11006(VarCurr,bitIndex131)
    <=> v11008(VarCurr,bitIndex131) ) )).

fof(addAssignment_2953,axiom,(
    ! [VarCurr] :
      ( v11008(VarCurr,bitIndex131)
    <=> v11010(VarCurr,bitIndex131) ) )).

fof(addAssignment_2952,axiom,(
    ! [VarCurr] :
      ( v11010(VarCurr,bitIndex131)
    <=> v11284(VarCurr,bitIndex3) ) )).

fof(addAssignment_2951,axiom,(
    ! [VarCurr] :
      ( v11284(VarCurr,bitIndex3)
    <=> v11286(VarCurr,bitIndex3) ) )).

fof(addAssignment_2950,axiom,(
    ! [VarCurr] :
      ( v11286(VarCurr,bitIndex3)
    <=> v11288(VarCurr,bitIndex3) ) )).

fof(addAssignment_2949,axiom,(
    ! [VarNext] :
      ( v11288(VarNext,bitIndex3)
    <=> v11351(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionEqualRanges1_107,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11352(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v11351(VarNext,B)
            <=> v11288(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_110,axiom,(
    ! [VarNext] :
      ( v11352(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11351(VarNext,B)
          <=> v11307(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2725,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11352(VarNext)
      <=> v11353(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11353(VarNext)
      <=> ( v11355(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1418,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11355(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2948,axiom,(
    ! [VarCurr] :
      ( v11290(VarCurr,bitIndex3)
    <=> v11292(VarCurr,bitIndex3) ) )).

fof(addAssignment_2947,axiom,(
    ! [VarCurr] :
      ( v11292(VarCurr,bitIndex3)
    <=> v11294(VarCurr,bitIndex3) ) )).

fof(addAssignment_2946,axiom,(
    ! [VarCurr] :
      ( v11294(VarCurr,bitIndex3)
    <=> v11296(VarCurr,bitIndex3) ) )).

fof(addAssignment_2945,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11252(VarCurr,B)
      <=> v11002(VarCurr,B) ) ) )).

fof(addAssignment_2944,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11002(VarCurr,B)
      <=> v11004(VarCurr,B) ) ) )).

fof(addAssignment_2943,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11004(VarCurr,B)
      <=> v11006(VarCurr,B) ) ) )).

fof(addAssignment_2942,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11006(VarCurr,B)
      <=> v11008(VarCurr,B) ) ) )).

fof(addAssignment_2941,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11008(VarCurr,B)
      <=> v11010(VarCurr,B) ) ) )).

fof(addAssignment_2940,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11010(VarCurr,B)
      <=> v11254(VarCurr,B) ) ) )).

fof(addAssignment_2939,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11254(VarCurr,B)
      <=> v11256(VarCurr,B) ) ) )).

fof(addAssignment_2938,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11256(VarCurr,B)
      <=> v11258(VarCurr,B) ) ) )).

fof(addAssignment_2937,axiom,(
    ! [VarNext,B] :
      ( range_127_96(B)
     => ( v11258(VarNext,B)
      <=> v11343(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_106,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11344(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v11343(VarNext,B)
            <=> v11258(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_109,axiom,(
    ! [VarNext] :
      ( v11344(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v11343(VarNext,B)
          <=> v11278(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11344(VarNext)
      <=> v11345(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2722,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11345(VarNext)
      <=> ( v11347(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1417,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11347(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2936,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11261(VarCurr,B)
      <=> v11263(VarCurr,B) ) ) )).

fof(addAssignment_2935,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11263(VarCurr,B)
      <=> v11265(VarCurr,B) ) ) )).

fof(addAssignment_2934,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v11265(VarCurr,B)
      <=> v11267(VarCurr,B) ) ) )).

fof(range_axiom_61,axiom,(
    ! [B] :
      ( range_127_96(B)
    <=> ( $false
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B
        | bitIndex123 = B
        | bitIndex124 = B
        | bitIndex125 = B
        | bitIndex126 = B
        | bitIndex127 = B ) ) )).

fof(addAssignment_2933,axiom,(
    ! [VarCurr] :
      ( v11282(VarCurr,bitIndex2)
    <=> v11002(VarCurr,bitIndex130) ) )).

fof(addAssignment_2932,axiom,(
    ! [VarCurr] :
      ( v11002(VarCurr,bitIndex130)
    <=> v11004(VarCurr,bitIndex130) ) )).

fof(addAssignment_2931,axiom,(
    ! [VarCurr] :
      ( v11004(VarCurr,bitIndex130)
    <=> v11006(VarCurr,bitIndex130) ) )).

fof(addAssignment_2930,axiom,(
    ! [VarCurr] :
      ( v11006(VarCurr,bitIndex130)
    <=> v11008(VarCurr,bitIndex130) ) )).

fof(addAssignment_2929,axiom,(
    ! [VarCurr] :
      ( v11008(VarCurr,bitIndex130)
    <=> v11010(VarCurr,bitIndex130) ) )).

fof(addAssignment_2928,axiom,(
    ! [VarCurr] :
      ( v11010(VarCurr,bitIndex130)
    <=> v11284(VarCurr,bitIndex2) ) )).

fof(addAssignment_2927,axiom,(
    ! [VarCurr] :
      ( v11284(VarCurr,bitIndex2)
    <=> v11286(VarCurr,bitIndex2) ) )).

fof(addAssignment_2926,axiom,(
    ! [VarCurr] :
      ( v11286(VarCurr,bitIndex2)
    <=> v11288(VarCurr,bitIndex2) ) )).

fof(addAssignment_2925,axiom,(
    ! [VarNext] :
      ( v11288(VarNext,bitIndex2)
    <=> v11335(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_105,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11336(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v11335(VarNext,B)
            <=> v11288(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_108,axiom,(
    ! [VarNext] :
      ( v11336(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11335(VarNext,B)
          <=> v11307(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11336(VarNext)
      <=> v11337(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11337(VarNext)
      <=> ( v11339(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1416,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11339(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2924,axiom,(
    ! [VarCurr] :
      ( v11290(VarCurr,bitIndex2)
    <=> v11292(VarCurr,bitIndex2) ) )).

fof(addAssignment_2923,axiom,(
    ! [VarCurr] :
      ( v11292(VarCurr,bitIndex2)
    <=> v11294(VarCurr,bitIndex2) ) )).

fof(addAssignment_2922,axiom,(
    ! [VarCurr] :
      ( v11294(VarCurr,bitIndex2)
    <=> v11296(VarCurr,bitIndex2) ) )).

fof(addAssignment_2921,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11252(VarCurr,B)
      <=> v11002(VarCurr,B) ) ) )).

fof(addAssignment_2920,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11002(VarCurr,B)
      <=> v11004(VarCurr,B) ) ) )).

fof(addAssignment_2919,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11004(VarCurr,B)
      <=> v11006(VarCurr,B) ) ) )).

fof(addAssignment_2918,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11006(VarCurr,B)
      <=> v11008(VarCurr,B) ) ) )).

fof(addAssignment_2917,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11008(VarCurr,B)
      <=> v11010(VarCurr,B) ) ) )).

fof(addAssignment_2916,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11010(VarCurr,B)
      <=> v11254(VarCurr,B) ) ) )).

fof(addAssignment_2915,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11254(VarCurr,B)
      <=> v11256(VarCurr,B) ) ) )).

fof(addAssignment_2914,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11256(VarCurr,B)
      <=> v11258(VarCurr,B) ) ) )).

fof(addAssignment_2913,axiom,(
    ! [VarNext,B] :
      ( range_95_64(B)
     => ( v11258(VarNext,B)
      <=> v11327(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_104,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11328(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v11327(VarNext,B)
            <=> v11258(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_107,axiom,(
    ! [VarNext] :
      ( v11328(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v11327(VarNext,B)
          <=> v11278(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2719,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11328(VarNext)
      <=> v11329(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2718,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11329(VarNext)
      <=> ( v11331(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1415,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11331(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2912,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11261(VarCurr,B)
      <=> v11263(VarCurr,B) ) ) )).

fof(addAssignment_2911,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11263(VarCurr,B)
      <=> v11265(VarCurr,B) ) ) )).

fof(addAssignment_2910,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v11265(VarCurr,B)
      <=> v11267(VarCurr,B) ) ) )).

fof(range_axiom_60,axiom,(
    ! [B] :
      ( range_95_64(B)
    <=> ( $false
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B ) ) )).

fof(addAssignment_2909,axiom,(
    ! [VarCurr] :
      ( v11282(VarCurr,bitIndex1)
    <=> v11002(VarCurr,bitIndex129) ) )).

fof(addAssignment_2908,axiom,(
    ! [VarCurr] :
      ( v11002(VarCurr,bitIndex129)
    <=> v11004(VarCurr,bitIndex129) ) )).

fof(addAssignment_2907,axiom,(
    ! [VarCurr] :
      ( v11004(VarCurr,bitIndex129)
    <=> v11006(VarCurr,bitIndex129) ) )).

fof(addAssignment_2906,axiom,(
    ! [VarCurr] :
      ( v11006(VarCurr,bitIndex129)
    <=> v11008(VarCurr,bitIndex129) ) )).

fof(addAssignment_2905,axiom,(
    ! [VarCurr] :
      ( v11008(VarCurr,bitIndex129)
    <=> v11010(VarCurr,bitIndex129) ) )).

fof(addAssignment_2904,axiom,(
    ! [VarCurr] :
      ( v11010(VarCurr,bitIndex129)
    <=> v11284(VarCurr,bitIndex1) ) )).

fof(addAssignment_2903,axiom,(
    ! [VarCurr] :
      ( v11284(VarCurr,bitIndex1)
    <=> v11286(VarCurr,bitIndex1) ) )).

fof(addAssignment_2902,axiom,(
    ! [VarCurr] :
      ( v11286(VarCurr,bitIndex1)
    <=> v11288(VarCurr,bitIndex1) ) )).

fof(addAssignment_2901,axiom,(
    ! [VarNext] :
      ( v11288(VarNext,bitIndex1)
    <=> v11319(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11320(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v11319(VarNext,B)
            <=> v11288(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_106,axiom,(
    ! [VarNext] :
      ( v11320(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11319(VarNext,B)
          <=> v11307(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2717,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11320(VarNext)
      <=> v11321(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2716,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11321(VarNext)
      <=> ( v11323(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1414,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11323(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2900,axiom,(
    ! [VarCurr] :
      ( v11290(VarCurr,bitIndex1)
    <=> v11292(VarCurr,bitIndex1) ) )).

fof(addAssignment_2899,axiom,(
    ! [VarCurr] :
      ( v11292(VarCurr,bitIndex1)
    <=> v11294(VarCurr,bitIndex1) ) )).

fof(addAssignment_2898,axiom,(
    ! [VarCurr] :
      ( v11294(VarCurr,bitIndex1)
    <=> v11296(VarCurr,bitIndex1) ) )).

fof(addAssignment_2897,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11252(VarCurr,B)
      <=> v11002(VarCurr,B) ) ) )).

fof(addAssignment_2896,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11002(VarCurr,B)
      <=> v11004(VarCurr,B) ) ) )).

fof(addAssignment_2895,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11004(VarCurr,B)
      <=> v11006(VarCurr,B) ) ) )).

fof(addAssignment_2894,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11006(VarCurr,B)
      <=> v11008(VarCurr,B) ) ) )).

fof(addAssignment_2893,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11008(VarCurr,B)
      <=> v11010(VarCurr,B) ) ) )).

fof(addAssignment_2892,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11010(VarCurr,B)
      <=> v11254(VarCurr,B) ) ) )).

fof(addAssignment_2891,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11254(VarCurr,B)
      <=> v11256(VarCurr,B) ) ) )).

fof(addAssignment_2890,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11256(VarCurr,B)
      <=> v11258(VarCurr,B) ) ) )).

fof(addAssignment_2889,axiom,(
    ! [VarNext,B] :
      ( range_63_32(B)
     => ( v11258(VarNext,B)
      <=> v11311(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_102,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11312(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v11311(VarNext,B)
            <=> v11258(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_105,axiom,(
    ! [VarNext] :
      ( v11312(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v11311(VarNext,B)
          <=> v11278(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2715,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11312(VarNext)
      <=> v11313(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2714,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11313(VarNext)
      <=> ( v11315(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1413,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11315(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2888,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11261(VarCurr,B)
      <=> v11263(VarCurr,B) ) ) )).

fof(addAssignment_2887,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11263(VarCurr,B)
      <=> v11265(VarCurr,B) ) ) )).

fof(addAssignment_2886,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v11265(VarCurr,B)
      <=> v11267(VarCurr,B) ) ) )).

fof(range_axiom_59,axiom,(
    ! [B] :
      ( range_63_32(B)
    <=> ( $false
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B ) ) )).

fof(addAssignment_2885,axiom,(
    ! [VarCurr] :
      ( v11282(VarCurr,bitIndex0)
    <=> v11002(VarCurr,bitIndex128) ) )).

fof(addAssignment_2884,axiom,(
    ! [VarCurr] :
      ( v11002(VarCurr,bitIndex128)
    <=> v11004(VarCurr,bitIndex128) ) )).

fof(addAssignment_2883,axiom,(
    ! [VarCurr] :
      ( v11004(VarCurr,bitIndex128)
    <=> v11006(VarCurr,bitIndex128) ) )).

fof(addAssignment_2882,axiom,(
    ! [VarCurr] :
      ( v11006(VarCurr,bitIndex128)
    <=> v11008(VarCurr,bitIndex128) ) )).

fof(addAssignment_2881,axiom,(
    ! [VarCurr] :
      ( v11008(VarCurr,bitIndex128)
    <=> v11010(VarCurr,bitIndex128) ) )).

fof(addAssignment_2880,axiom,(
    ! [VarCurr] :
      ( v11010(VarCurr,bitIndex128)
    <=> v11284(VarCurr,bitIndex0) ) )).

fof(addAssignment_2879,axiom,(
    ! [VarCurr] :
      ( v11284(VarCurr,bitIndex0)
    <=> v11286(VarCurr,bitIndex0) ) )).

fof(addAssignment_2878,axiom,(
    ! [VarCurr] :
      ( v11286(VarCurr,bitIndex0)
    <=> v11288(VarCurr,bitIndex0) ) )).

fof(addAssignment_2877,axiom,(
    ! [VarNext] :
      ( v11288(VarNext,bitIndex0)
    <=> v11298(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_101,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11299(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v11298(VarNext,B)
            <=> v11288(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_104,axiom,(
    ! [VarNext] :
      ( v11299(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11298(VarNext,B)
          <=> v11307(VarNext,B) ) ) ) )).

fof(addAssignment_2876,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11307(VarNext,B)
          <=> v11305(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_254,axiom,(
    ! [VarCurr] :
      ( ~ v11245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11305(VarCurr,B)
          <=> v11290(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_195,axiom,(
    ! [VarCurr] :
      ( v11245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11305(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2713,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11299(VarNext)
      <=> v11300(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2712,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11300(VarNext)
      <=> ( v11302(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1412,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11302(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2875,axiom,(
    ! [VarCurr] :
      ( v11290(VarCurr,bitIndex0)
    <=> v11292(VarCurr,bitIndex0) ) )).

fof(addAssignment_2874,axiom,(
    ! [VarCurr] :
      ( v11292(VarCurr,bitIndex0)
    <=> v11294(VarCurr,bitIndex0) ) )).

fof(addAssignment_2873,axiom,(
    ! [VarCurr] :
      ( v11294(VarCurr,bitIndex0)
    <=> v11296(VarCurr,bitIndex0) ) )).

fof(addAssignment_2872,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11252(VarCurr,B)
      <=> v11002(VarCurr,B) ) ) )).

fof(addAssignment_2871,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11002(VarCurr,B)
      <=> v11004(VarCurr,B) ) ) )).

fof(addAssignment_2870,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11004(VarCurr,B)
      <=> v11006(VarCurr,B) ) ) )).

fof(addAssignment_2869,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11006(VarCurr,B)
      <=> v11008(VarCurr,B) ) ) )).

fof(addAssignment_2868,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11008(VarCurr,B)
      <=> v11010(VarCurr,B) ) ) )).

fof(addAssignment_2867,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11010(VarCurr,B)
      <=> v11254(VarCurr,B) ) ) )).

fof(addAssignment_2866,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11254(VarCurr,B)
      <=> v11256(VarCurr,B) ) ) )).

fof(addAssignment_2865,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11256(VarCurr,B)
      <=> v11258(VarCurr,B) ) ) )).

fof(addAssignment_2864,axiom,(
    ! [VarNext,B] :
      ( range_31_0(B)
     => ( v11258(VarNext,B)
      <=> v11269(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_100,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11270(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v11269(VarNext,B)
            <=> v11258(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_103,axiom,(
    ! [VarNext] :
      ( v11270(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v11269(VarNext,B)
          <=> v11278(VarNext,B) ) ) ) )).

fof(addAssignment_2863,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v11278(VarNext,B)
          <=> v11276(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_253,axiom,(
    ! [VarCurr] :
      ( ~ v11245(VarCurr)
     => ! [B] :
          ( range_127_0(B)
         => ( v11276(VarCurr,B)
          <=> v11261(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_194,axiom,(
    ! [VarCurr] :
      ( v11245(VarCurr)
     => ! [B] :
          ( range_127_0(B)
         => ( v11276(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_58,axiom,(
    ! [B] :
      ( range_127_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B
        | bitIndex123 = B
        | bitIndex124 = B
        | bitIndex125 = B
        | bitIndex126 = B
        | bitIndex127 = B ) ) )).

fof(bitBlastConstant_1994,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex127) )).

fof(bitBlastConstant_1993,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex126) )).

fof(bitBlastConstant_1992,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex125) )).

fof(bitBlastConstant_1991,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex124) )).

fof(bitBlastConstant_1990,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex123) )).

fof(bitBlastConstant_1989,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex122) )).

fof(bitBlastConstant_1988,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex121) )).

fof(bitBlastConstant_1987,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex120) )).

fof(bitBlastConstant_1986,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex119) )).

fof(bitBlastConstant_1985,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex118) )).

fof(bitBlastConstant_1984,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex117) )).

fof(bitBlastConstant_1983,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex116) )).

fof(bitBlastConstant_1982,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex115) )).

fof(bitBlastConstant_1981,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex114) )).

fof(bitBlastConstant_1980,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex113) )).

fof(bitBlastConstant_1979,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex112) )).

fof(bitBlastConstant_1978,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex111) )).

fof(bitBlastConstant_1977,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex110) )).

fof(bitBlastConstant_1976,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex109) )).

fof(bitBlastConstant_1975,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex108) )).

fof(bitBlastConstant_1974,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex107) )).

fof(bitBlastConstant_1973,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex106) )).

fof(bitBlastConstant_1972,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex105) )).

fof(bitBlastConstant_1971,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex104) )).

fof(bitBlastConstant_1970,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex103) )).

fof(bitBlastConstant_1969,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex102) )).

fof(bitBlastConstant_1968,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex101) )).

fof(bitBlastConstant_1967,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex100) )).

fof(bitBlastConstant_1966,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex99) )).

fof(bitBlastConstant_1965,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex98) )).

fof(bitBlastConstant_1964,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex97) )).

fof(bitBlastConstant_1963,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex96) )).

fof(bitBlastConstant_1962,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex95) )).

fof(bitBlastConstant_1961,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex94) )).

fof(bitBlastConstant_1960,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex93) )).

fof(bitBlastConstant_1959,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex92) )).

fof(bitBlastConstant_1958,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex91) )).

fof(bitBlastConstant_1957,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex90) )).

fof(bitBlastConstant_1956,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex89) )).

fof(bitBlastConstant_1955,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex88) )).

fof(bitBlastConstant_1954,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex87) )).

fof(bitBlastConstant_1953,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex86) )).

fof(bitBlastConstant_1952,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex85) )).

fof(bitBlastConstant_1951,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex84) )).

fof(bitBlastConstant_1950,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex83) )).

fof(bitBlastConstant_1949,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex82) )).

fof(bitBlastConstant_1948,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex81) )).

fof(bitBlastConstant_1947,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex80) )).

fof(bitBlastConstant_1946,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex79) )).

fof(bitBlastConstant_1945,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex78) )).

fof(bitBlastConstant_1944,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex77) )).

fof(bitBlastConstant_1943,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex76) )).

fof(bitBlastConstant_1942,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex75) )).

fof(bitBlastConstant_1941,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex74) )).

fof(bitBlastConstant_1940,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex73) )).

fof(bitBlastConstant_1939,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex72) )).

fof(bitBlastConstant_1938,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex71) )).

fof(bitBlastConstant_1937,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex70) )).

fof(bitBlastConstant_1936,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_1935,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_1934,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_1933,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_1932,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_1931,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_1930,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_1929,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_1928,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_1927,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_1926,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_1925,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_1924,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_1923,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_1922,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_1921,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_1920,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_1919,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_1918,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_1917,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_1916,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_1915,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_1914,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_1913,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_1912,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_1911,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_1910,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_1909,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_1908,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_1907,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_1906,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_1905,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_1904,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_1903,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_1902,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_1901,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_1900,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_1899,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_1898,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_1897,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_1896,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_1895,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_1894,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_1893,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1892,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1891,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1890,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1889,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1888,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1887,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1886,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1885,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1884,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1883,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1882,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1881,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1880,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1879,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1878,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1877,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1876,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1875,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1874,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1873,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1872,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1871,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1870,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1869,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1868,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1867,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2711,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11270(VarNext)
      <=> v11271(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2710,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11271(VarNext)
      <=> ( v11273(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1411,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11273(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2862,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11261(VarCurr,B)
      <=> v11263(VarCurr,B) ) ) )).

fof(addAssignment_2861,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11263(VarCurr,B)
      <=> v11265(VarCurr,B) ) ) )).

fof(addAssignment_2860,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v11265(VarCurr,B)
      <=> v11267(VarCurr,B) ) ) )).

fof(addAssignment_2859,axiom,(
    ! [VarCurr] :
      ( v10992(VarCurr,bitIndex1)
    <=> v11036(VarCurr,bitIndex1) ) )).

fof(addAssignment_2858,axiom,(
    ! [VarCurr] :
      ( v10994(VarCurr,bitIndex1)
    <=> v10996(VarCurr,bitIndex1) ) )).

fof(addAssignment_2857,axiom,(
    ! [VarCurr] :
      ( v10996(VarCurr,bitIndex1)
    <=> v10998(VarCurr,bitIndex1) ) )).

fof(addAssignment_2856,axiom,(
    ! [VarCurr] :
      ( v10998(VarCurr,bitIndex1)
    <=> v11000(VarCurr,bitIndex1) ) )).

fof(addAssignment_2855,axiom,(
    ! [VarCurr] :
      ( v11000(VarCurr,bitIndex1)
    <=> v11002(VarCurr,bitIndex138) ) )).

fof(addAssignment_2854,axiom,(
    ! [VarCurr] :
      ( v11002(VarCurr,bitIndex138)
    <=> v11004(VarCurr,bitIndex138) ) )).

fof(addAssignment_2853,axiom,(
    ! [VarCurr] :
      ( v11004(VarCurr,bitIndex138)
    <=> v11006(VarCurr,bitIndex138) ) )).

fof(addAssignment_2852,axiom,(
    ! [VarCurr] :
      ( v11006(VarCurr,bitIndex138)
    <=> v11008(VarCurr,bitIndex138) ) )).

fof(addAssignment_2851,axiom,(
    ! [VarCurr] :
      ( v11008(VarCurr,bitIndex138)
    <=> v11010(VarCurr,bitIndex138) ) )).

fof(addAssignment_2850,axiom,(
    ! [VarCurr] :
      ( v11010(VarCurr,bitIndex138)
    <=> v11213(VarCurr) ) )).

fof(addAssignment_2849,axiom,(
    ! [VarCurr] :
      ( v11213(VarCurr)
    <=> v11215(VarCurr) ) )).

fof(addAssignment_2848,axiom,(
    ! [VarCurr] :
      ( v11215(VarCurr)
    <=> v11217(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_99,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11234(VarNext)
       => ( v11217(VarNext)
        <=> v11217(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_102,axiom,(
    ! [VarNext] :
      ( v11234(VarNext)
     => ( v11217(VarNext)
      <=> v11244(VarNext) ) ) )).

fof(addAssignment_2847,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11244(VarNext)
      <=> v11242(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_252,axiom,(
    ! [VarCurr] :
      ( ~ v11245(VarCurr)
     => ( v11242(VarCurr)
      <=> v11246(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_193,axiom,(
    ! [VarCurr] :
      ( v11245(VarCurr)
     => ( v11242(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2709,axiom,(
    ! [VarCurr] :
      ( v11246(VarCurr)
    <=> ( v11221(VarCurr)
        & v11229(VarCurr) ) ) )).

fof(writeUnaryOperator_1410,axiom,(
    ! [VarCurr] :
      ( ~ v11245(VarCurr)
    <=> v11219(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2708,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11234(VarNext)
      <=> v11235(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2707,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11235(VarNext)
      <=> ( v11236(VarNext)
          & v11231(VarNext) ) ) ) )).

fof(writeUnaryOperator_1409,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11236(VarNext)
      <=> v11238(VarNext) ) ) )).

fof(addAssignment_2846,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11238(VarNext)
      <=> v11231(VarCurr) ) ) )).

fof(addAssignment_2845,axiom,(
    ! [VarCurr] :
      ( v11231(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addAssignment_2844,axiom,(
    ! [VarCurr] :
      ( v11229(VarCurr)
    <=> v10950(VarCurr) ) )).

fof(addAssignment_2843,axiom,(
    ! [VarCurr] :
      ( v11221(VarCurr)
    <=> v11223(VarCurr) ) )).

fof(addAssignment_2842,axiom,(
    ! [VarCurr] :
      ( v11223(VarCurr)
    <=> v11225(VarCurr) ) )).

fof(addAssignment_2841,axiom,(
    ! [VarCurr] :
      ( v11225(VarCurr)
    <=> v11227(VarCurr) ) )).

fof(addAssignment_2840,axiom,(
    ! [VarCurr] :
      ( v11219(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2706,axiom,(
    ! [VarCurr] :
      ( v11147(VarCurr)
    <=> ( v10920(VarCurr)
        & v11169(VarCurr) ) ) )).

fof(writeUnaryOperator_1408,axiom,(
    ! [VarCurr] :
      ( ~ v11169(VarCurr)
    <=> v11171(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2705,axiom,(
    ! [VarCurr] :
      ( v11171(VarCurr)
    <=> ( v11172(VarCurr)
        & v11206(VarCurr) ) ) )).

fof(writeUnaryOperator_1407,axiom,(
    ! [VarCurr] :
      ( ~ v11206(VarCurr)
    <=> v11207(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2704,axiom,(
    ! [VarCurr] :
      ( v11207(VarCurr)
    <=> ( v11208(VarCurr)
        & v11211(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_683,axiom,(
    ! [VarCurr] :
      ( v11211(VarCurr)
    <=> ( v11149(VarCurr,bitIndex5)
        | v11155(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2703,axiom,(
    ! [VarCurr] :
      ( v11208(VarCurr)
    <=> ( v11209(VarCurr)
        | v11210(VarCurr) ) ) )).

fof(writeUnaryOperator_1406,axiom,(
    ! [VarCurr] :
      ( ~ v11210(VarCurr)
    <=> v11155(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1405,axiom,(
    ! [VarCurr] :
      ( ~ v11209(VarCurr)
    <=> v11149(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2702,axiom,(
    ! [VarCurr] :
      ( v11172(VarCurr)
    <=> ( v11173(VarCurr)
        & v11200(VarCurr) ) ) )).

fof(writeUnaryOperator_1404,axiom,(
    ! [VarCurr] :
      ( ~ v11200(VarCurr)
    <=> v11201(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2701,axiom,(
    ! [VarCurr] :
      ( v11201(VarCurr)
    <=> ( v11202(VarCurr)
        & v11205(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_682,axiom,(
    ! [VarCurr] :
      ( v11205(VarCurr)
    <=> ( v11149(VarCurr,bitIndex4)
        | v11155(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2700,axiom,(
    ! [VarCurr] :
      ( v11202(VarCurr)
    <=> ( v11203(VarCurr)
        | v11204(VarCurr) ) ) )).

fof(writeUnaryOperator_1403,axiom,(
    ! [VarCurr] :
      ( ~ v11204(VarCurr)
    <=> v11155(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1402,axiom,(
    ! [VarCurr] :
      ( ~ v11203(VarCurr)
    <=> v11149(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2699,axiom,(
    ! [VarCurr] :
      ( v11173(VarCurr)
    <=> ( v11174(VarCurr)
        & v11194(VarCurr) ) ) )).

fof(writeUnaryOperator_1401,axiom,(
    ! [VarCurr] :
      ( ~ v11194(VarCurr)
    <=> v11195(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2698,axiom,(
    ! [VarCurr] :
      ( v11195(VarCurr)
    <=> ( v11196(VarCurr)
        & v11199(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_681,axiom,(
    ! [VarCurr] :
      ( v11199(VarCurr)
    <=> ( v11149(VarCurr,bitIndex3)
        | v11155(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2697,axiom,(
    ! [VarCurr] :
      ( v11196(VarCurr)
    <=> ( v11197(VarCurr)
        | v11198(VarCurr) ) ) )).

fof(writeUnaryOperator_1400,axiom,(
    ! [VarCurr] :
      ( ~ v11198(VarCurr)
    <=> v11155(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1399,axiom,(
    ! [VarCurr] :
      ( ~ v11197(VarCurr)
    <=> v11149(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2696,axiom,(
    ! [VarCurr] :
      ( v11174(VarCurr)
    <=> ( v11175(VarCurr)
        & v11188(VarCurr) ) ) )).

fof(writeUnaryOperator_1398,axiom,(
    ! [VarCurr] :
      ( ~ v11188(VarCurr)
    <=> v11189(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2695,axiom,(
    ! [VarCurr] :
      ( v11189(VarCurr)
    <=> ( v11190(VarCurr)
        & v11193(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_680,axiom,(
    ! [VarCurr] :
      ( v11193(VarCurr)
    <=> ( v11149(VarCurr,bitIndex2)
        | v11155(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2694,axiom,(
    ! [VarCurr] :
      ( v11190(VarCurr)
    <=> ( v11191(VarCurr)
        | v11192(VarCurr) ) ) )).

fof(writeUnaryOperator_1397,axiom,(
    ! [VarCurr] :
      ( ~ v11192(VarCurr)
    <=> v11155(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1396,axiom,(
    ! [VarCurr] :
      ( ~ v11191(VarCurr)
    <=> v11149(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2693,axiom,(
    ! [VarCurr] :
      ( v11175(VarCurr)
    <=> ( v11176(VarCurr)
        & v11182(VarCurr) ) ) )).

fof(writeUnaryOperator_1395,axiom,(
    ! [VarCurr] :
      ( ~ v11182(VarCurr)
    <=> v11183(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2692,axiom,(
    ! [VarCurr] :
      ( v11183(VarCurr)
    <=> ( v11184(VarCurr)
        & v11187(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_679,axiom,(
    ! [VarCurr] :
      ( v11187(VarCurr)
    <=> ( v11149(VarCurr,bitIndex1)
        | v11155(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2691,axiom,(
    ! [VarCurr] :
      ( v11184(VarCurr)
    <=> ( v11185(VarCurr)
        | v11186(VarCurr) ) ) )).

fof(writeUnaryOperator_1394,axiom,(
    ! [VarCurr] :
      ( ~ v11186(VarCurr)
    <=> v11155(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1393,axiom,(
    ! [VarCurr] :
      ( ~ v11185(VarCurr)
    <=> v11149(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1392,axiom,(
    ! [VarCurr] :
      ( ~ v11176(VarCurr)
    <=> v11177(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2690,axiom,(
    ! [VarCurr] :
      ( v11177(VarCurr)
    <=> ( v11178(VarCurr)
        & v11181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2689,axiom,(
    ! [VarCurr] :
      ( v11181(VarCurr)
    <=> ( v11149(VarCurr,bitIndex0)
        | v11155(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2688,axiom,(
    ! [VarCurr] :
      ( v11178(VarCurr)
    <=> ( v11179(VarCurr)
        | v11180(VarCurr) ) ) )).

fof(writeUnaryOperator_1391,axiom,(
    ! [VarCurr] :
      ( ~ v11180(VarCurr)
    <=> v11155(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1390,axiom,(
    ! [VarCurr] :
      ( ~ v11179(VarCurr)
    <=> v11149(VarCurr,bitIndex0) ) )).

fof(addAssignment_2839,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11155(VarCurr,B)
      <=> v11157(VarCurr,B) ) ) )).

fof(addAssignment_2838,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11157(VarCurr,B)
      <=> v11159(VarCurr,B) ) ) )).

fof(addAssignment_2837,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11159(VarCurr,B)
      <=> v11161(VarCurr,B) ) ) )).

fof(addAssignment_2836,axiom,(
    ! [VarCurr] :
      ( ( v11161(VarCurr,bitIndex5)
      <=> v11002(VarCurr,bitIndex137) )
      & ( v11161(VarCurr,bitIndex4)
      <=> v11002(VarCurr,bitIndex136) )
      & ( v11161(VarCurr,bitIndex3)
      <=> v11002(VarCurr,bitIndex135) )
      & ( v11161(VarCurr,bitIndex2)
      <=> v11002(VarCurr,bitIndex134) )
      & ( v11161(VarCurr,bitIndex1)
      <=> v11002(VarCurr,bitIndex133) )
      & ( v11161(VarCurr,bitIndex0)
      <=> v11002(VarCurr,bitIndex132) ) ) )).

fof(addAssignment_2835,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v11002(VarCurr,B)
      <=> v11004(VarCurr,B) ) ) )).

fof(addAssignment_2834,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v11004(VarCurr,B)
      <=> v11006(VarCurr,B) ) ) )).

fof(addAssignment_2833,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v11006(VarCurr,B)
      <=> v11008(VarCurr,B) ) ) )).

fof(addAssignment_2832,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v11008(VarCurr,B)
      <=> v11010(VarCurr,B) ) ) )).

fof(range_axiom_57,axiom,(
    ! [B] :
      ( range_137_132(B)
    <=> ( $false
        | bitIndex132 = B
        | bitIndex133 = B
        | bitIndex134 = B
        | bitIndex135 = B
        | bitIndex136 = B
        | bitIndex137 = B ) ) )).

fof(addAssignment_2831,axiom,(
    ! [VarCurr] :
      ( ( v11010(VarCurr,bitIndex137)
      <=> v11163(VarCurr,bitIndex5) )
      & ( v11010(VarCurr,bitIndex136)
      <=> v11163(VarCurr,bitIndex4) )
      & ( v11010(VarCurr,bitIndex135)
      <=> v11163(VarCurr,bitIndex3) )
      & ( v11010(VarCurr,bitIndex134)
      <=> v11163(VarCurr,bitIndex2) )
      & ( v11010(VarCurr,bitIndex133)
      <=> v11163(VarCurr,bitIndex1) )
      & ( v11010(VarCurr,bitIndex132)
      <=> v11163(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2830,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11163(VarCurr,B)
      <=> v11165(VarCurr,B) ) ) )).

fof(addAssignment_2829,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11165(VarCurr,B)
      <=> v11167(VarCurr,B) ) ) )).

fof(addAssignment_2828,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11149(VarCurr,B)
      <=> v11151(VarCurr,B) ) ) )).

fof(addAssignment_2827,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11151(VarCurr,B)
      <=> v11153(VarCurr,B) ) ) )).

fof(addAssignment_2826,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11153(VarCurr,B)
      <=> v9305(VarCurr,B) ) ) )).

fof(addAssignment_2825,axiom,(
    ! [VarCurr] :
      ( v10901(VarCurr)
    <=> v10903(VarCurr) ) )).

fof(addAssignment_2824,axiom,(
    ! [VarCurr] :
      ( v10903(VarCurr)
    <=> v10905(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_31,axiom,(
    ! [VarCurr] :
      ( ( ~ v11043(VarCurr)
        & ~ v11044(VarCurr)
        & ~ v11045(VarCurr) )
     => ( v10905(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_50,axiom,(
    ! [VarCurr] :
      ( v11045(VarCurr)
     => ( v10905(VarCurr)
      <=> v11133(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_138,axiom,(
    ! [VarCurr] :
      ( v11044(VarCurr)
     => ( v10905(VarCurr)
      <=> v10992(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_137,axiom,(
    ! [VarCurr] :
      ( v11043(VarCurr)
     => ( v10905(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_251,axiom,(
    ! [VarCurr] :
      ( ~ v11079(VarCurr)
     => ( v11133(VarCurr)
      <=> v11135(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_192,axiom,(
    ! [VarCurr] :
      ( v11079(VarCurr)
     => ( v11133(VarCurr)
      <=> v11134(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_749,axiom,(
    ! [VarCurr] :
      ( v11135(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $false )
        & ( v11038(VarCurr,bitIndex1)
        <=> $true )
        & ( v11038(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_748,axiom,(
    ! [VarCurr] :
      ( v11134(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $true )
        & ( v11038(VarCurr,bitIndex1)
        <=> $true )
        & ( v11038(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_98,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11121(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v10907(VarNext,B)
            <=> v10907(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_101,axiom,(
    ! [VarNext] :
      ( v11121(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v10907(VarNext,B)
          <=> v11129(VarNext,B) ) ) ) )).

fof(addAssignment_2823,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v11129(VarNext,B)
          <=> v11127(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_250,axiom,(
    ! [VarCurr] :
      ( ~ v11075(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11127(VarCurr,B)
          <=> v10911(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_191,axiom,(
    ! [VarCurr] :
      ( v11075(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11127(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2687,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11121(VarNext)
      <=> v11122(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2686,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11122(VarNext)
      <=> ( v11124(VarNext)
          & v11061(VarNext) ) ) ) )).

fof(writeUnaryOperator_1389,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11124(VarNext)
      <=> v11068(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_30,axiom,(
    ! [VarCurr] :
      ( ( ~ v11086(VarCurr)
        & ~ v11090(VarCurr)
        & ~ v11100(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v10911(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_49,axiom,(
    ! [VarCurr] :
      ( v11100(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v10911(VarCurr,B)
          <=> v11101(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_137,axiom,(
    ! [VarCurr] :
      ( v11090(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v10911(VarCurr,B)
          <=> v11091(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_136,axiom,(
    ! [VarCurr] :
      ( v11086(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v10911(VarCurr,B)
          <=> v11087(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_747,axiom,(
    ! [VarCurr] :
      ( v11118(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $true )
        & ( v10907(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_29,axiom,(
    ! [VarCurr] :
      ( ( ~ v11102(VarCurr)
        & ~ v11109(VarCurr)
        & ~ v11111(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v11101(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_48,axiom,(
    ! [VarCurr] :
      ( v11111(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11101(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_136,axiom,(
    ! [VarCurr] :
      ( v11109(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11101(VarCurr,B)
          <=> v11110(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_135,axiom,(
    ! [VarCurr] :
      ( v11102(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11101(VarCurr,B)
          <=> v11108(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_746,axiom,(
    ! [VarCurr] :
      ( v11117(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $true )
        & ( v11038(VarCurr,bitIndex1)
        <=> $true )
        & ( v11038(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2685,axiom,(
    ! [VarCurr] :
      ( v11111(VarCurr)
    <=> ( v11113(VarCurr)
        | v11116(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_745,axiom,(
    ! [VarCurr] :
      ( v11116(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $true )
        & ( v11038(VarCurr,bitIndex1)
        <=> $true )
        & ( v11038(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2684,axiom,(
    ! [VarCurr] :
      ( v11113(VarCurr)
    <=> ( v11114(VarCurr)
        | v11115(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_744,axiom,(
    ! [VarCurr] :
      ( v11115(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $true )
        & ( v11038(VarCurr,bitIndex1)
        <=> $false )
        & ( v11038(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_743,axiom,(
    ! [VarCurr] :
      ( v11114(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $true )
        & ( v11038(VarCurr,bitIndex1)
        <=> $false )
        & ( v11038(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_249,axiom,(
    ! [VarCurr] :
      ( ~ v11079(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11110(VarCurr,B)
          <=> $true ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_190,axiom,(
    ! [VarCurr] :
      ( v11079(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11110(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_742,axiom,(
    ! [VarCurr] :
      ( v11109(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $false )
        & ( v11038(VarCurr,bitIndex1)
        <=> $true )
        & ( v11038(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_248,axiom,(
    ! [VarCurr] :
      ( ~ v10920(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11108(VarCurr,B)
          <=> $true ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_189,axiom,(
    ! [VarCurr] :
      ( v10920(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11108(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2683,axiom,(
    ! [VarCurr] :
      ( v11102(VarCurr)
    <=> ( v11104(VarCurr)
        | v11107(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_741,axiom,(
    ! [VarCurr] :
      ( v11107(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $false )
        & ( v11038(VarCurr,bitIndex1)
        <=> $true )
        & ( v11038(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2682,axiom,(
    ! [VarCurr] :
      ( v11104(VarCurr)
    <=> ( v11105(VarCurr)
        | v11106(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_740,axiom,(
    ! [VarCurr] :
      ( v11106(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $false )
        & ( v11038(VarCurr,bitIndex1)
        <=> $false )
        & ( v11038(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_739,axiom,(
    ! [VarCurr] :
      ( v11105(VarCurr)
    <=> ( ( v11038(VarCurr,bitIndex2)
        <=> $false )
        & ( v11038(VarCurr,bitIndex1)
        <=> $false )
        & ( v11038(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_738,axiom,(
    ! [VarCurr] :
      ( v11100(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $true )
        & ( v10907(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_28,axiom,(
    ! [VarCurr] :
      ( ( ~ v11092(VarCurr)
        & ~ v11094(VarCurr)
        & ~ v11096(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v11091(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_47,axiom,(
    ! [VarCurr] :
      ( v11096(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11091(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_135,axiom,(
    ! [VarCurr] :
      ( v11094(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11091(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_134,axiom,(
    ! [VarCurr] :
      ( v11092(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11091(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_737,axiom,(
    ! [VarCurr] :
      ( v11098(VarCurr)
    <=> ( ( v11099(VarCurr,bitIndex1)
        <=> $true )
        & ( v11099(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2822,axiom,(
    ! [VarCurr] :
      ( v11099(VarCurr,bitIndex0)
    <=> v10992(VarCurr,bitIndex0) ) )).

fof(addAssignment_2821,axiom,(
    ! [VarCurr] :
      ( v11099(VarCurr,bitIndex1)
    <=> v10920(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_736,axiom,(
    ! [VarCurr] :
      ( v11096(VarCurr)
    <=> ( ( v11097(VarCurr,bitIndex1)
        <=> $true )
        & ( v11097(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2820,axiom,(
    ! [VarCurr] :
      ( v11097(VarCurr,bitIndex0)
    <=> v10992(VarCurr,bitIndex0) ) )).

fof(addAssignment_2819,axiom,(
    ! [VarCurr] :
      ( v11097(VarCurr,bitIndex1)
    <=> v10920(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_735,axiom,(
    ! [VarCurr] :
      ( v11094(VarCurr)
    <=> ( ( v11095(VarCurr,bitIndex1)
        <=> $false )
        & ( v11095(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2818,axiom,(
    ! [VarCurr] :
      ( v11095(VarCurr,bitIndex0)
    <=> v10992(VarCurr,bitIndex0) ) )).

fof(addAssignment_2817,axiom,(
    ! [VarCurr] :
      ( v11095(VarCurr,bitIndex1)
    <=> v10920(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_734,axiom,(
    ! [VarCurr] :
      ( v11092(VarCurr)
    <=> ( ( v11093(VarCurr,bitIndex1)
        <=> $false )
        & ( v11093(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2816,axiom,(
    ! [VarCurr] :
      ( v11093(VarCurr,bitIndex0)
    <=> v10992(VarCurr,bitIndex0) ) )).

fof(addAssignment_2815,axiom,(
    ! [VarCurr] :
      ( v11093(VarCurr,bitIndex1)
    <=> v10920(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_733,axiom,(
    ! [VarCurr] :
      ( v11090(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $false )
        & ( v10907(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_134,axiom,(
    ! [VarCurr] :
      ( ~ v11088(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11087(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_133,axiom,(
    ! [VarCurr] :
      ( v11088(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v11087(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_732,axiom,(
    ! [VarCurr] :
      ( v11089(VarCurr)
    <=> ( v10913(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_731,axiom,(
    ! [VarCurr] :
      ( v11088(VarCurr)
    <=> ( v10913(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_730,axiom,(
    ! [VarCurr] :
      ( v11086(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $false )
        & ( v10907(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2814,axiom,(
    ! [VarCurr] :
      ( v11079(VarCurr)
    <=> v11081(VarCurr) ) )).

fof(addAssignment_2813,axiom,(
    ! [VarCurr] :
      ( v11081(VarCurr)
    <=> v11083(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_678,axiom,(
    ! [VarCurr] :
      ( v11083(VarCurr)
    <=> ( v9275(VarCurr,bitIndex0)
        & v9275(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_97,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11064(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v11038(VarNext,B)
            <=> v11038(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_100,axiom,(
    ! [VarNext] :
      ( v11064(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v11038(VarNext,B)
          <=> v11074(VarNext,B) ) ) ) )).

fof(addAssignment_2812,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v11074(VarNext,B)
          <=> v11072(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_247,axiom,(
    ! [VarCurr] :
      ( ~ v11075(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v11072(VarCurr,B)
          <=> v11040(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_188,axiom,(
    ! [VarCurr] :
      ( v11075(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v11072(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1388,axiom,(
    ! [VarCurr] :
      ( ~ v11075(VarCurr)
    <=> v10909(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2681,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11064(VarNext)
      <=> v11065(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2680,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11065(VarNext)
      <=> ( v11066(VarNext)
          & v11061(VarNext) ) ) ) )).

fof(writeUnaryOperator_1387,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11066(VarNext)
      <=> v11068(VarNext) ) ) )).

fof(addAssignment_2811,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11068(VarNext)
      <=> v11061(VarCurr) ) ) )).

fof(addAssignment_2810,axiom,(
    ! [VarCurr] :
      ( v11061(VarCurr)
    <=> v5623(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_46,axiom,(
    ! [VarCurr] :
      ( ( ~ v11042(VarCurr)
        & ~ v11045(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v11040(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_133,axiom,(
    ! [VarCurr] :
      ( v11045(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v11040(VarCurr,B)
          <=> v11046(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_132,axiom,(
    ! [VarCurr] :
      ( v11042(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v11040(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_729,axiom,(
    ! [VarCurr] :
      ( v11059(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $true )
        & ( v10907(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2809,axiom,(
    ! [VarCurr] :
      ( v11046(VarCurr,bitIndex0)
    <=> v11056(VarCurr) ) )).

fof(addAssignment_2808,axiom,(
    ! [VarCurr] :
      ( v11046(VarCurr,bitIndex1)
    <=> v11054(VarCurr) ) )).

fof(addAssignment_2807,axiom,(
    ! [VarCurr] :
      ( v11046(VarCurr,bitIndex2)
    <=> v11048(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2679,axiom,(
    ! [VarCurr] :
      ( v11054(VarCurr)
    <=> ( v11055(VarCurr)
        & v11058(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_677,axiom,(
    ! [VarCurr] :
      ( v11058(VarCurr)
    <=> ( v11038(VarCurr,bitIndex0)
        | v11038(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2678,axiom,(
    ! [VarCurr] :
      ( v11055(VarCurr)
    <=> ( v11056(VarCurr)
        | v11057(VarCurr) ) ) )).

fof(writeUnaryOperator_1386,axiom,(
    ! [VarCurr] :
      ( ~ v11057(VarCurr)
    <=> v11038(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1385,axiom,(
    ! [VarCurr] :
      ( ~ v11056(VarCurr)
    <=> v11038(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2677,axiom,(
    ! [VarCurr] :
      ( v11048(VarCurr)
    <=> ( v11049(VarCurr)
        & v11053(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_676,axiom,(
    ! [VarCurr] :
      ( v11053(VarCurr)
    <=> ( v11051(VarCurr)
        | v11038(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2676,axiom,(
    ! [VarCurr] :
      ( v11049(VarCurr)
    <=> ( v11050(VarCurr)
        | v11052(VarCurr) ) ) )).

fof(writeUnaryOperator_1384,axiom,(
    ! [VarCurr] :
      ( ~ v11052(VarCurr)
    <=> v11038(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1383,axiom,(
    ! [VarCurr] :
      ( ~ v11050(VarCurr)
    <=> v11051(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_675,axiom,(
    ! [VarCurr] :
      ( v11051(VarCurr)
    <=> ( v11038(VarCurr,bitIndex0)
        & v11038(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_728,axiom,(
    ! [VarCurr] :
      ( v11045(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $true )
        & ( v10907(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2675,axiom,(
    ! [VarCurr] :
      ( v11042(VarCurr)
    <=> ( v11043(VarCurr)
        | v11044(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_727,axiom,(
    ! [VarCurr] :
      ( v11044(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $false )
        & ( v10907(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_726,axiom,(
    ! [VarCurr] :
      ( v11043(VarCurr)
    <=> ( ( v10907(VarCurr,bitIndex1)
        <=> $false )
        & ( v10907(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2806,axiom,(
    ! [VarCurr] :
      ( v10992(VarCurr,bitIndex0)
    <=> v11036(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_246,axiom,(
    ! [VarCurr] :
      ( ~ v10920(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v11036(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_187,axiom,(
    ! [VarCurr] :
      ( v10920(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v11036(VarCurr,B)
          <=> v10994(VarCurr,B) ) ) ) )).

fof(addAssignment_2805,axiom,(
    ! [VarCurr] :
      ( v10994(VarCurr,bitIndex0)
    <=> v10996(VarCurr,bitIndex0) ) )).

fof(addAssignment_2804,axiom,(
    ! [VarCurr] :
      ( v10996(VarCurr,bitIndex0)
    <=> v10998(VarCurr,bitIndex0) ) )).

fof(addAssignment_2803,axiom,(
    ! [VarCurr] :
      ( v10998(VarCurr,bitIndex0)
    <=> v11000(VarCurr,bitIndex0) ) )).

fof(addAssignment_2802,axiom,(
    ! [VarCurr] :
      ( v11000(VarCurr,bitIndex0)
    <=> v11002(VarCurr,bitIndex139) ) )).

fof(addAssignment_2801,axiom,(
    ! [VarCurr] :
      ( v11002(VarCurr,bitIndex139)
    <=> v11004(VarCurr,bitIndex139) ) )).

fof(addAssignment_2800,axiom,(
    ! [VarCurr] :
      ( v11004(VarCurr,bitIndex139)
    <=> v11006(VarCurr,bitIndex139) ) )).

fof(addAssignment_2799,axiom,(
    ! [VarCurr] :
      ( v11006(VarCurr,bitIndex139)
    <=> v11008(VarCurr,bitIndex139) ) )).

fof(addAssignment_2798,axiom,(
    ! [VarCurr] :
      ( v11008(VarCurr,bitIndex139)
    <=> v11010(VarCurr,bitIndex139) ) )).

fof(addAssignment_2797,axiom,(
    ! [VarCurr] :
      ( v11010(VarCurr,bitIndex139)
    <=> v11012(VarCurr) ) )).

fof(addAssignment_2796,axiom,(
    ! [VarCurr] :
      ( v11012(VarCurr)
    <=> v11014(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_96,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11019(VarNext)
       => ( v11014(VarNext)
        <=> v11014(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_99,axiom,(
    ! [VarNext] :
      ( v11019(VarNext)
     => ( v11014(VarNext)
      <=> v11033(VarNext) ) ) )).

fof(addAssignment_2795,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11033(VarNext)
      <=> v11031(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_132,axiom,(
    ! [VarCurr] :
      ( ~ v11028(VarCurr)
     => ( v11031(VarCurr)
      <=> v11016(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_131,axiom,(
    ! [VarCurr] :
      ( v11028(VarCurr)
     => ( v11031(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2674,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11019(VarNext)
      <=> ( v11020(VarNext)
          & v11027(VarNext) ) ) ) )).

fof(addAssignment_2794,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11027(VarNext)
      <=> v11025(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2673,axiom,(
    ! [VarCurr] :
      ( v11025(VarCurr)
    <=> ( v11028(VarCurr)
        | v11029(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2672,axiom,(
    ! [VarCurr] :
      ( v11029(VarCurr)
    <=> ( v10944(VarCurr)
        & v11030(VarCurr) ) ) )).

fof(writeUnaryOperator_1382,axiom,(
    ! [VarCurr] :
      ( ~ v11030(VarCurr)
    <=> v11028(VarCurr) ) )).

fof(writeUnaryOperator_1381,axiom,(
    ! [VarCurr] :
      ( ~ v11028(VarCurr)
    <=> v10942(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2671,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11020(VarNext)
      <=> ( v11021(VarNext)
          & v10960(VarNext) ) ) ) )).

fof(writeUnaryOperator_1380,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11021(VarNext)
      <=> v10967(VarNext) ) ) )).

fof(addAssignment_2793,axiom,(
    ! [VarCurr] :
      ( v11016(VarCurr,bitIndex0)
    <=> v2841(VarCurr,bitIndex0) ) )).

fof(addAssignment_2792,axiom,(
    ! [VarCurr] :
      ( v10920(VarCurr)
    <=> v10922(VarCurr) ) )).

fof(addAssignment_2791,axiom,(
    ! [VarCurr] :
      ( v10922(VarCurr)
    <=> v10924(VarCurr) ) )).

fof(addAssignment_2790,axiom,(
    ! [VarCurr] :
      ( v10924(VarCurr)
    <=> v10926(VarCurr) ) )).

fof(addAssignment_2789,axiom,(
    ! [VarCurr] :
      ( v10926(VarCurr)
    <=> v10928(VarCurr) ) )).

fof(addAssignment_2788,axiom,(
    ! [VarCurr] :
      ( v10928(VarCurr)
    <=> v10930(VarCurr) ) )).

fof(addAssignment_2787,axiom,(
    ! [VarCurr] :
      ( v10930(VarCurr)
    <=> v10932(VarCurr) ) )).

fof(addAssignment_2786,axiom,(
    ! [VarCurr] :
      ( v10932(VarCurr)
    <=> v10934(VarCurr) ) )).

fof(addAssignment_2785,axiom,(
    ! [VarCurr] :
      ( v10934(VarCurr)
    <=> v10936(VarCurr) ) )).

fof(addAssignment_2784,axiom,(
    ! [VarCurr] :
      ( v10936(VarCurr)
    <=> v10938(VarCurr) ) )).

fof(addAssignment_2783,axiom,(
    ! [VarCurr] :
      ( v10938(VarCurr)
    <=> v10940(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_95,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10963(VarNext)
       => ( v10940(VarNext)
        <=> v10940(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_98,axiom,(
    ! [VarNext] :
      ( v10963(VarNext)
     => ( v10940(VarNext)
      <=> v10973(VarNext) ) ) )).

fof(addAssignment_2782,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10973(VarNext)
      <=> v10971(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_245,axiom,(
    ! [VarCurr] :
      ( ~ v10974(VarCurr)
     => ( v10971(VarCurr)
      <=> v10975(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_186,axiom,(
    ! [VarCurr] :
      ( v10974(VarCurr)
     => ( v10971(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_131,axiom,(
    ! [VarCurr] :
      ( ~ v10976(VarCurr)
     => ( v10975(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_130,axiom,(
    ! [VarCurr] :
      ( v10976(VarCurr)
     => ( v10975(VarCurr)
      <=> v10958(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2670,axiom,(
    ! [VarCurr] :
      ( v10982(VarCurr)
    <=> ( v10983(VarCurr)
        | v10987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2669,axiom,(
    ! [VarCurr] :
      ( v10987(VarCurr)
    <=> ( v10985(VarCurr)
        & v10948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2668,axiom,(
    ! [VarCurr] :
      ( v10983(VarCurr)
    <=> ( v10985(VarCurr)
        & v10986(VarCurr) ) ) )).

fof(writeUnaryOperator_1379,axiom,(
    ! [VarCurr] :
      ( ~ v10986(VarCurr)
    <=> v10948(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2667,axiom,(
    ! [VarCurr] :
      ( v10985(VarCurr)
    <=> ( v10946(VarCurr)
        & v10944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2666,axiom,(
    ! [VarCurr] :
      ( v10976(VarCurr)
    <=> ( v10977(VarCurr)
        | v10979(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2665,axiom,(
    ! [VarCurr] :
      ( v10979(VarCurr)
    <=> ( v10981(VarCurr)
        & v10944(VarCurr) ) ) )).

fof(writeUnaryOperator_1378,axiom,(
    ! [VarCurr] :
      ( ~ v10981(VarCurr)
    <=> v10946(VarCurr) ) )).

fof(writeUnaryOperator_1377,axiom,(
    ! [VarCurr] :
      ( ~ v10977(VarCurr)
    <=> v10944(VarCurr) ) )).

fof(writeUnaryOperator_1376,axiom,(
    ! [VarCurr] :
      ( ~ v10974(VarCurr)
    <=> v10942(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2664,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10963(VarNext)
      <=> v10964(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2663,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10964(VarNext)
      <=> ( v10965(VarNext)
          & v10960(VarNext) ) ) ) )).

fof(writeUnaryOperator_1375,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10965(VarNext)
      <=> v10967(VarNext) ) ) )).

fof(addAssignment_2781,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10967(VarNext)
      <=> v10960(VarCurr) ) ) )).

fof(addAssignment_2780,axiom,(
    ! [VarCurr] :
      ( v10960(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addAssignment_2779,axiom,(
    ! [VarCurr] :
      ( v10948(VarCurr)
    <=> v10950(VarCurr) ) )).

fof(addAssignment_2778,axiom,(
    ! [VarCurr] :
      ( v10950(VarCurr)
    <=> v10952(VarCurr) ) )).

fof(addAssignment_2777,axiom,(
    ! [VarCurr] :
      ( v10952(VarCurr)
    <=> v10954(VarCurr) ) )).

fof(addAssignment_2776,axiom,(
    ! [VarCurr] :
      ( v10946(VarCurr)
    <=> v2847(VarCurr,bitIndex15) ) )).

fof(addAssignment_2775,axiom,(
    ! [VarCurr] :
      ( v10944(VarCurr)
    <=> v2856(VarCurr) ) )).

fof(addAssignment_2774,axiom,(
    ! [VarCurr] :
      ( v10942(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(addAssignment_2773,axiom,(
    ! [VarCurr] :
      ( v10913(VarCurr)
    <=> v10915(VarCurr) ) )).

fof(addAssignment_2772,axiom,(
    ! [VarCurr] :
      ( v10915(VarCurr)
    <=> v10917(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_244,axiom,(
    ! [VarCurr] :
      ( ~ v8447(VarCurr)
     => ( v10917(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_185,axiom,(
    ! [VarCurr] :
      ( v8447(VarCurr)
     => ( v10917(VarCurr)
      <=> v10861(VarCurr) ) ) )).

fof(addAssignment_2771,axiom,(
    ! [VarCurr] :
      ( v10909(VarCurr)
    <=> v4965(VarCurr) ) )).

fof(addAssignment_2770,axiom,(
    ! [VarCurr] :
      ( v10861(VarCurr)
    <=> v10863(VarCurr) ) )).

fof(addAssignment_2769,axiom,(
    ! [VarCurr] :
      ( v10863(VarCurr)
    <=> v10865(VarCurr) ) )).

fof(addAssignment_2768,axiom,(
    ! [VarCurr] :
      ( v10865(VarCurr)
    <=> v10867(VarCurr) ) )).

fof(addAssignment_2767,axiom,(
    ! [VarCurr] :
      ( v10867(VarCurr)
    <=> v10869(VarCurr) ) )).

fof(addAssignment_2766,axiom,(
    ! [VarCurr] :
      ( v10869(VarCurr)
    <=> v10871(VarCurr) ) )).

fof(addAssignment_2765,axiom,(
    ! [VarCurr] :
      ( v10871(VarCurr)
    <=> v10873(VarCurr) ) )).

fof(addAssignment_2764,axiom,(
    ! [VarCurr] :
      ( v10873(VarCurr)
    <=> v10875(VarCurr) ) )).

fof(addAssignment_2763,axiom,(
    ! [VarCurr] :
      ( v10875(VarCurr)
    <=> v10877(VarCurr) ) )).

fof(addAssignment_2762,axiom,(
    ! [VarCurr] :
      ( v10877(VarCurr)
    <=> v10879(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_94,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10882(VarNext)
       => ( v10879(VarNext)
        <=> v10879(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_97,axiom,(
    ! [VarNext] :
      ( v10882(VarNext)
     => ( v10879(VarNext)
      <=> v10896(VarNext) ) ) )).

fof(addAssignment_2761,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10896(VarNext)
      <=> v10894(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_130,axiom,(
    ! [VarCurr] :
      ( ~ v10891(VarCurr)
     => ( v10894(VarCurr)
      <=> v10897(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_129,axiom,(
    ! [VarCurr] :
      ( v10891(VarCurr)
     => ( v10894(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_1374,axiom,(
    ! [VarCurr] :
      ( ~ v10897(VarCurr)
    <=> v10879(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2662,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10882(VarNext)
      <=> ( v10883(VarNext)
          & v10890(VarNext) ) ) ) )).

fof(addAssignment_2760,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10890(VarNext)
      <=> v10888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2661,axiom,(
    ! [VarCurr] :
      ( v10888(VarCurr)
    <=> ( v10891(VarCurr)
        | v10892(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2660,axiom,(
    ! [VarCurr] :
      ( v10892(VarCurr)
    <=> ( v4935(VarCurr)
        & v10893(VarCurr) ) ) )).

fof(writeUnaryOperator_1373,axiom,(
    ! [VarCurr] :
      ( ~ v10893(VarCurr)
    <=> v10891(VarCurr) ) )).

fof(writeUnaryOperator_1372,axiom,(
    ! [VarCurr] :
      ( ~ v10891(VarCurr)
    <=> v632(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2659,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10883(VarNext)
      <=> ( v10884(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_1371,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10884(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addAssignment_2759,axiom,(
    ! [VarCurr] :
      ( v4975(VarCurr)
    <=> v4977(VarCurr) ) )).

fof(addAssignment_2758,axiom,(
    ! [VarCurr] :
      ( v4977(VarCurr)
    <=> v4979(VarCurr) ) )).

fof(addAssignment_2757,axiom,(
    ! [VarCurr] :
      ( v4979(VarCurr)
    <=> v4981(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_45,axiom,(
    ! [VarCurr] :
      ( ( ~ v10850(VarCurr)
        & ~ v10853(VarCurr) )
     => ( v4981(VarCurr)
      <=> v10857(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_129,axiom,(
    ! [VarCurr] :
      ( v10853(VarCurr)
     => ( v4981(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_128,axiom,(
    ! [VarCurr] :
      ( v10850(VarCurr)
     => ( v4981(VarCurr)
      <=> v10851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2658,axiom,(
    ! [VarCurr] :
      ( v10857(VarCurr)
    <=> ( v5307(VarCurr)
        & v10858(VarCurr) ) ) )).

fof(writeUnaryOperator_1370,axiom,(
    ! [VarCurr] :
      ( ~ v10858(VarCurr)
    <=> v10859(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2657,axiom,(
    ! [VarCurr] :
      ( v10859(VarCurr)
    <=> ( v8194(VarCurr)
        | v9233(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2656,axiom,(
    ! [VarCurr] :
      ( v10854(VarCurr)
    <=> ( v10855(VarCurr)
        | v10856(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_725,axiom,(
    ! [VarCurr] :
      ( v10856(VarCurr)
    <=> ( ( v4983(VarCurr,bitIndex1)
        <=> $true )
        & ( v4983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_724,axiom,(
    ! [VarCurr] :
      ( v10855(VarCurr)
    <=> ( ( v4983(VarCurr,bitIndex1)
        <=> $true )
        & ( v4983(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_723,axiom,(
    ! [VarCurr] :
      ( v10853(VarCurr)
    <=> ( ( v4983(VarCurr,bitIndex1)
        <=> $false )
        & ( v4983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2655,axiom,(
    ! [VarCurr] :
      ( v10851(VarCurr)
    <=> ( v5307(VarCurr)
        & v10852(VarCurr) ) ) )).

fof(writeUnaryOperator_1369,axiom,(
    ! [VarCurr] :
      ( ~ v10852(VarCurr)
    <=> v8194(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_722,axiom,(
    ! [VarCurr] :
      ( v10850(VarCurr)
    <=> ( ( v4983(VarCurr,bitIndex1)
        <=> $false )
        & ( v4983(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2756,axiom,(
    ! [VarCurr] :
      ( v9233(VarCurr)
    <=> v9235(VarCurr) ) )).

fof(addAssignment_2755,axiom,(
    ! [VarCurr] :
      ( v9235(VarCurr)
    <=> v9237(VarCurr) ) )).

fof(addAssignment_2754,axiom,(
    ! [VarCurr] :
      ( v9237(VarCurr)
    <=> v9239(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2654,axiom,(
    ! [VarCurr] :
      ( v9239(VarCurr)
    <=> ( v10785(VarCurr)
        | v10818(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2653,axiom,(
    ! [VarCurr] :
      ( v10818(VarCurr)
    <=> ( v10819(VarCurr)
        | v10834(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2652,axiom,(
    ! [VarCurr] :
      ( v10834(VarCurr)
    <=> ( v10835(VarCurr)
        | v10842(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2651,axiom,(
    ! [VarCurr] :
      ( v10842(VarCurr)
    <=> ( v10843(VarCurr)
        | v10846(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2650,axiom,(
    ! [VarCurr] :
      ( v10846(VarCurr)
    <=> ( v10847(VarCurr)
        | v10848(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_674,axiom,(
    ! [VarCurr] :
      ( v10848(VarCurr)
    <=> ( v10790(VarCurr,bitIndex62)
        | v10790(VarCurr,bitIndex63) ) ) )).

fof(writeBinaryOperatorShiftedRanges_673,axiom,(
    ! [VarCurr] :
      ( v10847(VarCurr)
    <=> ( v10790(VarCurr,bitIndex60)
        | v10790(VarCurr,bitIndex61) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2649,axiom,(
    ! [VarCurr] :
      ( v10843(VarCurr)
    <=> ( v10844(VarCurr)
        | v10845(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_672,axiom,(
    ! [VarCurr] :
      ( v10845(VarCurr)
    <=> ( v10790(VarCurr,bitIndex58)
        | v10790(VarCurr,bitIndex59) ) ) )).

fof(writeBinaryOperatorShiftedRanges_671,axiom,(
    ! [VarCurr] :
      ( v10844(VarCurr)
    <=> ( v10790(VarCurr,bitIndex56)
        | v10790(VarCurr,bitIndex57) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2648,axiom,(
    ! [VarCurr] :
      ( v10835(VarCurr)
    <=> ( v10836(VarCurr)
        | v10839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2647,axiom,(
    ! [VarCurr] :
      ( v10839(VarCurr)
    <=> ( v10840(VarCurr)
        | v10841(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_670,axiom,(
    ! [VarCurr] :
      ( v10841(VarCurr)
    <=> ( v10790(VarCurr,bitIndex54)
        | v10790(VarCurr,bitIndex55) ) ) )).

fof(writeBinaryOperatorShiftedRanges_669,axiom,(
    ! [VarCurr] :
      ( v10840(VarCurr)
    <=> ( v10790(VarCurr,bitIndex52)
        | v10790(VarCurr,bitIndex53) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2646,axiom,(
    ! [VarCurr] :
      ( v10836(VarCurr)
    <=> ( v10837(VarCurr)
        | v10838(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_668,axiom,(
    ! [VarCurr] :
      ( v10838(VarCurr)
    <=> ( v10790(VarCurr,bitIndex50)
        | v10790(VarCurr,bitIndex51) ) ) )).

fof(writeBinaryOperatorShiftedRanges_667,axiom,(
    ! [VarCurr] :
      ( v10837(VarCurr)
    <=> ( v10790(VarCurr,bitIndex48)
        | v10790(VarCurr,bitIndex49) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2645,axiom,(
    ! [VarCurr] :
      ( v10819(VarCurr)
    <=> ( v10820(VarCurr)
        | v10827(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2644,axiom,(
    ! [VarCurr] :
      ( v10827(VarCurr)
    <=> ( v10828(VarCurr)
        | v10831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2643,axiom,(
    ! [VarCurr] :
      ( v10831(VarCurr)
    <=> ( v10832(VarCurr)
        | v10833(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_666,axiom,(
    ! [VarCurr] :
      ( v10833(VarCurr)
    <=> ( v10790(VarCurr,bitIndex46)
        | v10790(VarCurr,bitIndex47) ) ) )).

fof(writeBinaryOperatorShiftedRanges_665,axiom,(
    ! [VarCurr] :
      ( v10832(VarCurr)
    <=> ( v10790(VarCurr,bitIndex44)
        | v10790(VarCurr,bitIndex45) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2642,axiom,(
    ! [VarCurr] :
      ( v10828(VarCurr)
    <=> ( v10829(VarCurr)
        | v10830(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_664,axiom,(
    ! [VarCurr] :
      ( v10830(VarCurr)
    <=> ( v10790(VarCurr,bitIndex42)
        | v10790(VarCurr,bitIndex43) ) ) )).

fof(writeBinaryOperatorShiftedRanges_663,axiom,(
    ! [VarCurr] :
      ( v10829(VarCurr)
    <=> ( v10790(VarCurr,bitIndex40)
        | v10790(VarCurr,bitIndex41) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2641,axiom,(
    ! [VarCurr] :
      ( v10820(VarCurr)
    <=> ( v10821(VarCurr)
        | v10824(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2640,axiom,(
    ! [VarCurr] :
      ( v10824(VarCurr)
    <=> ( v10825(VarCurr)
        | v10826(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_662,axiom,(
    ! [VarCurr] :
      ( v10826(VarCurr)
    <=> ( v10790(VarCurr,bitIndex38)
        | v10790(VarCurr,bitIndex39) ) ) )).

fof(writeBinaryOperatorShiftedRanges_661,axiom,(
    ! [VarCurr] :
      ( v10825(VarCurr)
    <=> ( v10790(VarCurr,bitIndex36)
        | v10790(VarCurr,bitIndex37) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2639,axiom,(
    ! [VarCurr] :
      ( v10821(VarCurr)
    <=> ( v10822(VarCurr)
        | v10823(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_660,axiom,(
    ! [VarCurr] :
      ( v10823(VarCurr)
    <=> ( v10790(VarCurr,bitIndex34)
        | v10790(VarCurr,bitIndex35) ) ) )).

fof(writeBinaryOperatorShiftedRanges_659,axiom,(
    ! [VarCurr] :
      ( v10822(VarCurr)
    <=> ( v10790(VarCurr,bitIndex32)
        | v10790(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2638,axiom,(
    ! [VarCurr] :
      ( v10785(VarCurr)
    <=> ( v10786(VarCurr)
        | v10803(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2637,axiom,(
    ! [VarCurr] :
      ( v10803(VarCurr)
    <=> ( v10804(VarCurr)
        | v10811(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2636,axiom,(
    ! [VarCurr] :
      ( v10811(VarCurr)
    <=> ( v10812(VarCurr)
        | v10815(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2635,axiom,(
    ! [VarCurr] :
      ( v10815(VarCurr)
    <=> ( v10816(VarCurr)
        | v10817(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_658,axiom,(
    ! [VarCurr] :
      ( v10817(VarCurr)
    <=> ( v10790(VarCurr,bitIndex30)
        | v10790(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_657,axiom,(
    ! [VarCurr] :
      ( v10816(VarCurr)
    <=> ( v10790(VarCurr,bitIndex28)
        | v10790(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2634,axiom,(
    ! [VarCurr] :
      ( v10812(VarCurr)
    <=> ( v10813(VarCurr)
        | v10814(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_656,axiom,(
    ! [VarCurr] :
      ( v10814(VarCurr)
    <=> ( v10790(VarCurr,bitIndex26)
        | v10790(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_655,axiom,(
    ! [VarCurr] :
      ( v10813(VarCurr)
    <=> ( v10790(VarCurr,bitIndex24)
        | v10790(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2633,axiom,(
    ! [VarCurr] :
      ( v10804(VarCurr)
    <=> ( v10805(VarCurr)
        | v10808(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2632,axiom,(
    ! [VarCurr] :
      ( v10808(VarCurr)
    <=> ( v10809(VarCurr)
        | v10810(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_654,axiom,(
    ! [VarCurr] :
      ( v10810(VarCurr)
    <=> ( v10790(VarCurr,bitIndex22)
        | v10790(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_653,axiom,(
    ! [VarCurr] :
      ( v10809(VarCurr)
    <=> ( v10790(VarCurr,bitIndex20)
        | v10790(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2631,axiom,(
    ! [VarCurr] :
      ( v10805(VarCurr)
    <=> ( v10806(VarCurr)
        | v10807(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_652,axiom,(
    ! [VarCurr] :
      ( v10807(VarCurr)
    <=> ( v10790(VarCurr,bitIndex18)
        | v10790(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_651,axiom,(
    ! [VarCurr] :
      ( v10806(VarCurr)
    <=> ( v10790(VarCurr,bitIndex16)
        | v10790(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2630,axiom,(
    ! [VarCurr] :
      ( v10786(VarCurr)
    <=> ( v10787(VarCurr)
        | v10796(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2629,axiom,(
    ! [VarCurr] :
      ( v10796(VarCurr)
    <=> ( v10797(VarCurr)
        | v10800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2628,axiom,(
    ! [VarCurr] :
      ( v10800(VarCurr)
    <=> ( v10801(VarCurr)
        | v10802(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_650,axiom,(
    ! [VarCurr] :
      ( v10802(VarCurr)
    <=> ( v10790(VarCurr,bitIndex14)
        | v10790(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_649,axiom,(
    ! [VarCurr] :
      ( v10801(VarCurr)
    <=> ( v10790(VarCurr,bitIndex12)
        | v10790(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2627,axiom,(
    ! [VarCurr] :
      ( v10797(VarCurr)
    <=> ( v10798(VarCurr)
        | v10799(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_648,axiom,(
    ! [VarCurr] :
      ( v10799(VarCurr)
    <=> ( v10790(VarCurr,bitIndex10)
        | v10790(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_647,axiom,(
    ! [VarCurr] :
      ( v10798(VarCurr)
    <=> ( v10790(VarCurr,bitIndex8)
        | v10790(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2626,axiom,(
    ! [VarCurr] :
      ( v10787(VarCurr)
    <=> ( v10788(VarCurr)
        | v10793(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2625,axiom,(
    ! [VarCurr] :
      ( v10793(VarCurr)
    <=> ( v10794(VarCurr)
        | v10795(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_646,axiom,(
    ! [VarCurr] :
      ( v10795(VarCurr)
    <=> ( v10790(VarCurr,bitIndex6)
        | v10790(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_645,axiom,(
    ! [VarCurr] :
      ( v10794(VarCurr)
    <=> ( v10790(VarCurr,bitIndex4)
        | v10790(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2624,axiom,(
    ! [VarCurr] :
      ( v10788(VarCurr)
    <=> ( v10789(VarCurr)
        | v10792(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_644,axiom,(
    ! [VarCurr] :
      ( v10792(VarCurr)
    <=> ( v10790(VarCurr,bitIndex2)
        | v10790(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_643,axiom,(
    ! [VarCurr] :
      ( v10789(VarCurr)
    <=> ( v10790(VarCurr,bitIndex0)
        | v10790(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_19,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v10790(VarCurr,B)
      <=> ( v9241(VarCurr,B)
          & v10791(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1368,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v10791(VarCurr,B)
      <=> ~ v10627(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_93,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10768(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v10627(VarNext,B)
            <=> v10627(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_96,axiom,(
    ! [VarNext] :
      ( v10768(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v10627(VarNext,B)
          <=> v10776(VarNext,B) ) ) ) )).

fof(addAssignment_2753,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v10776(VarNext,B)
          <=> v10774(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_243,axiom,(
    ! [VarCurr] :
      ( ~ v10777(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v10774(VarCurr,B)
          <=> v10778(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_184,axiom,(
    ! [VarCurr] :
      ( v10777(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v10774(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_242,axiom,(
    ! [VarCurr] :
      ( ~ v10779(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v10778(VarCurr,B)
          <=> v10780(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_183,axiom,(
    ! [VarCurr] :
      ( v10779(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v10778(VarCurr,B)
          <=> v10629(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_18,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v10780(VarCurr,B)
      <=> ( v10627(VarCurr,B)
          | v10629(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1367,axiom,(
    ! [VarCurr] :
      ( ~ v10779(VarCurr)
    <=> v9249(VarCurr) ) )).

fof(writeUnaryOperator_1366,axiom,(
    ! [VarCurr] :
      ( ~ v10777(VarCurr)
    <=> v9247(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2623,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10768(VarNext)
      <=> v10769(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2622,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10769(VarNext)
      <=> ( v10770(VarNext)
          & v9733(VarNext) ) ) ) )).

fof(writeUnaryOperator_1365,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10770(VarNext)
      <=> v9740(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_237,axiom,(
    ! [VarCurr] :
      ( ~ v10765(VarCurr)
     => ( v10629(VarCurr,bitIndex63)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_296,axiom,(
    ! [VarCurr] :
      ( v10765(VarCurr)
     => ( v10629(VarCurr,bitIndex63)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_721,axiom,(
    ! [VarCurr] :
      ( v10765(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_236,axiom,(
    ! [VarCurr] :
      ( ~ v10763(VarCurr)
     => ( v10629(VarCurr,bitIndex62)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_295,axiom,(
    ! [VarCurr] :
      ( v10763(VarCurr)
     => ( v10629(VarCurr,bitIndex62)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_720,axiom,(
    ! [VarCurr] :
      ( v10763(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_235,axiom,(
    ! [VarCurr] :
      ( ~ v10761(VarCurr)
     => ( v10629(VarCurr,bitIndex61)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_294,axiom,(
    ! [VarCurr] :
      ( v10761(VarCurr)
     => ( v10629(VarCurr,bitIndex61)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_719,axiom,(
    ! [VarCurr] :
      ( v10761(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_234,axiom,(
    ! [VarCurr] :
      ( ~ v10759(VarCurr)
     => ( v10629(VarCurr,bitIndex60)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_293,axiom,(
    ! [VarCurr] :
      ( v10759(VarCurr)
     => ( v10629(VarCurr,bitIndex60)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_718,axiom,(
    ! [VarCurr] :
      ( v10759(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_233,axiom,(
    ! [VarCurr] :
      ( ~ v10757(VarCurr)
     => ( v10629(VarCurr,bitIndex59)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_292,axiom,(
    ! [VarCurr] :
      ( v10757(VarCurr)
     => ( v10629(VarCurr,bitIndex59)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_717,axiom,(
    ! [VarCurr] :
      ( v10757(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_232,axiom,(
    ! [VarCurr] :
      ( ~ v10755(VarCurr)
     => ( v10629(VarCurr,bitIndex58)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_291,axiom,(
    ! [VarCurr] :
      ( v10755(VarCurr)
     => ( v10629(VarCurr,bitIndex58)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_716,axiom,(
    ! [VarCurr] :
      ( v10755(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_231,axiom,(
    ! [VarCurr] :
      ( ~ v10753(VarCurr)
     => ( v10629(VarCurr,bitIndex57)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_290,axiom,(
    ! [VarCurr] :
      ( v10753(VarCurr)
     => ( v10629(VarCurr,bitIndex57)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_715,axiom,(
    ! [VarCurr] :
      ( v10753(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_230,axiom,(
    ! [VarCurr] :
      ( ~ v10751(VarCurr)
     => ( v10629(VarCurr,bitIndex56)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_289,axiom,(
    ! [VarCurr] :
      ( v10751(VarCurr)
     => ( v10629(VarCurr,bitIndex56)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_714,axiom,(
    ! [VarCurr] :
      ( v10751(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_229,axiom,(
    ! [VarCurr] :
      ( ~ v10749(VarCurr)
     => ( v10629(VarCurr,bitIndex55)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_288,axiom,(
    ! [VarCurr] :
      ( v10749(VarCurr)
     => ( v10629(VarCurr,bitIndex55)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_713,axiom,(
    ! [VarCurr] :
      ( v10749(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_228,axiom,(
    ! [VarCurr] :
      ( ~ v10747(VarCurr)
     => ( v10629(VarCurr,bitIndex54)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_287,axiom,(
    ! [VarCurr] :
      ( v10747(VarCurr)
     => ( v10629(VarCurr,bitIndex54)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_712,axiom,(
    ! [VarCurr] :
      ( v10747(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_227,axiom,(
    ! [VarCurr] :
      ( ~ v10745(VarCurr)
     => ( v10629(VarCurr,bitIndex53)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_286,axiom,(
    ! [VarCurr] :
      ( v10745(VarCurr)
     => ( v10629(VarCurr,bitIndex53)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_711,axiom,(
    ! [VarCurr] :
      ( v10745(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_226,axiom,(
    ! [VarCurr] :
      ( ~ v10743(VarCurr)
     => ( v10629(VarCurr,bitIndex52)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_285,axiom,(
    ! [VarCurr] :
      ( v10743(VarCurr)
     => ( v10629(VarCurr,bitIndex52)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_710,axiom,(
    ! [VarCurr] :
      ( v10743(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_225,axiom,(
    ! [VarCurr] :
      ( ~ v10741(VarCurr)
     => ( v10629(VarCurr,bitIndex51)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_284,axiom,(
    ! [VarCurr] :
      ( v10741(VarCurr)
     => ( v10629(VarCurr,bitIndex51)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_709,axiom,(
    ! [VarCurr] :
      ( v10741(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_224,axiom,(
    ! [VarCurr] :
      ( ~ v10739(VarCurr)
     => ( v10629(VarCurr,bitIndex50)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_283,axiom,(
    ! [VarCurr] :
      ( v10739(VarCurr)
     => ( v10629(VarCurr,bitIndex50)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_708,axiom,(
    ! [VarCurr] :
      ( v10739(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_223,axiom,(
    ! [VarCurr] :
      ( ~ v10737(VarCurr)
     => ( v10629(VarCurr,bitIndex49)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_282,axiom,(
    ! [VarCurr] :
      ( v10737(VarCurr)
     => ( v10629(VarCurr,bitIndex49)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_707,axiom,(
    ! [VarCurr] :
      ( v10737(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_222,axiom,(
    ! [VarCurr] :
      ( ~ v10735(VarCurr)
     => ( v10629(VarCurr,bitIndex48)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_281,axiom,(
    ! [VarCurr] :
      ( v10735(VarCurr)
     => ( v10629(VarCurr,bitIndex48)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_706,axiom,(
    ! [VarCurr] :
      ( v10735(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_221,axiom,(
    ! [VarCurr] :
      ( ~ v10733(VarCurr)
     => ( v10629(VarCurr,bitIndex47)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_280,axiom,(
    ! [VarCurr] :
      ( v10733(VarCurr)
     => ( v10629(VarCurr,bitIndex47)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_705,axiom,(
    ! [VarCurr] :
      ( v10733(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_220,axiom,(
    ! [VarCurr] :
      ( ~ v10731(VarCurr)
     => ( v10629(VarCurr,bitIndex46)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_279,axiom,(
    ! [VarCurr] :
      ( v10731(VarCurr)
     => ( v10629(VarCurr,bitIndex46)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_704,axiom,(
    ! [VarCurr] :
      ( v10731(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_219,axiom,(
    ! [VarCurr] :
      ( ~ v10729(VarCurr)
     => ( v10629(VarCurr,bitIndex45)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_278,axiom,(
    ! [VarCurr] :
      ( v10729(VarCurr)
     => ( v10629(VarCurr,bitIndex45)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_703,axiom,(
    ! [VarCurr] :
      ( v10729(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_218,axiom,(
    ! [VarCurr] :
      ( ~ v10727(VarCurr)
     => ( v10629(VarCurr,bitIndex44)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_277,axiom,(
    ! [VarCurr] :
      ( v10727(VarCurr)
     => ( v10629(VarCurr,bitIndex44)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_702,axiom,(
    ! [VarCurr] :
      ( v10727(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_217,axiom,(
    ! [VarCurr] :
      ( ~ v10725(VarCurr)
     => ( v10629(VarCurr,bitIndex43)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_276,axiom,(
    ! [VarCurr] :
      ( v10725(VarCurr)
     => ( v10629(VarCurr,bitIndex43)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_701,axiom,(
    ! [VarCurr] :
      ( v10725(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_216,axiom,(
    ! [VarCurr] :
      ( ~ v10723(VarCurr)
     => ( v10629(VarCurr,bitIndex42)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_275,axiom,(
    ! [VarCurr] :
      ( v10723(VarCurr)
     => ( v10629(VarCurr,bitIndex42)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_700,axiom,(
    ! [VarCurr] :
      ( v10723(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_215,axiom,(
    ! [VarCurr] :
      ( ~ v10721(VarCurr)
     => ( v10629(VarCurr,bitIndex41)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_274,axiom,(
    ! [VarCurr] :
      ( v10721(VarCurr)
     => ( v10629(VarCurr,bitIndex41)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_699,axiom,(
    ! [VarCurr] :
      ( v10721(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_214,axiom,(
    ! [VarCurr] :
      ( ~ v10719(VarCurr)
     => ( v10629(VarCurr,bitIndex40)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_273,axiom,(
    ! [VarCurr] :
      ( v10719(VarCurr)
     => ( v10629(VarCurr,bitIndex40)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_698,axiom,(
    ! [VarCurr] :
      ( v10719(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_213,axiom,(
    ! [VarCurr] :
      ( ~ v10717(VarCurr)
     => ( v10629(VarCurr,bitIndex39)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_272,axiom,(
    ! [VarCurr] :
      ( v10717(VarCurr)
     => ( v10629(VarCurr,bitIndex39)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_697,axiom,(
    ! [VarCurr] :
      ( v10717(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_212,axiom,(
    ! [VarCurr] :
      ( ~ v10715(VarCurr)
     => ( v10629(VarCurr,bitIndex38)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_271,axiom,(
    ! [VarCurr] :
      ( v10715(VarCurr)
     => ( v10629(VarCurr,bitIndex38)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_696,axiom,(
    ! [VarCurr] :
      ( v10715(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_211,axiom,(
    ! [VarCurr] :
      ( ~ v10713(VarCurr)
     => ( v10629(VarCurr,bitIndex37)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_270,axiom,(
    ! [VarCurr] :
      ( v10713(VarCurr)
     => ( v10629(VarCurr,bitIndex37)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_695,axiom,(
    ! [VarCurr] :
      ( v10713(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_210,axiom,(
    ! [VarCurr] :
      ( ~ v10711(VarCurr)
     => ( v10629(VarCurr,bitIndex36)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_269,axiom,(
    ! [VarCurr] :
      ( v10711(VarCurr)
     => ( v10629(VarCurr,bitIndex36)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_694,axiom,(
    ! [VarCurr] :
      ( v10711(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_209,axiom,(
    ! [VarCurr] :
      ( ~ v10709(VarCurr)
     => ( v10629(VarCurr,bitIndex35)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_268,axiom,(
    ! [VarCurr] :
      ( v10709(VarCurr)
     => ( v10629(VarCurr,bitIndex35)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_693,axiom,(
    ! [VarCurr] :
      ( v10709(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_208,axiom,(
    ! [VarCurr] :
      ( ~ v10707(VarCurr)
     => ( v10629(VarCurr,bitIndex34)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_267,axiom,(
    ! [VarCurr] :
      ( v10707(VarCurr)
     => ( v10629(VarCurr,bitIndex34)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_692,axiom,(
    ! [VarCurr] :
      ( v10707(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_207,axiom,(
    ! [VarCurr] :
      ( ~ v10705(VarCurr)
     => ( v10629(VarCurr,bitIndex33)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_266,axiom,(
    ! [VarCurr] :
      ( v10705(VarCurr)
     => ( v10629(VarCurr,bitIndex33)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_691,axiom,(
    ! [VarCurr] :
      ( v10705(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_206,axiom,(
    ! [VarCurr] :
      ( ~ v10703(VarCurr)
     => ( v10629(VarCurr,bitIndex32)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_265,axiom,(
    ! [VarCurr] :
      ( v10703(VarCurr)
     => ( v10629(VarCurr,bitIndex32)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_690,axiom,(
    ! [VarCurr] :
      ( v10703(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_205,axiom,(
    ! [VarCurr] :
      ( ~ v10701(VarCurr)
     => ( v10629(VarCurr,bitIndex31)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_264,axiom,(
    ! [VarCurr] :
      ( v10701(VarCurr)
     => ( v10629(VarCurr,bitIndex31)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_689,axiom,(
    ! [VarCurr] :
      ( v10701(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_204,axiom,(
    ! [VarCurr] :
      ( ~ v10699(VarCurr)
     => ( v10629(VarCurr,bitIndex30)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_263,axiom,(
    ! [VarCurr] :
      ( v10699(VarCurr)
     => ( v10629(VarCurr,bitIndex30)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_688,axiom,(
    ! [VarCurr] :
      ( v10699(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_203,axiom,(
    ! [VarCurr] :
      ( ~ v10697(VarCurr)
     => ( v10629(VarCurr,bitIndex29)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_262,axiom,(
    ! [VarCurr] :
      ( v10697(VarCurr)
     => ( v10629(VarCurr,bitIndex29)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_687,axiom,(
    ! [VarCurr] :
      ( v10697(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_202,axiom,(
    ! [VarCurr] :
      ( ~ v10695(VarCurr)
     => ( v10629(VarCurr,bitIndex28)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_261,axiom,(
    ! [VarCurr] :
      ( v10695(VarCurr)
     => ( v10629(VarCurr,bitIndex28)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_686,axiom,(
    ! [VarCurr] :
      ( v10695(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_201,axiom,(
    ! [VarCurr] :
      ( ~ v10693(VarCurr)
     => ( v10629(VarCurr,bitIndex27)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_260,axiom,(
    ! [VarCurr] :
      ( v10693(VarCurr)
     => ( v10629(VarCurr,bitIndex27)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_685,axiom,(
    ! [VarCurr] :
      ( v10693(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_200,axiom,(
    ! [VarCurr] :
      ( ~ v10691(VarCurr)
     => ( v10629(VarCurr,bitIndex26)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_259,axiom,(
    ! [VarCurr] :
      ( v10691(VarCurr)
     => ( v10629(VarCurr,bitIndex26)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_684,axiom,(
    ! [VarCurr] :
      ( v10691(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_199,axiom,(
    ! [VarCurr] :
      ( ~ v10689(VarCurr)
     => ( v10629(VarCurr,bitIndex25)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_258,axiom,(
    ! [VarCurr] :
      ( v10689(VarCurr)
     => ( v10629(VarCurr,bitIndex25)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_683,axiom,(
    ! [VarCurr] :
      ( v10689(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_198,axiom,(
    ! [VarCurr] :
      ( ~ v10687(VarCurr)
     => ( v10629(VarCurr,bitIndex24)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_257,axiom,(
    ! [VarCurr] :
      ( v10687(VarCurr)
     => ( v10629(VarCurr,bitIndex24)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_682,axiom,(
    ! [VarCurr] :
      ( v10687(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_197,axiom,(
    ! [VarCurr] :
      ( ~ v10685(VarCurr)
     => ( v10629(VarCurr,bitIndex23)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_256,axiom,(
    ! [VarCurr] :
      ( v10685(VarCurr)
     => ( v10629(VarCurr,bitIndex23)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_681,axiom,(
    ! [VarCurr] :
      ( v10685(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_196,axiom,(
    ! [VarCurr] :
      ( ~ v10683(VarCurr)
     => ( v10629(VarCurr,bitIndex22)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_255,axiom,(
    ! [VarCurr] :
      ( v10683(VarCurr)
     => ( v10629(VarCurr,bitIndex22)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_680,axiom,(
    ! [VarCurr] :
      ( v10683(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_195,axiom,(
    ! [VarCurr] :
      ( ~ v10681(VarCurr)
     => ( v10629(VarCurr,bitIndex21)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_254,axiom,(
    ! [VarCurr] :
      ( v10681(VarCurr)
     => ( v10629(VarCurr,bitIndex21)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_679,axiom,(
    ! [VarCurr] :
      ( v10681(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_194,axiom,(
    ! [VarCurr] :
      ( ~ v10679(VarCurr)
     => ( v10629(VarCurr,bitIndex20)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_253,axiom,(
    ! [VarCurr] :
      ( v10679(VarCurr)
     => ( v10629(VarCurr,bitIndex20)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_678,axiom,(
    ! [VarCurr] :
      ( v10679(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_193,axiom,(
    ! [VarCurr] :
      ( ~ v10677(VarCurr)
     => ( v10629(VarCurr,bitIndex19)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_252,axiom,(
    ! [VarCurr] :
      ( v10677(VarCurr)
     => ( v10629(VarCurr,bitIndex19)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_677,axiom,(
    ! [VarCurr] :
      ( v10677(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_192,axiom,(
    ! [VarCurr] :
      ( ~ v10675(VarCurr)
     => ( v10629(VarCurr,bitIndex18)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_251,axiom,(
    ! [VarCurr] :
      ( v10675(VarCurr)
     => ( v10629(VarCurr,bitIndex18)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_676,axiom,(
    ! [VarCurr] :
      ( v10675(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_191,axiom,(
    ! [VarCurr] :
      ( ~ v10673(VarCurr)
     => ( v10629(VarCurr,bitIndex17)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_250,axiom,(
    ! [VarCurr] :
      ( v10673(VarCurr)
     => ( v10629(VarCurr,bitIndex17)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_675,axiom,(
    ! [VarCurr] :
      ( v10673(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_190,axiom,(
    ! [VarCurr] :
      ( ~ v10671(VarCurr)
     => ( v10629(VarCurr,bitIndex16)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_249,axiom,(
    ! [VarCurr] :
      ( v10671(VarCurr)
     => ( v10629(VarCurr,bitIndex16)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_674,axiom,(
    ! [VarCurr] :
      ( v10671(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_189,axiom,(
    ! [VarCurr] :
      ( ~ v10669(VarCurr)
     => ( v10629(VarCurr,bitIndex15)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_248,axiom,(
    ! [VarCurr] :
      ( v10669(VarCurr)
     => ( v10629(VarCurr,bitIndex15)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_673,axiom,(
    ! [VarCurr] :
      ( v10669(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_188,axiom,(
    ! [VarCurr] :
      ( ~ v10667(VarCurr)
     => ( v10629(VarCurr,bitIndex14)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_247,axiom,(
    ! [VarCurr] :
      ( v10667(VarCurr)
     => ( v10629(VarCurr,bitIndex14)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_672,axiom,(
    ! [VarCurr] :
      ( v10667(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_187,axiom,(
    ! [VarCurr] :
      ( ~ v10665(VarCurr)
     => ( v10629(VarCurr,bitIndex13)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_246,axiom,(
    ! [VarCurr] :
      ( v10665(VarCurr)
     => ( v10629(VarCurr,bitIndex13)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_671,axiom,(
    ! [VarCurr] :
      ( v10665(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_186,axiom,(
    ! [VarCurr] :
      ( ~ v10663(VarCurr)
     => ( v10629(VarCurr,bitIndex12)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_245,axiom,(
    ! [VarCurr] :
      ( v10663(VarCurr)
     => ( v10629(VarCurr,bitIndex12)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_670,axiom,(
    ! [VarCurr] :
      ( v10663(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_185,axiom,(
    ! [VarCurr] :
      ( ~ v10661(VarCurr)
     => ( v10629(VarCurr,bitIndex11)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_244,axiom,(
    ! [VarCurr] :
      ( v10661(VarCurr)
     => ( v10629(VarCurr,bitIndex11)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_669,axiom,(
    ! [VarCurr] :
      ( v10661(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_184,axiom,(
    ! [VarCurr] :
      ( ~ v10659(VarCurr)
     => ( v10629(VarCurr,bitIndex10)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_243,axiom,(
    ! [VarCurr] :
      ( v10659(VarCurr)
     => ( v10629(VarCurr,bitIndex10)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_668,axiom,(
    ! [VarCurr] :
      ( v10659(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_183,axiom,(
    ! [VarCurr] :
      ( ~ v10657(VarCurr)
     => ( v10629(VarCurr,bitIndex9)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_242,axiom,(
    ! [VarCurr] :
      ( v10657(VarCurr)
     => ( v10629(VarCurr,bitIndex9)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_667,axiom,(
    ! [VarCurr] :
      ( v10657(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_182,axiom,(
    ! [VarCurr] :
      ( ~ v10655(VarCurr)
     => ( v10629(VarCurr,bitIndex8)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_241,axiom,(
    ! [VarCurr] :
      ( v10655(VarCurr)
     => ( v10629(VarCurr,bitIndex8)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_666,axiom,(
    ! [VarCurr] :
      ( v10655(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_181,axiom,(
    ! [VarCurr] :
      ( ~ v10653(VarCurr)
     => ( v10629(VarCurr,bitIndex7)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_240,axiom,(
    ! [VarCurr] :
      ( v10653(VarCurr)
     => ( v10629(VarCurr,bitIndex7)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_665,axiom,(
    ! [VarCurr] :
      ( v10653(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_180,axiom,(
    ! [VarCurr] :
      ( ~ v10651(VarCurr)
     => ( v10629(VarCurr,bitIndex6)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_239,axiom,(
    ! [VarCurr] :
      ( v10651(VarCurr)
     => ( v10629(VarCurr,bitIndex6)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_664,axiom,(
    ! [VarCurr] :
      ( v10651(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_179,axiom,(
    ! [VarCurr] :
      ( ~ v10649(VarCurr)
     => ( v10629(VarCurr,bitIndex5)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_238,axiom,(
    ! [VarCurr] :
      ( v10649(VarCurr)
     => ( v10629(VarCurr,bitIndex5)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_663,axiom,(
    ! [VarCurr] :
      ( v10649(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_178,axiom,(
    ! [VarCurr] :
      ( ~ v10647(VarCurr)
     => ( v10629(VarCurr,bitIndex4)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_237,axiom,(
    ! [VarCurr] :
      ( v10647(VarCurr)
     => ( v10629(VarCurr,bitIndex4)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_662,axiom,(
    ! [VarCurr] :
      ( v10647(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_177,axiom,(
    ! [VarCurr] :
      ( ~ v10645(VarCurr)
     => ( v10629(VarCurr,bitIndex3)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_236,axiom,(
    ! [VarCurr] :
      ( v10645(VarCurr)
     => ( v10629(VarCurr,bitIndex3)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_661,axiom,(
    ! [VarCurr] :
      ( v10645(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_176,axiom,(
    ! [VarCurr] :
      ( ~ v10643(VarCurr)
     => ( v10629(VarCurr,bitIndex2)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_235,axiom,(
    ! [VarCurr] :
      ( v10643(VarCurr)
     => ( v10629(VarCurr,bitIndex2)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_660,axiom,(
    ! [VarCurr] :
      ( v10643(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_175,axiom,(
    ! [VarCurr] :
      ( ~ v10641(VarCurr)
     => ( v10629(VarCurr,bitIndex1)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_234,axiom,(
    ! [VarCurr] :
      ( v10641(VarCurr)
     => ( v10629(VarCurr,bitIndex1)
      <=> v10631(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_659,axiom,(
    ! [VarCurr] :
      ( v10641(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_241,axiom,(
    ! [VarCurr] :
      ( ~ v10638(VarCurr)
     => ( v10629(VarCurr,bitIndex0)
      <=> v10639(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_182,axiom,(
    ! [VarCurr] :
      ( v10638(VarCurr)
     => ( v10629(VarCurr,bitIndex0)
      <=> v10631(VarCurr) ) ) )).

fof(writeUnaryOperator_1364,axiom,(
    ! [VarCurr] :
      ( ~ v10639(VarCurr)
    <=> v9247(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_658,axiom,(
    ! [VarCurr] :
      ( v10638(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2621,axiom,(
    ! [VarCurr] :
      ( v10631(VarCurr)
    <=> ( v10633(VarCurr)
        | v10636(VarCurr) ) ) )).

fof(writeUnaryOperator_1363,axiom,(
    ! [VarCurr] :
      ( ~ v10636(VarCurr)
    <=> v9247(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2620,axiom,(
    ! [VarCurr] :
      ( v10633(VarCurr)
    <=> ( v9322(VarCurr)
        | v9355(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_17,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9241(VarCurr,B)
      <=> ( v9243(VarCurr,B)
          & v9257(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_16,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9243(VarCurr,B)
      <=> ( v9245(VarCurr,B)
          & v9771(VarCurr,B) ) ) ) )).

fof(addAssignment_2752,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9771(VarCurr,B)
      <=> v9773(VarCurr,B) ) ) )).

fof(addAssignment_2751,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9773(VarCurr,B)
      <=> v9775(VarCurr,B) ) ) )).

fof(addAssignment_2750,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9775(VarCurr,B)
      <=> v9777(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_240,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10616(VarNext)
       => ( v9777(VarNext,bitIndex63)
        <=> v9777(VarCurr,bitIndex63) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_233,axiom,(
    ! [VarNext] :
      ( v10616(VarNext)
     => ( v9777(VarNext,bitIndex63)
      <=> v10618(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2619,axiom,(
    ! [VarCurr] :
      ( v10618(VarCurr)
    <=> ( v9779(VarCurr)
        & v10619(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_657,axiom,(
    ! [VarCurr] :
      ( v10619(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex32) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex31) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex30) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex29) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex28) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex27) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex26) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex25) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex24) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex23) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex22) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex21) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex20) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex19) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex18) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex17) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex16) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex15) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex14) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex13) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex12) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex11) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex10) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex9) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex8) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex7) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex6) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex5) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex4) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex3) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex2) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2618,axiom,(
    ! [VarCurr] :
      ( v10616(VarCurr)
    <=> ( v10617(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1362,axiom,(
    ! [VarCurr] :
      ( ~ v10617(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10606(VarNext)
       => ( v9777(VarNext,bitIndex62)
        <=> v9777(VarCurr,bitIndex62) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_232,axiom,(
    ! [VarNext] :
      ( v10606(VarNext)
     => ( v9777(VarNext,bitIndex62)
      <=> v10608(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2617,axiom,(
    ! [VarCurr] :
      ( v10608(VarCurr)
    <=> ( v9779(VarCurr)
        & v10609(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_656,axiom,(
    ! [VarCurr] :
      ( v10609(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex65) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex64) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex63) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex62) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex61) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex60) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex59) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex58) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex57) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex56) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex55) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex54) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex53) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex52) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex51) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex50) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex49) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex48) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex47) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex46) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex45) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex44) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex43) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex42) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex41) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex40) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex39) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex38) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex37) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex36) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex35) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex34) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex33) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2616,axiom,(
    ! [VarCurr] :
      ( v10606(VarCurr)
    <=> ( v10607(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1361,axiom,(
    ! [VarCurr] :
      ( ~ v10607(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10596(VarNext)
       => ( v9777(VarNext,bitIndex61)
        <=> v9777(VarCurr,bitIndex61) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_231,axiom,(
    ! [VarNext] :
      ( v10596(VarNext)
     => ( v9777(VarNext,bitIndex61)
      <=> v10598(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2615,axiom,(
    ! [VarCurr] :
      ( v10598(VarCurr)
    <=> ( v9779(VarCurr)
        & v10599(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_655,axiom,(
    ! [VarCurr] :
      ( v10599(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex98) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex97) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex96) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex95) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex94) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex93) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex92) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex91) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex90) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex89) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex88) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex87) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex86) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex85) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex84) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex83) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex82) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex81) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex80) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex79) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex78) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex77) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex76) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex75) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex74) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex73) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex72) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex71) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex70) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex69) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex68) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex67) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex66) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2614,axiom,(
    ! [VarCurr] :
      ( v10596(VarCurr)
    <=> ( v10597(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1360,axiom,(
    ! [VarCurr] :
      ( ~ v10597(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10586(VarNext)
       => ( v9777(VarNext,bitIndex60)
        <=> v9777(VarCurr,bitIndex60) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_230,axiom,(
    ! [VarNext] :
      ( v10586(VarNext)
     => ( v9777(VarNext,bitIndex60)
      <=> v10588(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2613,axiom,(
    ! [VarCurr] :
      ( v10588(VarCurr)
    <=> ( v9779(VarCurr)
        & v10589(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_654,axiom,(
    ! [VarCurr] :
      ( v10589(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex131) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex130) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex129) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex128) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex127) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex126) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex125) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex124) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex123) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex122) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex121) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex120) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex119) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex118) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex117) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex116) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex115) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex114) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex113) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex112) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex111) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex110) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex109) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex108) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex107) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex106) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex105) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex104) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex103) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex102) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex101) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex100) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex99) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2612,axiom,(
    ! [VarCurr] :
      ( v10586(VarCurr)
    <=> ( v10587(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1359,axiom,(
    ! [VarCurr] :
      ( ~ v10587(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_236,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10576(VarNext)
       => ( v9777(VarNext,bitIndex59)
        <=> v9777(VarCurr,bitIndex59) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_229,axiom,(
    ! [VarNext] :
      ( v10576(VarNext)
     => ( v9777(VarNext,bitIndex59)
      <=> v10578(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2611,axiom,(
    ! [VarCurr] :
      ( v10578(VarCurr)
    <=> ( v9779(VarCurr)
        & v10579(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_653,axiom,(
    ! [VarCurr] :
      ( v10579(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex164) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex163) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex162) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex161) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex160) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex159) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex158) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex157) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex156) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex155) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex154) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex153) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex152) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex151) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex150) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex149) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex148) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex147) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex146) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex145) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex144) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex143) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex142) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex141) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex140) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex139) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex138) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex137) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex136) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex135) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex134) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex133) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex132) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2610,axiom,(
    ! [VarCurr] :
      ( v10576(VarCurr)
    <=> ( v10577(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1358,axiom,(
    ! [VarCurr] :
      ( ~ v10577(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_235,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10566(VarNext)
       => ( v9777(VarNext,bitIndex58)
        <=> v9777(VarCurr,bitIndex58) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_228,axiom,(
    ! [VarNext] :
      ( v10566(VarNext)
     => ( v9777(VarNext,bitIndex58)
      <=> v10568(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2609,axiom,(
    ! [VarCurr] :
      ( v10568(VarCurr)
    <=> ( v9779(VarCurr)
        & v10569(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_652,axiom,(
    ! [VarCurr] :
      ( v10569(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex197) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex196) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex195) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex194) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex193) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex192) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex191) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex190) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex189) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex188) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex187) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex186) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex185) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex184) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex183) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex182) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex181) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex180) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex179) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex178) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex177) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex176) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex175) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex174) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex173) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex172) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex171) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex170) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex169) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex168) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex167) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex166) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex165) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2608,axiom,(
    ! [VarCurr] :
      ( v10566(VarCurr)
    <=> ( v10567(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1357,axiom,(
    ! [VarCurr] :
      ( ~ v10567(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_234,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10556(VarNext)
       => ( v9777(VarNext,bitIndex57)
        <=> v9777(VarCurr,bitIndex57) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_227,axiom,(
    ! [VarNext] :
      ( v10556(VarNext)
     => ( v9777(VarNext,bitIndex57)
      <=> v10558(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2607,axiom,(
    ! [VarCurr] :
      ( v10558(VarCurr)
    <=> ( v9779(VarCurr)
        & v10559(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_651,axiom,(
    ! [VarCurr] :
      ( v10559(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex230) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex229) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex228) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex227) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex226) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex225) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex224) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex223) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex222) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex221) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex220) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex219) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex218) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex217) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex216) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex215) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex214) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex213) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex212) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex211) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex210) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex209) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex208) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex207) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex206) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex205) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex204) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex203) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex202) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex201) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex200) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex199) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex198) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2606,axiom,(
    ! [VarCurr] :
      ( v10556(VarCurr)
    <=> ( v10557(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1356,axiom,(
    ! [VarCurr] :
      ( ~ v10557(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_233,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10546(VarNext)
       => ( v9777(VarNext,bitIndex56)
        <=> v9777(VarCurr,bitIndex56) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_226,axiom,(
    ! [VarNext] :
      ( v10546(VarNext)
     => ( v9777(VarNext,bitIndex56)
      <=> v10548(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2605,axiom,(
    ! [VarCurr] :
      ( v10548(VarCurr)
    <=> ( v9779(VarCurr)
        & v10549(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_650,axiom,(
    ! [VarCurr] :
      ( v10549(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex263) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex262) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex261) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex260) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex259) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex258) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex257) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex256) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex255) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex254) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex253) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex252) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex251) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex250) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex249) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex248) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex247) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex246) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex245) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex244) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex243) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex242) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex241) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex240) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex239) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex238) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex237) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex236) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex235) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex234) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex233) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex232) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex231) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2604,axiom,(
    ! [VarCurr] :
      ( v10546(VarCurr)
    <=> ( v10547(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1355,axiom,(
    ! [VarCurr] :
      ( ~ v10547(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10536(VarNext)
       => ( v9777(VarNext,bitIndex55)
        <=> v9777(VarCurr,bitIndex55) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_225,axiom,(
    ! [VarNext] :
      ( v10536(VarNext)
     => ( v9777(VarNext,bitIndex55)
      <=> v10538(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2603,axiom,(
    ! [VarCurr] :
      ( v10538(VarCurr)
    <=> ( v9779(VarCurr)
        & v10539(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_649,axiom,(
    ! [VarCurr] :
      ( v10539(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex296) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex295) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex294) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex293) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex292) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex291) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex290) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex289) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex288) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex287) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex286) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex285) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex284) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex283) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex282) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex281) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex280) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex279) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex278) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex277) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex276) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex275) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex274) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex273) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex272) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex271) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex270) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex269) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex268) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex267) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex266) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex265) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex264) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2602,axiom,(
    ! [VarCurr] :
      ( v10536(VarCurr)
    <=> ( v10537(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1354,axiom,(
    ! [VarCurr] :
      ( ~ v10537(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10526(VarNext)
       => ( v9777(VarNext,bitIndex54)
        <=> v9777(VarCurr,bitIndex54) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_224,axiom,(
    ! [VarNext] :
      ( v10526(VarNext)
     => ( v9777(VarNext,bitIndex54)
      <=> v10528(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2601,axiom,(
    ! [VarCurr] :
      ( v10528(VarCurr)
    <=> ( v9779(VarCurr)
        & v10529(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_648,axiom,(
    ! [VarCurr] :
      ( v10529(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex329) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex328) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex327) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex326) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex325) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex324) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex323) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex322) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex321) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex320) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex319) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex318) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex317) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex316) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex315) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex314) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex313) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex312) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex311) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex310) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex309) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex308) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex307) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex306) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex305) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex304) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex303) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex302) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex301) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex300) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex299) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex298) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex297) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2600,axiom,(
    ! [VarCurr] :
      ( v10526(VarCurr)
    <=> ( v10527(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1353,axiom,(
    ! [VarCurr] :
      ( ~ v10527(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_230,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10516(VarNext)
       => ( v9777(VarNext,bitIndex53)
        <=> v9777(VarCurr,bitIndex53) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_223,axiom,(
    ! [VarNext] :
      ( v10516(VarNext)
     => ( v9777(VarNext,bitIndex53)
      <=> v10518(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2599,axiom,(
    ! [VarCurr] :
      ( v10518(VarCurr)
    <=> ( v9779(VarCurr)
        & v10519(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_647,axiom,(
    ! [VarCurr] :
      ( v10519(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex362) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex361) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex360) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex359) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex358) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex357) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex356) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex355) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex354) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex353) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex352) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex351) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex350) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex349) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex348) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex347) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex346) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex345) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex344) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex343) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex342) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex341) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex340) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex339) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex338) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex337) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex336) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex335) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex334) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex333) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex332) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex331) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex330) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2598,axiom,(
    ! [VarCurr] :
      ( v10516(VarCurr)
    <=> ( v10517(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1352,axiom,(
    ! [VarCurr] :
      ( ~ v10517(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_229,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10506(VarNext)
       => ( v9777(VarNext,bitIndex52)
        <=> v9777(VarCurr,bitIndex52) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_222,axiom,(
    ! [VarNext] :
      ( v10506(VarNext)
     => ( v9777(VarNext,bitIndex52)
      <=> v10508(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2597,axiom,(
    ! [VarCurr] :
      ( v10508(VarCurr)
    <=> ( v9779(VarCurr)
        & v10509(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_646,axiom,(
    ! [VarCurr] :
      ( v10509(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex395) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex394) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex393) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex392) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex391) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex390) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex389) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex388) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex387) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex386) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex385) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex384) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex383) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex382) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex381) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex380) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex379) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex378) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex377) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex376) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex375) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex374) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex373) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex372) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex371) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex370) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex369) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex368) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex367) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex366) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex365) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex364) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex363) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2596,axiom,(
    ! [VarCurr] :
      ( v10506(VarCurr)
    <=> ( v10507(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1351,axiom,(
    ! [VarCurr] :
      ( ~ v10507(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_228,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10496(VarNext)
       => ( v9777(VarNext,bitIndex51)
        <=> v9777(VarCurr,bitIndex51) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_221,axiom,(
    ! [VarNext] :
      ( v10496(VarNext)
     => ( v9777(VarNext,bitIndex51)
      <=> v10498(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2595,axiom,(
    ! [VarCurr] :
      ( v10498(VarCurr)
    <=> ( v9779(VarCurr)
        & v10499(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_645,axiom,(
    ! [VarCurr] :
      ( v10499(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex428) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex427) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex426) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex425) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex424) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex423) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex422) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex421) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex420) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex419) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex418) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex417) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex416) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex415) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex414) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex413) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex412) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex411) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex410) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex409) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex408) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex407) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex406) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex405) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex404) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex403) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex402) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex401) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex400) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex399) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex398) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex397) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex396) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2594,axiom,(
    ! [VarCurr] :
      ( v10496(VarCurr)
    <=> ( v10497(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1350,axiom,(
    ! [VarCurr] :
      ( ~ v10497(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_227,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10486(VarNext)
       => ( v9777(VarNext,bitIndex50)
        <=> v9777(VarCurr,bitIndex50) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_220,axiom,(
    ! [VarNext] :
      ( v10486(VarNext)
     => ( v9777(VarNext,bitIndex50)
      <=> v10488(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2593,axiom,(
    ! [VarCurr] :
      ( v10488(VarCurr)
    <=> ( v9779(VarCurr)
        & v10489(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_644,axiom,(
    ! [VarCurr] :
      ( v10489(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex461) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex460) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex459) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex458) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex457) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex456) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex455) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex454) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex453) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex452) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex451) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex450) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex449) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex448) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex447) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex446) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex445) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex444) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex443) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex442) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex441) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex440) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex439) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex438) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex437) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex436) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex435) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex434) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex433) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex432) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex431) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex430) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex429) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2592,axiom,(
    ! [VarCurr] :
      ( v10486(VarCurr)
    <=> ( v10487(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1349,axiom,(
    ! [VarCurr] :
      ( ~ v10487(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_226,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10476(VarNext)
       => ( v9777(VarNext,bitIndex49)
        <=> v9777(VarCurr,bitIndex49) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_219,axiom,(
    ! [VarNext] :
      ( v10476(VarNext)
     => ( v9777(VarNext,bitIndex49)
      <=> v10478(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2591,axiom,(
    ! [VarCurr] :
      ( v10478(VarCurr)
    <=> ( v9779(VarCurr)
        & v10479(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_643,axiom,(
    ! [VarCurr] :
      ( v10479(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex494) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex493) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex492) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex491) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex490) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex489) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex488) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex487) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex486) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex485) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex484) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex483) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex482) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex481) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex480) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex479) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex478) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex477) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex476) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex475) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex474) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex473) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex472) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex471) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex470) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex469) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex468) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex467) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex466) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex465) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex464) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex463) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex462) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2590,axiom,(
    ! [VarCurr] :
      ( v10476(VarCurr)
    <=> ( v10477(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1348,axiom,(
    ! [VarCurr] :
      ( ~ v10477(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_225,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10466(VarNext)
       => ( v9777(VarNext,bitIndex48)
        <=> v9777(VarCurr,bitIndex48) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_218,axiom,(
    ! [VarNext] :
      ( v10466(VarNext)
     => ( v9777(VarNext,bitIndex48)
      <=> v10468(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2589,axiom,(
    ! [VarCurr] :
      ( v10468(VarCurr)
    <=> ( v9779(VarCurr)
        & v10469(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_642,axiom,(
    ! [VarCurr] :
      ( v10469(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex527) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex526) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex525) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex524) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex523) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex522) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex521) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex520) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex519) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex518) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex517) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex516) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex515) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex514) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex513) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex512) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex511) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex510) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex509) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex508) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex507) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex506) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex505) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex504) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex503) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex502) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex501) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex500) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex499) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex498) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex497) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex496) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex495) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2588,axiom,(
    ! [VarCurr] :
      ( v10466(VarCurr)
    <=> ( v10467(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1347,axiom,(
    ! [VarCurr] :
      ( ~ v10467(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_224,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10456(VarNext)
       => ( v9777(VarNext,bitIndex47)
        <=> v9777(VarCurr,bitIndex47) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_217,axiom,(
    ! [VarNext] :
      ( v10456(VarNext)
     => ( v9777(VarNext,bitIndex47)
      <=> v10458(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2587,axiom,(
    ! [VarCurr] :
      ( v10458(VarCurr)
    <=> ( v9779(VarCurr)
        & v10459(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_641,axiom,(
    ! [VarCurr] :
      ( v10459(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex560) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex559) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex558) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex557) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex556) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex555) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex554) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex553) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex552) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex551) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex550) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex549) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex548) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex547) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex546) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex545) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex544) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex543) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex542) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex541) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex540) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex539) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex538) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex537) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex536) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex535) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex534) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex533) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex532) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex531) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex530) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex529) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex528) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2586,axiom,(
    ! [VarCurr] :
      ( v10456(VarCurr)
    <=> ( v10457(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1346,axiom,(
    ! [VarCurr] :
      ( ~ v10457(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_223,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10446(VarNext)
       => ( v9777(VarNext,bitIndex46)
        <=> v9777(VarCurr,bitIndex46) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_216,axiom,(
    ! [VarNext] :
      ( v10446(VarNext)
     => ( v9777(VarNext,bitIndex46)
      <=> v10448(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2585,axiom,(
    ! [VarCurr] :
      ( v10448(VarCurr)
    <=> ( v9779(VarCurr)
        & v10449(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_640,axiom,(
    ! [VarCurr] :
      ( v10449(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex593) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex592) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex591) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex590) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex589) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex588) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex587) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex586) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex585) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex584) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex583) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex582) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex581) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex580) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex579) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex578) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex577) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex576) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex575) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex574) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex573) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex572) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex571) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex570) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex569) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex568) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex567) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex566) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex565) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex564) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex563) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex562) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex561) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2584,axiom,(
    ! [VarCurr] :
      ( v10446(VarCurr)
    <=> ( v10447(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1345,axiom,(
    ! [VarCurr] :
      ( ~ v10447(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10436(VarNext)
       => ( v9777(VarNext,bitIndex45)
        <=> v9777(VarCurr,bitIndex45) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_215,axiom,(
    ! [VarNext] :
      ( v10436(VarNext)
     => ( v9777(VarNext,bitIndex45)
      <=> v10438(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2583,axiom,(
    ! [VarCurr] :
      ( v10438(VarCurr)
    <=> ( v9779(VarCurr)
        & v10439(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_639,axiom,(
    ! [VarCurr] :
      ( v10439(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex626) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex625) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex624) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex623) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex622) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex621) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex620) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex619) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex618) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex617) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex616) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex615) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex614) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex613) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex612) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex611) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex610) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex609) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex608) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex607) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex606) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex605) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex604) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex603) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex602) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex601) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex600) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex599) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex598) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex597) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex596) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex595) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex594) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2582,axiom,(
    ! [VarCurr] :
      ( v10436(VarCurr)
    <=> ( v10437(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1344,axiom,(
    ! [VarCurr] :
      ( ~ v10437(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_221,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10426(VarNext)
       => ( v9777(VarNext,bitIndex44)
        <=> v9777(VarCurr,bitIndex44) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_214,axiom,(
    ! [VarNext] :
      ( v10426(VarNext)
     => ( v9777(VarNext,bitIndex44)
      <=> v10428(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2581,axiom,(
    ! [VarCurr] :
      ( v10428(VarCurr)
    <=> ( v9779(VarCurr)
        & v10429(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_638,axiom,(
    ! [VarCurr] :
      ( v10429(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex659) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex658) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex657) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex656) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex655) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex654) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex653) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex652) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex651) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex650) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex649) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex648) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex647) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex646) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex645) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex644) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex643) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex642) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex641) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex640) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex639) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex638) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex637) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex636) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex635) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex634) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex633) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex632) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex631) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex630) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex629) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex628) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex627) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2580,axiom,(
    ! [VarCurr] :
      ( v10426(VarCurr)
    <=> ( v10427(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1343,axiom,(
    ! [VarCurr] :
      ( ~ v10427(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10416(VarNext)
       => ( v9777(VarNext,bitIndex43)
        <=> v9777(VarCurr,bitIndex43) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_213,axiom,(
    ! [VarNext] :
      ( v10416(VarNext)
     => ( v9777(VarNext,bitIndex43)
      <=> v10418(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2579,axiom,(
    ! [VarCurr] :
      ( v10418(VarCurr)
    <=> ( v9779(VarCurr)
        & v10419(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_637,axiom,(
    ! [VarCurr] :
      ( v10419(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex692) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex691) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex690) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex689) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex688) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex687) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex686) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex685) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex684) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex683) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex682) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex681) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex680) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex679) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex678) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex677) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex676) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex675) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex674) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex673) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex672) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex671) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex670) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex669) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex668) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex667) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex666) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex665) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex664) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex663) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex662) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex661) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex660) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2578,axiom,(
    ! [VarCurr] :
      ( v10416(VarCurr)
    <=> ( v10417(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1342,axiom,(
    ! [VarCurr] :
      ( ~ v10417(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_219,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10406(VarNext)
       => ( v9777(VarNext,bitIndex42)
        <=> v9777(VarCurr,bitIndex42) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_212,axiom,(
    ! [VarNext] :
      ( v10406(VarNext)
     => ( v9777(VarNext,bitIndex42)
      <=> v10408(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2577,axiom,(
    ! [VarCurr] :
      ( v10408(VarCurr)
    <=> ( v9779(VarCurr)
        & v10409(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_636,axiom,(
    ! [VarCurr] :
      ( v10409(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex725) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex724) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex723) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex722) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex721) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex720) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex719) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex718) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex717) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex716) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex715) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex714) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex713) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex712) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex711) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex710) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex709) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex708) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex707) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex706) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex705) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex704) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex703) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex702) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex701) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex700) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex699) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex698) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex697) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex696) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex695) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex694) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex693) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2576,axiom,(
    ! [VarCurr] :
      ( v10406(VarCurr)
    <=> ( v10407(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1341,axiom,(
    ! [VarCurr] :
      ( ~ v10407(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_218,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10396(VarNext)
       => ( v9777(VarNext,bitIndex41)
        <=> v9777(VarCurr,bitIndex41) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_211,axiom,(
    ! [VarNext] :
      ( v10396(VarNext)
     => ( v9777(VarNext,bitIndex41)
      <=> v10398(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2575,axiom,(
    ! [VarCurr] :
      ( v10398(VarCurr)
    <=> ( v9779(VarCurr)
        & v10399(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_635,axiom,(
    ! [VarCurr] :
      ( v10399(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex758) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex757) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex756) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex755) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex754) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex753) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex752) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex751) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex750) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex749) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex748) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex747) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex746) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex745) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex744) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex743) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex742) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex741) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex740) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex739) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex738) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex737) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex736) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex735) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex734) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex733) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex732) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex731) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex730) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex729) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex728) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex727) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex726) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2574,axiom,(
    ! [VarCurr] :
      ( v10396(VarCurr)
    <=> ( v10397(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1340,axiom,(
    ! [VarCurr] :
      ( ~ v10397(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10386(VarNext)
       => ( v9777(VarNext,bitIndex40)
        <=> v9777(VarCurr,bitIndex40) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_210,axiom,(
    ! [VarNext] :
      ( v10386(VarNext)
     => ( v9777(VarNext,bitIndex40)
      <=> v10388(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2573,axiom,(
    ! [VarCurr] :
      ( v10388(VarCurr)
    <=> ( v9779(VarCurr)
        & v10389(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_634,axiom,(
    ! [VarCurr] :
      ( v10389(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex791) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex790) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex789) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex788) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex787) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex786) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex785) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex784) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex783) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex782) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex781) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex780) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex779) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex778) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex777) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex776) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex775) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex774) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex773) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex772) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex771) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex770) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex769) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex768) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex767) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex766) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex765) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex764) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex763) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex762) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex761) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex760) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex759) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2572,axiom,(
    ! [VarCurr] :
      ( v10386(VarCurr)
    <=> ( v10387(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1339,axiom,(
    ! [VarCurr] :
      ( ~ v10387(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10376(VarNext)
       => ( v9777(VarNext,bitIndex39)
        <=> v9777(VarCurr,bitIndex39) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_209,axiom,(
    ! [VarNext] :
      ( v10376(VarNext)
     => ( v9777(VarNext,bitIndex39)
      <=> v10378(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2571,axiom,(
    ! [VarCurr] :
      ( v10378(VarCurr)
    <=> ( v9779(VarCurr)
        & v10379(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_633,axiom,(
    ! [VarCurr] :
      ( v10379(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex824) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex823) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex822) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex821) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex820) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex819) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex818) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex817) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex816) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex815) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex814) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex813) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex812) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex811) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex810) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex809) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex808) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex807) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex806) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex805) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex804) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex803) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex802) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex801) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex800) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex799) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex798) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex797) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex796) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex795) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex794) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex793) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex792) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2570,axiom,(
    ! [VarCurr] :
      ( v10376(VarCurr)
    <=> ( v10377(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1338,axiom,(
    ! [VarCurr] :
      ( ~ v10377(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_215,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10366(VarNext)
       => ( v9777(VarNext,bitIndex38)
        <=> v9777(VarCurr,bitIndex38) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_208,axiom,(
    ! [VarNext] :
      ( v10366(VarNext)
     => ( v9777(VarNext,bitIndex38)
      <=> v10368(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2569,axiom,(
    ! [VarCurr] :
      ( v10368(VarCurr)
    <=> ( v9779(VarCurr)
        & v10369(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_632,axiom,(
    ! [VarCurr] :
      ( v10369(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex857) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex856) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex855) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex854) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex853) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex852) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex851) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex850) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex849) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex848) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex847) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex846) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex845) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex844) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex843) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex842) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex841) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex840) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex839) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex838) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex837) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex836) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex835) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex834) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex833) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex832) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex831) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex830) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex829) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex828) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex827) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex826) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex825) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2568,axiom,(
    ! [VarCurr] :
      ( v10366(VarCurr)
    <=> ( v10367(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1337,axiom,(
    ! [VarCurr] :
      ( ~ v10367(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_214,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10356(VarNext)
       => ( v9777(VarNext,bitIndex37)
        <=> v9777(VarCurr,bitIndex37) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_207,axiom,(
    ! [VarNext] :
      ( v10356(VarNext)
     => ( v9777(VarNext,bitIndex37)
      <=> v10358(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2567,axiom,(
    ! [VarCurr] :
      ( v10358(VarCurr)
    <=> ( v9779(VarCurr)
        & v10359(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_631,axiom,(
    ! [VarCurr] :
      ( v10359(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex890) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex889) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex888) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex887) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex886) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex885) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex884) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex883) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex882) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex881) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex880) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex879) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex878) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex877) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex876) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex875) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex874) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex873) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex872) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex871) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex870) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex869) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex868) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex867) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex866) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex865) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex864) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex863) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex862) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex861) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex860) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex859) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex858) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2566,axiom,(
    ! [VarCurr] :
      ( v10356(VarCurr)
    <=> ( v10357(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1336,axiom,(
    ! [VarCurr] :
      ( ~ v10357(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10346(VarNext)
       => ( v9777(VarNext,bitIndex36)
        <=> v9777(VarCurr,bitIndex36) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_206,axiom,(
    ! [VarNext] :
      ( v10346(VarNext)
     => ( v9777(VarNext,bitIndex36)
      <=> v10348(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2565,axiom,(
    ! [VarCurr] :
      ( v10348(VarCurr)
    <=> ( v9779(VarCurr)
        & v10349(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_630,axiom,(
    ! [VarCurr] :
      ( v10349(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex923) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex922) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex921) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex920) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex919) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex918) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex917) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex916) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex915) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex914) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex913) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex912) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex911) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex910) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex909) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex908) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex907) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex906) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex905) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex904) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex903) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex902) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex901) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex900) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex899) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex898) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex897) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex896) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex895) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex894) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex893) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex892) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex891) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2564,axiom,(
    ! [VarCurr] :
      ( v10346(VarCurr)
    <=> ( v10347(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1335,axiom,(
    ! [VarCurr] :
      ( ~ v10347(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10336(VarNext)
       => ( v9777(VarNext,bitIndex35)
        <=> v9777(VarCurr,bitIndex35) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_205,axiom,(
    ! [VarNext] :
      ( v10336(VarNext)
     => ( v9777(VarNext,bitIndex35)
      <=> v10338(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2563,axiom,(
    ! [VarCurr] :
      ( v10338(VarCurr)
    <=> ( v9779(VarCurr)
        & v10339(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_629,axiom,(
    ! [VarCurr] :
      ( v10339(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex956) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex955) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex954) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex953) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex952) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex951) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex950) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex949) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex948) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex947) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex946) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex945) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex944) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex943) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex942) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex941) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex940) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex939) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex938) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex937) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex936) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex935) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex934) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex933) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex932) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex931) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex930) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex929) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex928) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex927) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex926) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex925) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex924) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2562,axiom,(
    ! [VarCurr] :
      ( v10336(VarCurr)
    <=> ( v10337(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1334,axiom,(
    ! [VarCurr] :
      ( ~ v10337(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10326(VarNext)
       => ( v9777(VarNext,bitIndex34)
        <=> v9777(VarCurr,bitIndex34) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_204,axiom,(
    ! [VarNext] :
      ( v10326(VarNext)
     => ( v9777(VarNext,bitIndex34)
      <=> v10328(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2561,axiom,(
    ! [VarCurr] :
      ( v10328(VarCurr)
    <=> ( v9779(VarCurr)
        & v10329(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_628,axiom,(
    ! [VarCurr] :
      ( v10329(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex989) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex988) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex987) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex986) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex985) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex984) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex983) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex982) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex981) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex980) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex979) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex978) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex977) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex976) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex975) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex974) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex973) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex972) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex971) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex970) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex969) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex968) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex967) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex966) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex965) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex964) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex963) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex962) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex961) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex960) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex959) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex958) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex957) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2560,axiom,(
    ! [VarCurr] :
      ( v10326(VarCurr)
    <=> ( v10327(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1333,axiom,(
    ! [VarCurr] :
      ( ~ v10327(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_210,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10316(VarNext)
       => ( v9777(VarNext,bitIndex33)
        <=> v9777(VarCurr,bitIndex33) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_203,axiom,(
    ! [VarNext] :
      ( v10316(VarNext)
     => ( v9777(VarNext,bitIndex33)
      <=> v10318(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2559,axiom,(
    ! [VarCurr] :
      ( v10318(VarCurr)
    <=> ( v9779(VarCurr)
        & v10319(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_627,axiom,(
    ! [VarCurr] :
      ( v10319(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1022) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1021) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1020) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1019) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1018) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1017) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1016) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1015) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1014) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1013) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1012) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1011) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1010) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1009) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1008) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1007) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1006) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1005) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1004) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1003) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1002) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1001) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1000) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex999) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex998) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex997) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex996) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex995) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex994) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex993) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex992) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex991) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex990) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2558,axiom,(
    ! [VarCurr] :
      ( v10316(VarCurr)
    <=> ( v10317(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1332,axiom,(
    ! [VarCurr] :
      ( ~ v10317(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10306(VarNext)
       => ( v9777(VarNext,bitIndex32)
        <=> v9777(VarCurr,bitIndex32) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_202,axiom,(
    ! [VarNext] :
      ( v10306(VarNext)
     => ( v9777(VarNext,bitIndex32)
      <=> v10308(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2557,axiom,(
    ! [VarCurr] :
      ( v10308(VarCurr)
    <=> ( v9779(VarCurr)
        & v10309(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_626,axiom,(
    ! [VarCurr] :
      ( v10309(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1055) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1054) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1053) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1052) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1051) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1050) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1049) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1048) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1047) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1046) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1045) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1044) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1043) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1042) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1041) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1040) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1039) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1038) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1037) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1036) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1035) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1034) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1033) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1032) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1031) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1030) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1029) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1028) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1027) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1026) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1025) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1024) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1023) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2556,axiom,(
    ! [VarCurr] :
      ( v10306(VarCurr)
    <=> ( v10307(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1331,axiom,(
    ! [VarCurr] :
      ( ~ v10307(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10296(VarNext)
       => ( v9777(VarNext,bitIndex31)
        <=> v9777(VarCurr,bitIndex31) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_201,axiom,(
    ! [VarNext] :
      ( v10296(VarNext)
     => ( v9777(VarNext,bitIndex31)
      <=> v10298(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2555,axiom,(
    ! [VarCurr] :
      ( v10298(VarCurr)
    <=> ( v9779(VarCurr)
        & v10299(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_625,axiom,(
    ! [VarCurr] :
      ( v10299(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1088) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1087) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1086) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1085) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1084) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1083) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1082) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1081) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1080) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1079) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1078) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1077) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1076) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1075) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1074) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1073) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1072) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1071) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1070) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1069) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1068) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1067) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1066) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1065) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1064) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1063) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1062) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1061) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1060) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1059) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1058) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1057) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1056) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2554,axiom,(
    ! [VarCurr] :
      ( v10296(VarCurr)
    <=> ( v10297(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1330,axiom,(
    ! [VarCurr] :
      ( ~ v10297(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10286(VarNext)
       => ( v9777(VarNext,bitIndex30)
        <=> v9777(VarCurr,bitIndex30) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_200,axiom,(
    ! [VarNext] :
      ( v10286(VarNext)
     => ( v9777(VarNext,bitIndex30)
      <=> v10288(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2553,axiom,(
    ! [VarCurr] :
      ( v10288(VarCurr)
    <=> ( v9779(VarCurr)
        & v10289(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_624,axiom,(
    ! [VarCurr] :
      ( v10289(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1121) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1120) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1119) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1118) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1117) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1116) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1115) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1114) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1113) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1112) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1111) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1110) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1109) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1108) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1107) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1106) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1105) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1104) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1103) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1102) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1101) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1100) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1099) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1098) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1097) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1096) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1095) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1094) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1093) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1092) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1091) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1090) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1089) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2552,axiom,(
    ! [VarCurr] :
      ( v10286(VarCurr)
    <=> ( v10287(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1329,axiom,(
    ! [VarCurr] :
      ( ~ v10287(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_206,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10276(VarNext)
       => ( v9777(VarNext,bitIndex29)
        <=> v9777(VarCurr,bitIndex29) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_199,axiom,(
    ! [VarNext] :
      ( v10276(VarNext)
     => ( v9777(VarNext,bitIndex29)
      <=> v10278(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2551,axiom,(
    ! [VarCurr] :
      ( v10278(VarCurr)
    <=> ( v9779(VarCurr)
        & v10279(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_623,axiom,(
    ! [VarCurr] :
      ( v10279(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1154) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1153) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1152) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1151) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1150) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1149) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1148) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1147) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1146) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1145) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1144) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1143) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1142) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1141) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1140) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1139) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1138) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1137) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1136) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1135) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1134) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1133) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1132) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1131) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1130) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1129) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1128) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1127) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1126) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1125) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1124) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1123) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1122) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2550,axiom,(
    ! [VarCurr] :
      ( v10276(VarCurr)
    <=> ( v10277(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1328,axiom,(
    ! [VarCurr] :
      ( ~ v10277(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_205,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10266(VarNext)
       => ( v9777(VarNext,bitIndex28)
        <=> v9777(VarCurr,bitIndex28) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_198,axiom,(
    ! [VarNext] :
      ( v10266(VarNext)
     => ( v9777(VarNext,bitIndex28)
      <=> v10268(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2549,axiom,(
    ! [VarCurr] :
      ( v10268(VarCurr)
    <=> ( v9779(VarCurr)
        & v10269(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_622,axiom,(
    ! [VarCurr] :
      ( v10269(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1187) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1186) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1185) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1184) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1183) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1182) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1181) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1180) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1179) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1178) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1177) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1176) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1175) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1174) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1173) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1172) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1171) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1170) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1169) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1168) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1167) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1166) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1165) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1164) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1163) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1162) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1161) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1160) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1159) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1158) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1157) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1156) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1155) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2548,axiom,(
    ! [VarCurr] :
      ( v10266(VarCurr)
    <=> ( v10267(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1327,axiom,(
    ! [VarCurr] :
      ( ~ v10267(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_204,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10256(VarNext)
       => ( v9777(VarNext,bitIndex27)
        <=> v9777(VarCurr,bitIndex27) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_197,axiom,(
    ! [VarNext] :
      ( v10256(VarNext)
     => ( v9777(VarNext,bitIndex27)
      <=> v10258(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2547,axiom,(
    ! [VarCurr] :
      ( v10258(VarCurr)
    <=> ( v9779(VarCurr)
        & v10259(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_621,axiom,(
    ! [VarCurr] :
      ( v10259(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1220) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1219) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1218) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1217) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1216) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1215) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1214) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1213) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1212) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1211) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1210) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1209) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1208) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1207) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1206) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1205) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1204) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1203) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1202) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1201) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1200) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1199) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1198) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1197) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1196) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1195) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1194) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1193) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1192) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1191) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1190) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1189) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1188) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2546,axiom,(
    ! [VarCurr] :
      ( v10256(VarCurr)
    <=> ( v10257(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1326,axiom,(
    ! [VarCurr] :
      ( ~ v10257(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_203,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10246(VarNext)
       => ( v9777(VarNext,bitIndex26)
        <=> v9777(VarCurr,bitIndex26) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_196,axiom,(
    ! [VarNext] :
      ( v10246(VarNext)
     => ( v9777(VarNext,bitIndex26)
      <=> v10248(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2545,axiom,(
    ! [VarCurr] :
      ( v10248(VarCurr)
    <=> ( v9779(VarCurr)
        & v10249(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_620,axiom,(
    ! [VarCurr] :
      ( v10249(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1253) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1252) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1251) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1250) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1249) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1248) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1247) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1246) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1245) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1244) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1243) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1242) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1241) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1240) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1239) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1238) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1237) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1236) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1235) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1234) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1233) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1232) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1231) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1230) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1229) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1228) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1227) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1226) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1225) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1224) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1223) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1222) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1221) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2544,axiom,(
    ! [VarCurr] :
      ( v10246(VarCurr)
    <=> ( v10247(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1325,axiom,(
    ! [VarCurr] :
      ( ~ v10247(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10236(VarNext)
       => ( v9777(VarNext,bitIndex25)
        <=> v9777(VarCurr,bitIndex25) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_195,axiom,(
    ! [VarNext] :
      ( v10236(VarNext)
     => ( v9777(VarNext,bitIndex25)
      <=> v10238(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2543,axiom,(
    ! [VarCurr] :
      ( v10238(VarCurr)
    <=> ( v9779(VarCurr)
        & v10239(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_619,axiom,(
    ! [VarCurr] :
      ( v10239(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1286) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1285) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1284) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1283) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1282) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1281) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1280) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1279) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1278) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1277) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1276) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1275) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1274) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1273) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1272) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1271) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1270) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1269) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1268) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1267) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1266) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1265) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1264) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1263) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1262) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1261) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1260) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1259) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1258) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1257) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1256) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1255) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1254) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2542,axiom,(
    ! [VarCurr] :
      ( v10236(VarCurr)
    <=> ( v10237(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1324,axiom,(
    ! [VarCurr] :
      ( ~ v10237(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_201,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10226(VarNext)
       => ( v9777(VarNext,bitIndex24)
        <=> v9777(VarCurr,bitIndex24) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_194,axiom,(
    ! [VarNext] :
      ( v10226(VarNext)
     => ( v9777(VarNext,bitIndex24)
      <=> v10228(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2541,axiom,(
    ! [VarCurr] :
      ( v10228(VarCurr)
    <=> ( v9779(VarCurr)
        & v10229(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_618,axiom,(
    ! [VarCurr] :
      ( v10229(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1319) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1318) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1317) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1316) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1315) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1314) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1313) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1312) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1311) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1310) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1309) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1308) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1307) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1306) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1305) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1304) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1303) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1302) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1301) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1300) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1299) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1298) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1297) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1296) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1295) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1294) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1293) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1292) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1291) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1290) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1289) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1288) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1287) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2540,axiom,(
    ! [VarCurr] :
      ( v10226(VarCurr)
    <=> ( v10227(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1323,axiom,(
    ! [VarCurr] :
      ( ~ v10227(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_200,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10216(VarNext)
       => ( v9777(VarNext,bitIndex23)
        <=> v9777(VarCurr,bitIndex23) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_193,axiom,(
    ! [VarNext] :
      ( v10216(VarNext)
     => ( v9777(VarNext,bitIndex23)
      <=> v10218(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2539,axiom,(
    ! [VarCurr] :
      ( v10218(VarCurr)
    <=> ( v9779(VarCurr)
        & v10219(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_617,axiom,(
    ! [VarCurr] :
      ( v10219(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1352) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1351) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1350) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1349) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1348) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1347) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1346) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1345) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1344) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1343) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1342) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1341) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1340) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1339) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1338) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1337) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1336) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1335) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1334) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1333) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1332) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1331) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1330) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1329) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1328) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1327) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1326) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1325) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1324) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1323) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1322) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1321) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1320) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2538,axiom,(
    ! [VarCurr] :
      ( v10216(VarCurr)
    <=> ( v10217(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1322,axiom,(
    ! [VarCurr] :
      ( ~ v10217(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10206(VarNext)
       => ( v9777(VarNext,bitIndex22)
        <=> v9777(VarCurr,bitIndex22) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_192,axiom,(
    ! [VarNext] :
      ( v10206(VarNext)
     => ( v9777(VarNext,bitIndex22)
      <=> v10208(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2537,axiom,(
    ! [VarCurr] :
      ( v10208(VarCurr)
    <=> ( v9779(VarCurr)
        & v10209(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_616,axiom,(
    ! [VarCurr] :
      ( v10209(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1385) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1384) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1383) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1382) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1381) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1380) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1379) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1378) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1377) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1376) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1375) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1374) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1373) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1372) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1371) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1370) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1369) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1368) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1367) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1366) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1365) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1364) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1363) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1362) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1361) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1360) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1359) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1358) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1357) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1356) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1355) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1354) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1353) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2536,axiom,(
    ! [VarCurr] :
      ( v10206(VarCurr)
    <=> ( v10207(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1321,axiom,(
    ! [VarCurr] :
      ( ~ v10207(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10196(VarNext)
       => ( v9777(VarNext,bitIndex21)
        <=> v9777(VarCurr,bitIndex21) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_191,axiom,(
    ! [VarNext] :
      ( v10196(VarNext)
     => ( v9777(VarNext,bitIndex21)
      <=> v10198(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2535,axiom,(
    ! [VarCurr] :
      ( v10198(VarCurr)
    <=> ( v9779(VarCurr)
        & v10199(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_615,axiom,(
    ! [VarCurr] :
      ( v10199(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1418) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1417) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1416) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1415) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1414) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1413) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1412) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1411) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1410) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1409) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1408) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1407) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1406) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1405) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1404) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1403) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1402) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1401) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1400) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1399) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1398) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1397) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1396) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1395) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1394) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1393) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1392) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1391) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1390) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1389) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1388) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1387) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1386) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2534,axiom,(
    ! [VarCurr] :
      ( v10196(VarCurr)
    <=> ( v10197(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1320,axiom,(
    ! [VarCurr] :
      ( ~ v10197(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10186(VarNext)
       => ( v9777(VarNext,bitIndex20)
        <=> v9777(VarCurr,bitIndex20) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_190,axiom,(
    ! [VarNext] :
      ( v10186(VarNext)
     => ( v9777(VarNext,bitIndex20)
      <=> v10188(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2533,axiom,(
    ! [VarCurr] :
      ( v10188(VarCurr)
    <=> ( v9779(VarCurr)
        & v10189(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_614,axiom,(
    ! [VarCurr] :
      ( v10189(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1451) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1450) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1449) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1448) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1447) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1446) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1445) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1444) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1443) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1442) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1441) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1440) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1439) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1438) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1437) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1436) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1435) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1434) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1433) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1432) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1431) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1430) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1429) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1428) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1427) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1426) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1425) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1424) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1423) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1422) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1421) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1420) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1419) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2532,axiom,(
    ! [VarCurr] :
      ( v10186(VarCurr)
    <=> ( v10187(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1319,axiom,(
    ! [VarCurr] :
      ( ~ v10187(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_196,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10176(VarNext)
       => ( v9777(VarNext,bitIndex19)
        <=> v9777(VarCurr,bitIndex19) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_189,axiom,(
    ! [VarNext] :
      ( v10176(VarNext)
     => ( v9777(VarNext,bitIndex19)
      <=> v10178(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2531,axiom,(
    ! [VarCurr] :
      ( v10178(VarCurr)
    <=> ( v9779(VarCurr)
        & v10179(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_613,axiom,(
    ! [VarCurr] :
      ( v10179(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1484) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1483) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1482) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1481) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1480) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1479) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1478) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1477) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1476) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1475) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1474) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1473) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1472) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1471) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1470) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1469) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1468) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1467) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1466) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1465) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1464) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1463) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1462) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1461) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1460) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1459) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1458) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1457) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1456) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1455) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1454) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1453) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1452) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2530,axiom,(
    ! [VarCurr] :
      ( v10176(VarCurr)
    <=> ( v10177(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1318,axiom,(
    ! [VarCurr] :
      ( ~ v10177(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_195,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10166(VarNext)
       => ( v9777(VarNext,bitIndex18)
        <=> v9777(VarCurr,bitIndex18) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_188,axiom,(
    ! [VarNext] :
      ( v10166(VarNext)
     => ( v9777(VarNext,bitIndex18)
      <=> v10168(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2529,axiom,(
    ! [VarCurr] :
      ( v10168(VarCurr)
    <=> ( v9779(VarCurr)
        & v10169(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_612,axiom,(
    ! [VarCurr] :
      ( v10169(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1517) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1516) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1515) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1514) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1513) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1512) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1511) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1510) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1509) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1508) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1507) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1506) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1505) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1504) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1503) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1502) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1501) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1500) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1499) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1498) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1497) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1496) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1495) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1494) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1493) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1492) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1491) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1490) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1489) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1488) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1487) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1486) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1485) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2528,axiom,(
    ! [VarCurr] :
      ( v10166(VarCurr)
    <=> ( v10167(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1317,axiom,(
    ! [VarCurr] :
      ( ~ v10167(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_194,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10156(VarNext)
       => ( v9777(VarNext,bitIndex17)
        <=> v9777(VarCurr,bitIndex17) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_187,axiom,(
    ! [VarNext] :
      ( v10156(VarNext)
     => ( v9777(VarNext,bitIndex17)
      <=> v10158(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2527,axiom,(
    ! [VarCurr] :
      ( v10158(VarCurr)
    <=> ( v9779(VarCurr)
        & v10159(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_611,axiom,(
    ! [VarCurr] :
      ( v10159(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1550) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1549) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1548) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1547) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1546) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1545) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1544) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1543) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1542) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1541) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1540) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1539) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1538) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1537) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1536) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1535) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1534) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1533) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1532) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1531) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1530) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1529) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1528) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1527) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1526) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1525) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1524) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1523) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1522) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1521) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1520) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1519) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1518) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2526,axiom,(
    ! [VarCurr] :
      ( v10156(VarCurr)
    <=> ( v10157(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1316,axiom,(
    ! [VarCurr] :
      ( ~ v10157(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_193,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10146(VarNext)
       => ( v9777(VarNext,bitIndex16)
        <=> v9777(VarCurr,bitIndex16) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_186,axiom,(
    ! [VarNext] :
      ( v10146(VarNext)
     => ( v9777(VarNext,bitIndex16)
      <=> v10148(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2525,axiom,(
    ! [VarCurr] :
      ( v10148(VarCurr)
    <=> ( v9779(VarCurr)
        & v10149(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_610,axiom,(
    ! [VarCurr] :
      ( v10149(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1583) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1582) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1581) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1580) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1579) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1578) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1577) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1576) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1575) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1574) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1573) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1572) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1571) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1570) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1569) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1568) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1567) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1566) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1565) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1564) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1563) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1562) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1561) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1560) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1559) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1558) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1557) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1556) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1555) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1554) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1553) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1552) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1551) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2524,axiom,(
    ! [VarCurr] :
      ( v10146(VarCurr)
    <=> ( v10147(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1315,axiom,(
    ! [VarCurr] :
      ( ~ v10147(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_192,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10136(VarNext)
       => ( v9777(VarNext,bitIndex15)
        <=> v9777(VarCurr,bitIndex15) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_185,axiom,(
    ! [VarNext] :
      ( v10136(VarNext)
     => ( v9777(VarNext,bitIndex15)
      <=> v10138(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2523,axiom,(
    ! [VarCurr] :
      ( v10138(VarCurr)
    <=> ( v9779(VarCurr)
        & v10139(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_609,axiom,(
    ! [VarCurr] :
      ( v10139(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1616) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1615) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1614) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1613) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1612) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1611) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1610) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1609) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1608) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1607) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1606) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1605) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1604) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1603) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1602) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1601) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1600) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1599) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1598) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1597) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1596) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1595) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1594) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1593) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1592) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1591) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1590) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1589) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1588) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1587) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1586) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1585) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1584) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2522,axiom,(
    ! [VarCurr] :
      ( v10136(VarCurr)
    <=> ( v10137(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1314,axiom,(
    ! [VarCurr] :
      ( ~ v10137(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_191,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10126(VarNext)
       => ( v9777(VarNext,bitIndex14)
        <=> v9777(VarCurr,bitIndex14) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_184,axiom,(
    ! [VarNext] :
      ( v10126(VarNext)
     => ( v9777(VarNext,bitIndex14)
      <=> v10128(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2521,axiom,(
    ! [VarCurr] :
      ( v10128(VarCurr)
    <=> ( v9779(VarCurr)
        & v10129(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_608,axiom,(
    ! [VarCurr] :
      ( v10129(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1649) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1648) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1647) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1646) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1645) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1644) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1643) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1642) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1641) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1640) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1639) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1638) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1637) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1636) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1635) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1634) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1633) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1632) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1631) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1630) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1629) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1628) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1627) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1626) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1625) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1624) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1623) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1622) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1621) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1620) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1619) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1618) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1617) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2520,axiom,(
    ! [VarCurr] :
      ( v10126(VarCurr)
    <=> ( v10127(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1313,axiom,(
    ! [VarCurr] :
      ( ~ v10127(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_190,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10116(VarNext)
       => ( v9777(VarNext,bitIndex13)
        <=> v9777(VarCurr,bitIndex13) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_183,axiom,(
    ! [VarNext] :
      ( v10116(VarNext)
     => ( v9777(VarNext,bitIndex13)
      <=> v10118(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2519,axiom,(
    ! [VarCurr] :
      ( v10118(VarCurr)
    <=> ( v9779(VarCurr)
        & v10119(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_607,axiom,(
    ! [VarCurr] :
      ( v10119(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1682) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1681) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1680) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1679) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1678) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1677) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1676) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1675) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1674) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1673) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1672) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1671) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1670) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1669) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1668) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1667) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1666) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1665) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1664) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1663) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1662) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1661) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1660) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1659) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1658) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1657) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1656) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1655) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1654) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1653) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1652) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1651) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1650) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2518,axiom,(
    ! [VarCurr] :
      ( v10116(VarCurr)
    <=> ( v10117(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1312,axiom,(
    ! [VarCurr] :
      ( ~ v10117(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_189,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10106(VarNext)
       => ( v9777(VarNext,bitIndex12)
        <=> v9777(VarCurr,bitIndex12) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_182,axiom,(
    ! [VarNext] :
      ( v10106(VarNext)
     => ( v9777(VarNext,bitIndex12)
      <=> v10108(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2517,axiom,(
    ! [VarCurr] :
      ( v10108(VarCurr)
    <=> ( v9779(VarCurr)
        & v10109(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_606,axiom,(
    ! [VarCurr] :
      ( v10109(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1715) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1714) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1713) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1712) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1711) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1710) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1709) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1708) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1707) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1706) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1705) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1704) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1703) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1702) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1701) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1700) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1699) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1698) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1697) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1696) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1695) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1694) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1693) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1692) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1691) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1690) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1689) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1688) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1687) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1686) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1685) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1684) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1683) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2516,axiom,(
    ! [VarCurr] :
      ( v10106(VarCurr)
    <=> ( v10107(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1311,axiom,(
    ! [VarCurr] :
      ( ~ v10107(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_188,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10096(VarNext)
       => ( v9777(VarNext,bitIndex11)
        <=> v9777(VarCurr,bitIndex11) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_181,axiom,(
    ! [VarNext] :
      ( v10096(VarNext)
     => ( v9777(VarNext,bitIndex11)
      <=> v10098(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2515,axiom,(
    ! [VarCurr] :
      ( v10098(VarCurr)
    <=> ( v9779(VarCurr)
        & v10099(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_605,axiom,(
    ! [VarCurr] :
      ( v10099(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1748) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1747) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1746) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1745) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1744) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1743) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1742) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1741) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1740) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1739) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1738) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1737) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1736) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1735) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1734) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1733) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1732) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1731) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1730) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1729) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1728) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1727) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1726) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1725) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1724) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1723) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1722) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1721) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1720) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1719) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1718) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1717) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1716) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2514,axiom,(
    ! [VarCurr] :
      ( v10096(VarCurr)
    <=> ( v10097(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1310,axiom,(
    ! [VarCurr] :
      ( ~ v10097(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_187,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10086(VarNext)
       => ( v9777(VarNext,bitIndex10)
        <=> v9777(VarCurr,bitIndex10) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_180,axiom,(
    ! [VarNext] :
      ( v10086(VarNext)
     => ( v9777(VarNext,bitIndex10)
      <=> v10088(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2513,axiom,(
    ! [VarCurr] :
      ( v10088(VarCurr)
    <=> ( v9779(VarCurr)
        & v10089(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_604,axiom,(
    ! [VarCurr] :
      ( v10089(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1781) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1780) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1779) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1778) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1777) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1776) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1775) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1774) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1773) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1772) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1771) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1770) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1769) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1768) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1767) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1766) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1765) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1764) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1763) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1762) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1761) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1760) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1759) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1758) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1757) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1756) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1755) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1754) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1753) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1752) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1751) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1750) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1749) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2512,axiom,(
    ! [VarCurr] :
      ( v10086(VarCurr)
    <=> ( v10087(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1309,axiom,(
    ! [VarCurr] :
      ( ~ v10087(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_186,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10076(VarNext)
       => ( v9777(VarNext,bitIndex9)
        <=> v9777(VarCurr,bitIndex9) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_179,axiom,(
    ! [VarNext] :
      ( v10076(VarNext)
     => ( v9777(VarNext,bitIndex9)
      <=> v10078(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2511,axiom,(
    ! [VarCurr] :
      ( v10078(VarCurr)
    <=> ( v9779(VarCurr)
        & v10079(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_603,axiom,(
    ! [VarCurr] :
      ( v10079(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1814) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1813) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1812) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1811) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1810) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1809) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1808) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1807) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1806) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1805) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1804) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1803) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1802) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1801) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1800) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1799) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1798) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1797) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1796) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1795) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1794) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1793) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1792) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1791) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1790) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1789) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1788) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1787) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1786) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1785) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1784) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1783) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1782) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2510,axiom,(
    ! [VarCurr] :
      ( v10076(VarCurr)
    <=> ( v10077(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1308,axiom,(
    ! [VarCurr] :
      ( ~ v10077(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10066(VarNext)
       => ( v9777(VarNext,bitIndex8)
        <=> v9777(VarCurr,bitIndex8) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_178,axiom,(
    ! [VarNext] :
      ( v10066(VarNext)
     => ( v9777(VarNext,bitIndex8)
      <=> v10068(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2509,axiom,(
    ! [VarCurr] :
      ( v10068(VarCurr)
    <=> ( v9779(VarCurr)
        & v10069(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_602,axiom,(
    ! [VarCurr] :
      ( v10069(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1847) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1846) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1845) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1844) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1843) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1842) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1841) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1840) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1839) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1838) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1837) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1836) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1835) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1834) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1833) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1832) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1831) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1830) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1829) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1828) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1827) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1826) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1825) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1824) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1823) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1822) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1821) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1820) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1819) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1818) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1817) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1816) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1815) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2508,axiom,(
    ! [VarCurr] :
      ( v10066(VarCurr)
    <=> ( v10067(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1307,axiom,(
    ! [VarCurr] :
      ( ~ v10067(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_184,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10056(VarNext)
       => ( v9777(VarNext,bitIndex7)
        <=> v9777(VarCurr,bitIndex7) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_177,axiom,(
    ! [VarNext] :
      ( v10056(VarNext)
     => ( v9777(VarNext,bitIndex7)
      <=> v10058(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2507,axiom,(
    ! [VarCurr] :
      ( v10058(VarCurr)
    <=> ( v9779(VarCurr)
        & v10059(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_601,axiom,(
    ! [VarCurr] :
      ( v10059(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1880) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1879) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1878) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1877) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1876) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1875) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1874) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1873) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1872) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1871) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1870) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1869) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1868) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1867) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1866) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1865) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1864) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1863) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1862) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1861) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1860) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1859) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1858) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1857) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1856) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1855) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1854) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1853) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1852) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1851) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1850) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1849) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1848) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2506,axiom,(
    ! [VarCurr] :
      ( v10056(VarCurr)
    <=> ( v10057(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1306,axiom,(
    ! [VarCurr] :
      ( ~ v10057(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_183,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10046(VarNext)
       => ( v9777(VarNext,bitIndex6)
        <=> v9777(VarCurr,bitIndex6) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_176,axiom,(
    ! [VarNext] :
      ( v10046(VarNext)
     => ( v9777(VarNext,bitIndex6)
      <=> v10048(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2505,axiom,(
    ! [VarCurr] :
      ( v10048(VarCurr)
    <=> ( v9779(VarCurr)
        & v10049(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_600,axiom,(
    ! [VarCurr] :
      ( v10049(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1913) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1912) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1911) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1910) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1909) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1908) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1907) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1906) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1905) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1904) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1903) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1902) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1901) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1900) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1899) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1898) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1897) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1896) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1895) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1894) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1893) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1892) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1891) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1890) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1889) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1888) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1887) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1886) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1885) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1884) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1883) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1882) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1881) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2504,axiom,(
    ! [VarCurr] :
      ( v10046(VarCurr)
    <=> ( v10047(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1305,axiom,(
    ! [VarCurr] :
      ( ~ v10047(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10036(VarNext)
       => ( v9777(VarNext,bitIndex5)
        <=> v9777(VarCurr,bitIndex5) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_175,axiom,(
    ! [VarNext] :
      ( v10036(VarNext)
     => ( v9777(VarNext,bitIndex5)
      <=> v10038(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2503,axiom,(
    ! [VarCurr] :
      ( v10038(VarCurr)
    <=> ( v9779(VarCurr)
        & v10039(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_599,axiom,(
    ! [VarCurr] :
      ( v10039(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1946) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1945) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1944) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1943) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1942) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1941) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1940) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1939) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1938) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1937) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1936) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1935) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1934) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1933) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1932) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1931) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1930) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1929) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1928) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1927) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1926) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1925) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1924) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1923) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1922) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1921) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1920) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1919) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1918) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1917) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1916) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1915) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1914) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2502,axiom,(
    ! [VarCurr] :
      ( v10036(VarCurr)
    <=> ( v10037(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1304,axiom,(
    ! [VarCurr] :
      ( ~ v10037(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_181,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10026(VarNext)
       => ( v9777(VarNext,bitIndex4)
        <=> v9777(VarCurr,bitIndex4) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_174,axiom,(
    ! [VarNext] :
      ( v10026(VarNext)
     => ( v9777(VarNext,bitIndex4)
      <=> v10028(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2501,axiom,(
    ! [VarCurr] :
      ( v10028(VarCurr)
    <=> ( v9779(VarCurr)
        & v10029(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_598,axiom,(
    ! [VarCurr] :
      ( v10029(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex1979) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex1978) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex1977) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex1976) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex1975) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex1974) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex1973) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex1972) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex1971) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex1970) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex1969) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex1968) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex1967) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1966) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1965) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1964) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1963) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1962) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1961) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1960) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1959) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1958) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1957) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1956) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1955) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1954) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1953) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1952) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1951) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1950) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1949) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1948) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1947) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2500,axiom,(
    ! [VarCurr] :
      ( v10026(VarCurr)
    <=> ( v10027(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1303,axiom,(
    ! [VarCurr] :
      ( ~ v10027(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10016(VarNext)
       => ( v9777(VarNext,bitIndex3)
        <=> v9777(VarCurr,bitIndex3) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_173,axiom,(
    ! [VarNext] :
      ( v10016(VarNext)
     => ( v9777(VarNext,bitIndex3)
      <=> v10018(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2499,axiom,(
    ! [VarCurr] :
      ( v10018(VarCurr)
    <=> ( v9779(VarCurr)
        & v10019(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_597,axiom,(
    ! [VarCurr] :
      ( v10019(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex2012) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex2011) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex2010) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex2009) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex2008) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex2007) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex2006) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex2005) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex2004) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex2003) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex2002) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex2001) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex2000) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex1999) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex1998) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex1997) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex1996) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex1995) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex1994) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex1993) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex1992) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex1991) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex1990) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex1989) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex1988) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex1987) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex1986) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex1985) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex1984) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex1983) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex1982) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex1981) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex1980) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2498,axiom,(
    ! [VarCurr] :
      ( v10016(VarCurr)
    <=> ( v10017(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1302,axiom,(
    ! [VarCurr] :
      ( ~ v10017(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_179,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10006(VarNext)
       => ( v9777(VarNext,bitIndex2)
        <=> v9777(VarCurr,bitIndex2) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_172,axiom,(
    ! [VarNext] :
      ( v10006(VarNext)
     => ( v9777(VarNext,bitIndex2)
      <=> v10008(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2497,axiom,(
    ! [VarCurr] :
      ( v10008(VarCurr)
    <=> ( v9779(VarCurr)
        & v10009(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_596,axiom,(
    ! [VarCurr] :
      ( v10009(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex2045) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex2044) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex2043) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex2042) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex2041) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex2040) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex2039) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex2038) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex2037) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex2036) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex2035) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex2034) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex2033) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex2032) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex2031) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex2030) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex2029) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex2028) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex2027) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex2026) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex2025) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex2024) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex2023) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex2022) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex2021) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex2020) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex2019) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex2018) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex2017) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex2016) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex2015) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex2014) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex2013) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2496,axiom,(
    ! [VarCurr] :
      ( v10006(VarCurr)
    <=> ( v10007(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1301,axiom,(
    ! [VarCurr] :
      ( ~ v10007(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_178,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9996(VarNext)
       => ( v9777(VarNext,bitIndex1)
        <=> v9777(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_171,axiom,(
    ! [VarNext] :
      ( v9996(VarNext)
     => ( v9777(VarNext,bitIndex1)
      <=> v9998(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2495,axiom,(
    ! [VarCurr] :
      ( v9998(VarCurr)
    <=> ( v9779(VarCurr)
        & v9999(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_595,axiom,(
    ! [VarCurr] :
      ( v9999(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex2078) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex2077) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex2076) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex2075) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex2074) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex2073) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex2072) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex2071) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex2070) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex2069) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex2068) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex2067) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex2066) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex2065) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex2064) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex2063) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex2062) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex2061) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex2060) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex2059) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex2058) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex2057) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex2056) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex2055) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex2054) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex2053) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex2052) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex2051) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex2050) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex2049) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex2048) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex2047) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex2046) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2494,axiom,(
    ! [VarCurr] :
      ( v9996(VarCurr)
    <=> ( v9997(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeUnaryOperator_1300,axiom,(
    ! [VarCurr] :
      ( ~ v9997(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_177,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9985(VarNext)
       => ( v9777(VarNext,bitIndex0)
        <=> v9777(VarCurr,bitIndex0) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_181,axiom,(
    ! [VarNext] :
      ( v9985(VarNext)
     => ( v9777(VarNext,bitIndex0)
      <=> v9988(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2493,axiom,(
    ! [VarCurr] :
      ( v9988(VarCurr)
    <=> ( v9779(VarCurr)
        & v9989(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_594,axiom,(
    ! [VarCurr] :
      ( v9989(VarCurr)
    <=> ( ( v9803(VarCurr,bitIndex32)
        <=> v9939(VarCurr,bitIndex2111) )
        & ( v9803(VarCurr,bitIndex31)
        <=> v9939(VarCurr,bitIndex2110) )
        & ( v9803(VarCurr,bitIndex30)
        <=> v9939(VarCurr,bitIndex2109) )
        & ( v9803(VarCurr,bitIndex29)
        <=> v9939(VarCurr,bitIndex2108) )
        & ( v9803(VarCurr,bitIndex28)
        <=> v9939(VarCurr,bitIndex2107) )
        & ( v9803(VarCurr,bitIndex27)
        <=> v9939(VarCurr,bitIndex2106) )
        & ( v9803(VarCurr,bitIndex26)
        <=> v9939(VarCurr,bitIndex2105) )
        & ( v9803(VarCurr,bitIndex25)
        <=> v9939(VarCurr,bitIndex2104) )
        & ( v9803(VarCurr,bitIndex24)
        <=> v9939(VarCurr,bitIndex2103) )
        & ( v9803(VarCurr,bitIndex23)
        <=> v9939(VarCurr,bitIndex2102) )
        & ( v9803(VarCurr,bitIndex22)
        <=> v9939(VarCurr,bitIndex2101) )
        & ( v9803(VarCurr,bitIndex21)
        <=> v9939(VarCurr,bitIndex2100) )
        & ( v9803(VarCurr,bitIndex20)
        <=> v9939(VarCurr,bitIndex2099) )
        & ( v9803(VarCurr,bitIndex19)
        <=> v9939(VarCurr,bitIndex2098) )
        & ( v9803(VarCurr,bitIndex18)
        <=> v9939(VarCurr,bitIndex2097) )
        & ( v9803(VarCurr,bitIndex17)
        <=> v9939(VarCurr,bitIndex2096) )
        & ( v9803(VarCurr,bitIndex16)
        <=> v9939(VarCurr,bitIndex2095) )
        & ( v9803(VarCurr,bitIndex15)
        <=> v9939(VarCurr,bitIndex2094) )
        & ( v9803(VarCurr,bitIndex14)
        <=> v9939(VarCurr,bitIndex2093) )
        & ( v9803(VarCurr,bitIndex13)
        <=> v9939(VarCurr,bitIndex2092) )
        & ( v9803(VarCurr,bitIndex12)
        <=> v9939(VarCurr,bitIndex2091) )
        & ( v9803(VarCurr,bitIndex11)
        <=> v9939(VarCurr,bitIndex2090) )
        & ( v9803(VarCurr,bitIndex10)
        <=> v9939(VarCurr,bitIndex2089) )
        & ( v9803(VarCurr,bitIndex9)
        <=> v9939(VarCurr,bitIndex2088) )
        & ( v9803(VarCurr,bitIndex8)
        <=> v9939(VarCurr,bitIndex2087) )
        & ( v9803(VarCurr,bitIndex7)
        <=> v9939(VarCurr,bitIndex2086) )
        & ( v9803(VarCurr,bitIndex6)
        <=> v9939(VarCurr,bitIndex2085) )
        & ( v9803(VarCurr,bitIndex5)
        <=> v9939(VarCurr,bitIndex2084) )
        & ( v9803(VarCurr,bitIndex4)
        <=> v9939(VarCurr,bitIndex2083) )
        & ( v9803(VarCurr,bitIndex3)
        <=> v9939(VarCurr,bitIndex2082) )
        & ( v9803(VarCurr,bitIndex2)
        <=> v9939(VarCurr,bitIndex2081) )
        & ( v9803(VarCurr,bitIndex1)
        <=> v9939(VarCurr,bitIndex2080) )
        & ( v9803(VarCurr,bitIndex0)
        <=> v9939(VarCurr,bitIndex2079) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2492,axiom,(
    ! [VarCurr] :
      ( v9985(VarCurr)
    <=> ( v9986(VarCurr)
        & v9987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2491,axiom,(
    ! [VarCurr] :
      ( v9987(VarCurr)
    <=> ( v9952(VarCurr)
        & v9982(VarCurr) ) ) )).

fof(writeUnaryOperator_1299,axiom,(
    ! [VarCurr] :
      ( ~ v9986(VarCurr)
    <=> v9941(VarCurr) ) )).

fof(addAssignment_2749,axiom,(
    ! [VarCurr] :
      ( v9982(VarCurr)
    <=> v9960(VarCurr) ) )).

fof(addAssignment_2748,axiom,(
    ! [VarCurr] :
      ( v9952(VarCurr)
    <=> v9954(VarCurr) ) )).

fof(addAssignment_2747,axiom,(
    ! [VarCurr] :
      ( v9954(VarCurr)
    <=> v9956(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2490,axiom,(
    ! [VarCurr] :
      ( v9956(VarCurr)
    <=> ( v9980(VarCurr)
        | v9970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2489,axiom,(
    ! [VarCurr] :
      ( v9980(VarCurr)
    <=> ( v9958(VarCurr)
        & v9968(VarCurr) ) ) )).

fof(addAssignment_2746,axiom,(
    ! [VarCurr] :
      ( v9970(VarCurr)
    <=> v9972(VarCurr) ) )).

fof(addAssignment_2745,axiom,(
    ! [VarCurr] :
      ( v9972(VarCurr)
    <=> v9974(VarCurr) ) )).

fof(addAssignment_2744,axiom,(
    ! [VarCurr] :
      ( v9974(VarCurr)
    <=> v9976(VarCurr) ) )).

fof(addAssignment_2743,axiom,(
    ! [VarCurr] :
      ( v9976(VarCurr)
    <=> v9978(VarCurr) ) )).

fof(addAssignment_2742,axiom,(
    ! [VarCurr] :
      ( v9958(VarCurr)
    <=> v9960(VarCurr) ) )).

fof(addAssignment_2741,axiom,(
    ! [VarCurr] :
      ( v9960(VarCurr)
    <=> v9962(VarCurr) ) )).

fof(addAssignment_2740,axiom,(
    ! [VarCurr] :
      ( v9962(VarCurr)
    <=> v9964(VarCurr) ) )).

fof(addAssignment_2739,axiom,(
    ! [VarCurr] :
      ( v9964(VarCurr)
    <=> v9966(VarCurr) ) )).

fof(addAssignment_2738,axiom,(
    ! [VarCurr] :
      ( v9941(VarCurr)
    <=> v9943(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2488,axiom,(
    ! [VarCurr] :
      ( v9943(VarCurr)
    <=> ( v9791(VarCurr)
        | v9945(VarCurr) ) ) )).

fof(addAssignment_2737,axiom,(
    ! [VarCurr] :
      ( v9945(VarCurr)
    <=> v9947(VarCurr) ) )).

fof(addAssignment_2736,axiom,(
    ! [VarCurr] :
      ( v9947(VarCurr)
    <=> v9949(VarCurr) ) )).

fof(addAssignment_2735,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v9803(VarCurr,B)
      <=> v9805(VarCurr,B) ) ) )).

fof(addAssignment_2734,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex32)
    <=> v9807(VarCurr) ) )).

fof(addAssignment_2733,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex31)
    <=> v9811(VarCurr) ) )).

fof(addAssignment_2732,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex30)
    <=> v9815(VarCurr) ) )).

fof(addAssignment_2731,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex29)
    <=> v9819(VarCurr) ) )).

fof(addAssignment_2730,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex28)
    <=> v9823(VarCurr) ) )).

fof(addAssignment_2729,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex27)
    <=> v9827(VarCurr) ) )).

fof(addAssignment_2728,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex26)
    <=> v9831(VarCurr) ) )).

fof(addAssignment_2727,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex25)
    <=> v9835(VarCurr) ) )).

fof(addAssignment_2726,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex24)
    <=> v9839(VarCurr) ) )).

fof(addAssignment_2725,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex23)
    <=> v9843(VarCurr) ) )).

fof(addAssignment_2724,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex22)
    <=> v9847(VarCurr) ) )).

fof(addAssignment_2723,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex21)
    <=> v9851(VarCurr) ) )).

fof(addAssignment_2722,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex20)
    <=> v9855(VarCurr) ) )).

fof(addAssignment_2721,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex19)
    <=> v9859(VarCurr) ) )).

fof(addAssignment_2720,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex18)
    <=> v9863(VarCurr) ) )).

fof(addAssignment_2719,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex17)
    <=> v9867(VarCurr) ) )).

fof(addAssignment_2718,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex16)
    <=> v9871(VarCurr) ) )).

fof(addAssignment_2717,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex15)
    <=> v9875(VarCurr) ) )).

fof(addAssignment_2716,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex14)
    <=> v9879(VarCurr) ) )).

fof(addAssignment_2715,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex13)
    <=> v9883(VarCurr) ) )).

fof(addAssignment_2714,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex12)
    <=> v9887(VarCurr) ) )).

fof(addAssignment_2713,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex11)
    <=> v9891(VarCurr) ) )).

fof(addAssignment_2712,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex10)
    <=> v9895(VarCurr) ) )).

fof(addAssignment_2711,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex9)
    <=> v9899(VarCurr) ) )).

fof(addAssignment_2710,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex8)
    <=> v9903(VarCurr) ) )).

fof(addAssignment_2709,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex7)
    <=> v9907(VarCurr) ) )).

fof(addAssignment_2708,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex6)
    <=> v9911(VarCurr) ) )).

fof(addAssignment_2707,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex5)
    <=> v9915(VarCurr) ) )).

fof(addAssignment_2706,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex4)
    <=> v9919(VarCurr) ) )).

fof(addAssignment_2705,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex3)
    <=> v9923(VarCurr) ) )).

fof(addAssignment_2704,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex2)
    <=> v9927(VarCurr) ) )).

fof(addAssignment_2703,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex1)
    <=> v9931(VarCurr) ) )).

fof(addAssignment_2702,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr,bitIndex0)
    <=> v9935(VarCurr) ) )).

fof(addAssignment_2701,axiom,(
    ! [VarCurr] :
      ( v9935(VarCurr)
    <=> v9937(VarCurr) ) )).

fof(addAssignment_2700,axiom,(
    ! [VarCurr] :
      ( v9931(VarCurr)
    <=> v9933(VarCurr) ) )).

fof(addAssignment_2699,axiom,(
    ! [VarCurr] :
      ( v9927(VarCurr)
    <=> v9929(VarCurr) ) )).

fof(addAssignment_2698,axiom,(
    ! [VarCurr] :
      ( v9923(VarCurr)
    <=> v9925(VarCurr) ) )).

fof(addAssignment_2697,axiom,(
    ! [VarCurr] :
      ( v9919(VarCurr)
    <=> v9921(VarCurr) ) )).

fof(addAssignment_2696,axiom,(
    ! [VarCurr] :
      ( v9915(VarCurr)
    <=> v9917(VarCurr) ) )).

fof(addAssignment_2695,axiom,(
    ! [VarCurr] :
      ( v9911(VarCurr)
    <=> v9913(VarCurr) ) )).

fof(addAssignment_2694,axiom,(
    ! [VarCurr] :
      ( v9907(VarCurr)
    <=> v9909(VarCurr) ) )).

fof(addAssignment_2693,axiom,(
    ! [VarCurr] :
      ( v9903(VarCurr)
    <=> v9905(VarCurr) ) )).

fof(addAssignment_2692,axiom,(
    ! [VarCurr] :
      ( v9899(VarCurr)
    <=> v9901(VarCurr) ) )).

fof(addAssignment_2691,axiom,(
    ! [VarCurr] :
      ( v9895(VarCurr)
    <=> v9897(VarCurr) ) )).

fof(addAssignment_2690,axiom,(
    ! [VarCurr] :
      ( v9891(VarCurr)
    <=> v9893(VarCurr) ) )).

fof(addAssignment_2689,axiom,(
    ! [VarCurr] :
      ( v9887(VarCurr)
    <=> v9889(VarCurr) ) )).

fof(addAssignment_2688,axiom,(
    ! [VarCurr] :
      ( v9883(VarCurr)
    <=> v9885(VarCurr) ) )).

fof(addAssignment_2687,axiom,(
    ! [VarCurr] :
      ( v9879(VarCurr)
    <=> v9881(VarCurr) ) )).

fof(addAssignment_2686,axiom,(
    ! [VarCurr] :
      ( v9875(VarCurr)
    <=> v9877(VarCurr) ) )).

fof(addAssignment_2685,axiom,(
    ! [VarCurr] :
      ( v9871(VarCurr)
    <=> v9873(VarCurr) ) )).

fof(addAssignment_2684,axiom,(
    ! [VarCurr] :
      ( v9867(VarCurr)
    <=> v9869(VarCurr) ) )).

fof(addAssignment_2683,axiom,(
    ! [VarCurr] :
      ( v9863(VarCurr)
    <=> v9865(VarCurr) ) )).

fof(addAssignment_2682,axiom,(
    ! [VarCurr] :
      ( v9859(VarCurr)
    <=> v9861(VarCurr) ) )).

fof(addAssignment_2681,axiom,(
    ! [VarCurr] :
      ( v9855(VarCurr)
    <=> v9857(VarCurr) ) )).

fof(addAssignment_2680,axiom,(
    ! [VarCurr] :
      ( v9851(VarCurr)
    <=> v9853(VarCurr) ) )).

fof(addAssignment_2679,axiom,(
    ! [VarCurr] :
      ( v9847(VarCurr)
    <=> v9849(VarCurr) ) )).

fof(addAssignment_2678,axiom,(
    ! [VarCurr] :
      ( v9843(VarCurr)
    <=> v9845(VarCurr) ) )).

fof(addAssignment_2677,axiom,(
    ! [VarCurr] :
      ( v9839(VarCurr)
    <=> v9841(VarCurr) ) )).

fof(addAssignment_2676,axiom,(
    ! [VarCurr] :
      ( v9835(VarCurr)
    <=> v9837(VarCurr) ) )).

fof(addAssignment_2675,axiom,(
    ! [VarCurr] :
      ( v9831(VarCurr)
    <=> v9833(VarCurr) ) )).

fof(addAssignment_2674,axiom,(
    ! [VarCurr] :
      ( v9827(VarCurr)
    <=> v9829(VarCurr) ) )).

fof(addAssignment_2673,axiom,(
    ! [VarCurr] :
      ( v9823(VarCurr)
    <=> v9825(VarCurr) ) )).

fof(addAssignment_2672,axiom,(
    ! [VarCurr] :
      ( v9819(VarCurr)
    <=> v9821(VarCurr) ) )).

fof(addAssignment_2671,axiom,(
    ! [VarCurr] :
      ( v9815(VarCurr)
    <=> v9817(VarCurr) ) )).

fof(addAssignment_2670,axiom,(
    ! [VarCurr] :
      ( v9811(VarCurr)
    <=> v9813(VarCurr) ) )).

fof(addAssignment_2669,axiom,(
    ! [VarCurr] :
      ( v9807(VarCurr)
    <=> v9809(VarCurr) ) )).

fof(addAssignment_2668,axiom,(
    ! [VarCurr] :
      ( v9779(VarCurr)
    <=> v9781(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2487,axiom,(
    ! [VarCurr] :
      ( v9781(VarCurr)
    <=> ( v9783(VarCurr)
        & v9789(VarCurr) ) ) )).

fof(writeUnaryOperator_1298,axiom,(
    ! [VarCurr] :
      ( ~ v9789(VarCurr)
    <=> v9791(VarCurr) ) )).

fof(addAssignment_2667,axiom,(
    ! [VarCurr] :
      ( v9791(VarCurr)
    <=> v9793(VarCurr) ) )).

fof(addAssignment_2666,axiom,(
    ! [VarCurr] :
      ( v9793(VarCurr)
    <=> v9795(VarCurr) ) )).

fof(addAssignment_2665,axiom,(
    ! [VarCurr] :
      ( v9795(VarCurr)
    <=> v9797(VarCurr) ) )).

fof(addAssignment_2664,axiom,(
    ! [VarCurr] :
      ( v9797(VarCurr)
    <=> v9799(VarCurr) ) )).

fof(addAssignment_2663,axiom,(
    ! [VarCurr] :
      ( v9783(VarCurr)
    <=> v9785(VarCurr) ) )).

fof(addAssignment_2662,axiom,(
    ! [VarCurr] :
      ( v9785(VarCurr)
    <=> v9787(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_92,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9752(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v9245(VarNext,B)
            <=> v9245(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_95,axiom,(
    ! [VarNext] :
      ( v9752(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v9245(VarNext,B)
          <=> v9767(VarNext,B) ) ) ) )).

fof(addAssignment_2661,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v9767(VarNext,B)
          <=> v9765(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_128,axiom,(
    ! [VarCurr] :
      ( ~ v9761(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v9765(VarCurr,B)
          <=> v9257(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_127,axiom,(
    ! [VarCurr] :
      ( v9761(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v9765(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2486,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9752(VarNext)
      <=> ( v9753(VarNext)
          & v9760(VarNext) ) ) ) )).

fof(addAssignment_2660,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9760(VarNext)
      <=> v9758(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2485,axiom,(
    ! [VarCurr] :
      ( v9758(VarCurr)
    <=> ( v9761(VarCurr)
        | v9762(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2484,axiom,(
    ! [VarCurr] :
      ( v9762(VarCurr)
    <=> ( v9763(VarCurr)
        & v9764(VarCurr) ) ) )).

fof(writeUnaryOperator_1297,axiom,(
    ! [VarCurr] :
      ( ~ v9764(VarCurr)
    <=> v9761(VarCurr) ) )).

fof(writeUnaryOperator_1296,axiom,(
    ! [VarCurr] :
      ( ~ v9763(VarCurr)
    <=> v9249(VarCurr) ) )).

fof(writeUnaryOperator_1295,axiom,(
    ! [VarCurr] :
      ( ~ v9761(VarCurr)
    <=> v9247(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2483,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9753(VarNext)
      <=> ( v9754(VarNext)
          & v9733(VarNext) ) ) ) )).

fof(writeUnaryOperator_1294,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9754(VarNext)
      <=> v9740(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_91,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9736(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v9257(VarNext,B)
            <=> v9257(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_94,axiom,(
    ! [VarNext] :
      ( v9736(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v9257(VarNext,B)
          <=> v9746(VarNext,B) ) ) ) )).

fof(addAssignment_2659,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v9746(VarNext,B)
          <=> v9744(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_176,axiom,(
    ! [VarCurr] :
      ( ~ v9747(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v9744(VarCurr,B)
          <=> v9259(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_180,axiom,(
    ! [VarCurr] :
      ( v9747(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v9744(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1293,axiom,(
    ! [VarCurr] :
      ( ~ v9747(VarCurr)
    <=> v9247(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2482,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9736(VarNext)
      <=> v9737(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2481,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9737(VarNext)
      <=> ( v9738(VarNext)
          & v9733(VarNext) ) ) ) )).

fof(writeUnaryOperator_1292,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9738(VarNext)
      <=> v9740(VarNext) ) ) )).

fof(addAssignment_2658,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9740(VarNext)
      <=> v9733(VarCurr) ) ) )).

fof(addAssignment_2657,axiom,(
    ! [VarCurr] :
      ( v9733(VarCurr)
    <=> v5104(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_15,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9259(VarCurr,B)
      <=> ( v9730(VarCurr,B)
          | v9591(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_14,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9730(VarCurr,B)
      <=> ( v9257(VarCurr,B)
          & v9731(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1291,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9731(VarCurr,B)
      <=> ~ v9261(VarCurr,B) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_174,axiom,(
    ! [VarCurr] :
      ( ~ v9728(VarCurr)
     => ( v9591(VarCurr,bitIndex63)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_170,axiom,(
    ! [VarCurr] :
      ( v9728(VarCurr)
     => ( v9591(VarCurr,bitIndex63)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_593,axiom,(
    ! [VarCurr] :
      ( v9728(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_173,axiom,(
    ! [VarCurr] :
      ( ~ v9726(VarCurr)
     => ( v9591(VarCurr,bitIndex62)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_169,axiom,(
    ! [VarCurr] :
      ( v9726(VarCurr)
     => ( v9591(VarCurr,bitIndex62)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_592,axiom,(
    ! [VarCurr] :
      ( v9726(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_172,axiom,(
    ! [VarCurr] :
      ( ~ v9724(VarCurr)
     => ( v9591(VarCurr,bitIndex61)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_168,axiom,(
    ! [VarCurr] :
      ( v9724(VarCurr)
     => ( v9591(VarCurr,bitIndex61)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_591,axiom,(
    ! [VarCurr] :
      ( v9724(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_171,axiom,(
    ! [VarCurr] :
      ( ~ v9722(VarCurr)
     => ( v9591(VarCurr,bitIndex60)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_167,axiom,(
    ! [VarCurr] :
      ( v9722(VarCurr)
     => ( v9591(VarCurr,bitIndex60)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_590,axiom,(
    ! [VarCurr] :
      ( v9722(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_170,axiom,(
    ! [VarCurr] :
      ( ~ v9720(VarCurr)
     => ( v9591(VarCurr,bitIndex59)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_166,axiom,(
    ! [VarCurr] :
      ( v9720(VarCurr)
     => ( v9591(VarCurr,bitIndex59)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_589,axiom,(
    ! [VarCurr] :
      ( v9720(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_169,axiom,(
    ! [VarCurr] :
      ( ~ v9718(VarCurr)
     => ( v9591(VarCurr,bitIndex58)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_165,axiom,(
    ! [VarCurr] :
      ( v9718(VarCurr)
     => ( v9591(VarCurr,bitIndex58)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_588,axiom,(
    ! [VarCurr] :
      ( v9718(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_168,axiom,(
    ! [VarCurr] :
      ( ~ v9716(VarCurr)
     => ( v9591(VarCurr,bitIndex57)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_164,axiom,(
    ! [VarCurr] :
      ( v9716(VarCurr)
     => ( v9591(VarCurr,bitIndex57)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_587,axiom,(
    ! [VarCurr] :
      ( v9716(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_167,axiom,(
    ! [VarCurr] :
      ( ~ v9714(VarCurr)
     => ( v9591(VarCurr,bitIndex56)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_163,axiom,(
    ! [VarCurr] :
      ( v9714(VarCurr)
     => ( v9591(VarCurr,bitIndex56)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_586,axiom,(
    ! [VarCurr] :
      ( v9714(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_166,axiom,(
    ! [VarCurr] :
      ( ~ v9712(VarCurr)
     => ( v9591(VarCurr,bitIndex55)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_162,axiom,(
    ! [VarCurr] :
      ( v9712(VarCurr)
     => ( v9591(VarCurr,bitIndex55)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_585,axiom,(
    ! [VarCurr] :
      ( v9712(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_165,axiom,(
    ! [VarCurr] :
      ( ~ v9710(VarCurr)
     => ( v9591(VarCurr,bitIndex54)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_161,axiom,(
    ! [VarCurr] :
      ( v9710(VarCurr)
     => ( v9591(VarCurr,bitIndex54)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_584,axiom,(
    ! [VarCurr] :
      ( v9710(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_164,axiom,(
    ! [VarCurr] :
      ( ~ v9708(VarCurr)
     => ( v9591(VarCurr,bitIndex53)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_160,axiom,(
    ! [VarCurr] :
      ( v9708(VarCurr)
     => ( v9591(VarCurr,bitIndex53)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_583,axiom,(
    ! [VarCurr] :
      ( v9708(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_163,axiom,(
    ! [VarCurr] :
      ( ~ v9706(VarCurr)
     => ( v9591(VarCurr,bitIndex52)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_159,axiom,(
    ! [VarCurr] :
      ( v9706(VarCurr)
     => ( v9591(VarCurr,bitIndex52)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_582,axiom,(
    ! [VarCurr] :
      ( v9706(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_162,axiom,(
    ! [VarCurr] :
      ( ~ v9704(VarCurr)
     => ( v9591(VarCurr,bitIndex51)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_158,axiom,(
    ! [VarCurr] :
      ( v9704(VarCurr)
     => ( v9591(VarCurr,bitIndex51)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_581,axiom,(
    ! [VarCurr] :
      ( v9704(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_161,axiom,(
    ! [VarCurr] :
      ( ~ v9702(VarCurr)
     => ( v9591(VarCurr,bitIndex50)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_157,axiom,(
    ! [VarCurr] :
      ( v9702(VarCurr)
     => ( v9591(VarCurr,bitIndex50)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_580,axiom,(
    ! [VarCurr] :
      ( v9702(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_160,axiom,(
    ! [VarCurr] :
      ( ~ v9700(VarCurr)
     => ( v9591(VarCurr,bitIndex49)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_156,axiom,(
    ! [VarCurr] :
      ( v9700(VarCurr)
     => ( v9591(VarCurr,bitIndex49)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_579,axiom,(
    ! [VarCurr] :
      ( v9700(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_159,axiom,(
    ! [VarCurr] :
      ( ~ v9698(VarCurr)
     => ( v9591(VarCurr,bitIndex48)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_155,axiom,(
    ! [VarCurr] :
      ( v9698(VarCurr)
     => ( v9591(VarCurr,bitIndex48)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_578,axiom,(
    ! [VarCurr] :
      ( v9698(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_158,axiom,(
    ! [VarCurr] :
      ( ~ v9696(VarCurr)
     => ( v9591(VarCurr,bitIndex47)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_154,axiom,(
    ! [VarCurr] :
      ( v9696(VarCurr)
     => ( v9591(VarCurr,bitIndex47)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_577,axiom,(
    ! [VarCurr] :
      ( v9696(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_157,axiom,(
    ! [VarCurr] :
      ( ~ v9694(VarCurr)
     => ( v9591(VarCurr,bitIndex46)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_153,axiom,(
    ! [VarCurr] :
      ( v9694(VarCurr)
     => ( v9591(VarCurr,bitIndex46)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_576,axiom,(
    ! [VarCurr] :
      ( v9694(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_156,axiom,(
    ! [VarCurr] :
      ( ~ v9692(VarCurr)
     => ( v9591(VarCurr,bitIndex45)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_152,axiom,(
    ! [VarCurr] :
      ( v9692(VarCurr)
     => ( v9591(VarCurr,bitIndex45)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_575,axiom,(
    ! [VarCurr] :
      ( v9692(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_155,axiom,(
    ! [VarCurr] :
      ( ~ v9690(VarCurr)
     => ( v9591(VarCurr,bitIndex44)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_151,axiom,(
    ! [VarCurr] :
      ( v9690(VarCurr)
     => ( v9591(VarCurr,bitIndex44)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_574,axiom,(
    ! [VarCurr] :
      ( v9690(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_154,axiom,(
    ! [VarCurr] :
      ( ~ v9688(VarCurr)
     => ( v9591(VarCurr,bitIndex43)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_150,axiom,(
    ! [VarCurr] :
      ( v9688(VarCurr)
     => ( v9591(VarCurr,bitIndex43)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_573,axiom,(
    ! [VarCurr] :
      ( v9688(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_153,axiom,(
    ! [VarCurr] :
      ( ~ v9686(VarCurr)
     => ( v9591(VarCurr,bitIndex42)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_149,axiom,(
    ! [VarCurr] :
      ( v9686(VarCurr)
     => ( v9591(VarCurr,bitIndex42)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_572,axiom,(
    ! [VarCurr] :
      ( v9686(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_152,axiom,(
    ! [VarCurr] :
      ( ~ v9684(VarCurr)
     => ( v9591(VarCurr,bitIndex41)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_148,axiom,(
    ! [VarCurr] :
      ( v9684(VarCurr)
     => ( v9591(VarCurr,bitIndex41)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_571,axiom,(
    ! [VarCurr] :
      ( v9684(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_151,axiom,(
    ! [VarCurr] :
      ( ~ v9682(VarCurr)
     => ( v9591(VarCurr,bitIndex40)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_147,axiom,(
    ! [VarCurr] :
      ( v9682(VarCurr)
     => ( v9591(VarCurr,bitIndex40)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_570,axiom,(
    ! [VarCurr] :
      ( v9682(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_150,axiom,(
    ! [VarCurr] :
      ( ~ v9680(VarCurr)
     => ( v9591(VarCurr,bitIndex39)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_146,axiom,(
    ! [VarCurr] :
      ( v9680(VarCurr)
     => ( v9591(VarCurr,bitIndex39)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_569,axiom,(
    ! [VarCurr] :
      ( v9680(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_149,axiom,(
    ! [VarCurr] :
      ( ~ v9678(VarCurr)
     => ( v9591(VarCurr,bitIndex38)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_145,axiom,(
    ! [VarCurr] :
      ( v9678(VarCurr)
     => ( v9591(VarCurr,bitIndex38)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_568,axiom,(
    ! [VarCurr] :
      ( v9678(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_148,axiom,(
    ! [VarCurr] :
      ( ~ v9676(VarCurr)
     => ( v9591(VarCurr,bitIndex37)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_144,axiom,(
    ! [VarCurr] :
      ( v9676(VarCurr)
     => ( v9591(VarCurr,bitIndex37)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_567,axiom,(
    ! [VarCurr] :
      ( v9676(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_147,axiom,(
    ! [VarCurr] :
      ( ~ v9674(VarCurr)
     => ( v9591(VarCurr,bitIndex36)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_143,axiom,(
    ! [VarCurr] :
      ( v9674(VarCurr)
     => ( v9591(VarCurr,bitIndex36)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_566,axiom,(
    ! [VarCurr] :
      ( v9674(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_146,axiom,(
    ! [VarCurr] :
      ( ~ v9672(VarCurr)
     => ( v9591(VarCurr,bitIndex35)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_142,axiom,(
    ! [VarCurr] :
      ( v9672(VarCurr)
     => ( v9591(VarCurr,bitIndex35)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_565,axiom,(
    ! [VarCurr] :
      ( v9672(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_145,axiom,(
    ! [VarCurr] :
      ( ~ v9670(VarCurr)
     => ( v9591(VarCurr,bitIndex34)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_141,axiom,(
    ! [VarCurr] :
      ( v9670(VarCurr)
     => ( v9591(VarCurr,bitIndex34)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_564,axiom,(
    ! [VarCurr] :
      ( v9670(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_144,axiom,(
    ! [VarCurr] :
      ( ~ v9668(VarCurr)
     => ( v9591(VarCurr,bitIndex33)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_140,axiom,(
    ! [VarCurr] :
      ( v9668(VarCurr)
     => ( v9591(VarCurr,bitIndex33)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_563,axiom,(
    ! [VarCurr] :
      ( v9668(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_143,axiom,(
    ! [VarCurr] :
      ( ~ v9666(VarCurr)
     => ( v9591(VarCurr,bitIndex32)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_139,axiom,(
    ! [VarCurr] :
      ( v9666(VarCurr)
     => ( v9591(VarCurr,bitIndex32)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_562,axiom,(
    ! [VarCurr] :
      ( v9666(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_142,axiom,(
    ! [VarCurr] :
      ( ~ v9664(VarCurr)
     => ( v9591(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_138,axiom,(
    ! [VarCurr] :
      ( v9664(VarCurr)
     => ( v9591(VarCurr,bitIndex31)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_561,axiom,(
    ! [VarCurr] :
      ( v9664(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_141,axiom,(
    ! [VarCurr] :
      ( ~ v9662(VarCurr)
     => ( v9591(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_137,axiom,(
    ! [VarCurr] :
      ( v9662(VarCurr)
     => ( v9591(VarCurr,bitIndex30)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_560,axiom,(
    ! [VarCurr] :
      ( v9662(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_140,axiom,(
    ! [VarCurr] :
      ( ~ v9660(VarCurr)
     => ( v9591(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_136,axiom,(
    ! [VarCurr] :
      ( v9660(VarCurr)
     => ( v9591(VarCurr,bitIndex29)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_559,axiom,(
    ! [VarCurr] :
      ( v9660(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_139,axiom,(
    ! [VarCurr] :
      ( ~ v9658(VarCurr)
     => ( v9591(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_135,axiom,(
    ! [VarCurr] :
      ( v9658(VarCurr)
     => ( v9591(VarCurr,bitIndex28)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_558,axiom,(
    ! [VarCurr] :
      ( v9658(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_138,axiom,(
    ! [VarCurr] :
      ( ~ v9656(VarCurr)
     => ( v9591(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_134,axiom,(
    ! [VarCurr] :
      ( v9656(VarCurr)
     => ( v9591(VarCurr,bitIndex27)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_557,axiom,(
    ! [VarCurr] :
      ( v9656(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_137,axiom,(
    ! [VarCurr] :
      ( ~ v9654(VarCurr)
     => ( v9591(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_133,axiom,(
    ! [VarCurr] :
      ( v9654(VarCurr)
     => ( v9591(VarCurr,bitIndex26)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_556,axiom,(
    ! [VarCurr] :
      ( v9654(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_136,axiom,(
    ! [VarCurr] :
      ( ~ v9652(VarCurr)
     => ( v9591(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_132,axiom,(
    ! [VarCurr] :
      ( v9652(VarCurr)
     => ( v9591(VarCurr,bitIndex25)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_555,axiom,(
    ! [VarCurr] :
      ( v9652(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_135,axiom,(
    ! [VarCurr] :
      ( ~ v9650(VarCurr)
     => ( v9591(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_131,axiom,(
    ! [VarCurr] :
      ( v9650(VarCurr)
     => ( v9591(VarCurr,bitIndex24)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_554,axiom,(
    ! [VarCurr] :
      ( v9650(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_134,axiom,(
    ! [VarCurr] :
      ( ~ v9648(VarCurr)
     => ( v9591(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_130,axiom,(
    ! [VarCurr] :
      ( v9648(VarCurr)
     => ( v9591(VarCurr,bitIndex23)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_553,axiom,(
    ! [VarCurr] :
      ( v9648(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_133,axiom,(
    ! [VarCurr] :
      ( ~ v9646(VarCurr)
     => ( v9591(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_129,axiom,(
    ! [VarCurr] :
      ( v9646(VarCurr)
     => ( v9591(VarCurr,bitIndex22)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_552,axiom,(
    ! [VarCurr] :
      ( v9646(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_132,axiom,(
    ! [VarCurr] :
      ( ~ v9644(VarCurr)
     => ( v9591(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_128,axiom,(
    ! [VarCurr] :
      ( v9644(VarCurr)
     => ( v9591(VarCurr,bitIndex21)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_551,axiom,(
    ! [VarCurr] :
      ( v9644(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_131,axiom,(
    ! [VarCurr] :
      ( ~ v9642(VarCurr)
     => ( v9591(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_127,axiom,(
    ! [VarCurr] :
      ( v9642(VarCurr)
     => ( v9591(VarCurr,bitIndex20)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_550,axiom,(
    ! [VarCurr] :
      ( v9642(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_130,axiom,(
    ! [VarCurr] :
      ( ~ v9640(VarCurr)
     => ( v9591(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_126,axiom,(
    ! [VarCurr] :
      ( v9640(VarCurr)
     => ( v9591(VarCurr,bitIndex19)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_549,axiom,(
    ! [VarCurr] :
      ( v9640(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_129,axiom,(
    ! [VarCurr] :
      ( ~ v9638(VarCurr)
     => ( v9591(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_125,axiom,(
    ! [VarCurr] :
      ( v9638(VarCurr)
     => ( v9591(VarCurr,bitIndex18)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_548,axiom,(
    ! [VarCurr] :
      ( v9638(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_128,axiom,(
    ! [VarCurr] :
      ( ~ v9636(VarCurr)
     => ( v9591(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_124,axiom,(
    ! [VarCurr] :
      ( v9636(VarCurr)
     => ( v9591(VarCurr,bitIndex17)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_547,axiom,(
    ! [VarCurr] :
      ( v9636(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_127,axiom,(
    ! [VarCurr] :
      ( ~ v9634(VarCurr)
     => ( v9591(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_123,axiom,(
    ! [VarCurr] :
      ( v9634(VarCurr)
     => ( v9591(VarCurr,bitIndex16)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_546,axiom,(
    ! [VarCurr] :
      ( v9634(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_126,axiom,(
    ! [VarCurr] :
      ( ~ v9632(VarCurr)
     => ( v9591(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_122,axiom,(
    ! [VarCurr] :
      ( v9632(VarCurr)
     => ( v9591(VarCurr,bitIndex15)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_545,axiom,(
    ! [VarCurr] :
      ( v9632(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_125,axiom,(
    ! [VarCurr] :
      ( ~ v9630(VarCurr)
     => ( v9591(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_121,axiom,(
    ! [VarCurr] :
      ( v9630(VarCurr)
     => ( v9591(VarCurr,bitIndex14)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_544,axiom,(
    ! [VarCurr] :
      ( v9630(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_124,axiom,(
    ! [VarCurr] :
      ( ~ v9628(VarCurr)
     => ( v9591(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_120,axiom,(
    ! [VarCurr] :
      ( v9628(VarCurr)
     => ( v9591(VarCurr,bitIndex13)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_543,axiom,(
    ! [VarCurr] :
      ( v9628(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_123,axiom,(
    ! [VarCurr] :
      ( ~ v9626(VarCurr)
     => ( v9591(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_119,axiom,(
    ! [VarCurr] :
      ( v9626(VarCurr)
     => ( v9591(VarCurr,bitIndex12)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_542,axiom,(
    ! [VarCurr] :
      ( v9626(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_122,axiom,(
    ! [VarCurr] :
      ( ~ v9624(VarCurr)
     => ( v9591(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_118,axiom,(
    ! [VarCurr] :
      ( v9624(VarCurr)
     => ( v9591(VarCurr,bitIndex11)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_541,axiom,(
    ! [VarCurr] :
      ( v9624(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_121,axiom,(
    ! [VarCurr] :
      ( ~ v9622(VarCurr)
     => ( v9591(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_117,axiom,(
    ! [VarCurr] :
      ( v9622(VarCurr)
     => ( v9591(VarCurr,bitIndex10)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_540,axiom,(
    ! [VarCurr] :
      ( v9622(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_120,axiom,(
    ! [VarCurr] :
      ( ~ v9620(VarCurr)
     => ( v9591(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_116,axiom,(
    ! [VarCurr] :
      ( v9620(VarCurr)
     => ( v9591(VarCurr,bitIndex9)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_539,axiom,(
    ! [VarCurr] :
      ( v9620(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_119,axiom,(
    ! [VarCurr] :
      ( ~ v9618(VarCurr)
     => ( v9591(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_115,axiom,(
    ! [VarCurr] :
      ( v9618(VarCurr)
     => ( v9591(VarCurr,bitIndex8)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_538,axiom,(
    ! [VarCurr] :
      ( v9618(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_118,axiom,(
    ! [VarCurr] :
      ( ~ v9616(VarCurr)
     => ( v9591(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_114,axiom,(
    ! [VarCurr] :
      ( v9616(VarCurr)
     => ( v9591(VarCurr,bitIndex7)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_537,axiom,(
    ! [VarCurr] :
      ( v9616(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_117,axiom,(
    ! [VarCurr] :
      ( ~ v9614(VarCurr)
     => ( v9591(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_113,axiom,(
    ! [VarCurr] :
      ( v9614(VarCurr)
     => ( v9591(VarCurr,bitIndex6)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_536,axiom,(
    ! [VarCurr] :
      ( v9614(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_116,axiom,(
    ! [VarCurr] :
      ( ~ v9612(VarCurr)
     => ( v9591(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_112,axiom,(
    ! [VarCurr] :
      ( v9612(VarCurr)
     => ( v9591(VarCurr,bitIndex5)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_535,axiom,(
    ! [VarCurr] :
      ( v9612(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_115,axiom,(
    ! [VarCurr] :
      ( ~ v9610(VarCurr)
     => ( v9591(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_111,axiom,(
    ! [VarCurr] :
      ( v9610(VarCurr)
     => ( v9591(VarCurr,bitIndex4)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_534,axiom,(
    ! [VarCurr] :
      ( v9610(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_114,axiom,(
    ! [VarCurr] :
      ( ~ v9608(VarCurr)
     => ( v9591(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_110,axiom,(
    ! [VarCurr] :
      ( v9608(VarCurr)
     => ( v9591(VarCurr,bitIndex3)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_533,axiom,(
    ! [VarCurr] :
      ( v9608(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_113,axiom,(
    ! [VarCurr] :
      ( ~ v9606(VarCurr)
     => ( v9591(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_109,axiom,(
    ! [VarCurr] :
      ( v9606(VarCurr)
     => ( v9591(VarCurr,bitIndex2)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_532,axiom,(
    ! [VarCurr] :
      ( v9606(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_112,axiom,(
    ! [VarCurr] :
      ( ~ v9604(VarCurr)
     => ( v9591(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_108,axiom,(
    ! [VarCurr] :
      ( v9604(VarCurr)
     => ( v9591(VarCurr,bitIndex1)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_531,axiom,(
    ! [VarCurr] :
      ( v9604(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_175,axiom,(
    ! [VarCurr] :
      ( ~ v9602(VarCurr)
     => ( v9591(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_179,axiom,(
    ! [VarCurr] :
      ( v9602(VarCurr)
     => ( v9591(VarCurr,bitIndex0)
      <=> v9593(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_530,axiom,(
    ! [VarCurr] :
      ( v9602(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2480,axiom,(
    ! [VarCurr] :
      ( v9593(VarCurr)
    <=> ( v9595(VarCurr)
        | v9598(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2479,axiom,(
    ! [VarCurr] :
      ( v9598(VarCurr)
    <=> ( v9355(VarCurr)
        & v9365(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2478,axiom,(
    ! [VarCurr] :
      ( v9595(VarCurr)
    <=> ( v9322(VarCurr)
        & v9343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_13,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9261(VarCurr,B)
      <=> ( v9263(VarCurr,B)
          | v9566(VarCurr,B) ) ) ) )).

fof(addAssignment_2656,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9566(VarCurr,B)
      <=> v9568(VarCurr,B) ) ) )).

fof(addAssignment_2655,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9568(VarCurr,B)
      <=> v9570(VarCurr,B) ) ) )).

fof(addAssignment_2654,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9570(VarCurr,B)
      <=> v9572(VarCurr,B) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_12,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9572(VarCurr,B)
      <=> ( v9574(VarCurr,B)
          | v9587(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_11,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9574(VarCurr,B)
      <=> ( v9576(VarCurr,B)
          & v9578(VarCurr,B) ) ) ) )).

fof(addAssignment_2653,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9578(VarCurr,B)
      <=> v9580(VarCurr,B) ) ) )).

fof(addAssignment_2652,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9580(VarCurr,B)
      <=> v9582(VarCurr,B) ) ) )).

fof(addAssignment_2651,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v9582(VarCurr,B)
      <=> v9584(VarCurr,B) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_111,axiom,(
    ! [VarCurr] :
      ( ~ v9564(VarCurr)
     => ( v9263(VarCurr,bitIndex63)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_107,axiom,(
    ! [VarCurr] :
      ( v9564(VarCurr)
     => ( v9263(VarCurr,bitIndex63)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_529,axiom,(
    ! [VarCurr] :
      ( v9564(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1866,axiom,(
    b111111(bitIndex5) )).

fof(bitBlastConstant_1865,axiom,(
    b111111(bitIndex4) )).

fof(bitBlastConstant_1864,axiom,(
    b111111(bitIndex3) )).

fof(bitBlastConstant_1863,axiom,(
    b111111(bitIndex2) )).

fof(bitBlastConstant_1862,axiom,(
    b111111(bitIndex1) )).

fof(bitBlastConstant_1861,axiom,(
    b111111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_110,axiom,(
    ! [VarCurr] :
      ( ~ v9562(VarCurr)
     => ( v9263(VarCurr,bitIndex62)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_106,axiom,(
    ! [VarCurr] :
      ( v9562(VarCurr)
     => ( v9263(VarCurr,bitIndex62)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_528,axiom,(
    ! [VarCurr] :
      ( v9562(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1860,axiom,(
    b111110(bitIndex5) )).

fof(bitBlastConstant_1859,axiom,(
    b111110(bitIndex4) )).

fof(bitBlastConstant_1858,axiom,(
    b111110(bitIndex3) )).

fof(bitBlastConstant_1857,axiom,(
    b111110(bitIndex2) )).

fof(bitBlastConstant_1856,axiom,(
    b111110(bitIndex1) )).

fof(bitBlastConstant_1855,axiom,(
    ~ b111110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_109,axiom,(
    ! [VarCurr] :
      ( ~ v9560(VarCurr)
     => ( v9263(VarCurr,bitIndex61)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_105,axiom,(
    ! [VarCurr] :
      ( v9560(VarCurr)
     => ( v9263(VarCurr,bitIndex61)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_527,axiom,(
    ! [VarCurr] :
      ( v9560(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1854,axiom,(
    b111101(bitIndex5) )).

fof(bitBlastConstant_1853,axiom,(
    b111101(bitIndex4) )).

fof(bitBlastConstant_1852,axiom,(
    b111101(bitIndex3) )).

fof(bitBlastConstant_1851,axiom,(
    b111101(bitIndex2) )).

fof(bitBlastConstant_1850,axiom,(
    ~ b111101(bitIndex1) )).

fof(bitBlastConstant_1849,axiom,(
    b111101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_108,axiom,(
    ! [VarCurr] :
      ( ~ v9558(VarCurr)
     => ( v9263(VarCurr,bitIndex60)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_104,axiom,(
    ! [VarCurr] :
      ( v9558(VarCurr)
     => ( v9263(VarCurr,bitIndex60)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_526,axiom,(
    ! [VarCurr] :
      ( v9558(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1848,axiom,(
    b111100(bitIndex5) )).

fof(bitBlastConstant_1847,axiom,(
    b111100(bitIndex4) )).

fof(bitBlastConstant_1846,axiom,(
    b111100(bitIndex3) )).

fof(bitBlastConstant_1845,axiom,(
    b111100(bitIndex2) )).

fof(bitBlastConstant_1844,axiom,(
    ~ b111100(bitIndex1) )).

fof(bitBlastConstant_1843,axiom,(
    ~ b111100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_107,axiom,(
    ! [VarCurr] :
      ( ~ v9556(VarCurr)
     => ( v9263(VarCurr,bitIndex59)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_103,axiom,(
    ! [VarCurr] :
      ( v9556(VarCurr)
     => ( v9263(VarCurr,bitIndex59)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_525,axiom,(
    ! [VarCurr] :
      ( v9556(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1842,axiom,(
    b111011(bitIndex5) )).

fof(bitBlastConstant_1841,axiom,(
    b111011(bitIndex4) )).

fof(bitBlastConstant_1840,axiom,(
    b111011(bitIndex3) )).

fof(bitBlastConstant_1839,axiom,(
    ~ b111011(bitIndex2) )).

fof(bitBlastConstant_1838,axiom,(
    b111011(bitIndex1) )).

fof(bitBlastConstant_1837,axiom,(
    b111011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_106,axiom,(
    ! [VarCurr] :
      ( ~ v9554(VarCurr)
     => ( v9263(VarCurr,bitIndex58)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_102,axiom,(
    ! [VarCurr] :
      ( v9554(VarCurr)
     => ( v9263(VarCurr,bitIndex58)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_524,axiom,(
    ! [VarCurr] :
      ( v9554(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1836,axiom,(
    b111010(bitIndex5) )).

fof(bitBlastConstant_1835,axiom,(
    b111010(bitIndex4) )).

fof(bitBlastConstant_1834,axiom,(
    b111010(bitIndex3) )).

fof(bitBlastConstant_1833,axiom,(
    ~ b111010(bitIndex2) )).

fof(bitBlastConstant_1832,axiom,(
    b111010(bitIndex1) )).

fof(bitBlastConstant_1831,axiom,(
    ~ b111010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_105,axiom,(
    ! [VarCurr] :
      ( ~ v9552(VarCurr)
     => ( v9263(VarCurr,bitIndex57)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_101,axiom,(
    ! [VarCurr] :
      ( v9552(VarCurr)
     => ( v9263(VarCurr,bitIndex57)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_523,axiom,(
    ! [VarCurr] :
      ( v9552(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1830,axiom,(
    b111001(bitIndex5) )).

fof(bitBlastConstant_1829,axiom,(
    b111001(bitIndex4) )).

fof(bitBlastConstant_1828,axiom,(
    b111001(bitIndex3) )).

fof(bitBlastConstant_1827,axiom,(
    ~ b111001(bitIndex2) )).

fof(bitBlastConstant_1826,axiom,(
    ~ b111001(bitIndex1) )).

fof(bitBlastConstant_1825,axiom,(
    b111001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_104,axiom,(
    ! [VarCurr] :
      ( ~ v9550(VarCurr)
     => ( v9263(VarCurr,bitIndex56)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_100,axiom,(
    ! [VarCurr] :
      ( v9550(VarCurr)
     => ( v9263(VarCurr,bitIndex56)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_522,axiom,(
    ! [VarCurr] :
      ( v9550(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1824,axiom,(
    b111000(bitIndex5) )).

fof(bitBlastConstant_1823,axiom,(
    b111000(bitIndex4) )).

fof(bitBlastConstant_1822,axiom,(
    b111000(bitIndex3) )).

fof(bitBlastConstant_1821,axiom,(
    ~ b111000(bitIndex2) )).

fof(bitBlastConstant_1820,axiom,(
    ~ b111000(bitIndex1) )).

fof(bitBlastConstant_1819,axiom,(
    ~ b111000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_103,axiom,(
    ! [VarCurr] :
      ( ~ v9548(VarCurr)
     => ( v9263(VarCurr,bitIndex55)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_99,axiom,(
    ! [VarCurr] :
      ( v9548(VarCurr)
     => ( v9263(VarCurr,bitIndex55)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_521,axiom,(
    ! [VarCurr] :
      ( v9548(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1818,axiom,(
    b110111(bitIndex5) )).

fof(bitBlastConstant_1817,axiom,(
    b110111(bitIndex4) )).

fof(bitBlastConstant_1816,axiom,(
    ~ b110111(bitIndex3) )).

fof(bitBlastConstant_1815,axiom,(
    b110111(bitIndex2) )).

fof(bitBlastConstant_1814,axiom,(
    b110111(bitIndex1) )).

fof(bitBlastConstant_1813,axiom,(
    b110111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_102,axiom,(
    ! [VarCurr] :
      ( ~ v9546(VarCurr)
     => ( v9263(VarCurr,bitIndex54)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_98,axiom,(
    ! [VarCurr] :
      ( v9546(VarCurr)
     => ( v9263(VarCurr,bitIndex54)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_520,axiom,(
    ! [VarCurr] :
      ( v9546(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1812,axiom,(
    b110110(bitIndex5) )).

fof(bitBlastConstant_1811,axiom,(
    b110110(bitIndex4) )).

fof(bitBlastConstant_1810,axiom,(
    ~ b110110(bitIndex3) )).

fof(bitBlastConstant_1809,axiom,(
    b110110(bitIndex2) )).

fof(bitBlastConstant_1808,axiom,(
    b110110(bitIndex1) )).

fof(bitBlastConstant_1807,axiom,(
    ~ b110110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_101,axiom,(
    ! [VarCurr] :
      ( ~ v9544(VarCurr)
     => ( v9263(VarCurr,bitIndex53)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_97,axiom,(
    ! [VarCurr] :
      ( v9544(VarCurr)
     => ( v9263(VarCurr,bitIndex53)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_519,axiom,(
    ! [VarCurr] :
      ( v9544(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1806,axiom,(
    b110101(bitIndex5) )).

fof(bitBlastConstant_1805,axiom,(
    b110101(bitIndex4) )).

fof(bitBlastConstant_1804,axiom,(
    ~ b110101(bitIndex3) )).

fof(bitBlastConstant_1803,axiom,(
    b110101(bitIndex2) )).

fof(bitBlastConstant_1802,axiom,(
    ~ b110101(bitIndex1) )).

fof(bitBlastConstant_1801,axiom,(
    b110101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_100,axiom,(
    ! [VarCurr] :
      ( ~ v9542(VarCurr)
     => ( v9263(VarCurr,bitIndex52)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_96,axiom,(
    ! [VarCurr] :
      ( v9542(VarCurr)
     => ( v9263(VarCurr,bitIndex52)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_518,axiom,(
    ! [VarCurr] :
      ( v9542(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1800,axiom,(
    b110100(bitIndex5) )).

fof(bitBlastConstant_1799,axiom,(
    b110100(bitIndex4) )).

fof(bitBlastConstant_1798,axiom,(
    ~ b110100(bitIndex3) )).

fof(bitBlastConstant_1797,axiom,(
    b110100(bitIndex2) )).

fof(bitBlastConstant_1796,axiom,(
    ~ b110100(bitIndex1) )).

fof(bitBlastConstant_1795,axiom,(
    ~ b110100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_99,axiom,(
    ! [VarCurr] :
      ( ~ v9540(VarCurr)
     => ( v9263(VarCurr,bitIndex51)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_95,axiom,(
    ! [VarCurr] :
      ( v9540(VarCurr)
     => ( v9263(VarCurr,bitIndex51)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_517,axiom,(
    ! [VarCurr] :
      ( v9540(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1794,axiom,(
    b110011(bitIndex5) )).

fof(bitBlastConstant_1793,axiom,(
    b110011(bitIndex4) )).

fof(bitBlastConstant_1792,axiom,(
    ~ b110011(bitIndex3) )).

fof(bitBlastConstant_1791,axiom,(
    ~ b110011(bitIndex2) )).

fof(bitBlastConstant_1790,axiom,(
    b110011(bitIndex1) )).

fof(bitBlastConstant_1789,axiom,(
    b110011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_98,axiom,(
    ! [VarCurr] :
      ( ~ v9538(VarCurr)
     => ( v9263(VarCurr,bitIndex50)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_94,axiom,(
    ! [VarCurr] :
      ( v9538(VarCurr)
     => ( v9263(VarCurr,bitIndex50)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_516,axiom,(
    ! [VarCurr] :
      ( v9538(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1788,axiom,(
    b110010(bitIndex5) )).

fof(bitBlastConstant_1787,axiom,(
    b110010(bitIndex4) )).

fof(bitBlastConstant_1786,axiom,(
    ~ b110010(bitIndex3) )).

fof(bitBlastConstant_1785,axiom,(
    ~ b110010(bitIndex2) )).

fof(bitBlastConstant_1784,axiom,(
    b110010(bitIndex1) )).

fof(bitBlastConstant_1783,axiom,(
    ~ b110010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_97,axiom,(
    ! [VarCurr] :
      ( ~ v9536(VarCurr)
     => ( v9263(VarCurr,bitIndex49)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_93,axiom,(
    ! [VarCurr] :
      ( v9536(VarCurr)
     => ( v9263(VarCurr,bitIndex49)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_515,axiom,(
    ! [VarCurr] :
      ( v9536(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1782,axiom,(
    b110001(bitIndex5) )).

fof(bitBlastConstant_1781,axiom,(
    b110001(bitIndex4) )).

fof(bitBlastConstant_1780,axiom,(
    ~ b110001(bitIndex3) )).

fof(bitBlastConstant_1779,axiom,(
    ~ b110001(bitIndex2) )).

fof(bitBlastConstant_1778,axiom,(
    ~ b110001(bitIndex1) )).

fof(bitBlastConstant_1777,axiom,(
    b110001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_96,axiom,(
    ! [VarCurr] :
      ( ~ v9534(VarCurr)
     => ( v9263(VarCurr,bitIndex48)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_92,axiom,(
    ! [VarCurr] :
      ( v9534(VarCurr)
     => ( v9263(VarCurr,bitIndex48)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_514,axiom,(
    ! [VarCurr] :
      ( v9534(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1776,axiom,(
    b110000(bitIndex5) )).

fof(bitBlastConstant_1775,axiom,(
    b110000(bitIndex4) )).

fof(bitBlastConstant_1774,axiom,(
    ~ b110000(bitIndex3) )).

fof(bitBlastConstant_1773,axiom,(
    ~ b110000(bitIndex2) )).

fof(bitBlastConstant_1772,axiom,(
    ~ b110000(bitIndex1) )).

fof(bitBlastConstant_1771,axiom,(
    ~ b110000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_95,axiom,(
    ! [VarCurr] :
      ( ~ v9532(VarCurr)
     => ( v9263(VarCurr,bitIndex47)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_91,axiom,(
    ! [VarCurr] :
      ( v9532(VarCurr)
     => ( v9263(VarCurr,bitIndex47)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_513,axiom,(
    ! [VarCurr] :
      ( v9532(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1770,axiom,(
    b101111(bitIndex5) )).

fof(bitBlastConstant_1769,axiom,(
    ~ b101111(bitIndex4) )).

fof(bitBlastConstant_1768,axiom,(
    b101111(bitIndex3) )).

fof(bitBlastConstant_1767,axiom,(
    b101111(bitIndex2) )).

fof(bitBlastConstant_1766,axiom,(
    b101111(bitIndex1) )).

fof(bitBlastConstant_1765,axiom,(
    b101111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_94,axiom,(
    ! [VarCurr] :
      ( ~ v9530(VarCurr)
     => ( v9263(VarCurr,bitIndex46)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_90,axiom,(
    ! [VarCurr] :
      ( v9530(VarCurr)
     => ( v9263(VarCurr,bitIndex46)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_512,axiom,(
    ! [VarCurr] :
      ( v9530(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1764,axiom,(
    b101110(bitIndex5) )).

fof(bitBlastConstant_1763,axiom,(
    ~ b101110(bitIndex4) )).

fof(bitBlastConstant_1762,axiom,(
    b101110(bitIndex3) )).

fof(bitBlastConstant_1761,axiom,(
    b101110(bitIndex2) )).

fof(bitBlastConstant_1760,axiom,(
    b101110(bitIndex1) )).

fof(bitBlastConstant_1759,axiom,(
    ~ b101110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_93,axiom,(
    ! [VarCurr] :
      ( ~ v9528(VarCurr)
     => ( v9263(VarCurr,bitIndex45)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_89,axiom,(
    ! [VarCurr] :
      ( v9528(VarCurr)
     => ( v9263(VarCurr,bitIndex45)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_511,axiom,(
    ! [VarCurr] :
      ( v9528(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1758,axiom,(
    b101101(bitIndex5) )).

fof(bitBlastConstant_1757,axiom,(
    ~ b101101(bitIndex4) )).

fof(bitBlastConstant_1756,axiom,(
    b101101(bitIndex3) )).

fof(bitBlastConstant_1755,axiom,(
    b101101(bitIndex2) )).

fof(bitBlastConstant_1754,axiom,(
    ~ b101101(bitIndex1) )).

fof(bitBlastConstant_1753,axiom,(
    b101101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_92,axiom,(
    ! [VarCurr] :
      ( ~ v9526(VarCurr)
     => ( v9263(VarCurr,bitIndex44)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_88,axiom,(
    ! [VarCurr] :
      ( v9526(VarCurr)
     => ( v9263(VarCurr,bitIndex44)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_510,axiom,(
    ! [VarCurr] :
      ( v9526(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1752,axiom,(
    b101100(bitIndex5) )).

fof(bitBlastConstant_1751,axiom,(
    ~ b101100(bitIndex4) )).

fof(bitBlastConstant_1750,axiom,(
    b101100(bitIndex3) )).

fof(bitBlastConstant_1749,axiom,(
    b101100(bitIndex2) )).

fof(bitBlastConstant_1748,axiom,(
    ~ b101100(bitIndex1) )).

fof(bitBlastConstant_1747,axiom,(
    ~ b101100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_91,axiom,(
    ! [VarCurr] :
      ( ~ v9524(VarCurr)
     => ( v9263(VarCurr,bitIndex43)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_87,axiom,(
    ! [VarCurr] :
      ( v9524(VarCurr)
     => ( v9263(VarCurr,bitIndex43)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_509,axiom,(
    ! [VarCurr] :
      ( v9524(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1746,axiom,(
    b101011(bitIndex5) )).

fof(bitBlastConstant_1745,axiom,(
    ~ b101011(bitIndex4) )).

fof(bitBlastConstant_1744,axiom,(
    b101011(bitIndex3) )).

fof(bitBlastConstant_1743,axiom,(
    ~ b101011(bitIndex2) )).

fof(bitBlastConstant_1742,axiom,(
    b101011(bitIndex1) )).

fof(bitBlastConstant_1741,axiom,(
    b101011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_90,axiom,(
    ! [VarCurr] :
      ( ~ v9522(VarCurr)
     => ( v9263(VarCurr,bitIndex42)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_86,axiom,(
    ! [VarCurr] :
      ( v9522(VarCurr)
     => ( v9263(VarCurr,bitIndex42)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_508,axiom,(
    ! [VarCurr] :
      ( v9522(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1740,axiom,(
    b101010(bitIndex5) )).

fof(bitBlastConstant_1739,axiom,(
    ~ b101010(bitIndex4) )).

fof(bitBlastConstant_1738,axiom,(
    b101010(bitIndex3) )).

fof(bitBlastConstant_1737,axiom,(
    ~ b101010(bitIndex2) )).

fof(bitBlastConstant_1736,axiom,(
    b101010(bitIndex1) )).

fof(bitBlastConstant_1735,axiom,(
    ~ b101010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_89,axiom,(
    ! [VarCurr] :
      ( ~ v9520(VarCurr)
     => ( v9263(VarCurr,bitIndex41)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_85,axiom,(
    ! [VarCurr] :
      ( v9520(VarCurr)
     => ( v9263(VarCurr,bitIndex41)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_507,axiom,(
    ! [VarCurr] :
      ( v9520(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1734,axiom,(
    b101001(bitIndex5) )).

fof(bitBlastConstant_1733,axiom,(
    ~ b101001(bitIndex4) )).

fof(bitBlastConstant_1732,axiom,(
    b101001(bitIndex3) )).

fof(bitBlastConstant_1731,axiom,(
    ~ b101001(bitIndex2) )).

fof(bitBlastConstant_1730,axiom,(
    ~ b101001(bitIndex1) )).

fof(bitBlastConstant_1729,axiom,(
    b101001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_88,axiom,(
    ! [VarCurr] :
      ( ~ v9518(VarCurr)
     => ( v9263(VarCurr,bitIndex40)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_84,axiom,(
    ! [VarCurr] :
      ( v9518(VarCurr)
     => ( v9263(VarCurr,bitIndex40)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_506,axiom,(
    ! [VarCurr] :
      ( v9518(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1728,axiom,(
    b101000(bitIndex5) )).

fof(bitBlastConstant_1727,axiom,(
    ~ b101000(bitIndex4) )).

fof(bitBlastConstant_1726,axiom,(
    b101000(bitIndex3) )).

fof(bitBlastConstant_1725,axiom,(
    ~ b101000(bitIndex2) )).

fof(bitBlastConstant_1724,axiom,(
    ~ b101000(bitIndex1) )).

fof(bitBlastConstant_1723,axiom,(
    ~ b101000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_87,axiom,(
    ! [VarCurr] :
      ( ~ v9516(VarCurr)
     => ( v9263(VarCurr,bitIndex39)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_83,axiom,(
    ! [VarCurr] :
      ( v9516(VarCurr)
     => ( v9263(VarCurr,bitIndex39)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_505,axiom,(
    ! [VarCurr] :
      ( v9516(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1722,axiom,(
    b100111(bitIndex5) )).

fof(bitBlastConstant_1721,axiom,(
    ~ b100111(bitIndex4) )).

fof(bitBlastConstant_1720,axiom,(
    ~ b100111(bitIndex3) )).

fof(bitBlastConstant_1719,axiom,(
    b100111(bitIndex2) )).

fof(bitBlastConstant_1718,axiom,(
    b100111(bitIndex1) )).

fof(bitBlastConstant_1717,axiom,(
    b100111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_86,axiom,(
    ! [VarCurr] :
      ( ~ v9514(VarCurr)
     => ( v9263(VarCurr,bitIndex38)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_82,axiom,(
    ! [VarCurr] :
      ( v9514(VarCurr)
     => ( v9263(VarCurr,bitIndex38)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_504,axiom,(
    ! [VarCurr] :
      ( v9514(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1716,axiom,(
    b100110(bitIndex5) )).

fof(bitBlastConstant_1715,axiom,(
    ~ b100110(bitIndex4) )).

fof(bitBlastConstant_1714,axiom,(
    ~ b100110(bitIndex3) )).

fof(bitBlastConstant_1713,axiom,(
    b100110(bitIndex2) )).

fof(bitBlastConstant_1712,axiom,(
    b100110(bitIndex1) )).

fof(bitBlastConstant_1711,axiom,(
    ~ b100110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_85,axiom,(
    ! [VarCurr] :
      ( ~ v9512(VarCurr)
     => ( v9263(VarCurr,bitIndex37)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_81,axiom,(
    ! [VarCurr] :
      ( v9512(VarCurr)
     => ( v9263(VarCurr,bitIndex37)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_503,axiom,(
    ! [VarCurr] :
      ( v9512(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1710,axiom,(
    b100101(bitIndex5) )).

fof(bitBlastConstant_1709,axiom,(
    ~ b100101(bitIndex4) )).

fof(bitBlastConstant_1708,axiom,(
    ~ b100101(bitIndex3) )).

fof(bitBlastConstant_1707,axiom,(
    b100101(bitIndex2) )).

fof(bitBlastConstant_1706,axiom,(
    ~ b100101(bitIndex1) )).

fof(bitBlastConstant_1705,axiom,(
    b100101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_84,axiom,(
    ! [VarCurr] :
      ( ~ v9510(VarCurr)
     => ( v9263(VarCurr,bitIndex36)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_80,axiom,(
    ! [VarCurr] :
      ( v9510(VarCurr)
     => ( v9263(VarCurr,bitIndex36)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_502,axiom,(
    ! [VarCurr] :
      ( v9510(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1704,axiom,(
    b100100(bitIndex5) )).

fof(bitBlastConstant_1703,axiom,(
    ~ b100100(bitIndex4) )).

fof(bitBlastConstant_1702,axiom,(
    ~ b100100(bitIndex3) )).

fof(bitBlastConstant_1701,axiom,(
    b100100(bitIndex2) )).

fof(bitBlastConstant_1700,axiom,(
    ~ b100100(bitIndex1) )).

fof(bitBlastConstant_1699,axiom,(
    ~ b100100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_83,axiom,(
    ! [VarCurr] :
      ( ~ v9508(VarCurr)
     => ( v9263(VarCurr,bitIndex35)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_79,axiom,(
    ! [VarCurr] :
      ( v9508(VarCurr)
     => ( v9263(VarCurr,bitIndex35)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_501,axiom,(
    ! [VarCurr] :
      ( v9508(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1698,axiom,(
    b100011(bitIndex5) )).

fof(bitBlastConstant_1697,axiom,(
    ~ b100011(bitIndex4) )).

fof(bitBlastConstant_1696,axiom,(
    ~ b100011(bitIndex3) )).

fof(bitBlastConstant_1695,axiom,(
    ~ b100011(bitIndex2) )).

fof(bitBlastConstant_1694,axiom,(
    b100011(bitIndex1) )).

fof(bitBlastConstant_1693,axiom,(
    b100011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_82,axiom,(
    ! [VarCurr] :
      ( ~ v9506(VarCurr)
     => ( v9263(VarCurr,bitIndex34)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_78,axiom,(
    ! [VarCurr] :
      ( v9506(VarCurr)
     => ( v9263(VarCurr,bitIndex34)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_500,axiom,(
    ! [VarCurr] :
      ( v9506(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1692,axiom,(
    b100010(bitIndex5) )).

fof(bitBlastConstant_1691,axiom,(
    ~ b100010(bitIndex4) )).

fof(bitBlastConstant_1690,axiom,(
    ~ b100010(bitIndex3) )).

fof(bitBlastConstant_1689,axiom,(
    ~ b100010(bitIndex2) )).

fof(bitBlastConstant_1688,axiom,(
    b100010(bitIndex1) )).

fof(bitBlastConstant_1687,axiom,(
    ~ b100010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_81,axiom,(
    ! [VarCurr] :
      ( ~ v9504(VarCurr)
     => ( v9263(VarCurr,bitIndex33)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_77,axiom,(
    ! [VarCurr] :
      ( v9504(VarCurr)
     => ( v9263(VarCurr,bitIndex33)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_499,axiom,(
    ! [VarCurr] :
      ( v9504(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1686,axiom,(
    b100001(bitIndex5) )).

fof(bitBlastConstant_1685,axiom,(
    ~ b100001(bitIndex4) )).

fof(bitBlastConstant_1684,axiom,(
    ~ b100001(bitIndex3) )).

fof(bitBlastConstant_1683,axiom,(
    ~ b100001(bitIndex2) )).

fof(bitBlastConstant_1682,axiom,(
    ~ b100001(bitIndex1) )).

fof(bitBlastConstant_1681,axiom,(
    b100001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_80,axiom,(
    ! [VarCurr] :
      ( ~ v9502(VarCurr)
     => ( v9263(VarCurr,bitIndex32)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_76,axiom,(
    ! [VarCurr] :
      ( v9502(VarCurr)
     => ( v9263(VarCurr,bitIndex32)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_498,axiom,(
    ! [VarCurr] :
      ( v9502(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $true )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1680,axiom,(
    b100000(bitIndex5) )).

fof(bitBlastConstant_1679,axiom,(
    ~ b100000(bitIndex4) )).

fof(bitBlastConstant_1678,axiom,(
    ~ b100000(bitIndex3) )).

fof(bitBlastConstant_1677,axiom,(
    ~ b100000(bitIndex2) )).

fof(bitBlastConstant_1676,axiom,(
    ~ b100000(bitIndex1) )).

fof(bitBlastConstant_1675,axiom,(
    ~ b100000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_79,axiom,(
    ! [VarCurr] :
      ( ~ v9500(VarCurr)
     => ( v9263(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_75,axiom,(
    ! [VarCurr] :
      ( v9500(VarCurr)
     => ( v9263(VarCurr,bitIndex31)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_497,axiom,(
    ! [VarCurr] :
      ( v9500(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1674,axiom,(
    ~ b011111(bitIndex5) )).

fof(bitBlastConstant_1673,axiom,(
    b011111(bitIndex4) )).

fof(bitBlastConstant_1672,axiom,(
    b011111(bitIndex3) )).

fof(bitBlastConstant_1671,axiom,(
    b011111(bitIndex2) )).

fof(bitBlastConstant_1670,axiom,(
    b011111(bitIndex1) )).

fof(bitBlastConstant_1669,axiom,(
    b011111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_78,axiom,(
    ! [VarCurr] :
      ( ~ v9498(VarCurr)
     => ( v9263(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_74,axiom,(
    ! [VarCurr] :
      ( v9498(VarCurr)
     => ( v9263(VarCurr,bitIndex30)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_496,axiom,(
    ! [VarCurr] :
      ( v9498(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1668,axiom,(
    ~ b011110(bitIndex5) )).

fof(bitBlastConstant_1667,axiom,(
    b011110(bitIndex4) )).

fof(bitBlastConstant_1666,axiom,(
    b011110(bitIndex3) )).

fof(bitBlastConstant_1665,axiom,(
    b011110(bitIndex2) )).

fof(bitBlastConstant_1664,axiom,(
    b011110(bitIndex1) )).

fof(bitBlastConstant_1663,axiom,(
    ~ b011110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_77,axiom,(
    ! [VarCurr] :
      ( ~ v9496(VarCurr)
     => ( v9263(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_73,axiom,(
    ! [VarCurr] :
      ( v9496(VarCurr)
     => ( v9263(VarCurr,bitIndex29)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_495,axiom,(
    ! [VarCurr] :
      ( v9496(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1662,axiom,(
    ~ b011101(bitIndex5) )).

fof(bitBlastConstant_1661,axiom,(
    b011101(bitIndex4) )).

fof(bitBlastConstant_1660,axiom,(
    b011101(bitIndex3) )).

fof(bitBlastConstant_1659,axiom,(
    b011101(bitIndex2) )).

fof(bitBlastConstant_1658,axiom,(
    ~ b011101(bitIndex1) )).

fof(bitBlastConstant_1657,axiom,(
    b011101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_76,axiom,(
    ! [VarCurr] :
      ( ~ v9494(VarCurr)
     => ( v9263(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_72,axiom,(
    ! [VarCurr] :
      ( v9494(VarCurr)
     => ( v9263(VarCurr,bitIndex28)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_494,axiom,(
    ! [VarCurr] :
      ( v9494(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1656,axiom,(
    ~ b011100(bitIndex5) )).

fof(bitBlastConstant_1655,axiom,(
    b011100(bitIndex4) )).

fof(bitBlastConstant_1654,axiom,(
    b011100(bitIndex3) )).

fof(bitBlastConstant_1653,axiom,(
    b011100(bitIndex2) )).

fof(bitBlastConstant_1652,axiom,(
    ~ b011100(bitIndex1) )).

fof(bitBlastConstant_1651,axiom,(
    ~ b011100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_75,axiom,(
    ! [VarCurr] :
      ( ~ v9492(VarCurr)
     => ( v9263(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_71,axiom,(
    ! [VarCurr] :
      ( v9492(VarCurr)
     => ( v9263(VarCurr,bitIndex27)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_493,axiom,(
    ! [VarCurr] :
      ( v9492(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1650,axiom,(
    ~ b011011(bitIndex5) )).

fof(bitBlastConstant_1649,axiom,(
    b011011(bitIndex4) )).

fof(bitBlastConstant_1648,axiom,(
    b011011(bitIndex3) )).

fof(bitBlastConstant_1647,axiom,(
    ~ b011011(bitIndex2) )).

fof(bitBlastConstant_1646,axiom,(
    b011011(bitIndex1) )).

fof(bitBlastConstant_1645,axiom,(
    b011011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_74,axiom,(
    ! [VarCurr] :
      ( ~ v9490(VarCurr)
     => ( v9263(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_70,axiom,(
    ! [VarCurr] :
      ( v9490(VarCurr)
     => ( v9263(VarCurr,bitIndex26)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_492,axiom,(
    ! [VarCurr] :
      ( v9490(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1644,axiom,(
    ~ b011010(bitIndex5) )).

fof(bitBlastConstant_1643,axiom,(
    b011010(bitIndex4) )).

fof(bitBlastConstant_1642,axiom,(
    b011010(bitIndex3) )).

fof(bitBlastConstant_1641,axiom,(
    ~ b011010(bitIndex2) )).

fof(bitBlastConstant_1640,axiom,(
    b011010(bitIndex1) )).

fof(bitBlastConstant_1639,axiom,(
    ~ b011010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_73,axiom,(
    ! [VarCurr] :
      ( ~ v9488(VarCurr)
     => ( v9263(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_69,axiom,(
    ! [VarCurr] :
      ( v9488(VarCurr)
     => ( v9263(VarCurr,bitIndex25)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_491,axiom,(
    ! [VarCurr] :
      ( v9488(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1638,axiom,(
    ~ b011001(bitIndex5) )).

fof(bitBlastConstant_1637,axiom,(
    b011001(bitIndex4) )).

fof(bitBlastConstant_1636,axiom,(
    b011001(bitIndex3) )).

fof(bitBlastConstant_1635,axiom,(
    ~ b011001(bitIndex2) )).

fof(bitBlastConstant_1634,axiom,(
    ~ b011001(bitIndex1) )).

fof(bitBlastConstant_1633,axiom,(
    b011001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_72,axiom,(
    ! [VarCurr] :
      ( ~ v9486(VarCurr)
     => ( v9263(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_68,axiom,(
    ! [VarCurr] :
      ( v9486(VarCurr)
     => ( v9263(VarCurr,bitIndex24)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_490,axiom,(
    ! [VarCurr] :
      ( v9486(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1632,axiom,(
    ~ b011000(bitIndex5) )).

fof(bitBlastConstant_1631,axiom,(
    b011000(bitIndex4) )).

fof(bitBlastConstant_1630,axiom,(
    b011000(bitIndex3) )).

fof(bitBlastConstant_1629,axiom,(
    ~ b011000(bitIndex2) )).

fof(bitBlastConstant_1628,axiom,(
    ~ b011000(bitIndex1) )).

fof(bitBlastConstant_1627,axiom,(
    ~ b011000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_71,axiom,(
    ! [VarCurr] :
      ( ~ v9484(VarCurr)
     => ( v9263(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_67,axiom,(
    ! [VarCurr] :
      ( v9484(VarCurr)
     => ( v9263(VarCurr,bitIndex23)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_489,axiom,(
    ! [VarCurr] :
      ( v9484(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1626,axiom,(
    ~ b010111(bitIndex5) )).

fof(bitBlastConstant_1625,axiom,(
    b010111(bitIndex4) )).

fof(bitBlastConstant_1624,axiom,(
    ~ b010111(bitIndex3) )).

fof(bitBlastConstant_1623,axiom,(
    b010111(bitIndex2) )).

fof(bitBlastConstant_1622,axiom,(
    b010111(bitIndex1) )).

fof(bitBlastConstant_1621,axiom,(
    b010111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_70,axiom,(
    ! [VarCurr] :
      ( ~ v9482(VarCurr)
     => ( v9263(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_66,axiom,(
    ! [VarCurr] :
      ( v9482(VarCurr)
     => ( v9263(VarCurr,bitIndex22)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_488,axiom,(
    ! [VarCurr] :
      ( v9482(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1620,axiom,(
    ~ b010110(bitIndex5) )).

fof(bitBlastConstant_1619,axiom,(
    b010110(bitIndex4) )).

fof(bitBlastConstant_1618,axiom,(
    ~ b010110(bitIndex3) )).

fof(bitBlastConstant_1617,axiom,(
    b010110(bitIndex2) )).

fof(bitBlastConstant_1616,axiom,(
    b010110(bitIndex1) )).

fof(bitBlastConstant_1615,axiom,(
    ~ b010110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_69,axiom,(
    ! [VarCurr] :
      ( ~ v9480(VarCurr)
     => ( v9263(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_65,axiom,(
    ! [VarCurr] :
      ( v9480(VarCurr)
     => ( v9263(VarCurr,bitIndex21)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_487,axiom,(
    ! [VarCurr] :
      ( v9480(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1614,axiom,(
    ~ b010101(bitIndex5) )).

fof(bitBlastConstant_1613,axiom,(
    b010101(bitIndex4) )).

fof(bitBlastConstant_1612,axiom,(
    ~ b010101(bitIndex3) )).

fof(bitBlastConstant_1611,axiom,(
    b010101(bitIndex2) )).

fof(bitBlastConstant_1610,axiom,(
    ~ b010101(bitIndex1) )).

fof(bitBlastConstant_1609,axiom,(
    b010101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_68,axiom,(
    ! [VarCurr] :
      ( ~ v9478(VarCurr)
     => ( v9263(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_64,axiom,(
    ! [VarCurr] :
      ( v9478(VarCurr)
     => ( v9263(VarCurr,bitIndex20)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_486,axiom,(
    ! [VarCurr] :
      ( v9478(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1608,axiom,(
    ~ b010100(bitIndex5) )).

fof(bitBlastConstant_1607,axiom,(
    b010100(bitIndex4) )).

fof(bitBlastConstant_1606,axiom,(
    ~ b010100(bitIndex3) )).

fof(bitBlastConstant_1605,axiom,(
    b010100(bitIndex2) )).

fof(bitBlastConstant_1604,axiom,(
    ~ b010100(bitIndex1) )).

fof(bitBlastConstant_1603,axiom,(
    ~ b010100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_67,axiom,(
    ! [VarCurr] :
      ( ~ v9476(VarCurr)
     => ( v9263(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_63,axiom,(
    ! [VarCurr] :
      ( v9476(VarCurr)
     => ( v9263(VarCurr,bitIndex19)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_485,axiom,(
    ! [VarCurr] :
      ( v9476(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1602,axiom,(
    ~ b010011(bitIndex5) )).

fof(bitBlastConstant_1601,axiom,(
    b010011(bitIndex4) )).

fof(bitBlastConstant_1600,axiom,(
    ~ b010011(bitIndex3) )).

fof(bitBlastConstant_1599,axiom,(
    ~ b010011(bitIndex2) )).

fof(bitBlastConstant_1598,axiom,(
    b010011(bitIndex1) )).

fof(bitBlastConstant_1597,axiom,(
    b010011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_66,axiom,(
    ! [VarCurr] :
      ( ~ v9474(VarCurr)
     => ( v9263(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_62,axiom,(
    ! [VarCurr] :
      ( v9474(VarCurr)
     => ( v9263(VarCurr,bitIndex18)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_484,axiom,(
    ! [VarCurr] :
      ( v9474(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1596,axiom,(
    ~ b010010(bitIndex5) )).

fof(bitBlastConstant_1595,axiom,(
    b010010(bitIndex4) )).

fof(bitBlastConstant_1594,axiom,(
    ~ b010010(bitIndex3) )).

fof(bitBlastConstant_1593,axiom,(
    ~ b010010(bitIndex2) )).

fof(bitBlastConstant_1592,axiom,(
    b010010(bitIndex1) )).

fof(bitBlastConstant_1591,axiom,(
    ~ b010010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_65,axiom,(
    ! [VarCurr] :
      ( ~ v9472(VarCurr)
     => ( v9263(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_61,axiom,(
    ! [VarCurr] :
      ( v9472(VarCurr)
     => ( v9263(VarCurr,bitIndex17)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_483,axiom,(
    ! [VarCurr] :
      ( v9472(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1590,axiom,(
    ~ b010001(bitIndex5) )).

fof(bitBlastConstant_1589,axiom,(
    b010001(bitIndex4) )).

fof(bitBlastConstant_1588,axiom,(
    ~ b010001(bitIndex3) )).

fof(bitBlastConstant_1587,axiom,(
    ~ b010001(bitIndex2) )).

fof(bitBlastConstant_1586,axiom,(
    ~ b010001(bitIndex1) )).

fof(bitBlastConstant_1585,axiom,(
    b010001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_64,axiom,(
    ! [VarCurr] :
      ( ~ v9470(VarCurr)
     => ( v9263(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_60,axiom,(
    ! [VarCurr] :
      ( v9470(VarCurr)
     => ( v9263(VarCurr,bitIndex16)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_482,axiom,(
    ! [VarCurr] :
      ( v9470(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $true )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1584,axiom,(
    ~ b010000(bitIndex5) )).

fof(bitBlastConstant_1583,axiom,(
    b010000(bitIndex4) )).

fof(bitBlastConstant_1582,axiom,(
    ~ b010000(bitIndex3) )).

fof(bitBlastConstant_1581,axiom,(
    ~ b010000(bitIndex2) )).

fof(bitBlastConstant_1580,axiom,(
    ~ b010000(bitIndex1) )).

fof(bitBlastConstant_1579,axiom,(
    ~ b010000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_63,axiom,(
    ! [VarCurr] :
      ( ~ v9468(VarCurr)
     => ( v9263(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_59,axiom,(
    ! [VarCurr] :
      ( v9468(VarCurr)
     => ( v9263(VarCurr,bitIndex15)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_481,axiom,(
    ! [VarCurr] :
      ( v9468(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1578,axiom,(
    ~ b001111(bitIndex5) )).

fof(bitBlastConstant_1577,axiom,(
    ~ b001111(bitIndex4) )).

fof(bitBlastConstant_1576,axiom,(
    b001111(bitIndex3) )).

fof(bitBlastConstant_1575,axiom,(
    b001111(bitIndex2) )).

fof(bitBlastConstant_1574,axiom,(
    b001111(bitIndex1) )).

fof(bitBlastConstant_1573,axiom,(
    b001111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_62,axiom,(
    ! [VarCurr] :
      ( ~ v9466(VarCurr)
     => ( v9263(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_58,axiom,(
    ! [VarCurr] :
      ( v9466(VarCurr)
     => ( v9263(VarCurr,bitIndex14)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_480,axiom,(
    ! [VarCurr] :
      ( v9466(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1572,axiom,(
    ~ b001110(bitIndex5) )).

fof(bitBlastConstant_1571,axiom,(
    ~ b001110(bitIndex4) )).

fof(bitBlastConstant_1570,axiom,(
    b001110(bitIndex3) )).

fof(bitBlastConstant_1569,axiom,(
    b001110(bitIndex2) )).

fof(bitBlastConstant_1568,axiom,(
    b001110(bitIndex1) )).

fof(bitBlastConstant_1567,axiom,(
    ~ b001110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_61,axiom,(
    ! [VarCurr] :
      ( ~ v9464(VarCurr)
     => ( v9263(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_57,axiom,(
    ! [VarCurr] :
      ( v9464(VarCurr)
     => ( v9263(VarCurr,bitIndex13)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_479,axiom,(
    ! [VarCurr] :
      ( v9464(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1566,axiom,(
    ~ b001101(bitIndex5) )).

fof(bitBlastConstant_1565,axiom,(
    ~ b001101(bitIndex4) )).

fof(bitBlastConstant_1564,axiom,(
    b001101(bitIndex3) )).

fof(bitBlastConstant_1563,axiom,(
    b001101(bitIndex2) )).

fof(bitBlastConstant_1562,axiom,(
    ~ b001101(bitIndex1) )).

fof(bitBlastConstant_1561,axiom,(
    b001101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_60,axiom,(
    ! [VarCurr] :
      ( ~ v9462(VarCurr)
     => ( v9263(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_56,axiom,(
    ! [VarCurr] :
      ( v9462(VarCurr)
     => ( v9263(VarCurr,bitIndex12)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_478,axiom,(
    ! [VarCurr] :
      ( v9462(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1560,axiom,(
    ~ b001100(bitIndex5) )).

fof(bitBlastConstant_1559,axiom,(
    ~ b001100(bitIndex4) )).

fof(bitBlastConstant_1558,axiom,(
    b001100(bitIndex3) )).

fof(bitBlastConstant_1557,axiom,(
    b001100(bitIndex2) )).

fof(bitBlastConstant_1556,axiom,(
    ~ b001100(bitIndex1) )).

fof(bitBlastConstant_1555,axiom,(
    ~ b001100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_59,axiom,(
    ! [VarCurr] :
      ( ~ v9460(VarCurr)
     => ( v9263(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_55,axiom,(
    ! [VarCurr] :
      ( v9460(VarCurr)
     => ( v9263(VarCurr,bitIndex11)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_477,axiom,(
    ! [VarCurr] :
      ( v9460(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1554,axiom,(
    ~ b001011(bitIndex5) )).

fof(bitBlastConstant_1553,axiom,(
    ~ b001011(bitIndex4) )).

fof(bitBlastConstant_1552,axiom,(
    b001011(bitIndex3) )).

fof(bitBlastConstant_1551,axiom,(
    ~ b001011(bitIndex2) )).

fof(bitBlastConstant_1550,axiom,(
    b001011(bitIndex1) )).

fof(bitBlastConstant_1549,axiom,(
    b001011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_58,axiom,(
    ! [VarCurr] :
      ( ~ v9458(VarCurr)
     => ( v9263(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_54,axiom,(
    ! [VarCurr] :
      ( v9458(VarCurr)
     => ( v9263(VarCurr,bitIndex10)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_476,axiom,(
    ! [VarCurr] :
      ( v9458(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1548,axiom,(
    ~ b001010(bitIndex5) )).

fof(bitBlastConstant_1547,axiom,(
    ~ b001010(bitIndex4) )).

fof(bitBlastConstant_1546,axiom,(
    b001010(bitIndex3) )).

fof(bitBlastConstant_1545,axiom,(
    ~ b001010(bitIndex2) )).

fof(bitBlastConstant_1544,axiom,(
    b001010(bitIndex1) )).

fof(bitBlastConstant_1543,axiom,(
    ~ b001010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_57,axiom,(
    ! [VarCurr] :
      ( ~ v9456(VarCurr)
     => ( v9263(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_53,axiom,(
    ! [VarCurr] :
      ( v9456(VarCurr)
     => ( v9263(VarCurr,bitIndex9)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_475,axiom,(
    ! [VarCurr] :
      ( v9456(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1542,axiom,(
    ~ b001001(bitIndex5) )).

fof(bitBlastConstant_1541,axiom,(
    ~ b001001(bitIndex4) )).

fof(bitBlastConstant_1540,axiom,(
    b001001(bitIndex3) )).

fof(bitBlastConstant_1539,axiom,(
    ~ b001001(bitIndex2) )).

fof(bitBlastConstant_1538,axiom,(
    ~ b001001(bitIndex1) )).

fof(bitBlastConstant_1537,axiom,(
    b001001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_56,axiom,(
    ! [VarCurr] :
      ( ~ v9454(VarCurr)
     => ( v9263(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_52,axiom,(
    ! [VarCurr] :
      ( v9454(VarCurr)
     => ( v9263(VarCurr,bitIndex8)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_474,axiom,(
    ! [VarCurr] :
      ( v9454(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $true )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1536,axiom,(
    ~ b001000(bitIndex5) )).

fof(bitBlastConstant_1535,axiom,(
    ~ b001000(bitIndex4) )).

fof(bitBlastConstant_1534,axiom,(
    b001000(bitIndex3) )).

fof(bitBlastConstant_1533,axiom,(
    ~ b001000(bitIndex2) )).

fof(bitBlastConstant_1532,axiom,(
    ~ b001000(bitIndex1) )).

fof(bitBlastConstant_1531,axiom,(
    ~ b001000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_55,axiom,(
    ! [VarCurr] :
      ( ~ v9452(VarCurr)
     => ( v9263(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_51,axiom,(
    ! [VarCurr] :
      ( v9452(VarCurr)
     => ( v9263(VarCurr,bitIndex7)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_473,axiom,(
    ! [VarCurr] :
      ( v9452(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1530,axiom,(
    ~ b000111(bitIndex5) )).

fof(bitBlastConstant_1529,axiom,(
    ~ b000111(bitIndex4) )).

fof(bitBlastConstant_1528,axiom,(
    ~ b000111(bitIndex3) )).

fof(bitBlastConstant_1527,axiom,(
    b000111(bitIndex2) )).

fof(bitBlastConstant_1526,axiom,(
    b000111(bitIndex1) )).

fof(bitBlastConstant_1525,axiom,(
    b000111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_54,axiom,(
    ! [VarCurr] :
      ( ~ v9450(VarCurr)
     => ( v9263(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_50,axiom,(
    ! [VarCurr] :
      ( v9450(VarCurr)
     => ( v9263(VarCurr,bitIndex6)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_472,axiom,(
    ! [VarCurr] :
      ( v9450(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1524,axiom,(
    ~ b000110(bitIndex5) )).

fof(bitBlastConstant_1523,axiom,(
    ~ b000110(bitIndex4) )).

fof(bitBlastConstant_1522,axiom,(
    ~ b000110(bitIndex3) )).

fof(bitBlastConstant_1521,axiom,(
    b000110(bitIndex2) )).

fof(bitBlastConstant_1520,axiom,(
    b000110(bitIndex1) )).

fof(bitBlastConstant_1519,axiom,(
    ~ b000110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_53,axiom,(
    ! [VarCurr] :
      ( ~ v9448(VarCurr)
     => ( v9263(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_49,axiom,(
    ! [VarCurr] :
      ( v9448(VarCurr)
     => ( v9263(VarCurr,bitIndex5)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_471,axiom,(
    ! [VarCurr] :
      ( v9448(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1518,axiom,(
    ~ b000101(bitIndex5) )).

fof(bitBlastConstant_1517,axiom,(
    ~ b000101(bitIndex4) )).

fof(bitBlastConstant_1516,axiom,(
    ~ b000101(bitIndex3) )).

fof(bitBlastConstant_1515,axiom,(
    b000101(bitIndex2) )).

fof(bitBlastConstant_1514,axiom,(
    ~ b000101(bitIndex1) )).

fof(bitBlastConstant_1513,axiom,(
    b000101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_52,axiom,(
    ! [VarCurr] :
      ( ~ v9446(VarCurr)
     => ( v9263(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_48,axiom,(
    ! [VarCurr] :
      ( v9446(VarCurr)
     => ( v9263(VarCurr,bitIndex4)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_470,axiom,(
    ! [VarCurr] :
      ( v9446(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $true )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1512,axiom,(
    ~ b000100(bitIndex5) )).

fof(bitBlastConstant_1511,axiom,(
    ~ b000100(bitIndex4) )).

fof(bitBlastConstant_1510,axiom,(
    ~ b000100(bitIndex3) )).

fof(bitBlastConstant_1509,axiom,(
    b000100(bitIndex2) )).

fof(bitBlastConstant_1508,axiom,(
    ~ b000100(bitIndex1) )).

fof(bitBlastConstant_1507,axiom,(
    ~ b000100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_51,axiom,(
    ! [VarCurr] :
      ( ~ v9444(VarCurr)
     => ( v9263(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_47,axiom,(
    ! [VarCurr] :
      ( v9444(VarCurr)
     => ( v9263(VarCurr,bitIndex3)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_469,axiom,(
    ! [VarCurr] :
      ( v9444(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1506,axiom,(
    ~ b000011(bitIndex5) )).

fof(bitBlastConstant_1505,axiom,(
    ~ b000011(bitIndex4) )).

fof(bitBlastConstant_1504,axiom,(
    ~ b000011(bitIndex3) )).

fof(bitBlastConstant_1503,axiom,(
    ~ b000011(bitIndex2) )).

fof(bitBlastConstant_1502,axiom,(
    b000011(bitIndex1) )).

fof(bitBlastConstant_1501,axiom,(
    b000011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_50,axiom,(
    ! [VarCurr] :
      ( ~ v9442(VarCurr)
     => ( v9263(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_46,axiom,(
    ! [VarCurr] :
      ( v9442(VarCurr)
     => ( v9263(VarCurr,bitIndex2)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_468,axiom,(
    ! [VarCurr] :
      ( v9442(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $true )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1500,axiom,(
    ~ b000010(bitIndex5) )).

fof(bitBlastConstant_1499,axiom,(
    ~ b000010(bitIndex4) )).

fof(bitBlastConstant_1498,axiom,(
    ~ b000010(bitIndex3) )).

fof(bitBlastConstant_1497,axiom,(
    ~ b000010(bitIndex2) )).

fof(bitBlastConstant_1496,axiom,(
    b000010(bitIndex1) )).

fof(bitBlastConstant_1495,axiom,(
    ~ b000010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_49,axiom,(
    ! [VarCurr] :
      ( ~ v9440(VarCurr)
     => ( v9263(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_45,axiom,(
    ! [VarCurr] :
      ( v9440(VarCurr)
     => ( v9263(VarCurr,bitIndex1)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_467,axiom,(
    ! [VarCurr] :
      ( v9440(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1494,axiom,(
    ~ b000001(bitIndex5) )).

fof(bitBlastConstant_1493,axiom,(
    ~ b000001(bitIndex4) )).

fof(bitBlastConstant_1492,axiom,(
    ~ b000001(bitIndex3) )).

fof(bitBlastConstant_1491,axiom,(
    ~ b000001(bitIndex2) )).

fof(bitBlastConstant_1490,axiom,(
    ~ b000001(bitIndex1) )).

fof(bitBlastConstant_1489,axiom,(
    b000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_174,axiom,(
    ! [VarCurr] :
      ( ~ v9438(VarCurr)
     => ( v9263(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_178,axiom,(
    ! [VarCurr] :
      ( v9438(VarCurr)
     => ( v9263(VarCurr,bitIndex0)
      <=> v9318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_466,axiom,(
    ! [VarCurr] :
      ( v9438(VarCurr)
    <=> ( ( v9265(VarCurr,bitIndex5)
        <=> $false )
        & ( v9265(VarCurr,bitIndex4)
        <=> $false )
        & ( v9265(VarCurr,bitIndex3)
        <=> $false )
        & ( v9265(VarCurr,bitIndex2)
        <=> $false )
        & ( v9265(VarCurr,bitIndex1)
        <=> $false )
        & ( v9265(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2477,axiom,(
    ! [VarCurr] :
      ( v9318(VarCurr)
    <=> ( v9320(VarCurr)
        | v9353(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2476,axiom,(
    ! [VarCurr] :
      ( v9353(VarCurr)
    <=> ( v9355(VarCurr)
        & v9373(VarCurr) ) ) )).

fof(writeUnaryOperator_1290,axiom,(
    ! [VarCurr] :
      ( ~ v9373(VarCurr)
    <=> v9365(VarCurr,bitIndex0) ) )).

fof(addAssignment_2650,axiom,(
    ! [VarCurr] :
      ( v9365(VarCurr,bitIndex0)
    <=> v9367(VarCurr,bitIndex0) ) )).

fof(addAssignment_2649,axiom,(
    ! [VarCurr] :
      ( v9367(VarCurr,bitIndex0)
    <=> v9369(VarCurr,bitIndex0) ) )).

fof(addAssignment_2648,axiom,(
    ! [VarCurr] :
      ( v9369(VarCurr,bitIndex0)
    <=> v9371(VarCurr,bitIndex0) ) )).

fof(addAssignment_2647,axiom,(
    ! [VarCurr] :
      ( v9371(VarCurr,bitIndex0)
    <=> v6623(VarCurr,bitIndex0) ) )).

fof(addAssignment_2646,axiom,(
    ! [VarCurr] :
      ( v9355(VarCurr)
    <=> v9357(VarCurr) ) )).

fof(addAssignment_2645,axiom,(
    ! [VarCurr] :
      ( v9357(VarCurr)
    <=> v9359(VarCurr) ) )).

fof(addAssignment_2644,axiom,(
    ! [VarCurr] :
      ( v9359(VarCurr)
    <=> v9361(VarCurr) ) )).

fof(addAssignment_2643,axiom,(
    ! [VarCurr] :
      ( v9361(VarCurr)
    <=> v9363(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2475,axiom,(
    ! [VarCurr] :
      ( v9320(VarCurr)
    <=> ( v9322(VarCurr)
        & v9351(VarCurr) ) ) )).

fof(writeUnaryOperator_1289,axiom,(
    ! [VarCurr] :
      ( ~ v9351(VarCurr)
    <=> v9343(VarCurr) ) )).

fof(addAssignment_2642,axiom,(
    ! [VarCurr] :
      ( v9343(VarCurr)
    <=> v9345(VarCurr) ) )).

fof(addAssignment_2641,axiom,(
    ! [VarCurr] :
      ( v9345(VarCurr)
    <=> v9347(VarCurr) ) )).

fof(addAssignment_2640,axiom,(
    ! [VarCurr] :
      ( v9347(VarCurr)
    <=> v9349(VarCurr) ) )).

fof(addAssignment_2639,axiom,(
    ! [VarCurr] :
      ( v9349(VarCurr)
    <=> v8443(VarCurr) ) )).

fof(addAssignment_2638,axiom,(
    ! [VarCurr] :
      ( v9322(VarCurr)
    <=> v9324(VarCurr) ) )).

fof(addAssignment_2637,axiom,(
    ! [VarCurr] :
      ( v9324(VarCurr)
    <=> v9326(VarCurr) ) )).

fof(addAssignment_2636,axiom,(
    ! [VarCurr] :
      ( v9326(VarCurr)
    <=> v9328(VarCurr) ) )).

fof(addAssignment_2635,axiom,(
    ! [VarCurr] :
      ( v9328(VarCurr)
    <=> v9330(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_173,axiom,(
    ! [VarCurr] :
      ( ~ v9332(VarCurr)
     => ( v9330(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_177,axiom,(
    ! [VarCurr] :
      ( v9332(VarCurr)
     => ( v9330(VarCurr)
      <=> v9340(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_642,axiom,(
    ! [VarCurr] :
      ( v9340(VarCurr)
    <=> ( v9275(VarCurr,bitIndex0)
        & v9275(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2474,axiom,(
    ! [VarCurr] :
      ( v9332(VarCurr)
    <=> ( v9333(VarCurr)
        | v5801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2473,axiom,(
    ! [VarCurr] :
      ( v9333(VarCurr)
    <=> ( v9334(VarCurr)
        | v5800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2472,axiom,(
    ! [VarCurr] :
      ( v9334(VarCurr)
    <=> ( v9335(VarCurr)
        | v9339(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_465,axiom,(
    ! [VarCurr] :
      ( v9339(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2471,axiom,(
    ! [VarCurr] :
      ( v9335(VarCurr)
    <=> ( v9336(VarCurr)
        | v9338(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_464,axiom,(
    ! [VarCurr] :
      ( v9338(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2470,axiom,(
    ! [VarCurr] :
      ( v9336(VarCurr)
    <=> ( v8447(VarCurr)
        | v9337(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_463,axiom,(
    ! [VarCurr] :
      ( v9337(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_172,axiom,(
    ! [VarCurr] :
      ( ~ v9267(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v9265(VarCurr,B)
          <=> v9307(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_176,axiom,(
    ! [VarCurr] :
      ( v9267(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v9265(VarCurr,B)
          <=> v9297(VarCurr,B) ) ) ) )).

fof(addAssignment_2634,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9307(VarCurr,B)
      <=> v9309(VarCurr,B) ) ) )).

fof(addAssignment_2633,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9309(VarCurr,B)
      <=> v9311(VarCurr,B) ) ) )).

fof(addAssignment_2632,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9311(VarCurr,B)
      <=> v9313(VarCurr,B) ) ) )).

fof(addAssignment_2631,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9313(VarCurr,B)
      <=> v9315(VarCurr,B) ) ) )).

fof(addAssignment_2630,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9297(VarCurr,B)
      <=> v9299(VarCurr,B) ) ) )).

fof(addAssignment_2629,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9299(VarCurr,B)
      <=> v9301(VarCurr,B) ) ) )).

fof(addAssignment_2628,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9301(VarCurr,B)
      <=> v9303(VarCurr,B) ) ) )).

fof(addAssignment_2627,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v9303(VarCurr,B)
      <=> v9305(VarCurr,B) ) ) )).

fof(addAssignment_2626,axiom,(
    ! [VarCurr] :
      ( v9267(VarCurr)
    <=> v9269(VarCurr) ) )).

fof(addAssignment_2625,axiom,(
    ! [VarCurr] :
      ( v9269(VarCurr)
    <=> v9271(VarCurr) ) )).

fof(addAssignment_2624,axiom,(
    ! [VarCurr] :
      ( v9271(VarCurr)
    <=> v9273(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_641,axiom,(
    ! [VarCurr] :
      ( v9273(VarCurr)
    <=> ( v9275(VarCurr,bitIndex0)
        | v9275(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_90,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9283(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v9275(VarNext,B)
            <=> v9275(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_93,axiom,(
    ! [VarNext] :
      ( v9283(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v9275(VarNext,B)
          <=> v9291(VarNext,B) ) ) ) )).

fof(addAssignment_2623,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v9291(VarNext,B)
          <=> v9289(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_171,axiom,(
    ! [VarCurr] :
      ( ~ v9228(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v9289(VarCurr,B)
          <=> v9277(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_175,axiom,(
    ! [VarCurr] :
      ( v9228(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v9289(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2469,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9283(VarNext)
      <=> v9284(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2468,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9284(VarNext)
      <=> ( v9286(VarNext)
          & v9214(VarNext) ) ) ) )).

fof(writeUnaryOperator_1288,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9286(VarNext)
      <=> v9221(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_170,axiom,(
    ! [VarCurr] :
      ( ~ v9208(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v9277(VarCurr,B)
          <=> v9275(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_174,axiom,(
    ! [VarCurr] :
      ( v9208(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v9277(VarCurr,B)
          <=> v9279(VarCurr,B) ) ) ) )).

fof(addAssignment_2622,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v9279(VarCurr,B)
      <=> v4985(VarCurr,B) ) ) )).

fof(addAssignment_2621,axiom,(
    ! [VarCurr] :
      ( v9249(VarCurr)
    <=> v9251(VarCurr) ) )).

fof(addAssignment_2620,axiom,(
    ! [VarCurr] :
      ( v9251(VarCurr)
    <=> v9253(VarCurr) ) )).

fof(addAssignment_2619,axiom,(
    ! [VarCurr] :
      ( v9253(VarCurr)
    <=> v9255(VarCurr) ) )).

fof(addAssignment_2618,axiom,(
    ! [VarCurr] :
      ( v9255(VarCurr)
    <=> v5313(VarCurr,bitIndex1) ) )).

fof(addAssignment_2617,axiom,(
    ! [VarCurr] :
      ( v9247(VarCurr)
    <=> v4967(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2467,axiom,(
    ! [VarCurr] :
      ( v8194(VarCurr)
    <=> ( v8196(VarCurr)
        & v8435(VarCurr) ) ) )).

fof(addAssignment_2616,axiom,(
    ! [VarCurr] :
      ( v8435(VarCurr)
    <=> v8437(VarCurr) ) )).

fof(addAssignment_2615,axiom,(
    ! [VarCurr] :
      ( v8437(VarCurr)
    <=> v8439(VarCurr) ) )).

fof(addAssignment_2614,axiom,(
    ! [VarCurr] :
      ( v8439(VarCurr)
    <=> v8441(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_89,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9217(VarNext)
       => ( v8441(VarNext)
        <=> v8441(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_92,axiom,(
    ! [VarNext] :
      ( v9217(VarNext)
     => ( v8441(VarNext)
      <=> v9227(VarNext) ) ) )).

fof(addAssignment_2613,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9227(VarNext)
      <=> v9225(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_169,axiom,(
    ! [VarCurr] :
      ( ~ v9228(VarCurr)
     => ( v9225(VarCurr)
      <=> v8443(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_173,axiom,(
    ! [VarCurr] :
      ( v9228(VarCurr)
     => ( v9225(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_1287,axiom,(
    ! [VarCurr] :
      ( ~ v9228(VarCurr)
    <=> v4963(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2466,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9217(VarNext)
      <=> v9218(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2465,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9218(VarNext)
      <=> ( v9219(VarNext)
          & v9214(VarNext) ) ) ) )).

fof(writeUnaryOperator_1286,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9219(VarNext)
      <=> v9221(VarNext) ) ) )).

fof(addAssignment_2612,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9221(VarNext)
      <=> v9214(VarCurr) ) ) )).

fof(addAssignment_2611,axiom,(
    ! [VarCurr] :
      ( v9214(VarCurr)
    <=> v5623(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2464,axiom,(
    ! [VarCurr] :
      ( v8443(VarCurr)
    <=> ( v9211(VarCurr)
        & v9212(VarCurr) ) ) )).

fof(writeUnaryOperator_1285,axiom,(
    ! [VarCurr] :
      ( ~ v9212(VarCurr)
    <=> v8449(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2463,axiom,(
    ! [VarCurr] :
      ( v9211(VarCurr)
    <=> ( v8441(VarCurr)
        | v8445(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_168,axiom,(
    ! [VarCurr] :
      ( ~ v9205(VarCurr)
     => ( v8449(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_172,axiom,(
    ! [VarCurr] :
      ( v9205(VarCurr)
     => ( v8449(VarCurr)
      <=> v9209(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_27,axiom,(
    ! [VarCurr] :
      ( ( ~ v9208(VarCurr)
        & ~ v8221(VarCurr)
        & ~ v5800(VarCurr) )
     => ( v9209(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_44,axiom,(
    ! [VarCurr] :
      ( v5800(VarCurr)
     => ( v9209(VarCurr)
      <=> v8451(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_127,axiom,(
    ! [VarCurr] :
      ( v8221(VarCurr)
     => ( v9209(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_126,axiom,(
    ! [VarCurr] :
      ( v9208(VarCurr)
     => ( v9209(VarCurr)
      <=> v8451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2462,axiom,(
    ! [VarCurr] :
      ( v9205(VarCurr)
    <=> ( v9206(VarCurr)
        | v5801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2461,axiom,(
    ! [VarCurr] :
      ( v9206(VarCurr)
    <=> ( v9207(VarCurr)
        | v5800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2460,axiom,(
    ! [VarCurr] :
      ( v9207(VarCurr)
    <=> ( v9208(VarCurr)
        | v8221(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_462,axiom,(
    ! [VarCurr] :
      ( v9208(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2459,axiom,(
    ! [VarCurr] :
      ( v8451(VarCurr)
    <=> ( v8441(VarCurr)
        & v8453(VarCurr) ) ) )).

fof(addAssignment_2610,axiom,(
    ! [VarCurr] :
      ( v8453(VarCurr)
    <=> v8455(VarCurr) ) )).

fof(addAssignment_2609,axiom,(
    ! [VarCurr] :
      ( v8455(VarCurr)
    <=> v8457(VarCurr) ) )).

fof(addAssignment_2608,axiom,(
    ! [VarCurr] :
      ( v8457(VarCurr)
    <=> v8459(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2458,axiom,(
    ! [VarCurr] :
      ( v8459(VarCurr)
    <=> ( v8461(VarCurr)
        | v8514(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2457,axiom,(
    ! [VarCurr] :
      ( v8514(VarCurr)
    <=> ( v8516(VarCurr)
        & v9201(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_461,axiom,(
    ! [VarCurr] :
      ( v9201(VarCurr)
    <=> ( ( v8569(VarCurr,bitIndex32)
        <=> v8595(VarCurr,bitIndex32) )
        & ( v8569(VarCurr,bitIndex31)
        <=> v8595(VarCurr,bitIndex31) )
        & ( v8569(VarCurr,bitIndex30)
        <=> v8595(VarCurr,bitIndex30) )
        & ( v8569(VarCurr,bitIndex29)
        <=> v8595(VarCurr,bitIndex29) )
        & ( v8569(VarCurr,bitIndex28)
        <=> v8595(VarCurr,bitIndex28) )
        & ( v8569(VarCurr,bitIndex27)
        <=> v8595(VarCurr,bitIndex27) )
        & ( v8569(VarCurr,bitIndex26)
        <=> v8595(VarCurr,bitIndex26) )
        & ( v8569(VarCurr,bitIndex25)
        <=> v8595(VarCurr,bitIndex25) )
        & ( v8569(VarCurr,bitIndex24)
        <=> v8595(VarCurr,bitIndex24) )
        & ( v8569(VarCurr,bitIndex23)
        <=> v8595(VarCurr,bitIndex23) )
        & ( v8569(VarCurr,bitIndex22)
        <=> v8595(VarCurr,bitIndex22) )
        & ( v8569(VarCurr,bitIndex21)
        <=> v8595(VarCurr,bitIndex21) )
        & ( v8569(VarCurr,bitIndex20)
        <=> v8595(VarCurr,bitIndex20) )
        & ( v8569(VarCurr,bitIndex19)
        <=> v8595(VarCurr,bitIndex19) )
        & ( v8569(VarCurr,bitIndex18)
        <=> v8595(VarCurr,bitIndex18) )
        & ( v8569(VarCurr,bitIndex17)
        <=> v8595(VarCurr,bitIndex17) )
        & ( v8569(VarCurr,bitIndex16)
        <=> v8595(VarCurr,bitIndex16) )
        & ( v8569(VarCurr,bitIndex15)
        <=> v8595(VarCurr,bitIndex15) )
        & ( v8569(VarCurr,bitIndex14)
        <=> v8595(VarCurr,bitIndex14) )
        & ( v8569(VarCurr,bitIndex13)
        <=> v8595(VarCurr,bitIndex13) )
        & ( v8569(VarCurr,bitIndex12)
        <=> v8595(VarCurr,bitIndex12) )
        & ( v8569(VarCurr,bitIndex11)
        <=> v8595(VarCurr,bitIndex11) )
        & ( v8569(VarCurr,bitIndex10)
        <=> v8595(VarCurr,bitIndex10) )
        & ( v8569(VarCurr,bitIndex9)
        <=> v8595(VarCurr,bitIndex9) )
        & ( v8569(VarCurr,bitIndex8)
        <=> v8595(VarCurr,bitIndex8) )
        & ( v8569(VarCurr,bitIndex7)
        <=> v8595(VarCurr,bitIndex7) )
        & ( v8569(VarCurr,bitIndex6)
        <=> v8595(VarCurr,bitIndex6) )
        & ( v8569(VarCurr,bitIndex5)
        <=> v8595(VarCurr,bitIndex5) )
        & ( v8569(VarCurr,bitIndex4)
        <=> v8595(VarCurr,bitIndex4) )
        & ( v8569(VarCurr,bitIndex3)
        <=> v8595(VarCurr,bitIndex3) )
        & ( v8569(VarCurr,bitIndex2)
        <=> v8595(VarCurr,bitIndex2) )
        & ( v8569(VarCurr,bitIndex1)
        <=> v8595(VarCurr,bitIndex1) )
        & ( v8569(VarCurr,bitIndex0)
        <=> v8595(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_2607,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8595(VarCurr,B)
      <=> v8597(VarCurr,B) ) ) )).

fof(addAssignment_2606,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8597(VarCurr,B)
      <=> v8599(VarCurr,B) ) ) )).

fof(addAssignment_2605,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8599(VarCurr,B)
      <=> v8601(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_88,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9184(VarNext)
       => ! [B] :
            ( range_32_0(B)
           => ( v8601(VarNext,B)
            <=> v8601(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_91,axiom,(
    ! [VarNext] :
      ( v9184(VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v8601(VarNext,B)
          <=> v9197(VarNext,B) ) ) ) )).

fof(addAssignment_2604,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v9197(VarNext,B)
          <=> v9195(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_126,axiom,(
    ! [VarCurr] :
      ( ~ v8272(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v9195(VarCurr,B)
          <=> v8603(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_125,axiom,(
    ! [VarCurr] :
      ( v8272(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v9195(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2456,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9184(VarNext)
      <=> ( v9185(VarNext)
          & v9192(VarNext) ) ) ) )).

fof(addAssignment_2603,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9192(VarNext)
      <=> v9190(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2455,axiom,(
    ! [VarCurr] :
      ( v9190(VarCurr)
    <=> ( v8272(VarCurr)
        | v9193(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2454,axiom,(
    ! [VarCurr] :
      ( v9193(VarCurr)
    <=> ( v8211(VarCurr)
        & v9194(VarCurr) ) ) )).

fof(writeUnaryOperator_1284,axiom,(
    ! [VarCurr] :
      ( ~ v9194(VarCurr)
    <=> v8272(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2453,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9185(VarNext)
      <=> ( v9187(VarNext)
          & v8258(VarNext) ) ) ) )).

fof(writeUnaryOperator_1283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9187(VarNext)
      <=> v8265(VarNext) ) ) )).

fof(addAssignment_2602,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8603(VarCurr,B)
      <=> v8605(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_167,axiom,(
    ! [VarCurr] :
      ( ~ v8607(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8605(VarCurr,B)
          <=> v9181(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_171,axiom,(
    ! [VarCurr] :
      ( v8607(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8605(VarCurr,B)
          <=> v9180(VarCurr,B) ) ) ) )).

fof(addAssignment_2601,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v9181(VarCurr,B)
      <=> v8695(VarCurr,B) ) ) )).

fof(addAssignment_2600,axiom,(
    ! [VarCurr] :
      ( ( v9181(VarCurr,bitIndex32)
      <=> v8609(VarCurr,bitIndex25) )
      & ( v9181(VarCurr,bitIndex31)
      <=> v8609(VarCurr,bitIndex24) )
      & ( v9181(VarCurr,bitIndex30)
      <=> v8609(VarCurr,bitIndex23) )
      & ( v9181(VarCurr,bitIndex29)
      <=> v8609(VarCurr,bitIndex22) )
      & ( v9181(VarCurr,bitIndex28)
      <=> v8609(VarCurr,bitIndex21) )
      & ( v9181(VarCurr,bitIndex27)
      <=> v8609(VarCurr,bitIndex20) )
      & ( v9181(VarCurr,bitIndex26)
      <=> v8609(VarCurr,bitIndex19) )
      & ( v9181(VarCurr,bitIndex25)
      <=> v8609(VarCurr,bitIndex18) )
      & ( v9181(VarCurr,bitIndex24)
      <=> v8609(VarCurr,bitIndex17) )
      & ( v9181(VarCurr,bitIndex23)
      <=> v8609(VarCurr,bitIndex16) )
      & ( v9181(VarCurr,bitIndex22)
      <=> v8609(VarCurr,bitIndex15) )
      & ( v9181(VarCurr,bitIndex21)
      <=> v8609(VarCurr,bitIndex14) )
      & ( v9181(VarCurr,bitIndex20)
      <=> v8609(VarCurr,bitIndex13) )
      & ( v9181(VarCurr,bitIndex19)
      <=> v8609(VarCurr,bitIndex12) )
      & ( v9181(VarCurr,bitIndex18)
      <=> v8609(VarCurr,bitIndex11) )
      & ( v9181(VarCurr,bitIndex17)
      <=> v8609(VarCurr,bitIndex10) )
      & ( v9181(VarCurr,bitIndex16)
      <=> v8609(VarCurr,bitIndex9) )
      & ( v9181(VarCurr,bitIndex15)
      <=> v8609(VarCurr,bitIndex8) )
      & ( v9181(VarCurr,bitIndex14)
      <=> v8609(VarCurr,bitIndex7) )
      & ( v9181(VarCurr,bitIndex13)
      <=> v8609(VarCurr,bitIndex6) )
      & ( v9181(VarCurr,bitIndex12)
      <=> v8609(VarCurr,bitIndex5) )
      & ( v9181(VarCurr,bitIndex11)
      <=> v8609(VarCurr,bitIndex4) )
      & ( v9181(VarCurr,bitIndex10)
      <=> v8609(VarCurr,bitIndex3) )
      & ( v9181(VarCurr,bitIndex9)
      <=> v8609(VarCurr,bitIndex2) )
      & ( v9181(VarCurr,bitIndex8)
      <=> v8609(VarCurr,bitIndex1) )
      & ( v9181(VarCurr,bitIndex7)
      <=> v8609(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2599,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v9180(VarCurr,B)
      <=> v8609(VarCurr,B) ) ) )).

fof(addAssignment_2598,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8695(VarCurr,B)
      <=> v8741(VarCurr,B) ) ) )).

fof(addAssignment_2597,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8739(VarCurr,B)
      <=> v8740(VarCurr,B) ) ) )).

fof(addAssignment_2596,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8736(VarCurr,B)
      <=> v8737(VarCurr,B) ) ) )).

fof(addAssignment_2595,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8733(VarCurr,B)
      <=> v8734(VarCurr,B) ) ) )).

fof(addAssignment_2594,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8730(VarCurr,B)
      <=> v8731(VarCurr,B) ) ) )).

fof(addAssignment_2593,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8727(VarCurr,B)
      <=> v8728(VarCurr,B) ) ) )).

fof(addAssignment_2592,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8724(VarCurr,B)
      <=> v8725(VarCurr,B) ) ) )).

fof(addAssignment_2591,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8721(VarCurr,B)
      <=> v8722(VarCurr,B) ) ) )).

fof(addAssignment_2590,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8711(VarCurr,B)
      <=> v8719(VarCurr,B) ) ) )).

fof(addAssignment_2589,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8707(VarCurr,B)
      <=> v8708(VarCurr,B) ) ) )).

fof(addAssignment_2588,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8709(VarCurr,B)
      <=> v8717(VarCurr,B) ) ) )).

fof(addAssignment_2587,axiom,(
    ! [VarCurr] :
      ( ( v8716(VarCurr,bitIndex2)
      <=> v8235(VarCurr,bitIndex16) )
      & ( v8716(VarCurr,bitIndex1)
      <=> v8235(VarCurr,bitIndex15) )
      & ( v8716(VarCurr,bitIndex0)
      <=> v8235(VarCurr,bitIndex14) ) ) )).

fof(addAssignment_2586,axiom,(
    ! [VarCurr] :
      ( ( v8716(VarCurr,bitIndex6)
      <=> v8235(VarCurr,bitIndex20) )
      & ( v8716(VarCurr,bitIndex5)
      <=> v8235(VarCurr,bitIndex19) )
      & ( v8716(VarCurr,bitIndex4)
      <=> v8235(VarCurr,bitIndex18) )
      & ( v8716(VarCurr,bitIndex3)
      <=> v8235(VarCurr,bitIndex17) ) ) )).

fof(addAssignment_2585,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex0)
    <=> v9174(VarCurr) ) )).

fof(addAssignment_2584,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex1)
    <=> v9169(VarCurr) ) )).

fof(addAssignment_2583,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex2)
    <=> v9164(VarCurr) ) )).

fof(addAssignment_2582,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex3)
    <=> v9159(VarCurr) ) )).

fof(addAssignment_2581,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex4)
    <=> v9154(VarCurr) ) )).

fof(addAssignment_2580,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex5)
    <=> v9149(VarCurr) ) )).

fof(addAssignment_2579,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex6)
    <=> v9144(VarCurr) ) )).

fof(addAssignment_2578,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex7)
    <=> v9139(VarCurr) ) )).

fof(addAssignment_2577,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex8)
    <=> v9134(VarCurr) ) )).

fof(addAssignment_2576,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex9)
    <=> v9129(VarCurr) ) )).

fof(addAssignment_2575,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex10)
    <=> v9124(VarCurr) ) )).

fof(addAssignment_2574,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex11)
    <=> v9119(VarCurr) ) )).

fof(addAssignment_2573,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex12)
    <=> v9114(VarCurr) ) )).

fof(addAssignment_2572,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex13)
    <=> v9109(VarCurr) ) )).

fof(addAssignment_2571,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex14)
    <=> v9104(VarCurr) ) )).

fof(addAssignment_2570,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex15)
    <=> v9099(VarCurr) ) )).

fof(addAssignment_2569,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex16)
    <=> v9094(VarCurr) ) )).

fof(addAssignment_2568,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex17)
    <=> v9089(VarCurr) ) )).

fof(addAssignment_2567,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex18)
    <=> v9084(VarCurr) ) )).

fof(addAssignment_2566,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex19)
    <=> v9079(VarCurr) ) )).

fof(addAssignment_2565,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex20)
    <=> v9074(VarCurr) ) )).

fof(addAssignment_2564,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex21)
    <=> v9069(VarCurr) ) )).

fof(addAssignment_2563,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex22)
    <=> v9064(VarCurr) ) )).

fof(addAssignment_2562,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex23)
    <=> v9059(VarCurr) ) )).

fof(addAssignment_2561,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex24)
    <=> v9054(VarCurr) ) )).

fof(addAssignment_2560,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex25)
    <=> v9049(VarCurr) ) )).

fof(addAssignment_2559,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex26)
    <=> v9044(VarCurr) ) )).

fof(addAssignment_2558,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex27)
    <=> v9039(VarCurr) ) )).

fof(addAssignment_2557,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex28)
    <=> v9034(VarCurr) ) )).

fof(addAssignment_2556,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex29)
    <=> v9029(VarCurr) ) )).

fof(addAssignment_2555,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex30)
    <=> v9024(VarCurr) ) )).

fof(addAssignment_2554,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex31)
    <=> v9019(VarCurr) ) )).

fof(addAssignment_2553,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr,bitIndex32)
    <=> v8760(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2452,axiom,(
    ! [VarCurr] :
      ( v9174(VarCurr)
    <=> ( v9175(VarCurr)
        & v9178(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2451,axiom,(
    ! [VarCurr] :
      ( v9178(VarCurr)
    <=> ( v8611(VarCurr,bitIndex0)
        | v8693(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2450,axiom,(
    ! [VarCurr] :
      ( v9175(VarCurr)
    <=> ( v9176(VarCurr)
        | v9177(VarCurr) ) ) )).

fof(writeUnaryOperator_1282,axiom,(
    ! [VarCurr] :
      ( ~ v9177(VarCurr)
    <=> v8693(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1281,axiom,(
    ! [VarCurr] :
      ( ~ v9176(VarCurr)
    <=> v8611(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2449,axiom,(
    ! [VarCurr] :
      ( v9169(VarCurr)
    <=> ( v9170(VarCurr)
        & v9173(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2448,axiom,(
    ! [VarCurr] :
      ( v9173(VarCurr)
    <=> ( v8825(VarCurr)
        | v8826(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2447,axiom,(
    ! [VarCurr] :
      ( v9170(VarCurr)
    <=> ( v9171(VarCurr)
        | v9172(VarCurr) ) ) )).

fof(writeUnaryOperator_1280,axiom,(
    ! [VarCurr] :
      ( ~ v9172(VarCurr)
    <=> v8826(VarCurr) ) )).

fof(writeUnaryOperator_1279,axiom,(
    ! [VarCurr] :
      ( ~ v9171(VarCurr)
    <=> v8825(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2446,axiom,(
    ! [VarCurr] :
      ( v9164(VarCurr)
    <=> ( v9165(VarCurr)
        & v9168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2445,axiom,(
    ! [VarCurr] :
      ( v9168(VarCurr)
    <=> ( v8823(VarCurr)
        | v8832(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2444,axiom,(
    ! [VarCurr] :
      ( v9165(VarCurr)
    <=> ( v9166(VarCurr)
        | v9167(VarCurr) ) ) )).

fof(writeUnaryOperator_1278,axiom,(
    ! [VarCurr] :
      ( ~ v9167(VarCurr)
    <=> v8832(VarCurr) ) )).

fof(writeUnaryOperator_1277,axiom,(
    ! [VarCurr] :
      ( ~ v9166(VarCurr)
    <=> v8823(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2443,axiom,(
    ! [VarCurr] :
      ( v9159(VarCurr)
    <=> ( v9160(VarCurr)
        & v9163(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2442,axiom,(
    ! [VarCurr] :
      ( v9163(VarCurr)
    <=> ( v8821(VarCurr)
        | v8838(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2441,axiom,(
    ! [VarCurr] :
      ( v9160(VarCurr)
    <=> ( v9161(VarCurr)
        | v9162(VarCurr) ) ) )).

fof(writeUnaryOperator_1276,axiom,(
    ! [VarCurr] :
      ( ~ v9162(VarCurr)
    <=> v8838(VarCurr) ) )).

fof(writeUnaryOperator_1275,axiom,(
    ! [VarCurr] :
      ( ~ v9161(VarCurr)
    <=> v8821(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2440,axiom,(
    ! [VarCurr] :
      ( v9154(VarCurr)
    <=> ( v9155(VarCurr)
        & v9158(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2439,axiom,(
    ! [VarCurr] :
      ( v9158(VarCurr)
    <=> ( v8819(VarCurr)
        | v8844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2438,axiom,(
    ! [VarCurr] :
      ( v9155(VarCurr)
    <=> ( v9156(VarCurr)
        | v9157(VarCurr) ) ) )).

fof(writeUnaryOperator_1274,axiom,(
    ! [VarCurr] :
      ( ~ v9157(VarCurr)
    <=> v8844(VarCurr) ) )).

fof(writeUnaryOperator_1273,axiom,(
    ! [VarCurr] :
      ( ~ v9156(VarCurr)
    <=> v8819(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2437,axiom,(
    ! [VarCurr] :
      ( v9149(VarCurr)
    <=> ( v9150(VarCurr)
        & v9153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2436,axiom,(
    ! [VarCurr] :
      ( v9153(VarCurr)
    <=> ( v8817(VarCurr)
        | v8850(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2435,axiom,(
    ! [VarCurr] :
      ( v9150(VarCurr)
    <=> ( v9151(VarCurr)
        | v9152(VarCurr) ) ) )).

fof(writeUnaryOperator_1272,axiom,(
    ! [VarCurr] :
      ( ~ v9152(VarCurr)
    <=> v8850(VarCurr) ) )).

fof(writeUnaryOperator_1271,axiom,(
    ! [VarCurr] :
      ( ~ v9151(VarCurr)
    <=> v8817(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2434,axiom,(
    ! [VarCurr] :
      ( v9144(VarCurr)
    <=> ( v9145(VarCurr)
        & v9148(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2433,axiom,(
    ! [VarCurr] :
      ( v9148(VarCurr)
    <=> ( v8815(VarCurr)
        | v8856(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2432,axiom,(
    ! [VarCurr] :
      ( v9145(VarCurr)
    <=> ( v9146(VarCurr)
        | v9147(VarCurr) ) ) )).

fof(writeUnaryOperator_1270,axiom,(
    ! [VarCurr] :
      ( ~ v9147(VarCurr)
    <=> v8856(VarCurr) ) )).

fof(writeUnaryOperator_1269,axiom,(
    ! [VarCurr] :
      ( ~ v9146(VarCurr)
    <=> v8815(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2431,axiom,(
    ! [VarCurr] :
      ( v9139(VarCurr)
    <=> ( v9140(VarCurr)
        & v9143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2430,axiom,(
    ! [VarCurr] :
      ( v9143(VarCurr)
    <=> ( v8813(VarCurr)
        | v8862(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2429,axiom,(
    ! [VarCurr] :
      ( v9140(VarCurr)
    <=> ( v9141(VarCurr)
        | v9142(VarCurr) ) ) )).

fof(writeUnaryOperator_1268,axiom,(
    ! [VarCurr] :
      ( ~ v9142(VarCurr)
    <=> v8862(VarCurr) ) )).

fof(writeUnaryOperator_1267,axiom,(
    ! [VarCurr] :
      ( ~ v9141(VarCurr)
    <=> v8813(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2428,axiom,(
    ! [VarCurr] :
      ( v9134(VarCurr)
    <=> ( v9135(VarCurr)
        & v9138(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2427,axiom,(
    ! [VarCurr] :
      ( v9138(VarCurr)
    <=> ( v8811(VarCurr)
        | v8868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2426,axiom,(
    ! [VarCurr] :
      ( v9135(VarCurr)
    <=> ( v9136(VarCurr)
        | v9137(VarCurr) ) ) )).

fof(writeUnaryOperator_1266,axiom,(
    ! [VarCurr] :
      ( ~ v9137(VarCurr)
    <=> v8868(VarCurr) ) )).

fof(writeUnaryOperator_1265,axiom,(
    ! [VarCurr] :
      ( ~ v9136(VarCurr)
    <=> v8811(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2425,axiom,(
    ! [VarCurr] :
      ( v9129(VarCurr)
    <=> ( v9130(VarCurr)
        & v9133(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2424,axiom,(
    ! [VarCurr] :
      ( v9133(VarCurr)
    <=> ( v8809(VarCurr)
        | v8874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2423,axiom,(
    ! [VarCurr] :
      ( v9130(VarCurr)
    <=> ( v9131(VarCurr)
        | v9132(VarCurr) ) ) )).

fof(writeUnaryOperator_1264,axiom,(
    ! [VarCurr] :
      ( ~ v9132(VarCurr)
    <=> v8874(VarCurr) ) )).

fof(writeUnaryOperator_1263,axiom,(
    ! [VarCurr] :
      ( ~ v9131(VarCurr)
    <=> v8809(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2422,axiom,(
    ! [VarCurr] :
      ( v9124(VarCurr)
    <=> ( v9125(VarCurr)
        & v9128(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2421,axiom,(
    ! [VarCurr] :
      ( v9128(VarCurr)
    <=> ( v8807(VarCurr)
        | v8880(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2420,axiom,(
    ! [VarCurr] :
      ( v9125(VarCurr)
    <=> ( v9126(VarCurr)
        | v9127(VarCurr) ) ) )).

fof(writeUnaryOperator_1262,axiom,(
    ! [VarCurr] :
      ( ~ v9127(VarCurr)
    <=> v8880(VarCurr) ) )).

fof(writeUnaryOperator_1261,axiom,(
    ! [VarCurr] :
      ( ~ v9126(VarCurr)
    <=> v8807(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2419,axiom,(
    ! [VarCurr] :
      ( v9119(VarCurr)
    <=> ( v9120(VarCurr)
        & v9123(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2418,axiom,(
    ! [VarCurr] :
      ( v9123(VarCurr)
    <=> ( v8805(VarCurr)
        | v8886(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2417,axiom,(
    ! [VarCurr] :
      ( v9120(VarCurr)
    <=> ( v9121(VarCurr)
        | v9122(VarCurr) ) ) )).

fof(writeUnaryOperator_1260,axiom,(
    ! [VarCurr] :
      ( ~ v9122(VarCurr)
    <=> v8886(VarCurr) ) )).

fof(writeUnaryOperator_1259,axiom,(
    ! [VarCurr] :
      ( ~ v9121(VarCurr)
    <=> v8805(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2416,axiom,(
    ! [VarCurr] :
      ( v9114(VarCurr)
    <=> ( v9115(VarCurr)
        & v9118(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2415,axiom,(
    ! [VarCurr] :
      ( v9118(VarCurr)
    <=> ( v8803(VarCurr)
        | v8892(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2414,axiom,(
    ! [VarCurr] :
      ( v9115(VarCurr)
    <=> ( v9116(VarCurr)
        | v9117(VarCurr) ) ) )).

fof(writeUnaryOperator_1258,axiom,(
    ! [VarCurr] :
      ( ~ v9117(VarCurr)
    <=> v8892(VarCurr) ) )).

fof(writeUnaryOperator_1257,axiom,(
    ! [VarCurr] :
      ( ~ v9116(VarCurr)
    <=> v8803(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2413,axiom,(
    ! [VarCurr] :
      ( v9109(VarCurr)
    <=> ( v9110(VarCurr)
        & v9113(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2412,axiom,(
    ! [VarCurr] :
      ( v9113(VarCurr)
    <=> ( v8801(VarCurr)
        | v8898(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2411,axiom,(
    ! [VarCurr] :
      ( v9110(VarCurr)
    <=> ( v9111(VarCurr)
        | v9112(VarCurr) ) ) )).

fof(writeUnaryOperator_1256,axiom,(
    ! [VarCurr] :
      ( ~ v9112(VarCurr)
    <=> v8898(VarCurr) ) )).

fof(writeUnaryOperator_1255,axiom,(
    ! [VarCurr] :
      ( ~ v9111(VarCurr)
    <=> v8801(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2410,axiom,(
    ! [VarCurr] :
      ( v9104(VarCurr)
    <=> ( v9105(VarCurr)
        & v9108(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2409,axiom,(
    ! [VarCurr] :
      ( v9108(VarCurr)
    <=> ( v8799(VarCurr)
        | v8904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2408,axiom,(
    ! [VarCurr] :
      ( v9105(VarCurr)
    <=> ( v9106(VarCurr)
        | v9107(VarCurr) ) ) )).

fof(writeUnaryOperator_1254,axiom,(
    ! [VarCurr] :
      ( ~ v9107(VarCurr)
    <=> v8904(VarCurr) ) )).

fof(writeUnaryOperator_1253,axiom,(
    ! [VarCurr] :
      ( ~ v9106(VarCurr)
    <=> v8799(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2407,axiom,(
    ! [VarCurr] :
      ( v9099(VarCurr)
    <=> ( v9100(VarCurr)
        & v9103(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2406,axiom,(
    ! [VarCurr] :
      ( v9103(VarCurr)
    <=> ( v8797(VarCurr)
        | v8910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2405,axiom,(
    ! [VarCurr] :
      ( v9100(VarCurr)
    <=> ( v9101(VarCurr)
        | v9102(VarCurr) ) ) )).

fof(writeUnaryOperator_1252,axiom,(
    ! [VarCurr] :
      ( ~ v9102(VarCurr)
    <=> v8910(VarCurr) ) )).

fof(writeUnaryOperator_1251,axiom,(
    ! [VarCurr] :
      ( ~ v9101(VarCurr)
    <=> v8797(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2404,axiom,(
    ! [VarCurr] :
      ( v9094(VarCurr)
    <=> ( v9095(VarCurr)
        & v9098(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2403,axiom,(
    ! [VarCurr] :
      ( v9098(VarCurr)
    <=> ( v8795(VarCurr)
        | v8916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2402,axiom,(
    ! [VarCurr] :
      ( v9095(VarCurr)
    <=> ( v9096(VarCurr)
        | v9097(VarCurr) ) ) )).

fof(writeUnaryOperator_1250,axiom,(
    ! [VarCurr] :
      ( ~ v9097(VarCurr)
    <=> v8916(VarCurr) ) )).

fof(writeUnaryOperator_1249,axiom,(
    ! [VarCurr] :
      ( ~ v9096(VarCurr)
    <=> v8795(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2401,axiom,(
    ! [VarCurr] :
      ( v9089(VarCurr)
    <=> ( v9090(VarCurr)
        & v9093(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2400,axiom,(
    ! [VarCurr] :
      ( v9093(VarCurr)
    <=> ( v8793(VarCurr)
        | v8922(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2399,axiom,(
    ! [VarCurr] :
      ( v9090(VarCurr)
    <=> ( v9091(VarCurr)
        | v9092(VarCurr) ) ) )).

fof(writeUnaryOperator_1248,axiom,(
    ! [VarCurr] :
      ( ~ v9092(VarCurr)
    <=> v8922(VarCurr) ) )).

fof(writeUnaryOperator_1247,axiom,(
    ! [VarCurr] :
      ( ~ v9091(VarCurr)
    <=> v8793(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2398,axiom,(
    ! [VarCurr] :
      ( v9084(VarCurr)
    <=> ( v9085(VarCurr)
        & v9088(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2397,axiom,(
    ! [VarCurr] :
      ( v9088(VarCurr)
    <=> ( v8791(VarCurr)
        | v8928(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2396,axiom,(
    ! [VarCurr] :
      ( v9085(VarCurr)
    <=> ( v9086(VarCurr)
        | v9087(VarCurr) ) ) )).

fof(writeUnaryOperator_1246,axiom,(
    ! [VarCurr] :
      ( ~ v9087(VarCurr)
    <=> v8928(VarCurr) ) )).

fof(writeUnaryOperator_1245,axiom,(
    ! [VarCurr] :
      ( ~ v9086(VarCurr)
    <=> v8791(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2395,axiom,(
    ! [VarCurr] :
      ( v9079(VarCurr)
    <=> ( v9080(VarCurr)
        & v9083(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2394,axiom,(
    ! [VarCurr] :
      ( v9083(VarCurr)
    <=> ( v8789(VarCurr)
        | v8934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2393,axiom,(
    ! [VarCurr] :
      ( v9080(VarCurr)
    <=> ( v9081(VarCurr)
        | v9082(VarCurr) ) ) )).

fof(writeUnaryOperator_1244,axiom,(
    ! [VarCurr] :
      ( ~ v9082(VarCurr)
    <=> v8934(VarCurr) ) )).

fof(writeUnaryOperator_1243,axiom,(
    ! [VarCurr] :
      ( ~ v9081(VarCurr)
    <=> v8789(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2392,axiom,(
    ! [VarCurr] :
      ( v9074(VarCurr)
    <=> ( v9075(VarCurr)
        & v9078(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2391,axiom,(
    ! [VarCurr] :
      ( v9078(VarCurr)
    <=> ( v8787(VarCurr)
        | v8940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2390,axiom,(
    ! [VarCurr] :
      ( v9075(VarCurr)
    <=> ( v9076(VarCurr)
        | v9077(VarCurr) ) ) )).

fof(writeUnaryOperator_1242,axiom,(
    ! [VarCurr] :
      ( ~ v9077(VarCurr)
    <=> v8940(VarCurr) ) )).

fof(writeUnaryOperator_1241,axiom,(
    ! [VarCurr] :
      ( ~ v9076(VarCurr)
    <=> v8787(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2389,axiom,(
    ! [VarCurr] :
      ( v9069(VarCurr)
    <=> ( v9070(VarCurr)
        & v9073(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2388,axiom,(
    ! [VarCurr] :
      ( v9073(VarCurr)
    <=> ( v8785(VarCurr)
        | v8946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2387,axiom,(
    ! [VarCurr] :
      ( v9070(VarCurr)
    <=> ( v9071(VarCurr)
        | v9072(VarCurr) ) ) )).

fof(writeUnaryOperator_1240,axiom,(
    ! [VarCurr] :
      ( ~ v9072(VarCurr)
    <=> v8946(VarCurr) ) )).

fof(writeUnaryOperator_1239,axiom,(
    ! [VarCurr] :
      ( ~ v9071(VarCurr)
    <=> v8785(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2386,axiom,(
    ! [VarCurr] :
      ( v9064(VarCurr)
    <=> ( v9065(VarCurr)
        & v9068(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2385,axiom,(
    ! [VarCurr] :
      ( v9068(VarCurr)
    <=> ( v8783(VarCurr)
        | v8952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2384,axiom,(
    ! [VarCurr] :
      ( v9065(VarCurr)
    <=> ( v9066(VarCurr)
        | v9067(VarCurr) ) ) )).

fof(writeUnaryOperator_1238,axiom,(
    ! [VarCurr] :
      ( ~ v9067(VarCurr)
    <=> v8952(VarCurr) ) )).

fof(writeUnaryOperator_1237,axiom,(
    ! [VarCurr] :
      ( ~ v9066(VarCurr)
    <=> v8783(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2383,axiom,(
    ! [VarCurr] :
      ( v9059(VarCurr)
    <=> ( v9060(VarCurr)
        & v9063(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2382,axiom,(
    ! [VarCurr] :
      ( v9063(VarCurr)
    <=> ( v8781(VarCurr)
        | v8958(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2381,axiom,(
    ! [VarCurr] :
      ( v9060(VarCurr)
    <=> ( v9061(VarCurr)
        | v9062(VarCurr) ) ) )).

fof(writeUnaryOperator_1236,axiom,(
    ! [VarCurr] :
      ( ~ v9062(VarCurr)
    <=> v8958(VarCurr) ) )).

fof(writeUnaryOperator_1235,axiom,(
    ! [VarCurr] :
      ( ~ v9061(VarCurr)
    <=> v8781(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2380,axiom,(
    ! [VarCurr] :
      ( v9054(VarCurr)
    <=> ( v9055(VarCurr)
        & v9058(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2379,axiom,(
    ! [VarCurr] :
      ( v9058(VarCurr)
    <=> ( v8779(VarCurr)
        | v8964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2378,axiom,(
    ! [VarCurr] :
      ( v9055(VarCurr)
    <=> ( v9056(VarCurr)
        | v9057(VarCurr) ) ) )).

fof(writeUnaryOperator_1234,axiom,(
    ! [VarCurr] :
      ( ~ v9057(VarCurr)
    <=> v8964(VarCurr) ) )).

fof(writeUnaryOperator_1233,axiom,(
    ! [VarCurr] :
      ( ~ v9056(VarCurr)
    <=> v8779(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2377,axiom,(
    ! [VarCurr] :
      ( v9049(VarCurr)
    <=> ( v9050(VarCurr)
        & v9053(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2376,axiom,(
    ! [VarCurr] :
      ( v9053(VarCurr)
    <=> ( v8777(VarCurr)
        | v8970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2375,axiom,(
    ! [VarCurr] :
      ( v9050(VarCurr)
    <=> ( v9051(VarCurr)
        | v9052(VarCurr) ) ) )).

fof(writeUnaryOperator_1232,axiom,(
    ! [VarCurr] :
      ( ~ v9052(VarCurr)
    <=> v8970(VarCurr) ) )).

fof(writeUnaryOperator_1231,axiom,(
    ! [VarCurr] :
      ( ~ v9051(VarCurr)
    <=> v8777(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2374,axiom,(
    ! [VarCurr] :
      ( v9044(VarCurr)
    <=> ( v9045(VarCurr)
        & v9048(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2373,axiom,(
    ! [VarCurr] :
      ( v9048(VarCurr)
    <=> ( v8775(VarCurr)
        | v8976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2372,axiom,(
    ! [VarCurr] :
      ( v9045(VarCurr)
    <=> ( v9046(VarCurr)
        | v9047(VarCurr) ) ) )).

fof(writeUnaryOperator_1230,axiom,(
    ! [VarCurr] :
      ( ~ v9047(VarCurr)
    <=> v8976(VarCurr) ) )).

fof(writeUnaryOperator_1229,axiom,(
    ! [VarCurr] :
      ( ~ v9046(VarCurr)
    <=> v8775(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2371,axiom,(
    ! [VarCurr] :
      ( v9039(VarCurr)
    <=> ( v9040(VarCurr)
        & v9043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2370,axiom,(
    ! [VarCurr] :
      ( v9043(VarCurr)
    <=> ( v8773(VarCurr)
        | v8982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2369,axiom,(
    ! [VarCurr] :
      ( v9040(VarCurr)
    <=> ( v9041(VarCurr)
        | v9042(VarCurr) ) ) )).

fof(writeUnaryOperator_1228,axiom,(
    ! [VarCurr] :
      ( ~ v9042(VarCurr)
    <=> v8982(VarCurr) ) )).

fof(writeUnaryOperator_1227,axiom,(
    ! [VarCurr] :
      ( ~ v9041(VarCurr)
    <=> v8773(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2368,axiom,(
    ! [VarCurr] :
      ( v9034(VarCurr)
    <=> ( v9035(VarCurr)
        & v9038(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2367,axiom,(
    ! [VarCurr] :
      ( v9038(VarCurr)
    <=> ( v8771(VarCurr)
        | v8988(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2366,axiom,(
    ! [VarCurr] :
      ( v9035(VarCurr)
    <=> ( v9036(VarCurr)
        | v9037(VarCurr) ) ) )).

fof(writeUnaryOperator_1226,axiom,(
    ! [VarCurr] :
      ( ~ v9037(VarCurr)
    <=> v8988(VarCurr) ) )).

fof(writeUnaryOperator_1225,axiom,(
    ! [VarCurr] :
      ( ~ v9036(VarCurr)
    <=> v8771(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2365,axiom,(
    ! [VarCurr] :
      ( v9029(VarCurr)
    <=> ( v9030(VarCurr)
        & v9033(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2364,axiom,(
    ! [VarCurr] :
      ( v9033(VarCurr)
    <=> ( v8769(VarCurr)
        | v8994(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2363,axiom,(
    ! [VarCurr] :
      ( v9030(VarCurr)
    <=> ( v9031(VarCurr)
        | v9032(VarCurr) ) ) )).

fof(writeUnaryOperator_1224,axiom,(
    ! [VarCurr] :
      ( ~ v9032(VarCurr)
    <=> v8994(VarCurr) ) )).

fof(writeUnaryOperator_1223,axiom,(
    ! [VarCurr] :
      ( ~ v9031(VarCurr)
    <=> v8769(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2362,axiom,(
    ! [VarCurr] :
      ( v9024(VarCurr)
    <=> ( v9025(VarCurr)
        & v9028(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2361,axiom,(
    ! [VarCurr] :
      ( v9028(VarCurr)
    <=> ( v8767(VarCurr)
        | v9000(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2360,axiom,(
    ! [VarCurr] :
      ( v9025(VarCurr)
    <=> ( v9026(VarCurr)
        | v9027(VarCurr) ) ) )).

fof(writeUnaryOperator_1222,axiom,(
    ! [VarCurr] :
      ( ~ v9027(VarCurr)
    <=> v9000(VarCurr) ) )).

fof(writeUnaryOperator_1221,axiom,(
    ! [VarCurr] :
      ( ~ v9026(VarCurr)
    <=> v8767(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2359,axiom,(
    ! [VarCurr] :
      ( v9019(VarCurr)
    <=> ( v9020(VarCurr)
        & v9023(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2358,axiom,(
    ! [VarCurr] :
      ( v9023(VarCurr)
    <=> ( v8765(VarCurr)
        | v9006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2357,axiom,(
    ! [VarCurr] :
      ( v9020(VarCurr)
    <=> ( v9021(VarCurr)
        | v9022(VarCurr) ) ) )).

fof(writeUnaryOperator_1220,axiom,(
    ! [VarCurr] :
      ( ~ v9022(VarCurr)
    <=> v9006(VarCurr) ) )).

fof(writeUnaryOperator_1219,axiom,(
    ! [VarCurr] :
      ( ~ v9021(VarCurr)
    <=> v8765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2356,axiom,(
    ! [VarCurr] :
      ( v8760(VarCurr)
    <=> ( v8761(VarCurr)
        & v9018(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2355,axiom,(
    ! [VarCurr] :
      ( v9018(VarCurr)
    <=> ( v8763(VarCurr)
        | v9013(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2354,axiom,(
    ! [VarCurr] :
      ( v8761(VarCurr)
    <=> ( v8762(VarCurr)
        | v9012(VarCurr) ) ) )).

fof(writeUnaryOperator_1218,axiom,(
    ! [VarCurr] :
      ( ~ v9012(VarCurr)
    <=> v9013(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2353,axiom,(
    ! [VarCurr] :
      ( v9013(VarCurr)
    <=> ( v9014(VarCurr)
        & v9017(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_640,axiom,(
    ! [VarCurr] :
      ( v9017(VarCurr)
    <=> ( v8611(VarCurr,bitIndex32)
        | v8693(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2352,axiom,(
    ! [VarCurr] :
      ( v9014(VarCurr)
    <=> ( v9015(VarCurr)
        | v9016(VarCurr) ) ) )).

fof(writeUnaryOperator_1217,axiom,(
    ! [VarCurr] :
      ( ~ v9016(VarCurr)
    <=> v8693(VarCurr,bitIndex32) ) )).

fof(writeUnaryOperator_1216,axiom,(
    ! [VarCurr] :
      ( ~ v9015(VarCurr)
    <=> v8611(VarCurr,bitIndex32) ) )).

fof(writeUnaryOperator_1215,axiom,(
    ! [VarCurr] :
      ( ~ v8762(VarCurr)
    <=> v8763(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2351,axiom,(
    ! [VarCurr] :
      ( v8763(VarCurr)
    <=> ( v8764(VarCurr)
        | v9011(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_639,axiom,(
    ! [VarCurr] :
      ( v9011(VarCurr)
    <=> ( v8611(VarCurr,bitIndex31)
        & v8693(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2350,axiom,(
    ! [VarCurr] :
      ( v8764(VarCurr)
    <=> ( v8765(VarCurr)
        & v9006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2349,axiom,(
    ! [VarCurr] :
      ( v9006(VarCurr)
    <=> ( v9007(VarCurr)
        & v9010(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_638,axiom,(
    ! [VarCurr] :
      ( v9010(VarCurr)
    <=> ( v8611(VarCurr,bitIndex31)
        | v8693(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2348,axiom,(
    ! [VarCurr] :
      ( v9007(VarCurr)
    <=> ( v9008(VarCurr)
        | v9009(VarCurr) ) ) )).

fof(writeUnaryOperator_1214,axiom,(
    ! [VarCurr] :
      ( ~ v9009(VarCurr)
    <=> v8693(VarCurr,bitIndex31) ) )).

fof(writeUnaryOperator_1213,axiom,(
    ! [VarCurr] :
      ( ~ v9008(VarCurr)
    <=> v8611(VarCurr,bitIndex31) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2347,axiom,(
    ! [VarCurr] :
      ( v8765(VarCurr)
    <=> ( v8766(VarCurr)
        | v9005(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_637,axiom,(
    ! [VarCurr] :
      ( v9005(VarCurr)
    <=> ( v8611(VarCurr,bitIndex30)
        & v8693(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2346,axiom,(
    ! [VarCurr] :
      ( v8766(VarCurr)
    <=> ( v8767(VarCurr)
        & v9000(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2345,axiom,(
    ! [VarCurr] :
      ( v9000(VarCurr)
    <=> ( v9001(VarCurr)
        & v9004(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_636,axiom,(
    ! [VarCurr] :
      ( v9004(VarCurr)
    <=> ( v8611(VarCurr,bitIndex30)
        | v8693(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2344,axiom,(
    ! [VarCurr] :
      ( v9001(VarCurr)
    <=> ( v9002(VarCurr)
        | v9003(VarCurr) ) ) )).

fof(writeUnaryOperator_1212,axiom,(
    ! [VarCurr] :
      ( ~ v9003(VarCurr)
    <=> v8693(VarCurr,bitIndex30) ) )).

fof(writeUnaryOperator_1211,axiom,(
    ! [VarCurr] :
      ( ~ v9002(VarCurr)
    <=> v8611(VarCurr,bitIndex30) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2343,axiom,(
    ! [VarCurr] :
      ( v8767(VarCurr)
    <=> ( v8768(VarCurr)
        | v8999(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_635,axiom,(
    ! [VarCurr] :
      ( v8999(VarCurr)
    <=> ( v8611(VarCurr,bitIndex29)
        & v8693(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2342,axiom,(
    ! [VarCurr] :
      ( v8768(VarCurr)
    <=> ( v8769(VarCurr)
        & v8994(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2341,axiom,(
    ! [VarCurr] :
      ( v8994(VarCurr)
    <=> ( v8995(VarCurr)
        & v8998(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_634,axiom,(
    ! [VarCurr] :
      ( v8998(VarCurr)
    <=> ( v8611(VarCurr,bitIndex29)
        | v8693(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2340,axiom,(
    ! [VarCurr] :
      ( v8995(VarCurr)
    <=> ( v8996(VarCurr)
        | v8997(VarCurr) ) ) )).

fof(writeUnaryOperator_1210,axiom,(
    ! [VarCurr] :
      ( ~ v8997(VarCurr)
    <=> v8693(VarCurr,bitIndex29) ) )).

fof(writeUnaryOperator_1209,axiom,(
    ! [VarCurr] :
      ( ~ v8996(VarCurr)
    <=> v8611(VarCurr,bitIndex29) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2339,axiom,(
    ! [VarCurr] :
      ( v8769(VarCurr)
    <=> ( v8770(VarCurr)
        | v8993(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_633,axiom,(
    ! [VarCurr] :
      ( v8993(VarCurr)
    <=> ( v8611(VarCurr,bitIndex28)
        & v8693(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2338,axiom,(
    ! [VarCurr] :
      ( v8770(VarCurr)
    <=> ( v8771(VarCurr)
        & v8988(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2337,axiom,(
    ! [VarCurr] :
      ( v8988(VarCurr)
    <=> ( v8989(VarCurr)
        & v8992(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_632,axiom,(
    ! [VarCurr] :
      ( v8992(VarCurr)
    <=> ( v8611(VarCurr,bitIndex28)
        | v8693(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2336,axiom,(
    ! [VarCurr] :
      ( v8989(VarCurr)
    <=> ( v8990(VarCurr)
        | v8991(VarCurr) ) ) )).

fof(writeUnaryOperator_1208,axiom,(
    ! [VarCurr] :
      ( ~ v8991(VarCurr)
    <=> v8693(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_1207,axiom,(
    ! [VarCurr] :
      ( ~ v8990(VarCurr)
    <=> v8611(VarCurr,bitIndex28) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2335,axiom,(
    ! [VarCurr] :
      ( v8771(VarCurr)
    <=> ( v8772(VarCurr)
        | v8987(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_631,axiom,(
    ! [VarCurr] :
      ( v8987(VarCurr)
    <=> ( v8611(VarCurr,bitIndex27)
        & v8693(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2334,axiom,(
    ! [VarCurr] :
      ( v8772(VarCurr)
    <=> ( v8773(VarCurr)
        & v8982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2333,axiom,(
    ! [VarCurr] :
      ( v8982(VarCurr)
    <=> ( v8983(VarCurr)
        & v8986(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_630,axiom,(
    ! [VarCurr] :
      ( v8986(VarCurr)
    <=> ( v8611(VarCurr,bitIndex27)
        | v8693(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2332,axiom,(
    ! [VarCurr] :
      ( v8983(VarCurr)
    <=> ( v8984(VarCurr)
        | v8985(VarCurr) ) ) )).

fof(writeUnaryOperator_1206,axiom,(
    ! [VarCurr] :
      ( ~ v8985(VarCurr)
    <=> v8693(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_1205,axiom,(
    ! [VarCurr] :
      ( ~ v8984(VarCurr)
    <=> v8611(VarCurr,bitIndex27) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2331,axiom,(
    ! [VarCurr] :
      ( v8773(VarCurr)
    <=> ( v8774(VarCurr)
        | v8981(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_629,axiom,(
    ! [VarCurr] :
      ( v8981(VarCurr)
    <=> ( v8611(VarCurr,bitIndex26)
        & v8693(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2330,axiom,(
    ! [VarCurr] :
      ( v8774(VarCurr)
    <=> ( v8775(VarCurr)
        & v8976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2329,axiom,(
    ! [VarCurr] :
      ( v8976(VarCurr)
    <=> ( v8977(VarCurr)
        & v8980(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_628,axiom,(
    ! [VarCurr] :
      ( v8980(VarCurr)
    <=> ( v8611(VarCurr,bitIndex26)
        | v8693(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2328,axiom,(
    ! [VarCurr] :
      ( v8977(VarCurr)
    <=> ( v8978(VarCurr)
        | v8979(VarCurr) ) ) )).

fof(writeUnaryOperator_1204,axiom,(
    ! [VarCurr] :
      ( ~ v8979(VarCurr)
    <=> v8693(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1203,axiom,(
    ! [VarCurr] :
      ( ~ v8978(VarCurr)
    <=> v8611(VarCurr,bitIndex26) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2327,axiom,(
    ! [VarCurr] :
      ( v8775(VarCurr)
    <=> ( v8776(VarCurr)
        | v8975(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_627,axiom,(
    ! [VarCurr] :
      ( v8975(VarCurr)
    <=> ( v8611(VarCurr,bitIndex25)
        & v8693(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2326,axiom,(
    ! [VarCurr] :
      ( v8776(VarCurr)
    <=> ( v8777(VarCurr)
        & v8970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2325,axiom,(
    ! [VarCurr] :
      ( v8970(VarCurr)
    <=> ( v8971(VarCurr)
        & v8974(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_626,axiom,(
    ! [VarCurr] :
      ( v8974(VarCurr)
    <=> ( v8611(VarCurr,bitIndex25)
        | v8693(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2324,axiom,(
    ! [VarCurr] :
      ( v8971(VarCurr)
    <=> ( v8972(VarCurr)
        | v8973(VarCurr) ) ) )).

fof(writeUnaryOperator_1202,axiom,(
    ! [VarCurr] :
      ( ~ v8973(VarCurr)
    <=> v8693(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1201,axiom,(
    ! [VarCurr] :
      ( ~ v8972(VarCurr)
    <=> v8611(VarCurr,bitIndex25) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2323,axiom,(
    ! [VarCurr] :
      ( v8777(VarCurr)
    <=> ( v8778(VarCurr)
        | v8969(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_625,axiom,(
    ! [VarCurr] :
      ( v8969(VarCurr)
    <=> ( v8611(VarCurr,bitIndex24)
        & v8693(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2322,axiom,(
    ! [VarCurr] :
      ( v8778(VarCurr)
    <=> ( v8779(VarCurr)
        & v8964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2321,axiom,(
    ! [VarCurr] :
      ( v8964(VarCurr)
    <=> ( v8965(VarCurr)
        & v8968(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_624,axiom,(
    ! [VarCurr] :
      ( v8968(VarCurr)
    <=> ( v8611(VarCurr,bitIndex24)
        | v8693(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2320,axiom,(
    ! [VarCurr] :
      ( v8965(VarCurr)
    <=> ( v8966(VarCurr)
        | v8967(VarCurr) ) ) )).

fof(writeUnaryOperator_1200,axiom,(
    ! [VarCurr] :
      ( ~ v8967(VarCurr)
    <=> v8693(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1199,axiom,(
    ! [VarCurr] :
      ( ~ v8966(VarCurr)
    <=> v8611(VarCurr,bitIndex24) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2319,axiom,(
    ! [VarCurr] :
      ( v8779(VarCurr)
    <=> ( v8780(VarCurr)
        | v8963(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_623,axiom,(
    ! [VarCurr] :
      ( v8963(VarCurr)
    <=> ( v8611(VarCurr,bitIndex23)
        & v8693(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2318,axiom,(
    ! [VarCurr] :
      ( v8780(VarCurr)
    <=> ( v8781(VarCurr)
        & v8958(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2317,axiom,(
    ! [VarCurr] :
      ( v8958(VarCurr)
    <=> ( v8959(VarCurr)
        & v8962(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_622,axiom,(
    ! [VarCurr] :
      ( v8962(VarCurr)
    <=> ( v8611(VarCurr,bitIndex23)
        | v8693(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2316,axiom,(
    ! [VarCurr] :
      ( v8959(VarCurr)
    <=> ( v8960(VarCurr)
        | v8961(VarCurr) ) ) )).

fof(writeUnaryOperator_1198,axiom,(
    ! [VarCurr] :
      ( ~ v8961(VarCurr)
    <=> v8693(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1197,axiom,(
    ! [VarCurr] :
      ( ~ v8960(VarCurr)
    <=> v8611(VarCurr,bitIndex23) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2315,axiom,(
    ! [VarCurr] :
      ( v8781(VarCurr)
    <=> ( v8782(VarCurr)
        | v8957(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_621,axiom,(
    ! [VarCurr] :
      ( v8957(VarCurr)
    <=> ( v8611(VarCurr,bitIndex22)
        & v8693(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2314,axiom,(
    ! [VarCurr] :
      ( v8782(VarCurr)
    <=> ( v8783(VarCurr)
        & v8952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2313,axiom,(
    ! [VarCurr] :
      ( v8952(VarCurr)
    <=> ( v8953(VarCurr)
        & v8956(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_620,axiom,(
    ! [VarCurr] :
      ( v8956(VarCurr)
    <=> ( v8611(VarCurr,bitIndex22)
        | v8693(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2312,axiom,(
    ! [VarCurr] :
      ( v8953(VarCurr)
    <=> ( v8954(VarCurr)
        | v8955(VarCurr) ) ) )).

fof(writeUnaryOperator_1196,axiom,(
    ! [VarCurr] :
      ( ~ v8955(VarCurr)
    <=> v8693(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1195,axiom,(
    ! [VarCurr] :
      ( ~ v8954(VarCurr)
    <=> v8611(VarCurr,bitIndex22) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2311,axiom,(
    ! [VarCurr] :
      ( v8783(VarCurr)
    <=> ( v8784(VarCurr)
        | v8951(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_619,axiom,(
    ! [VarCurr] :
      ( v8951(VarCurr)
    <=> ( v8611(VarCurr,bitIndex21)
        & v8693(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2310,axiom,(
    ! [VarCurr] :
      ( v8784(VarCurr)
    <=> ( v8785(VarCurr)
        & v8946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2309,axiom,(
    ! [VarCurr] :
      ( v8946(VarCurr)
    <=> ( v8947(VarCurr)
        & v8950(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_618,axiom,(
    ! [VarCurr] :
      ( v8950(VarCurr)
    <=> ( v8611(VarCurr,bitIndex21)
        | v8693(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2308,axiom,(
    ! [VarCurr] :
      ( v8947(VarCurr)
    <=> ( v8948(VarCurr)
        | v8949(VarCurr) ) ) )).

fof(writeUnaryOperator_1194,axiom,(
    ! [VarCurr] :
      ( ~ v8949(VarCurr)
    <=> v8693(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1193,axiom,(
    ! [VarCurr] :
      ( ~ v8948(VarCurr)
    <=> v8611(VarCurr,bitIndex21) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2307,axiom,(
    ! [VarCurr] :
      ( v8785(VarCurr)
    <=> ( v8786(VarCurr)
        | v8945(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_617,axiom,(
    ! [VarCurr] :
      ( v8945(VarCurr)
    <=> ( v8611(VarCurr,bitIndex20)
        & v8693(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2306,axiom,(
    ! [VarCurr] :
      ( v8786(VarCurr)
    <=> ( v8787(VarCurr)
        & v8940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2305,axiom,(
    ! [VarCurr] :
      ( v8940(VarCurr)
    <=> ( v8941(VarCurr)
        & v8944(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_616,axiom,(
    ! [VarCurr] :
      ( v8944(VarCurr)
    <=> ( v8611(VarCurr,bitIndex20)
        | v8693(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2304,axiom,(
    ! [VarCurr] :
      ( v8941(VarCurr)
    <=> ( v8942(VarCurr)
        | v8943(VarCurr) ) ) )).

fof(writeUnaryOperator_1192,axiom,(
    ! [VarCurr] :
      ( ~ v8943(VarCurr)
    <=> v8693(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1191,axiom,(
    ! [VarCurr] :
      ( ~ v8942(VarCurr)
    <=> v8611(VarCurr,bitIndex20) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2303,axiom,(
    ! [VarCurr] :
      ( v8787(VarCurr)
    <=> ( v8788(VarCurr)
        | v8939(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_615,axiom,(
    ! [VarCurr] :
      ( v8939(VarCurr)
    <=> ( v8611(VarCurr,bitIndex19)
        & v8693(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2302,axiom,(
    ! [VarCurr] :
      ( v8788(VarCurr)
    <=> ( v8789(VarCurr)
        & v8934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2301,axiom,(
    ! [VarCurr] :
      ( v8934(VarCurr)
    <=> ( v8935(VarCurr)
        & v8938(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_614,axiom,(
    ! [VarCurr] :
      ( v8938(VarCurr)
    <=> ( v8611(VarCurr,bitIndex19)
        | v8693(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2300,axiom,(
    ! [VarCurr] :
      ( v8935(VarCurr)
    <=> ( v8936(VarCurr)
        | v8937(VarCurr) ) ) )).

fof(writeUnaryOperator_1190,axiom,(
    ! [VarCurr] :
      ( ~ v8937(VarCurr)
    <=> v8693(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1189,axiom,(
    ! [VarCurr] :
      ( ~ v8936(VarCurr)
    <=> v8611(VarCurr,bitIndex19) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2299,axiom,(
    ! [VarCurr] :
      ( v8789(VarCurr)
    <=> ( v8790(VarCurr)
        | v8933(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_613,axiom,(
    ! [VarCurr] :
      ( v8933(VarCurr)
    <=> ( v8611(VarCurr,bitIndex18)
        & v8693(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2298,axiom,(
    ! [VarCurr] :
      ( v8790(VarCurr)
    <=> ( v8791(VarCurr)
        & v8928(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2297,axiom,(
    ! [VarCurr] :
      ( v8928(VarCurr)
    <=> ( v8929(VarCurr)
        & v8932(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_612,axiom,(
    ! [VarCurr] :
      ( v8932(VarCurr)
    <=> ( v8611(VarCurr,bitIndex18)
        | v8693(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2296,axiom,(
    ! [VarCurr] :
      ( v8929(VarCurr)
    <=> ( v8930(VarCurr)
        | v8931(VarCurr) ) ) )).

fof(writeUnaryOperator_1188,axiom,(
    ! [VarCurr] :
      ( ~ v8931(VarCurr)
    <=> v8693(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1187,axiom,(
    ! [VarCurr] :
      ( ~ v8930(VarCurr)
    <=> v8611(VarCurr,bitIndex18) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2295,axiom,(
    ! [VarCurr] :
      ( v8791(VarCurr)
    <=> ( v8792(VarCurr)
        | v8927(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_611,axiom,(
    ! [VarCurr] :
      ( v8927(VarCurr)
    <=> ( v8611(VarCurr,bitIndex17)
        & v8693(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2294,axiom,(
    ! [VarCurr] :
      ( v8792(VarCurr)
    <=> ( v8793(VarCurr)
        & v8922(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2293,axiom,(
    ! [VarCurr] :
      ( v8922(VarCurr)
    <=> ( v8923(VarCurr)
        & v8926(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_610,axiom,(
    ! [VarCurr] :
      ( v8926(VarCurr)
    <=> ( v8611(VarCurr,bitIndex17)
        | v8693(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2292,axiom,(
    ! [VarCurr] :
      ( v8923(VarCurr)
    <=> ( v8924(VarCurr)
        | v8925(VarCurr) ) ) )).

fof(writeUnaryOperator_1186,axiom,(
    ! [VarCurr] :
      ( ~ v8925(VarCurr)
    <=> v8693(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1185,axiom,(
    ! [VarCurr] :
      ( ~ v8924(VarCurr)
    <=> v8611(VarCurr,bitIndex17) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2291,axiom,(
    ! [VarCurr] :
      ( v8793(VarCurr)
    <=> ( v8794(VarCurr)
        | v8921(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_609,axiom,(
    ! [VarCurr] :
      ( v8921(VarCurr)
    <=> ( v8611(VarCurr,bitIndex16)
        & v8693(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2290,axiom,(
    ! [VarCurr] :
      ( v8794(VarCurr)
    <=> ( v8795(VarCurr)
        & v8916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2289,axiom,(
    ! [VarCurr] :
      ( v8916(VarCurr)
    <=> ( v8917(VarCurr)
        & v8920(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_608,axiom,(
    ! [VarCurr] :
      ( v8920(VarCurr)
    <=> ( v8611(VarCurr,bitIndex16)
        | v8693(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2288,axiom,(
    ! [VarCurr] :
      ( v8917(VarCurr)
    <=> ( v8918(VarCurr)
        | v8919(VarCurr) ) ) )).

fof(writeUnaryOperator_1184,axiom,(
    ! [VarCurr] :
      ( ~ v8919(VarCurr)
    <=> v8693(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1183,axiom,(
    ! [VarCurr] :
      ( ~ v8918(VarCurr)
    <=> v8611(VarCurr,bitIndex16) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2287,axiom,(
    ! [VarCurr] :
      ( v8795(VarCurr)
    <=> ( v8796(VarCurr)
        | v8915(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_607,axiom,(
    ! [VarCurr] :
      ( v8915(VarCurr)
    <=> ( v8611(VarCurr,bitIndex15)
        & v8693(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2286,axiom,(
    ! [VarCurr] :
      ( v8796(VarCurr)
    <=> ( v8797(VarCurr)
        & v8910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2285,axiom,(
    ! [VarCurr] :
      ( v8910(VarCurr)
    <=> ( v8911(VarCurr)
        & v8914(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_606,axiom,(
    ! [VarCurr] :
      ( v8914(VarCurr)
    <=> ( v8611(VarCurr,bitIndex15)
        | v8693(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2284,axiom,(
    ! [VarCurr] :
      ( v8911(VarCurr)
    <=> ( v8912(VarCurr)
        | v8913(VarCurr) ) ) )).

fof(writeUnaryOperator_1182,axiom,(
    ! [VarCurr] :
      ( ~ v8913(VarCurr)
    <=> v8693(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_1181,axiom,(
    ! [VarCurr] :
      ( ~ v8912(VarCurr)
    <=> v8611(VarCurr,bitIndex15) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2283,axiom,(
    ! [VarCurr] :
      ( v8797(VarCurr)
    <=> ( v8798(VarCurr)
        | v8909(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_605,axiom,(
    ! [VarCurr] :
      ( v8909(VarCurr)
    <=> ( v8611(VarCurr,bitIndex14)
        & v8693(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2282,axiom,(
    ! [VarCurr] :
      ( v8798(VarCurr)
    <=> ( v8799(VarCurr)
        & v8904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2281,axiom,(
    ! [VarCurr] :
      ( v8904(VarCurr)
    <=> ( v8905(VarCurr)
        & v8908(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_604,axiom,(
    ! [VarCurr] :
      ( v8908(VarCurr)
    <=> ( v8611(VarCurr,bitIndex14)
        | v8693(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2280,axiom,(
    ! [VarCurr] :
      ( v8905(VarCurr)
    <=> ( v8906(VarCurr)
        | v8907(VarCurr) ) ) )).

fof(writeUnaryOperator_1180,axiom,(
    ! [VarCurr] :
      ( ~ v8907(VarCurr)
    <=> v8693(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1179,axiom,(
    ! [VarCurr] :
      ( ~ v8906(VarCurr)
    <=> v8611(VarCurr,bitIndex14) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2279,axiom,(
    ! [VarCurr] :
      ( v8799(VarCurr)
    <=> ( v8800(VarCurr)
        | v8903(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_603,axiom,(
    ! [VarCurr] :
      ( v8903(VarCurr)
    <=> ( v8611(VarCurr,bitIndex13)
        & v8693(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2278,axiom,(
    ! [VarCurr] :
      ( v8800(VarCurr)
    <=> ( v8801(VarCurr)
        & v8898(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2277,axiom,(
    ! [VarCurr] :
      ( v8898(VarCurr)
    <=> ( v8899(VarCurr)
        & v8902(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_602,axiom,(
    ! [VarCurr] :
      ( v8902(VarCurr)
    <=> ( v8611(VarCurr,bitIndex13)
        | v8693(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2276,axiom,(
    ! [VarCurr] :
      ( v8899(VarCurr)
    <=> ( v8900(VarCurr)
        | v8901(VarCurr) ) ) )).

fof(writeUnaryOperator_1178,axiom,(
    ! [VarCurr] :
      ( ~ v8901(VarCurr)
    <=> v8693(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1177,axiom,(
    ! [VarCurr] :
      ( ~ v8900(VarCurr)
    <=> v8611(VarCurr,bitIndex13) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2275,axiom,(
    ! [VarCurr] :
      ( v8801(VarCurr)
    <=> ( v8802(VarCurr)
        | v8897(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_601,axiom,(
    ! [VarCurr] :
      ( v8897(VarCurr)
    <=> ( v8611(VarCurr,bitIndex12)
        & v8693(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2274,axiom,(
    ! [VarCurr] :
      ( v8802(VarCurr)
    <=> ( v8803(VarCurr)
        & v8892(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2273,axiom,(
    ! [VarCurr] :
      ( v8892(VarCurr)
    <=> ( v8893(VarCurr)
        & v8896(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_600,axiom,(
    ! [VarCurr] :
      ( v8896(VarCurr)
    <=> ( v8611(VarCurr,bitIndex12)
        | v8693(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2272,axiom,(
    ! [VarCurr] :
      ( v8893(VarCurr)
    <=> ( v8894(VarCurr)
        | v8895(VarCurr) ) ) )).

fof(writeUnaryOperator_1176,axiom,(
    ! [VarCurr] :
      ( ~ v8895(VarCurr)
    <=> v8693(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1175,axiom,(
    ! [VarCurr] :
      ( ~ v8894(VarCurr)
    <=> v8611(VarCurr,bitIndex12) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2271,axiom,(
    ! [VarCurr] :
      ( v8803(VarCurr)
    <=> ( v8804(VarCurr)
        | v8891(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_599,axiom,(
    ! [VarCurr] :
      ( v8891(VarCurr)
    <=> ( v8611(VarCurr,bitIndex11)
        & v8693(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2270,axiom,(
    ! [VarCurr] :
      ( v8804(VarCurr)
    <=> ( v8805(VarCurr)
        & v8886(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2269,axiom,(
    ! [VarCurr] :
      ( v8886(VarCurr)
    <=> ( v8887(VarCurr)
        & v8890(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_598,axiom,(
    ! [VarCurr] :
      ( v8890(VarCurr)
    <=> ( v8611(VarCurr,bitIndex11)
        | v8693(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2268,axiom,(
    ! [VarCurr] :
      ( v8887(VarCurr)
    <=> ( v8888(VarCurr)
        | v8889(VarCurr) ) ) )).

fof(writeUnaryOperator_1174,axiom,(
    ! [VarCurr] :
      ( ~ v8889(VarCurr)
    <=> v8693(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1173,axiom,(
    ! [VarCurr] :
      ( ~ v8888(VarCurr)
    <=> v8611(VarCurr,bitIndex11) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2267,axiom,(
    ! [VarCurr] :
      ( v8805(VarCurr)
    <=> ( v8806(VarCurr)
        | v8885(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_597,axiom,(
    ! [VarCurr] :
      ( v8885(VarCurr)
    <=> ( v8611(VarCurr,bitIndex10)
        & v8693(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2266,axiom,(
    ! [VarCurr] :
      ( v8806(VarCurr)
    <=> ( v8807(VarCurr)
        & v8880(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2265,axiom,(
    ! [VarCurr] :
      ( v8880(VarCurr)
    <=> ( v8881(VarCurr)
        & v8884(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_596,axiom,(
    ! [VarCurr] :
      ( v8884(VarCurr)
    <=> ( v8611(VarCurr,bitIndex10)
        | v8693(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2264,axiom,(
    ! [VarCurr] :
      ( v8881(VarCurr)
    <=> ( v8882(VarCurr)
        | v8883(VarCurr) ) ) )).

fof(writeUnaryOperator_1172,axiom,(
    ! [VarCurr] :
      ( ~ v8883(VarCurr)
    <=> v8693(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1171,axiom,(
    ! [VarCurr] :
      ( ~ v8882(VarCurr)
    <=> v8611(VarCurr,bitIndex10) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2263,axiom,(
    ! [VarCurr] :
      ( v8807(VarCurr)
    <=> ( v8808(VarCurr)
        | v8879(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_595,axiom,(
    ! [VarCurr] :
      ( v8879(VarCurr)
    <=> ( v8611(VarCurr,bitIndex9)
        & v8693(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2262,axiom,(
    ! [VarCurr] :
      ( v8808(VarCurr)
    <=> ( v8809(VarCurr)
        & v8874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2261,axiom,(
    ! [VarCurr] :
      ( v8874(VarCurr)
    <=> ( v8875(VarCurr)
        & v8878(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_594,axiom,(
    ! [VarCurr] :
      ( v8878(VarCurr)
    <=> ( v8611(VarCurr,bitIndex9)
        | v8693(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2260,axiom,(
    ! [VarCurr] :
      ( v8875(VarCurr)
    <=> ( v8876(VarCurr)
        | v8877(VarCurr) ) ) )).

fof(writeUnaryOperator_1170,axiom,(
    ! [VarCurr] :
      ( ~ v8877(VarCurr)
    <=> v8693(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1169,axiom,(
    ! [VarCurr] :
      ( ~ v8876(VarCurr)
    <=> v8611(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2259,axiom,(
    ! [VarCurr] :
      ( v8809(VarCurr)
    <=> ( v8810(VarCurr)
        | v8873(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_593,axiom,(
    ! [VarCurr] :
      ( v8873(VarCurr)
    <=> ( v8611(VarCurr,bitIndex8)
        & v8693(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2258,axiom,(
    ! [VarCurr] :
      ( v8810(VarCurr)
    <=> ( v8811(VarCurr)
        & v8868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2257,axiom,(
    ! [VarCurr] :
      ( v8868(VarCurr)
    <=> ( v8869(VarCurr)
        & v8872(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_592,axiom,(
    ! [VarCurr] :
      ( v8872(VarCurr)
    <=> ( v8611(VarCurr,bitIndex8)
        | v8693(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2256,axiom,(
    ! [VarCurr] :
      ( v8869(VarCurr)
    <=> ( v8870(VarCurr)
        | v8871(VarCurr) ) ) )).

fof(writeUnaryOperator_1168,axiom,(
    ! [VarCurr] :
      ( ~ v8871(VarCurr)
    <=> v8693(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1167,axiom,(
    ! [VarCurr] :
      ( ~ v8870(VarCurr)
    <=> v8611(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2255,axiom,(
    ! [VarCurr] :
      ( v8811(VarCurr)
    <=> ( v8812(VarCurr)
        | v8867(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_591,axiom,(
    ! [VarCurr] :
      ( v8867(VarCurr)
    <=> ( v8611(VarCurr,bitIndex7)
        & v8693(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2254,axiom,(
    ! [VarCurr] :
      ( v8812(VarCurr)
    <=> ( v8813(VarCurr)
        & v8862(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2253,axiom,(
    ! [VarCurr] :
      ( v8862(VarCurr)
    <=> ( v8863(VarCurr)
        & v8866(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_590,axiom,(
    ! [VarCurr] :
      ( v8866(VarCurr)
    <=> ( v8611(VarCurr,bitIndex7)
        | v8693(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2252,axiom,(
    ! [VarCurr] :
      ( v8863(VarCurr)
    <=> ( v8864(VarCurr)
        | v8865(VarCurr) ) ) )).

fof(writeUnaryOperator_1166,axiom,(
    ! [VarCurr] :
      ( ~ v8865(VarCurr)
    <=> v8693(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1165,axiom,(
    ! [VarCurr] :
      ( ~ v8864(VarCurr)
    <=> v8611(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2251,axiom,(
    ! [VarCurr] :
      ( v8813(VarCurr)
    <=> ( v8814(VarCurr)
        | v8861(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_589,axiom,(
    ! [VarCurr] :
      ( v8861(VarCurr)
    <=> ( v8611(VarCurr,bitIndex6)
        & v8693(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2250,axiom,(
    ! [VarCurr] :
      ( v8814(VarCurr)
    <=> ( v8815(VarCurr)
        & v8856(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2249,axiom,(
    ! [VarCurr] :
      ( v8856(VarCurr)
    <=> ( v8857(VarCurr)
        & v8860(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_588,axiom,(
    ! [VarCurr] :
      ( v8860(VarCurr)
    <=> ( v8611(VarCurr,bitIndex6)
        | v8693(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2248,axiom,(
    ! [VarCurr] :
      ( v8857(VarCurr)
    <=> ( v8858(VarCurr)
        | v8859(VarCurr) ) ) )).

fof(writeUnaryOperator_1164,axiom,(
    ! [VarCurr] :
      ( ~ v8859(VarCurr)
    <=> v8693(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1163,axiom,(
    ! [VarCurr] :
      ( ~ v8858(VarCurr)
    <=> v8611(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2247,axiom,(
    ! [VarCurr] :
      ( v8815(VarCurr)
    <=> ( v8816(VarCurr)
        | v8855(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_587,axiom,(
    ! [VarCurr] :
      ( v8855(VarCurr)
    <=> ( v8611(VarCurr,bitIndex5)
        & v8693(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2246,axiom,(
    ! [VarCurr] :
      ( v8816(VarCurr)
    <=> ( v8817(VarCurr)
        & v8850(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2245,axiom,(
    ! [VarCurr] :
      ( v8850(VarCurr)
    <=> ( v8851(VarCurr)
        & v8854(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_586,axiom,(
    ! [VarCurr] :
      ( v8854(VarCurr)
    <=> ( v8611(VarCurr,bitIndex5)
        | v8693(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2244,axiom,(
    ! [VarCurr] :
      ( v8851(VarCurr)
    <=> ( v8852(VarCurr)
        | v8853(VarCurr) ) ) )).

fof(writeUnaryOperator_1162,axiom,(
    ! [VarCurr] :
      ( ~ v8853(VarCurr)
    <=> v8693(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1161,axiom,(
    ! [VarCurr] :
      ( ~ v8852(VarCurr)
    <=> v8611(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2243,axiom,(
    ! [VarCurr] :
      ( v8817(VarCurr)
    <=> ( v8818(VarCurr)
        | v8849(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_585,axiom,(
    ! [VarCurr] :
      ( v8849(VarCurr)
    <=> ( v8611(VarCurr,bitIndex4)
        & v8693(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2242,axiom,(
    ! [VarCurr] :
      ( v8818(VarCurr)
    <=> ( v8819(VarCurr)
        & v8844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2241,axiom,(
    ! [VarCurr] :
      ( v8844(VarCurr)
    <=> ( v8845(VarCurr)
        & v8848(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_584,axiom,(
    ! [VarCurr] :
      ( v8848(VarCurr)
    <=> ( v8611(VarCurr,bitIndex4)
        | v8693(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2240,axiom,(
    ! [VarCurr] :
      ( v8845(VarCurr)
    <=> ( v8846(VarCurr)
        | v8847(VarCurr) ) ) )).

fof(writeUnaryOperator_1160,axiom,(
    ! [VarCurr] :
      ( ~ v8847(VarCurr)
    <=> v8693(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1159,axiom,(
    ! [VarCurr] :
      ( ~ v8846(VarCurr)
    <=> v8611(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2239,axiom,(
    ! [VarCurr] :
      ( v8819(VarCurr)
    <=> ( v8820(VarCurr)
        | v8843(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_583,axiom,(
    ! [VarCurr] :
      ( v8843(VarCurr)
    <=> ( v8611(VarCurr,bitIndex3)
        & v8693(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2238,axiom,(
    ! [VarCurr] :
      ( v8820(VarCurr)
    <=> ( v8821(VarCurr)
        & v8838(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2237,axiom,(
    ! [VarCurr] :
      ( v8838(VarCurr)
    <=> ( v8839(VarCurr)
        & v8842(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_582,axiom,(
    ! [VarCurr] :
      ( v8842(VarCurr)
    <=> ( v8611(VarCurr,bitIndex3)
        | v8693(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2236,axiom,(
    ! [VarCurr] :
      ( v8839(VarCurr)
    <=> ( v8840(VarCurr)
        | v8841(VarCurr) ) ) )).

fof(writeUnaryOperator_1158,axiom,(
    ! [VarCurr] :
      ( ~ v8841(VarCurr)
    <=> v8693(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1157,axiom,(
    ! [VarCurr] :
      ( ~ v8840(VarCurr)
    <=> v8611(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2235,axiom,(
    ! [VarCurr] :
      ( v8821(VarCurr)
    <=> ( v8822(VarCurr)
        | v8837(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_581,axiom,(
    ! [VarCurr] :
      ( v8837(VarCurr)
    <=> ( v8611(VarCurr,bitIndex2)
        & v8693(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2234,axiom,(
    ! [VarCurr] :
      ( v8822(VarCurr)
    <=> ( v8823(VarCurr)
        & v8832(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2233,axiom,(
    ! [VarCurr] :
      ( v8832(VarCurr)
    <=> ( v8833(VarCurr)
        & v8836(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_580,axiom,(
    ! [VarCurr] :
      ( v8836(VarCurr)
    <=> ( v8611(VarCurr,bitIndex2)
        | v8693(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2232,axiom,(
    ! [VarCurr] :
      ( v8833(VarCurr)
    <=> ( v8834(VarCurr)
        | v8835(VarCurr) ) ) )).

fof(writeUnaryOperator_1156,axiom,(
    ! [VarCurr] :
      ( ~ v8835(VarCurr)
    <=> v8693(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1155,axiom,(
    ! [VarCurr] :
      ( ~ v8834(VarCurr)
    <=> v8611(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2231,axiom,(
    ! [VarCurr] :
      ( v8823(VarCurr)
    <=> ( v8824(VarCurr)
        | v8831(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_579,axiom,(
    ! [VarCurr] :
      ( v8831(VarCurr)
    <=> ( v8611(VarCurr,bitIndex1)
        & v8693(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2230,axiom,(
    ! [VarCurr] :
      ( v8824(VarCurr)
    <=> ( v8825(VarCurr)
        & v8826(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2229,axiom,(
    ! [VarCurr] :
      ( v8826(VarCurr)
    <=> ( v8827(VarCurr)
        & v8830(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_578,axiom,(
    ! [VarCurr] :
      ( v8830(VarCurr)
    <=> ( v8611(VarCurr,bitIndex1)
        | v8693(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2228,axiom,(
    ! [VarCurr] :
      ( v8827(VarCurr)
    <=> ( v8828(VarCurr)
        | v8829(VarCurr) ) ) )).

fof(writeUnaryOperator_1154,axiom,(
    ! [VarCurr] :
      ( ~ v8829(VarCurr)
    <=> v8693(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1153,axiom,(
    ! [VarCurr] :
      ( ~ v8828(VarCurr)
    <=> v8611(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2227,axiom,(
    ! [VarCurr] :
      ( v8825(VarCurr)
    <=> ( v8611(VarCurr,bitIndex0)
        & v8693(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2552,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex32)
    <=> v8751(VarCurr,bitIndex32) ) )).

fof(addAssignment_2551,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex25)
    <=> v8757(VarCurr,bitIndex25) ) )).

fof(addAssignment_2550,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex31)
    <=> v8751(VarCurr,bitIndex31) ) )).

fof(addAssignment_2549,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex24)
    <=> v8757(VarCurr,bitIndex24) ) )).

fof(addAssignment_2548,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex30)
    <=> v8751(VarCurr,bitIndex30) ) )).

fof(addAssignment_2547,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex23)
    <=> v8757(VarCurr,bitIndex23) ) )).

fof(addAssignment_2546,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex29)
    <=> v8751(VarCurr,bitIndex29) ) )).

fof(addAssignment_2545,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex22)
    <=> v8757(VarCurr,bitIndex22) ) )).

fof(addAssignment_2544,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex28)
    <=> v8751(VarCurr,bitIndex28) ) )).

fof(addAssignment_2543,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex21)
    <=> v8757(VarCurr,bitIndex21) ) )).

fof(addAssignment_2542,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex27)
    <=> v8751(VarCurr,bitIndex27) ) )).

fof(addAssignment_2541,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex20)
    <=> v8757(VarCurr,bitIndex20) ) )).

fof(addAssignment_2540,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex26)
    <=> v8751(VarCurr,bitIndex26) ) )).

fof(addAssignment_2539,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex19)
    <=> v8757(VarCurr,bitIndex19) ) )).

fof(addAssignment_2538,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex25)
    <=> v8751(VarCurr,bitIndex25) ) )).

fof(addAssignment_2537,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex18)
    <=> v8757(VarCurr,bitIndex18) ) )).

fof(addAssignment_2536,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex24)
    <=> v8751(VarCurr,bitIndex24) ) )).

fof(addAssignment_2535,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex17)
    <=> v8757(VarCurr,bitIndex17) ) )).

fof(addAssignment_2534,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex23)
    <=> v8751(VarCurr,bitIndex23) ) )).

fof(addAssignment_2533,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex16)
    <=> v8757(VarCurr,bitIndex16) ) )).

fof(addAssignment_2532,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex22)
    <=> v8751(VarCurr,bitIndex22) ) )).

fof(addAssignment_2531,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex15)
    <=> v8757(VarCurr,bitIndex15) ) )).

fof(addAssignment_2530,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex21)
    <=> v8751(VarCurr,bitIndex21) ) )).

fof(addAssignment_2529,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex14)
    <=> v8757(VarCurr,bitIndex14) ) )).

fof(addAssignment_2528,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex20)
    <=> v8751(VarCurr,bitIndex20) ) )).

fof(addAssignment_2527,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex13)
    <=> v8757(VarCurr,bitIndex13) ) )).

fof(addAssignment_2526,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex19)
    <=> v8751(VarCurr,bitIndex19) ) )).

fof(addAssignment_2525,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex12)
    <=> v8757(VarCurr,bitIndex12) ) )).

fof(addAssignment_2524,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex18)
    <=> v8751(VarCurr,bitIndex18) ) )).

fof(addAssignment_2523,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex11)
    <=> v8757(VarCurr,bitIndex11) ) )).

fof(addAssignment_2522,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex17)
    <=> v8751(VarCurr,bitIndex17) ) )).

fof(addAssignment_2521,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex10)
    <=> v8757(VarCurr,bitIndex10) ) )).

fof(addAssignment_2520,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex16)
    <=> v8751(VarCurr,bitIndex16) ) )).

fof(addAssignment_2519,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex9)
    <=> v8757(VarCurr,bitIndex9) ) )).

fof(addAssignment_2518,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex15)
    <=> v8751(VarCurr,bitIndex15) ) )).

fof(addAssignment_2517,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex8)
    <=> v8757(VarCurr,bitIndex8) ) )).

fof(addAssignment_2516,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex14)
    <=> v8751(VarCurr,bitIndex14) ) )).

fof(addAssignment_2515,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex7)
    <=> v8757(VarCurr,bitIndex7) ) )).

fof(addAssignment_2514,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex13)
    <=> v8751(VarCurr,bitIndex13) ) )).

fof(addAssignment_2513,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex6)
    <=> v8757(VarCurr,bitIndex6) ) )).

fof(addAssignment_2512,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex12)
    <=> v8751(VarCurr,bitIndex12) ) )).

fof(addAssignment_2511,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex5)
    <=> v8757(VarCurr,bitIndex5) ) )).

fof(addAssignment_2510,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex11)
    <=> v8751(VarCurr,bitIndex11) ) )).

fof(addAssignment_2509,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex4)
    <=> v8757(VarCurr,bitIndex4) ) )).

fof(addAssignment_2508,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex10)
    <=> v8751(VarCurr,bitIndex10) ) )).

fof(addAssignment_2507,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex3)
    <=> v8757(VarCurr,bitIndex3) ) )).

fof(addAssignment_2506,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex9)
    <=> v8751(VarCurr,bitIndex9) ) )).

fof(addAssignment_2505,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex2)
    <=> v8757(VarCurr,bitIndex2) ) )).

fof(addAssignment_2504,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex8)
    <=> v8751(VarCurr,bitIndex8) ) )).

fof(addAssignment_2503,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex15)
    <=> v8741(VarCurr,bitIndex15) ) )).

fof(addAssignment_2502,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex15)
    <=> v8717(VarCurr,bitIndex15) ) )).

fof(addAssignment_2501,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex15)
    <=> v8740(VarCurr,bitIndex15) ) )).

fof(addAssignment_2500,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex15)
    <=> v8737(VarCurr,bitIndex15) ) )).

fof(addAssignment_2499,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex15)
    <=> v8734(VarCurr,bitIndex15) ) )).

fof(addAssignment_2498,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex15)
    <=> v8731(VarCurr,bitIndex15) ) )).

fof(addAssignment_2497,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex15)
    <=> v8728(VarCurr,bitIndex15) ) )).

fof(addAssignment_2496,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex15)
    <=> v8725(VarCurr,bitIndex15) ) )).

fof(addAssignment_2495,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex15)
    <=> v8722(VarCurr,bitIndex15) ) )).

fof(addAssignment_2494,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex15)
    <=> v8719(VarCurr,bitIndex15) ) )).

fof(addAssignment_2493,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex15)
    <=> v8708(VarCurr,bitIndex15) ) )).

fof(addAssignment_2492,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex1)
    <=> v8757(VarCurr,bitIndex1) ) )).

fof(addAssignment_2491,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex7)
    <=> v8751(VarCurr,bitIndex7) ) )).

fof(addAssignment_2490,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex14)
    <=> v8741(VarCurr,bitIndex14) ) )).

fof(addAssignment_2489,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex14)
    <=> v8740(VarCurr,bitIndex14) ) )).

fof(addAssignment_2488,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex14)
    <=> v8717(VarCurr,bitIndex14) ) )).

fof(addAssignment_2487,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex14)
    <=> v8737(VarCurr,bitIndex14) ) )).

fof(addAssignment_2486,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex14)
    <=> v8734(VarCurr,bitIndex14) ) )).

fof(addAssignment_2485,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex14)
    <=> v8731(VarCurr,bitIndex14) ) )).

fof(addAssignment_2484,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex14)
    <=> v8728(VarCurr,bitIndex14) ) )).

fof(addAssignment_2483,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex14)
    <=> v8725(VarCurr,bitIndex14) ) )).

fof(addAssignment_2482,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex14)
    <=> v8722(VarCurr,bitIndex14) ) )).

fof(addAssignment_2481,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex14)
    <=> v8719(VarCurr,bitIndex14) ) )).

fof(addAssignment_2480,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex14)
    <=> v8708(VarCurr,bitIndex14) ) )).

fof(addAssignment_2479,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr,bitIndex0)
    <=> v8757(VarCurr,bitIndex0) ) )).

fof(addAssignment_2478,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex6)
    <=> v8751(VarCurr,bitIndex6) ) )).

fof(addAssignment_2477,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex13)
    <=> v8741(VarCurr,bitIndex13) ) )).

fof(addAssignment_2476,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex13)
    <=> v8740(VarCurr,bitIndex13) ) )).

fof(addAssignment_2475,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex13)
    <=> v8737(VarCurr,bitIndex13) ) )).

fof(addAssignment_2474,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex13)
    <=> v8717(VarCurr,bitIndex13) ) )).

fof(addAssignment_2473,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex13)
    <=> v8734(VarCurr,bitIndex13) ) )).

fof(addAssignment_2472,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex13)
    <=> v8731(VarCurr,bitIndex13) ) )).

fof(addAssignment_2471,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex13)
    <=> v8728(VarCurr,bitIndex13) ) )).

fof(addAssignment_2470,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex13)
    <=> v8725(VarCurr,bitIndex13) ) )).

fof(addAssignment_2469,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex13)
    <=> v8722(VarCurr,bitIndex13) ) )).

fof(addAssignment_2468,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex13)
    <=> v8719(VarCurr,bitIndex13) ) )).

fof(addAssignment_2467,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex13)
    <=> v8708(VarCurr,bitIndex13) ) )).

fof(addAssignment_2466,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex5)
    <=> v8751(VarCurr,bitIndex5) ) )).

fof(addAssignment_2465,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex12)
    <=> v8741(VarCurr,bitIndex12) ) )).

fof(addAssignment_2464,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex12)
    <=> v8740(VarCurr,bitIndex12) ) )).

fof(addAssignment_2463,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex12)
    <=> v8737(VarCurr,bitIndex12) ) )).

fof(addAssignment_2462,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex12)
    <=> v8734(VarCurr,bitIndex12) ) )).

fof(addAssignment_2461,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex12)
    <=> v8717(VarCurr,bitIndex12) ) )).

fof(addAssignment_2460,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex15)
    <=> v8235(VarCurr,bitIndex29) ) )).

fof(addAssignment_2459,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex12)
    <=> v8731(VarCurr,bitIndex12) ) )).

fof(addAssignment_2458,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex12)
    <=> v8728(VarCurr,bitIndex12) ) )).

fof(addAssignment_2457,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex12)
    <=> v8725(VarCurr,bitIndex12) ) )).

fof(addAssignment_2456,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex12)
    <=> v8722(VarCurr,bitIndex12) ) )).

fof(addAssignment_2455,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex12)
    <=> v8719(VarCurr,bitIndex12) ) )).

fof(addAssignment_2454,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex12)
    <=> v8708(VarCurr,bitIndex12) ) )).

fof(addAssignment_2453,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex4)
    <=> v8751(VarCurr,bitIndex4) ) )).

fof(addAssignment_2452,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex11)
    <=> v8741(VarCurr,bitIndex11) ) )).

fof(addAssignment_2451,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex11)
    <=> v8740(VarCurr,bitIndex11) ) )).

fof(addAssignment_2450,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex11)
    <=> v8737(VarCurr,bitIndex11) ) )).

fof(addAssignment_2449,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex11)
    <=> v8734(VarCurr,bitIndex11) ) )).

fof(addAssignment_2448,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex11)
    <=> v8731(VarCurr,bitIndex11) ) )).

fof(addAssignment_2447,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex11)
    <=> v8717(VarCurr,bitIndex11) ) )).

fof(addAssignment_2446,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex14)
    <=> v8235(VarCurr,bitIndex28) ) )).

fof(addAssignment_2445,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex11)
    <=> v8728(VarCurr,bitIndex11) ) )).

fof(addAssignment_2444,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex11)
    <=> v8725(VarCurr,bitIndex11) ) )).

fof(addAssignment_2443,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex11)
    <=> v8722(VarCurr,bitIndex11) ) )).

fof(addAssignment_2442,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex11)
    <=> v8719(VarCurr,bitIndex11) ) )).

fof(addAssignment_2441,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex11)
    <=> v8708(VarCurr,bitIndex11) ) )).

fof(addAssignment_2440,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex3)
    <=> v8751(VarCurr,bitIndex3) ) )).

fof(addAssignment_2439,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex10)
    <=> v8741(VarCurr,bitIndex10) ) )).

fof(addAssignment_2438,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex10)
    <=> v8740(VarCurr,bitIndex10) ) )).

fof(addAssignment_2437,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex10)
    <=> v8737(VarCurr,bitIndex10) ) )).

fof(addAssignment_2436,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex10)
    <=> v8734(VarCurr,bitIndex10) ) )).

fof(addAssignment_2435,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex10)
    <=> v8731(VarCurr,bitIndex10) ) )).

fof(addAssignment_2434,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex10)
    <=> v8728(VarCurr,bitIndex10) ) )).

fof(addAssignment_2433,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex10)
    <=> v8717(VarCurr,bitIndex10) ) )).

fof(addAssignment_2432,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex13)
    <=> v8235(VarCurr,bitIndex27) ) )).

fof(addAssignment_2431,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex10)
    <=> v8725(VarCurr,bitIndex10) ) )).

fof(addAssignment_2430,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex10)
    <=> v8722(VarCurr,bitIndex10) ) )).

fof(addAssignment_2429,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex10)
    <=> v8719(VarCurr,bitIndex10) ) )).

fof(addAssignment_2428,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex10)
    <=> v8708(VarCurr,bitIndex10) ) )).

fof(addAssignment_2427,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex2)
    <=> v8751(VarCurr,bitIndex2) ) )).

fof(addAssignment_2426,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex9)
    <=> v8741(VarCurr,bitIndex9) ) )).

fof(addAssignment_2425,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex9)
    <=> v8740(VarCurr,bitIndex9) ) )).

fof(addAssignment_2424,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex9)
    <=> v8737(VarCurr,bitIndex9) ) )).

fof(addAssignment_2423,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex9)
    <=> v8734(VarCurr,bitIndex9) ) )).

fof(addAssignment_2422,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex9)
    <=> v8731(VarCurr,bitIndex9) ) )).

fof(addAssignment_2421,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex9)
    <=> v8728(VarCurr,bitIndex9) ) )).

fof(addAssignment_2420,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex9)
    <=> v8725(VarCurr,bitIndex9) ) )).

fof(addAssignment_2419,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex9)
    <=> v8717(VarCurr,bitIndex9) ) )).

fof(addAssignment_2418,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex9)
    <=> v8235(VarCurr,bitIndex23) ) )).

fof(addAssignment_2417,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex12)
    <=> v8235(VarCurr,bitIndex26) ) )).

fof(addAssignment_2416,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex9)
    <=> v8722(VarCurr,bitIndex9) ) )).

fof(addAssignment_2415,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex9)
    <=> v8719(VarCurr,bitIndex9) ) )).

fof(addAssignment_2414,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex9)
    <=> v8708(VarCurr,bitIndex9) ) )).

fof(addAssignment_2413,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex1)
    <=> v8751(VarCurr,bitIndex1) ) )).

fof(addAssignment_2412,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex8)
    <=> v8741(VarCurr,bitIndex8) ) )).

fof(addAssignment_2411,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex8)
    <=> v8740(VarCurr,bitIndex8) ) )).

fof(addAssignment_2410,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex8)
    <=> v8737(VarCurr,bitIndex8) ) )).

fof(addAssignment_2409,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex8)
    <=> v8734(VarCurr,bitIndex8) ) )).

fof(addAssignment_2408,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex8)
    <=> v8731(VarCurr,bitIndex8) ) )).

fof(addAssignment_2407,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex8)
    <=> v8728(VarCurr,bitIndex8) ) )).

fof(addAssignment_2406,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex8)
    <=> v8725(VarCurr,bitIndex8) ) )).

fof(addAssignment_2405,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex8)
    <=> v8722(VarCurr,bitIndex8) ) )).

fof(addAssignment_2404,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex8)
    <=> v8717(VarCurr,bitIndex8) ) )).

fof(addAssignment_2403,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex8)
    <=> v8235(VarCurr,bitIndex22) ) )).

fof(addAssignment_2402,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex11)
    <=> v8235(VarCurr,bitIndex25) ) )).

fof(addAssignment_2401,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex8)
    <=> v8719(VarCurr,bitIndex8) ) )).

fof(addAssignment_2400,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex8)
    <=> v8708(VarCurr,bitIndex8) ) )).

fof(addAssignment_2399,axiom,(
    ! [VarCurr] :
      ( v8693(VarCurr,bitIndex0)
    <=> v8751(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_166,axiom,(
    ! [VarCurr] :
      ( ~ v8607(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8751(VarCurr,B)
          <=> v8754(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_170,axiom,(
    ! [VarCurr] :
      ( v8607(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8751(VarCurr,B)
          <=> v8752(VarCurr,B) ) ) ) )).

fof(addAssignment_2398,axiom,(
    ! [VarCurr] :
      ( ( v8754(VarCurr,bitIndex8)
      <=> v8695(VarCurr,bitIndex15) )
      & ( v8754(VarCurr,bitIndex7)
      <=> v8695(VarCurr,bitIndex14) )
      & ( v8754(VarCurr,bitIndex6)
      <=> v8695(VarCurr,bitIndex13) )
      & ( v8754(VarCurr,bitIndex5)
      <=> v8695(VarCurr,bitIndex12) )
      & ( v8754(VarCurr,bitIndex4)
      <=> v8695(VarCurr,bitIndex11) )
      & ( v8754(VarCurr,bitIndex3)
      <=> v8695(VarCurr,bitIndex10) )
      & ( v8754(VarCurr,bitIndex2)
      <=> v8695(VarCurr,bitIndex9) )
      & ( v8754(VarCurr,bitIndex1)
      <=> v8695(VarCurr,bitIndex8) )
      & ( v8754(VarCurr,bitIndex0)
      <=> v8695(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_2397,axiom,(
    ! [VarCurr] :
      ( ( v8754(VarCurr,bitIndex32)
      <=> $false )
      & ( v8754(VarCurr,bitIndex31)
      <=> $false )
      & ( v8754(VarCurr,bitIndex30)
      <=> $false )
      & ( v8754(VarCurr,bitIndex29)
      <=> $false )
      & ( v8754(VarCurr,bitIndex28)
      <=> $false )
      & ( v8754(VarCurr,bitIndex27)
      <=> $false )
      & ( v8754(VarCurr,bitIndex26)
      <=> $false )
      & ( v8754(VarCurr,bitIndex25)
      <=> $false )
      & ( v8754(VarCurr,bitIndex24)
      <=> $false )
      & ( v8754(VarCurr,bitIndex23)
      <=> $false )
      & ( v8754(VarCurr,bitIndex22)
      <=> $false )
      & ( v8754(VarCurr,bitIndex21)
      <=> $false )
      & ( v8754(VarCurr,bitIndex20)
      <=> $false )
      & ( v8754(VarCurr,bitIndex19)
      <=> $false )
      & ( v8754(VarCurr,bitIndex18)
      <=> $false )
      & ( v8754(VarCurr,bitIndex17)
      <=> $false )
      & ( v8754(VarCurr,bitIndex16)
      <=> $false )
      & ( v8754(VarCurr,bitIndex15)
      <=> $false )
      & ( v8754(VarCurr,bitIndex14)
      <=> $false )
      & ( v8754(VarCurr,bitIndex13)
      <=> $false )
      & ( v8754(VarCurr,bitIndex12)
      <=> $false )
      & ( v8754(VarCurr,bitIndex11)
      <=> $false )
      & ( v8754(VarCurr,bitIndex10)
      <=> $false )
      & ( v8754(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addAssignment_2396,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8752(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_2395,axiom,(
    ! [VarCurr] :
      ( ( v8752(VarCurr,bitIndex32)
      <=> v8753(VarCurr,bitIndex25) )
      & ( v8752(VarCurr,bitIndex31)
      <=> v8753(VarCurr,bitIndex24) )
      & ( v8752(VarCurr,bitIndex30)
      <=> v8753(VarCurr,bitIndex23) )
      & ( v8752(VarCurr,bitIndex29)
      <=> v8753(VarCurr,bitIndex22) )
      & ( v8752(VarCurr,bitIndex28)
      <=> v8753(VarCurr,bitIndex21) )
      & ( v8752(VarCurr,bitIndex27)
      <=> v8753(VarCurr,bitIndex20) )
      & ( v8752(VarCurr,bitIndex26)
      <=> v8753(VarCurr,bitIndex19) )
      & ( v8752(VarCurr,bitIndex25)
      <=> v8753(VarCurr,bitIndex18) )
      & ( v8752(VarCurr,bitIndex24)
      <=> v8753(VarCurr,bitIndex17) )
      & ( v8752(VarCurr,bitIndex23)
      <=> v8753(VarCurr,bitIndex16) )
      & ( v8752(VarCurr,bitIndex22)
      <=> v8753(VarCurr,bitIndex15) )
      & ( v8752(VarCurr,bitIndex21)
      <=> v8753(VarCurr,bitIndex14) )
      & ( v8752(VarCurr,bitIndex20)
      <=> v8753(VarCurr,bitIndex13) )
      & ( v8752(VarCurr,bitIndex19)
      <=> v8753(VarCurr,bitIndex12) )
      & ( v8752(VarCurr,bitIndex18)
      <=> v8753(VarCurr,bitIndex11) )
      & ( v8752(VarCurr,bitIndex17)
      <=> v8753(VarCurr,bitIndex10) )
      & ( v8752(VarCurr,bitIndex16)
      <=> v8753(VarCurr,bitIndex9) )
      & ( v8752(VarCurr,bitIndex15)
      <=> v8753(VarCurr,bitIndex8) )
      & ( v8752(VarCurr,bitIndex14)
      <=> v8753(VarCurr,bitIndex7) )
      & ( v8752(VarCurr,bitIndex13)
      <=> v8753(VarCurr,bitIndex6) )
      & ( v8752(VarCurr,bitIndex12)
      <=> v8753(VarCurr,bitIndex5) )
      & ( v8752(VarCurr,bitIndex11)
      <=> v8753(VarCurr,bitIndex4) )
      & ( v8752(VarCurr,bitIndex10)
      <=> v8753(VarCurr,bitIndex3) )
      & ( v8752(VarCurr,bitIndex9)
      <=> v8753(VarCurr,bitIndex2) )
      & ( v8752(VarCurr,bitIndex8)
      <=> v8753(VarCurr,bitIndex1) )
      & ( v8752(VarCurr,bitIndex7)
      <=> v8753(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2394,axiom,(
    ! [VarCurr] :
      ( v8695(VarCurr,bitIndex7)
    <=> v8741(VarCurr,bitIndex7) ) )).

fof(addParallelCaseBooleanConditionEqualRanges9_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v8742(VarCurr)
        & ~ v8743(VarCurr)
        & ~ v8744(VarCurr)
        & ~ v8745(VarCurr)
        & ~ v8746(VarCurr)
        & ~ v8747(VarCurr)
        & ~ v8748(VarCurr)
        & ~ v8749(VarCurr)
        & ~ v8750(VarCurr) )
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8709(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges8_3,axiom,(
    ! [VarCurr] :
      ( v8750(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8739(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_5,axiom,(
    ! [VarCurr] :
      ( v8749(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8736(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_5,axiom,(
    ! [VarCurr] :
      ( v8748(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8733(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_7,axiom,(
    ! [VarCurr] :
      ( v8747(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8730(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_7,axiom,(
    ! [VarCurr] :
      ( v8746(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8727(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_26,axiom,(
    ! [VarCurr] :
      ( v8745(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8724(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_43,axiom,(
    ! [VarCurr] :
      ( v8744(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8721(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_125,axiom,(
    ! [VarCurr] :
      ( v8743(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8711(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_124,axiom,(
    ! [VarCurr] :
      ( v8742(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8741(VarCurr,B)
          <=> v8707(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_460,axiom,(
    ! [VarCurr] :
      ( v8750(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $true )
        & ( v8697(VarCurr,bitIndex2)
        <=> $false )
        & ( v8697(VarCurr,bitIndex1)
        <=> $false )
        & ( v8697(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_459,axiom,(
    ! [VarCurr] :
      ( v8749(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $true )
        & ( v8697(VarCurr,bitIndex1)
        <=> $true )
        & ( v8697(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_458,axiom,(
    ! [VarCurr] :
      ( v8748(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $true )
        & ( v8697(VarCurr,bitIndex1)
        <=> $true )
        & ( v8697(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_457,axiom,(
    ! [VarCurr] :
      ( v8747(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $true )
        & ( v8697(VarCurr,bitIndex1)
        <=> $false )
        & ( v8697(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_456,axiom,(
    ! [VarCurr] :
      ( v8746(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $true )
        & ( v8697(VarCurr,bitIndex1)
        <=> $false )
        & ( v8697(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_455,axiom,(
    ! [VarCurr] :
      ( v8745(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $false )
        & ( v8697(VarCurr,bitIndex1)
        <=> $true )
        & ( v8697(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_454,axiom,(
    ! [VarCurr] :
      ( v8744(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $false )
        & ( v8697(VarCurr,bitIndex1)
        <=> $true )
        & ( v8697(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_453,axiom,(
    ! [VarCurr] :
      ( v8743(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $false )
        & ( v8697(VarCurr,bitIndex1)
        <=> $false )
        & ( v8697(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_452,axiom,(
    ! [VarCurr] :
      ( v8742(VarCurr)
    <=> ( ( v8697(VarCurr,bitIndex3)
        <=> $false )
        & ( v8697(VarCurr,bitIndex2)
        <=> $false )
        & ( v8697(VarCurr,bitIndex1)
        <=> $false )
        & ( v8697(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2393,axiom,(
    ! [VarCurr] :
      ( v8739(VarCurr,bitIndex7)
    <=> v8740(VarCurr,bitIndex7) ) )).

fof(addAssignment_2392,axiom,(
    ! [VarCurr,B] :
      ( range_14_0(B)
     => ( v8740(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(addAssignment_2391,axiom,(
    ! [VarCurr] :
      ( v8740(VarCurr,bitIndex15)
    <=> $false ) )).

fof(addAssignment_2390,axiom,(
    ! [VarCurr] :
      ( v8736(VarCurr,bitIndex7)
    <=> v8737(VarCurr,bitIndex7) ) )).

fof(addAssignment_2389,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v8737(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(range_axiom_56,axiom,(
    ! [B] :
      ( range_13_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B ) ) )).

fof(addAssignment_2388,axiom,(
    ! [VarCurr] :
      ( ( v8737(VarCurr,bitIndex15)
      <=> $false )
      & ( v8737(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addAssignment_2387,axiom,(
    ! [VarCurr] :
      ( v8733(VarCurr,bitIndex7)
    <=> v8734(VarCurr,bitIndex7) ) )).

fof(addAssignment_2386,axiom,(
    ! [VarCurr,B] :
      ( range_12_0(B)
     => ( v8734(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(range_axiom_55,axiom,(
    ! [B] :
      ( range_12_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B ) ) )).

fof(addAssignment_2385,axiom,(
    ! [VarCurr] :
      ( ( v8734(VarCurr,bitIndex15)
      <=> $false )
      & ( v8734(VarCurr,bitIndex14)
      <=> $false )
      & ( v8734(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addAssignment_2384,axiom,(
    ! [VarCurr] :
      ( v8730(VarCurr,bitIndex7)
    <=> v8731(VarCurr,bitIndex7) ) )).

fof(addAssignment_2383,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v8731(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(addAssignment_2382,axiom,(
    ! [VarCurr] :
      ( ( v8731(VarCurr,bitIndex15)
      <=> $false )
      & ( v8731(VarCurr,bitIndex14)
      <=> $false )
      & ( v8731(VarCurr,bitIndex13)
      <=> $false )
      & ( v8731(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addAssignment_2381,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr,bitIndex7)
    <=> v8728(VarCurr,bitIndex7) ) )).

fof(addAssignment_2380,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v8728(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(addAssignment_2379,axiom,(
    ! [VarCurr] :
      ( ( v8728(VarCurr,bitIndex15)
      <=> $false )
      & ( v8728(VarCurr,bitIndex14)
      <=> $false )
      & ( v8728(VarCurr,bitIndex13)
      <=> $false )
      & ( v8728(VarCurr,bitIndex12)
      <=> $false )
      & ( v8728(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addAssignment_2378,axiom,(
    ! [VarCurr] :
      ( v8724(VarCurr,bitIndex7)
    <=> v8725(VarCurr,bitIndex7) ) )).

fof(addAssignment_2377,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v8725(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(addAssignment_2376,axiom,(
    ! [VarCurr] :
      ( ( v8725(VarCurr,bitIndex15)
      <=> $false )
      & ( v8725(VarCurr,bitIndex14)
      <=> $false )
      & ( v8725(VarCurr,bitIndex13)
      <=> $false )
      & ( v8725(VarCurr,bitIndex12)
      <=> $false )
      & ( v8725(VarCurr,bitIndex11)
      <=> $false )
      & ( v8725(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(bitBlastConstant_1488,axiom,(
    ~ b000000(bitIndex5) )).

fof(bitBlastConstant_1487,axiom,(
    ~ b000000(bitIndex4) )).

fof(bitBlastConstant_1486,axiom,(
    ~ b000000(bitIndex3) )).

fof(bitBlastConstant_1485,axiom,(
    ~ b000000(bitIndex2) )).

fof(bitBlastConstant_1484,axiom,(
    ~ b000000(bitIndex1) )).

fof(bitBlastConstant_1483,axiom,(
    ~ b000000(bitIndex0) )).

fof(addAssignment_2375,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr,bitIndex7)
    <=> v8722(VarCurr,bitIndex7) ) )).

fof(addAssignment_2374,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v8722(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(addAssignment_2373,axiom,(
    ! [VarCurr] :
      ( ( v8722(VarCurr,bitIndex15)
      <=> $false )
      & ( v8722(VarCurr,bitIndex14)
      <=> $false )
      & ( v8722(VarCurr,bitIndex13)
      <=> $false )
      & ( v8722(VarCurr,bitIndex12)
      <=> $false )
      & ( v8722(VarCurr,bitIndex11)
      <=> $false )
      & ( v8722(VarCurr,bitIndex10)
      <=> $false )
      & ( v8722(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addAssignment_2372,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr,bitIndex7)
    <=> v8719(VarCurr,bitIndex7) ) )).

fof(addAssignment_2371,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v8719(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(range_axiom_54,axiom,(
    ! [B] :
      ( range_7_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B ) ) )).

fof(addAssignment_2370,axiom,(
    ! [VarCurr] :
      ( ( v8719(VarCurr,bitIndex15)
      <=> $false )
      & ( v8719(VarCurr,bitIndex14)
      <=> $false )
      & ( v8719(VarCurr,bitIndex13)
      <=> $false )
      & ( v8719(VarCurr,bitIndex12)
      <=> $false )
      & ( v8719(VarCurr,bitIndex11)
      <=> $false )
      & ( v8719(VarCurr,bitIndex10)
      <=> $false )
      & ( v8719(VarCurr,bitIndex9)
      <=> $false )
      & ( v8719(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addAssignment_2369,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr,bitIndex7)
    <=> v8717(VarCurr,bitIndex7) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_165,axiom,(
    ! [VarCurr] :
      ( ~ v8714(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8717(VarCurr,B)
          <=> v8716(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_169,axiom,(
    ! [VarCurr] :
      ( v8714(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v8717(VarCurr,B)
          <=> v8718(VarCurr,B) ) ) ) )).

fof(addAssignment_2368,axiom,(
    ! [VarCurr] :
      ( ( v8718(VarCurr,bitIndex12)
      <=> v8716(VarCurr,bitIndex15) )
      & ( v8718(VarCurr,bitIndex11)
      <=> v8716(VarCurr,bitIndex14) )
      & ( v8718(VarCurr,bitIndex10)
      <=> v8716(VarCurr,bitIndex13) )
      & ( v8718(VarCurr,bitIndex9)
      <=> v8716(VarCurr,bitIndex12) )
      & ( v8718(VarCurr,bitIndex8)
      <=> v8716(VarCurr,bitIndex11) )
      & ( v8718(VarCurr,bitIndex7)
      <=> v8716(VarCurr,bitIndex10) )
      & ( v8718(VarCurr,bitIndex6)
      <=> v8716(VarCurr,bitIndex9) )
      & ( v8718(VarCurr,bitIndex5)
      <=> v8716(VarCurr,bitIndex8) )
      & ( v8718(VarCurr,bitIndex4)
      <=> v8716(VarCurr,bitIndex7) )
      & ( v8718(VarCurr,bitIndex3)
      <=> v8716(VarCurr,bitIndex6) )
      & ( v8718(VarCurr,bitIndex2)
      <=> v8716(VarCurr,bitIndex5) )
      & ( v8718(VarCurr,bitIndex1)
      <=> v8716(VarCurr,bitIndex4) )
      & ( v8718(VarCurr,bitIndex0)
      <=> v8716(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_2367,axiom,(
    ! [VarCurr] :
      ( ( v8718(VarCurr,bitIndex15)
      <=> $false )
      & ( v8718(VarCurr,bitIndex14)
      <=> $false )
      & ( v8718(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addAssignment_2366,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex7)
    <=> v8235(VarCurr,bitIndex21) ) )).

fof(addAssignment_2365,axiom,(
    ! [VarCurr] :
      ( v8716(VarCurr,bitIndex10)
    <=> v8235(VarCurr,bitIndex24) ) )).

fof(addAssignment_2364,axiom,(
    ! [VarCurr] :
      ( v8714(VarCurr)
    <=> v8227(VarCurr) ) )).

fof(addAssignment_2363,axiom,(
    ! [VarCurr] :
      ( v8707(VarCurr,bitIndex7)
    <=> v8708(VarCurr,bitIndex7) ) )).

fof(addAssignment_2362,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v8708(VarCurr,B)
      <=> v8709(VarCurr,B) ) ) )).

fof(addAssignment_2361,axiom,(
    ! [VarCurr] :
      ( ( v8708(VarCurr,bitIndex15)
      <=> $false )
      & ( v8708(VarCurr,bitIndex14)
      <=> $false )
      & ( v8708(VarCurr,bitIndex13)
      <=> $false )
      & ( v8708(VarCurr,bitIndex12)
      <=> $false )
      & ( v8708(VarCurr,bitIndex11)
      <=> $false )
      & ( v8708(VarCurr,bitIndex10)
      <=> $false )
      & ( v8708(VarCurr,bitIndex9)
      <=> $false )
      & ( v8708(VarCurr,bitIndex8)
      <=> $false )
      & ( v8708(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addAssignment_2360,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v8697(VarCurr,B)
      <=> v8699(VarCurr,B) ) ) )).

fof(addAssignment_2359,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v8699(VarCurr,B)
      <=> v8701(VarCurr,B) ) ) )).

fof(addAssignment_2358,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v8701(VarCurr,B)
      <=> v8703(VarCurr,B) ) ) )).

fof(addAssignment_2357,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v8703(VarCurr,B)
      <=> v8705(VarCurr,B) ) ) )).

fof(addAssignment_2356,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v8705(VarCurr,B)
      <=> v6286(VarCurr,B) ) ) )).

fof(addAssignment_2355,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex32)
    <=> v8638(VarCurr,bitIndex32) ) )).

fof(addAssignment_2354,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex31)
    <=> v8638(VarCurr,bitIndex31) ) )).

fof(addAssignment_2353,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex30)
    <=> v8638(VarCurr,bitIndex30) ) )).

fof(addAssignment_2352,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex29)
    <=> v8638(VarCurr,bitIndex29) ) )).

fof(addAssignment_2351,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex28)
    <=> v8638(VarCurr,bitIndex28) ) )).

fof(addAssignment_2350,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex27)
    <=> v8638(VarCurr,bitIndex27) ) )).

fof(addAssignment_2349,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex26)
    <=> v8638(VarCurr,bitIndex26) ) )).

fof(addAssignment_2348,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex25)
    <=> v8638(VarCurr,bitIndex25) ) )).

fof(addAssignment_2347,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex25)
    <=> v8619(VarCurr,bitIndex25) ) )).

fof(addAssignment_2346,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex25)
    <=> v8621(VarCurr,bitIndex25) ) )).

fof(addAssignment_2345,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex25)
    <=> v8623(VarCurr,bitIndex25) ) )).

fof(addAssignment_2344,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex25)
    <=> v8625(VarCurr,bitIndex25) ) )).

fof(addAssignment_2343,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex25)
    <=> v8627(VarCurr,bitIndex25) ) )).

fof(addAssignment_2342,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex25)
    <=> v8629(VarCurr,bitIndex25) ) )).

fof(addAssignment_2341,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex25)
    <=> v8631(VarCurr,bitIndex25) ) )).

fof(addAssignment_2340,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex25)
    <=> v8633(VarCurr,bitIndex25) ) )).

fof(addAssignment_2339,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex25)
    <=> v8635(VarCurr,bitIndex25) ) )).

fof(addAssignment_2338,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex25)
    <=> v6178(VarCurr,bitIndex38) ) )).

fof(addAssignment_2337,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex38)
    <=> v6180(VarCurr,bitIndex38) ) )).

fof(addAssignment_2336,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex38)
    <=> v8691(VarCurr) ) )).

fof(addAssignment_2335,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex24)
    <=> v8638(VarCurr,bitIndex24) ) )).

fof(addAssignment_2334,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex24)
    <=> v8619(VarCurr,bitIndex24) ) )).

fof(addAssignment_2333,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex24)
    <=> v8621(VarCurr,bitIndex24) ) )).

fof(addAssignment_2332,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex24)
    <=> v8623(VarCurr,bitIndex24) ) )).

fof(addAssignment_2331,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex24)
    <=> v8625(VarCurr,bitIndex24) ) )).

fof(addAssignment_2330,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex24)
    <=> v8627(VarCurr,bitIndex24) ) )).

fof(addAssignment_2329,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex24)
    <=> v8629(VarCurr,bitIndex24) ) )).

fof(addAssignment_2328,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex24)
    <=> v8631(VarCurr,bitIndex24) ) )).

fof(addAssignment_2327,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex24)
    <=> v8633(VarCurr,bitIndex24) ) )).

fof(addAssignment_2326,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex24)
    <=> v8635(VarCurr,bitIndex24) ) )).

fof(addAssignment_2325,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex24)
    <=> v6178(VarCurr,bitIndex37) ) )).

fof(addAssignment_2324,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex37)
    <=> v6180(VarCurr,bitIndex37) ) )).

fof(addAssignment_2323,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex37)
    <=> v8689(VarCurr) ) )).

fof(addAssignment_2322,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex27)
    <=> v8615(VarCurr,bitIndex27) ) )).

fof(addAssignment_2321,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex23)
    <=> v8638(VarCurr,bitIndex23) ) )).

fof(addAssignment_2320,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex23)
    <=> v8619(VarCurr,bitIndex23) ) )).

fof(addAssignment_2319,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex23)
    <=> v8621(VarCurr,bitIndex23) ) )).

fof(addAssignment_2318,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex23)
    <=> v8623(VarCurr,bitIndex23) ) )).

fof(addAssignment_2317,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex23)
    <=> v8625(VarCurr,bitIndex23) ) )).

fof(addAssignment_2316,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex23)
    <=> v8627(VarCurr,bitIndex23) ) )).

fof(addAssignment_2315,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex23)
    <=> v8629(VarCurr,bitIndex23) ) )).

fof(addAssignment_2314,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex23)
    <=> v8631(VarCurr,bitIndex23) ) )).

fof(addAssignment_2313,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex23)
    <=> v8633(VarCurr,bitIndex23) ) )).

fof(addAssignment_2312,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex23)
    <=> v8635(VarCurr,bitIndex23) ) )).

fof(addAssignment_2311,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex23)
    <=> v6178(VarCurr,bitIndex36) ) )).

fof(addAssignment_2310,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex36)
    <=> v6180(VarCurr,bitIndex36) ) )).

fof(addAssignment_2309,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex36)
    <=> v8687(VarCurr) ) )).

fof(addAssignment_2308,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex26)
    <=> v8615(VarCurr,bitIndex26) ) )).

fof(addAssignment_2307,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex22)
    <=> v8638(VarCurr,bitIndex22) ) )).

fof(addAssignment_2306,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex22)
    <=> v8619(VarCurr,bitIndex22) ) )).

fof(addAssignment_2305,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex22)
    <=> v8621(VarCurr,bitIndex22) ) )).

fof(addAssignment_2304,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex22)
    <=> v8623(VarCurr,bitIndex22) ) )).

fof(addAssignment_2303,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex22)
    <=> v8625(VarCurr,bitIndex22) ) )).

fof(addAssignment_2302,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex22)
    <=> v8627(VarCurr,bitIndex22) ) )).

fof(addAssignment_2301,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex22)
    <=> v8629(VarCurr,bitIndex22) ) )).

fof(addAssignment_2300,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex22)
    <=> v8631(VarCurr,bitIndex22) ) )).

fof(addAssignment_2299,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex22)
    <=> v8633(VarCurr,bitIndex22) ) )).

fof(addAssignment_2298,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex22)
    <=> v8635(VarCurr,bitIndex22) ) )).

fof(addAssignment_2297,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex22)
    <=> v6178(VarCurr,bitIndex35) ) )).

fof(addAssignment_2296,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex35)
    <=> v6180(VarCurr,bitIndex35) ) )).

fof(addAssignment_2295,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex35)
    <=> v8685(VarCurr) ) )).

fof(addAssignment_2294,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex25)
    <=> v8615(VarCurr,bitIndex25) ) )).

fof(addAssignment_2293,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex21)
    <=> v8638(VarCurr,bitIndex21) ) )).

fof(addAssignment_2292,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex21)
    <=> v8619(VarCurr,bitIndex21) ) )).

fof(addAssignment_2291,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex21)
    <=> v8621(VarCurr,bitIndex21) ) )).

fof(addAssignment_2290,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex21)
    <=> v8623(VarCurr,bitIndex21) ) )).

fof(addAssignment_2289,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex21)
    <=> v8625(VarCurr,bitIndex21) ) )).

fof(addAssignment_2288,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex21)
    <=> v8627(VarCurr,bitIndex21) ) )).

fof(addAssignment_2287,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex21)
    <=> v8629(VarCurr,bitIndex21) ) )).

fof(addAssignment_2286,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex21)
    <=> v8631(VarCurr,bitIndex21) ) )).

fof(addAssignment_2285,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex21)
    <=> v8633(VarCurr,bitIndex21) ) )).

fof(addAssignment_2284,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex21)
    <=> v8635(VarCurr,bitIndex21) ) )).

fof(addAssignment_2283,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex21)
    <=> v6178(VarCurr,bitIndex34) ) )).

fof(addAssignment_2282,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex34)
    <=> v6180(VarCurr,bitIndex34) ) )).

fof(addAssignment_2281,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex34)
    <=> v8683(VarCurr) ) )).

fof(addAssignment_2280,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex24)
    <=> v8615(VarCurr,bitIndex24) ) )).

fof(addAssignment_2279,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex20)
    <=> v8638(VarCurr,bitIndex20) ) )).

fof(addAssignment_2278,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex20)
    <=> v8619(VarCurr,bitIndex20) ) )).

fof(addAssignment_2277,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex20)
    <=> v8621(VarCurr,bitIndex20) ) )).

fof(addAssignment_2276,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex20)
    <=> v8623(VarCurr,bitIndex20) ) )).

fof(addAssignment_2275,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex20)
    <=> v8625(VarCurr,bitIndex20) ) )).

fof(addAssignment_2274,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex20)
    <=> v8627(VarCurr,bitIndex20) ) )).

fof(addAssignment_2273,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex20)
    <=> v8629(VarCurr,bitIndex20) ) )).

fof(addAssignment_2272,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex20)
    <=> v8631(VarCurr,bitIndex20) ) )).

fof(addAssignment_2271,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex20)
    <=> v8633(VarCurr,bitIndex20) ) )).

fof(addAssignment_2270,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex20)
    <=> v8635(VarCurr,bitIndex20) ) )).

fof(addAssignment_2269,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex20)
    <=> v6178(VarCurr,bitIndex33) ) )).

fof(addAssignment_2268,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex33)
    <=> v6180(VarCurr,bitIndex33) ) )).

fof(addAssignment_2267,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex33)
    <=> v8681(VarCurr) ) )).

fof(addAssignment_2266,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex23)
    <=> v8615(VarCurr,bitIndex23) ) )).

fof(addAssignment_2265,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex19)
    <=> v8638(VarCurr,bitIndex19) ) )).

fof(addAssignment_2264,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex19)
    <=> v8619(VarCurr,bitIndex19) ) )).

fof(addAssignment_2263,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex19)
    <=> v8621(VarCurr,bitIndex19) ) )).

fof(addAssignment_2262,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex19)
    <=> v8623(VarCurr,bitIndex19) ) )).

fof(addAssignment_2261,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex19)
    <=> v8625(VarCurr,bitIndex19) ) )).

fof(addAssignment_2260,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex19)
    <=> v8627(VarCurr,bitIndex19) ) )).

fof(addAssignment_2259,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex19)
    <=> v8629(VarCurr,bitIndex19) ) )).

fof(addAssignment_2258,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex19)
    <=> v8631(VarCurr,bitIndex19) ) )).

fof(addAssignment_2257,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex19)
    <=> v8633(VarCurr,bitIndex19) ) )).

fof(addAssignment_2256,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex19)
    <=> v8635(VarCurr,bitIndex19) ) )).

fof(addAssignment_2255,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex19)
    <=> v6178(VarCurr,bitIndex32) ) )).

fof(addAssignment_2254,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex32)
    <=> v6180(VarCurr,bitIndex32) ) )).

fof(addAssignment_2253,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex32)
    <=> v8679(VarCurr) ) )).

fof(addAssignment_2252,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex22)
    <=> v8615(VarCurr,bitIndex22) ) )).

fof(addAssignment_2251,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex18)
    <=> v8638(VarCurr,bitIndex18) ) )).

fof(addAssignment_2250,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex18)
    <=> v8619(VarCurr,bitIndex18) ) )).

fof(addAssignment_2249,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex18)
    <=> v8621(VarCurr,bitIndex18) ) )).

fof(addAssignment_2248,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex18)
    <=> v8623(VarCurr,bitIndex18) ) )).

fof(addAssignment_2247,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex18)
    <=> v8625(VarCurr,bitIndex18) ) )).

fof(addAssignment_2246,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex18)
    <=> v8627(VarCurr,bitIndex18) ) )).

fof(addAssignment_2245,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex18)
    <=> v8629(VarCurr,bitIndex18) ) )).

fof(addAssignment_2244,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex18)
    <=> v8631(VarCurr,bitIndex18) ) )).

fof(addAssignment_2243,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex18)
    <=> v8633(VarCurr,bitIndex18) ) )).

fof(addAssignment_2242,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex18)
    <=> v8635(VarCurr,bitIndex18) ) )).

fof(addAssignment_2241,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex18)
    <=> v6178(VarCurr,bitIndex31) ) )).

fof(addAssignment_2240,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex31)
    <=> v6180(VarCurr,bitIndex31) ) )).

fof(addAssignment_2239,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex31)
    <=> v8677(VarCurr) ) )).

fof(addAssignment_2238,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex21)
    <=> v8615(VarCurr,bitIndex21) ) )).

fof(addAssignment_2237,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex17)
    <=> v8638(VarCurr,bitIndex17) ) )).

fof(addAssignment_2236,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex17)
    <=> v8619(VarCurr,bitIndex17) ) )).

fof(addAssignment_2235,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex17)
    <=> v8621(VarCurr,bitIndex17) ) )).

fof(addAssignment_2234,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex17)
    <=> v8623(VarCurr,bitIndex17) ) )).

fof(addAssignment_2233,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex17)
    <=> v8625(VarCurr,bitIndex17) ) )).

fof(addAssignment_2232,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex17)
    <=> v8627(VarCurr,bitIndex17) ) )).

fof(addAssignment_2231,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex17)
    <=> v8629(VarCurr,bitIndex17) ) )).

fof(addAssignment_2230,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex17)
    <=> v8631(VarCurr,bitIndex17) ) )).

fof(addAssignment_2229,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex17)
    <=> v8633(VarCurr,bitIndex17) ) )).

fof(addAssignment_2228,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex17)
    <=> v8635(VarCurr,bitIndex17) ) )).

fof(addAssignment_2227,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex17)
    <=> v6178(VarCurr,bitIndex30) ) )).

fof(addAssignment_2226,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex30)
    <=> v6180(VarCurr,bitIndex30) ) )).

fof(addAssignment_2225,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex30)
    <=> v8675(VarCurr) ) )).

fof(addAssignment_2224,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex20)
    <=> v8615(VarCurr,bitIndex20) ) )).

fof(addAssignment_2223,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex16)
    <=> v8638(VarCurr,bitIndex16) ) )).

fof(addAssignment_2222,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex16)
    <=> v8619(VarCurr,bitIndex16) ) )).

fof(addAssignment_2221,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex16)
    <=> v8621(VarCurr,bitIndex16) ) )).

fof(addAssignment_2220,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex16)
    <=> v8623(VarCurr,bitIndex16) ) )).

fof(addAssignment_2219,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex16)
    <=> v8625(VarCurr,bitIndex16) ) )).

fof(addAssignment_2218,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex16)
    <=> v8627(VarCurr,bitIndex16) ) )).

fof(addAssignment_2217,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex16)
    <=> v8629(VarCurr,bitIndex16) ) )).

fof(addAssignment_2216,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex16)
    <=> v8631(VarCurr,bitIndex16) ) )).

fof(addAssignment_2215,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex16)
    <=> v8633(VarCurr,bitIndex16) ) )).

fof(addAssignment_2214,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex16)
    <=> v8635(VarCurr,bitIndex16) ) )).

fof(addAssignment_2213,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex16)
    <=> v6178(VarCurr,bitIndex29) ) )).

fof(addAssignment_2212,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex29)
    <=> v6180(VarCurr,bitIndex29) ) )).

fof(addAssignment_2211,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex29)
    <=> v8673(VarCurr) ) )).

fof(addAssignment_2210,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex19)
    <=> v8615(VarCurr,bitIndex19) ) )).

fof(addAssignment_2209,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex15)
    <=> v8638(VarCurr,bitIndex15) ) )).

fof(addAssignment_2208,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex15)
    <=> v8619(VarCurr,bitIndex15) ) )).

fof(addAssignment_2207,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex15)
    <=> v8621(VarCurr,bitIndex15) ) )).

fof(addAssignment_2206,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex15)
    <=> v8623(VarCurr,bitIndex15) ) )).

fof(addAssignment_2205,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex15)
    <=> v8625(VarCurr,bitIndex15) ) )).

fof(addAssignment_2204,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex15)
    <=> v8627(VarCurr,bitIndex15) ) )).

fof(addAssignment_2203,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex15)
    <=> v8629(VarCurr,bitIndex15) ) )).

fof(addAssignment_2202,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex15)
    <=> v8631(VarCurr,bitIndex15) ) )).

fof(addAssignment_2201,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex15)
    <=> v8633(VarCurr,bitIndex15) ) )).

fof(addAssignment_2200,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex15)
    <=> v8635(VarCurr,bitIndex15) ) )).

fof(addAssignment_2199,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex15)
    <=> v6178(VarCurr,bitIndex28) ) )).

fof(addAssignment_2198,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex28)
    <=> v6180(VarCurr,bitIndex28) ) )).

fof(addAssignment_2197,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex28)
    <=> v8671(VarCurr) ) )).

fof(addAssignment_2196,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex18)
    <=> v8615(VarCurr,bitIndex18) ) )).

fof(addAssignment_2195,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex14)
    <=> v8638(VarCurr,bitIndex14) ) )).

fof(addAssignment_2194,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex14)
    <=> v8619(VarCurr,bitIndex14) ) )).

fof(addAssignment_2193,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex14)
    <=> v8621(VarCurr,bitIndex14) ) )).

fof(addAssignment_2192,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex14)
    <=> v8623(VarCurr,bitIndex14) ) )).

fof(addAssignment_2191,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex14)
    <=> v8625(VarCurr,bitIndex14) ) )).

fof(addAssignment_2190,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex14)
    <=> v8627(VarCurr,bitIndex14) ) )).

fof(addAssignment_2189,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex14)
    <=> v8629(VarCurr,bitIndex14) ) )).

fof(addAssignment_2188,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex14)
    <=> v8631(VarCurr,bitIndex14) ) )).

fof(addAssignment_2187,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex14)
    <=> v8633(VarCurr,bitIndex14) ) )).

fof(addAssignment_2186,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex14)
    <=> v8635(VarCurr,bitIndex14) ) )).

fof(addAssignment_2185,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex14)
    <=> v6178(VarCurr,bitIndex27) ) )).

fof(addAssignment_2184,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex27)
    <=> v6180(VarCurr,bitIndex27) ) )).

fof(addAssignment_2183,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex27)
    <=> v8669(VarCurr) ) )).

fof(addAssignment_2182,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex17)
    <=> v8615(VarCurr,bitIndex17) ) )).

fof(addAssignment_2181,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex13)
    <=> v8638(VarCurr,bitIndex13) ) )).

fof(addAssignment_2180,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex13)
    <=> v8619(VarCurr,bitIndex13) ) )).

fof(addAssignment_2179,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex13)
    <=> v8621(VarCurr,bitIndex13) ) )).

fof(addAssignment_2178,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex13)
    <=> v8623(VarCurr,bitIndex13) ) )).

fof(addAssignment_2177,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex13)
    <=> v8625(VarCurr,bitIndex13) ) )).

fof(addAssignment_2176,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex13)
    <=> v8627(VarCurr,bitIndex13) ) )).

fof(addAssignment_2175,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex13)
    <=> v8629(VarCurr,bitIndex13) ) )).

fof(addAssignment_2174,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex13)
    <=> v8631(VarCurr,bitIndex13) ) )).

fof(addAssignment_2173,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex13)
    <=> v8633(VarCurr,bitIndex13) ) )).

fof(addAssignment_2172,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex13)
    <=> v8635(VarCurr,bitIndex13) ) )).

fof(addAssignment_2171,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex13)
    <=> v6178(VarCurr,bitIndex26) ) )).

fof(addAssignment_2170,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex26)
    <=> v6180(VarCurr,bitIndex26) ) )).

fof(addAssignment_2169,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex26)
    <=> v8667(VarCurr) ) )).

fof(addAssignment_2168,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex16)
    <=> v8615(VarCurr,bitIndex16) ) )).

fof(addAssignment_2167,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex12)
    <=> v8638(VarCurr,bitIndex12) ) )).

fof(addAssignment_2166,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex12)
    <=> v8619(VarCurr,bitIndex12) ) )).

fof(addAssignment_2165,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex12)
    <=> v8621(VarCurr,bitIndex12) ) )).

fof(addAssignment_2164,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex12)
    <=> v8623(VarCurr,bitIndex12) ) )).

fof(addAssignment_2163,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex12)
    <=> v8625(VarCurr,bitIndex12) ) )).

fof(addAssignment_2162,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex12)
    <=> v8627(VarCurr,bitIndex12) ) )).

fof(addAssignment_2161,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex12)
    <=> v8629(VarCurr,bitIndex12) ) )).

fof(addAssignment_2160,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex12)
    <=> v8631(VarCurr,bitIndex12) ) )).

fof(addAssignment_2159,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex12)
    <=> v8633(VarCurr,bitIndex12) ) )).

fof(addAssignment_2158,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex12)
    <=> v8635(VarCurr,bitIndex12) ) )).

fof(addAssignment_2157,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex12)
    <=> v6178(VarCurr,bitIndex25) ) )).

fof(addAssignment_2156,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex25)
    <=> v6180(VarCurr,bitIndex25) ) )).

fof(addAssignment_2155,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex25)
    <=> v8665(VarCurr) ) )).

fof(addAssignment_2154,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex15)
    <=> v8615(VarCurr,bitIndex15) ) )).

fof(addAssignment_2153,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex11)
    <=> v8638(VarCurr,bitIndex11) ) )).

fof(addAssignment_2152,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex11)
    <=> v8619(VarCurr,bitIndex11) ) )).

fof(addAssignment_2151,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex11)
    <=> v8621(VarCurr,bitIndex11) ) )).

fof(addAssignment_2150,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex11)
    <=> v8623(VarCurr,bitIndex11) ) )).

fof(addAssignment_2149,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex11)
    <=> v8625(VarCurr,bitIndex11) ) )).

fof(addAssignment_2148,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex11)
    <=> v8627(VarCurr,bitIndex11) ) )).

fof(addAssignment_2147,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex11)
    <=> v8629(VarCurr,bitIndex11) ) )).

fof(addAssignment_2146,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex11)
    <=> v8631(VarCurr,bitIndex11) ) )).

fof(addAssignment_2145,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex11)
    <=> v8633(VarCurr,bitIndex11) ) )).

fof(addAssignment_2144,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex11)
    <=> v8635(VarCurr,bitIndex11) ) )).

fof(addAssignment_2143,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex11)
    <=> v6178(VarCurr,bitIndex24) ) )).

fof(addAssignment_2142,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex24)
    <=> v6180(VarCurr,bitIndex24) ) )).

fof(addAssignment_2141,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex24)
    <=> v8663(VarCurr) ) )).

fof(addAssignment_2140,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex14)
    <=> v8615(VarCurr,bitIndex14) ) )).

fof(addAssignment_2139,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex10)
    <=> v8638(VarCurr,bitIndex10) ) )).

fof(addAssignment_2138,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex10)
    <=> v8619(VarCurr,bitIndex10) ) )).

fof(addAssignment_2137,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex10)
    <=> v8621(VarCurr,bitIndex10) ) )).

fof(addAssignment_2136,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex10)
    <=> v8623(VarCurr,bitIndex10) ) )).

fof(addAssignment_2135,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex10)
    <=> v8625(VarCurr,bitIndex10) ) )).

fof(addAssignment_2134,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex10)
    <=> v8627(VarCurr,bitIndex10) ) )).

fof(addAssignment_2133,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex10)
    <=> v8629(VarCurr,bitIndex10) ) )).

fof(addAssignment_2132,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex10)
    <=> v8631(VarCurr,bitIndex10) ) )).

fof(addAssignment_2131,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex10)
    <=> v8633(VarCurr,bitIndex10) ) )).

fof(addAssignment_2130,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex10)
    <=> v8635(VarCurr,bitIndex10) ) )).

fof(addAssignment_2129,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex10)
    <=> v6178(VarCurr,bitIndex23) ) )).

fof(addAssignment_2128,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex23)
    <=> v6180(VarCurr,bitIndex23) ) )).

fof(addAssignment_2127,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex23)
    <=> v8661(VarCurr) ) )).

fof(addAssignment_2126,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex13)
    <=> v8615(VarCurr,bitIndex13) ) )).

fof(addAssignment_2125,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex9)
    <=> v8638(VarCurr,bitIndex9) ) )).

fof(addAssignment_2124,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex9)
    <=> v8619(VarCurr,bitIndex9) ) )).

fof(addAssignment_2123,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex9)
    <=> v8621(VarCurr,bitIndex9) ) )).

fof(addAssignment_2122,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex9)
    <=> v8623(VarCurr,bitIndex9) ) )).

fof(addAssignment_2121,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex9)
    <=> v8625(VarCurr,bitIndex9) ) )).

fof(addAssignment_2120,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex9)
    <=> v8627(VarCurr,bitIndex9) ) )).

fof(addAssignment_2119,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex9)
    <=> v8629(VarCurr,bitIndex9) ) )).

fof(addAssignment_2118,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex9)
    <=> v8631(VarCurr,bitIndex9) ) )).

fof(addAssignment_2117,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex9)
    <=> v8633(VarCurr,bitIndex9) ) )).

fof(addAssignment_2116,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex9)
    <=> v8635(VarCurr,bitIndex9) ) )).

fof(addAssignment_2115,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex9)
    <=> v6178(VarCurr,bitIndex22) ) )).

fof(addAssignment_2114,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex22)
    <=> v6180(VarCurr,bitIndex22) ) )).

fof(addAssignment_2113,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex22)
    <=> v8659(VarCurr) ) )).

fof(addAssignment_2112,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex12)
    <=> v8615(VarCurr,bitIndex12) ) )).

fof(addAssignment_2111,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex8)
    <=> v8638(VarCurr,bitIndex8) ) )).

fof(addAssignment_2110,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex8)
    <=> v8619(VarCurr,bitIndex8) ) )).

fof(addAssignment_2109,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex8)
    <=> v8621(VarCurr,bitIndex8) ) )).

fof(addAssignment_2108,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex8)
    <=> v8623(VarCurr,bitIndex8) ) )).

fof(addAssignment_2107,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex8)
    <=> v8625(VarCurr,bitIndex8) ) )).

fof(addAssignment_2106,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex8)
    <=> v8627(VarCurr,bitIndex8) ) )).

fof(addAssignment_2105,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex8)
    <=> v8629(VarCurr,bitIndex8) ) )).

fof(addAssignment_2104,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex8)
    <=> v8631(VarCurr,bitIndex8) ) )).

fof(addAssignment_2103,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex8)
    <=> v8633(VarCurr,bitIndex8) ) )).

fof(addAssignment_2102,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex8)
    <=> v8635(VarCurr,bitIndex8) ) )).

fof(addAssignment_2101,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex8)
    <=> v6178(VarCurr,bitIndex21) ) )).

fof(addAssignment_2100,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex21)
    <=> v6180(VarCurr,bitIndex21) ) )).

fof(addAssignment_2099,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex21)
    <=> v8657(VarCurr) ) )).

fof(addAssignment_2098,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex11)
    <=> v8615(VarCurr,bitIndex11) ) )).

fof(addAssignment_2097,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex7)
    <=> v8638(VarCurr,bitIndex7) ) )).

fof(addAssignment_2096,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex7)
    <=> v8619(VarCurr,bitIndex7) ) )).

fof(addAssignment_2095,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex7)
    <=> v8621(VarCurr,bitIndex7) ) )).

fof(addAssignment_2094,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex7)
    <=> v8623(VarCurr,bitIndex7) ) )).

fof(addAssignment_2093,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex7)
    <=> v8625(VarCurr,bitIndex7) ) )).

fof(addAssignment_2092,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex7)
    <=> v8627(VarCurr,bitIndex7) ) )).

fof(addAssignment_2091,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex7)
    <=> v8629(VarCurr,bitIndex7) ) )).

fof(addAssignment_2090,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex7)
    <=> v8631(VarCurr,bitIndex7) ) )).

fof(addAssignment_2089,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex7)
    <=> v8633(VarCurr,bitIndex7) ) )).

fof(addAssignment_2088,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex7)
    <=> v8635(VarCurr,bitIndex7) ) )).

fof(addAssignment_2087,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex7)
    <=> v6178(VarCurr,bitIndex20) ) )).

fof(addAssignment_2086,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex20)
    <=> v6180(VarCurr,bitIndex20) ) )).

fof(addAssignment_2085,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex20)
    <=> v8655(VarCurr) ) )).

fof(addAssignment_2084,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex10)
    <=> v8615(VarCurr,bitIndex10) ) )).

fof(addAssignment_2083,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex6)
    <=> v8638(VarCurr,bitIndex6) ) )).

fof(addAssignment_2082,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex6)
    <=> v8619(VarCurr,bitIndex6) ) )).

fof(addAssignment_2081,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex6)
    <=> v8621(VarCurr,bitIndex6) ) )).

fof(addAssignment_2080,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex6)
    <=> v8623(VarCurr,bitIndex6) ) )).

fof(addAssignment_2079,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex6)
    <=> v8625(VarCurr,bitIndex6) ) )).

fof(addAssignment_2078,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex6)
    <=> v8627(VarCurr,bitIndex6) ) )).

fof(addAssignment_2077,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex6)
    <=> v8629(VarCurr,bitIndex6) ) )).

fof(addAssignment_2076,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex6)
    <=> v8631(VarCurr,bitIndex6) ) )).

fof(addAssignment_2075,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex6)
    <=> v8633(VarCurr,bitIndex6) ) )).

fof(addAssignment_2074,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex6)
    <=> v8635(VarCurr,bitIndex6) ) )).

fof(addAssignment_2073,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex6)
    <=> v6178(VarCurr,bitIndex19) ) )).

fof(addAssignment_2072,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex19)
    <=> v6180(VarCurr,bitIndex19) ) )).

fof(addAssignment_2071,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex19)
    <=> v8653(VarCurr) ) )).

fof(addAssignment_2070,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex9)
    <=> v8615(VarCurr,bitIndex9) ) )).

fof(addAssignment_2069,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex5)
    <=> v8638(VarCurr,bitIndex5) ) )).

fof(addAssignment_2068,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex5)
    <=> v8619(VarCurr,bitIndex5) ) )).

fof(addAssignment_2067,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex5)
    <=> v8621(VarCurr,bitIndex5) ) )).

fof(addAssignment_2066,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex5)
    <=> v8623(VarCurr,bitIndex5) ) )).

fof(addAssignment_2065,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex5)
    <=> v8625(VarCurr,bitIndex5) ) )).

fof(addAssignment_2064,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex5)
    <=> v8627(VarCurr,bitIndex5) ) )).

fof(addAssignment_2063,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex5)
    <=> v8629(VarCurr,bitIndex5) ) )).

fof(addAssignment_2062,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex5)
    <=> v8631(VarCurr,bitIndex5) ) )).

fof(addAssignment_2061,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex5)
    <=> v8633(VarCurr,bitIndex5) ) )).

fof(addAssignment_2060,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex5)
    <=> v8635(VarCurr,bitIndex5) ) )).

fof(addAssignment_2059,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex5)
    <=> v6178(VarCurr,bitIndex18) ) )).

fof(addAssignment_2058,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex18)
    <=> v6180(VarCurr,bitIndex18) ) )).

fof(addAssignment_2057,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex18)
    <=> v8651(VarCurr) ) )).

fof(addAssignment_2056,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex8)
    <=> v8615(VarCurr,bitIndex8) ) )).

fof(addAssignment_2055,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex4)
    <=> v8638(VarCurr,bitIndex4) ) )).

fof(addAssignment_2054,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex4)
    <=> v8619(VarCurr,bitIndex4) ) )).

fof(addAssignment_2053,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex4)
    <=> v8621(VarCurr,bitIndex4) ) )).

fof(addAssignment_2052,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex4)
    <=> v8623(VarCurr,bitIndex4) ) )).

fof(addAssignment_2051,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex4)
    <=> v8625(VarCurr,bitIndex4) ) )).

fof(addAssignment_2050,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex4)
    <=> v8627(VarCurr,bitIndex4) ) )).

fof(addAssignment_2049,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex4)
    <=> v8629(VarCurr,bitIndex4) ) )).

fof(addAssignment_2048,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex4)
    <=> v8631(VarCurr,bitIndex4) ) )).

fof(addAssignment_2047,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex4)
    <=> v8633(VarCurr,bitIndex4) ) )).

fof(addAssignment_2046,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex4)
    <=> v8635(VarCurr,bitIndex4) ) )).

fof(addAssignment_2045,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex4)
    <=> v6178(VarCurr,bitIndex17) ) )).

fof(addAssignment_2044,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex17)
    <=> v6180(VarCurr,bitIndex17) ) )).

fof(addAssignment_2043,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex17)
    <=> v8649(VarCurr) ) )).

fof(addAssignment_2042,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex7)
    <=> v8615(VarCurr,bitIndex7) ) )).

fof(addAssignment_2041,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex3)
    <=> v8638(VarCurr,bitIndex3) ) )).

fof(addAssignment_2040,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex3)
    <=> v8619(VarCurr,bitIndex3) ) )).

fof(addAssignment_2039,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex3)
    <=> v8621(VarCurr,bitIndex3) ) )).

fof(addAssignment_2038,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex3)
    <=> v8623(VarCurr,bitIndex3) ) )).

fof(addAssignment_2037,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex3)
    <=> v8625(VarCurr,bitIndex3) ) )).

fof(addAssignment_2036,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex3)
    <=> v8627(VarCurr,bitIndex3) ) )).

fof(addAssignment_2035,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex3)
    <=> v8629(VarCurr,bitIndex3) ) )).

fof(addAssignment_2034,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex3)
    <=> v8631(VarCurr,bitIndex3) ) )).

fof(addAssignment_2033,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex3)
    <=> v8633(VarCurr,bitIndex3) ) )).

fof(addAssignment_2032,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex3)
    <=> v8635(VarCurr,bitIndex3) ) )).

fof(addAssignment_2031,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex3)
    <=> v6178(VarCurr,bitIndex16) ) )).

fof(addAssignment_2030,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex16)
    <=> v6180(VarCurr,bitIndex16) ) )).

fof(addAssignment_2029,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex16)
    <=> v8647(VarCurr) ) )).

fof(addAssignment_2028,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex6)
    <=> v8615(VarCurr,bitIndex6) ) )).

fof(addAssignment_2027,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex2)
    <=> v8638(VarCurr,bitIndex2) ) )).

fof(addAssignment_2026,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex2)
    <=> v8619(VarCurr,bitIndex2) ) )).

fof(addAssignment_2025,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex2)
    <=> v8621(VarCurr,bitIndex2) ) )).

fof(addAssignment_2024,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex2)
    <=> v8623(VarCurr,bitIndex2) ) )).

fof(addAssignment_2023,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex2)
    <=> v8625(VarCurr,bitIndex2) ) )).

fof(addAssignment_2022,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex2)
    <=> v8627(VarCurr,bitIndex2) ) )).

fof(addAssignment_2021,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex2)
    <=> v8629(VarCurr,bitIndex2) ) )).

fof(addAssignment_2020,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex2)
    <=> v8631(VarCurr,bitIndex2) ) )).

fof(addAssignment_2019,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex2)
    <=> v8633(VarCurr,bitIndex2) ) )).

fof(addAssignment_2018,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex2)
    <=> v8635(VarCurr,bitIndex2) ) )).

fof(addAssignment_2017,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex2)
    <=> v6178(VarCurr,bitIndex15) ) )).

fof(addAssignment_2016,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex15)
    <=> v6180(VarCurr,bitIndex15) ) )).

fof(addAssignment_2015,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex15)
    <=> v8645(VarCurr) ) )).

fof(addAssignment_2014,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex5)
    <=> v8615(VarCurr,bitIndex5) ) )).

fof(addAssignment_2013,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex1)
    <=> v8638(VarCurr,bitIndex1) ) )).

fof(addAssignment_2012,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex1)
    <=> v8619(VarCurr,bitIndex1) ) )).

fof(addAssignment_2011,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex1)
    <=> v8621(VarCurr,bitIndex1) ) )).

fof(addAssignment_2010,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex1)
    <=> v8623(VarCurr,bitIndex1) ) )).

fof(addAssignment_2009,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex1)
    <=> v8625(VarCurr,bitIndex1) ) )).

fof(addAssignment_2008,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex1)
    <=> v8627(VarCurr,bitIndex1) ) )).

fof(addAssignment_2007,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex1)
    <=> v8629(VarCurr,bitIndex1) ) )).

fof(addAssignment_2006,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex1)
    <=> v8631(VarCurr,bitIndex1) ) )).

fof(addAssignment_2005,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex1)
    <=> v8633(VarCurr,bitIndex1) ) )).

fof(addAssignment_2004,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex1)
    <=> v8635(VarCurr,bitIndex1) ) )).

fof(addAssignment_2003,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex1)
    <=> v6178(VarCurr,bitIndex14) ) )).

fof(addAssignment_2002,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex14)
    <=> v6180(VarCurr,bitIndex14) ) )).

fof(addAssignment_2001,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex14)
    <=> v8643(VarCurr) ) )).

fof(addAssignment_2000,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex4)
    <=> v8615(VarCurr,bitIndex4) ) )).

fof(addAssignment_1999,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex0)
    <=> v8638(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_164,axiom,(
    ! [VarCurr] :
      ( ~ v8607(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8638(VarCurr,B)
          <=> v8641(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_168,axiom,(
    ! [VarCurr] :
      ( v8607(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8638(VarCurr,B)
          <=> v8639(VarCurr,B) ) ) ) )).

fof(addAssignment_1998,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v8641(VarCurr,B)
      <=> v8617(VarCurr,B) ) ) )).

fof(range_axiom_53,axiom,(
    ! [B] :
      ( range_25_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B ) ) )).

fof(addAssignment_1997,axiom,(
    ! [VarCurr] :
      ( ( v8641(VarCurr,bitIndex32)
      <=> $false )
      & ( v8641(VarCurr,bitIndex31)
      <=> $false )
      & ( v8641(VarCurr,bitIndex30)
      <=> $false )
      & ( v8641(VarCurr,bitIndex29)
      <=> $false )
      & ( v8641(VarCurr,bitIndex28)
      <=> $false )
      & ( v8641(VarCurr,bitIndex27)
      <=> $false )
      & ( v8641(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addAssignment_1996,axiom,(
    ! [VarCurr] :
      ( ( v8639(VarCurr,bitIndex24)
      <=> v8613(VarCurr,bitIndex27) )
      & ( v8639(VarCurr,bitIndex23)
      <=> v8613(VarCurr,bitIndex26) )
      & ( v8639(VarCurr,bitIndex22)
      <=> v8613(VarCurr,bitIndex25) )
      & ( v8639(VarCurr,bitIndex21)
      <=> v8613(VarCurr,bitIndex24) )
      & ( v8639(VarCurr,bitIndex20)
      <=> v8613(VarCurr,bitIndex23) )
      & ( v8639(VarCurr,bitIndex19)
      <=> v8613(VarCurr,bitIndex22) )
      & ( v8639(VarCurr,bitIndex18)
      <=> v8613(VarCurr,bitIndex21) )
      & ( v8639(VarCurr,bitIndex17)
      <=> v8613(VarCurr,bitIndex20) )
      & ( v8639(VarCurr,bitIndex16)
      <=> v8613(VarCurr,bitIndex19) )
      & ( v8639(VarCurr,bitIndex15)
      <=> v8613(VarCurr,bitIndex18) )
      & ( v8639(VarCurr,bitIndex14)
      <=> v8613(VarCurr,bitIndex17) )
      & ( v8639(VarCurr,bitIndex13)
      <=> v8613(VarCurr,bitIndex16) )
      & ( v8639(VarCurr,bitIndex12)
      <=> v8613(VarCurr,bitIndex15) )
      & ( v8639(VarCurr,bitIndex11)
      <=> v8613(VarCurr,bitIndex14) )
      & ( v8639(VarCurr,bitIndex10)
      <=> v8613(VarCurr,bitIndex13) )
      & ( v8639(VarCurr,bitIndex9)
      <=> v8613(VarCurr,bitIndex12) )
      & ( v8639(VarCurr,bitIndex8)
      <=> v8613(VarCurr,bitIndex11) )
      & ( v8639(VarCurr,bitIndex7)
      <=> v8613(VarCurr,bitIndex10) )
      & ( v8639(VarCurr,bitIndex6)
      <=> v8613(VarCurr,bitIndex9) )
      & ( v8639(VarCurr,bitIndex5)
      <=> v8613(VarCurr,bitIndex8) )
      & ( v8639(VarCurr,bitIndex4)
      <=> v8613(VarCurr,bitIndex7) )
      & ( v8639(VarCurr,bitIndex3)
      <=> v8613(VarCurr,bitIndex6) )
      & ( v8639(VarCurr,bitIndex2)
      <=> v8613(VarCurr,bitIndex5) )
      & ( v8639(VarCurr,bitIndex1)
      <=> v8613(VarCurr,bitIndex4) )
      & ( v8639(VarCurr,bitIndex0)
      <=> v8613(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_1995,axiom,(
    ! [VarCurr] :
      ( ( v8639(VarCurr,bitIndex32)
      <=> $false )
      & ( v8639(VarCurr,bitIndex31)
      <=> $false )
      & ( v8639(VarCurr,bitIndex30)
      <=> $false )
      & ( v8639(VarCurr,bitIndex29)
      <=> $false )
      & ( v8639(VarCurr,bitIndex28)
      <=> $false )
      & ( v8639(VarCurr,bitIndex27)
      <=> $false )
      & ( v8639(VarCurr,bitIndex26)
      <=> $false )
      & ( v8639(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(bitBlastConstant_1482,axiom,(
    ~ b00000000(bitIndex7) )).

fof(bitBlastConstant_1481,axiom,(
    ~ b00000000(bitIndex6) )).

fof(bitBlastConstant_1480,axiom,(
    ~ b00000000(bitIndex5) )).

fof(bitBlastConstant_1479,axiom,(
    ~ b00000000(bitIndex4) )).

fof(bitBlastConstant_1478,axiom,(
    ~ b00000000(bitIndex3) )).

fof(bitBlastConstant_1477,axiom,(
    ~ b00000000(bitIndex2) )).

fof(bitBlastConstant_1476,axiom,(
    ~ b00000000(bitIndex1) )).

fof(bitBlastConstant_1475,axiom,(
    ~ b00000000(bitIndex0) )).

fof(addAssignment_1994,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr,bitIndex0)
    <=> v8619(VarCurr,bitIndex0) ) )).

fof(addAssignment_1993,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr,bitIndex0)
    <=> v8621(VarCurr,bitIndex0) ) )).

fof(addAssignment_1992,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr,bitIndex0)
    <=> v8623(VarCurr,bitIndex0) ) )).

fof(addAssignment_1991,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr,bitIndex0)
    <=> v8625(VarCurr,bitIndex0) ) )).

fof(addAssignment_1990,axiom,(
    ! [VarCurr] :
      ( v8625(VarCurr,bitIndex0)
    <=> v8627(VarCurr,bitIndex0) ) )).

fof(addAssignment_1989,axiom,(
    ! [VarCurr] :
      ( v8627(VarCurr,bitIndex0)
    <=> v8629(VarCurr,bitIndex0) ) )).

fof(addAssignment_1988,axiom,(
    ! [VarCurr] :
      ( v8629(VarCurr,bitIndex0)
    <=> v8631(VarCurr,bitIndex0) ) )).

fof(addAssignment_1987,axiom,(
    ! [VarCurr] :
      ( v8631(VarCurr,bitIndex0)
    <=> v8633(VarCurr,bitIndex0) ) )).

fof(addAssignment_1986,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr,bitIndex0)
    <=> v8635(VarCurr,bitIndex0) ) )).

fof(addAssignment_1985,axiom,(
    ! [VarCurr] :
      ( v8635(VarCurr,bitIndex0)
    <=> v6178(VarCurr,bitIndex13) ) )).

fof(addAssignment_1984,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex13)
    <=> v6180(VarCurr,bitIndex13) ) )).

fof(addAssignment_1983,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex13)
    <=> v8637(VarCurr) ) )).

fof(addAssignment_1982,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr,bitIndex3)
    <=> v8615(VarCurr,bitIndex3) ) )).

fof(addAssignment_1981,axiom,(
    ! [VarCurr] :
      ( v8607(VarCurr)
    <=> v8204(VarCurr) ) )).

fof(addAssignment_1980,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8569(VarCurr,B)
      <=> v8571(VarCurr,B) ) ) )).

fof(addAssignment_1979,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8571(VarCurr,B)
      <=> v8573(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_87,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8583(VarNext)
       => ! [B] :
            ( range_32_0(B)
           => ( v8573(VarNext,B)
            <=> v8573(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_90,axiom,(
    ! [VarNext] :
      ( v8583(VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v8573(VarNext,B)
          <=> v8591(VarNext,B) ) ) ) )).

fof(addAssignment_1978,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v8591(VarNext,B)
          <=> v8589(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_163,axiom,(
    ! [VarCurr] :
      ( ~ v8564(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8589(VarCurr,B)
          <=> v8576(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_167,axiom,(
    ! [VarCurr] :
      ( v8564(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v8589(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_1474,axiom,(
    ~ b000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_1473,axiom,(
    ~ b000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_1472,axiom,(
    ~ b000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_1471,axiom,(
    ~ b000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_1470,axiom,(
    ~ b000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_1469,axiom,(
    ~ b000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_1468,axiom,(
    ~ b000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1467,axiom,(
    ~ b000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1466,axiom,(
    ~ b000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1465,axiom,(
    ~ b000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1464,axiom,(
    ~ b000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1463,axiom,(
    ~ b000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1462,axiom,(
    ~ b000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1461,axiom,(
    ~ b000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1460,axiom,(
    ~ b000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1459,axiom,(
    ~ b000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1458,axiom,(
    ~ b000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1457,axiom,(
    ~ b000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1456,axiom,(
    ~ b000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1455,axiom,(
    ~ b000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1454,axiom,(
    ~ b000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1453,axiom,(
    ~ b000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1452,axiom,(
    ~ b000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1451,axiom,(
    ~ b000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1450,axiom,(
    ~ b000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1449,axiom,(
    ~ b000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1448,axiom,(
    ~ b000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1447,axiom,(
    ~ b000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1446,axiom,(
    ~ b000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1445,axiom,(
    ~ b000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1444,axiom,(
    ~ b000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1443,axiom,(
    ~ b000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1442,axiom,(
    ~ b000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2226,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8583(VarNext)
      <=> v8584(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2225,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8584(VarNext)
      <=> ( v8586(VarNext)
          & v8550(VarNext) ) ) ) )).

fof(writeUnaryOperator_1152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8586(VarNext)
      <=> v8557(VarNext) ) ) )).

fof(addAssignment_1977,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8576(VarCurr,B)
      <=> v8578(VarCurr,B) ) ) )).

fof(addAssignment_1976,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v8578(VarCurr,B)
      <=> v8580(VarCurr,B) ) ) )).

fof(range_axiom_52,axiom,(
    ! [B] :
      ( range_32_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B ) ) )).

fof(addAssignment_1975,axiom,(
    ! [VarCurr] :
      ( v8516(VarCurr)
    <=> v8518(VarCurr) ) )).

fof(addAssignment_1974,axiom,(
    ! [VarCurr] :
      ( v8518(VarCurr)
    <=> v8520(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_86,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8553(VarNext)
       => ( v8520(VarNext)
        <=> v8520(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_89,axiom,(
    ! [VarNext] :
      ( v8553(VarNext)
     => ( v8520(VarNext)
      <=> v8563(VarNext) ) ) )).

fof(addAssignment_1973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8563(VarNext)
      <=> v8561(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_162,axiom,(
    ! [VarCurr] :
      ( ~ v8564(VarCurr)
     => ( v8561(VarCurr)
      <=> v8565(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_166,axiom,(
    ! [VarCurr] :
      ( v8564(VarCurr)
     => ( v8561(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2224,axiom,(
    ! [VarCurr] :
      ( v8565(VarCurr)
    <=> ( v8524(VarCurr)
        & v8530(VarCurr) ) ) )).

fof(writeUnaryOperator_1151,axiom,(
    ! [VarCurr] :
      ( ~ v8564(VarCurr)
    <=> v8522(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2223,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8553(VarNext)
      <=> v8554(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8554(VarNext)
      <=> ( v8555(VarNext)
          & v8550(VarNext) ) ) ) )).

fof(writeUnaryOperator_1150,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8555(VarNext)
      <=> v8557(VarNext) ) ) )).

fof(addAssignment_1972,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8557(VarNext)
      <=> v8550(VarCurr) ) ) )).

fof(addAssignment_1971,axiom,(
    ! [VarCurr] :
      ( v8550(VarCurr)
    <=> v5104(VarCurr) ) )).

fof(addAssignment_1970,axiom,(
    ! [VarCurr] :
      ( v8530(VarCurr)
    <=> v8532(VarCurr) ) )).

fof(addAssignment_1969,axiom,(
    ! [VarCurr] :
      ( v8532(VarCurr)
    <=> v8534(VarCurr) ) )).

fof(addAssignment_1968,axiom,(
    ! [VarCurr] :
      ( v8534(VarCurr)
    <=> v8536(VarCurr) ) )).

fof(addAssignment_1967,axiom,(
    ! [VarCurr] :
      ( v8536(VarCurr)
    <=> v8538(VarCurr) ) )).

fof(addAssignment_1966,axiom,(
    ! [VarCurr] :
      ( v8538(VarCurr)
    <=> v8540(VarCurr) ) )).

fof(addAssignment_1965,axiom,(
    ! [VarCurr] :
      ( v8540(VarCurr)
    <=> v8542(VarCurr) ) )).

fof(addAssignment_1964,axiom,(
    ! [VarCurr] :
      ( v8542(VarCurr)
    <=> v8544(VarCurr) ) )).

fof(addAssignment_1963,axiom,(
    ! [VarCurr] :
      ( v8544(VarCurr)
    <=> v8546(VarCurr) ) )).

fof(addAssignment_1962,axiom,(
    ! [VarCurr] :
      ( v8546(VarCurr)
    <=> v5003(VarCurr,bitIndex10) ) )).

fof(addAssignment_1961,axiom,(
    ! [VarCurr] :
      ( v5003(VarCurr,bitIndex10)
    <=> v5005(VarCurr,bitIndex10) ) )).

fof(addAssignment_1960,axiom,(
    ! [VarCurr] :
      ( v5005(VarCurr,bitIndex10)
    <=> v8548(VarCurr) ) )).

fof(addAssignment_1959,axiom,(
    ! [VarCurr] :
      ( v8524(VarCurr)
    <=> v8526(VarCurr) ) )).

fof(addAssignment_1958,axiom,(
    ! [VarCurr] :
      ( v8526(VarCurr)
    <=> v8528(VarCurr) ) )).

fof(addAssignment_1957,axiom,(
    ! [VarCurr] :
      ( v8522(VarCurr)
    <=> v4967(VarCurr) ) )).

fof(addAssignment_1956,axiom,(
    ! [VarCurr] :
      ( v8461(VarCurr)
    <=> v8463(VarCurr) ) )).

fof(addAssignment_1955,axiom,(
    ! [VarCurr] :
      ( v8463(VarCurr)
    <=> v8465(VarCurr) ) )).

fof(addAssignment_1954,axiom,(
    ! [VarCurr] :
      ( v8465(VarCurr)
    <=> v8467(VarCurr) ) )).

fof(addAssignment_1953,axiom,(
    ! [VarCurr] :
      ( v8467(VarCurr)
    <=> v8469(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_85,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8498(VarNext)
       => ( v8469(VarNext)
        <=> v8469(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_88,axiom,(
    ! [VarNext] :
      ( v8498(VarNext)
     => ( v8469(VarNext)
      <=> v8508(VarNext) ) ) )).

fof(addAssignment_1952,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8508(VarNext)
      <=> v8506(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_161,axiom,(
    ! [VarCurr] :
      ( ~ v8509(VarCurr)
     => ( v8506(VarCurr)
      <=> v8510(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_165,axiom,(
    ! [VarCurr] :
      ( v8509(VarCurr)
     => ( v8506(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2221,axiom,(
    ! [VarCurr] :
      ( v8510(VarCurr)
    <=> ( v8473(VarCurr)
        & v8481(VarCurr) ) ) )).

fof(writeUnaryOperator_1149,axiom,(
    ! [VarCurr] :
      ( ~ v8509(VarCurr)
    <=> v8471(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8498(VarNext)
      <=> v8499(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2219,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8499(VarNext)
      <=> ( v8500(VarNext)
          & v8495(VarNext) ) ) ) )).

fof(writeUnaryOperator_1148,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8500(VarNext)
      <=> v8502(VarNext) ) ) )).

fof(addAssignment_1951,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8502(VarNext)
      <=> v8495(VarCurr) ) ) )).

fof(addAssignment_1950,axiom,(
    ! [VarCurr] :
      ( v8495(VarCurr)
    <=> v5102(VarCurr) ) )).

fof(addAssignment_1949,axiom,(
    ! [VarCurr] :
      ( v8481(VarCurr)
    <=> v8483(VarCurr) ) )).

fof(addAssignment_1948,axiom,(
    ! [VarCurr] :
      ( v8483(VarCurr)
    <=> v8485(VarCurr) ) )).

fof(addAssignment_1947,axiom,(
    ! [VarCurr] :
      ( v8485(VarCurr)
    <=> v8487(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2218,axiom,(
    ! [VarCurr] :
      ( v8487(VarCurr)
    <=> ( v8489(VarCurr)
        & v8493(VarCurr) ) ) )).

fof(writeUnaryOperator_1147,axiom,(
    ! [VarCurr] :
      ( ~ v8493(VarCurr)
    <=> v8491(VarCurr) ) )).

fof(addAssignment_1946,axiom,(
    ! [VarCurr] :
      ( v8473(VarCurr)
    <=> v8475(VarCurr) ) )).

fof(addAssignment_1945,axiom,(
    ! [VarCurr] :
      ( v8475(VarCurr)
    <=> v8477(VarCurr) ) )).

fof(addAssignment_1944,axiom,(
    ! [VarCurr] :
      ( v8477(VarCurr)
    <=> v8479(VarCurr) ) )).

fof(addAssignment_1943,axiom,(
    ! [VarCurr] :
      ( v8479(VarCurr)
    <=> v5122(VarCurr) ) )).

fof(addAssignment_1942,axiom,(
    ! [VarCurr] :
      ( v8471(VarCurr)
    <=> v5033(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_160,axiom,(
    ! [VarCurr] :
      ( ~ v8447(VarCurr)
     => ( v8445(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_164,axiom,(
    ! [VarCurr] :
      ( v8447(VarCurr)
     => ( v8445(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_451,axiom,(
    ! [VarCurr] :
      ( v8447(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1941,axiom,(
    ! [VarCurr] :
      ( v8196(VarCurr)
    <=> v8198(VarCurr) ) )).

fof(addAssignment_1940,axiom,(
    ! [VarCurr] :
      ( v8198(VarCurr)
    <=> v8200(VarCurr) ) )).

fof(addAssignment_1939,axiom,(
    ! [VarCurr] :
      ( v8200(VarCurr)
    <=> v8202(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_159,axiom,(
    ! [VarCurr] :
      ( ~ v8204(VarCurr)
     => ( v8202(VarCurr)
      <=> v8433(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_163,axiom,(
    ! [VarCurr] :
      ( v8204(VarCurr)
     => ( v8202(VarCurr)
      <=> v8430(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_450,axiom,(
    ! [VarCurr] :
      ( v8433(VarCurr)
    <=> ( ( v8206(VarCurr,bitIndex23)
        <=> v8281(VarCurr,bitIndex23) )
        & ( v8206(VarCurr,bitIndex22)
        <=> v8281(VarCurr,bitIndex22) )
        & ( v8206(VarCurr,bitIndex21)
        <=> v8281(VarCurr,bitIndex21) )
        & ( v8206(VarCurr,bitIndex20)
        <=> v8281(VarCurr,bitIndex20) )
        & ( v8206(VarCurr,bitIndex19)
        <=> v8281(VarCurr,bitIndex19) )
        & ( v8206(VarCurr,bitIndex18)
        <=> v8281(VarCurr,bitIndex18) )
        & ( v8206(VarCurr,bitIndex17)
        <=> v8281(VarCurr,bitIndex17) )
        & ( v8206(VarCurr,bitIndex16)
        <=> v8281(VarCurr,bitIndex16) )
        & ( v8206(VarCurr,bitIndex15)
        <=> v8281(VarCurr,bitIndex15) )
        & ( v8206(VarCurr,bitIndex14)
        <=> v8281(VarCurr,bitIndex14) )
        & ( v8206(VarCurr,bitIndex13)
        <=> v8281(VarCurr,bitIndex13) )
        & ( v8206(VarCurr,bitIndex12)
        <=> v8281(VarCurr,bitIndex12) )
        & ( v8206(VarCurr,bitIndex11)
        <=> v8281(VarCurr,bitIndex11) )
        & ( v8206(VarCurr,bitIndex10)
        <=> v8281(VarCurr,bitIndex10) )
        & ( v8206(VarCurr,bitIndex9)
        <=> v8281(VarCurr,bitIndex9) )
        & ( v8206(VarCurr,bitIndex8)
        <=> v8281(VarCurr,bitIndex8) )
        & ( v8206(VarCurr,bitIndex7)
        <=> v8281(VarCurr,bitIndex7) )
        & ( v8206(VarCurr,bitIndex6)
        <=> v8281(VarCurr,bitIndex6) )
        & ( v8206(VarCurr,bitIndex5)
        <=> v8281(VarCurr,bitIndex5) )
        & ( v8206(VarCurr,bitIndex4)
        <=> v8281(VarCurr,bitIndex4) )
        & ( v8206(VarCurr,bitIndex3)
        <=> v8281(VarCurr,bitIndex3) )
        & ( v8206(VarCurr,bitIndex2)
        <=> v8281(VarCurr,bitIndex2) )
        & ( v8206(VarCurr,bitIndex1)
        <=> v8281(VarCurr,bitIndex1) )
        & ( v8206(VarCurr,bitIndex0)
        <=> v8281(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2217,axiom,(
    ! [VarCurr] :
      ( v8430(VarCurr)
    <=> ( v8431(VarCurr)
        & v8432(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_449,axiom,(
    ! [VarCurr] :
      ( v8432(VarCurr)
    <=> ( ( v8360(VarCurr,bitIndex4)
        <=> v8382(VarCurr,bitIndex4) )
        & ( v8360(VarCurr,bitIndex3)
        <=> v8382(VarCurr,bitIndex3) )
        & ( v8360(VarCurr,bitIndex2)
        <=> v8382(VarCurr,bitIndex2) )
        & ( v8360(VarCurr,bitIndex1)
        <=> v8382(VarCurr,bitIndex1) )
        & ( v8360(VarCurr,bitIndex0)
        <=> v8382(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_448,axiom,(
    ! [VarCurr] :
      ( v8431(VarCurr)
    <=> ( ( v8206(VarCurr,bitIndex23)
        <=> v8281(VarCurr,bitIndex23) )
        & ( v8206(VarCurr,bitIndex22)
        <=> v8281(VarCurr,bitIndex22) )
        & ( v8206(VarCurr,bitIndex21)
        <=> v8281(VarCurr,bitIndex21) )
        & ( v8206(VarCurr,bitIndex20)
        <=> v8281(VarCurr,bitIndex20) )
        & ( v8206(VarCurr,bitIndex19)
        <=> v8281(VarCurr,bitIndex19) )
        & ( v8206(VarCurr,bitIndex18)
        <=> v8281(VarCurr,bitIndex18) )
        & ( v8206(VarCurr,bitIndex17)
        <=> v8281(VarCurr,bitIndex17) )
        & ( v8206(VarCurr,bitIndex16)
        <=> v8281(VarCurr,bitIndex16) )
        & ( v8206(VarCurr,bitIndex15)
        <=> v8281(VarCurr,bitIndex15) )
        & ( v8206(VarCurr,bitIndex14)
        <=> v8281(VarCurr,bitIndex14) )
        & ( v8206(VarCurr,bitIndex13)
        <=> v8281(VarCurr,bitIndex13) )
        & ( v8206(VarCurr,bitIndex12)
        <=> v8281(VarCurr,bitIndex12) )
        & ( v8206(VarCurr,bitIndex11)
        <=> v8281(VarCurr,bitIndex11) )
        & ( v8206(VarCurr,bitIndex10)
        <=> v8281(VarCurr,bitIndex10) )
        & ( v8206(VarCurr,bitIndex9)
        <=> v8281(VarCurr,bitIndex9) )
        & ( v8206(VarCurr,bitIndex8)
        <=> v8281(VarCurr,bitIndex8) )
        & ( v8206(VarCurr,bitIndex7)
        <=> v8281(VarCurr,bitIndex7) )
        & ( v8206(VarCurr,bitIndex6)
        <=> v8281(VarCurr,bitIndex6) )
        & ( v8206(VarCurr,bitIndex5)
        <=> v8281(VarCurr,bitIndex5) )
        & ( v8206(VarCurr,bitIndex4)
        <=> v8281(VarCurr,bitIndex4) )
        & ( v8206(VarCurr,bitIndex3)
        <=> v8281(VarCurr,bitIndex3) )
        & ( v8206(VarCurr,bitIndex2)
        <=> v8281(VarCurr,bitIndex2) )
        & ( v8206(VarCurr,bitIndex1)
        <=> v8281(VarCurr,bitIndex1) )
        & ( v8206(VarCurr,bitIndex0)
        <=> v8281(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_1938,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8382(VarCurr,B)
      <=> v8384(VarCurr,B) ) ) )).

fof(addAssignment_1937,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8384(VarCurr,B)
      <=> v8386(VarCurr,B) ) ) )).

fof(addAssignment_1936,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8386(VarCurr,B)
      <=> v8388(VarCurr,B) ) ) )).

fof(addAssignment_1935,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8388(VarCurr,B)
      <=> v8390(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_84,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8413(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v8390(VarNext,B)
            <=> v8390(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_87,axiom,(
    ! [VarNext] :
      ( v8413(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v8390(VarNext,B)
          <=> v8426(VarNext,B) ) ) ) )).

fof(addAssignment_1934,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v8426(VarNext,B)
          <=> v8424(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_124,axiom,(
    ! [VarCurr] :
      ( ~ v7234(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v8424(VarCurr,B)
          <=> v8392(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_123,axiom,(
    ! [VarCurr] :
      ( v7234(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v8424(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8413(VarNext)
      <=> ( v8414(VarNext)
          & v8421(VarNext) ) ) ) )).

fof(addAssignment_1933,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8421(VarNext)
      <=> v8419(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2215,axiom,(
    ! [VarCurr] :
      ( v8419(VarCurr)
    <=> ( v7234(VarCurr)
        | v8422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2214,axiom,(
    ! [VarCurr] :
      ( v8422(VarCurr)
    <=> ( v7236(VarCurr)
        & v8423(VarCurr) ) ) )).

fof(writeUnaryOperator_1146,axiom,(
    ! [VarCurr] :
      ( ~ v8423(VarCurr)
    <=> v7234(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8414(VarNext)
      <=> ( v8416(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_1145,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8416(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1932,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8392(VarCurr,B)
      <=> v8394(VarCurr,B) ) ) )).

fof(addAssignment_1931,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8394(VarCurr,B)
      <=> v8396(VarCurr,B) ) ) )).

fof(addAssignment_1930,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8396(VarCurr,B)
      <=> v8398(VarCurr,B) ) ) )).

fof(addAssignment_1929,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v8398(VarCurr,B)
      <=> v8400(VarCurr,B) ) ) )).

fof(addAssignment_1928,axiom,(
    ! [VarCurr] :
      ( v8400(VarCurr,bitIndex4)
    <=> v8402(VarCurr) ) )).

fof(addAssignment_1927,axiom,(
    ! [VarCurr] :
      ( v8400(VarCurr,bitIndex3)
    <=> v8404(VarCurr) ) )).

fof(addAssignment_1926,axiom,(
    ! [VarCurr] :
      ( v8400(VarCurr,bitIndex2)
    <=> v8406(VarCurr) ) )).

fof(addAssignment_1925,axiom,(
    ! [VarCurr] :
      ( v8400(VarCurr,bitIndex1)
    <=> v8408(VarCurr) ) )).

fof(addAssignment_1924,axiom,(
    ! [VarCurr] :
      ( v8400(VarCurr,bitIndex0)
    <=> v8410(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_83,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8365(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v8360(VarNext,B)
            <=> v8360(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_86,axiom,(
    ! [VarNext] :
      ( v8365(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v8360(VarNext,B)
          <=> v8378(VarNext,B) ) ) ) )).

fof(addAssignment_1923,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v8378(VarNext,B)
          <=> v8376(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_123,axiom,(
    ! [VarCurr] :
      ( ~ v8272(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v8376(VarCurr,B)
          <=> v8362(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_122,axiom,(
    ! [VarCurr] :
      ( v8272(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v8376(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8365(VarNext)
      <=> ( v8366(VarNext)
          & v8373(VarNext) ) ) ) )).

fof(addAssignment_1922,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8373(VarNext)
      <=> v8371(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2211,axiom,(
    ! [VarCurr] :
      ( v8371(VarCurr)
    <=> ( v8272(VarCurr)
        | v8374(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2210,axiom,(
    ! [VarCurr] :
      ( v8374(VarCurr)
    <=> ( v8211(VarCurr)
        & v8375(VarCurr) ) ) )).

fof(writeUnaryOperator_1144,axiom,(
    ! [VarCurr] :
      ( ~ v8375(VarCurr)
    <=> v8272(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8366(VarNext)
      <=> ( v8368(VarNext)
          & v8258(VarNext) ) ) ) )).

fof(writeUnaryOperator_1143,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8368(VarNext)
      <=> v8265(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_158,axiom,(
    ! [VarCurr] :
      ( ~ v8356(VarCurr)
     => ! [B] :
          ( range_23_3(B)
         => ( v8281(VarCurr,B)
          <=> v8299(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_44,axiom,(
    ! [VarCurr] :
      ( v8356(VarCurr)
     => ( ( v8281(VarCurr,bitIndex23)
        <=> v8283(VarCurr,bitIndex37) )
        & ( v8281(VarCurr,bitIndex22)
        <=> v8283(VarCurr,bitIndex36) )
        & ( v8281(VarCurr,bitIndex21)
        <=> v8283(VarCurr,bitIndex35) )
        & ( v8281(VarCurr,bitIndex20)
        <=> v8283(VarCurr,bitIndex34) )
        & ( v8281(VarCurr,bitIndex19)
        <=> v8283(VarCurr,bitIndex33) )
        & ( v8281(VarCurr,bitIndex18)
        <=> v8283(VarCurr,bitIndex32) )
        & ( v8281(VarCurr,bitIndex17)
        <=> v8283(VarCurr,bitIndex31) )
        & ( v8281(VarCurr,bitIndex16)
        <=> v8283(VarCurr,bitIndex30) )
        & ( v8281(VarCurr,bitIndex15)
        <=> v8283(VarCurr,bitIndex29) )
        & ( v8281(VarCurr,bitIndex14)
        <=> v8283(VarCurr,bitIndex28) )
        & ( v8281(VarCurr,bitIndex13)
        <=> v8283(VarCurr,bitIndex27) )
        & ( v8281(VarCurr,bitIndex12)
        <=> v8283(VarCurr,bitIndex26) )
        & ( v8281(VarCurr,bitIndex11)
        <=> v8283(VarCurr,bitIndex25) )
        & ( v8281(VarCurr,bitIndex10)
        <=> v8283(VarCurr,bitIndex24) )
        & ( v8281(VarCurr,bitIndex9)
        <=> v8283(VarCurr,bitIndex23) )
        & ( v8281(VarCurr,bitIndex8)
        <=> v8283(VarCurr,bitIndex22) )
        & ( v8281(VarCurr,bitIndex7)
        <=> v8283(VarCurr,bitIndex21) )
        & ( v8281(VarCurr,bitIndex6)
        <=> v8283(VarCurr,bitIndex20) )
        & ( v8281(VarCurr,bitIndex5)
        <=> v8283(VarCurr,bitIndex19) )
        & ( v8281(VarCurr,bitIndex4)
        <=> v8283(VarCurr,bitIndex18) )
        & ( v8281(VarCurr,bitIndex3)
        <=> v8283(VarCurr,bitIndex17) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_157,axiom,(
    ! [VarCurr] :
      ( ~ v8356(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8281(VarCurr,B)
          <=> v8299(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_162,axiom,(
    ! [VarCurr] :
      ( v8356(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8281(VarCurr,B)
          <=> v8357(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_48,axiom,(
    ! [VarCurr] :
      ( ~ v8227(VarCurr)
     => ( ( v8357(VarCurr,bitIndex2)
        <=> v8283(VarCurr,bitIndex16) )
        & ( v8357(VarCurr,bitIndex1)
        <=> v8283(VarCurr,bitIndex15) )
        & ( v8357(VarCurr,bitIndex0)
        <=> v8283(VarCurr,bitIndex14) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_161,axiom,(
    ! [VarCurr] :
      ( v8227(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8357(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1142,axiom,(
    ! [VarCurr] :
      ( ~ v8356(VarCurr)
    <=> v8204(VarCurr) ) )).

fof(addAssignment_1921,axiom,(
    ! [VarCurr,B] :
      ( range_23_3(B)
     => ( v8299(VarCurr,B)
      <=> v8334(VarCurr,B) ) ) )).

fof(addAssignment_1920,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v8283(VarCurr,B)
      <=> v8285(VarCurr,B) ) ) )).

fof(addAssignment_1919,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v8285(VarCurr,B)
      <=> v8287(VarCurr,B) ) ) )).

fof(addAssignment_1918,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v8287(VarCurr,B)
      <=> v8289(VarCurr,B) ) ) )).

fof(addAssignment_1917,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v8289(VarCurr,B)
      <=> v6589(VarCurr,B) ) ) )).

fof(range_axiom_51,axiom,(
    ! [B] :
      ( range_37_17(B)
    <=> ( $false
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B ) ) )).

fof(addAssignment_1916,axiom,(
    ! [VarNext,B] :
      ( range_37_30(B)
     => ( v6589(VarNext,B)
      <=> v8348(VarNext,B) ) ) )).

fof(addAssignment_1915,axiom,(
    ! [VarNext,B] :
      ( range_20_17(B)
     => ( v6589(VarNext,B)
      <=> v8348(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_82,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8350(VarNext)
       => ! [B] :
            ( range_61_0(B)
           => ( v8348(VarNext,B)
            <=> v6589(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_85,axiom,(
    ! [VarNext] :
      ( v8350(VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v8348(VarNext,B)
          <=> v7240(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8350(VarNext)
      <=> ( v8351(VarNext)
          & v7233(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8351(VarNext)
      <=> ( v8353(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_1141,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8353(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1914,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v6602(VarCurr,B)
      <=> v6037(VarCurr,B) ) ) )).

fof(addAssignment_1913,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v6037(VarCurr,B)
      <=> v6039(VarCurr,B) ) ) )).

fof(addAssignment_1912,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v6039(VarCurr,B)
      <=> v6041(VarCurr,B) ) ) )).

fof(addAssignment_1911,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v6041(VarCurr,B)
      <=> v6042(VarCurr,B) ) ) )).

fof(range_axiom_50,axiom,(
    ! [B] :
      ( range_37_30(B)
    <=> ( $false
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B ) ) )).

fof(addAssignment_1910,axiom,(
    ! [VarCurr,B] :
      ( range_26_19(B)
     => ( v6046(VarCurr,B)
      <=> v7206(VarCurr,B) ) ) )).

fof(addAssignment_1909,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v6602(VarCurr,B)
      <=> v6037(VarCurr,B) ) ) )).

fof(addAssignment_1908,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v6037(VarCurr,B)
      <=> v6039(VarCurr,B) ) ) )).

fof(addAssignment_1907,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v6039(VarCurr,B)
      <=> v6041(VarCurr,B) ) ) )).

fof(addAssignment_1906,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v6041(VarCurr,B)
      <=> v6042(VarCurr,B) ) ) )).

fof(range_axiom_49,axiom,(
    ! [B] :
      ( range_20_17(B)
    <=> ( $false
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B ) ) )).

fof(addAssignment_1905,axiom,(
    ! [VarCurr,B] :
      ( range_9_6(B)
     => ( v6046(VarCurr,B)
      <=> v7206(VarCurr,B) ) ) )).

fof(range_axiom_48,axiom,(
    ! [B] :
      ( range_9_6(B)
    <=> ( $false
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_1904,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8299(VarCurr,B)
      <=> v8334(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v8335(VarCurr)
        & ~ v8336(VarCurr)
        & ~ v8338(VarCurr)
        & ~ v8339(VarCurr)
        & ~ v8341(VarCurr)
        & ~ v8342(VarCurr)
        & ~ v8344(VarCurr) )
     => ( ( v8334(VarCurr,bitIndex23)
        <=> v8283(VarCurr,bitIndex37) )
        & ( v8334(VarCurr,bitIndex22)
        <=> v8283(VarCurr,bitIndex36) )
        & ( v8334(VarCurr,bitIndex21)
        <=> v8283(VarCurr,bitIndex35) )
        & ( v8334(VarCurr,bitIndex20)
        <=> v8283(VarCurr,bitIndex34) )
        & ( v8334(VarCurr,bitIndex19)
        <=> v8283(VarCurr,bitIndex33) )
        & ( v8334(VarCurr,bitIndex18)
        <=> v8283(VarCurr,bitIndex32) )
        & ( v8334(VarCurr,bitIndex17)
        <=> v8283(VarCurr,bitIndex31) )
        & ( v8334(VarCurr,bitIndex16)
        <=> v8283(VarCurr,bitIndex30) )
        & ( v8334(VarCurr,bitIndex15)
        <=> v8283(VarCurr,bitIndex29) )
        & ( v8334(VarCurr,bitIndex14)
        <=> v8283(VarCurr,bitIndex28) )
        & ( v8334(VarCurr,bitIndex13)
        <=> v8283(VarCurr,bitIndex27) )
        & ( v8334(VarCurr,bitIndex12)
        <=> v8283(VarCurr,bitIndex26) )
        & ( v8334(VarCurr,bitIndex11)
        <=> v8283(VarCurr,bitIndex25) )
        & ( v8334(VarCurr,bitIndex10)
        <=> v8283(VarCurr,bitIndex24) )
        & ( v8334(VarCurr,bitIndex9)
        <=> v8283(VarCurr,bitIndex23) )
        & ( v8334(VarCurr,bitIndex8)
        <=> v8283(VarCurr,bitIndex22) )
        & ( v8334(VarCurr,bitIndex7)
        <=> v8283(VarCurr,bitIndex21) )
        & ( v8334(VarCurr,bitIndex6)
        <=> v8283(VarCurr,bitIndex20) )
        & ( v8334(VarCurr,bitIndex5)
        <=> v8283(VarCurr,bitIndex19) )
        & ( v8334(VarCurr,bitIndex4)
        <=> v8283(VarCurr,bitIndex18) )
        & ( v8334(VarCurr,bitIndex3)
        <=> v8283(VarCurr,bitIndex17) )
        & ( v8334(VarCurr,bitIndex2)
        <=> v8283(VarCurr,bitIndex16) )
        & ( v8334(VarCurr,bitIndex1)
        <=> v8283(VarCurr,bitIndex15) )
        & ( v8334(VarCurr,bitIndex0)
        <=> v8283(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6_2,axiom,(
    ! [VarCurr] :
      ( v8344(VarCurr)
     => ( ( v8334(VarCurr,bitIndex23)
        <=> v8283(VarCurr,bitIndex37) )
        & ( v8334(VarCurr,bitIndex22)
        <=> v8283(VarCurr,bitIndex36) )
        & ( v8334(VarCurr,bitIndex21)
        <=> v8283(VarCurr,bitIndex35) )
        & ( v8334(VarCurr,bitIndex20)
        <=> v8283(VarCurr,bitIndex34) )
        & ( v8334(VarCurr,bitIndex19)
        <=> v8283(VarCurr,bitIndex33) )
        & ( v8334(VarCurr,bitIndex18)
        <=> v8283(VarCurr,bitIndex32) )
        & ( v8334(VarCurr,bitIndex17)
        <=> v8283(VarCurr,bitIndex31) )
        & ( v8334(VarCurr,bitIndex16)
        <=> v8283(VarCurr,bitIndex30) )
        & ( v8334(VarCurr,bitIndex15)
        <=> v8283(VarCurr,bitIndex29) )
        & ( v8334(VarCurr,bitIndex14)
        <=> v8283(VarCurr,bitIndex28) )
        & ( v8334(VarCurr,bitIndex13)
        <=> v8283(VarCurr,bitIndex27) )
        & ( v8334(VarCurr,bitIndex12)
        <=> v8283(VarCurr,bitIndex26) )
        & ( v8334(VarCurr,bitIndex11)
        <=> v8283(VarCurr,bitIndex25) )
        & ( v8334(VarCurr,bitIndex10)
        <=> v8283(VarCurr,bitIndex24) )
        & ( v8334(VarCurr,bitIndex9)
        <=> v8283(VarCurr,bitIndex23) )
        & ( v8334(VarCurr,bitIndex8)
        <=> v8283(VarCurr,bitIndex22) )
        & ( v8334(VarCurr,bitIndex7)
        <=> v8283(VarCurr,bitIndex21) )
        & ( v8334(VarCurr,bitIndex6)
        <=> v8283(VarCurr,bitIndex20) )
        & ( v8334(VarCurr,bitIndex5)
        <=> v8283(VarCurr,bitIndex19) )
        & ( v8334(VarCurr,bitIndex4)
        <=> v8283(VarCurr,bitIndex18) )
        & ( v8334(VarCurr,bitIndex3)
        <=> v8283(VarCurr,bitIndex17) )
        & ( v8334(VarCurr,bitIndex2)
        <=> v8283(VarCurr,bitIndex16) )
        & ( v8334(VarCurr,bitIndex1)
        <=> v8283(VarCurr,bitIndex15) )
        & ( v8334(VarCurr,bitIndex0)
        <=> v8283(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_6,axiom,(
    ! [VarCurr] :
      ( v8342(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8334(VarCurr,B)
          <=> v8343(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_3,axiom,(
    ! [VarCurr] :
      ( v8341(VarCurr)
     => ( ( v8334(VarCurr,bitIndex23)
        <=> v8283(VarCurr,bitIndex37) )
        & ( v8334(VarCurr,bitIndex22)
        <=> v8283(VarCurr,bitIndex36) )
        & ( v8334(VarCurr,bitIndex21)
        <=> v8283(VarCurr,bitIndex35) )
        & ( v8334(VarCurr,bitIndex20)
        <=> v8283(VarCurr,bitIndex34) )
        & ( v8334(VarCurr,bitIndex19)
        <=> v8283(VarCurr,bitIndex33) )
        & ( v8334(VarCurr,bitIndex18)
        <=> v8283(VarCurr,bitIndex32) )
        & ( v8334(VarCurr,bitIndex17)
        <=> v8283(VarCurr,bitIndex31) )
        & ( v8334(VarCurr,bitIndex16)
        <=> v8283(VarCurr,bitIndex30) )
        & ( v8334(VarCurr,bitIndex15)
        <=> v8283(VarCurr,bitIndex29) )
        & ( v8334(VarCurr,bitIndex14)
        <=> v8283(VarCurr,bitIndex28) )
        & ( v8334(VarCurr,bitIndex13)
        <=> v8283(VarCurr,bitIndex27) )
        & ( v8334(VarCurr,bitIndex12)
        <=> v8283(VarCurr,bitIndex26) )
        & ( v8334(VarCurr,bitIndex11)
        <=> v8283(VarCurr,bitIndex25) )
        & ( v8334(VarCurr,bitIndex10)
        <=> v8283(VarCurr,bitIndex24) )
        & ( v8334(VarCurr,bitIndex9)
        <=> v8283(VarCurr,bitIndex23) )
        & ( v8334(VarCurr,bitIndex8)
        <=> v8283(VarCurr,bitIndex22) )
        & ( v8334(VarCurr,bitIndex7)
        <=> v8283(VarCurr,bitIndex21) )
        & ( v8334(VarCurr,bitIndex6)
        <=> v8283(VarCurr,bitIndex20) )
        & ( v8334(VarCurr,bitIndex5)
        <=> v8283(VarCurr,bitIndex19) )
        & ( v8334(VarCurr,bitIndex4)
        <=> v8283(VarCurr,bitIndex18) )
        & ( v8334(VarCurr,bitIndex3)
        <=> v8283(VarCurr,bitIndex17) )
        & ( v8334(VarCurr,bitIndex2)
        <=> v8283(VarCurr,bitIndex16) )
        & ( v8334(VarCurr,bitIndex1)
        <=> v8283(VarCurr,bitIndex15) )
        & ( v8334(VarCurr,bitIndex0)
        <=> v8283(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_25,axiom,(
    ! [VarCurr] :
      ( v8339(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8334(VarCurr,B)
          <=> v8340(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_3,axiom,(
    ! [VarCurr] :
      ( v8338(VarCurr)
     => ( ( v8334(VarCurr,bitIndex23)
        <=> v8283(VarCurr,bitIndex37) )
        & ( v8334(VarCurr,bitIndex22)
        <=> v8283(VarCurr,bitIndex36) )
        & ( v8334(VarCurr,bitIndex21)
        <=> v8283(VarCurr,bitIndex35) )
        & ( v8334(VarCurr,bitIndex20)
        <=> v8283(VarCurr,bitIndex34) )
        & ( v8334(VarCurr,bitIndex19)
        <=> v8283(VarCurr,bitIndex33) )
        & ( v8334(VarCurr,bitIndex18)
        <=> v8283(VarCurr,bitIndex32) )
        & ( v8334(VarCurr,bitIndex17)
        <=> v8283(VarCurr,bitIndex31) )
        & ( v8334(VarCurr,bitIndex16)
        <=> v8283(VarCurr,bitIndex30) )
        & ( v8334(VarCurr,bitIndex15)
        <=> v8283(VarCurr,bitIndex29) )
        & ( v8334(VarCurr,bitIndex14)
        <=> v8283(VarCurr,bitIndex28) )
        & ( v8334(VarCurr,bitIndex13)
        <=> v8283(VarCurr,bitIndex27) )
        & ( v8334(VarCurr,bitIndex12)
        <=> v8283(VarCurr,bitIndex26) )
        & ( v8334(VarCurr,bitIndex11)
        <=> v8283(VarCurr,bitIndex25) )
        & ( v8334(VarCurr,bitIndex10)
        <=> v8283(VarCurr,bitIndex24) )
        & ( v8334(VarCurr,bitIndex9)
        <=> v8283(VarCurr,bitIndex23) )
        & ( v8334(VarCurr,bitIndex8)
        <=> v8283(VarCurr,bitIndex22) )
        & ( v8334(VarCurr,bitIndex7)
        <=> v8283(VarCurr,bitIndex21) )
        & ( v8334(VarCurr,bitIndex6)
        <=> v8283(VarCurr,bitIndex20) )
        & ( v8334(VarCurr,bitIndex5)
        <=> v8283(VarCurr,bitIndex19) )
        & ( v8334(VarCurr,bitIndex4)
        <=> v8283(VarCurr,bitIndex18) )
        & ( v8334(VarCurr,bitIndex3)
        <=> v8283(VarCurr,bitIndex17) )
        & ( v8334(VarCurr,bitIndex2)
        <=> v8283(VarCurr,bitIndex16) )
        & ( v8334(VarCurr,bitIndex1)
        <=> v8283(VarCurr,bitIndex15) )
        & ( v8334(VarCurr,bitIndex0)
        <=> v8283(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_122,axiom,(
    ! [VarCurr] :
      ( v8336(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8334(VarCurr,B)
          <=> v8337(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_3,axiom,(
    ! [VarCurr] :
      ( v8335(VarCurr)
     => ( ( v8334(VarCurr,bitIndex23)
        <=> v8283(VarCurr,bitIndex37) )
        & ( v8334(VarCurr,bitIndex22)
        <=> v8283(VarCurr,bitIndex36) )
        & ( v8334(VarCurr,bitIndex21)
        <=> v8283(VarCurr,bitIndex35) )
        & ( v8334(VarCurr,bitIndex20)
        <=> v8283(VarCurr,bitIndex34) )
        & ( v8334(VarCurr,bitIndex19)
        <=> v8283(VarCurr,bitIndex33) )
        & ( v8334(VarCurr,bitIndex18)
        <=> v8283(VarCurr,bitIndex32) )
        & ( v8334(VarCurr,bitIndex17)
        <=> v8283(VarCurr,bitIndex31) )
        & ( v8334(VarCurr,bitIndex16)
        <=> v8283(VarCurr,bitIndex30) )
        & ( v8334(VarCurr,bitIndex15)
        <=> v8283(VarCurr,bitIndex29) )
        & ( v8334(VarCurr,bitIndex14)
        <=> v8283(VarCurr,bitIndex28) )
        & ( v8334(VarCurr,bitIndex13)
        <=> v8283(VarCurr,bitIndex27) )
        & ( v8334(VarCurr,bitIndex12)
        <=> v8283(VarCurr,bitIndex26) )
        & ( v8334(VarCurr,bitIndex11)
        <=> v8283(VarCurr,bitIndex25) )
        & ( v8334(VarCurr,bitIndex10)
        <=> v8283(VarCurr,bitIndex24) )
        & ( v8334(VarCurr,bitIndex9)
        <=> v8283(VarCurr,bitIndex23) )
        & ( v8334(VarCurr,bitIndex8)
        <=> v8283(VarCurr,bitIndex22) )
        & ( v8334(VarCurr,bitIndex7)
        <=> v8283(VarCurr,bitIndex21) )
        & ( v8334(VarCurr,bitIndex6)
        <=> v8283(VarCurr,bitIndex20) )
        & ( v8334(VarCurr,bitIndex5)
        <=> v8283(VarCurr,bitIndex19) )
        & ( v8334(VarCurr,bitIndex4)
        <=> v8283(VarCurr,bitIndex18) )
        & ( v8334(VarCurr,bitIndex3)
        <=> v8283(VarCurr,bitIndex17) )
        & ( v8334(VarCurr,bitIndex2)
        <=> v8283(VarCurr,bitIndex16) )
        & ( v8334(VarCurr,bitIndex1)
        <=> v8283(VarCurr,bitIndex15) )
        & ( v8334(VarCurr,bitIndex0)
        <=> v8283(VarCurr,bitIndex14) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2206,axiom,(
    ! [VarCurr] :
      ( v8344(VarCurr)
    <=> ( v8345(VarCurr)
        | v8346(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_447,axiom,(
    ! [VarCurr] :
      ( v8346(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $true )
        & ( v8301(VarCurr,bitIndex1)
        <=> $true )
        & ( v8301(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_446,axiom,(
    ! [VarCurr] :
      ( v8345(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $true )
        & ( v8301(VarCurr,bitIndex1)
        <=> $true )
        & ( v8301(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1903,axiom,(
    ! [VarCurr,B] :
      ( range_14_0(B)
     => ( v8343(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_1902,axiom,(
    ! [VarCurr] :
      ( ( v8343(VarCurr,bitIndex23)
      <=> v8283(VarCurr,bitIndex37) )
      & ( v8343(VarCurr,bitIndex22)
      <=> v8283(VarCurr,bitIndex36) )
      & ( v8343(VarCurr,bitIndex21)
      <=> v8283(VarCurr,bitIndex35) )
      & ( v8343(VarCurr,bitIndex20)
      <=> v8283(VarCurr,bitIndex34) )
      & ( v8343(VarCurr,bitIndex19)
      <=> v8283(VarCurr,bitIndex33) )
      & ( v8343(VarCurr,bitIndex18)
      <=> v8283(VarCurr,bitIndex32) )
      & ( v8343(VarCurr,bitIndex17)
      <=> v8283(VarCurr,bitIndex31) )
      & ( v8343(VarCurr,bitIndex16)
      <=> v8283(VarCurr,bitIndex30) )
      & ( v8343(VarCurr,bitIndex15)
      <=> v8283(VarCurr,bitIndex29) ) ) )).

fof(addBitVectorEqualityBitBlasted_445,axiom,(
    ! [VarCurr] :
      ( v8342(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $true )
        & ( v8301(VarCurr,bitIndex1)
        <=> $false )
        & ( v8301(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_444,axiom,(
    ! [VarCurr] :
      ( v8341(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $true )
        & ( v8301(VarCurr,bitIndex1)
        <=> $false )
        & ( v8301(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1901,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v8340(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_1900,axiom,(
    ! [VarCurr] :
      ( ( v8340(VarCurr,bitIndex23)
      <=> v8283(VarCurr,bitIndex37) )
      & ( v8340(VarCurr,bitIndex22)
      <=> v8283(VarCurr,bitIndex36) )
      & ( v8340(VarCurr,bitIndex21)
      <=> v8283(VarCurr,bitIndex35) )
      & ( v8340(VarCurr,bitIndex20)
      <=> v8283(VarCurr,bitIndex34) )
      & ( v8340(VarCurr,bitIndex19)
      <=> v8283(VarCurr,bitIndex33) )
      & ( v8340(VarCurr,bitIndex18)
      <=> v8283(VarCurr,bitIndex32) )
      & ( v8340(VarCurr,bitIndex17)
      <=> v8283(VarCurr,bitIndex31) )
      & ( v8340(VarCurr,bitIndex16)
      <=> v8283(VarCurr,bitIndex30) )
      & ( v8340(VarCurr,bitIndex15)
      <=> v8283(VarCurr,bitIndex29) )
      & ( v8340(VarCurr,bitIndex14)
      <=> v8283(VarCurr,bitIndex28) )
      & ( v8340(VarCurr,bitIndex13)
      <=> v8283(VarCurr,bitIndex27) )
      & ( v8340(VarCurr,bitIndex12)
      <=> v8283(VarCurr,bitIndex26) )
      & ( v8340(VarCurr,bitIndex11)
      <=> v8283(VarCurr,bitIndex25) )
      & ( v8340(VarCurr,bitIndex10)
      <=> v8283(VarCurr,bitIndex24) )
      & ( v8340(VarCurr,bitIndex9)
      <=> v8283(VarCurr,bitIndex23) ) ) )).

fof(addBitVectorEqualityBitBlasted_443,axiom,(
    ! [VarCurr] :
      ( v8339(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $false )
        & ( v8301(VarCurr,bitIndex1)
        <=> $true )
        & ( v8301(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_442,axiom,(
    ! [VarCurr] :
      ( v8338(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $false )
        & ( v8301(VarCurr,bitIndex1)
        <=> $true )
        & ( v8301(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1899,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8337(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_1898,axiom,(
    ! [VarCurr] :
      ( ( v8337(VarCurr,bitIndex23)
      <=> v8283(VarCurr,bitIndex37) )
      & ( v8337(VarCurr,bitIndex22)
      <=> v8283(VarCurr,bitIndex36) )
      & ( v8337(VarCurr,bitIndex21)
      <=> v8283(VarCurr,bitIndex35) )
      & ( v8337(VarCurr,bitIndex20)
      <=> v8283(VarCurr,bitIndex34) )
      & ( v8337(VarCurr,bitIndex19)
      <=> v8283(VarCurr,bitIndex33) )
      & ( v8337(VarCurr,bitIndex18)
      <=> v8283(VarCurr,bitIndex32) )
      & ( v8337(VarCurr,bitIndex17)
      <=> v8283(VarCurr,bitIndex31) )
      & ( v8337(VarCurr,bitIndex16)
      <=> v8283(VarCurr,bitIndex30) )
      & ( v8337(VarCurr,bitIndex15)
      <=> v8283(VarCurr,bitIndex29) )
      & ( v8337(VarCurr,bitIndex14)
      <=> v8283(VarCurr,bitIndex28) )
      & ( v8337(VarCurr,bitIndex13)
      <=> v8283(VarCurr,bitIndex27) )
      & ( v8337(VarCurr,bitIndex12)
      <=> v8283(VarCurr,bitIndex26) )
      & ( v8337(VarCurr,bitIndex11)
      <=> v8283(VarCurr,bitIndex25) )
      & ( v8337(VarCurr,bitIndex10)
      <=> v8283(VarCurr,bitIndex24) )
      & ( v8337(VarCurr,bitIndex9)
      <=> v8283(VarCurr,bitIndex23) )
      & ( v8337(VarCurr,bitIndex8)
      <=> v8283(VarCurr,bitIndex22) )
      & ( v8337(VarCurr,bitIndex7)
      <=> v8283(VarCurr,bitIndex21) )
      & ( v8337(VarCurr,bitIndex6)
      <=> v8283(VarCurr,bitIndex20) )
      & ( v8337(VarCurr,bitIndex5)
      <=> v8283(VarCurr,bitIndex19) )
      & ( v8337(VarCurr,bitIndex4)
      <=> v8283(VarCurr,bitIndex18) )
      & ( v8337(VarCurr,bitIndex3)
      <=> v8283(VarCurr,bitIndex17) ) ) )).

fof(addBitVectorEqualityBitBlasted_441,axiom,(
    ! [VarCurr] :
      ( v8336(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $false )
        & ( v8301(VarCurr,bitIndex1)
        <=> $false )
        & ( v8301(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_440,axiom,(
    ! [VarCurr] :
      ( v8335(VarCurr)
    <=> ( ( v8301(VarCurr,bitIndex2)
        <=> $false )
        & ( v8301(VarCurr,bitIndex1)
        <=> $false )
        & ( v8301(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1897,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8301(VarCurr,B)
      <=> v8303(VarCurr,B) ) ) )).

fof(addAssignment_1896,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8303(VarCurr,B)
      <=> v8305(VarCurr,B) ) ) )).

fof(addAssignment_1895,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8305(VarCurr,B)
      <=> v8307(VarCurr,B) ) ) )).

fof(addAssignment_1894,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8307(VarCurr,B)
      <=> v8309(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_81,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8318(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v8309(VarNext,B)
            <=> v8309(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_84,axiom,(
    ! [VarNext] :
      ( v8318(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v8309(VarNext,B)
          <=> v8331(VarNext,B) ) ) ) )).

fof(addAssignment_1893,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v8331(VarNext,B)
          <=> v8329(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_121,axiom,(
    ! [VarCurr] :
      ( ~ v7234(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8329(VarCurr,B)
          <=> v8311(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_121,axiom,(
    ! [VarCurr] :
      ( v7234(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8329(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2205,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8318(VarNext)
      <=> ( v8319(VarNext)
          & v8326(VarNext) ) ) ) )).

fof(addAssignment_1892,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8326(VarNext)
      <=> v8324(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2204,axiom,(
    ! [VarCurr] :
      ( v8324(VarCurr)
    <=> ( v7234(VarCurr)
        | v8327(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2203,axiom,(
    ! [VarCurr] :
      ( v8327(VarCurr)
    <=> ( v7236(VarCurr)
        & v8328(VarCurr) ) ) )).

fof(writeUnaryOperator_1140,axiom,(
    ! [VarCurr] :
      ( ~ v8328(VarCurr)
    <=> v7234(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8319(VarNext)
      <=> ( v8321(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_1139,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8321(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1891,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8311(VarCurr,B)
      <=> v8313(VarCurr,B) ) ) )).

fof(addAssignment_1890,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8313(VarCurr,B)
      <=> v8315(VarCurr,B) ) ) )).

fof(addAssignment_1889,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8315(VarCurr,B)
      <=> v6605(VarCurr,B) ) ) )).

fof(addAssignment_1888,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v8283(VarCurr,B)
      <=> v8285(VarCurr,B) ) ) )).

fof(addAssignment_1887,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v8285(VarCurr,B)
      <=> v8287(VarCurr,B) ) ) )).

fof(addAssignment_1886,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v8287(VarCurr,B)
      <=> v8289(VarCurr,B) ) ) )).

fof(addAssignment_1885,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v8289(VarCurr,B)
      <=> v6589(VarCurr,B) ) ) )).

fof(addAssignment_1884,axiom,(
    ! [VarNext,B] :
      ( range_16_14(B)
     => ( v6589(VarNext,B)
      <=> v8291(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_80,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8293(VarNext)
       => ! [B] :
            ( range_61_0(B)
           => ( v8291(VarNext,B)
            <=> v6589(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_83,axiom,(
    ! [VarNext] :
      ( v8293(VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v8291(VarNext,B)
          <=> v7240(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2201,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8293(VarNext)
      <=> ( v8294(VarNext)
          & v7233(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2200,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8294(VarNext)
      <=> ( v8296(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_1138,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8296(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1883,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v6602(VarCurr,B)
      <=> v6037(VarCurr,B) ) ) )).

fof(addAssignment_1882,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v6037(VarCurr,B)
      <=> v6039(VarCurr,B) ) ) )).

fof(addAssignment_1881,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v6039(VarCurr,B)
      <=> v6041(VarCurr,B) ) ) )).

fof(addAssignment_1880,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v6041(VarCurr,B)
      <=> v6042(VarCurr,B) ) ) )).

fof(range_axiom_47,axiom,(
    ! [B] :
      ( range_16_14(B)
    <=> ( $false
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B ) ) )).

fof(addAssignment_1879,axiom,(
    ! [VarCurr,B] :
      ( range_5_3(B)
     => ( v6046(VarCurr,B)
      <=> v7206(VarCurr,B) ) ) )).

fof(range_axiom_46,axiom,(
    ! [B] :
      ( range_5_3(B)
    <=> ( $false
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B ) ) )).

fof(addCaseBooleanConditionEqualRanges1_79,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8261(VarNext)
       => ! [B] :
            ( range_23_0(B)
           => ( v8206(VarNext,B)
            <=> v8206(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_82,axiom,(
    ! [VarNext] :
      ( v8261(VarNext)
     => ! [B] :
          ( range_23_0(B)
         => ( v8206(VarNext,B)
          <=> v8277(VarNext,B) ) ) ) )).

fof(addAssignment_1878,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_23_0(B)
         => ( v8277(VarNext,B)
          <=> v8275(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_120,axiom,(
    ! [VarCurr] :
      ( ~ v8272(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8275(VarCurr,B)
          <=> v8225(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_120,axiom,(
    ! [VarCurr] :
      ( v8272(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8275(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_1441,axiom,(
    ~ b000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1440,axiom,(
    ~ b000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1439,axiom,(
    ~ b000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1438,axiom,(
    ~ b000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1437,axiom,(
    ~ b000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1436,axiom,(
    ~ b000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1435,axiom,(
    ~ b000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1434,axiom,(
    ~ b000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1433,axiom,(
    ~ b000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1432,axiom,(
    ~ b000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1431,axiom,(
    ~ b000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1430,axiom,(
    ~ b000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1429,axiom,(
    ~ b000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1428,axiom,(
    ~ b000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1427,axiom,(
    ~ b000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1426,axiom,(
    ~ b000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1425,axiom,(
    ~ b000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1424,axiom,(
    ~ b000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1423,axiom,(
    ~ b000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1422,axiom,(
    ~ b000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1421,axiom,(
    ~ b000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1420,axiom,(
    ~ b000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1419,axiom,(
    ~ b000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1418,axiom,(
    ~ b000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8261(VarNext)
      <=> ( v8262(VarNext)
          & v8271(VarNext) ) ) ) )).

fof(addAssignment_1877,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8271(VarNext)
      <=> v8269(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2198,axiom,(
    ! [VarCurr] :
      ( v8269(VarCurr)
    <=> ( v8272(VarCurr)
        | v8273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2197,axiom,(
    ! [VarCurr] :
      ( v8273(VarCurr)
    <=> ( v8211(VarCurr)
        & v8274(VarCurr) ) ) )).

fof(writeUnaryOperator_1137,axiom,(
    ! [VarCurr] :
      ( ~ v8274(VarCurr)
    <=> v8272(VarCurr) ) )).

fof(writeUnaryOperator_1136,axiom,(
    ! [VarCurr] :
      ( ~ v8272(VarCurr)
    <=> v8208(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2196,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8262(VarNext)
      <=> ( v8263(VarNext)
          & v8258(VarNext) ) ) ) )).

fof(writeUnaryOperator_1135,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8263(VarNext)
      <=> v8265(VarNext) ) ) )).

fof(addAssignment_1876,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8265(VarNext)
      <=> v8258(VarCurr) ) ) )).

fof(addAssignment_1875,axiom,(
    ! [VarCurr] :
      ( v8258(VarCurr)
    <=> v5104(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_156,axiom,(
    ! [VarCurr] :
      ( ~ v8254(VarCurr)
     => ! [B] :
          ( range_23_3(B)
         => ( v8225(VarCurr,B)
          <=> v8237(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_43,axiom,(
    ! [VarCurr] :
      ( v8254(VarCurr)
     => ( ( v8225(VarCurr,bitIndex23)
        <=> v8235(VarCurr,bitIndex37) )
        & ( v8225(VarCurr,bitIndex22)
        <=> v8235(VarCurr,bitIndex36) )
        & ( v8225(VarCurr,bitIndex21)
        <=> v8235(VarCurr,bitIndex35) )
        & ( v8225(VarCurr,bitIndex20)
        <=> v8235(VarCurr,bitIndex34) )
        & ( v8225(VarCurr,bitIndex19)
        <=> v8235(VarCurr,bitIndex33) )
        & ( v8225(VarCurr,bitIndex18)
        <=> v8235(VarCurr,bitIndex32) )
        & ( v8225(VarCurr,bitIndex17)
        <=> v8235(VarCurr,bitIndex31) )
        & ( v8225(VarCurr,bitIndex16)
        <=> v8235(VarCurr,bitIndex30) )
        & ( v8225(VarCurr,bitIndex15)
        <=> v8235(VarCurr,bitIndex29) )
        & ( v8225(VarCurr,bitIndex14)
        <=> v8235(VarCurr,bitIndex28) )
        & ( v8225(VarCurr,bitIndex13)
        <=> v8235(VarCurr,bitIndex27) )
        & ( v8225(VarCurr,bitIndex12)
        <=> v8235(VarCurr,bitIndex26) )
        & ( v8225(VarCurr,bitIndex11)
        <=> v8235(VarCurr,bitIndex25) )
        & ( v8225(VarCurr,bitIndex10)
        <=> v8235(VarCurr,bitIndex24) )
        & ( v8225(VarCurr,bitIndex9)
        <=> v8235(VarCurr,bitIndex23) )
        & ( v8225(VarCurr,bitIndex8)
        <=> v8235(VarCurr,bitIndex22) )
        & ( v8225(VarCurr,bitIndex7)
        <=> v8235(VarCurr,bitIndex21) )
        & ( v8225(VarCurr,bitIndex6)
        <=> v8235(VarCurr,bitIndex20) )
        & ( v8225(VarCurr,bitIndex5)
        <=> v8235(VarCurr,bitIndex19) )
        & ( v8225(VarCurr,bitIndex4)
        <=> v8235(VarCurr,bitIndex18) )
        & ( v8225(VarCurr,bitIndex3)
        <=> v8235(VarCurr,bitIndex17) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_155,axiom,(
    ! [VarCurr] :
      ( ~ v8254(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8225(VarCurr,B)
          <=> v8237(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_160,axiom,(
    ! [VarCurr] :
      ( v8254(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8225(VarCurr,B)
          <=> v8255(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_47,axiom,(
    ! [VarCurr] :
      ( ~ v8227(VarCurr)
     => ( ( v8255(VarCurr,bitIndex2)
        <=> v8235(VarCurr,bitIndex16) )
        & ( v8255(VarCurr,bitIndex1)
        <=> v8235(VarCurr,bitIndex15) )
        & ( v8255(VarCurr,bitIndex0)
        <=> v8235(VarCurr,bitIndex14) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_159,axiom,(
    ! [VarCurr] :
      ( v8227(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v8255(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1134,axiom,(
    ! [VarCurr] :
      ( ~ v8254(VarCurr)
    <=> v8204(VarCurr) ) )).

fof(addAssignment_1874,axiom,(
    ! [VarCurr,B] :
      ( range_23_3(B)
     => ( v8237(VarCurr,B)
      <=> v8240(VarCurr,B) ) ) )).

fof(range_axiom_45,axiom,(
    ! [B] :
      ( range_23_3(B)
    <=> ( $false
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B ) ) )).

fof(addAssignment_1873,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8237(VarCurr,B)
      <=> v8240(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v8241(VarCurr)
        & ~ v8242(VarCurr)
        & ~ v8244(VarCurr)
        & ~ v8245(VarCurr)
        & ~ v8247(VarCurr)
        & ~ v8248(VarCurr)
        & ~ v8250(VarCurr) )
     => ( ( v8240(VarCurr,bitIndex23)
        <=> v8235(VarCurr,bitIndex37) )
        & ( v8240(VarCurr,bitIndex22)
        <=> v8235(VarCurr,bitIndex36) )
        & ( v8240(VarCurr,bitIndex21)
        <=> v8235(VarCurr,bitIndex35) )
        & ( v8240(VarCurr,bitIndex20)
        <=> v8235(VarCurr,bitIndex34) )
        & ( v8240(VarCurr,bitIndex19)
        <=> v8235(VarCurr,bitIndex33) )
        & ( v8240(VarCurr,bitIndex18)
        <=> v8235(VarCurr,bitIndex32) )
        & ( v8240(VarCurr,bitIndex17)
        <=> v8235(VarCurr,bitIndex31) )
        & ( v8240(VarCurr,bitIndex16)
        <=> v8235(VarCurr,bitIndex30) )
        & ( v8240(VarCurr,bitIndex15)
        <=> v8235(VarCurr,bitIndex29) )
        & ( v8240(VarCurr,bitIndex14)
        <=> v8235(VarCurr,bitIndex28) )
        & ( v8240(VarCurr,bitIndex13)
        <=> v8235(VarCurr,bitIndex27) )
        & ( v8240(VarCurr,bitIndex12)
        <=> v8235(VarCurr,bitIndex26) )
        & ( v8240(VarCurr,bitIndex11)
        <=> v8235(VarCurr,bitIndex25) )
        & ( v8240(VarCurr,bitIndex10)
        <=> v8235(VarCurr,bitIndex24) )
        & ( v8240(VarCurr,bitIndex9)
        <=> v8235(VarCurr,bitIndex23) )
        & ( v8240(VarCurr,bitIndex8)
        <=> v8235(VarCurr,bitIndex22) )
        & ( v8240(VarCurr,bitIndex7)
        <=> v8235(VarCurr,bitIndex21) )
        & ( v8240(VarCurr,bitIndex6)
        <=> v8235(VarCurr,bitIndex20) )
        & ( v8240(VarCurr,bitIndex5)
        <=> v8235(VarCurr,bitIndex19) )
        & ( v8240(VarCurr,bitIndex4)
        <=> v8235(VarCurr,bitIndex18) )
        & ( v8240(VarCurr,bitIndex3)
        <=> v8235(VarCurr,bitIndex17) )
        & ( v8240(VarCurr,bitIndex2)
        <=> v8235(VarCurr,bitIndex16) )
        & ( v8240(VarCurr,bitIndex1)
        <=> v8235(VarCurr,bitIndex15) )
        & ( v8240(VarCurr,bitIndex0)
        <=> v8235(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6_1,axiom,(
    ! [VarCurr] :
      ( v8250(VarCurr)
     => ( ( v8240(VarCurr,bitIndex23)
        <=> v8235(VarCurr,bitIndex37) )
        & ( v8240(VarCurr,bitIndex22)
        <=> v8235(VarCurr,bitIndex36) )
        & ( v8240(VarCurr,bitIndex21)
        <=> v8235(VarCurr,bitIndex35) )
        & ( v8240(VarCurr,bitIndex20)
        <=> v8235(VarCurr,bitIndex34) )
        & ( v8240(VarCurr,bitIndex19)
        <=> v8235(VarCurr,bitIndex33) )
        & ( v8240(VarCurr,bitIndex18)
        <=> v8235(VarCurr,bitIndex32) )
        & ( v8240(VarCurr,bitIndex17)
        <=> v8235(VarCurr,bitIndex31) )
        & ( v8240(VarCurr,bitIndex16)
        <=> v8235(VarCurr,bitIndex30) )
        & ( v8240(VarCurr,bitIndex15)
        <=> v8235(VarCurr,bitIndex29) )
        & ( v8240(VarCurr,bitIndex14)
        <=> v8235(VarCurr,bitIndex28) )
        & ( v8240(VarCurr,bitIndex13)
        <=> v8235(VarCurr,bitIndex27) )
        & ( v8240(VarCurr,bitIndex12)
        <=> v8235(VarCurr,bitIndex26) )
        & ( v8240(VarCurr,bitIndex11)
        <=> v8235(VarCurr,bitIndex25) )
        & ( v8240(VarCurr,bitIndex10)
        <=> v8235(VarCurr,bitIndex24) )
        & ( v8240(VarCurr,bitIndex9)
        <=> v8235(VarCurr,bitIndex23) )
        & ( v8240(VarCurr,bitIndex8)
        <=> v8235(VarCurr,bitIndex22) )
        & ( v8240(VarCurr,bitIndex7)
        <=> v8235(VarCurr,bitIndex21) )
        & ( v8240(VarCurr,bitIndex6)
        <=> v8235(VarCurr,bitIndex20) )
        & ( v8240(VarCurr,bitIndex5)
        <=> v8235(VarCurr,bitIndex19) )
        & ( v8240(VarCurr,bitIndex4)
        <=> v8235(VarCurr,bitIndex18) )
        & ( v8240(VarCurr,bitIndex3)
        <=> v8235(VarCurr,bitIndex17) )
        & ( v8240(VarCurr,bitIndex2)
        <=> v8235(VarCurr,bitIndex16) )
        & ( v8240(VarCurr,bitIndex1)
        <=> v8235(VarCurr,bitIndex15) )
        & ( v8240(VarCurr,bitIndex0)
        <=> v8235(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_5,axiom,(
    ! [VarCurr] :
      ( v8248(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8240(VarCurr,B)
          <=> v8249(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_2,axiom,(
    ! [VarCurr] :
      ( v8247(VarCurr)
     => ( ( v8240(VarCurr,bitIndex23)
        <=> v8235(VarCurr,bitIndex37) )
        & ( v8240(VarCurr,bitIndex22)
        <=> v8235(VarCurr,bitIndex36) )
        & ( v8240(VarCurr,bitIndex21)
        <=> v8235(VarCurr,bitIndex35) )
        & ( v8240(VarCurr,bitIndex20)
        <=> v8235(VarCurr,bitIndex34) )
        & ( v8240(VarCurr,bitIndex19)
        <=> v8235(VarCurr,bitIndex33) )
        & ( v8240(VarCurr,bitIndex18)
        <=> v8235(VarCurr,bitIndex32) )
        & ( v8240(VarCurr,bitIndex17)
        <=> v8235(VarCurr,bitIndex31) )
        & ( v8240(VarCurr,bitIndex16)
        <=> v8235(VarCurr,bitIndex30) )
        & ( v8240(VarCurr,bitIndex15)
        <=> v8235(VarCurr,bitIndex29) )
        & ( v8240(VarCurr,bitIndex14)
        <=> v8235(VarCurr,bitIndex28) )
        & ( v8240(VarCurr,bitIndex13)
        <=> v8235(VarCurr,bitIndex27) )
        & ( v8240(VarCurr,bitIndex12)
        <=> v8235(VarCurr,bitIndex26) )
        & ( v8240(VarCurr,bitIndex11)
        <=> v8235(VarCurr,bitIndex25) )
        & ( v8240(VarCurr,bitIndex10)
        <=> v8235(VarCurr,bitIndex24) )
        & ( v8240(VarCurr,bitIndex9)
        <=> v8235(VarCurr,bitIndex23) )
        & ( v8240(VarCurr,bitIndex8)
        <=> v8235(VarCurr,bitIndex22) )
        & ( v8240(VarCurr,bitIndex7)
        <=> v8235(VarCurr,bitIndex21) )
        & ( v8240(VarCurr,bitIndex6)
        <=> v8235(VarCurr,bitIndex20) )
        & ( v8240(VarCurr,bitIndex5)
        <=> v8235(VarCurr,bitIndex19) )
        & ( v8240(VarCurr,bitIndex4)
        <=> v8235(VarCurr,bitIndex18) )
        & ( v8240(VarCurr,bitIndex3)
        <=> v8235(VarCurr,bitIndex17) )
        & ( v8240(VarCurr,bitIndex2)
        <=> v8235(VarCurr,bitIndex16) )
        & ( v8240(VarCurr,bitIndex1)
        <=> v8235(VarCurr,bitIndex15) )
        & ( v8240(VarCurr,bitIndex0)
        <=> v8235(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_24,axiom,(
    ! [VarCurr] :
      ( v8245(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8240(VarCurr,B)
          <=> v8246(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_2,axiom,(
    ! [VarCurr] :
      ( v8244(VarCurr)
     => ( ( v8240(VarCurr,bitIndex23)
        <=> v8235(VarCurr,bitIndex37) )
        & ( v8240(VarCurr,bitIndex22)
        <=> v8235(VarCurr,bitIndex36) )
        & ( v8240(VarCurr,bitIndex21)
        <=> v8235(VarCurr,bitIndex35) )
        & ( v8240(VarCurr,bitIndex20)
        <=> v8235(VarCurr,bitIndex34) )
        & ( v8240(VarCurr,bitIndex19)
        <=> v8235(VarCurr,bitIndex33) )
        & ( v8240(VarCurr,bitIndex18)
        <=> v8235(VarCurr,bitIndex32) )
        & ( v8240(VarCurr,bitIndex17)
        <=> v8235(VarCurr,bitIndex31) )
        & ( v8240(VarCurr,bitIndex16)
        <=> v8235(VarCurr,bitIndex30) )
        & ( v8240(VarCurr,bitIndex15)
        <=> v8235(VarCurr,bitIndex29) )
        & ( v8240(VarCurr,bitIndex14)
        <=> v8235(VarCurr,bitIndex28) )
        & ( v8240(VarCurr,bitIndex13)
        <=> v8235(VarCurr,bitIndex27) )
        & ( v8240(VarCurr,bitIndex12)
        <=> v8235(VarCurr,bitIndex26) )
        & ( v8240(VarCurr,bitIndex11)
        <=> v8235(VarCurr,bitIndex25) )
        & ( v8240(VarCurr,bitIndex10)
        <=> v8235(VarCurr,bitIndex24) )
        & ( v8240(VarCurr,bitIndex9)
        <=> v8235(VarCurr,bitIndex23) )
        & ( v8240(VarCurr,bitIndex8)
        <=> v8235(VarCurr,bitIndex22) )
        & ( v8240(VarCurr,bitIndex7)
        <=> v8235(VarCurr,bitIndex21) )
        & ( v8240(VarCurr,bitIndex6)
        <=> v8235(VarCurr,bitIndex20) )
        & ( v8240(VarCurr,bitIndex5)
        <=> v8235(VarCurr,bitIndex19) )
        & ( v8240(VarCurr,bitIndex4)
        <=> v8235(VarCurr,bitIndex18) )
        & ( v8240(VarCurr,bitIndex3)
        <=> v8235(VarCurr,bitIndex17) )
        & ( v8240(VarCurr,bitIndex2)
        <=> v8235(VarCurr,bitIndex16) )
        & ( v8240(VarCurr,bitIndex1)
        <=> v8235(VarCurr,bitIndex15) )
        & ( v8240(VarCurr,bitIndex0)
        <=> v8235(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_119,axiom,(
    ! [VarCurr] :
      ( v8242(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v8240(VarCurr,B)
          <=> v8243(VarCurr,B) ) ) ) )).

fof(range_axiom_44,axiom,(
    ! [B] :
      ( range_23_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_2,axiom,(
    ! [VarCurr] :
      ( v8241(VarCurr)
     => ( ( v8240(VarCurr,bitIndex23)
        <=> v8235(VarCurr,bitIndex37) )
        & ( v8240(VarCurr,bitIndex22)
        <=> v8235(VarCurr,bitIndex36) )
        & ( v8240(VarCurr,bitIndex21)
        <=> v8235(VarCurr,bitIndex35) )
        & ( v8240(VarCurr,bitIndex20)
        <=> v8235(VarCurr,bitIndex34) )
        & ( v8240(VarCurr,bitIndex19)
        <=> v8235(VarCurr,bitIndex33) )
        & ( v8240(VarCurr,bitIndex18)
        <=> v8235(VarCurr,bitIndex32) )
        & ( v8240(VarCurr,bitIndex17)
        <=> v8235(VarCurr,bitIndex31) )
        & ( v8240(VarCurr,bitIndex16)
        <=> v8235(VarCurr,bitIndex30) )
        & ( v8240(VarCurr,bitIndex15)
        <=> v8235(VarCurr,bitIndex29) )
        & ( v8240(VarCurr,bitIndex14)
        <=> v8235(VarCurr,bitIndex28) )
        & ( v8240(VarCurr,bitIndex13)
        <=> v8235(VarCurr,bitIndex27) )
        & ( v8240(VarCurr,bitIndex12)
        <=> v8235(VarCurr,bitIndex26) )
        & ( v8240(VarCurr,bitIndex11)
        <=> v8235(VarCurr,bitIndex25) )
        & ( v8240(VarCurr,bitIndex10)
        <=> v8235(VarCurr,bitIndex24) )
        & ( v8240(VarCurr,bitIndex9)
        <=> v8235(VarCurr,bitIndex23) )
        & ( v8240(VarCurr,bitIndex8)
        <=> v8235(VarCurr,bitIndex22) )
        & ( v8240(VarCurr,bitIndex7)
        <=> v8235(VarCurr,bitIndex21) )
        & ( v8240(VarCurr,bitIndex6)
        <=> v8235(VarCurr,bitIndex20) )
        & ( v8240(VarCurr,bitIndex5)
        <=> v8235(VarCurr,bitIndex19) )
        & ( v8240(VarCurr,bitIndex4)
        <=> v8235(VarCurr,bitIndex18) )
        & ( v8240(VarCurr,bitIndex3)
        <=> v8235(VarCurr,bitIndex17) )
        & ( v8240(VarCurr,bitIndex2)
        <=> v8235(VarCurr,bitIndex16) )
        & ( v8240(VarCurr,bitIndex1)
        <=> v8235(VarCurr,bitIndex15) )
        & ( v8240(VarCurr,bitIndex0)
        <=> v8235(VarCurr,bitIndex14) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2195,axiom,(
    ! [VarCurr] :
      ( v8250(VarCurr)
    <=> ( v8251(VarCurr)
        | v8252(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_439,axiom,(
    ! [VarCurr] :
      ( v8252(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $true )
        & ( v8239(VarCurr,bitIndex1)
        <=> $true )
        & ( v8239(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_438,axiom,(
    ! [VarCurr] :
      ( v8251(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $true )
        & ( v8239(VarCurr,bitIndex1)
        <=> $true )
        & ( v8239(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1872,axiom,(
    ! [VarCurr,B] :
      ( range_14_0(B)
     => ( v8249(VarCurr,B)
      <=> $false ) ) )).

fof(range_axiom_43,axiom,(
    ! [B] :
      ( range_14_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B ) ) )).

fof(addAssignment_1871,axiom,(
    ! [VarCurr] :
      ( ( v8249(VarCurr,bitIndex23)
      <=> v8235(VarCurr,bitIndex37) )
      & ( v8249(VarCurr,bitIndex22)
      <=> v8235(VarCurr,bitIndex36) )
      & ( v8249(VarCurr,bitIndex21)
      <=> v8235(VarCurr,bitIndex35) )
      & ( v8249(VarCurr,bitIndex20)
      <=> v8235(VarCurr,bitIndex34) )
      & ( v8249(VarCurr,bitIndex19)
      <=> v8235(VarCurr,bitIndex33) )
      & ( v8249(VarCurr,bitIndex18)
      <=> v8235(VarCurr,bitIndex32) )
      & ( v8249(VarCurr,bitIndex17)
      <=> v8235(VarCurr,bitIndex31) )
      & ( v8249(VarCurr,bitIndex16)
      <=> v8235(VarCurr,bitIndex30) )
      & ( v8249(VarCurr,bitIndex15)
      <=> v8235(VarCurr,bitIndex29) ) ) )).

fof(addBitVectorEqualityBitBlasted_437,axiom,(
    ! [VarCurr] :
      ( v8248(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $true )
        & ( v8239(VarCurr,bitIndex1)
        <=> $false )
        & ( v8239(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_436,axiom,(
    ! [VarCurr] :
      ( v8247(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $true )
        & ( v8239(VarCurr,bitIndex1)
        <=> $false )
        & ( v8239(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1870,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v8246(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_1869,axiom,(
    ! [VarCurr] :
      ( ( v8246(VarCurr,bitIndex23)
      <=> v8235(VarCurr,bitIndex37) )
      & ( v8246(VarCurr,bitIndex22)
      <=> v8235(VarCurr,bitIndex36) )
      & ( v8246(VarCurr,bitIndex21)
      <=> v8235(VarCurr,bitIndex35) )
      & ( v8246(VarCurr,bitIndex20)
      <=> v8235(VarCurr,bitIndex34) )
      & ( v8246(VarCurr,bitIndex19)
      <=> v8235(VarCurr,bitIndex33) )
      & ( v8246(VarCurr,bitIndex18)
      <=> v8235(VarCurr,bitIndex32) )
      & ( v8246(VarCurr,bitIndex17)
      <=> v8235(VarCurr,bitIndex31) )
      & ( v8246(VarCurr,bitIndex16)
      <=> v8235(VarCurr,bitIndex30) )
      & ( v8246(VarCurr,bitIndex15)
      <=> v8235(VarCurr,bitIndex29) )
      & ( v8246(VarCurr,bitIndex14)
      <=> v8235(VarCurr,bitIndex28) )
      & ( v8246(VarCurr,bitIndex13)
      <=> v8235(VarCurr,bitIndex27) )
      & ( v8246(VarCurr,bitIndex12)
      <=> v8235(VarCurr,bitIndex26) )
      & ( v8246(VarCurr,bitIndex11)
      <=> v8235(VarCurr,bitIndex25) )
      & ( v8246(VarCurr,bitIndex10)
      <=> v8235(VarCurr,bitIndex24) )
      & ( v8246(VarCurr,bitIndex9)
      <=> v8235(VarCurr,bitIndex23) ) ) )).

fof(addBitVectorEqualityBitBlasted_435,axiom,(
    ! [VarCurr] :
      ( v8245(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $false )
        & ( v8239(VarCurr,bitIndex1)
        <=> $true )
        & ( v8239(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_434,axiom,(
    ! [VarCurr] :
      ( v8244(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $false )
        & ( v8239(VarCurr,bitIndex1)
        <=> $true )
        & ( v8239(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1868,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v8243(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_1867,axiom,(
    ! [VarCurr] :
      ( ( v8243(VarCurr,bitIndex23)
      <=> v8235(VarCurr,bitIndex37) )
      & ( v8243(VarCurr,bitIndex22)
      <=> v8235(VarCurr,bitIndex36) )
      & ( v8243(VarCurr,bitIndex21)
      <=> v8235(VarCurr,bitIndex35) )
      & ( v8243(VarCurr,bitIndex20)
      <=> v8235(VarCurr,bitIndex34) )
      & ( v8243(VarCurr,bitIndex19)
      <=> v8235(VarCurr,bitIndex33) )
      & ( v8243(VarCurr,bitIndex18)
      <=> v8235(VarCurr,bitIndex32) )
      & ( v8243(VarCurr,bitIndex17)
      <=> v8235(VarCurr,bitIndex31) )
      & ( v8243(VarCurr,bitIndex16)
      <=> v8235(VarCurr,bitIndex30) )
      & ( v8243(VarCurr,bitIndex15)
      <=> v8235(VarCurr,bitIndex29) )
      & ( v8243(VarCurr,bitIndex14)
      <=> v8235(VarCurr,bitIndex28) )
      & ( v8243(VarCurr,bitIndex13)
      <=> v8235(VarCurr,bitIndex27) )
      & ( v8243(VarCurr,bitIndex12)
      <=> v8235(VarCurr,bitIndex26) )
      & ( v8243(VarCurr,bitIndex11)
      <=> v8235(VarCurr,bitIndex25) )
      & ( v8243(VarCurr,bitIndex10)
      <=> v8235(VarCurr,bitIndex24) )
      & ( v8243(VarCurr,bitIndex9)
      <=> v8235(VarCurr,bitIndex23) )
      & ( v8243(VarCurr,bitIndex8)
      <=> v8235(VarCurr,bitIndex22) )
      & ( v8243(VarCurr,bitIndex7)
      <=> v8235(VarCurr,bitIndex21) )
      & ( v8243(VarCurr,bitIndex6)
      <=> v8235(VarCurr,bitIndex20) )
      & ( v8243(VarCurr,bitIndex5)
      <=> v8235(VarCurr,bitIndex19) )
      & ( v8243(VarCurr,bitIndex4)
      <=> v8235(VarCurr,bitIndex18) )
      & ( v8243(VarCurr,bitIndex3)
      <=> v8235(VarCurr,bitIndex17) ) ) )).

fof(addBitVectorEqualityBitBlasted_433,axiom,(
    ! [VarCurr] :
      ( v8242(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $false )
        & ( v8239(VarCurr,bitIndex1)
        <=> $false )
        & ( v8239(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_432,axiom,(
    ! [VarCurr] :
      ( v8241(VarCurr)
    <=> ( ( v8239(VarCurr,bitIndex2)
        <=> $false )
        & ( v8239(VarCurr,bitIndex1)
        <=> $false )
        & ( v8239(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1866,axiom,(
    ! [VarCurr] :
      ( v8227(VarCurr)
    <=> v8229(VarCurr) ) )).

fof(addAssignment_1865,axiom,(
    ! [VarCurr] :
      ( v8229(VarCurr)
    <=> v8231(VarCurr) ) )).

fof(addAssignment_1864,axiom,(
    ! [VarCurr] :
      ( v8231(VarCurr)
    <=> v8233(VarCurr) ) )).

fof(addAssignment_1863,axiom,(
    ! [VarCurr] :
      ( v8233(VarCurr)
    <=> v6168(VarCurr) ) )).

fof(addAssignment_1862,axiom,(
    ! [VarCurr] :
      ( v8211(VarCurr)
    <=> v8213(VarCurr) ) )).

fof(addAssignment_1861,axiom,(
    ! [VarCurr] :
      ( v8213(VarCurr)
    <=> v8215(VarCurr) ) )).

fof(addAssignment_1860,axiom,(
    ! [VarCurr] :
      ( v8215(VarCurr)
    <=> v8217(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2194,axiom,(
    ! [VarCurr] :
      ( v8217(VarCurr)
    <=> ( v8219(VarCurr)
        | v8223(VarCurr) ) ) )).

fof(writeUnaryOperator_1133,axiom,(
    ! [VarCurr] :
      ( ~ v8223(VarCurr)
    <=> v4963(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_154,axiom,(
    ! [VarCurr] :
      ( ~ v8221(VarCurr)
     => ( v8219(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_158,axiom,(
    ! [VarCurr] :
      ( v8221(VarCurr)
     => ( v8219(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_431,axiom,(
    ! [VarCurr] :
      ( v8221(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $false )
        & ( v4971(VarCurr,bitIndex1)
        <=> $false )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1859,axiom,(
    ! [VarCurr] :
      ( v8208(VarCurr)
    <=> v4967(VarCurr) ) )).

fof(addAssignment_1858,axiom,(
    ! [VarCurr] :
      ( v8204(VarCurr)
    <=> v5912(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2193,axiom,(
    ! [VarCurr] :
      ( v5307(VarCurr)
    <=> ( v8182(VarCurr)
        & v8184(VarCurr) ) ) )).

fof(writeUnaryOperator_1132,axiom,(
    ! [VarCurr] :
      ( ~ v8184(VarCurr)
    <=> v8185(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2192,axiom,(
    ! [VarCurr] :
      ( v8185(VarCurr)
    <=> ( v8186(VarCurr)
        | v8188(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2191,axiom,(
    ! [VarCurr] :
      ( v8188(VarCurr)
    <=> ( v8189(VarCurr)
        | v8160(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2190,axiom,(
    ! [VarCurr] :
      ( v8189(VarCurr)
    <=> ( v8190(VarCurr)
        | v7818(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_577,axiom,(
    ! [VarCurr] :
      ( v8190(VarCurr)
    <=> ( v8191(VarCurr)
        | v7308(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_576,axiom,(
    ! [VarCurr] :
      ( v8191(VarCurr)
    <=> ( v8192(VarCurr)
        | v7308(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_575,axiom,(
    ! [VarCurr] :
      ( v8192(VarCurr)
    <=> ( v7308(VarCurr,bitIndex18)
        | v7308(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_574,axiom,(
    ! [VarCurr] :
      ( v8186(VarCurr)
    <=> ( v6148(VarCurr,bitIndex1)
        & v8187(VarCurr) ) ) )).

fof(writeUnaryOperator_1131,axiom,(
    ! [VarCurr] :
      ( ~ v8187(VarCurr)
    <=> v7304(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_573,axiom,(
    ! [VarCurr] :
      ( v8182(VarCurr)
    <=> ( v5309(VarCurr,bitIndex1)
        & v8183(VarCurr) ) ) )).

fof(writeUnaryOperator_1130,axiom,(
    ! [VarCurr] :
      ( ~ v8183(VarCurr)
    <=> v5313(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2189,axiom,(
    ! [VarCurr] :
      ( v8160(VarCurr)
    <=> ( v8179(VarCurr)
        & v8162(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_572,axiom,(
    ! [VarCurr] :
      ( v8179(VarCurr)
    <=> ( v5309(VarCurr,bitIndex1)
        & v8180(VarCurr) ) ) )).

fof(writeUnaryOperator_1129,axiom,(
    ! [VarCurr] :
      ( ~ v8180(VarCurr)
    <=> v5313(VarCurr,bitIndex1) ) )).

fof(addAssignment_1857,axiom,(
    ! [VarCurr] :
      ( v8162(VarCurr)
    <=> v8164(VarCurr) ) )).

fof(addAssignment_1856,axiom,(
    ! [VarCurr] :
      ( v8164(VarCurr)
    <=> v8166(VarCurr) ) )).

fof(addAssignment_1855,axiom,(
    ! [VarCurr] :
      ( v8166(VarCurr)
    <=> v8168(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_571,axiom,(
    ! [VarCurr] :
      ( v8168(VarCurr)
    <=> ( v7830(VarCurr,bitIndex27)
        & v6033(VarCurr) ) ) )).

fof(addAssignment_1854,axiom,(
    ! [VarNext] :
      ( v7830(VarNext,bitIndex27)
    <=> v8170(VarNext,bitIndex27) ) )).

fof(addCaseBooleanConditionEqualRanges1_78,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8172(VarNext)
       => ! [B] :
            ( range_27_0(B)
           => ( v8170(VarNext,B)
            <=> v7830(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_81,axiom,(
    ! [VarNext] :
      ( v8172(VarNext)
     => ! [B] :
          ( range_27_0(B)
         => ( v8170(VarNext,B)
          <=> v7853(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2188,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8172(VarNext)
      <=> ( v8173(VarNext)
          & v7848(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2187,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8173(VarNext)
      <=> ( v8175(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_1128,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8175(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1853,axiom,(
    ! [VarCurr] :
      ( v7833(VarCurr,bitIndex27)
    <=> v7835(VarCurr,bitIndex27) ) )).

fof(addAssignment_1852,axiom,(
    ! [VarCurr] :
      ( v7835(VarCurr,bitIndex27)
    <=> v7837(VarCurr,bitIndex27) ) )).

fof(addAssignment_1851,axiom,(
    ! [VarCurr] :
      ( v7837(VarCurr,bitIndex27)
    <=> v6636(VarCurr,bitIndex27) ) )).

fof(addAssignment_1850,axiom,(
    ! [VarCurr] :
      ( v6636(VarCurr,bitIndex27)
    <=> v6694(VarCurr,bitIndex27) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2186,axiom,(
    ! [VarCurr] :
      ( v7818(VarCurr)
    <=> ( v8157(VarCurr)
        & v7820(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_570,axiom,(
    ! [VarCurr] :
      ( v8157(VarCurr)
    <=> ( v5309(VarCurr,bitIndex1)
        & v8158(VarCurr) ) ) )).

fof(writeUnaryOperator_1127,axiom,(
    ! [VarCurr] :
      ( ~ v8158(VarCurr)
    <=> v5313(VarCurr,bitIndex1) ) )).

fof(addAssignment_1849,axiom,(
    ! [VarCurr] :
      ( v7820(VarCurr)
    <=> v7822(VarCurr) ) )).

fof(addAssignment_1848,axiom,(
    ! [VarCurr] :
      ( v7822(VarCurr)
    <=> v7824(VarCurr) ) )).

fof(addAssignment_1847,axiom,(
    ! [VarCurr] :
      ( v7824(VarCurr)
    <=> v7826(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2185,axiom,(
    ! [VarCurr] :
      ( v7826(VarCurr)
    <=> ( v7828(VarCurr)
        & v6033(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_153,axiom,(
    ! [VarCurr] :
      ( ~ v7918(VarCurr)
     => ( v7828(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_157,axiom,(
    ! [VarCurr] :
      ( v7918(VarCurr)
     => ( v7828(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2184,axiom,(
    ! [VarCurr] :
      ( v7918(VarCurr)
    <=> ( v7920(VarCurr)
        | v8154(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_569,axiom,(
    ! [VarCurr] :
      ( v8154(VarCurr)
    <=> ( v8151(VarCurr)
        & v7857(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2183,axiom,(
    ! [VarCurr] :
      ( v7920(VarCurr)
    <=> ( v7921(VarCurr)
        & v8148(VarCurr) ) ) )).

fof(writeUnaryOperator_1126,axiom,(
    ! [VarCurr] :
      ( ~ v8148(VarCurr)
    <=> v8149(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2182,axiom,(
    ! [VarCurr] :
      ( v8149(VarCurr)
    <=> ( v8150(VarCurr)
        & v8153(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_568,axiom,(
    ! [VarCurr] :
      ( v8153(VarCurr)
    <=> ( v7830(VarCurr,bitIndex26)
        | v7857(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2181,axiom,(
    ! [VarCurr] :
      ( v8150(VarCurr)
    <=> ( v8151(VarCurr)
        | v8152(VarCurr) ) ) )).

fof(writeUnaryOperator_1125,axiom,(
    ! [VarCurr] :
      ( ~ v8152(VarCurr)
    <=> v7857(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1124,axiom,(
    ! [VarCurr] :
      ( ~ v8151(VarCurr)
    <=> v7830(VarCurr,bitIndex26) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2180,axiom,(
    ! [VarCurr] :
      ( v7921(VarCurr)
    <=> ( v7922(VarCurr)
        | v8147(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_567,axiom,(
    ! [VarCurr] :
      ( v8147(VarCurr)
    <=> ( v8144(VarCurr)
        & v7857(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2179,axiom,(
    ! [VarCurr] :
      ( v7922(VarCurr)
    <=> ( v7923(VarCurr)
        & v8141(VarCurr) ) ) )).

fof(writeUnaryOperator_1123,axiom,(
    ! [VarCurr] :
      ( ~ v8141(VarCurr)
    <=> v8142(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2178,axiom,(
    ! [VarCurr] :
      ( v8142(VarCurr)
    <=> ( v8143(VarCurr)
        & v8146(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_566,axiom,(
    ! [VarCurr] :
      ( v8146(VarCurr)
    <=> ( v7830(VarCurr,bitIndex25)
        | v7857(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2177,axiom,(
    ! [VarCurr] :
      ( v8143(VarCurr)
    <=> ( v8144(VarCurr)
        | v8145(VarCurr) ) ) )).

fof(writeUnaryOperator_1122,axiom,(
    ! [VarCurr] :
      ( ~ v8145(VarCurr)
    <=> v7857(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1121,axiom,(
    ! [VarCurr] :
      ( ~ v8144(VarCurr)
    <=> v7830(VarCurr,bitIndex25) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2176,axiom,(
    ! [VarCurr] :
      ( v7923(VarCurr)
    <=> ( v7924(VarCurr)
        | v8140(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_565,axiom,(
    ! [VarCurr] :
      ( v8140(VarCurr)
    <=> ( v8137(VarCurr)
        & v7857(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2175,axiom,(
    ! [VarCurr] :
      ( v7924(VarCurr)
    <=> ( v7925(VarCurr)
        & v8134(VarCurr) ) ) )).

fof(writeUnaryOperator_1120,axiom,(
    ! [VarCurr] :
      ( ~ v8134(VarCurr)
    <=> v8135(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2174,axiom,(
    ! [VarCurr] :
      ( v8135(VarCurr)
    <=> ( v8136(VarCurr)
        & v8139(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_564,axiom,(
    ! [VarCurr] :
      ( v8139(VarCurr)
    <=> ( v7830(VarCurr,bitIndex24)
        | v7857(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2173,axiom,(
    ! [VarCurr] :
      ( v8136(VarCurr)
    <=> ( v8137(VarCurr)
        | v8138(VarCurr) ) ) )).

fof(writeUnaryOperator_1119,axiom,(
    ! [VarCurr] :
      ( ~ v8138(VarCurr)
    <=> v7857(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1118,axiom,(
    ! [VarCurr] :
      ( ~ v8137(VarCurr)
    <=> v7830(VarCurr,bitIndex24) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2172,axiom,(
    ! [VarCurr] :
      ( v7925(VarCurr)
    <=> ( v7926(VarCurr)
        | v8133(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_563,axiom,(
    ! [VarCurr] :
      ( v8133(VarCurr)
    <=> ( v8130(VarCurr)
        & v7857(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2171,axiom,(
    ! [VarCurr] :
      ( v7926(VarCurr)
    <=> ( v7927(VarCurr)
        & v8127(VarCurr) ) ) )).

fof(writeUnaryOperator_1117,axiom,(
    ! [VarCurr] :
      ( ~ v8127(VarCurr)
    <=> v8128(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2170,axiom,(
    ! [VarCurr] :
      ( v8128(VarCurr)
    <=> ( v8129(VarCurr)
        & v8132(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_562,axiom,(
    ! [VarCurr] :
      ( v8132(VarCurr)
    <=> ( v7830(VarCurr,bitIndex23)
        | v7857(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2169,axiom,(
    ! [VarCurr] :
      ( v8129(VarCurr)
    <=> ( v8130(VarCurr)
        | v8131(VarCurr) ) ) )).

fof(writeUnaryOperator_1116,axiom,(
    ! [VarCurr] :
      ( ~ v8131(VarCurr)
    <=> v7857(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1115,axiom,(
    ! [VarCurr] :
      ( ~ v8130(VarCurr)
    <=> v7830(VarCurr,bitIndex23) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2168,axiom,(
    ! [VarCurr] :
      ( v7927(VarCurr)
    <=> ( v7928(VarCurr)
        | v8126(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_561,axiom,(
    ! [VarCurr] :
      ( v8126(VarCurr)
    <=> ( v8123(VarCurr)
        & v7857(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2167,axiom,(
    ! [VarCurr] :
      ( v7928(VarCurr)
    <=> ( v7929(VarCurr)
        & v8120(VarCurr) ) ) )).

fof(writeUnaryOperator_1114,axiom,(
    ! [VarCurr] :
      ( ~ v8120(VarCurr)
    <=> v8121(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2166,axiom,(
    ! [VarCurr] :
      ( v8121(VarCurr)
    <=> ( v8122(VarCurr)
        & v8125(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_560,axiom,(
    ! [VarCurr] :
      ( v8125(VarCurr)
    <=> ( v7830(VarCurr,bitIndex22)
        | v7857(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2165,axiom,(
    ! [VarCurr] :
      ( v8122(VarCurr)
    <=> ( v8123(VarCurr)
        | v8124(VarCurr) ) ) )).

fof(writeUnaryOperator_1113,axiom,(
    ! [VarCurr] :
      ( ~ v8124(VarCurr)
    <=> v7857(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1112,axiom,(
    ! [VarCurr] :
      ( ~ v8123(VarCurr)
    <=> v7830(VarCurr,bitIndex22) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2164,axiom,(
    ! [VarCurr] :
      ( v7929(VarCurr)
    <=> ( v7930(VarCurr)
        | v8119(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_559,axiom,(
    ! [VarCurr] :
      ( v8119(VarCurr)
    <=> ( v8116(VarCurr)
        & v7857(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2163,axiom,(
    ! [VarCurr] :
      ( v7930(VarCurr)
    <=> ( v7931(VarCurr)
        & v8113(VarCurr) ) ) )).

fof(writeUnaryOperator_1111,axiom,(
    ! [VarCurr] :
      ( ~ v8113(VarCurr)
    <=> v8114(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2162,axiom,(
    ! [VarCurr] :
      ( v8114(VarCurr)
    <=> ( v8115(VarCurr)
        & v8118(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_558,axiom,(
    ! [VarCurr] :
      ( v8118(VarCurr)
    <=> ( v7830(VarCurr,bitIndex21)
        | v7857(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2161,axiom,(
    ! [VarCurr] :
      ( v8115(VarCurr)
    <=> ( v8116(VarCurr)
        | v8117(VarCurr) ) ) )).

fof(writeUnaryOperator_1110,axiom,(
    ! [VarCurr] :
      ( ~ v8117(VarCurr)
    <=> v7857(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1109,axiom,(
    ! [VarCurr] :
      ( ~ v8116(VarCurr)
    <=> v7830(VarCurr,bitIndex21) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2160,axiom,(
    ! [VarCurr] :
      ( v7931(VarCurr)
    <=> ( v7932(VarCurr)
        | v8112(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_557,axiom,(
    ! [VarCurr] :
      ( v8112(VarCurr)
    <=> ( v8109(VarCurr)
        & v7857(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2159,axiom,(
    ! [VarCurr] :
      ( v7932(VarCurr)
    <=> ( v7933(VarCurr)
        & v8106(VarCurr) ) ) )).

fof(writeUnaryOperator_1108,axiom,(
    ! [VarCurr] :
      ( ~ v8106(VarCurr)
    <=> v8107(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2158,axiom,(
    ! [VarCurr] :
      ( v8107(VarCurr)
    <=> ( v8108(VarCurr)
        & v8111(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_556,axiom,(
    ! [VarCurr] :
      ( v8111(VarCurr)
    <=> ( v7830(VarCurr,bitIndex20)
        | v7857(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2157,axiom,(
    ! [VarCurr] :
      ( v8108(VarCurr)
    <=> ( v8109(VarCurr)
        | v8110(VarCurr) ) ) )).

fof(writeUnaryOperator_1107,axiom,(
    ! [VarCurr] :
      ( ~ v8110(VarCurr)
    <=> v7857(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1106,axiom,(
    ! [VarCurr] :
      ( ~ v8109(VarCurr)
    <=> v7830(VarCurr,bitIndex20) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2156,axiom,(
    ! [VarCurr] :
      ( v7933(VarCurr)
    <=> ( v7934(VarCurr)
        | v8105(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_555,axiom,(
    ! [VarCurr] :
      ( v8105(VarCurr)
    <=> ( v8102(VarCurr)
        & v7857(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2155,axiom,(
    ! [VarCurr] :
      ( v7934(VarCurr)
    <=> ( v7935(VarCurr)
        & v8099(VarCurr) ) ) )).

fof(writeUnaryOperator_1105,axiom,(
    ! [VarCurr] :
      ( ~ v8099(VarCurr)
    <=> v8100(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2154,axiom,(
    ! [VarCurr] :
      ( v8100(VarCurr)
    <=> ( v8101(VarCurr)
        & v8104(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_554,axiom,(
    ! [VarCurr] :
      ( v8104(VarCurr)
    <=> ( v7830(VarCurr,bitIndex19)
        | v7857(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2153,axiom,(
    ! [VarCurr] :
      ( v8101(VarCurr)
    <=> ( v8102(VarCurr)
        | v8103(VarCurr) ) ) )).

fof(writeUnaryOperator_1104,axiom,(
    ! [VarCurr] :
      ( ~ v8103(VarCurr)
    <=> v7857(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1103,axiom,(
    ! [VarCurr] :
      ( ~ v8102(VarCurr)
    <=> v7830(VarCurr,bitIndex19) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2152,axiom,(
    ! [VarCurr] :
      ( v7935(VarCurr)
    <=> ( v7936(VarCurr)
        | v8098(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_553,axiom,(
    ! [VarCurr] :
      ( v8098(VarCurr)
    <=> ( v8095(VarCurr)
        & v7857(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2151,axiom,(
    ! [VarCurr] :
      ( v7936(VarCurr)
    <=> ( v7937(VarCurr)
        & v8092(VarCurr) ) ) )).

fof(writeUnaryOperator_1102,axiom,(
    ! [VarCurr] :
      ( ~ v8092(VarCurr)
    <=> v8093(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2150,axiom,(
    ! [VarCurr] :
      ( v8093(VarCurr)
    <=> ( v8094(VarCurr)
        & v8097(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_552,axiom,(
    ! [VarCurr] :
      ( v8097(VarCurr)
    <=> ( v7830(VarCurr,bitIndex18)
        | v7857(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2149,axiom,(
    ! [VarCurr] :
      ( v8094(VarCurr)
    <=> ( v8095(VarCurr)
        | v8096(VarCurr) ) ) )).

fof(writeUnaryOperator_1101,axiom,(
    ! [VarCurr] :
      ( ~ v8096(VarCurr)
    <=> v7857(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1100,axiom,(
    ! [VarCurr] :
      ( ~ v8095(VarCurr)
    <=> v7830(VarCurr,bitIndex18) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2148,axiom,(
    ! [VarCurr] :
      ( v7937(VarCurr)
    <=> ( v7938(VarCurr)
        | v8091(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_551,axiom,(
    ! [VarCurr] :
      ( v8091(VarCurr)
    <=> ( v8088(VarCurr)
        & v7857(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2147,axiom,(
    ! [VarCurr] :
      ( v7938(VarCurr)
    <=> ( v7939(VarCurr)
        & v8085(VarCurr) ) ) )).

fof(writeUnaryOperator_1099,axiom,(
    ! [VarCurr] :
      ( ~ v8085(VarCurr)
    <=> v8086(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2146,axiom,(
    ! [VarCurr] :
      ( v8086(VarCurr)
    <=> ( v8087(VarCurr)
        & v8090(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_550,axiom,(
    ! [VarCurr] :
      ( v8090(VarCurr)
    <=> ( v7830(VarCurr,bitIndex17)
        | v7857(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2145,axiom,(
    ! [VarCurr] :
      ( v8087(VarCurr)
    <=> ( v8088(VarCurr)
        | v8089(VarCurr) ) ) )).

fof(writeUnaryOperator_1098,axiom,(
    ! [VarCurr] :
      ( ~ v8089(VarCurr)
    <=> v7857(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1097,axiom,(
    ! [VarCurr] :
      ( ~ v8088(VarCurr)
    <=> v7830(VarCurr,bitIndex17) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2144,axiom,(
    ! [VarCurr] :
      ( v7939(VarCurr)
    <=> ( v7940(VarCurr)
        | v8084(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_549,axiom,(
    ! [VarCurr] :
      ( v8084(VarCurr)
    <=> ( v8081(VarCurr)
        & v7857(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2143,axiom,(
    ! [VarCurr] :
      ( v7940(VarCurr)
    <=> ( v7941(VarCurr)
        & v8078(VarCurr) ) ) )).

fof(writeUnaryOperator_1096,axiom,(
    ! [VarCurr] :
      ( ~ v8078(VarCurr)
    <=> v8079(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2142,axiom,(
    ! [VarCurr] :
      ( v8079(VarCurr)
    <=> ( v8080(VarCurr)
        & v8083(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_548,axiom,(
    ! [VarCurr] :
      ( v8083(VarCurr)
    <=> ( v7830(VarCurr,bitIndex16)
        | v7857(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2141,axiom,(
    ! [VarCurr] :
      ( v8080(VarCurr)
    <=> ( v8081(VarCurr)
        | v8082(VarCurr) ) ) )).

fof(writeUnaryOperator_1095,axiom,(
    ! [VarCurr] :
      ( ~ v8082(VarCurr)
    <=> v7857(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1094,axiom,(
    ! [VarCurr] :
      ( ~ v8081(VarCurr)
    <=> v7830(VarCurr,bitIndex16) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2140,axiom,(
    ! [VarCurr] :
      ( v7941(VarCurr)
    <=> ( v7942(VarCurr)
        | v8077(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_547,axiom,(
    ! [VarCurr] :
      ( v8077(VarCurr)
    <=> ( v8074(VarCurr)
        & v7857(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2139,axiom,(
    ! [VarCurr] :
      ( v7942(VarCurr)
    <=> ( v7943(VarCurr)
        & v8071(VarCurr) ) ) )).

fof(writeUnaryOperator_1093,axiom,(
    ! [VarCurr] :
      ( ~ v8071(VarCurr)
    <=> v8072(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2138,axiom,(
    ! [VarCurr] :
      ( v8072(VarCurr)
    <=> ( v8073(VarCurr)
        & v8076(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_546,axiom,(
    ! [VarCurr] :
      ( v8076(VarCurr)
    <=> ( v7830(VarCurr,bitIndex15)
        | v7857(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2137,axiom,(
    ! [VarCurr] :
      ( v8073(VarCurr)
    <=> ( v8074(VarCurr)
        | v8075(VarCurr) ) ) )).

fof(writeUnaryOperator_1092,axiom,(
    ! [VarCurr] :
      ( ~ v8075(VarCurr)
    <=> v7857(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_1091,axiom,(
    ! [VarCurr] :
      ( ~ v8074(VarCurr)
    <=> v7830(VarCurr,bitIndex15) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2136,axiom,(
    ! [VarCurr] :
      ( v7943(VarCurr)
    <=> ( v7944(VarCurr)
        | v8070(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_545,axiom,(
    ! [VarCurr] :
      ( v8070(VarCurr)
    <=> ( v8067(VarCurr)
        & v7857(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2135,axiom,(
    ! [VarCurr] :
      ( v7944(VarCurr)
    <=> ( v7945(VarCurr)
        & v8064(VarCurr) ) ) )).

fof(writeUnaryOperator_1090,axiom,(
    ! [VarCurr] :
      ( ~ v8064(VarCurr)
    <=> v8065(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2134,axiom,(
    ! [VarCurr] :
      ( v8065(VarCurr)
    <=> ( v8066(VarCurr)
        & v8069(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_544,axiom,(
    ! [VarCurr] :
      ( v8069(VarCurr)
    <=> ( v7830(VarCurr,bitIndex14)
        | v7857(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2133,axiom,(
    ! [VarCurr] :
      ( v8066(VarCurr)
    <=> ( v8067(VarCurr)
        | v8068(VarCurr) ) ) )).

fof(writeUnaryOperator_1089,axiom,(
    ! [VarCurr] :
      ( ~ v8068(VarCurr)
    <=> v7857(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1088,axiom,(
    ! [VarCurr] :
      ( ~ v8067(VarCurr)
    <=> v7830(VarCurr,bitIndex14) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2132,axiom,(
    ! [VarCurr] :
      ( v7945(VarCurr)
    <=> ( v7946(VarCurr)
        | v8063(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_543,axiom,(
    ! [VarCurr] :
      ( v8063(VarCurr)
    <=> ( v8060(VarCurr)
        & v7857(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2131,axiom,(
    ! [VarCurr] :
      ( v7946(VarCurr)
    <=> ( v7947(VarCurr)
        & v8057(VarCurr) ) ) )).

fof(writeUnaryOperator_1087,axiom,(
    ! [VarCurr] :
      ( ~ v8057(VarCurr)
    <=> v8058(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2130,axiom,(
    ! [VarCurr] :
      ( v8058(VarCurr)
    <=> ( v8059(VarCurr)
        & v8062(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_542,axiom,(
    ! [VarCurr] :
      ( v8062(VarCurr)
    <=> ( v7830(VarCurr,bitIndex13)
        | v7857(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2129,axiom,(
    ! [VarCurr] :
      ( v8059(VarCurr)
    <=> ( v8060(VarCurr)
        | v8061(VarCurr) ) ) )).

fof(writeUnaryOperator_1086,axiom,(
    ! [VarCurr] :
      ( ~ v8061(VarCurr)
    <=> v7857(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1085,axiom,(
    ! [VarCurr] :
      ( ~ v8060(VarCurr)
    <=> v7830(VarCurr,bitIndex13) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2128,axiom,(
    ! [VarCurr] :
      ( v7947(VarCurr)
    <=> ( v7948(VarCurr)
        | v8056(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_541,axiom,(
    ! [VarCurr] :
      ( v8056(VarCurr)
    <=> ( v8053(VarCurr)
        & v7857(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2127,axiom,(
    ! [VarCurr] :
      ( v7948(VarCurr)
    <=> ( v7949(VarCurr)
        & v8050(VarCurr) ) ) )).

fof(writeUnaryOperator_1084,axiom,(
    ! [VarCurr] :
      ( ~ v8050(VarCurr)
    <=> v8051(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2126,axiom,(
    ! [VarCurr] :
      ( v8051(VarCurr)
    <=> ( v8052(VarCurr)
        & v8055(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_540,axiom,(
    ! [VarCurr] :
      ( v8055(VarCurr)
    <=> ( v7830(VarCurr,bitIndex12)
        | v7857(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2125,axiom,(
    ! [VarCurr] :
      ( v8052(VarCurr)
    <=> ( v8053(VarCurr)
        | v8054(VarCurr) ) ) )).

fof(writeUnaryOperator_1083,axiom,(
    ! [VarCurr] :
      ( ~ v8054(VarCurr)
    <=> v7857(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1082,axiom,(
    ! [VarCurr] :
      ( ~ v8053(VarCurr)
    <=> v7830(VarCurr,bitIndex12) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2124,axiom,(
    ! [VarCurr] :
      ( v7949(VarCurr)
    <=> ( v7950(VarCurr)
        | v8049(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_539,axiom,(
    ! [VarCurr] :
      ( v8049(VarCurr)
    <=> ( v8046(VarCurr)
        & v7857(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2123,axiom,(
    ! [VarCurr] :
      ( v7950(VarCurr)
    <=> ( v7951(VarCurr)
        & v8043(VarCurr) ) ) )).

fof(writeUnaryOperator_1081,axiom,(
    ! [VarCurr] :
      ( ~ v8043(VarCurr)
    <=> v8044(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2122,axiom,(
    ! [VarCurr] :
      ( v8044(VarCurr)
    <=> ( v8045(VarCurr)
        & v8048(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_538,axiom,(
    ! [VarCurr] :
      ( v8048(VarCurr)
    <=> ( v7830(VarCurr,bitIndex11)
        | v7857(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2121,axiom,(
    ! [VarCurr] :
      ( v8045(VarCurr)
    <=> ( v8046(VarCurr)
        | v8047(VarCurr) ) ) )).

fof(writeUnaryOperator_1080,axiom,(
    ! [VarCurr] :
      ( ~ v8047(VarCurr)
    <=> v7857(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1079,axiom,(
    ! [VarCurr] :
      ( ~ v8046(VarCurr)
    <=> v7830(VarCurr,bitIndex11) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2120,axiom,(
    ! [VarCurr] :
      ( v7951(VarCurr)
    <=> ( v7952(VarCurr)
        | v8042(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_537,axiom,(
    ! [VarCurr] :
      ( v8042(VarCurr)
    <=> ( v8039(VarCurr)
        & v7857(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2119,axiom,(
    ! [VarCurr] :
      ( v7952(VarCurr)
    <=> ( v7953(VarCurr)
        & v8036(VarCurr) ) ) )).

fof(writeUnaryOperator_1078,axiom,(
    ! [VarCurr] :
      ( ~ v8036(VarCurr)
    <=> v8037(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2118,axiom,(
    ! [VarCurr] :
      ( v8037(VarCurr)
    <=> ( v8038(VarCurr)
        & v8041(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_536,axiom,(
    ! [VarCurr] :
      ( v8041(VarCurr)
    <=> ( v7830(VarCurr,bitIndex10)
        | v7857(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2117,axiom,(
    ! [VarCurr] :
      ( v8038(VarCurr)
    <=> ( v8039(VarCurr)
        | v8040(VarCurr) ) ) )).

fof(writeUnaryOperator_1077,axiom,(
    ! [VarCurr] :
      ( ~ v8040(VarCurr)
    <=> v7857(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1076,axiom,(
    ! [VarCurr] :
      ( ~ v8039(VarCurr)
    <=> v7830(VarCurr,bitIndex10) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2116,axiom,(
    ! [VarCurr] :
      ( v7953(VarCurr)
    <=> ( v7954(VarCurr)
        | v8035(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_535,axiom,(
    ! [VarCurr] :
      ( v8035(VarCurr)
    <=> ( v8032(VarCurr)
        & v7857(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2115,axiom,(
    ! [VarCurr] :
      ( v7954(VarCurr)
    <=> ( v7955(VarCurr)
        & v8029(VarCurr) ) ) )).

fof(writeUnaryOperator_1075,axiom,(
    ! [VarCurr] :
      ( ~ v8029(VarCurr)
    <=> v8030(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2114,axiom,(
    ! [VarCurr] :
      ( v8030(VarCurr)
    <=> ( v8031(VarCurr)
        & v8034(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_534,axiom,(
    ! [VarCurr] :
      ( v8034(VarCurr)
    <=> ( v7830(VarCurr,bitIndex9)
        | v7857(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2113,axiom,(
    ! [VarCurr] :
      ( v8031(VarCurr)
    <=> ( v8032(VarCurr)
        | v8033(VarCurr) ) ) )).

fof(writeUnaryOperator_1074,axiom,(
    ! [VarCurr] :
      ( ~ v8033(VarCurr)
    <=> v7857(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1073,axiom,(
    ! [VarCurr] :
      ( ~ v8032(VarCurr)
    <=> v7830(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2112,axiom,(
    ! [VarCurr] :
      ( v7955(VarCurr)
    <=> ( v7956(VarCurr)
        | v8028(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_533,axiom,(
    ! [VarCurr] :
      ( v8028(VarCurr)
    <=> ( v8025(VarCurr)
        & v7857(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2111,axiom,(
    ! [VarCurr] :
      ( v7956(VarCurr)
    <=> ( v7957(VarCurr)
        & v8022(VarCurr) ) ) )).

fof(writeUnaryOperator_1072,axiom,(
    ! [VarCurr] :
      ( ~ v8022(VarCurr)
    <=> v8023(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2110,axiom,(
    ! [VarCurr] :
      ( v8023(VarCurr)
    <=> ( v8024(VarCurr)
        & v8027(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_532,axiom,(
    ! [VarCurr] :
      ( v8027(VarCurr)
    <=> ( v7830(VarCurr,bitIndex8)
        | v7857(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2109,axiom,(
    ! [VarCurr] :
      ( v8024(VarCurr)
    <=> ( v8025(VarCurr)
        | v8026(VarCurr) ) ) )).

fof(writeUnaryOperator_1071,axiom,(
    ! [VarCurr] :
      ( ~ v8026(VarCurr)
    <=> v7857(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1070,axiom,(
    ! [VarCurr] :
      ( ~ v8025(VarCurr)
    <=> v7830(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2108,axiom,(
    ! [VarCurr] :
      ( v7957(VarCurr)
    <=> ( v7958(VarCurr)
        | v8021(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_531,axiom,(
    ! [VarCurr] :
      ( v8021(VarCurr)
    <=> ( v8018(VarCurr)
        & v7857(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2107,axiom,(
    ! [VarCurr] :
      ( v7958(VarCurr)
    <=> ( v7959(VarCurr)
        & v8015(VarCurr) ) ) )).

fof(writeUnaryOperator_1069,axiom,(
    ! [VarCurr] :
      ( ~ v8015(VarCurr)
    <=> v8016(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2106,axiom,(
    ! [VarCurr] :
      ( v8016(VarCurr)
    <=> ( v8017(VarCurr)
        & v8020(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_530,axiom,(
    ! [VarCurr] :
      ( v8020(VarCurr)
    <=> ( v7830(VarCurr,bitIndex7)
        | v7857(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2105,axiom,(
    ! [VarCurr] :
      ( v8017(VarCurr)
    <=> ( v8018(VarCurr)
        | v8019(VarCurr) ) ) )).

fof(writeUnaryOperator_1068,axiom,(
    ! [VarCurr] :
      ( ~ v8019(VarCurr)
    <=> v7857(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1067,axiom,(
    ! [VarCurr] :
      ( ~ v8018(VarCurr)
    <=> v7830(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2104,axiom,(
    ! [VarCurr] :
      ( v7959(VarCurr)
    <=> ( v7960(VarCurr)
        | v8014(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_529,axiom,(
    ! [VarCurr] :
      ( v8014(VarCurr)
    <=> ( v8011(VarCurr)
        & v7857(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2103,axiom,(
    ! [VarCurr] :
      ( v7960(VarCurr)
    <=> ( v7961(VarCurr)
        & v8008(VarCurr) ) ) )).

fof(writeUnaryOperator_1066,axiom,(
    ! [VarCurr] :
      ( ~ v8008(VarCurr)
    <=> v8009(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2102,axiom,(
    ! [VarCurr] :
      ( v8009(VarCurr)
    <=> ( v8010(VarCurr)
        & v8013(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_528,axiom,(
    ! [VarCurr] :
      ( v8013(VarCurr)
    <=> ( v7830(VarCurr,bitIndex6)
        | v7857(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2101,axiom,(
    ! [VarCurr] :
      ( v8010(VarCurr)
    <=> ( v8011(VarCurr)
        | v8012(VarCurr) ) ) )).

fof(writeUnaryOperator_1065,axiom,(
    ! [VarCurr] :
      ( ~ v8012(VarCurr)
    <=> v7857(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1064,axiom,(
    ! [VarCurr] :
      ( ~ v8011(VarCurr)
    <=> v7830(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2100,axiom,(
    ! [VarCurr] :
      ( v7961(VarCurr)
    <=> ( v7962(VarCurr)
        | v8007(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_527,axiom,(
    ! [VarCurr] :
      ( v8007(VarCurr)
    <=> ( v8004(VarCurr)
        & v7857(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2099,axiom,(
    ! [VarCurr] :
      ( v7962(VarCurr)
    <=> ( v7963(VarCurr)
        & v8001(VarCurr) ) ) )).

fof(writeUnaryOperator_1063,axiom,(
    ! [VarCurr] :
      ( ~ v8001(VarCurr)
    <=> v8002(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2098,axiom,(
    ! [VarCurr] :
      ( v8002(VarCurr)
    <=> ( v8003(VarCurr)
        & v8006(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_526,axiom,(
    ! [VarCurr] :
      ( v8006(VarCurr)
    <=> ( v7830(VarCurr,bitIndex5)
        | v7857(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2097,axiom,(
    ! [VarCurr] :
      ( v8003(VarCurr)
    <=> ( v8004(VarCurr)
        | v8005(VarCurr) ) ) )).

fof(writeUnaryOperator_1062,axiom,(
    ! [VarCurr] :
      ( ~ v8005(VarCurr)
    <=> v7857(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1061,axiom,(
    ! [VarCurr] :
      ( ~ v8004(VarCurr)
    <=> v7830(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2096,axiom,(
    ! [VarCurr] :
      ( v7963(VarCurr)
    <=> ( v7964(VarCurr)
        | v8000(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_525,axiom,(
    ! [VarCurr] :
      ( v8000(VarCurr)
    <=> ( v7997(VarCurr)
        & v7857(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2095,axiom,(
    ! [VarCurr] :
      ( v7964(VarCurr)
    <=> ( v7965(VarCurr)
        & v7994(VarCurr) ) ) )).

fof(writeUnaryOperator_1060,axiom,(
    ! [VarCurr] :
      ( ~ v7994(VarCurr)
    <=> v7995(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2094,axiom,(
    ! [VarCurr] :
      ( v7995(VarCurr)
    <=> ( v7996(VarCurr)
        & v7999(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_524,axiom,(
    ! [VarCurr] :
      ( v7999(VarCurr)
    <=> ( v7830(VarCurr,bitIndex4)
        | v7857(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2093,axiom,(
    ! [VarCurr] :
      ( v7996(VarCurr)
    <=> ( v7997(VarCurr)
        | v7998(VarCurr) ) ) )).

fof(writeUnaryOperator_1059,axiom,(
    ! [VarCurr] :
      ( ~ v7998(VarCurr)
    <=> v7857(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1058,axiom,(
    ! [VarCurr] :
      ( ~ v7997(VarCurr)
    <=> v7830(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2092,axiom,(
    ! [VarCurr] :
      ( v7965(VarCurr)
    <=> ( v7966(VarCurr)
        | v7993(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_523,axiom,(
    ! [VarCurr] :
      ( v7993(VarCurr)
    <=> ( v7990(VarCurr)
        & v7857(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2091,axiom,(
    ! [VarCurr] :
      ( v7966(VarCurr)
    <=> ( v7967(VarCurr)
        & v7987(VarCurr) ) ) )).

fof(writeUnaryOperator_1057,axiom,(
    ! [VarCurr] :
      ( ~ v7987(VarCurr)
    <=> v7988(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2090,axiom,(
    ! [VarCurr] :
      ( v7988(VarCurr)
    <=> ( v7989(VarCurr)
        & v7992(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_522,axiom,(
    ! [VarCurr] :
      ( v7992(VarCurr)
    <=> ( v7830(VarCurr,bitIndex3)
        | v7857(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2089,axiom,(
    ! [VarCurr] :
      ( v7989(VarCurr)
    <=> ( v7990(VarCurr)
        | v7991(VarCurr) ) ) )).

fof(writeUnaryOperator_1056,axiom,(
    ! [VarCurr] :
      ( ~ v7991(VarCurr)
    <=> v7857(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1055,axiom,(
    ! [VarCurr] :
      ( ~ v7990(VarCurr)
    <=> v7830(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2088,axiom,(
    ! [VarCurr] :
      ( v7967(VarCurr)
    <=> ( v7968(VarCurr)
        | v7986(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_521,axiom,(
    ! [VarCurr] :
      ( v7986(VarCurr)
    <=> ( v7983(VarCurr)
        & v7857(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2087,axiom,(
    ! [VarCurr] :
      ( v7968(VarCurr)
    <=> ( v7969(VarCurr)
        & v7980(VarCurr) ) ) )).

fof(writeUnaryOperator_1054,axiom,(
    ! [VarCurr] :
      ( ~ v7980(VarCurr)
    <=> v7981(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2086,axiom,(
    ! [VarCurr] :
      ( v7981(VarCurr)
    <=> ( v7982(VarCurr)
        & v7985(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_520,axiom,(
    ! [VarCurr] :
      ( v7985(VarCurr)
    <=> ( v7830(VarCurr,bitIndex2)
        | v7857(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2085,axiom,(
    ! [VarCurr] :
      ( v7982(VarCurr)
    <=> ( v7983(VarCurr)
        | v7984(VarCurr) ) ) )).

fof(writeUnaryOperator_1053,axiom,(
    ! [VarCurr] :
      ( ~ v7984(VarCurr)
    <=> v7857(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1052,axiom,(
    ! [VarCurr] :
      ( ~ v7983(VarCurr)
    <=> v7830(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2084,axiom,(
    ! [VarCurr] :
      ( v7969(VarCurr)
    <=> ( v7970(VarCurr)
        | v7979(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_519,axiom,(
    ! [VarCurr] :
      ( v7979(VarCurr)
    <=> ( v7976(VarCurr)
        & v7857(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2083,axiom,(
    ! [VarCurr] :
      ( v7970(VarCurr)
    <=> ( v7971(VarCurr)
        & v7973(VarCurr) ) ) )).

fof(writeUnaryOperator_1051,axiom,(
    ! [VarCurr] :
      ( ~ v7973(VarCurr)
    <=> v7974(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2082,axiom,(
    ! [VarCurr] :
      ( v7974(VarCurr)
    <=> ( v7975(VarCurr)
        & v7978(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_518,axiom,(
    ! [VarCurr] :
      ( v7978(VarCurr)
    <=> ( v7830(VarCurr,bitIndex1)
        | v7857(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2081,axiom,(
    ! [VarCurr] :
      ( v7975(VarCurr)
    <=> ( v7976(VarCurr)
        | v7977(VarCurr) ) ) )).

fof(writeUnaryOperator_1050,axiom,(
    ! [VarCurr] :
      ( ~ v7977(VarCurr)
    <=> v7857(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1049,axiom,(
    ! [VarCurr] :
      ( ~ v7976(VarCurr)
    <=> v7830(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2080,axiom,(
    ! [VarCurr] :
      ( v7971(VarCurr)
    <=> ( v7972(VarCurr)
        & v7857(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_1048,axiom,(
    ! [VarCurr] :
      ( ~ v7972(VarCurr)
    <=> v7830(VarCurr,bitIndex0) ) )).

fof(addParallelCaseBooleanConditionEqualRanges15,axiom,(
    ! [VarCurr] :
      ( ( ~ v7901(VarCurr)
        & ~ v7902(VarCurr)
        & ~ v7903(VarCurr)
        & ~ v7904(VarCurr)
        & ~ v7905(VarCurr)
        & ~ v7906(VarCurr)
        & ~ v7907(VarCurr)
        & ~ v7908(VarCurr)
        & ~ v7909(VarCurr)
        & ~ v7910(VarCurr)
        & ~ v7911(VarCurr)
        & ~ v7912(VarCurr)
        & ~ v7913(VarCurr)
        & ~ v7914(VarCurr)
        & ~ v7915(VarCurr) )
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b010000000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1417,axiom,(
    ~ b010000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1416,axiom,(
    b010000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1415,axiom,(
    ~ b010000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1414,axiom,(
    ~ b010000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1413,axiom,(
    ~ b010000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1412,axiom,(
    ~ b010000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1411,axiom,(
    ~ b010000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1410,axiom,(
    ~ b010000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1409,axiom,(
    ~ b010000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1408,axiom,(
    ~ b010000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1407,axiom,(
    ~ b010000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1406,axiom,(
    ~ b010000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1405,axiom,(
    ~ b010000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1404,axiom,(
    ~ b010000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1403,axiom,(
    ~ b010000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1402,axiom,(
    ~ b010000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1401,axiom,(
    ~ b010000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1400,axiom,(
    ~ b010000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1399,axiom,(
    ~ b010000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1398,axiom,(
    ~ b010000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1397,axiom,(
    ~ b010000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1396,axiom,(
    ~ b010000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1395,axiom,(
    ~ b010000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1394,axiom,(
    ~ b010000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1393,axiom,(
    ~ b010000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1392,axiom,(
    ~ b010000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1391,axiom,(
    ~ b010000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges14,axiom,(
    ! [VarCurr] :
      ( v7915(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b001000000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1390,axiom,(
    ~ b001000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1389,axiom,(
    ~ b001000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1388,axiom,(
    b001000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1387,axiom,(
    ~ b001000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1386,axiom,(
    ~ b001000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1385,axiom,(
    ~ b001000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1384,axiom,(
    ~ b001000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1383,axiom,(
    ~ b001000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1382,axiom,(
    ~ b001000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1381,axiom,(
    ~ b001000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1380,axiom,(
    ~ b001000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1379,axiom,(
    ~ b001000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1378,axiom,(
    ~ b001000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1377,axiom,(
    ~ b001000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1376,axiom,(
    ~ b001000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1375,axiom,(
    ~ b001000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1374,axiom,(
    ~ b001000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1373,axiom,(
    ~ b001000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1372,axiom,(
    ~ b001000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1371,axiom,(
    ~ b001000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1370,axiom,(
    ~ b001000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1369,axiom,(
    ~ b001000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1368,axiom,(
    ~ b001000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1367,axiom,(
    ~ b001000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1366,axiom,(
    ~ b001000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1365,axiom,(
    ~ b001000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1364,axiom,(
    ~ b001000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges13,axiom,(
    ! [VarCurr] :
      ( v7914(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000100000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1363,axiom,(
    ~ b000100000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1362,axiom,(
    ~ b000100000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1361,axiom,(
    ~ b000100000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1360,axiom,(
    b000100000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1359,axiom,(
    ~ b000100000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1358,axiom,(
    ~ b000100000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1357,axiom,(
    ~ b000100000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1356,axiom,(
    ~ b000100000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1355,axiom,(
    ~ b000100000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1354,axiom,(
    ~ b000100000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1353,axiom,(
    ~ b000100000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1352,axiom,(
    ~ b000100000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1351,axiom,(
    ~ b000100000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1350,axiom,(
    ~ b000100000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1349,axiom,(
    ~ b000100000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1348,axiom,(
    ~ b000100000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1347,axiom,(
    ~ b000100000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1346,axiom,(
    ~ b000100000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1345,axiom,(
    ~ b000100000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1344,axiom,(
    ~ b000100000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1343,axiom,(
    ~ b000100000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1342,axiom,(
    ~ b000100000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1341,axiom,(
    ~ b000100000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1340,axiom,(
    ~ b000100000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1339,axiom,(
    ~ b000100000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1338,axiom,(
    ~ b000100000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1337,axiom,(
    ~ b000100000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges12_1,axiom,(
    ! [VarCurr] :
      ( v7913(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000010000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1336,axiom,(
    ~ b000010000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1335,axiom,(
    ~ b000010000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1334,axiom,(
    ~ b000010000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1333,axiom,(
    ~ b000010000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1332,axiom,(
    b000010000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1331,axiom,(
    ~ b000010000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1330,axiom,(
    ~ b000010000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1329,axiom,(
    ~ b000010000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1328,axiom,(
    ~ b000010000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1327,axiom,(
    ~ b000010000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1326,axiom,(
    ~ b000010000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1325,axiom,(
    ~ b000010000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1324,axiom,(
    ~ b000010000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1323,axiom,(
    ~ b000010000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1322,axiom,(
    ~ b000010000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1321,axiom,(
    ~ b000010000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1320,axiom,(
    ~ b000010000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1319,axiom,(
    ~ b000010000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1318,axiom,(
    ~ b000010000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1317,axiom,(
    ~ b000010000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1316,axiom,(
    ~ b000010000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1315,axiom,(
    ~ b000010000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1314,axiom,(
    ~ b000010000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1313,axiom,(
    ~ b000010000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1312,axiom,(
    ~ b000010000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1311,axiom,(
    ~ b000010000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1310,axiom,(
    ~ b000010000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges11_1,axiom,(
    ! [VarCurr] :
      ( v7912(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000001000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1309,axiom,(
    ~ b000001000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1308,axiom,(
    ~ b000001000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1307,axiom,(
    ~ b000001000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1306,axiom,(
    ~ b000001000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1305,axiom,(
    ~ b000001000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1304,axiom,(
    b000001000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1303,axiom,(
    ~ b000001000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1302,axiom,(
    ~ b000001000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1301,axiom,(
    ~ b000001000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1300,axiom,(
    ~ b000001000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1299,axiom,(
    ~ b000001000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1298,axiom,(
    ~ b000001000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1297,axiom,(
    ~ b000001000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1296,axiom,(
    ~ b000001000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1295,axiom,(
    ~ b000001000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1294,axiom,(
    ~ b000001000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1293,axiom,(
    ~ b000001000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1292,axiom,(
    ~ b000001000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1291,axiom,(
    ~ b000001000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1290,axiom,(
    ~ b000001000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1289,axiom,(
    ~ b000001000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1288,axiom,(
    ~ b000001000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1287,axiom,(
    ~ b000001000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1286,axiom,(
    ~ b000001000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1285,axiom,(
    ~ b000001000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1284,axiom,(
    ~ b000001000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1283,axiom,(
    ~ b000001000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges10_1,axiom,(
    ! [VarCurr] :
      ( v7911(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000100000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1282,axiom,(
    ~ b000000100000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1281,axiom,(
    ~ b000000100000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1280,axiom,(
    ~ b000000100000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1279,axiom,(
    ~ b000000100000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1278,axiom,(
    ~ b000000100000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1277,axiom,(
    ~ b000000100000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1276,axiom,(
    b000000100000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1275,axiom,(
    ~ b000000100000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1274,axiom,(
    ~ b000000100000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1273,axiom,(
    ~ b000000100000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1272,axiom,(
    ~ b000000100000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1271,axiom,(
    ~ b000000100000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1270,axiom,(
    ~ b000000100000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1269,axiom,(
    ~ b000000100000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1268,axiom,(
    ~ b000000100000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1267,axiom,(
    ~ b000000100000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1266,axiom,(
    ~ b000000100000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1265,axiom,(
    ~ b000000100000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1264,axiom,(
    ~ b000000100000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1263,axiom,(
    ~ b000000100000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1262,axiom,(
    ~ b000000100000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1261,axiom,(
    ~ b000000100000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1260,axiom,(
    ~ b000000100000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1259,axiom,(
    ~ b000000100000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1258,axiom,(
    ~ b000000100000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1257,axiom,(
    ~ b000000100000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1256,axiom,(
    ~ b000000100000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges9_2,axiom,(
    ! [VarCurr] :
      ( v7910(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000010000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1255,axiom,(
    ~ b000000010000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1254,axiom,(
    ~ b000000010000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1253,axiom,(
    ~ b000000010000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1252,axiom,(
    ~ b000000010000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1251,axiom,(
    ~ b000000010000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1250,axiom,(
    ~ b000000010000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1249,axiom,(
    ~ b000000010000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1248,axiom,(
    b000000010000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1247,axiom,(
    ~ b000000010000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1246,axiom,(
    ~ b000000010000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1245,axiom,(
    ~ b000000010000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1244,axiom,(
    ~ b000000010000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1243,axiom,(
    ~ b000000010000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1242,axiom,(
    ~ b000000010000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1241,axiom,(
    ~ b000000010000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1240,axiom,(
    ~ b000000010000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1239,axiom,(
    ~ b000000010000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1238,axiom,(
    ~ b000000010000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1237,axiom,(
    ~ b000000010000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1236,axiom,(
    ~ b000000010000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1235,axiom,(
    ~ b000000010000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1234,axiom,(
    ~ b000000010000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1233,axiom,(
    ~ b000000010000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1232,axiom,(
    ~ b000000010000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1231,axiom,(
    ~ b000000010000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1230,axiom,(
    ~ b000000010000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1229,axiom,(
    ~ b000000010000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges8_2,axiom,(
    ! [VarCurr] :
      ( v7909(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000001000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1228,axiom,(
    ~ b000000001000000000000000000(bitIndex26) )).

fof(bitBlastConstant_1227,axiom,(
    ~ b000000001000000000000000000(bitIndex25) )).

fof(bitBlastConstant_1226,axiom,(
    ~ b000000001000000000000000000(bitIndex24) )).

fof(bitBlastConstant_1225,axiom,(
    ~ b000000001000000000000000000(bitIndex23) )).

fof(bitBlastConstant_1224,axiom,(
    ~ b000000001000000000000000000(bitIndex22) )).

fof(bitBlastConstant_1223,axiom,(
    ~ b000000001000000000000000000(bitIndex21) )).

fof(bitBlastConstant_1222,axiom,(
    ~ b000000001000000000000000000(bitIndex20) )).

fof(bitBlastConstant_1221,axiom,(
    ~ b000000001000000000000000000(bitIndex19) )).

fof(bitBlastConstant_1220,axiom,(
    b000000001000000000000000000(bitIndex18) )).

fof(bitBlastConstant_1219,axiom,(
    ~ b000000001000000000000000000(bitIndex17) )).

fof(bitBlastConstant_1218,axiom,(
    ~ b000000001000000000000000000(bitIndex16) )).

fof(bitBlastConstant_1217,axiom,(
    ~ b000000001000000000000000000(bitIndex15) )).

fof(bitBlastConstant_1216,axiom,(
    ~ b000000001000000000000000000(bitIndex14) )).

fof(bitBlastConstant_1215,axiom,(
    ~ b000000001000000000000000000(bitIndex13) )).

fof(bitBlastConstant_1214,axiom,(
    ~ b000000001000000000000000000(bitIndex12) )).

fof(bitBlastConstant_1213,axiom,(
    ~ b000000001000000000000000000(bitIndex11) )).

fof(bitBlastConstant_1212,axiom,(
    ~ b000000001000000000000000000(bitIndex10) )).

fof(bitBlastConstant_1211,axiom,(
    ~ b000000001000000000000000000(bitIndex9) )).

fof(bitBlastConstant_1210,axiom,(
    ~ b000000001000000000000000000(bitIndex8) )).

fof(bitBlastConstant_1209,axiom,(
    ~ b000000001000000000000000000(bitIndex7) )).

fof(bitBlastConstant_1208,axiom,(
    ~ b000000001000000000000000000(bitIndex6) )).

fof(bitBlastConstant_1207,axiom,(
    ~ b000000001000000000000000000(bitIndex5) )).

fof(bitBlastConstant_1206,axiom,(
    ~ b000000001000000000000000000(bitIndex4) )).

fof(bitBlastConstant_1205,axiom,(
    ~ b000000001000000000000000000(bitIndex3) )).

fof(bitBlastConstant_1204,axiom,(
    ~ b000000001000000000000000000(bitIndex2) )).

fof(bitBlastConstant_1203,axiom,(
    ~ b000000001000000000000000000(bitIndex1) )).

fof(bitBlastConstant_1202,axiom,(
    ~ b000000001000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges7_4,axiom,(
    ! [VarCurr] :
      ( v7908(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000100000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1201,axiom,(
    ~ b000000000100000000000000000(bitIndex26) )).

fof(bitBlastConstant_1200,axiom,(
    ~ b000000000100000000000000000(bitIndex25) )).

fof(bitBlastConstant_1199,axiom,(
    ~ b000000000100000000000000000(bitIndex24) )).

fof(bitBlastConstant_1198,axiom,(
    ~ b000000000100000000000000000(bitIndex23) )).

fof(bitBlastConstant_1197,axiom,(
    ~ b000000000100000000000000000(bitIndex22) )).

fof(bitBlastConstant_1196,axiom,(
    ~ b000000000100000000000000000(bitIndex21) )).

fof(bitBlastConstant_1195,axiom,(
    ~ b000000000100000000000000000(bitIndex20) )).

fof(bitBlastConstant_1194,axiom,(
    ~ b000000000100000000000000000(bitIndex19) )).

fof(bitBlastConstant_1193,axiom,(
    ~ b000000000100000000000000000(bitIndex18) )).

fof(bitBlastConstant_1192,axiom,(
    b000000000100000000000000000(bitIndex17) )).

fof(bitBlastConstant_1191,axiom,(
    ~ b000000000100000000000000000(bitIndex16) )).

fof(bitBlastConstant_1190,axiom,(
    ~ b000000000100000000000000000(bitIndex15) )).

fof(bitBlastConstant_1189,axiom,(
    ~ b000000000100000000000000000(bitIndex14) )).

fof(bitBlastConstant_1188,axiom,(
    ~ b000000000100000000000000000(bitIndex13) )).

fof(bitBlastConstant_1187,axiom,(
    ~ b000000000100000000000000000(bitIndex12) )).

fof(bitBlastConstant_1186,axiom,(
    ~ b000000000100000000000000000(bitIndex11) )).

fof(bitBlastConstant_1185,axiom,(
    ~ b000000000100000000000000000(bitIndex10) )).

fof(bitBlastConstant_1184,axiom,(
    ~ b000000000100000000000000000(bitIndex9) )).

fof(bitBlastConstant_1183,axiom,(
    ~ b000000000100000000000000000(bitIndex8) )).

fof(bitBlastConstant_1182,axiom,(
    ~ b000000000100000000000000000(bitIndex7) )).

fof(bitBlastConstant_1181,axiom,(
    ~ b000000000100000000000000000(bitIndex6) )).

fof(bitBlastConstant_1180,axiom,(
    ~ b000000000100000000000000000(bitIndex5) )).

fof(bitBlastConstant_1179,axiom,(
    ~ b000000000100000000000000000(bitIndex4) )).

fof(bitBlastConstant_1178,axiom,(
    ~ b000000000100000000000000000(bitIndex3) )).

fof(bitBlastConstant_1177,axiom,(
    ~ b000000000100000000000000000(bitIndex2) )).

fof(bitBlastConstant_1176,axiom,(
    ~ b000000000100000000000000000(bitIndex1) )).

fof(bitBlastConstant_1175,axiom,(
    ~ b000000000100000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges6_4,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000010000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1174,axiom,(
    ~ b000000000010000000000000000(bitIndex26) )).

fof(bitBlastConstant_1173,axiom,(
    ~ b000000000010000000000000000(bitIndex25) )).

fof(bitBlastConstant_1172,axiom,(
    ~ b000000000010000000000000000(bitIndex24) )).

fof(bitBlastConstant_1171,axiom,(
    ~ b000000000010000000000000000(bitIndex23) )).

fof(bitBlastConstant_1170,axiom,(
    ~ b000000000010000000000000000(bitIndex22) )).

fof(bitBlastConstant_1169,axiom,(
    ~ b000000000010000000000000000(bitIndex21) )).

fof(bitBlastConstant_1168,axiom,(
    ~ b000000000010000000000000000(bitIndex20) )).

fof(bitBlastConstant_1167,axiom,(
    ~ b000000000010000000000000000(bitIndex19) )).

fof(bitBlastConstant_1166,axiom,(
    ~ b000000000010000000000000000(bitIndex18) )).

fof(bitBlastConstant_1165,axiom,(
    ~ b000000000010000000000000000(bitIndex17) )).

fof(bitBlastConstant_1164,axiom,(
    b000000000010000000000000000(bitIndex16) )).

fof(bitBlastConstant_1163,axiom,(
    ~ b000000000010000000000000000(bitIndex15) )).

fof(bitBlastConstant_1162,axiom,(
    ~ b000000000010000000000000000(bitIndex14) )).

fof(bitBlastConstant_1161,axiom,(
    ~ b000000000010000000000000000(bitIndex13) )).

fof(bitBlastConstant_1160,axiom,(
    ~ b000000000010000000000000000(bitIndex12) )).

fof(bitBlastConstant_1159,axiom,(
    ~ b000000000010000000000000000(bitIndex11) )).

fof(bitBlastConstant_1158,axiom,(
    ~ b000000000010000000000000000(bitIndex10) )).

fof(bitBlastConstant_1157,axiom,(
    ~ b000000000010000000000000000(bitIndex9) )).

fof(bitBlastConstant_1156,axiom,(
    ~ b000000000010000000000000000(bitIndex8) )).

fof(bitBlastConstant_1155,axiom,(
    ~ b000000000010000000000000000(bitIndex7) )).

fof(bitBlastConstant_1154,axiom,(
    ~ b000000000010000000000000000(bitIndex6) )).

fof(bitBlastConstant_1153,axiom,(
    ~ b000000000010000000000000000(bitIndex5) )).

fof(bitBlastConstant_1152,axiom,(
    ~ b000000000010000000000000000(bitIndex4) )).

fof(bitBlastConstant_1151,axiom,(
    ~ b000000000010000000000000000(bitIndex3) )).

fof(bitBlastConstant_1150,axiom,(
    ~ b000000000010000000000000000(bitIndex2) )).

fof(bitBlastConstant_1149,axiom,(
    ~ b000000000010000000000000000(bitIndex1) )).

fof(bitBlastConstant_1148,axiom,(
    ~ b000000000010000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges5_4,axiom,(
    ! [VarCurr] :
      ( v7906(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000001000000000000000(B) ) ) ) )).

fof(bitBlastConstant_1147,axiom,(
    ~ b000000000001000000000000000(bitIndex26) )).

fof(bitBlastConstant_1146,axiom,(
    ~ b000000000001000000000000000(bitIndex25) )).

fof(bitBlastConstant_1145,axiom,(
    ~ b000000000001000000000000000(bitIndex24) )).

fof(bitBlastConstant_1144,axiom,(
    ~ b000000000001000000000000000(bitIndex23) )).

fof(bitBlastConstant_1143,axiom,(
    ~ b000000000001000000000000000(bitIndex22) )).

fof(bitBlastConstant_1142,axiom,(
    ~ b000000000001000000000000000(bitIndex21) )).

fof(bitBlastConstant_1141,axiom,(
    ~ b000000000001000000000000000(bitIndex20) )).

fof(bitBlastConstant_1140,axiom,(
    ~ b000000000001000000000000000(bitIndex19) )).

fof(bitBlastConstant_1139,axiom,(
    ~ b000000000001000000000000000(bitIndex18) )).

fof(bitBlastConstant_1138,axiom,(
    ~ b000000000001000000000000000(bitIndex17) )).

fof(bitBlastConstant_1137,axiom,(
    ~ b000000000001000000000000000(bitIndex16) )).

fof(bitBlastConstant_1136,axiom,(
    b000000000001000000000000000(bitIndex15) )).

fof(bitBlastConstant_1135,axiom,(
    ~ b000000000001000000000000000(bitIndex14) )).

fof(bitBlastConstant_1134,axiom,(
    ~ b000000000001000000000000000(bitIndex13) )).

fof(bitBlastConstant_1133,axiom,(
    ~ b000000000001000000000000000(bitIndex12) )).

fof(bitBlastConstant_1132,axiom,(
    ~ b000000000001000000000000000(bitIndex11) )).

fof(bitBlastConstant_1131,axiom,(
    ~ b000000000001000000000000000(bitIndex10) )).

fof(bitBlastConstant_1130,axiom,(
    ~ b000000000001000000000000000(bitIndex9) )).

fof(bitBlastConstant_1129,axiom,(
    ~ b000000000001000000000000000(bitIndex8) )).

fof(bitBlastConstant_1128,axiom,(
    ~ b000000000001000000000000000(bitIndex7) )).

fof(bitBlastConstant_1127,axiom,(
    ~ b000000000001000000000000000(bitIndex6) )).

fof(bitBlastConstant_1126,axiom,(
    ~ b000000000001000000000000000(bitIndex5) )).

fof(bitBlastConstant_1125,axiom,(
    ~ b000000000001000000000000000(bitIndex4) )).

fof(bitBlastConstant_1124,axiom,(
    ~ b000000000001000000000000000(bitIndex3) )).

fof(bitBlastConstant_1123,axiom,(
    ~ b000000000001000000000000000(bitIndex2) )).

fof(bitBlastConstant_1122,axiom,(
    ~ b000000000001000000000000000(bitIndex1) )).

fof(bitBlastConstant_1121,axiom,(
    ~ b000000000001000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges4_6,axiom,(
    ! [VarCurr] :
      ( v7905(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000000100000000000000(B) ) ) ) )).

fof(bitBlastConstant_1120,axiom,(
    ~ b000000000000100000000000000(bitIndex26) )).

fof(bitBlastConstant_1119,axiom,(
    ~ b000000000000100000000000000(bitIndex25) )).

fof(bitBlastConstant_1118,axiom,(
    ~ b000000000000100000000000000(bitIndex24) )).

fof(bitBlastConstant_1117,axiom,(
    ~ b000000000000100000000000000(bitIndex23) )).

fof(bitBlastConstant_1116,axiom,(
    ~ b000000000000100000000000000(bitIndex22) )).

fof(bitBlastConstant_1115,axiom,(
    ~ b000000000000100000000000000(bitIndex21) )).

fof(bitBlastConstant_1114,axiom,(
    ~ b000000000000100000000000000(bitIndex20) )).

fof(bitBlastConstant_1113,axiom,(
    ~ b000000000000100000000000000(bitIndex19) )).

fof(bitBlastConstant_1112,axiom,(
    ~ b000000000000100000000000000(bitIndex18) )).

fof(bitBlastConstant_1111,axiom,(
    ~ b000000000000100000000000000(bitIndex17) )).

fof(bitBlastConstant_1110,axiom,(
    ~ b000000000000100000000000000(bitIndex16) )).

fof(bitBlastConstant_1109,axiom,(
    ~ b000000000000100000000000000(bitIndex15) )).

fof(bitBlastConstant_1108,axiom,(
    b000000000000100000000000000(bitIndex14) )).

fof(bitBlastConstant_1107,axiom,(
    ~ b000000000000100000000000000(bitIndex13) )).

fof(bitBlastConstant_1106,axiom,(
    ~ b000000000000100000000000000(bitIndex12) )).

fof(bitBlastConstant_1105,axiom,(
    ~ b000000000000100000000000000(bitIndex11) )).

fof(bitBlastConstant_1104,axiom,(
    ~ b000000000000100000000000000(bitIndex10) )).

fof(bitBlastConstant_1103,axiom,(
    ~ b000000000000100000000000000(bitIndex9) )).

fof(bitBlastConstant_1102,axiom,(
    ~ b000000000000100000000000000(bitIndex8) )).

fof(bitBlastConstant_1101,axiom,(
    ~ b000000000000100000000000000(bitIndex7) )).

fof(bitBlastConstant_1100,axiom,(
    ~ b000000000000100000000000000(bitIndex6) )).

fof(bitBlastConstant_1099,axiom,(
    ~ b000000000000100000000000000(bitIndex5) )).

fof(bitBlastConstant_1098,axiom,(
    ~ b000000000000100000000000000(bitIndex4) )).

fof(bitBlastConstant_1097,axiom,(
    ~ b000000000000100000000000000(bitIndex3) )).

fof(bitBlastConstant_1096,axiom,(
    ~ b000000000000100000000000000(bitIndex2) )).

fof(bitBlastConstant_1095,axiom,(
    ~ b000000000000100000000000000(bitIndex1) )).

fof(bitBlastConstant_1094,axiom,(
    ~ b000000000000100000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges3_23,axiom,(
    ! [VarCurr] :
      ( v7904(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000000010000000000000(B) ) ) ) )).

fof(bitBlastConstant_1093,axiom,(
    ~ b000000000000010000000000000(bitIndex26) )).

fof(bitBlastConstant_1092,axiom,(
    ~ b000000000000010000000000000(bitIndex25) )).

fof(bitBlastConstant_1091,axiom,(
    ~ b000000000000010000000000000(bitIndex24) )).

fof(bitBlastConstant_1090,axiom,(
    ~ b000000000000010000000000000(bitIndex23) )).

fof(bitBlastConstant_1089,axiom,(
    ~ b000000000000010000000000000(bitIndex22) )).

fof(bitBlastConstant_1088,axiom,(
    ~ b000000000000010000000000000(bitIndex21) )).

fof(bitBlastConstant_1087,axiom,(
    ~ b000000000000010000000000000(bitIndex20) )).

fof(bitBlastConstant_1086,axiom,(
    ~ b000000000000010000000000000(bitIndex19) )).

fof(bitBlastConstant_1085,axiom,(
    ~ b000000000000010000000000000(bitIndex18) )).

fof(bitBlastConstant_1084,axiom,(
    ~ b000000000000010000000000000(bitIndex17) )).

fof(bitBlastConstant_1083,axiom,(
    ~ b000000000000010000000000000(bitIndex16) )).

fof(bitBlastConstant_1082,axiom,(
    ~ b000000000000010000000000000(bitIndex15) )).

fof(bitBlastConstant_1081,axiom,(
    ~ b000000000000010000000000000(bitIndex14) )).

fof(bitBlastConstant_1080,axiom,(
    b000000000000010000000000000(bitIndex13) )).

fof(bitBlastConstant_1079,axiom,(
    ~ b000000000000010000000000000(bitIndex12) )).

fof(bitBlastConstant_1078,axiom,(
    ~ b000000000000010000000000000(bitIndex11) )).

fof(bitBlastConstant_1077,axiom,(
    ~ b000000000000010000000000000(bitIndex10) )).

fof(bitBlastConstant_1076,axiom,(
    ~ b000000000000010000000000000(bitIndex9) )).

fof(bitBlastConstant_1075,axiom,(
    ~ b000000000000010000000000000(bitIndex8) )).

fof(bitBlastConstant_1074,axiom,(
    ~ b000000000000010000000000000(bitIndex7) )).

fof(bitBlastConstant_1073,axiom,(
    ~ b000000000000010000000000000(bitIndex6) )).

fof(bitBlastConstant_1072,axiom,(
    ~ b000000000000010000000000000(bitIndex5) )).

fof(bitBlastConstant_1071,axiom,(
    ~ b000000000000010000000000000(bitIndex4) )).

fof(bitBlastConstant_1070,axiom,(
    ~ b000000000000010000000000000(bitIndex3) )).

fof(bitBlastConstant_1069,axiom,(
    ~ b000000000000010000000000000(bitIndex2) )).

fof(bitBlastConstant_1068,axiom,(
    ~ b000000000000010000000000000(bitIndex1) )).

fof(bitBlastConstant_1067,axiom,(
    ~ b000000000000010000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2_42,axiom,(
    ! [VarCurr] :
      ( v7903(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000000001000000000000(B) ) ) ) )).

fof(bitBlastConstant_1066,axiom,(
    ~ b000000000000001000000000000(bitIndex26) )).

fof(bitBlastConstant_1065,axiom,(
    ~ b000000000000001000000000000(bitIndex25) )).

fof(bitBlastConstant_1064,axiom,(
    ~ b000000000000001000000000000(bitIndex24) )).

fof(bitBlastConstant_1063,axiom,(
    ~ b000000000000001000000000000(bitIndex23) )).

fof(bitBlastConstant_1062,axiom,(
    ~ b000000000000001000000000000(bitIndex22) )).

fof(bitBlastConstant_1061,axiom,(
    ~ b000000000000001000000000000(bitIndex21) )).

fof(bitBlastConstant_1060,axiom,(
    ~ b000000000000001000000000000(bitIndex20) )).

fof(bitBlastConstant_1059,axiom,(
    ~ b000000000000001000000000000(bitIndex19) )).

fof(bitBlastConstant_1058,axiom,(
    ~ b000000000000001000000000000(bitIndex18) )).

fof(bitBlastConstant_1057,axiom,(
    ~ b000000000000001000000000000(bitIndex17) )).

fof(bitBlastConstant_1056,axiom,(
    ~ b000000000000001000000000000(bitIndex16) )).

fof(bitBlastConstant_1055,axiom,(
    ~ b000000000000001000000000000(bitIndex15) )).

fof(bitBlastConstant_1054,axiom,(
    ~ b000000000000001000000000000(bitIndex14) )).

fof(bitBlastConstant_1053,axiom,(
    ~ b000000000000001000000000000(bitIndex13) )).

fof(bitBlastConstant_1052,axiom,(
    b000000000000001000000000000(bitIndex12) )).

fof(bitBlastConstant_1051,axiom,(
    ~ b000000000000001000000000000(bitIndex11) )).

fof(bitBlastConstant_1050,axiom,(
    ~ b000000000000001000000000000(bitIndex10) )).

fof(bitBlastConstant_1049,axiom,(
    ~ b000000000000001000000000000(bitIndex9) )).

fof(bitBlastConstant_1048,axiom,(
    ~ b000000000000001000000000000(bitIndex8) )).

fof(bitBlastConstant_1047,axiom,(
    ~ b000000000000001000000000000(bitIndex7) )).

fof(bitBlastConstant_1046,axiom,(
    ~ b000000000000001000000000000(bitIndex6) )).

fof(bitBlastConstant_1045,axiom,(
    ~ b000000000000001000000000000(bitIndex5) )).

fof(bitBlastConstant_1044,axiom,(
    ~ b000000000000001000000000000(bitIndex4) )).

fof(bitBlastConstant_1043,axiom,(
    ~ b000000000000001000000000000(bitIndex3) )).

fof(bitBlastConstant_1042,axiom,(
    ~ b000000000000001000000000000(bitIndex2) )).

fof(bitBlastConstant_1041,axiom,(
    ~ b000000000000001000000000000(bitIndex1) )).

fof(bitBlastConstant_1040,axiom,(
    ~ b000000000000001000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_118,axiom,(
    ! [VarCurr] :
      ( v7902(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000000000100000000000(B) ) ) ) )).

fof(bitBlastConstant_1039,axiom,(
    ~ b000000000000000100000000000(bitIndex26) )).

fof(bitBlastConstant_1038,axiom,(
    ~ b000000000000000100000000000(bitIndex25) )).

fof(bitBlastConstant_1037,axiom,(
    ~ b000000000000000100000000000(bitIndex24) )).

fof(bitBlastConstant_1036,axiom,(
    ~ b000000000000000100000000000(bitIndex23) )).

fof(bitBlastConstant_1035,axiom,(
    ~ b000000000000000100000000000(bitIndex22) )).

fof(bitBlastConstant_1034,axiom,(
    ~ b000000000000000100000000000(bitIndex21) )).

fof(bitBlastConstant_1033,axiom,(
    ~ b000000000000000100000000000(bitIndex20) )).

fof(bitBlastConstant_1032,axiom,(
    ~ b000000000000000100000000000(bitIndex19) )).

fof(bitBlastConstant_1031,axiom,(
    ~ b000000000000000100000000000(bitIndex18) )).

fof(bitBlastConstant_1030,axiom,(
    ~ b000000000000000100000000000(bitIndex17) )).

fof(bitBlastConstant_1029,axiom,(
    ~ b000000000000000100000000000(bitIndex16) )).

fof(bitBlastConstant_1028,axiom,(
    ~ b000000000000000100000000000(bitIndex15) )).

fof(bitBlastConstant_1027,axiom,(
    ~ b000000000000000100000000000(bitIndex14) )).

fof(bitBlastConstant_1026,axiom,(
    ~ b000000000000000100000000000(bitIndex13) )).

fof(bitBlastConstant_1025,axiom,(
    ~ b000000000000000100000000000(bitIndex12) )).

fof(bitBlastConstant_1024,axiom,(
    b000000000000000100000000000(bitIndex11) )).

fof(bitBlastConstant_1023,axiom,(
    ~ b000000000000000100000000000(bitIndex10) )).

fof(bitBlastConstant_1022,axiom,(
    ~ b000000000000000100000000000(bitIndex9) )).

fof(bitBlastConstant_1021,axiom,(
    ~ b000000000000000100000000000(bitIndex8) )).

fof(bitBlastConstant_1020,axiom,(
    ~ b000000000000000100000000000(bitIndex7) )).

fof(bitBlastConstant_1019,axiom,(
    ~ b000000000000000100000000000(bitIndex6) )).

fof(bitBlastConstant_1018,axiom,(
    ~ b000000000000000100000000000(bitIndex5) )).

fof(bitBlastConstant_1017,axiom,(
    ~ b000000000000000100000000000(bitIndex4) )).

fof(bitBlastConstant_1016,axiom,(
    ~ b000000000000000100000000000(bitIndex3) )).

fof(bitBlastConstant_1015,axiom,(
    ~ b000000000000000100000000000(bitIndex2) )).

fof(bitBlastConstant_1014,axiom,(
    ~ b000000000000000100000000000(bitIndex1) )).

fof(bitBlastConstant_1013,axiom,(
    ~ b000000000000000100000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0_119,axiom,(
    ! [VarCurr] :
      ( v7901(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7857(VarCurr,B)
          <=> b000000000000000010000000000(B) ) ) ) )).

fof(bitBlastConstant_1012,axiom,(
    ~ b000000000000000010000000000(bitIndex26) )).

fof(bitBlastConstant_1011,axiom,(
    ~ b000000000000000010000000000(bitIndex25) )).

fof(bitBlastConstant_1010,axiom,(
    ~ b000000000000000010000000000(bitIndex24) )).

fof(bitBlastConstant_1009,axiom,(
    ~ b000000000000000010000000000(bitIndex23) )).

fof(bitBlastConstant_1008,axiom,(
    ~ b000000000000000010000000000(bitIndex22) )).

fof(bitBlastConstant_1007,axiom,(
    ~ b000000000000000010000000000(bitIndex21) )).

fof(bitBlastConstant_1006,axiom,(
    ~ b000000000000000010000000000(bitIndex20) )).

fof(bitBlastConstant_1005,axiom,(
    ~ b000000000000000010000000000(bitIndex19) )).

fof(bitBlastConstant_1004,axiom,(
    ~ b000000000000000010000000000(bitIndex18) )).

fof(bitBlastConstant_1003,axiom,(
    ~ b000000000000000010000000000(bitIndex17) )).

fof(bitBlastConstant_1002,axiom,(
    ~ b000000000000000010000000000(bitIndex16) )).

fof(bitBlastConstant_1001,axiom,(
    ~ b000000000000000010000000000(bitIndex15) )).

fof(bitBlastConstant_1000,axiom,(
    ~ b000000000000000010000000000(bitIndex14) )).

fof(bitBlastConstant_999,axiom,(
    ~ b000000000000000010000000000(bitIndex13) )).

fof(bitBlastConstant_998,axiom,(
    ~ b000000000000000010000000000(bitIndex12) )).

fof(bitBlastConstant_997,axiom,(
    ~ b000000000000000010000000000(bitIndex11) )).

fof(bitBlastConstant_996,axiom,(
    b000000000000000010000000000(bitIndex10) )).

fof(bitBlastConstant_995,axiom,(
    ~ b000000000000000010000000000(bitIndex9) )).

fof(bitBlastConstant_994,axiom,(
    ~ b000000000000000010000000000(bitIndex8) )).

fof(bitBlastConstant_993,axiom,(
    ~ b000000000000000010000000000(bitIndex7) )).

fof(bitBlastConstant_992,axiom,(
    ~ b000000000000000010000000000(bitIndex6) )).

fof(bitBlastConstant_991,axiom,(
    ~ b000000000000000010000000000(bitIndex5) )).

fof(bitBlastConstant_990,axiom,(
    ~ b000000000000000010000000000(bitIndex4) )).

fof(bitBlastConstant_989,axiom,(
    ~ b000000000000000010000000000(bitIndex3) )).

fof(bitBlastConstant_988,axiom,(
    ~ b000000000000000010000000000(bitIndex2) )).

fof(bitBlastConstant_987,axiom,(
    ~ b000000000000000010000000000(bitIndex1) )).

fof(bitBlastConstant_986,axiom,(
    ~ b000000000000000010000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_430,axiom,(
    ! [VarCurr] :
      ( v7916(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_429,axiom,(
    ! [VarCurr] :
      ( v7915(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_428,axiom,(
    ! [VarCurr] :
      ( v7914(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_427,axiom,(
    ! [VarCurr] :
      ( v7913(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_426,axiom,(
    ! [VarCurr] :
      ( v7912(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_425,axiom,(
    ! [VarCurr] :
      ( v7911(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_424,axiom,(
    ! [VarCurr] :
      ( v7910(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_423,axiom,(
    ! [VarCurr] :
      ( v7909(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $true )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_422,axiom,(
    ! [VarCurr] :
      ( v7908(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_421,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_420,axiom,(
    ! [VarCurr] :
      ( v7906(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_419,axiom,(
    ! [VarCurr] :
      ( v7905(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $true )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_418,axiom,(
    ! [VarCurr] :
      ( v7904(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_417,axiom,(
    ! [VarCurr] :
      ( v7903(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $true )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_416,axiom,(
    ! [VarCurr] :
      ( v7902(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_415,axiom,(
    ! [VarCurr] :
      ( v7901(VarCurr)
    <=> ( ( v7859(VarCurr,bitIndex3)
        <=> $false )
        & ( v7859(VarCurr,bitIndex2)
        <=> $false )
        & ( v7859(VarCurr,bitIndex1)
        <=> $false )
        & ( v7859(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_77,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7868(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v7859(VarNext,B)
            <=> v7859(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_80,axiom,(
    ! [VarNext] :
      ( v7868(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v7859(VarNext,B)
          <=> v7881(VarNext,B) ) ) ) )).

fof(addAssignment_1846,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v7881(VarNext,B)
          <=> v7879(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_117,axiom,(
    ! [VarCurr] :
      ( ~ v7234(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v7879(VarCurr,B)
          <=> v7861(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_118,axiom,(
    ! [VarCurr] :
      ( v7234(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v7879(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2079,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7868(VarNext)
      <=> ( v7869(VarNext)
          & v7876(VarNext) ) ) ) )).

fof(addAssignment_1845,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7876(VarNext)
      <=> v7874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2078,axiom,(
    ! [VarCurr] :
      ( v7874(VarCurr)
    <=> ( v7234(VarCurr)
        | v7877(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2077,axiom,(
    ! [VarCurr] :
      ( v7877(VarCurr)
    <=> ( v7236(VarCurr)
        & v7878(VarCurr) ) ) )).

fof(writeUnaryOperator_1047,axiom,(
    ! [VarCurr] :
      ( ~ v7878(VarCurr)
    <=> v7234(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2076,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7869(VarNext)
      <=> ( v7871(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_1046,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7871(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1844,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v7861(VarCurr,B)
      <=> v7863(VarCurr,B) ) ) )).

fof(addAssignment_1843,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v7863(VarCurr,B)
      <=> v7865(VarCurr,B) ) ) )).

fof(addAssignment_1842,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v7865(VarCurr,B)
      <=> v6607(VarCurr,B) ) ) )).

fof(addAssignment_1841,axiom,(
    ! [VarNext,B] :
      ( range_26_0(B)
     => ( v7830(VarNext,B)
      <=> v7839(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_76,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7840(VarNext)
       => ! [B] :
            ( range_27_0(B)
           => ( v7839(VarNext,B)
            <=> v7830(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_79,axiom,(
    ! [VarNext] :
      ( v7840(VarNext)
     => ! [B] :
          ( range_27_0(B)
         => ( v7839(VarNext,B)
          <=> v7853(VarNext,B) ) ) ) )).

fof(addAssignment_1840,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_27_0(B)
         => ( v7853(VarNext,B)
          <=> v7851(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_116,axiom,(
    ! [VarCurr] :
      ( ~ v7234(VarCurr)
     => ! [B] :
          ( range_27_0(B)
         => ( v7851(VarCurr,B)
          <=> v7833(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_117,axiom,(
    ! [VarCurr] :
      ( v7234(VarCurr)
     => ! [B] :
          ( range_27_0(B)
         => ( v7851(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_42,axiom,(
    ! [B] :
      ( range_27_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B ) ) )).

fof(bitBlastConstant_985,axiom,(
    ~ b0000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_984,axiom,(
    ~ b0000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_983,axiom,(
    ~ b0000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_982,axiom,(
    ~ b0000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_981,axiom,(
    ~ b0000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_980,axiom,(
    ~ b0000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_979,axiom,(
    ~ b0000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_978,axiom,(
    ~ b0000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_977,axiom,(
    ~ b0000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_976,axiom,(
    ~ b0000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_975,axiom,(
    ~ b0000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_974,axiom,(
    ~ b0000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_973,axiom,(
    ~ b0000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_972,axiom,(
    ~ b0000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_971,axiom,(
    ~ b0000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_970,axiom,(
    ~ b0000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_969,axiom,(
    ~ b0000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_968,axiom,(
    ~ b0000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_967,axiom,(
    ~ b0000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_966,axiom,(
    ~ b0000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_965,axiom,(
    ~ b0000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_964,axiom,(
    ~ b0000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_963,axiom,(
    ~ b0000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_962,axiom,(
    ~ b0000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_961,axiom,(
    ~ b0000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_960,axiom,(
    ~ b0000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_959,axiom,(
    ~ b0000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_958,axiom,(
    ~ b0000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2075,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7840(VarNext)
      <=> ( v7841(VarNext)
          & v7848(VarNext) ) ) ) )).

fof(addAssignment_1839,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7848(VarNext)
      <=> v7846(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2074,axiom,(
    ! [VarCurr] :
      ( v7846(VarCurr)
    <=> ( v7234(VarCurr)
        | v7849(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2073,axiom,(
    ! [VarCurr] :
      ( v7849(VarCurr)
    <=> ( v7236(VarCurr)
        & v7850(VarCurr) ) ) )).

fof(writeUnaryOperator_1045,axiom,(
    ! [VarCurr] :
      ( ~ v7850(VarCurr)
    <=> v7234(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7841(VarNext)
      <=> ( v7843(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_1044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7843(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1838,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v7833(VarCurr,B)
      <=> v7835(VarCurr,B) ) ) )).

fof(addAssignment_1837,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v7835(VarCurr,B)
      <=> v7837(VarCurr,B) ) ) )).

fof(addAssignment_1836,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v7837(VarCurr,B)
      <=> v6636(VarCurr,B) ) ) )).

fof(addAssignment_1835,axiom,(
    ! [VarCurr,B] :
      ( range_26_19(B)
     => ( v6636(VarCurr,B)
      <=> v6694(VarCurr,B) ) ) )).

fof(range_axiom_41,axiom,(
    ! [B] :
      ( range_26_19(B)
    <=> ( $false
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B ) ) )).

fof(addAssignment_1834,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex26)
    <=> v6607(VarCurr,bitIndex33) ) )).

fof(addAssignment_1833,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex25)
    <=> v6607(VarCurr,bitIndex32) ) )).

fof(addAssignment_1832,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex24)
    <=> v6607(VarCurr,bitIndex31) ) )).

fof(addAssignment_1831,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex23)
    <=> v6607(VarCurr,bitIndex30) ) )).

fof(addAssignment_1830,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex22)
    <=> v6607(VarCurr,bitIndex29) ) )).

fof(addAssignment_1829,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex21)
    <=> v6607(VarCurr,bitIndex28) ) )).

fof(addAssignment_1828,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex20)
    <=> v6607(VarCurr,bitIndex27) ) )).

fof(addAssignment_1827,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex19)
    <=> v6607(VarCurr,bitIndex26) ) )).

fof(addAssignment_1826,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex26)
    <=> v6640(VarCurr,bitIndex26) ) )).

fof(addAssignment_1825,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex25)
    <=> v6640(VarCurr,bitIndex25) ) )).

fof(addAssignment_1824,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex24)
    <=> v6640(VarCurr,bitIndex24) ) )).

fof(addAssignment_1823,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex23)
    <=> v6640(VarCurr,bitIndex23) ) )).

fof(addAssignment_1822,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex22)
    <=> v6640(VarCurr,bitIndex22) ) )).

fof(addAssignment_1821,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex21)
    <=> v6640(VarCurr,bitIndex21) ) )).

fof(addAssignment_1820,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex20)
    <=> v6640(VarCurr,bitIndex20) ) )).

fof(addAssignment_1819,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex19)
    <=> v6640(VarCurr,bitIndex19) ) )).

fof(addAssignment_1818,axiom,(
    ! [VarNext] :
      ( v7308(VarNext,bitIndex2)
    <=> v7810(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_75,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7812(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v7810(VarNext,B)
            <=> v7308(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_78,axiom,(
    ! [VarNext] :
      ( v7812(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v7810(VarNext,B)
          <=> v7344(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2071,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7812(VarNext)
      <=> ( v7813(VarNext)
          & v7339(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2070,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7813(VarNext)
      <=> ( v7815(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_1043,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7815(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(writeBinaryOperatorShiftedRanges_517,axiom,(
    ! [VarCurr] :
      ( v7311(VarCurr,bitIndex2)
    <=> ( v7804(VarCurr)
        & v7808(VarCurr) ) ) )).

fof(writeUnaryOperator_1042,axiom,(
    ! [VarCurr] :
      ( ~ v7808(VarCurr)
    <=> v7760(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2069,axiom,(
    ! [VarCurr] :
      ( v7804(VarCurr)
    <=> ( v7805(VarCurr)
        & v7807(VarCurr) ) ) )).

fof(writeUnaryOperator_1041,axiom,(
    ! [VarCurr] :
      ( ~ v7807(VarCurr)
    <=> v7348(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2068,axiom,(
    ! [VarCurr] :
      ( v7805(VarCurr)
    <=> ( v7785(VarCurr)
        & v7806(VarCurr) ) ) )).

fof(writeUnaryOperator_1040,axiom,(
    ! [VarCurr] :
      ( ~ v7806(VarCurr)
    <=> v7313(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2067,axiom,(
    ! [VarCurr] :
      ( v7785(VarCurr)
    <=> ( v7787(VarCurr)
        & v5309(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_1817,axiom,(
    ! [VarCurr] :
      ( v7787(VarCurr)
    <=> v7789(VarCurr) ) )).

fof(addAssignment_1816,axiom,(
    ! [VarCurr] :
      ( v7789(VarCurr)
    <=> v7791(VarCurr) ) )).

fof(addAssignment_1815,axiom,(
    ! [VarCurr] :
      ( v7791(VarCurr)
    <=> v7793(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2066,axiom,(
    ! [VarCurr] :
      ( v7793(VarCurr)
    <=> ( v5910(VarCurr)
        & v7795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2065,axiom,(
    ! [VarCurr] :
      ( v7795(VarCurr)
    <=> ( v7796(VarCurr)
        | v7801(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_414,axiom,(
    ! [VarCurr] :
      ( v7801(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2064,axiom,(
    ! [VarCurr] :
      ( v7796(VarCurr)
    <=> ( v7797(VarCurr)
        | v7800(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_413,axiom,(
    ! [VarCurr] :
      ( v7800(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2063,axiom,(
    ! [VarCurr] :
      ( v7797(VarCurr)
    <=> ( v7798(VarCurr)
        | v7799(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_412,axiom,(
    ! [VarCurr] :
      ( v7799(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_411,axiom,(
    ! [VarCurr] :
      ( v7798(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1814,axiom,(
    ! [VarNext] :
      ( v7308(VarNext,bitIndex16)
    <=> v7777(VarNext,bitIndex16) ) )).

fof(addCaseBooleanConditionEqualRanges1_74,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7779(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v7777(VarNext,B)
            <=> v7308(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_77,axiom,(
    ! [VarNext] :
      ( v7779(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v7777(VarNext,B)
          <=> v7344(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2062,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7779(VarNext)
      <=> ( v7780(VarNext)
          & v7339(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2061,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7780(VarNext)
      <=> ( v7782(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_1039,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7782(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(writeBinaryOperatorShiftedRanges_516,axiom,(
    ! [VarCurr] :
      ( v7311(VarCurr,bitIndex16)
    <=> ( v7773(VarCurr)
        & v7775(VarCurr) ) ) )).

fof(writeUnaryOperator_1038,axiom,(
    ! [VarCurr] :
      ( ~ v7775(VarCurr)
    <=> v7350(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2060,axiom,(
    ! [VarCurr] :
      ( v7773(VarCurr)
    <=> ( v7760(VarCurr)
        & v7774(VarCurr) ) ) )).

fof(writeUnaryOperator_1037,axiom,(
    ! [VarCurr] :
      ( ~ v7774(VarCurr)
    <=> v7313(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2059,axiom,(
    ! [VarCurr] :
      ( v7760(VarCurr)
    <=> ( v5309(VarCurr,bitIndex0)
        & v7762(VarCurr) ) ) )).

fof(addAssignment_1813,axiom,(
    ! [VarCurr] :
      ( v7762(VarCurr)
    <=> v7764(VarCurr) ) )).

fof(addAssignment_1812,axiom,(
    ! [VarCurr] :
      ( v7764(VarCurr)
    <=> v7766(VarCurr) ) )).

fof(addAssignment_1811,axiom,(
    ! [VarCurr] :
      ( v7766(VarCurr)
    <=> v7768(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2058,axiom,(
    ! [VarCurr] :
      ( v7768(VarCurr)
    <=> ( v7770(VarCurr)
        & v5910(VarCurr) ) ) )).

fof(writeUnaryOperator_1036,axiom,(
    ! [VarCurr] :
      ( ~ v7770(VarCurr)
    <=> v6607(VarCurr,bitIndex63) ) )).

fof(addAssignment_1810,axiom,(
    ! [VarNext] :
      ( v7308(VarNext,bitIndex17)
    <=> v7752(VarNext,bitIndex17) ) )).

fof(addCaseBooleanConditionEqualRanges1_73,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7754(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v7752(VarNext,B)
            <=> v7308(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_76,axiom,(
    ! [VarNext] :
      ( v7754(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v7752(VarNext,B)
          <=> v7344(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2057,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7754(VarNext)
      <=> ( v7755(VarNext)
          & v7339(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2056,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7755(VarNext)
      <=> ( v7757(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_1035,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7757(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(writeBinaryOperatorShiftedRanges_515,axiom,(
    ! [VarCurr] :
      ( v7311(VarCurr,bitIndex17)
    <=> ( v7348(VarCurr)
        & v7750(VarCurr) ) ) )).

fof(writeUnaryOperator_1034,axiom,(
    ! [VarCurr] :
      ( ~ v7750(VarCurr)
    <=> v7313(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2055,axiom,(
    ! [VarCurr] :
      ( v7348(VarCurr)
    <=> ( v5309(VarCurr,bitIndex0)
        & v7350(VarCurr) ) ) )).

fof(addAssignment_1809,axiom,(
    ! [VarCurr] :
      ( v7350(VarCurr)
    <=> v7352(VarCurr) ) )).

fof(addAssignment_1808,axiom,(
    ! [VarCurr] :
      ( v7352(VarCurr)
    <=> v7354(VarCurr) ) )).

fof(addAssignment_1807,axiom,(
    ! [VarCurr] :
      ( v7354(VarCurr)
    <=> v7356(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2054,axiom,(
    ! [VarCurr] :
      ( v7356(VarCurr)
    <=> ( v5910(VarCurr)
        & v7745(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2053,axiom,(
    ! [VarCurr] :
      ( v7745(VarCurr)
    <=> ( v7746(VarCurr)
        | v7747(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_514,axiom,(
    ! [VarCurr] :
      ( v7747(VarCurr)
    <=> ( v7563(VarCurr)
      <~> v6607(VarCurr,bitIndex61) ) ) )).

fof(writeBinaryOperatorShiftedRanges_513,axiom,(
    ! [VarCurr] :
      ( v7746(VarCurr)
    <=> ( v7358(VarCurr)
      <~> v6607(VarCurr,bitIndex62) ) ) )).

fof(addAssignment_1806,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex61)
    <=> v6634(VarCurr,bitIndex61) ) )).

fof(addAssignment_1805,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex61)
    <=> v6627(VarCurr,bitIndex61) ) )).

fof(addAssignment_1804,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex61)
    <=> v7743(VarCurr) ) )).

fof(addAssignment_1803,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex61)
    <=> v6617(VarCurr,bitIndex61) ) )).

fof(addAssignment_1802,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex61)
    <=> v6619(VarCurr,bitIndex61) ) )).

fof(addAssignment_1801,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex61)
    <=> v6621(VarCurr,bitIndex61) ) )).

fof(addAssignment_1800,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex61)
    <=> v6623(VarCurr,bitIndex61) ) )).

fof(writeUnaryOperator_1033,axiom,(
    ! [VarCurr] :
      ( ~ v7563(VarCurr)
    <=> v7585(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2052,axiom,(
    ! [VarCurr] :
      ( v7585(VarCurr)
    <=> ( v7587(VarCurr)
        & v7741(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2051,axiom,(
    ! [VarCurr] :
      ( v7741(VarCurr)
    <=> ( v7589(VarCurr)
        | v7666(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2050,axiom,(
    ! [VarCurr] :
      ( v7587(VarCurr)
    <=> ( v7588(VarCurr)
        | v7665(VarCurr) ) ) )).

fof(writeUnaryOperator_1032,axiom,(
    ! [VarCurr] :
      ( ~ v7665(VarCurr)
    <=> v7666(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2049,axiom,(
    ! [VarCurr] :
      ( v7666(VarCurr)
    <=> ( v7667(VarCurr)
        & v7740(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2048,axiom,(
    ! [VarCurr] :
      ( v7740(VarCurr)
    <=> ( v7669(VarCurr)
        | v7685(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2047,axiom,(
    ! [VarCurr] :
      ( v7667(VarCurr)
    <=> ( v7668(VarCurr)
        | v7684(VarCurr) ) ) )).

fof(writeUnaryOperator_1031,axiom,(
    ! [VarCurr] :
      ( ~ v7684(VarCurr)
    <=> v7685(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2046,axiom,(
    ! [VarCurr] :
      ( v7685(VarCurr)
    <=> ( v7686(VarCurr)
        & v7739(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2045,axiom,(
    ! [VarCurr] :
      ( v7739(VarCurr)
    <=> ( v7688(VarCurr)
        | v7704(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2044,axiom,(
    ! [VarCurr] :
      ( v7686(VarCurr)
    <=> ( v7687(VarCurr)
        | v7703(VarCurr) ) ) )).

fof(writeUnaryOperator_1030,axiom,(
    ! [VarCurr] :
      ( ~ v7703(VarCurr)
    <=> v7704(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2043,axiom,(
    ! [VarCurr] :
      ( v7704(VarCurr)
    <=> ( v7705(VarCurr)
        & v7738(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2042,axiom,(
    ! [VarCurr] :
      ( v7738(VarCurr)
    <=> ( v7707(VarCurr)
        | v7723(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2041,axiom,(
    ! [VarCurr] :
      ( v7705(VarCurr)
    <=> ( v7706(VarCurr)
        | v7722(VarCurr) ) ) )).

fof(writeUnaryOperator_1029,axiom,(
    ! [VarCurr] :
      ( ~ v7722(VarCurr)
    <=> v7723(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2040,axiom,(
    ! [VarCurr] :
      ( v7723(VarCurr)
    <=> ( v7724(VarCurr)
        & v7737(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_512,axiom,(
    ! [VarCurr] :
      ( v7737(VarCurr)
    <=> ( v7595(VarCurr,bitIndex23)
        | v7727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2039,axiom,(
    ! [VarCurr] :
      ( v7724(VarCurr)
    <=> ( v7725(VarCurr)
        | v7726(VarCurr) ) ) )).

fof(writeUnaryOperator_1028,axiom,(
    ! [VarCurr] :
      ( ~ v7726(VarCurr)
    <=> v7727(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2038,axiom,(
    ! [VarCurr] :
      ( v7727(VarCurr)
    <=> ( v7728(VarCurr)
        & v7736(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_511,axiom,(
    ! [VarCurr] :
      ( v7736(VarCurr)
    <=> ( v7595(VarCurr,bitIndex22)
        | v7731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2037,axiom,(
    ! [VarCurr] :
      ( v7728(VarCurr)
    <=> ( v7729(VarCurr)
        | v7730(VarCurr) ) ) )).

fof(writeUnaryOperator_1027,axiom,(
    ! [VarCurr] :
      ( ~ v7730(VarCurr)
    <=> v7731(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2036,axiom,(
    ! [VarCurr] :
      ( v7731(VarCurr)
    <=> ( v7732(VarCurr)
        & v7735(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_510,axiom,(
    ! [VarCurr] :
      ( v7735(VarCurr)
    <=> ( v7595(VarCurr,bitIndex20)
        | v7595(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2035,axiom,(
    ! [VarCurr] :
      ( v7732(VarCurr)
    <=> ( v7733(VarCurr)
        | v7734(VarCurr) ) ) )).

fof(writeUnaryOperator_1026,axiom,(
    ! [VarCurr] :
      ( ~ v7734(VarCurr)
    <=> v7595(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1025,axiom,(
    ! [VarCurr] :
      ( ~ v7733(VarCurr)
    <=> v7595(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1024,axiom,(
    ! [VarCurr] :
      ( ~ v7729(VarCurr)
    <=> v7595(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1023,axiom,(
    ! [VarCurr] :
      ( ~ v7725(VarCurr)
    <=> v7595(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1022,axiom,(
    ! [VarCurr] :
      ( ~ v7706(VarCurr)
    <=> v7707(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2034,axiom,(
    ! [VarCurr] :
      ( v7707(VarCurr)
    <=> ( v7708(VarCurr)
        & v7721(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_509,axiom,(
    ! [VarCurr] :
      ( v7721(VarCurr)
    <=> ( v7595(VarCurr,bitIndex19)
        | v7711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2033,axiom,(
    ! [VarCurr] :
      ( v7708(VarCurr)
    <=> ( v7709(VarCurr)
        | v7710(VarCurr) ) ) )).

fof(writeUnaryOperator_1021,axiom,(
    ! [VarCurr] :
      ( ~ v7710(VarCurr)
    <=> v7711(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2032,axiom,(
    ! [VarCurr] :
      ( v7711(VarCurr)
    <=> ( v7712(VarCurr)
        & v7720(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_508,axiom,(
    ! [VarCurr] :
      ( v7720(VarCurr)
    <=> ( v7595(VarCurr,bitIndex18)
        | v7715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2031,axiom,(
    ! [VarCurr] :
      ( v7712(VarCurr)
    <=> ( v7713(VarCurr)
        | v7714(VarCurr) ) ) )).

fof(writeUnaryOperator_1020,axiom,(
    ! [VarCurr] :
      ( ~ v7714(VarCurr)
    <=> v7715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2030,axiom,(
    ! [VarCurr] :
      ( v7715(VarCurr)
    <=> ( v7716(VarCurr)
        & v7719(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_507,axiom,(
    ! [VarCurr] :
      ( v7719(VarCurr)
    <=> ( v7595(VarCurr,bitIndex16)
        | v7595(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2029,axiom,(
    ! [VarCurr] :
      ( v7716(VarCurr)
    <=> ( v7717(VarCurr)
        | v7718(VarCurr) ) ) )).

fof(writeUnaryOperator_1019,axiom,(
    ! [VarCurr] :
      ( ~ v7718(VarCurr)
    <=> v7595(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1018,axiom,(
    ! [VarCurr] :
      ( ~ v7717(VarCurr)
    <=> v7595(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1017,axiom,(
    ! [VarCurr] :
      ( ~ v7713(VarCurr)
    <=> v7595(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1016,axiom,(
    ! [VarCurr] :
      ( ~ v7709(VarCurr)
    <=> v7595(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1015,axiom,(
    ! [VarCurr] :
      ( ~ v7687(VarCurr)
    <=> v7688(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2028,axiom,(
    ! [VarCurr] :
      ( v7688(VarCurr)
    <=> ( v7689(VarCurr)
        & v7702(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_506,axiom,(
    ! [VarCurr] :
      ( v7702(VarCurr)
    <=> ( v7595(VarCurr,bitIndex27)
        | v7692(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2027,axiom,(
    ! [VarCurr] :
      ( v7689(VarCurr)
    <=> ( v7690(VarCurr)
        | v7691(VarCurr) ) ) )).

fof(writeUnaryOperator_1014,axiom,(
    ! [VarCurr] :
      ( ~ v7691(VarCurr)
    <=> v7692(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2026,axiom,(
    ! [VarCurr] :
      ( v7692(VarCurr)
    <=> ( v7693(VarCurr)
        & v7701(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_505,axiom,(
    ! [VarCurr] :
      ( v7701(VarCurr)
    <=> ( v7595(VarCurr,bitIndex26)
        | v7696(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2025,axiom,(
    ! [VarCurr] :
      ( v7693(VarCurr)
    <=> ( v7694(VarCurr)
        | v7695(VarCurr) ) ) )).

fof(writeUnaryOperator_1013,axiom,(
    ! [VarCurr] :
      ( ~ v7695(VarCurr)
    <=> v7696(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2024,axiom,(
    ! [VarCurr] :
      ( v7696(VarCurr)
    <=> ( v7697(VarCurr)
        & v7700(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_504,axiom,(
    ! [VarCurr] :
      ( v7700(VarCurr)
    <=> ( v7595(VarCurr,bitIndex24)
        | v7595(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2023,axiom,(
    ! [VarCurr] :
      ( v7697(VarCurr)
    <=> ( v7698(VarCurr)
        | v7699(VarCurr) ) ) )).

fof(writeUnaryOperator_1012,axiom,(
    ! [VarCurr] :
      ( ~ v7699(VarCurr)
    <=> v7595(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1011,axiom,(
    ! [VarCurr] :
      ( ~ v7698(VarCurr)
    <=> v7595(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1010,axiom,(
    ! [VarCurr] :
      ( ~ v7694(VarCurr)
    <=> v7595(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1009,axiom,(
    ! [VarCurr] :
      ( ~ v7690(VarCurr)
    <=> v7595(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_1008,axiom,(
    ! [VarCurr] :
      ( ~ v7668(VarCurr)
    <=> v7669(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2022,axiom,(
    ! [VarCurr] :
      ( v7669(VarCurr)
    <=> ( v7670(VarCurr)
        & v7683(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_503,axiom,(
    ! [VarCurr] :
      ( v7683(VarCurr)
    <=> ( v7595(VarCurr,bitIndex31)
        | v7673(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2021,axiom,(
    ! [VarCurr] :
      ( v7670(VarCurr)
    <=> ( v7671(VarCurr)
        | v7672(VarCurr) ) ) )).

fof(writeUnaryOperator_1007,axiom,(
    ! [VarCurr] :
      ( ~ v7672(VarCurr)
    <=> v7673(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2020,axiom,(
    ! [VarCurr] :
      ( v7673(VarCurr)
    <=> ( v7674(VarCurr)
        & v7682(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_502,axiom,(
    ! [VarCurr] :
      ( v7682(VarCurr)
    <=> ( v7595(VarCurr,bitIndex30)
        | v7677(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2019,axiom,(
    ! [VarCurr] :
      ( v7674(VarCurr)
    <=> ( v7675(VarCurr)
        | v7676(VarCurr) ) ) )).

fof(writeUnaryOperator_1006,axiom,(
    ! [VarCurr] :
      ( ~ v7676(VarCurr)
    <=> v7677(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2018,axiom,(
    ! [VarCurr] :
      ( v7677(VarCurr)
    <=> ( v7678(VarCurr)
        & v7681(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_501,axiom,(
    ! [VarCurr] :
      ( v7681(VarCurr)
    <=> ( v7595(VarCurr,bitIndex28)
        | v7595(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2017,axiom,(
    ! [VarCurr] :
      ( v7678(VarCurr)
    <=> ( v7679(VarCurr)
        | v7680(VarCurr) ) ) )).

fof(writeUnaryOperator_1005,axiom,(
    ! [VarCurr] :
      ( ~ v7680(VarCurr)
    <=> v7595(VarCurr,bitIndex29) ) )).

fof(writeUnaryOperator_1004,axiom,(
    ! [VarCurr] :
      ( ~ v7679(VarCurr)
    <=> v7595(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_1003,axiom,(
    ! [VarCurr] :
      ( ~ v7675(VarCurr)
    <=> v7595(VarCurr,bitIndex30) ) )).

fof(writeUnaryOperator_1002,axiom,(
    ! [VarCurr] :
      ( ~ v7671(VarCurr)
    <=> v7595(VarCurr,bitIndex31) ) )).

fof(writeUnaryOperator_1001,axiom,(
    ! [VarCurr] :
      ( ~ v7588(VarCurr)
    <=> v7589(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2016,axiom,(
    ! [VarCurr] :
      ( v7589(VarCurr)
    <=> ( v7590(VarCurr)
        & v7664(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2015,axiom,(
    ! [VarCurr] :
      ( v7664(VarCurr)
    <=> ( v7592(VarCurr)
        | v7609(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2014,axiom,(
    ! [VarCurr] :
      ( v7590(VarCurr)
    <=> ( v7591(VarCurr)
        | v7608(VarCurr) ) ) )).

fof(writeUnaryOperator_1000,axiom,(
    ! [VarCurr] :
      ( ~ v7608(VarCurr)
    <=> v7609(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2013,axiom,(
    ! [VarCurr] :
      ( v7609(VarCurr)
    <=> ( v7610(VarCurr)
        & v7663(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2012,axiom,(
    ! [VarCurr] :
      ( v7663(VarCurr)
    <=> ( v7612(VarCurr)
        | v7628(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2011,axiom,(
    ! [VarCurr] :
      ( v7610(VarCurr)
    <=> ( v7611(VarCurr)
        | v7627(VarCurr) ) ) )).

fof(writeUnaryOperator_999,axiom,(
    ! [VarCurr] :
      ( ~ v7627(VarCurr)
    <=> v7628(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2010,axiom,(
    ! [VarCurr] :
      ( v7628(VarCurr)
    <=> ( v7629(VarCurr)
        & v7662(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2009,axiom,(
    ! [VarCurr] :
      ( v7662(VarCurr)
    <=> ( v7631(VarCurr)
        | v7647(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2008,axiom,(
    ! [VarCurr] :
      ( v7629(VarCurr)
    <=> ( v7630(VarCurr)
        | v7646(VarCurr) ) ) )).

fof(writeUnaryOperator_998,axiom,(
    ! [VarCurr] :
      ( ~ v7646(VarCurr)
    <=> v7647(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2007,axiom,(
    ! [VarCurr] :
      ( v7647(VarCurr)
    <=> ( v7648(VarCurr)
        & v7661(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_500,axiom,(
    ! [VarCurr] :
      ( v7661(VarCurr)
    <=> ( v7595(VarCurr,bitIndex7)
        | v7651(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2006,axiom,(
    ! [VarCurr] :
      ( v7648(VarCurr)
    <=> ( v7649(VarCurr)
        | v7650(VarCurr) ) ) )).

fof(writeUnaryOperator_997,axiom,(
    ! [VarCurr] :
      ( ~ v7650(VarCurr)
    <=> v7651(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2005,axiom,(
    ! [VarCurr] :
      ( v7651(VarCurr)
    <=> ( v7652(VarCurr)
        & v7660(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_499,axiom,(
    ! [VarCurr] :
      ( v7660(VarCurr)
    <=> ( v7595(VarCurr,bitIndex6)
        | v7655(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2004,axiom,(
    ! [VarCurr] :
      ( v7652(VarCurr)
    <=> ( v7653(VarCurr)
        | v7654(VarCurr) ) ) )).

fof(writeUnaryOperator_996,axiom,(
    ! [VarCurr] :
      ( ~ v7654(VarCurr)
    <=> v7655(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2003,axiom,(
    ! [VarCurr] :
      ( v7655(VarCurr)
    <=> ( v7656(VarCurr)
        & v7659(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_498,axiom,(
    ! [VarCurr] :
      ( v7659(VarCurr)
    <=> ( v7595(VarCurr,bitIndex4)
        | v7595(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2002,axiom,(
    ! [VarCurr] :
      ( v7656(VarCurr)
    <=> ( v7657(VarCurr)
        | v7658(VarCurr) ) ) )).

fof(writeUnaryOperator_995,axiom,(
    ! [VarCurr] :
      ( ~ v7658(VarCurr)
    <=> v7595(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_994,axiom,(
    ! [VarCurr] :
      ( ~ v7657(VarCurr)
    <=> v7595(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_993,axiom,(
    ! [VarCurr] :
      ( ~ v7653(VarCurr)
    <=> v7595(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_992,axiom,(
    ! [VarCurr] :
      ( ~ v7649(VarCurr)
    <=> v7595(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_991,axiom,(
    ! [VarCurr] :
      ( ~ v7630(VarCurr)
    <=> v7631(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2001,axiom,(
    ! [VarCurr] :
      ( v7631(VarCurr)
    <=> ( v7632(VarCurr)
        & v7645(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_497,axiom,(
    ! [VarCurr] :
      ( v7645(VarCurr)
    <=> ( v7595(VarCurr,bitIndex3)
        | v7635(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2000,axiom,(
    ! [VarCurr] :
      ( v7632(VarCurr)
    <=> ( v7633(VarCurr)
        | v7634(VarCurr) ) ) )).

fof(writeUnaryOperator_990,axiom,(
    ! [VarCurr] :
      ( ~ v7634(VarCurr)
    <=> v7635(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1999,axiom,(
    ! [VarCurr] :
      ( v7635(VarCurr)
    <=> ( v7636(VarCurr)
        & v7644(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_496,axiom,(
    ! [VarCurr] :
      ( v7644(VarCurr)
    <=> ( v7595(VarCurr,bitIndex2)
        | v7639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1998,axiom,(
    ! [VarCurr] :
      ( v7636(VarCurr)
    <=> ( v7637(VarCurr)
        | v7638(VarCurr) ) ) )).

fof(writeUnaryOperator_989,axiom,(
    ! [VarCurr] :
      ( ~ v7638(VarCurr)
    <=> v7639(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1997,axiom,(
    ! [VarCurr] :
      ( v7639(VarCurr)
    <=> ( v7640(VarCurr)
        & v7643(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_495,axiom,(
    ! [VarCurr] :
      ( v7643(VarCurr)
    <=> ( v7595(VarCurr,bitIndex0)
        | v7595(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1996,axiom,(
    ! [VarCurr] :
      ( v7640(VarCurr)
    <=> ( v7641(VarCurr)
        | v7642(VarCurr) ) ) )).

fof(writeUnaryOperator_988,axiom,(
    ! [VarCurr] :
      ( ~ v7642(VarCurr)
    <=> v7595(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_987,axiom,(
    ! [VarCurr] :
      ( ~ v7641(VarCurr)
    <=> v7595(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_986,axiom,(
    ! [VarCurr] :
      ( ~ v7637(VarCurr)
    <=> v7595(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_985,axiom,(
    ! [VarCurr] :
      ( ~ v7633(VarCurr)
    <=> v7595(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_984,axiom,(
    ! [VarCurr] :
      ( ~ v7611(VarCurr)
    <=> v7612(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1995,axiom,(
    ! [VarCurr] :
      ( v7612(VarCurr)
    <=> ( v7613(VarCurr)
        & v7626(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_494,axiom,(
    ! [VarCurr] :
      ( v7626(VarCurr)
    <=> ( v7595(VarCurr,bitIndex11)
        | v7616(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1994,axiom,(
    ! [VarCurr] :
      ( v7613(VarCurr)
    <=> ( v7614(VarCurr)
        | v7615(VarCurr) ) ) )).

fof(writeUnaryOperator_983,axiom,(
    ! [VarCurr] :
      ( ~ v7615(VarCurr)
    <=> v7616(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1993,axiom,(
    ! [VarCurr] :
      ( v7616(VarCurr)
    <=> ( v7617(VarCurr)
        & v7625(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_493,axiom,(
    ! [VarCurr] :
      ( v7625(VarCurr)
    <=> ( v7595(VarCurr,bitIndex10)
        | v7620(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1992,axiom,(
    ! [VarCurr] :
      ( v7617(VarCurr)
    <=> ( v7618(VarCurr)
        | v7619(VarCurr) ) ) )).

fof(writeUnaryOperator_982,axiom,(
    ! [VarCurr] :
      ( ~ v7619(VarCurr)
    <=> v7620(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1991,axiom,(
    ! [VarCurr] :
      ( v7620(VarCurr)
    <=> ( v7621(VarCurr)
        & v7624(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_492,axiom,(
    ! [VarCurr] :
      ( v7624(VarCurr)
    <=> ( v7595(VarCurr,bitIndex8)
        | v7595(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1990,axiom,(
    ! [VarCurr] :
      ( v7621(VarCurr)
    <=> ( v7622(VarCurr)
        | v7623(VarCurr) ) ) )).

fof(writeUnaryOperator_981,axiom,(
    ! [VarCurr] :
      ( ~ v7623(VarCurr)
    <=> v7595(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_980,axiom,(
    ! [VarCurr] :
      ( ~ v7622(VarCurr)
    <=> v7595(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_979,axiom,(
    ! [VarCurr] :
      ( ~ v7618(VarCurr)
    <=> v7595(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_978,axiom,(
    ! [VarCurr] :
      ( ~ v7614(VarCurr)
    <=> v7595(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_977,axiom,(
    ! [VarCurr] :
      ( ~ v7591(VarCurr)
    <=> v7592(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1989,axiom,(
    ! [VarCurr] :
      ( v7592(VarCurr)
    <=> ( v7593(VarCurr)
        & v7607(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_491,axiom,(
    ! [VarCurr] :
      ( v7607(VarCurr)
    <=> ( v7595(VarCurr,bitIndex15)
        | v7597(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1988,axiom,(
    ! [VarCurr] :
      ( v7593(VarCurr)
    <=> ( v7594(VarCurr)
        | v7596(VarCurr) ) ) )).

fof(writeUnaryOperator_976,axiom,(
    ! [VarCurr] :
      ( ~ v7596(VarCurr)
    <=> v7597(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1987,axiom,(
    ! [VarCurr] :
      ( v7597(VarCurr)
    <=> ( v7598(VarCurr)
        & v7606(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_490,axiom,(
    ! [VarCurr] :
      ( v7606(VarCurr)
    <=> ( v7595(VarCurr,bitIndex14)
        | v7601(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1986,axiom,(
    ! [VarCurr] :
      ( v7598(VarCurr)
    <=> ( v7599(VarCurr)
        | v7600(VarCurr) ) ) )).

fof(writeUnaryOperator_975,axiom,(
    ! [VarCurr] :
      ( ~ v7600(VarCurr)
    <=> v7601(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1985,axiom,(
    ! [VarCurr] :
      ( v7601(VarCurr)
    <=> ( v7602(VarCurr)
        & v7605(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_489,axiom,(
    ! [VarCurr] :
      ( v7605(VarCurr)
    <=> ( v7595(VarCurr,bitIndex12)
        | v7595(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1984,axiom,(
    ! [VarCurr] :
      ( v7602(VarCurr)
    <=> ( v7603(VarCurr)
        | v7604(VarCurr) ) ) )).

fof(writeUnaryOperator_974,axiom,(
    ! [VarCurr] :
      ( ~ v7604(VarCurr)
    <=> v7595(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_973,axiom,(
    ! [VarCurr] :
      ( ~ v7603(VarCurr)
    <=> v7595(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_972,axiom,(
    ! [VarCurr] :
      ( ~ v7599(VarCurr)
    <=> v7595(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_971,axiom,(
    ! [VarCurr] :
      ( ~ v7594(VarCurr)
    <=> v7595(VarCurr,bitIndex15) ) )).

fof(addAssignment_1799,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v7595(VarCurr,B)
      <=> v6607(VarCurr,B) ) ) )).

fof(addAssignment_1798,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v6607(VarCurr,B)
      <=> v6634(VarCurr,B) ) ) )).

fof(addAssignment_1797,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v6607(VarCurr,B)
      <=> v6634(VarCurr,B) ) ) )).

fof(addAssignment_1796,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v6625(VarCurr,B)
      <=> v6627(VarCurr,B) ) ) )).

fof(addAssignment_1795,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex31)
    <=> v7573(VarCurr) ) )).

fof(addAssignment_1794,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex30)
    <=> v7575(VarCurr) ) )).

fof(addAssignment_1793,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex29)
    <=> v7577(VarCurr) ) )).

fof(addAssignment_1792,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex28)
    <=> v7579(VarCurr) ) )).

fof(addAssignment_1791,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex27)
    <=> v7581(VarCurr) ) )).

fof(addAssignment_1790,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex26)
    <=> v7583(VarCurr) ) )).

fof(addAssignment_1789,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v6615(VarCurr,B)
      <=> v6617(VarCurr,B) ) ) )).

fof(addAssignment_1788,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v6617(VarCurr,B)
      <=> v6619(VarCurr,B) ) ) )).

fof(addAssignment_1787,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v6619(VarCurr,B)
      <=> v6621(VarCurr,B) ) ) )).

fof(addAssignment_1786,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v6621(VarCurr,B)
      <=> v6623(VarCurr,B) ) ) )).

fof(range_axiom_40,axiom,(
    ! [B] :
      ( range_31_26(B)
    <=> ( $false
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addAssignment_1785,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v6625(VarCurr,B)
      <=> v6627(VarCurr,B) ) ) )).

fof(addAssignment_1784,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex3)
    <=> v7565(VarCurr) ) )).

fof(addAssignment_1783,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex2)
    <=> v7567(VarCurr) ) )).

fof(addAssignment_1782,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex1)
    <=> v7569(VarCurr) ) )).

fof(addAssignment_1781,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex0)
    <=> v7571(VarCurr) ) )).

fof(addAssignment_1780,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v6615(VarCurr,B)
      <=> v6617(VarCurr,B) ) ) )).

fof(addAssignment_1779,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v6617(VarCurr,B)
      <=> v6619(VarCurr,B) ) ) )).

fof(addAssignment_1778,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v6619(VarCurr,B)
      <=> v6621(VarCurr,B) ) ) )).

fof(addAssignment_1777,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v6621(VarCurr,B)
      <=> v6623(VarCurr,B) ) ) )).

fof(addAssignment_1776,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex62)
    <=> v6634(VarCurr,bitIndex62) ) )).

fof(addAssignment_1775,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex62)
    <=> v6627(VarCurr,bitIndex62) ) )).

fof(addAssignment_1774,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex62)
    <=> v7561(VarCurr) ) )).

fof(addAssignment_1773,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex62)
    <=> v6617(VarCurr,bitIndex62) ) )).

fof(addAssignment_1772,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex62)
    <=> v6619(VarCurr,bitIndex62) ) )).

fof(addAssignment_1771,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex62)
    <=> v6621(VarCurr,bitIndex62) ) )).

fof(addAssignment_1770,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex62)
    <=> v6623(VarCurr,bitIndex62) ) )).

fof(writeUnaryOperator_970,axiom,(
    ! [VarCurr] :
      ( ~ v7358(VarCurr)
    <=> v7418(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1983,axiom,(
    ! [VarCurr] :
      ( v7418(VarCurr)
    <=> ( v7420(VarCurr)
        & v7559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1982,axiom,(
    ! [VarCurr] :
      ( v7559(VarCurr)
    <=> ( v7422(VarCurr)
        | v7484(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1981,axiom,(
    ! [VarCurr] :
      ( v7420(VarCurr)
    <=> ( v7421(VarCurr)
        | v7483(VarCurr) ) ) )).

fof(writeUnaryOperator_969,axiom,(
    ! [VarCurr] :
      ( ~ v7483(VarCurr)
    <=> v7484(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1980,axiom,(
    ! [VarCurr] :
      ( v7484(VarCurr)
    <=> ( v7485(VarCurr)
        & v7558(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1979,axiom,(
    ! [VarCurr] :
      ( v7558(VarCurr)
    <=> ( v7487(VarCurr)
        | v7503(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1978,axiom,(
    ! [VarCurr] :
      ( v7485(VarCurr)
    <=> ( v7486(VarCurr)
        | v7502(VarCurr) ) ) )).

fof(writeUnaryOperator_968,axiom,(
    ! [VarCurr] :
      ( ~ v7502(VarCurr)
    <=> v7503(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1977,axiom,(
    ! [VarCurr] :
      ( v7503(VarCurr)
    <=> ( v7504(VarCurr)
        & v7557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1976,axiom,(
    ! [VarCurr] :
      ( v7557(VarCurr)
    <=> ( v7506(VarCurr)
        | v7522(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1975,axiom,(
    ! [VarCurr] :
      ( v7504(VarCurr)
    <=> ( v7505(VarCurr)
        | v7521(VarCurr) ) ) )).

fof(writeUnaryOperator_967,axiom,(
    ! [VarCurr] :
      ( ~ v7521(VarCurr)
    <=> v7522(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1974,axiom,(
    ! [VarCurr] :
      ( v7522(VarCurr)
    <=> ( v7523(VarCurr)
        & v7556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1973,axiom,(
    ! [VarCurr] :
      ( v7556(VarCurr)
    <=> ( v7525(VarCurr)
        | v7541(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1972,axiom,(
    ! [VarCurr] :
      ( v7523(VarCurr)
    <=> ( v7524(VarCurr)
        | v7540(VarCurr) ) ) )).

fof(writeUnaryOperator_966,axiom,(
    ! [VarCurr] :
      ( ~ v7540(VarCurr)
    <=> v7541(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1971,axiom,(
    ! [VarCurr] :
      ( v7541(VarCurr)
    <=> ( v7542(VarCurr)
        & v7555(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_488,axiom,(
    ! [VarCurr] :
      ( v7555(VarCurr)
    <=> ( v7428(VarCurr,bitIndex19)
        | v7545(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1970,axiom,(
    ! [VarCurr] :
      ( v7542(VarCurr)
    <=> ( v7543(VarCurr)
        | v7544(VarCurr) ) ) )).

fof(writeUnaryOperator_965,axiom,(
    ! [VarCurr] :
      ( ~ v7544(VarCurr)
    <=> v7545(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1969,axiom,(
    ! [VarCurr] :
      ( v7545(VarCurr)
    <=> ( v7546(VarCurr)
        & v7554(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_487,axiom,(
    ! [VarCurr] :
      ( v7554(VarCurr)
    <=> ( v7428(VarCurr,bitIndex18)
        | v7549(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1968,axiom,(
    ! [VarCurr] :
      ( v7546(VarCurr)
    <=> ( v7547(VarCurr)
        | v7548(VarCurr) ) ) )).

fof(writeUnaryOperator_964,axiom,(
    ! [VarCurr] :
      ( ~ v7548(VarCurr)
    <=> v7549(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1967,axiom,(
    ! [VarCurr] :
      ( v7549(VarCurr)
    <=> ( v7550(VarCurr)
        & v7553(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_486,axiom,(
    ! [VarCurr] :
      ( v7553(VarCurr)
    <=> ( v7428(VarCurr,bitIndex16)
        | v7428(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1966,axiom,(
    ! [VarCurr] :
      ( v7550(VarCurr)
    <=> ( v7551(VarCurr)
        | v7552(VarCurr) ) ) )).

fof(writeUnaryOperator_963,axiom,(
    ! [VarCurr] :
      ( ~ v7552(VarCurr)
    <=> v7428(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_962,axiom,(
    ! [VarCurr] :
      ( ~ v7551(VarCurr)
    <=> v7428(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_961,axiom,(
    ! [VarCurr] :
      ( ~ v7547(VarCurr)
    <=> v7428(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_960,axiom,(
    ! [VarCurr] :
      ( ~ v7543(VarCurr)
    <=> v7428(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_959,axiom,(
    ! [VarCurr] :
      ( ~ v7524(VarCurr)
    <=> v7525(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1965,axiom,(
    ! [VarCurr] :
      ( v7525(VarCurr)
    <=> ( v7526(VarCurr)
        & v7539(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_485,axiom,(
    ! [VarCurr] :
      ( v7539(VarCurr)
    <=> ( v7428(VarCurr,bitIndex15)
        | v7529(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1964,axiom,(
    ! [VarCurr] :
      ( v7526(VarCurr)
    <=> ( v7527(VarCurr)
        | v7528(VarCurr) ) ) )).

fof(writeUnaryOperator_958,axiom,(
    ! [VarCurr] :
      ( ~ v7528(VarCurr)
    <=> v7529(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1963,axiom,(
    ! [VarCurr] :
      ( v7529(VarCurr)
    <=> ( v7530(VarCurr)
        & v7538(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_484,axiom,(
    ! [VarCurr] :
      ( v7538(VarCurr)
    <=> ( v7428(VarCurr,bitIndex14)
        | v7533(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1962,axiom,(
    ! [VarCurr] :
      ( v7530(VarCurr)
    <=> ( v7531(VarCurr)
        | v7532(VarCurr) ) ) )).

fof(writeUnaryOperator_957,axiom,(
    ! [VarCurr] :
      ( ~ v7532(VarCurr)
    <=> v7533(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1961,axiom,(
    ! [VarCurr] :
      ( v7533(VarCurr)
    <=> ( v7534(VarCurr)
        & v7537(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_483,axiom,(
    ! [VarCurr] :
      ( v7537(VarCurr)
    <=> ( v7428(VarCurr,bitIndex12)
        | v7428(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1960,axiom,(
    ! [VarCurr] :
      ( v7534(VarCurr)
    <=> ( v7535(VarCurr)
        | v7536(VarCurr) ) ) )).

fof(writeUnaryOperator_956,axiom,(
    ! [VarCurr] :
      ( ~ v7536(VarCurr)
    <=> v7428(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_955,axiom,(
    ! [VarCurr] :
      ( ~ v7535(VarCurr)
    <=> v7428(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_954,axiom,(
    ! [VarCurr] :
      ( ~ v7531(VarCurr)
    <=> v7428(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_953,axiom,(
    ! [VarCurr] :
      ( ~ v7527(VarCurr)
    <=> v7428(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_952,axiom,(
    ! [VarCurr] :
      ( ~ v7505(VarCurr)
    <=> v7506(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1959,axiom,(
    ! [VarCurr] :
      ( v7506(VarCurr)
    <=> ( v7507(VarCurr)
        & v7520(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_482,axiom,(
    ! [VarCurr] :
      ( v7520(VarCurr)
    <=> ( v7428(VarCurr,bitIndex23)
        | v7510(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1958,axiom,(
    ! [VarCurr] :
      ( v7507(VarCurr)
    <=> ( v7508(VarCurr)
        | v7509(VarCurr) ) ) )).

fof(writeUnaryOperator_951,axiom,(
    ! [VarCurr] :
      ( ~ v7509(VarCurr)
    <=> v7510(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1957,axiom,(
    ! [VarCurr] :
      ( v7510(VarCurr)
    <=> ( v7511(VarCurr)
        & v7519(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_481,axiom,(
    ! [VarCurr] :
      ( v7519(VarCurr)
    <=> ( v7428(VarCurr,bitIndex22)
        | v7514(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1956,axiom,(
    ! [VarCurr] :
      ( v7511(VarCurr)
    <=> ( v7512(VarCurr)
        | v7513(VarCurr) ) ) )).

fof(writeUnaryOperator_950,axiom,(
    ! [VarCurr] :
      ( ~ v7513(VarCurr)
    <=> v7514(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1955,axiom,(
    ! [VarCurr] :
      ( v7514(VarCurr)
    <=> ( v7515(VarCurr)
        & v7518(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_480,axiom,(
    ! [VarCurr] :
      ( v7518(VarCurr)
    <=> ( v7428(VarCurr,bitIndex20)
        | v7428(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1954,axiom,(
    ! [VarCurr] :
      ( v7515(VarCurr)
    <=> ( v7516(VarCurr)
        | v7517(VarCurr) ) ) )).

fof(writeUnaryOperator_949,axiom,(
    ! [VarCurr] :
      ( ~ v7517(VarCurr)
    <=> v7428(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_948,axiom,(
    ! [VarCurr] :
      ( ~ v7516(VarCurr)
    <=> v7428(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_947,axiom,(
    ! [VarCurr] :
      ( ~ v7512(VarCurr)
    <=> v7428(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_946,axiom,(
    ! [VarCurr] :
      ( ~ v7508(VarCurr)
    <=> v7428(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_945,axiom,(
    ! [VarCurr] :
      ( ~ v7486(VarCurr)
    <=> v7487(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1953,axiom,(
    ! [VarCurr] :
      ( v7487(VarCurr)
    <=> ( v7488(VarCurr)
        & v7501(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_479,axiom,(
    ! [VarCurr] :
      ( v7501(VarCurr)
    <=> ( v7428(VarCurr,bitIndex27)
        | v7491(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1952,axiom,(
    ! [VarCurr] :
      ( v7488(VarCurr)
    <=> ( v7489(VarCurr)
        | v7490(VarCurr) ) ) )).

fof(writeUnaryOperator_944,axiom,(
    ! [VarCurr] :
      ( ~ v7490(VarCurr)
    <=> v7491(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1951,axiom,(
    ! [VarCurr] :
      ( v7491(VarCurr)
    <=> ( v7492(VarCurr)
        & v7500(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_478,axiom,(
    ! [VarCurr] :
      ( v7500(VarCurr)
    <=> ( v7428(VarCurr,bitIndex26)
        | v7495(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1950,axiom,(
    ! [VarCurr] :
      ( v7492(VarCurr)
    <=> ( v7493(VarCurr)
        | v7494(VarCurr) ) ) )).

fof(writeUnaryOperator_943,axiom,(
    ! [VarCurr] :
      ( ~ v7494(VarCurr)
    <=> v7495(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1949,axiom,(
    ! [VarCurr] :
      ( v7495(VarCurr)
    <=> ( v7496(VarCurr)
        & v7499(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_477,axiom,(
    ! [VarCurr] :
      ( v7499(VarCurr)
    <=> ( v7428(VarCurr,bitIndex24)
        | v7428(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1948,axiom,(
    ! [VarCurr] :
      ( v7496(VarCurr)
    <=> ( v7497(VarCurr)
        | v7498(VarCurr) ) ) )).

fof(writeUnaryOperator_942,axiom,(
    ! [VarCurr] :
      ( ~ v7498(VarCurr)
    <=> v7428(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_941,axiom,(
    ! [VarCurr] :
      ( ~ v7497(VarCurr)
    <=> v7428(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_940,axiom,(
    ! [VarCurr] :
      ( ~ v7493(VarCurr)
    <=> v7428(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_939,axiom,(
    ! [VarCurr] :
      ( ~ v7489(VarCurr)
    <=> v7428(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_938,axiom,(
    ! [VarCurr] :
      ( ~ v7421(VarCurr)
    <=> v7422(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1947,axiom,(
    ! [VarCurr] :
      ( v7422(VarCurr)
    <=> ( v7423(VarCurr)
        & v7482(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1946,axiom,(
    ! [VarCurr] :
      ( v7482(VarCurr)
    <=> ( v7425(VarCurr)
        | v7442(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1945,axiom,(
    ! [VarCurr] :
      ( v7423(VarCurr)
    <=> ( v7424(VarCurr)
        | v7441(VarCurr) ) ) )).

fof(writeUnaryOperator_937,axiom,(
    ! [VarCurr] :
      ( ~ v7441(VarCurr)
    <=> v7442(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1944,axiom,(
    ! [VarCurr] :
      ( v7442(VarCurr)
    <=> ( v7443(VarCurr)
        & v7481(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1943,axiom,(
    ! [VarCurr] :
      ( v7481(VarCurr)
    <=> ( v7445(VarCurr)
        | v7461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1942,axiom,(
    ! [VarCurr] :
      ( v7443(VarCurr)
    <=> ( v7444(VarCurr)
        | v7460(VarCurr) ) ) )).

fof(writeUnaryOperator_936,axiom,(
    ! [VarCurr] :
      ( ~ v7460(VarCurr)
    <=> v7461(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1941,axiom,(
    ! [VarCurr] :
      ( v7461(VarCurr)
    <=> ( v7462(VarCurr)
        & v7480(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_476,axiom,(
    ! [VarCurr] :
      ( v7480(VarCurr)
    <=> ( v7428(VarCurr,bitIndex28)
        | v7465(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1940,axiom,(
    ! [VarCurr] :
      ( v7462(VarCurr)
    <=> ( v7463(VarCurr)
        | v7464(VarCurr) ) ) )).

fof(writeUnaryOperator_935,axiom,(
    ! [VarCurr] :
      ( ~ v7464(VarCurr)
    <=> v7465(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1939,axiom,(
    ! [VarCurr] :
      ( v7465(VarCurr)
    <=> ( v7466(VarCurr)
        & v7479(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_475,axiom,(
    ! [VarCurr] :
      ( v7479(VarCurr)
    <=> ( v7428(VarCurr,bitIndex3)
        | v7469(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1938,axiom,(
    ! [VarCurr] :
      ( v7466(VarCurr)
    <=> ( v7467(VarCurr)
        | v7468(VarCurr) ) ) )).

fof(writeUnaryOperator_934,axiom,(
    ! [VarCurr] :
      ( ~ v7468(VarCurr)
    <=> v7469(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1937,axiom,(
    ! [VarCurr] :
      ( v7469(VarCurr)
    <=> ( v7470(VarCurr)
        & v7478(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_474,axiom,(
    ! [VarCurr] :
      ( v7478(VarCurr)
    <=> ( v7428(VarCurr,bitIndex2)
        | v7473(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1936,axiom,(
    ! [VarCurr] :
      ( v7470(VarCurr)
    <=> ( v7471(VarCurr)
        | v7472(VarCurr) ) ) )).

fof(writeUnaryOperator_933,axiom,(
    ! [VarCurr] :
      ( ~ v7472(VarCurr)
    <=> v7473(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1935,axiom,(
    ! [VarCurr] :
      ( v7473(VarCurr)
    <=> ( v7474(VarCurr)
        & v7477(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_473,axiom,(
    ! [VarCurr] :
      ( v7477(VarCurr)
    <=> ( v7428(VarCurr,bitIndex0)
        | v7428(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1934,axiom,(
    ! [VarCurr] :
      ( v7474(VarCurr)
    <=> ( v7475(VarCurr)
        | v7476(VarCurr) ) ) )).

fof(writeUnaryOperator_932,axiom,(
    ! [VarCurr] :
      ( ~ v7476(VarCurr)
    <=> v7428(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_931,axiom,(
    ! [VarCurr] :
      ( ~ v7475(VarCurr)
    <=> v7428(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_930,axiom,(
    ! [VarCurr] :
      ( ~ v7471(VarCurr)
    <=> v7428(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_929,axiom,(
    ! [VarCurr] :
      ( ~ v7467(VarCurr)
    <=> v7428(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_928,axiom,(
    ! [VarCurr] :
      ( ~ v7463(VarCurr)
    <=> v7428(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_927,axiom,(
    ! [VarCurr] :
      ( ~ v7444(VarCurr)
    <=> v7445(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1933,axiom,(
    ! [VarCurr] :
      ( v7445(VarCurr)
    <=> ( v7446(VarCurr)
        & v7459(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_472,axiom,(
    ! [VarCurr] :
      ( v7459(VarCurr)
    <=> ( v7428(VarCurr,bitIndex7)
        | v7449(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1932,axiom,(
    ! [VarCurr] :
      ( v7446(VarCurr)
    <=> ( v7447(VarCurr)
        | v7448(VarCurr) ) ) )).

fof(writeUnaryOperator_926,axiom,(
    ! [VarCurr] :
      ( ~ v7448(VarCurr)
    <=> v7449(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1931,axiom,(
    ! [VarCurr] :
      ( v7449(VarCurr)
    <=> ( v7450(VarCurr)
        & v7458(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_471,axiom,(
    ! [VarCurr] :
      ( v7458(VarCurr)
    <=> ( v7428(VarCurr,bitIndex6)
        | v7453(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1930,axiom,(
    ! [VarCurr] :
      ( v7450(VarCurr)
    <=> ( v7451(VarCurr)
        | v7452(VarCurr) ) ) )).

fof(writeUnaryOperator_925,axiom,(
    ! [VarCurr] :
      ( ~ v7452(VarCurr)
    <=> v7453(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1929,axiom,(
    ! [VarCurr] :
      ( v7453(VarCurr)
    <=> ( v7454(VarCurr)
        & v7457(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_470,axiom,(
    ! [VarCurr] :
      ( v7457(VarCurr)
    <=> ( v7428(VarCurr,bitIndex4)
        | v7428(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1928,axiom,(
    ! [VarCurr] :
      ( v7454(VarCurr)
    <=> ( v7455(VarCurr)
        | v7456(VarCurr) ) ) )).

fof(writeUnaryOperator_924,axiom,(
    ! [VarCurr] :
      ( ~ v7456(VarCurr)
    <=> v7428(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_923,axiom,(
    ! [VarCurr] :
      ( ~ v7455(VarCurr)
    <=> v7428(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_922,axiom,(
    ! [VarCurr] :
      ( ~ v7451(VarCurr)
    <=> v7428(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_921,axiom,(
    ! [VarCurr] :
      ( ~ v7447(VarCurr)
    <=> v7428(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_920,axiom,(
    ! [VarCurr] :
      ( ~ v7424(VarCurr)
    <=> v7425(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1927,axiom,(
    ! [VarCurr] :
      ( v7425(VarCurr)
    <=> ( v7426(VarCurr)
        & v7440(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_469,axiom,(
    ! [VarCurr] :
      ( v7440(VarCurr)
    <=> ( v7428(VarCurr,bitIndex11)
        | v7430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1926,axiom,(
    ! [VarCurr] :
      ( v7426(VarCurr)
    <=> ( v7427(VarCurr)
        | v7429(VarCurr) ) ) )).

fof(writeUnaryOperator_919,axiom,(
    ! [VarCurr] :
      ( ~ v7429(VarCurr)
    <=> v7430(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1925,axiom,(
    ! [VarCurr] :
      ( v7430(VarCurr)
    <=> ( v7431(VarCurr)
        & v7439(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_468,axiom,(
    ! [VarCurr] :
      ( v7439(VarCurr)
    <=> ( v7428(VarCurr,bitIndex10)
        | v7434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1924,axiom,(
    ! [VarCurr] :
      ( v7431(VarCurr)
    <=> ( v7432(VarCurr)
        | v7433(VarCurr) ) ) )).

fof(writeUnaryOperator_918,axiom,(
    ! [VarCurr] :
      ( ~ v7433(VarCurr)
    <=> v7434(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1923,axiom,(
    ! [VarCurr] :
      ( v7434(VarCurr)
    <=> ( v7435(VarCurr)
        & v7438(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_467,axiom,(
    ! [VarCurr] :
      ( v7438(VarCurr)
    <=> ( v7428(VarCurr,bitIndex8)
        | v7428(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1922,axiom,(
    ! [VarCurr] :
      ( v7435(VarCurr)
    <=> ( v7436(VarCurr)
        | v7437(VarCurr) ) ) )).

fof(writeUnaryOperator_917,axiom,(
    ! [VarCurr] :
      ( ~ v7437(VarCurr)
    <=> v7428(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_916,axiom,(
    ! [VarCurr] :
      ( ~ v7436(VarCurr)
    <=> v7428(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_915,axiom,(
    ! [VarCurr] :
      ( ~ v7432(VarCurr)
    <=> v7428(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_914,axiom,(
    ! [VarCurr] :
      ( ~ v7427(VarCurr)
    <=> v7428(VarCurr,bitIndex11) ) )).

fof(addAssignment_1769,axiom,(
    ! [VarCurr] :
      ( ( v7428(VarCurr,bitIndex27)
      <=> v6607(VarCurr,bitIndex59) )
      & ( v7428(VarCurr,bitIndex26)
      <=> v6607(VarCurr,bitIndex58) )
      & ( v7428(VarCurr,bitIndex25)
      <=> v6607(VarCurr,bitIndex57) )
      & ( v7428(VarCurr,bitIndex24)
      <=> v6607(VarCurr,bitIndex56) )
      & ( v7428(VarCurr,bitIndex23)
      <=> v6607(VarCurr,bitIndex55) )
      & ( v7428(VarCurr,bitIndex22)
      <=> v6607(VarCurr,bitIndex54) )
      & ( v7428(VarCurr,bitIndex21)
      <=> v6607(VarCurr,bitIndex53) )
      & ( v7428(VarCurr,bitIndex20)
      <=> v6607(VarCurr,bitIndex52) )
      & ( v7428(VarCurr,bitIndex19)
      <=> v6607(VarCurr,bitIndex51) )
      & ( v7428(VarCurr,bitIndex18)
      <=> v6607(VarCurr,bitIndex50) )
      & ( v7428(VarCurr,bitIndex17)
      <=> v6607(VarCurr,bitIndex49) )
      & ( v7428(VarCurr,bitIndex16)
      <=> v6607(VarCurr,bitIndex48) )
      & ( v7428(VarCurr,bitIndex15)
      <=> v6607(VarCurr,bitIndex47) )
      & ( v7428(VarCurr,bitIndex14)
      <=> v6607(VarCurr,bitIndex46) )
      & ( v7428(VarCurr,bitIndex13)
      <=> v6607(VarCurr,bitIndex45) )
      & ( v7428(VarCurr,bitIndex12)
      <=> v6607(VarCurr,bitIndex44) )
      & ( v7428(VarCurr,bitIndex11)
      <=> v6607(VarCurr,bitIndex43) )
      & ( v7428(VarCurr,bitIndex10)
      <=> v6607(VarCurr,bitIndex42) )
      & ( v7428(VarCurr,bitIndex9)
      <=> v6607(VarCurr,bitIndex41) )
      & ( v7428(VarCurr,bitIndex8)
      <=> v6607(VarCurr,bitIndex40) )
      & ( v7428(VarCurr,bitIndex7)
      <=> v6607(VarCurr,bitIndex39) )
      & ( v7428(VarCurr,bitIndex6)
      <=> v6607(VarCurr,bitIndex38) )
      & ( v7428(VarCurr,bitIndex5)
      <=> v6607(VarCurr,bitIndex37) )
      & ( v7428(VarCurr,bitIndex4)
      <=> v6607(VarCurr,bitIndex36) )
      & ( v7428(VarCurr,bitIndex3)
      <=> v6607(VarCurr,bitIndex35) )
      & ( v7428(VarCurr,bitIndex2)
      <=> v6607(VarCurr,bitIndex34) )
      & ( v7428(VarCurr,bitIndex1)
      <=> v6607(VarCurr,bitIndex33) )
      & ( v7428(VarCurr,bitIndex0)
      <=> v6607(VarCurr,bitIndex32) ) ) )).

fof(addAssignment_1768,axiom,(
    ! [VarCurr] :
      ( v7428(VarCurr,bitIndex28)
    <=> v6607(VarCurr,bitIndex63) ) )).

fof(addAssignment_1767,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v6607(VarCurr,B)
      <=> v6634(VarCurr,B) ) ) )).

fof(addAssignment_1766,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v6625(VarCurr,B)
      <=> v6627(VarCurr,B) ) ) )).

fof(addAssignment_1765,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex59)
    <=> v7362(VarCurr) ) )).

fof(addAssignment_1764,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex58)
    <=> v7364(VarCurr) ) )).

fof(addAssignment_1763,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex57)
    <=> v7366(VarCurr) ) )).

fof(addAssignment_1762,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex56)
    <=> v7368(VarCurr) ) )).

fof(addAssignment_1761,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex55)
    <=> v7370(VarCurr) ) )).

fof(addAssignment_1760,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex54)
    <=> v7372(VarCurr) ) )).

fof(addAssignment_1759,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex53)
    <=> v7374(VarCurr) ) )).

fof(addAssignment_1758,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex52)
    <=> v7376(VarCurr) ) )).

fof(addAssignment_1757,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex51)
    <=> v7378(VarCurr) ) )).

fof(addAssignment_1756,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex50)
    <=> v7380(VarCurr) ) )).

fof(addAssignment_1755,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex49)
    <=> v7382(VarCurr) ) )).

fof(addAssignment_1754,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex48)
    <=> v7384(VarCurr) ) )).

fof(addAssignment_1753,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex47)
    <=> v7386(VarCurr) ) )).

fof(addAssignment_1752,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex46)
    <=> v7388(VarCurr) ) )).

fof(addAssignment_1751,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex45)
    <=> v7390(VarCurr) ) )).

fof(addAssignment_1750,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex44)
    <=> v7392(VarCurr) ) )).

fof(addAssignment_1749,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex43)
    <=> v7394(VarCurr) ) )).

fof(addAssignment_1748,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex42)
    <=> v7396(VarCurr) ) )).

fof(addAssignment_1747,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex41)
    <=> v7398(VarCurr) ) )).

fof(addAssignment_1746,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex40)
    <=> v7400(VarCurr) ) )).

fof(addAssignment_1745,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex39)
    <=> v7402(VarCurr) ) )).

fof(addAssignment_1744,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex38)
    <=> v7404(VarCurr) ) )).

fof(addAssignment_1743,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex37)
    <=> v7406(VarCurr) ) )).

fof(addAssignment_1742,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex36)
    <=> v7408(VarCurr) ) )).

fof(addAssignment_1741,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex35)
    <=> v7410(VarCurr) ) )).

fof(addAssignment_1740,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex34)
    <=> v7412(VarCurr) ) )).

fof(addAssignment_1739,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex33)
    <=> v7414(VarCurr) ) )).

fof(addAssignment_1738,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex32)
    <=> v7416(VarCurr) ) )).

fof(addAssignment_1737,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v6615(VarCurr,B)
      <=> v6617(VarCurr,B) ) ) )).

fof(addAssignment_1736,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v6617(VarCurr,B)
      <=> v6619(VarCurr,B) ) ) )).

fof(addAssignment_1735,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v6619(VarCurr,B)
      <=> v6621(VarCurr,B) ) ) )).

fof(addAssignment_1734,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v6621(VarCurr,B)
      <=> v6623(VarCurr,B) ) ) )).

fof(range_axiom_39,axiom,(
    ! [B] :
      ( range_59_32(B)
    <=> ( $false
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B ) ) )).

fof(addAssignment_1733,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex63)
    <=> v6634(VarCurr,bitIndex63) ) )).

fof(addAssignment_1732,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex63)
    <=> v6627(VarCurr,bitIndex63) ) )).

fof(addAssignment_1731,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex63)
    <=> v7360(VarCurr) ) )).

fof(addAssignment_1730,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex63)
    <=> v6617(VarCurr,bitIndex63) ) )).

fof(addAssignment_1729,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex63)
    <=> v6619(VarCurr,bitIndex63) ) )).

fof(addAssignment_1728,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex63)
    <=> v6621(VarCurr,bitIndex63) ) )).

fof(addAssignment_1727,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex63)
    <=> v6623(VarCurr,bitIndex63) ) )).

fof(addAssignment_1726,axiom,(
    ! [VarNext] :
      ( v7308(VarNext,bitIndex18)
    <=> v7330(VarNext,bitIndex18) ) )).

fof(addCaseBooleanConditionEqualRanges1_72,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7331(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v7330(VarNext,B)
            <=> v7308(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_75,axiom,(
    ! [VarNext] :
      ( v7331(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v7330(VarNext,B)
          <=> v7344(VarNext,B) ) ) ) )).

fof(addAssignment_1725,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v7344(VarNext,B)
          <=> v7342(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_115,axiom,(
    ! [VarCurr] :
      ( ~ v5641(VarCurr)
     => ! [B] :
          ( range_20_0(B)
         => ( v7342(VarCurr,B)
          <=> v7311(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_116,axiom,(
    ! [VarCurr] :
      ( v5641(VarCurr)
     => ! [B] :
          ( range_20_0(B)
         => ( v7342(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_38,axiom,(
    ! [B] :
      ( range_20_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B ) ) )).

fof(bitBlastConstant_957,axiom,(
    ~ b000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_956,axiom,(
    ~ b000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_955,axiom,(
    ~ b000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_954,axiom,(
    ~ b000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_953,axiom,(
    ~ b000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_952,axiom,(
    ~ b000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_951,axiom,(
    ~ b000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_950,axiom,(
    ~ b000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_949,axiom,(
    ~ b000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_948,axiom,(
    ~ b000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_947,axiom,(
    ~ b000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_946,axiom,(
    ~ b000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_945,axiom,(
    ~ b000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_944,axiom,(
    ~ b000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_943,axiom,(
    ~ b000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_942,axiom,(
    ~ b000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_941,axiom,(
    ~ b000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_940,axiom,(
    ~ b000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_939,axiom,(
    ~ b000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_938,axiom,(
    ~ b000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_937,axiom,(
    ~ b000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1921,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7331(VarNext)
      <=> ( v7332(VarNext)
          & v7339(VarNext) ) ) ) )).

fof(addAssignment_1724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7339(VarNext)
      <=> v7337(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1920,axiom,(
    ! [VarCurr] :
      ( v7337(VarCurr)
    <=> ( v5641(VarCurr)
        | v7340(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1919,axiom,(
    ! [VarCurr] :
      ( v7340(VarCurr)
    <=> ( v5643(VarCurr)
        & v7341(VarCurr) ) ) )).

fof(writeUnaryOperator_913,axiom,(
    ! [VarCurr] :
      ( ~ v7341(VarCurr)
    <=> v5641(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1918,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7332(VarNext)
      <=> ( v7334(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_912,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7334(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addAssignment_1723,axiom,(
    ! [VarCurr] :
      ( v7311(VarCurr,bitIndex18)
    <=> v7313(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1917,axiom,(
    ! [VarCurr] :
      ( v7313(VarCurr)
    <=> ( v5309(VarCurr,bitIndex0)
        & v7315(VarCurr) ) ) )).

fof(addAssignment_1722,axiom,(
    ! [VarCurr] :
      ( v7315(VarCurr)
    <=> v7317(VarCurr) ) )).

fof(addAssignment_1721,axiom,(
    ! [VarCurr] :
      ( v7317(VarCurr)
    <=> v7319(VarCurr) ) )).

fof(addAssignment_1720,axiom,(
    ! [VarCurr] :
      ( v7319(VarCurr)
    <=> v7321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1916,axiom,(
    ! [VarCurr] :
      ( v7321(VarCurr)
    <=> ( v7324(VarCurr)
        & v7327(VarCurr) ) ) )).

fof(writeUnaryOperator_911,axiom,(
    ! [VarCurr] :
      ( ~ v7327(VarCurr)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1915,axiom,(
    ! [VarCurr] :
      ( v7324(VarCurr)
    <=> ( v6033(VarCurr)
        & v7325(VarCurr) ) ) )).

fof(writeUnaryOperator_910,axiom,(
    ! [VarCurr] :
      ( ~ v7325(VarCurr)
    <=> v7326(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_410,axiom,(
    ! [VarCurr] :
      ( v7326(VarCurr)
    <=> ( ( v6602(VarCurr,bitIndex60)
        <=> $false )
        & ( v6602(VarCurr,bitIndex59)
        <=> $false )
        & ( v6602(VarCurr,bitIndex58)
        <=> $false )
        & ( v6602(VarCurr,bitIndex57)
        <=> $false )
        & ( v6602(VarCurr,bitIndex56)
        <=> $false )
        & ( v6602(VarCurr,bitIndex55)
        <=> $false )
        & ( v6602(VarCurr,bitIndex54)
        <=> $false )
        & ( v6602(VarCurr,bitIndex53)
        <=> $false )
        & ( v6602(VarCurr,bitIndex52)
        <=> $false )
        & ( v6602(VarCurr,bitIndex51)
        <=> $false )
        & ( v6602(VarCurr,bitIndex50)
        <=> $false )
        & ( v6602(VarCurr,bitIndex49)
        <=> $false )
        & ( v6602(VarCurr,bitIndex48)
        <=> $false )
        & ( v6602(VarCurr,bitIndex47)
        <=> $false )
        & ( v6602(VarCurr,bitIndex46)
        <=> $false )
        & ( v6602(VarCurr,bitIndex45)
        <=> $false )
        & ( v6602(VarCurr,bitIndex44)
        <=> $false )
        & ( v6602(VarCurr,bitIndex43)
        <=> $false )
        & ( v6602(VarCurr,bitIndex42)
        <=> $false )
        & ( v6602(VarCurr,bitIndex41)
        <=> $false )
        & ( v6602(VarCurr,bitIndex40)
        <=> $false )
        & ( v6602(VarCurr,bitIndex39)
        <=> $false )
        & ( v6602(VarCurr,bitIndex38)
        <=> $false ) ) ) )).

fof(bitBlastConstant_936,axiom,(
    ~ b00000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_935,axiom,(
    ~ b00000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_934,axiom,(
    ~ b00000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_933,axiom,(
    ~ b00000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_932,axiom,(
    ~ b00000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_931,axiom,(
    ~ b00000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_930,axiom,(
    ~ b00000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_929,axiom,(
    ~ b00000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_928,axiom,(
    ~ b00000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_927,axiom,(
    ~ b00000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_926,axiom,(
    ~ b00000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_925,axiom,(
    ~ b00000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_924,axiom,(
    ~ b00000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_923,axiom,(
    ~ b00000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_922,axiom,(
    ~ b00000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_921,axiom,(
    ~ b00000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_920,axiom,(
    ~ b00000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_919,axiom,(
    ~ b00000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_918,axiom,(
    ~ b00000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_917,axiom,(
    ~ b00000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_916,axiom,(
    ~ b00000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_915,axiom,(
    ~ b00000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_914,axiom,(
    ~ b00000000000000000000000(bitIndex0) )).

fof(addAssignment_1719,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v6602(VarCurr,B)
      <=> v6037(VarCurr,B) ) ) )).

fof(addAssignment_1718,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v6037(VarCurr,B)
      <=> v6039(VarCurr,B) ) ) )).

fof(addAssignment_1717,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v6039(VarCurr,B)
      <=> v6041(VarCurr,B) ) ) )).

fof(addAssignment_1716,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v6041(VarCurr,B)
      <=> v6042(VarCurr,B) ) ) )).

fof(range_axiom_37,axiom,(
    ! [B] :
      ( range_60_38(B)
    <=> ( $false
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_1715,axiom,(
    ! [VarCurr] :
      ( v7304(VarCurr)
    <=> v7306(VarCurr) ) )).

fof(addAssignment_1714,axiom,(
    ! [VarCurr] :
      ( v7306(VarCurr)
    <=> v5912(VarCurr) ) )).

fof(addAssignment_1713,axiom,(
    ! [VarCurr] :
      ( v6148(VarCurr,bitIndex1)
    <=> v6150(VarCurr,bitIndex1) ) )).

fof(addAssignment_1712,axiom,(
    ! [VarCurr] :
      ( v6150(VarCurr,bitIndex1)
    <=> v6152(VarCurr,bitIndex1) ) )).

fof(addAssignment_1711,axiom,(
    ! [VarCurr] :
      ( v6152(VarCurr,bitIndex1)
    <=> v6154(VarCurr,bitIndex1) ) )).

fof(addAssignment_1710,axiom,(
    ! [VarCurr] :
      ( v6154(VarCurr,bitIndex1)
    <=> v7298(VarCurr,bitIndex1) ) )).

fof(addAssignment_1709,axiom,(
    ! [VarCurr] :
      ( v7298(VarCurr,bitIndex0)
    <=> v7302(VarCurr) ) )).

fof(addAssignment_1708,axiom,(
    ! [VarCurr] :
      ( v7298(VarCurr,bitIndex1)
    <=> v7299(VarCurr) ) )).

fof(writeUnaryOperator_909,axiom,(
    ! [VarCurr] :
      ( ~ v7302(VarCurr)
    <=> v6156(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_908,axiom,(
    ! [VarCurr] :
      ( ~ v7299(VarCurr)
    <=> v7300(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_466,axiom,(
    ! [VarCurr] :
      ( v7300(VarCurr)
    <=> ( v6156(VarCurr,bitIndex1)
        & v7301(VarCurr) ) ) )).

fof(writeUnaryOperator_907,axiom,(
    ! [VarCurr] :
      ( ~ v7301(VarCurr)
    <=> v6033(VarCurr) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges10,axiom,(
    ! [VarCurr] :
      ( ( ~ v7244(VarCurr)
        & ~ v7254(VarCurr)
        & ~ v7263(VarCurr)
        & ~ v7271(VarCurr)
        & ~ v7278(VarCurr)
        & ~ v7284(VarCurr)
        & ~ v7289(VarCurr)
        & ~ v7293(VarCurr)
        & ~ v7296(VarCurr)
        & ~ v7297(VarCurr) )
     => ( v6156(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges9,axiom,(
    ! [VarCurr] :
      ( v7297(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges8,axiom,(
    ! [VarCurr] :
      ( v7296(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v6589(VarCurr,bitIndex29) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7,axiom,(
    ! [VarCurr] :
      ( v7293(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7294(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6,axiom,(
    ! [VarCurr] :
      ( v7289(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7290(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges5_1,axiom,(
    ! [VarCurr] :
      ( v7284(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7285(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_1,axiom,(
    ! [VarCurr] :
      ( v7278(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7279(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges3_1,axiom,(
    ! [VarCurr] :
      ( v7271(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7272(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_1,axiom,(
    ! [VarCurr] :
      ( v7263(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7264(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_2,axiom,(
    ! [VarCurr] :
      ( v7254(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7255(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_1,axiom,(
    ! [VarCurr] :
      ( v7244(VarCurr)
     => ( v6156(VarCurr,bitIndex1)
      <=> v7245(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_409,axiom,(
    ! [VarCurr] :
      ( v7297(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $true )
        & ( v6158(VarCurr,bitIndex2)
        <=> $false )
        & ( v6158(VarCurr,bitIndex1)
        <=> $false )
        & ( v6158(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_408,axiom,(
    ! [VarCurr] :
      ( v7296(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $true )
        & ( v6158(VarCurr,bitIndex2)
        <=> $false )
        & ( v6158(VarCurr,bitIndex1)
        <=> $false )
        & ( v6158(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_465,axiom,(
    ! [VarCurr] :
      ( v7294(VarCurr)
    <=> ( v6589(VarCurr,bitIndex28)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(addBitVectorEqualityBitBlasted_407,axiom,(
    ! [VarCurr] :
      ( v7293(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $true )
        & ( v6158(VarCurr,bitIndex1)
        <=> $true )
        & ( v6158(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_464,axiom,(
    ! [VarCurr] :
      ( v7290(VarCurr)
    <=> ( v7292(VarCurr)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_463,axiom,(
    ! [VarCurr] :
      ( v7292(VarCurr)
    <=> ( v6589(VarCurr,bitIndex27)
        & v6589(VarCurr,bitIndex28) ) ) )).

fof(addBitVectorEqualityBitBlasted_406,axiom,(
    ! [VarCurr] :
      ( v7289(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $true )
        & ( v6158(VarCurr,bitIndex1)
        <=> $true )
        & ( v6158(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_462,axiom,(
    ! [VarCurr] :
      ( v7285(VarCurr)
    <=> ( v7287(VarCurr)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_461,axiom,(
    ! [VarCurr] :
      ( v7287(VarCurr)
    <=> ( v7288(VarCurr)
        & v6589(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_460,axiom,(
    ! [VarCurr] :
      ( v7288(VarCurr)
    <=> ( v6589(VarCurr,bitIndex26)
        & v6589(VarCurr,bitIndex27) ) ) )).

fof(addBitVectorEqualityBitBlasted_405,axiom,(
    ! [VarCurr] :
      ( v7284(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $true )
        & ( v6158(VarCurr,bitIndex1)
        <=> $false )
        & ( v6158(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_459,axiom,(
    ! [VarCurr] :
      ( v7279(VarCurr)
    <=> ( v7281(VarCurr)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_458,axiom,(
    ! [VarCurr] :
      ( v7281(VarCurr)
    <=> ( v7282(VarCurr)
        & v6589(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_457,axiom,(
    ! [VarCurr] :
      ( v7282(VarCurr)
    <=> ( v7283(VarCurr)
        & v6589(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_456,axiom,(
    ! [VarCurr] :
      ( v7283(VarCurr)
    <=> ( v6589(VarCurr,bitIndex25)
        & v6589(VarCurr,bitIndex26) ) ) )).

fof(addBitVectorEqualityBitBlasted_404,axiom,(
    ! [VarCurr] :
      ( v7278(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $true )
        & ( v6158(VarCurr,bitIndex1)
        <=> $false )
        & ( v6158(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_455,axiom,(
    ! [VarCurr] :
      ( v7272(VarCurr)
    <=> ( v7274(VarCurr)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_454,axiom,(
    ! [VarCurr] :
      ( v7274(VarCurr)
    <=> ( v7275(VarCurr)
        & v6589(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_453,axiom,(
    ! [VarCurr] :
      ( v7275(VarCurr)
    <=> ( v7276(VarCurr)
        & v6589(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_452,axiom,(
    ! [VarCurr] :
      ( v7276(VarCurr)
    <=> ( v7277(VarCurr)
        & v6589(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_451,axiom,(
    ! [VarCurr] :
      ( v7277(VarCurr)
    <=> ( v6589(VarCurr,bitIndex24)
        & v6589(VarCurr,bitIndex25) ) ) )).

fof(addBitVectorEqualityBitBlasted_403,axiom,(
    ! [VarCurr] :
      ( v7271(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $false )
        & ( v6158(VarCurr,bitIndex1)
        <=> $true )
        & ( v6158(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_450,axiom,(
    ! [VarCurr] :
      ( v7264(VarCurr)
    <=> ( v7266(VarCurr)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_449,axiom,(
    ! [VarCurr] :
      ( v7266(VarCurr)
    <=> ( v7267(VarCurr)
        & v6589(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_448,axiom,(
    ! [VarCurr] :
      ( v7267(VarCurr)
    <=> ( v7268(VarCurr)
        & v6589(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_447,axiom,(
    ! [VarCurr] :
      ( v7268(VarCurr)
    <=> ( v7269(VarCurr)
        & v6589(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_446,axiom,(
    ! [VarCurr] :
      ( v7269(VarCurr)
    <=> ( v7270(VarCurr)
        & v6589(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_445,axiom,(
    ! [VarCurr] :
      ( v7270(VarCurr)
    <=> ( v6589(VarCurr,bitIndex23)
        & v6589(VarCurr,bitIndex24) ) ) )).

fof(addBitVectorEqualityBitBlasted_402,axiom,(
    ! [VarCurr] :
      ( v7263(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $false )
        & ( v6158(VarCurr,bitIndex1)
        <=> $true )
        & ( v6158(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_444,axiom,(
    ! [VarCurr] :
      ( v7255(VarCurr)
    <=> ( v7257(VarCurr)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_443,axiom,(
    ! [VarCurr] :
      ( v7257(VarCurr)
    <=> ( v7258(VarCurr)
        & v6589(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_442,axiom,(
    ! [VarCurr] :
      ( v7258(VarCurr)
    <=> ( v7259(VarCurr)
        & v6589(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_441,axiom,(
    ! [VarCurr] :
      ( v7259(VarCurr)
    <=> ( v7260(VarCurr)
        & v6589(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_440,axiom,(
    ! [VarCurr] :
      ( v7260(VarCurr)
    <=> ( v7261(VarCurr)
        & v6589(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_439,axiom,(
    ! [VarCurr] :
      ( v7261(VarCurr)
    <=> ( v7262(VarCurr)
        & v6589(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_438,axiom,(
    ! [VarCurr] :
      ( v7262(VarCurr)
    <=> ( v6589(VarCurr,bitIndex22)
        & v6589(VarCurr,bitIndex23) ) ) )).

fof(addBitVectorEqualityBitBlasted_401,axiom,(
    ! [VarCurr] :
      ( v7254(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $false )
        & ( v6158(VarCurr,bitIndex1)
        <=> $false )
        & ( v6158(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_437,axiom,(
    ! [VarCurr] :
      ( v7245(VarCurr)
    <=> ( v7247(VarCurr)
        & v6589(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_436,axiom,(
    ! [VarCurr] :
      ( v7247(VarCurr)
    <=> ( v7248(VarCurr)
        & v6589(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_435,axiom,(
    ! [VarCurr] :
      ( v7248(VarCurr)
    <=> ( v7249(VarCurr)
        & v6589(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_434,axiom,(
    ! [VarCurr] :
      ( v7249(VarCurr)
    <=> ( v7250(VarCurr)
        & v6589(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_433,axiom,(
    ! [VarCurr] :
      ( v7250(VarCurr)
    <=> ( v7251(VarCurr)
        & v6589(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_432,axiom,(
    ! [VarCurr] :
      ( v7251(VarCurr)
    <=> ( v7252(VarCurr)
        & v6589(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_431,axiom,(
    ! [VarCurr] :
      ( v7252(VarCurr)
    <=> ( v7253(VarCurr)
        & v6589(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_430,axiom,(
    ! [VarCurr] :
      ( v7253(VarCurr)
    <=> ( v6589(VarCurr,bitIndex21)
        & v6589(VarCurr,bitIndex22) ) ) )).

fof(addBitVectorEqualityBitBlasted_400,axiom,(
    ! [VarCurr] :
      ( v7244(VarCurr)
    <=> ( ( v6158(VarCurr,bitIndex3)
        <=> $false )
        & ( v6158(VarCurr,bitIndex2)
        <=> $false )
        & ( v6158(VarCurr,bitIndex1)
        <=> $false )
        & ( v6158(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1707,axiom,(
    ! [VarNext,B] :
      ( range_29_21(B)
     => ( v6589(VarNext,B)
      <=> v7222(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_71,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7223(VarNext)
       => ! [B] :
            ( range_61_0(B)
           => ( v7222(VarNext,B)
            <=> v6589(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_74,axiom,(
    ! [VarNext] :
      ( v7223(VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v7222(VarNext,B)
          <=> v7240(VarNext,B) ) ) ) )).

fof(addAssignment_1706,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v7240(VarNext,B)
          <=> v7238(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_114,axiom,(
    ! [VarCurr] :
      ( ~ v7234(VarCurr)
     => ! [B] :
          ( range_61_0(B)
         => ( v7238(VarCurr,B)
          <=> v6602(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_115,axiom,(
    ! [VarCurr] :
      ( v7234(VarCurr)
     => ! [B] :
          ( range_61_0(B)
         => ( v7238(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_36,axiom,(
    ! [B] :
      ( range_61_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B ) ) )).

fof(bitBlastConstant_913,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_912,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_911,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_910,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_909,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_908,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_907,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_906,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_905,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_904,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_903,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_902,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_901,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_900,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_899,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_898,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_897,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_896,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_895,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_894,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_893,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_892,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_891,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_890,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_889,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_888,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_887,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_886,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_885,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_884,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_883,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_882,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_881,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_880,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_879,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_878,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_877,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_876,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_875,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_874,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_873,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_872,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_871,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_870,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_869,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_868,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_867,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_866,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_865,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_864,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_863,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_862,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_861,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_860,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_859,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_858,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_857,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_856,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_855,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_854,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_853,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_852,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1914,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7223(VarNext)
      <=> ( v7224(VarNext)
          & v7233(VarNext) ) ) ) )).

fof(addAssignment_1705,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7233(VarNext)
      <=> v7231(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1913,axiom,(
    ! [VarCurr] :
      ( v7231(VarCurr)
    <=> ( v7234(VarCurr)
        | v7235(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1912,axiom,(
    ! [VarCurr] :
      ( v7235(VarCurr)
    <=> ( v7236(VarCurr)
        & v7237(VarCurr) ) ) )).

fof(writeUnaryOperator_906,axiom,(
    ! [VarCurr] :
      ( ~ v7237(VarCurr)
    <=> v7234(VarCurr) ) )).

fof(writeUnaryOperator_905,axiom,(
    ! [VarCurr] :
      ( ~ v7236(VarCurr)
    <=> v6594(VarCurr) ) )).

fof(writeUnaryOperator_904,axiom,(
    ! [VarCurr] :
      ( ~ v7234(VarCurr)
    <=> v6591(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1911,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7224(VarNext)
      <=> ( v7225(VarNext)
          & v7220(VarNext) ) ) ) )).

fof(writeUnaryOperator_903,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7225(VarNext)
      <=> v7227(VarNext) ) ) )).

fof(addAssignment_1704,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7227(VarNext)
      <=> v7220(VarCurr) ) ) )).

fof(addAssignment_1703,axiom,(
    ! [VarCurr] :
      ( v7220(VarCurr)
    <=> v5104(VarCurr) ) )).

fof(addAssignment_1702,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v6602(VarCurr,B)
      <=> v6037(VarCurr,B) ) ) )).

fof(addAssignment_1701,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v6037(VarCurr,B)
      <=> v6039(VarCurr,B) ) ) )).

fof(addAssignment_1700,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v6039(VarCurr,B)
      <=> v6041(VarCurr,B) ) ) )).

fof(addAssignment_1699,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v6041(VarCurr,B)
      <=> v6042(VarCurr,B) ) ) )).

fof(range_axiom_35,axiom,(
    ! [B] :
      ( range_29_21(B)
    <=> ( $false
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B ) ) )).

fof(addAssignment_1698,axiom,(
    ! [VarCurr,B] :
      ( range_18_10(B)
     => ( v6046(VarCurr,B)
      <=> v7206(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v7207(VarCurr)
        & ~ v7208(VarCurr)
        & ~ v7210(VarCurr)
        & ~ v7211(VarCurr)
        & ~ v7213(VarCurr)
        & ~ v7214(VarCurr)
        & ~ v7216(VarCurr) )
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_3,axiom,(
    ! [VarCurr] :
      ( v7216(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_3,axiom,(
    ! [VarCurr] :
      ( v7214(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> v7215(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_5,axiom,(
    ! [VarCurr] :
      ( v7213(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_22,axiom,(
    ! [VarCurr] :
      ( v7211(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> v7212(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_41,axiom,(
    ! [VarCurr] :
      ( v7210(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_113,axiom,(
    ! [VarCurr] :
      ( v7208(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> v7209(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_114,axiom,(
    ! [VarCurr] :
      ( v7207(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v7206(VarCurr,B)
          <=> v6636(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1910,axiom,(
    ! [VarCurr] :
      ( v7216(VarCurr)
    <=> ( v7217(VarCurr)
        | v7218(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_399,axiom,(
    ! [VarCurr] :
      ( v7218(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_398,axiom,(
    ! [VarCurr] :
      ( v7217(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1697,axiom,(
    ! [VarCurr] :
      ( ( v7215(VarCurr,bitIndex14)
      <=> v6028(VarCurr,bitIndex25) )
      & ( v7215(VarCurr,bitIndex13)
      <=> v6028(VarCurr,bitIndex24) )
      & ( v7215(VarCurr,bitIndex12)
      <=> v6028(VarCurr,bitIndex23) )
      & ( v7215(VarCurr,bitIndex11)
      <=> v6028(VarCurr,bitIndex22) )
      & ( v7215(VarCurr,bitIndex10)
      <=> v6028(VarCurr,bitIndex21) )
      & ( v7215(VarCurr,bitIndex9)
      <=> v6028(VarCurr,bitIndex20) )
      & ( v7215(VarCurr,bitIndex8)
      <=> v6028(VarCurr,bitIndex19) )
      & ( v7215(VarCurr,bitIndex7)
      <=> v6028(VarCurr,bitIndex18) )
      & ( v7215(VarCurr,bitIndex6)
      <=> v6028(VarCurr,bitIndex17) )
      & ( v7215(VarCurr,bitIndex5)
      <=> v6028(VarCurr,bitIndex16) )
      & ( v7215(VarCurr,bitIndex4)
      <=> v6028(VarCurr,bitIndex15) )
      & ( v7215(VarCurr,bitIndex3)
      <=> v6028(VarCurr,bitIndex14) )
      & ( v7215(VarCurr,bitIndex2)
      <=> v6028(VarCurr,bitIndex13) )
      & ( v7215(VarCurr,bitIndex1)
      <=> v6028(VarCurr,bitIndex12) )
      & ( v7215(VarCurr,bitIndex0)
      <=> v6028(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_1696,axiom,(
    ! [VarCurr] :
      ( ( v7215(VarCurr,bitIndex26)
      <=> v6636(VarCurr,bitIndex11) )
      & ( v7215(VarCurr,bitIndex25)
      <=> v6636(VarCurr,bitIndex10) )
      & ( v7215(VarCurr,bitIndex24)
      <=> v6636(VarCurr,bitIndex9) )
      & ( v7215(VarCurr,bitIndex23)
      <=> v6636(VarCurr,bitIndex8) )
      & ( v7215(VarCurr,bitIndex22)
      <=> v6636(VarCurr,bitIndex7) )
      & ( v7215(VarCurr,bitIndex21)
      <=> v6636(VarCurr,bitIndex6) )
      & ( v7215(VarCurr,bitIndex20)
      <=> v6636(VarCurr,bitIndex5) )
      & ( v7215(VarCurr,bitIndex19)
      <=> v6636(VarCurr,bitIndex4) )
      & ( v7215(VarCurr,bitIndex18)
      <=> v6636(VarCurr,bitIndex3) )
      & ( v7215(VarCurr,bitIndex17)
      <=> v6636(VarCurr,bitIndex2) )
      & ( v7215(VarCurr,bitIndex16)
      <=> v6636(VarCurr,bitIndex1) )
      & ( v7215(VarCurr,bitIndex15)
      <=> v6636(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_397,axiom,(
    ! [VarCurr] :
      ( v7214(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_396,axiom,(
    ! [VarCurr] :
      ( v7213(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1695,axiom,(
    ! [VarCurr] :
      ( ( v7212(VarCurr,bitIndex8)
      <=> v6028(VarCurr,bitIndex19) )
      & ( v7212(VarCurr,bitIndex7)
      <=> v6028(VarCurr,bitIndex18) )
      & ( v7212(VarCurr,bitIndex6)
      <=> v6028(VarCurr,bitIndex17) )
      & ( v7212(VarCurr,bitIndex5)
      <=> v6028(VarCurr,bitIndex16) )
      & ( v7212(VarCurr,bitIndex4)
      <=> v6028(VarCurr,bitIndex15) )
      & ( v7212(VarCurr,bitIndex3)
      <=> v6028(VarCurr,bitIndex14) )
      & ( v7212(VarCurr,bitIndex2)
      <=> v6028(VarCurr,bitIndex13) )
      & ( v7212(VarCurr,bitIndex1)
      <=> v6028(VarCurr,bitIndex12) )
      & ( v7212(VarCurr,bitIndex0)
      <=> v6028(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_1694,axiom,(
    ! [VarCurr] :
      ( ( v7212(VarCurr,bitIndex26)
      <=> v6636(VarCurr,bitIndex17) )
      & ( v7212(VarCurr,bitIndex25)
      <=> v6636(VarCurr,bitIndex16) )
      & ( v7212(VarCurr,bitIndex24)
      <=> v6636(VarCurr,bitIndex15) )
      & ( v7212(VarCurr,bitIndex23)
      <=> v6636(VarCurr,bitIndex14) )
      & ( v7212(VarCurr,bitIndex22)
      <=> v6636(VarCurr,bitIndex13) )
      & ( v7212(VarCurr,bitIndex21)
      <=> v6636(VarCurr,bitIndex12) )
      & ( v7212(VarCurr,bitIndex20)
      <=> v6636(VarCurr,bitIndex11) )
      & ( v7212(VarCurr,bitIndex19)
      <=> v6636(VarCurr,bitIndex10) )
      & ( v7212(VarCurr,bitIndex18)
      <=> v6636(VarCurr,bitIndex9) )
      & ( v7212(VarCurr,bitIndex17)
      <=> v6636(VarCurr,bitIndex8) )
      & ( v7212(VarCurr,bitIndex16)
      <=> v6636(VarCurr,bitIndex7) )
      & ( v7212(VarCurr,bitIndex15)
      <=> v6636(VarCurr,bitIndex6) )
      & ( v7212(VarCurr,bitIndex14)
      <=> v6636(VarCurr,bitIndex5) )
      & ( v7212(VarCurr,bitIndex13)
      <=> v6636(VarCurr,bitIndex4) )
      & ( v7212(VarCurr,bitIndex12)
      <=> v6636(VarCurr,bitIndex3) )
      & ( v7212(VarCurr,bitIndex11)
      <=> v6636(VarCurr,bitIndex2) )
      & ( v7212(VarCurr,bitIndex10)
      <=> v6636(VarCurr,bitIndex1) )
      & ( v7212(VarCurr,bitIndex9)
      <=> v6636(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_395,axiom,(
    ! [VarCurr] :
      ( v7211(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_394,axiom,(
    ! [VarCurr] :
      ( v7210(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1693,axiom,(
    ! [VarCurr] :
      ( ( v7209(VarCurr,bitIndex2)
      <=> v6028(VarCurr,bitIndex13) )
      & ( v7209(VarCurr,bitIndex1)
      <=> v6028(VarCurr,bitIndex12) )
      & ( v7209(VarCurr,bitIndex0)
      <=> v6028(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_1692,axiom,(
    ! [VarCurr] :
      ( ( v7209(VarCurr,bitIndex26)
      <=> v6636(VarCurr,bitIndex23) )
      & ( v7209(VarCurr,bitIndex25)
      <=> v6636(VarCurr,bitIndex22) )
      & ( v7209(VarCurr,bitIndex24)
      <=> v6636(VarCurr,bitIndex21) )
      & ( v7209(VarCurr,bitIndex23)
      <=> v6636(VarCurr,bitIndex20) )
      & ( v7209(VarCurr,bitIndex22)
      <=> v6636(VarCurr,bitIndex19) )
      & ( v7209(VarCurr,bitIndex21)
      <=> v6636(VarCurr,bitIndex18) )
      & ( v7209(VarCurr,bitIndex20)
      <=> v6636(VarCurr,bitIndex17) )
      & ( v7209(VarCurr,bitIndex19)
      <=> v6636(VarCurr,bitIndex16) )
      & ( v7209(VarCurr,bitIndex18)
      <=> v6636(VarCurr,bitIndex15) )
      & ( v7209(VarCurr,bitIndex17)
      <=> v6636(VarCurr,bitIndex14) )
      & ( v7209(VarCurr,bitIndex16)
      <=> v6636(VarCurr,bitIndex13) )
      & ( v7209(VarCurr,bitIndex15)
      <=> v6636(VarCurr,bitIndex12) )
      & ( v7209(VarCurr,bitIndex14)
      <=> v6636(VarCurr,bitIndex11) )
      & ( v7209(VarCurr,bitIndex13)
      <=> v6636(VarCurr,bitIndex10) )
      & ( v7209(VarCurr,bitIndex12)
      <=> v6636(VarCurr,bitIndex9) )
      & ( v7209(VarCurr,bitIndex11)
      <=> v6636(VarCurr,bitIndex8) )
      & ( v7209(VarCurr,bitIndex10)
      <=> v6636(VarCurr,bitIndex7) )
      & ( v7209(VarCurr,bitIndex9)
      <=> v6636(VarCurr,bitIndex6) )
      & ( v7209(VarCurr,bitIndex8)
      <=> v6636(VarCurr,bitIndex5) )
      & ( v7209(VarCurr,bitIndex7)
      <=> v6636(VarCurr,bitIndex4) )
      & ( v7209(VarCurr,bitIndex6)
      <=> v6636(VarCurr,bitIndex3) )
      & ( v7209(VarCurr,bitIndex5)
      <=> v6636(VarCurr,bitIndex2) )
      & ( v7209(VarCurr,bitIndex4)
      <=> v6636(VarCurr,bitIndex1) )
      & ( v7209(VarCurr,bitIndex3)
      <=> v6636(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_393,axiom,(
    ! [VarCurr] :
      ( v7208(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_392,axiom,(
    ! [VarCurr] :
      ( v7207(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1691,axiom,(
    ! [VarCurr] :
      ( v6636(VarCurr,bitIndex0)
    <=> v6694(VarCurr,bitIndex0) ) )).

fof(addAssignment_1690,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v6636(VarCurr,B)
      <=> v6694(VarCurr,B) ) ) )).

fof(range_axiom_34,axiom,(
    ! [B] :
      ( range_6_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B ) ) )).

fof(addAssignment_1689,axiom,(
    ! [VarCurr,B] :
      ( range_9_7(B)
     => ( v6636(VarCurr,B)
      <=> v6694(VarCurr,B) ) ) )).

fof(range_axiom_33,axiom,(
    ! [B] :
      ( range_9_7(B)
    <=> ( $false
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_1688,axiom,(
    ! [VarCurr,B] :
      ( range_18_10(B)
     => ( v6636(VarCurr,B)
      <=> v6694(VarCurr,B) ) ) )).

fof(range_axiom_32,axiom,(
    ! [B] :
      ( range_18_10(B)
    <=> ( $false
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B ) ) )).

fof(addAssignment_1687,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex0)
    <=> v7202(VarCurr) ) )).

fof(addAssignment_1686,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex1)
    <=> v7197(VarCurr) ) )).

fof(addAssignment_1685,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex2)
    <=> v7192(VarCurr) ) )).

fof(addAssignment_1684,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex3)
    <=> v7187(VarCurr) ) )).

fof(addAssignment_1683,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex4)
    <=> v7182(VarCurr) ) )).

fof(addAssignment_1682,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex5)
    <=> v7177(VarCurr) ) )).

fof(addAssignment_1681,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex6)
    <=> v7172(VarCurr) ) )).

fof(addAssignment_1680,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex7)
    <=> v7167(VarCurr) ) )).

fof(addAssignment_1679,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex8)
    <=> v7162(VarCurr) ) )).

fof(addAssignment_1678,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex9)
    <=> v7157(VarCurr) ) )).

fof(addAssignment_1677,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex10)
    <=> v7152(VarCurr) ) )).

fof(addAssignment_1676,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex11)
    <=> v7147(VarCurr) ) )).

fof(addAssignment_1675,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex12)
    <=> v7142(VarCurr) ) )).

fof(addAssignment_1674,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex13)
    <=> v7137(VarCurr) ) )).

fof(addAssignment_1673,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex14)
    <=> v7132(VarCurr) ) )).

fof(addAssignment_1672,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex15)
    <=> v7127(VarCurr) ) )).

fof(addAssignment_1671,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex16)
    <=> v7122(VarCurr) ) )).

fof(addAssignment_1670,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex17)
    <=> v7117(VarCurr) ) )).

fof(addAssignment_1669,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex18)
    <=> v7112(VarCurr) ) )).

fof(addAssignment_1668,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex19)
    <=> v7107(VarCurr) ) )).

fof(addAssignment_1667,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex20)
    <=> v7102(VarCurr) ) )).

fof(addAssignment_1666,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex21)
    <=> v7097(VarCurr) ) )).

fof(addAssignment_1665,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex22)
    <=> v7092(VarCurr) ) )).

fof(addAssignment_1664,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex23)
    <=> v7087(VarCurr) ) )).

fof(addAssignment_1663,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex24)
    <=> v7082(VarCurr) ) )).

fof(addAssignment_1662,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex25)
    <=> v7077(VarCurr) ) )).

fof(addAssignment_1661,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex26)
    <=> v7072(VarCurr) ) )).

fof(addAssignment_1660,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr,bitIndex27)
    <=> v6696(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1909,axiom,(
    ! [VarCurr] :
      ( v7202(VarCurr)
    <=> ( v7203(VarCurr)
        & v7205(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1908,axiom,(
    ! [VarCurr] :
      ( v7205(VarCurr)
    <=> ( v6655(VarCurr,bitIndex0)
        | v6752(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1907,axiom,(
    ! [VarCurr] :
      ( v7203(VarCurr)
    <=> ( v6759(VarCurr)
        | v7204(VarCurr) ) ) )).

fof(writeUnaryOperator_902,axiom,(
    ! [VarCurr] :
      ( ~ v7204(VarCurr)
    <=> v6752(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1906,axiom,(
    ! [VarCurr] :
      ( v7197(VarCurr)
    <=> ( v7198(VarCurr)
        & v7201(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1905,axiom,(
    ! [VarCurr] :
      ( v7201(VarCurr)
    <=> ( v6751(VarCurr)
        | v6753(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1904,axiom,(
    ! [VarCurr] :
      ( v7198(VarCurr)
    <=> ( v7199(VarCurr)
        | v7200(VarCurr) ) ) )).

fof(writeUnaryOperator_901,axiom,(
    ! [VarCurr] :
      ( ~ v7200(VarCurr)
    <=> v6753(VarCurr) ) )).

fof(writeUnaryOperator_900,axiom,(
    ! [VarCurr] :
      ( ~ v7199(VarCurr)
    <=> v6751(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1903,axiom,(
    ! [VarCurr] :
      ( v7192(VarCurr)
    <=> ( v7193(VarCurr)
        & v7196(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1902,axiom,(
    ! [VarCurr] :
      ( v7196(VarCurr)
    <=> ( v6749(VarCurr)
        | v6764(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1901,axiom,(
    ! [VarCurr] :
      ( v7193(VarCurr)
    <=> ( v7194(VarCurr)
        | v7195(VarCurr) ) ) )).

fof(writeUnaryOperator_899,axiom,(
    ! [VarCurr] :
      ( ~ v7195(VarCurr)
    <=> v6764(VarCurr) ) )).

fof(writeUnaryOperator_898,axiom,(
    ! [VarCurr] :
      ( ~ v7194(VarCurr)
    <=> v6749(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1900,axiom,(
    ! [VarCurr] :
      ( v7187(VarCurr)
    <=> ( v7188(VarCurr)
        & v7191(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1899,axiom,(
    ! [VarCurr] :
      ( v7191(VarCurr)
    <=> ( v6747(VarCurr)
        | v6776(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1898,axiom,(
    ! [VarCurr] :
      ( v7188(VarCurr)
    <=> ( v7189(VarCurr)
        | v7190(VarCurr) ) ) )).

fof(writeUnaryOperator_897,axiom,(
    ! [VarCurr] :
      ( ~ v7190(VarCurr)
    <=> v6776(VarCurr) ) )).

fof(writeUnaryOperator_896,axiom,(
    ! [VarCurr] :
      ( ~ v7189(VarCurr)
    <=> v6747(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1897,axiom,(
    ! [VarCurr] :
      ( v7182(VarCurr)
    <=> ( v7183(VarCurr)
        & v7186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1896,axiom,(
    ! [VarCurr] :
      ( v7186(VarCurr)
    <=> ( v6745(VarCurr)
        | v6788(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1895,axiom,(
    ! [VarCurr] :
      ( v7183(VarCurr)
    <=> ( v7184(VarCurr)
        | v7185(VarCurr) ) ) )).

fof(writeUnaryOperator_895,axiom,(
    ! [VarCurr] :
      ( ~ v7185(VarCurr)
    <=> v6788(VarCurr) ) )).

fof(writeUnaryOperator_894,axiom,(
    ! [VarCurr] :
      ( ~ v7184(VarCurr)
    <=> v6745(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1894,axiom,(
    ! [VarCurr] :
      ( v7177(VarCurr)
    <=> ( v7178(VarCurr)
        & v7181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1893,axiom,(
    ! [VarCurr] :
      ( v7181(VarCurr)
    <=> ( v6743(VarCurr)
        | v6800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1892,axiom,(
    ! [VarCurr] :
      ( v7178(VarCurr)
    <=> ( v7179(VarCurr)
        | v7180(VarCurr) ) ) )).

fof(writeUnaryOperator_893,axiom,(
    ! [VarCurr] :
      ( ~ v7180(VarCurr)
    <=> v6800(VarCurr) ) )).

fof(writeUnaryOperator_892,axiom,(
    ! [VarCurr] :
      ( ~ v7179(VarCurr)
    <=> v6743(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1891,axiom,(
    ! [VarCurr] :
      ( v7172(VarCurr)
    <=> ( v7173(VarCurr)
        & v7176(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1890,axiom,(
    ! [VarCurr] :
      ( v7176(VarCurr)
    <=> ( v6741(VarCurr)
        | v6812(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1889,axiom,(
    ! [VarCurr] :
      ( v7173(VarCurr)
    <=> ( v7174(VarCurr)
        | v7175(VarCurr) ) ) )).

fof(writeUnaryOperator_891,axiom,(
    ! [VarCurr] :
      ( ~ v7175(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(writeUnaryOperator_890,axiom,(
    ! [VarCurr] :
      ( ~ v7174(VarCurr)
    <=> v6741(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1888,axiom,(
    ! [VarCurr] :
      ( v7167(VarCurr)
    <=> ( v7168(VarCurr)
        & v7171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1887,axiom,(
    ! [VarCurr] :
      ( v7171(VarCurr)
    <=> ( v6739(VarCurr)
        | v6824(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1886,axiom,(
    ! [VarCurr] :
      ( v7168(VarCurr)
    <=> ( v7169(VarCurr)
        | v7170(VarCurr) ) ) )).

fof(writeUnaryOperator_889,axiom,(
    ! [VarCurr] :
      ( ~ v7170(VarCurr)
    <=> v6824(VarCurr) ) )).

fof(writeUnaryOperator_888,axiom,(
    ! [VarCurr] :
      ( ~ v7169(VarCurr)
    <=> v6739(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1885,axiom,(
    ! [VarCurr] :
      ( v7162(VarCurr)
    <=> ( v7163(VarCurr)
        & v7166(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1884,axiom,(
    ! [VarCurr] :
      ( v7166(VarCurr)
    <=> ( v6737(VarCurr)
        | v6836(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1883,axiom,(
    ! [VarCurr] :
      ( v7163(VarCurr)
    <=> ( v7164(VarCurr)
        | v7165(VarCurr) ) ) )).

fof(writeUnaryOperator_887,axiom,(
    ! [VarCurr] :
      ( ~ v7165(VarCurr)
    <=> v6836(VarCurr) ) )).

fof(writeUnaryOperator_886,axiom,(
    ! [VarCurr] :
      ( ~ v7164(VarCurr)
    <=> v6737(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1882,axiom,(
    ! [VarCurr] :
      ( v7157(VarCurr)
    <=> ( v7158(VarCurr)
        & v7161(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1881,axiom,(
    ! [VarCurr] :
      ( v7161(VarCurr)
    <=> ( v6735(VarCurr)
        | v6848(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1880,axiom,(
    ! [VarCurr] :
      ( v7158(VarCurr)
    <=> ( v7159(VarCurr)
        | v7160(VarCurr) ) ) )).

fof(writeUnaryOperator_885,axiom,(
    ! [VarCurr] :
      ( ~ v7160(VarCurr)
    <=> v6848(VarCurr) ) )).

fof(writeUnaryOperator_884,axiom,(
    ! [VarCurr] :
      ( ~ v7159(VarCurr)
    <=> v6735(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1879,axiom,(
    ! [VarCurr] :
      ( v7152(VarCurr)
    <=> ( v7153(VarCurr)
        & v7156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1878,axiom,(
    ! [VarCurr] :
      ( v7156(VarCurr)
    <=> ( v6733(VarCurr)
        | v6860(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1877,axiom,(
    ! [VarCurr] :
      ( v7153(VarCurr)
    <=> ( v7154(VarCurr)
        | v7155(VarCurr) ) ) )).

fof(writeUnaryOperator_883,axiom,(
    ! [VarCurr] :
      ( ~ v7155(VarCurr)
    <=> v6860(VarCurr) ) )).

fof(writeUnaryOperator_882,axiom,(
    ! [VarCurr] :
      ( ~ v7154(VarCurr)
    <=> v6733(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1876,axiom,(
    ! [VarCurr] :
      ( v7147(VarCurr)
    <=> ( v7148(VarCurr)
        & v7151(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1875,axiom,(
    ! [VarCurr] :
      ( v7151(VarCurr)
    <=> ( v6731(VarCurr)
        | v6872(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1874,axiom,(
    ! [VarCurr] :
      ( v7148(VarCurr)
    <=> ( v7149(VarCurr)
        | v7150(VarCurr) ) ) )).

fof(writeUnaryOperator_881,axiom,(
    ! [VarCurr] :
      ( ~ v7150(VarCurr)
    <=> v6872(VarCurr) ) )).

fof(writeUnaryOperator_880,axiom,(
    ! [VarCurr] :
      ( ~ v7149(VarCurr)
    <=> v6731(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1873,axiom,(
    ! [VarCurr] :
      ( v7142(VarCurr)
    <=> ( v7143(VarCurr)
        & v7146(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1872,axiom,(
    ! [VarCurr] :
      ( v7146(VarCurr)
    <=> ( v6729(VarCurr)
        | v6884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1871,axiom,(
    ! [VarCurr] :
      ( v7143(VarCurr)
    <=> ( v7144(VarCurr)
        | v7145(VarCurr) ) ) )).

fof(writeUnaryOperator_879,axiom,(
    ! [VarCurr] :
      ( ~ v7145(VarCurr)
    <=> v6884(VarCurr) ) )).

fof(writeUnaryOperator_878,axiom,(
    ! [VarCurr] :
      ( ~ v7144(VarCurr)
    <=> v6729(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1870,axiom,(
    ! [VarCurr] :
      ( v7137(VarCurr)
    <=> ( v7138(VarCurr)
        & v7141(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1869,axiom,(
    ! [VarCurr] :
      ( v7141(VarCurr)
    <=> ( v6727(VarCurr)
        | v6896(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1868,axiom,(
    ! [VarCurr] :
      ( v7138(VarCurr)
    <=> ( v7139(VarCurr)
        | v7140(VarCurr) ) ) )).

fof(writeUnaryOperator_877,axiom,(
    ! [VarCurr] :
      ( ~ v7140(VarCurr)
    <=> v6896(VarCurr) ) )).

fof(writeUnaryOperator_876,axiom,(
    ! [VarCurr] :
      ( ~ v7139(VarCurr)
    <=> v6727(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1867,axiom,(
    ! [VarCurr] :
      ( v7132(VarCurr)
    <=> ( v7133(VarCurr)
        & v7136(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1866,axiom,(
    ! [VarCurr] :
      ( v7136(VarCurr)
    <=> ( v6725(VarCurr)
        | v6908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1865,axiom,(
    ! [VarCurr] :
      ( v7133(VarCurr)
    <=> ( v7134(VarCurr)
        | v7135(VarCurr) ) ) )).

fof(writeUnaryOperator_875,axiom,(
    ! [VarCurr] :
      ( ~ v7135(VarCurr)
    <=> v6908(VarCurr) ) )).

fof(writeUnaryOperator_874,axiom,(
    ! [VarCurr] :
      ( ~ v7134(VarCurr)
    <=> v6725(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1864,axiom,(
    ! [VarCurr] :
      ( v7127(VarCurr)
    <=> ( v7128(VarCurr)
        & v7131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1863,axiom,(
    ! [VarCurr] :
      ( v7131(VarCurr)
    <=> ( v6723(VarCurr)
        | v6920(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1862,axiom,(
    ! [VarCurr] :
      ( v7128(VarCurr)
    <=> ( v7129(VarCurr)
        | v7130(VarCurr) ) ) )).

fof(writeUnaryOperator_873,axiom,(
    ! [VarCurr] :
      ( ~ v7130(VarCurr)
    <=> v6920(VarCurr) ) )).

fof(writeUnaryOperator_872,axiom,(
    ! [VarCurr] :
      ( ~ v7129(VarCurr)
    <=> v6723(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1861,axiom,(
    ! [VarCurr] :
      ( v7122(VarCurr)
    <=> ( v7123(VarCurr)
        & v7126(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1860,axiom,(
    ! [VarCurr] :
      ( v7126(VarCurr)
    <=> ( v6721(VarCurr)
        | v6932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1859,axiom,(
    ! [VarCurr] :
      ( v7123(VarCurr)
    <=> ( v7124(VarCurr)
        | v7125(VarCurr) ) ) )).

fof(writeUnaryOperator_871,axiom,(
    ! [VarCurr] :
      ( ~ v7125(VarCurr)
    <=> v6932(VarCurr) ) )).

fof(writeUnaryOperator_870,axiom,(
    ! [VarCurr] :
      ( ~ v7124(VarCurr)
    <=> v6721(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1858,axiom,(
    ! [VarCurr] :
      ( v7117(VarCurr)
    <=> ( v7118(VarCurr)
        & v7121(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1857,axiom,(
    ! [VarCurr] :
      ( v7121(VarCurr)
    <=> ( v6719(VarCurr)
        | v6944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1856,axiom,(
    ! [VarCurr] :
      ( v7118(VarCurr)
    <=> ( v7119(VarCurr)
        | v7120(VarCurr) ) ) )).

fof(writeUnaryOperator_869,axiom,(
    ! [VarCurr] :
      ( ~ v7120(VarCurr)
    <=> v6944(VarCurr) ) )).

fof(writeUnaryOperator_868,axiom,(
    ! [VarCurr] :
      ( ~ v7119(VarCurr)
    <=> v6719(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1855,axiom,(
    ! [VarCurr] :
      ( v7112(VarCurr)
    <=> ( v7113(VarCurr)
        & v7116(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1854,axiom,(
    ! [VarCurr] :
      ( v7116(VarCurr)
    <=> ( v6717(VarCurr)
        | v6956(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1853,axiom,(
    ! [VarCurr] :
      ( v7113(VarCurr)
    <=> ( v7114(VarCurr)
        | v7115(VarCurr) ) ) )).

fof(writeUnaryOperator_867,axiom,(
    ! [VarCurr] :
      ( ~ v7115(VarCurr)
    <=> v6956(VarCurr) ) )).

fof(writeUnaryOperator_866,axiom,(
    ! [VarCurr] :
      ( ~ v7114(VarCurr)
    <=> v6717(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1852,axiom,(
    ! [VarCurr] :
      ( v7107(VarCurr)
    <=> ( v7108(VarCurr)
        & v7111(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1851,axiom,(
    ! [VarCurr] :
      ( v7111(VarCurr)
    <=> ( v6715(VarCurr)
        | v6968(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1850,axiom,(
    ! [VarCurr] :
      ( v7108(VarCurr)
    <=> ( v7109(VarCurr)
        | v7110(VarCurr) ) ) )).

fof(writeUnaryOperator_865,axiom,(
    ! [VarCurr] :
      ( ~ v7110(VarCurr)
    <=> v6968(VarCurr) ) )).

fof(writeUnaryOperator_864,axiom,(
    ! [VarCurr] :
      ( ~ v7109(VarCurr)
    <=> v6715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1849,axiom,(
    ! [VarCurr] :
      ( v7102(VarCurr)
    <=> ( v7103(VarCurr)
        & v7106(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1848,axiom,(
    ! [VarCurr] :
      ( v7106(VarCurr)
    <=> ( v6713(VarCurr)
        | v6980(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1847,axiom,(
    ! [VarCurr] :
      ( v7103(VarCurr)
    <=> ( v7104(VarCurr)
        | v7105(VarCurr) ) ) )).

fof(writeUnaryOperator_863,axiom,(
    ! [VarCurr] :
      ( ~ v7105(VarCurr)
    <=> v6980(VarCurr) ) )).

fof(writeUnaryOperator_862,axiom,(
    ! [VarCurr] :
      ( ~ v7104(VarCurr)
    <=> v6713(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1846,axiom,(
    ! [VarCurr] :
      ( v7097(VarCurr)
    <=> ( v7098(VarCurr)
        & v7101(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1845,axiom,(
    ! [VarCurr] :
      ( v7101(VarCurr)
    <=> ( v6711(VarCurr)
        | v6992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1844,axiom,(
    ! [VarCurr] :
      ( v7098(VarCurr)
    <=> ( v7099(VarCurr)
        | v7100(VarCurr) ) ) )).

fof(writeUnaryOperator_861,axiom,(
    ! [VarCurr] :
      ( ~ v7100(VarCurr)
    <=> v6992(VarCurr) ) )).

fof(writeUnaryOperator_860,axiom,(
    ! [VarCurr] :
      ( ~ v7099(VarCurr)
    <=> v6711(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1843,axiom,(
    ! [VarCurr] :
      ( v7092(VarCurr)
    <=> ( v7093(VarCurr)
        & v7096(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1842,axiom,(
    ! [VarCurr] :
      ( v7096(VarCurr)
    <=> ( v6709(VarCurr)
        | v7004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1841,axiom,(
    ! [VarCurr] :
      ( v7093(VarCurr)
    <=> ( v7094(VarCurr)
        | v7095(VarCurr) ) ) )).

fof(writeUnaryOperator_859,axiom,(
    ! [VarCurr] :
      ( ~ v7095(VarCurr)
    <=> v7004(VarCurr) ) )).

fof(writeUnaryOperator_858,axiom,(
    ! [VarCurr] :
      ( ~ v7094(VarCurr)
    <=> v6709(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1840,axiom,(
    ! [VarCurr] :
      ( v7087(VarCurr)
    <=> ( v7088(VarCurr)
        & v7091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1839,axiom,(
    ! [VarCurr] :
      ( v7091(VarCurr)
    <=> ( v6707(VarCurr)
        | v7016(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1838,axiom,(
    ! [VarCurr] :
      ( v7088(VarCurr)
    <=> ( v7089(VarCurr)
        | v7090(VarCurr) ) ) )).

fof(writeUnaryOperator_857,axiom,(
    ! [VarCurr] :
      ( ~ v7090(VarCurr)
    <=> v7016(VarCurr) ) )).

fof(writeUnaryOperator_856,axiom,(
    ! [VarCurr] :
      ( ~ v7089(VarCurr)
    <=> v6707(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1837,axiom,(
    ! [VarCurr] :
      ( v7082(VarCurr)
    <=> ( v7083(VarCurr)
        & v7086(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1836,axiom,(
    ! [VarCurr] :
      ( v7086(VarCurr)
    <=> ( v6705(VarCurr)
        | v7028(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1835,axiom,(
    ! [VarCurr] :
      ( v7083(VarCurr)
    <=> ( v7084(VarCurr)
        | v7085(VarCurr) ) ) )).

fof(writeUnaryOperator_855,axiom,(
    ! [VarCurr] :
      ( ~ v7085(VarCurr)
    <=> v7028(VarCurr) ) )).

fof(writeUnaryOperator_854,axiom,(
    ! [VarCurr] :
      ( ~ v7084(VarCurr)
    <=> v6705(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1834,axiom,(
    ! [VarCurr] :
      ( v7077(VarCurr)
    <=> ( v7078(VarCurr)
        & v7081(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1833,axiom,(
    ! [VarCurr] :
      ( v7081(VarCurr)
    <=> ( v6703(VarCurr)
        | v7040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1832,axiom,(
    ! [VarCurr] :
      ( v7078(VarCurr)
    <=> ( v7079(VarCurr)
        | v7080(VarCurr) ) ) )).

fof(writeUnaryOperator_853,axiom,(
    ! [VarCurr] :
      ( ~ v7080(VarCurr)
    <=> v7040(VarCurr) ) )).

fof(writeUnaryOperator_852,axiom,(
    ! [VarCurr] :
      ( ~ v7079(VarCurr)
    <=> v6703(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1831,axiom,(
    ! [VarCurr] :
      ( v7072(VarCurr)
    <=> ( v7073(VarCurr)
        & v7076(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1830,axiom,(
    ! [VarCurr] :
      ( v7076(VarCurr)
    <=> ( v6701(VarCurr)
        | v7052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1829,axiom,(
    ! [VarCurr] :
      ( v7073(VarCurr)
    <=> ( v7074(VarCurr)
        | v7075(VarCurr) ) ) )).

fof(writeUnaryOperator_851,axiom,(
    ! [VarCurr] :
      ( ~ v7075(VarCurr)
    <=> v7052(VarCurr) ) )).

fof(writeUnaryOperator_850,axiom,(
    ! [VarCurr] :
      ( ~ v7074(VarCurr)
    <=> v6701(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1828,axiom,(
    ! [VarCurr] :
      ( v6696(VarCurr)
    <=> ( v6697(VarCurr)
        & v7071(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1827,axiom,(
    ! [VarCurr] :
      ( v7071(VarCurr)
    <=> ( v6699(VarCurr)
        | v7065(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1826,axiom,(
    ! [VarCurr] :
      ( v6697(VarCurr)
    <=> ( v6698(VarCurr)
        | v7064(VarCurr) ) ) )).

fof(writeUnaryOperator_849,axiom,(
    ! [VarCurr] :
      ( ~ v7064(VarCurr)
    <=> v7065(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1825,axiom,(
    ! [VarCurr] :
      ( v7065(VarCurr)
    <=> ( v7066(VarCurr)
        & v7069(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_429,axiom,(
    ! [VarCurr] :
      ( v7069(VarCurr)
    <=> ( v7070(VarCurr)
        | v6752(VarCurr,bitIndex27) ) ) )).

fof(writeUnaryOperator_848,axiom,(
    ! [VarCurr] :
      ( ~ v7070(VarCurr)
    <=> v7067(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1824,axiom,(
    ! [VarCurr] :
      ( v7066(VarCurr)
    <=> ( v7067(VarCurr)
        | v7068(VarCurr) ) ) )).

fof(writeUnaryOperator_847,axiom,(
    ! [VarCurr] :
      ( ~ v7068(VarCurr)
    <=> v6752(VarCurr,bitIndex27) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1823,axiom,(
    ! [VarCurr] :
      ( v7067(VarCurr)
    <=> ( v7058(VarCurr)
        & v7060(VarCurr) ) ) )).

fof(writeUnaryOperator_846,axiom,(
    ! [VarCurr] :
      ( ~ v6698(VarCurr)
    <=> v6699(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1822,axiom,(
    ! [VarCurr] :
      ( v6699(VarCurr)
    <=> ( v6700(VarCurr)
        | v7063(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_428,axiom,(
    ! [VarCurr] :
      ( v7063(VarCurr)
    <=> ( v7055(VarCurr)
        & v6752(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1821,axiom,(
    ! [VarCurr] :
      ( v6700(VarCurr)
    <=> ( v6701(VarCurr)
        & v7052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1820,axiom,(
    ! [VarCurr] :
      ( v7052(VarCurr)
    <=> ( v7053(VarCurr)
        & v7062(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_427,axiom,(
    ! [VarCurr] :
      ( v7062(VarCurr)
    <=> ( v7055(VarCurr)
        | v6752(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1819,axiom,(
    ! [VarCurr] :
      ( v7053(VarCurr)
    <=> ( v7054(VarCurr)
        | v7061(VarCurr) ) ) )).

fof(writeUnaryOperator_845,axiom,(
    ! [VarCurr] :
      ( ~ v7061(VarCurr)
    <=> v6752(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_844,axiom,(
    ! [VarCurr] :
      ( ~ v7054(VarCurr)
    <=> v7055(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1818,axiom,(
    ! [VarCurr] :
      ( v7055(VarCurr)
    <=> ( v7056(VarCurr)
        & v7059(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1817,axiom,(
    ! [VarCurr] :
      ( v7059(VarCurr)
    <=> ( v7058(VarCurr)
        | v7060(VarCurr) ) ) )).

fof(writeUnaryOperator_843,axiom,(
    ! [VarCurr] :
      ( ~ v7060(VarCurr)
    <=> v6655(VarCurr,bitIndex26) ) )).

fof(writeBinaryOperatorShiftedRanges_426,axiom,(
    ! [VarCurr] :
      ( v7056(VarCurr)
    <=> ( v7057(VarCurr)
        | v6655(VarCurr,bitIndex26) ) ) )).

fof(writeUnaryOperator_842,axiom,(
    ! [VarCurr] :
      ( ~ v7057(VarCurr)
    <=> v7058(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1816,axiom,(
    ! [VarCurr] :
      ( v7058(VarCurr)
    <=> ( v7046(VarCurr)
        & v7048(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1815,axiom,(
    ! [VarCurr] :
      ( v6701(VarCurr)
    <=> ( v6702(VarCurr)
        | v7051(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_425,axiom,(
    ! [VarCurr] :
      ( v7051(VarCurr)
    <=> ( v7043(VarCurr)
        & v6752(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1814,axiom,(
    ! [VarCurr] :
      ( v6702(VarCurr)
    <=> ( v6703(VarCurr)
        & v7040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1813,axiom,(
    ! [VarCurr] :
      ( v7040(VarCurr)
    <=> ( v7041(VarCurr)
        & v7050(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_424,axiom,(
    ! [VarCurr] :
      ( v7050(VarCurr)
    <=> ( v7043(VarCurr)
        | v6752(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1812,axiom,(
    ! [VarCurr] :
      ( v7041(VarCurr)
    <=> ( v7042(VarCurr)
        | v7049(VarCurr) ) ) )).

fof(writeUnaryOperator_841,axiom,(
    ! [VarCurr] :
      ( ~ v7049(VarCurr)
    <=> v6752(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_840,axiom,(
    ! [VarCurr] :
      ( ~ v7042(VarCurr)
    <=> v7043(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1811,axiom,(
    ! [VarCurr] :
      ( v7043(VarCurr)
    <=> ( v7044(VarCurr)
        & v7047(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1810,axiom,(
    ! [VarCurr] :
      ( v7047(VarCurr)
    <=> ( v7046(VarCurr)
        | v7048(VarCurr) ) ) )).

fof(writeUnaryOperator_839,axiom,(
    ! [VarCurr] :
      ( ~ v7048(VarCurr)
    <=> v6655(VarCurr,bitIndex25) ) )).

fof(writeBinaryOperatorShiftedRanges_423,axiom,(
    ! [VarCurr] :
      ( v7044(VarCurr)
    <=> ( v7045(VarCurr)
        | v6655(VarCurr,bitIndex25) ) ) )).

fof(writeUnaryOperator_838,axiom,(
    ! [VarCurr] :
      ( ~ v7045(VarCurr)
    <=> v7046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1809,axiom,(
    ! [VarCurr] :
      ( v7046(VarCurr)
    <=> ( v7034(VarCurr)
        & v7036(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1808,axiom,(
    ! [VarCurr] :
      ( v6703(VarCurr)
    <=> ( v6704(VarCurr)
        | v7039(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_422,axiom,(
    ! [VarCurr] :
      ( v7039(VarCurr)
    <=> ( v7031(VarCurr)
        & v6752(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1807,axiom,(
    ! [VarCurr] :
      ( v6704(VarCurr)
    <=> ( v6705(VarCurr)
        & v7028(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1806,axiom,(
    ! [VarCurr] :
      ( v7028(VarCurr)
    <=> ( v7029(VarCurr)
        & v7038(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_421,axiom,(
    ! [VarCurr] :
      ( v7038(VarCurr)
    <=> ( v7031(VarCurr)
        | v6752(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1805,axiom,(
    ! [VarCurr] :
      ( v7029(VarCurr)
    <=> ( v7030(VarCurr)
        | v7037(VarCurr) ) ) )).

fof(writeUnaryOperator_837,axiom,(
    ! [VarCurr] :
      ( ~ v7037(VarCurr)
    <=> v6752(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_836,axiom,(
    ! [VarCurr] :
      ( ~ v7030(VarCurr)
    <=> v7031(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1804,axiom,(
    ! [VarCurr] :
      ( v7031(VarCurr)
    <=> ( v7032(VarCurr)
        & v7035(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1803,axiom,(
    ! [VarCurr] :
      ( v7035(VarCurr)
    <=> ( v7034(VarCurr)
        | v7036(VarCurr) ) ) )).

fof(writeUnaryOperator_835,axiom,(
    ! [VarCurr] :
      ( ~ v7036(VarCurr)
    <=> v6655(VarCurr,bitIndex24) ) )).

fof(writeBinaryOperatorShiftedRanges_420,axiom,(
    ! [VarCurr] :
      ( v7032(VarCurr)
    <=> ( v7033(VarCurr)
        | v6655(VarCurr,bitIndex24) ) ) )).

fof(writeUnaryOperator_834,axiom,(
    ! [VarCurr] :
      ( ~ v7033(VarCurr)
    <=> v7034(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1802,axiom,(
    ! [VarCurr] :
      ( v7034(VarCurr)
    <=> ( v7022(VarCurr)
        & v7024(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1801,axiom,(
    ! [VarCurr] :
      ( v6705(VarCurr)
    <=> ( v6706(VarCurr)
        | v7027(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_419,axiom,(
    ! [VarCurr] :
      ( v7027(VarCurr)
    <=> ( v7019(VarCurr)
        & v6752(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1800,axiom,(
    ! [VarCurr] :
      ( v6706(VarCurr)
    <=> ( v6707(VarCurr)
        & v7016(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1799,axiom,(
    ! [VarCurr] :
      ( v7016(VarCurr)
    <=> ( v7017(VarCurr)
        & v7026(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_418,axiom,(
    ! [VarCurr] :
      ( v7026(VarCurr)
    <=> ( v7019(VarCurr)
        | v6752(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1798,axiom,(
    ! [VarCurr] :
      ( v7017(VarCurr)
    <=> ( v7018(VarCurr)
        | v7025(VarCurr) ) ) )).

fof(writeUnaryOperator_833,axiom,(
    ! [VarCurr] :
      ( ~ v7025(VarCurr)
    <=> v6752(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_832,axiom,(
    ! [VarCurr] :
      ( ~ v7018(VarCurr)
    <=> v7019(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1797,axiom,(
    ! [VarCurr] :
      ( v7019(VarCurr)
    <=> ( v7020(VarCurr)
        & v7023(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1796,axiom,(
    ! [VarCurr] :
      ( v7023(VarCurr)
    <=> ( v7022(VarCurr)
        | v7024(VarCurr) ) ) )).

fof(writeUnaryOperator_831,axiom,(
    ! [VarCurr] :
      ( ~ v7024(VarCurr)
    <=> v6655(VarCurr,bitIndex23) ) )).

fof(writeBinaryOperatorShiftedRanges_417,axiom,(
    ! [VarCurr] :
      ( v7020(VarCurr)
    <=> ( v7021(VarCurr)
        | v6655(VarCurr,bitIndex23) ) ) )).

fof(writeUnaryOperator_830,axiom,(
    ! [VarCurr] :
      ( ~ v7021(VarCurr)
    <=> v7022(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1795,axiom,(
    ! [VarCurr] :
      ( v7022(VarCurr)
    <=> ( v7010(VarCurr)
        & v7012(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1794,axiom,(
    ! [VarCurr] :
      ( v6707(VarCurr)
    <=> ( v6708(VarCurr)
        | v7015(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_416,axiom,(
    ! [VarCurr] :
      ( v7015(VarCurr)
    <=> ( v7007(VarCurr)
        & v6752(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1793,axiom,(
    ! [VarCurr] :
      ( v6708(VarCurr)
    <=> ( v6709(VarCurr)
        & v7004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1792,axiom,(
    ! [VarCurr] :
      ( v7004(VarCurr)
    <=> ( v7005(VarCurr)
        & v7014(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_415,axiom,(
    ! [VarCurr] :
      ( v7014(VarCurr)
    <=> ( v7007(VarCurr)
        | v6752(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1791,axiom,(
    ! [VarCurr] :
      ( v7005(VarCurr)
    <=> ( v7006(VarCurr)
        | v7013(VarCurr) ) ) )).

fof(writeUnaryOperator_829,axiom,(
    ! [VarCurr] :
      ( ~ v7013(VarCurr)
    <=> v6752(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_828,axiom,(
    ! [VarCurr] :
      ( ~ v7006(VarCurr)
    <=> v7007(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1790,axiom,(
    ! [VarCurr] :
      ( v7007(VarCurr)
    <=> ( v7008(VarCurr)
        & v7011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1789,axiom,(
    ! [VarCurr] :
      ( v7011(VarCurr)
    <=> ( v7010(VarCurr)
        | v7012(VarCurr) ) ) )).

fof(writeUnaryOperator_827,axiom,(
    ! [VarCurr] :
      ( ~ v7012(VarCurr)
    <=> v6655(VarCurr,bitIndex22) ) )).

fof(writeBinaryOperatorShiftedRanges_414,axiom,(
    ! [VarCurr] :
      ( v7008(VarCurr)
    <=> ( v7009(VarCurr)
        | v6655(VarCurr,bitIndex22) ) ) )).

fof(writeUnaryOperator_826,axiom,(
    ! [VarCurr] :
      ( ~ v7009(VarCurr)
    <=> v7010(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1788,axiom,(
    ! [VarCurr] :
      ( v7010(VarCurr)
    <=> ( v6998(VarCurr)
        & v7000(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1787,axiom,(
    ! [VarCurr] :
      ( v6709(VarCurr)
    <=> ( v6710(VarCurr)
        | v7003(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_413,axiom,(
    ! [VarCurr] :
      ( v7003(VarCurr)
    <=> ( v6995(VarCurr)
        & v6752(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1786,axiom,(
    ! [VarCurr] :
      ( v6710(VarCurr)
    <=> ( v6711(VarCurr)
        & v6992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1785,axiom,(
    ! [VarCurr] :
      ( v6992(VarCurr)
    <=> ( v6993(VarCurr)
        & v7002(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_412,axiom,(
    ! [VarCurr] :
      ( v7002(VarCurr)
    <=> ( v6995(VarCurr)
        | v6752(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1784,axiom,(
    ! [VarCurr] :
      ( v6993(VarCurr)
    <=> ( v6994(VarCurr)
        | v7001(VarCurr) ) ) )).

fof(writeUnaryOperator_825,axiom,(
    ! [VarCurr] :
      ( ~ v7001(VarCurr)
    <=> v6752(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_824,axiom,(
    ! [VarCurr] :
      ( ~ v6994(VarCurr)
    <=> v6995(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1783,axiom,(
    ! [VarCurr] :
      ( v6995(VarCurr)
    <=> ( v6996(VarCurr)
        & v6999(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1782,axiom,(
    ! [VarCurr] :
      ( v6999(VarCurr)
    <=> ( v6998(VarCurr)
        | v7000(VarCurr) ) ) )).

fof(writeUnaryOperator_823,axiom,(
    ! [VarCurr] :
      ( ~ v7000(VarCurr)
    <=> v6655(VarCurr,bitIndex21) ) )).

fof(writeBinaryOperatorShiftedRanges_411,axiom,(
    ! [VarCurr] :
      ( v6996(VarCurr)
    <=> ( v6997(VarCurr)
        | v6655(VarCurr,bitIndex21) ) ) )).

fof(writeUnaryOperator_822,axiom,(
    ! [VarCurr] :
      ( ~ v6997(VarCurr)
    <=> v6998(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1781,axiom,(
    ! [VarCurr] :
      ( v6998(VarCurr)
    <=> ( v6986(VarCurr)
        & v6988(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1780,axiom,(
    ! [VarCurr] :
      ( v6711(VarCurr)
    <=> ( v6712(VarCurr)
        | v6991(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_410,axiom,(
    ! [VarCurr] :
      ( v6991(VarCurr)
    <=> ( v6983(VarCurr)
        & v6752(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1779,axiom,(
    ! [VarCurr] :
      ( v6712(VarCurr)
    <=> ( v6713(VarCurr)
        & v6980(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1778,axiom,(
    ! [VarCurr] :
      ( v6980(VarCurr)
    <=> ( v6981(VarCurr)
        & v6990(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_409,axiom,(
    ! [VarCurr] :
      ( v6990(VarCurr)
    <=> ( v6983(VarCurr)
        | v6752(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1777,axiom,(
    ! [VarCurr] :
      ( v6981(VarCurr)
    <=> ( v6982(VarCurr)
        | v6989(VarCurr) ) ) )).

fof(writeUnaryOperator_821,axiom,(
    ! [VarCurr] :
      ( ~ v6989(VarCurr)
    <=> v6752(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_820,axiom,(
    ! [VarCurr] :
      ( ~ v6982(VarCurr)
    <=> v6983(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1776,axiom,(
    ! [VarCurr] :
      ( v6983(VarCurr)
    <=> ( v6984(VarCurr)
        & v6987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1775,axiom,(
    ! [VarCurr] :
      ( v6987(VarCurr)
    <=> ( v6986(VarCurr)
        | v6988(VarCurr) ) ) )).

fof(writeUnaryOperator_819,axiom,(
    ! [VarCurr] :
      ( ~ v6988(VarCurr)
    <=> v6655(VarCurr,bitIndex20) ) )).

fof(writeBinaryOperatorShiftedRanges_408,axiom,(
    ! [VarCurr] :
      ( v6984(VarCurr)
    <=> ( v6985(VarCurr)
        | v6655(VarCurr,bitIndex20) ) ) )).

fof(writeUnaryOperator_818,axiom,(
    ! [VarCurr] :
      ( ~ v6985(VarCurr)
    <=> v6986(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1774,axiom,(
    ! [VarCurr] :
      ( v6986(VarCurr)
    <=> ( v6974(VarCurr)
        & v6976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1773,axiom,(
    ! [VarCurr] :
      ( v6713(VarCurr)
    <=> ( v6714(VarCurr)
        | v6979(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_407,axiom,(
    ! [VarCurr] :
      ( v6979(VarCurr)
    <=> ( v6971(VarCurr)
        & v6752(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1772,axiom,(
    ! [VarCurr] :
      ( v6714(VarCurr)
    <=> ( v6715(VarCurr)
        & v6968(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1771,axiom,(
    ! [VarCurr] :
      ( v6968(VarCurr)
    <=> ( v6969(VarCurr)
        & v6978(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_406,axiom,(
    ! [VarCurr] :
      ( v6978(VarCurr)
    <=> ( v6971(VarCurr)
        | v6752(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1770,axiom,(
    ! [VarCurr] :
      ( v6969(VarCurr)
    <=> ( v6970(VarCurr)
        | v6977(VarCurr) ) ) )).

fof(writeUnaryOperator_817,axiom,(
    ! [VarCurr] :
      ( ~ v6977(VarCurr)
    <=> v6752(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_816,axiom,(
    ! [VarCurr] :
      ( ~ v6970(VarCurr)
    <=> v6971(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1769,axiom,(
    ! [VarCurr] :
      ( v6971(VarCurr)
    <=> ( v6972(VarCurr)
        & v6975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1768,axiom,(
    ! [VarCurr] :
      ( v6975(VarCurr)
    <=> ( v6974(VarCurr)
        | v6976(VarCurr) ) ) )).

fof(writeUnaryOperator_815,axiom,(
    ! [VarCurr] :
      ( ~ v6976(VarCurr)
    <=> v6655(VarCurr,bitIndex19) ) )).

fof(writeBinaryOperatorShiftedRanges_405,axiom,(
    ! [VarCurr] :
      ( v6972(VarCurr)
    <=> ( v6973(VarCurr)
        | v6655(VarCurr,bitIndex19) ) ) )).

fof(writeUnaryOperator_814,axiom,(
    ! [VarCurr] :
      ( ~ v6973(VarCurr)
    <=> v6974(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1767,axiom,(
    ! [VarCurr] :
      ( v6974(VarCurr)
    <=> ( v6962(VarCurr)
        & v6964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1766,axiom,(
    ! [VarCurr] :
      ( v6715(VarCurr)
    <=> ( v6716(VarCurr)
        | v6967(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_404,axiom,(
    ! [VarCurr] :
      ( v6967(VarCurr)
    <=> ( v6959(VarCurr)
        & v6752(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1765,axiom,(
    ! [VarCurr] :
      ( v6716(VarCurr)
    <=> ( v6717(VarCurr)
        & v6956(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1764,axiom,(
    ! [VarCurr] :
      ( v6956(VarCurr)
    <=> ( v6957(VarCurr)
        & v6966(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_403,axiom,(
    ! [VarCurr] :
      ( v6966(VarCurr)
    <=> ( v6959(VarCurr)
        | v6752(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1763,axiom,(
    ! [VarCurr] :
      ( v6957(VarCurr)
    <=> ( v6958(VarCurr)
        | v6965(VarCurr) ) ) )).

fof(writeUnaryOperator_813,axiom,(
    ! [VarCurr] :
      ( ~ v6965(VarCurr)
    <=> v6752(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_812,axiom,(
    ! [VarCurr] :
      ( ~ v6958(VarCurr)
    <=> v6959(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1762,axiom,(
    ! [VarCurr] :
      ( v6959(VarCurr)
    <=> ( v6960(VarCurr)
        & v6963(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1761,axiom,(
    ! [VarCurr] :
      ( v6963(VarCurr)
    <=> ( v6962(VarCurr)
        | v6964(VarCurr) ) ) )).

fof(writeUnaryOperator_811,axiom,(
    ! [VarCurr] :
      ( ~ v6964(VarCurr)
    <=> v6655(VarCurr,bitIndex18) ) )).

fof(writeBinaryOperatorShiftedRanges_402,axiom,(
    ! [VarCurr] :
      ( v6960(VarCurr)
    <=> ( v6961(VarCurr)
        | v6655(VarCurr,bitIndex18) ) ) )).

fof(writeUnaryOperator_810,axiom,(
    ! [VarCurr] :
      ( ~ v6961(VarCurr)
    <=> v6962(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1760,axiom,(
    ! [VarCurr] :
      ( v6962(VarCurr)
    <=> ( v6950(VarCurr)
        & v6952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1759,axiom,(
    ! [VarCurr] :
      ( v6717(VarCurr)
    <=> ( v6718(VarCurr)
        | v6955(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_401,axiom,(
    ! [VarCurr] :
      ( v6955(VarCurr)
    <=> ( v6947(VarCurr)
        & v6752(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1758,axiom,(
    ! [VarCurr] :
      ( v6718(VarCurr)
    <=> ( v6719(VarCurr)
        & v6944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1757,axiom,(
    ! [VarCurr] :
      ( v6944(VarCurr)
    <=> ( v6945(VarCurr)
        & v6954(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_400,axiom,(
    ! [VarCurr] :
      ( v6954(VarCurr)
    <=> ( v6947(VarCurr)
        | v6752(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1756,axiom,(
    ! [VarCurr] :
      ( v6945(VarCurr)
    <=> ( v6946(VarCurr)
        | v6953(VarCurr) ) ) )).

fof(writeUnaryOperator_809,axiom,(
    ! [VarCurr] :
      ( ~ v6953(VarCurr)
    <=> v6752(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_808,axiom,(
    ! [VarCurr] :
      ( ~ v6946(VarCurr)
    <=> v6947(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1755,axiom,(
    ! [VarCurr] :
      ( v6947(VarCurr)
    <=> ( v6948(VarCurr)
        & v6951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1754,axiom,(
    ! [VarCurr] :
      ( v6951(VarCurr)
    <=> ( v6950(VarCurr)
        | v6952(VarCurr) ) ) )).

fof(writeUnaryOperator_807,axiom,(
    ! [VarCurr] :
      ( ~ v6952(VarCurr)
    <=> v6655(VarCurr,bitIndex17) ) )).

fof(writeBinaryOperatorShiftedRanges_399,axiom,(
    ! [VarCurr] :
      ( v6948(VarCurr)
    <=> ( v6949(VarCurr)
        | v6655(VarCurr,bitIndex17) ) ) )).

fof(writeUnaryOperator_806,axiom,(
    ! [VarCurr] :
      ( ~ v6949(VarCurr)
    <=> v6950(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1753,axiom,(
    ! [VarCurr] :
      ( v6950(VarCurr)
    <=> ( v6938(VarCurr)
        & v6940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1752,axiom,(
    ! [VarCurr] :
      ( v6719(VarCurr)
    <=> ( v6720(VarCurr)
        | v6943(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_398,axiom,(
    ! [VarCurr] :
      ( v6943(VarCurr)
    <=> ( v6935(VarCurr)
        & v6752(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1751,axiom,(
    ! [VarCurr] :
      ( v6720(VarCurr)
    <=> ( v6721(VarCurr)
        & v6932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1750,axiom,(
    ! [VarCurr] :
      ( v6932(VarCurr)
    <=> ( v6933(VarCurr)
        & v6942(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_397,axiom,(
    ! [VarCurr] :
      ( v6942(VarCurr)
    <=> ( v6935(VarCurr)
        | v6752(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1749,axiom,(
    ! [VarCurr] :
      ( v6933(VarCurr)
    <=> ( v6934(VarCurr)
        | v6941(VarCurr) ) ) )).

fof(writeUnaryOperator_805,axiom,(
    ! [VarCurr] :
      ( ~ v6941(VarCurr)
    <=> v6752(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_804,axiom,(
    ! [VarCurr] :
      ( ~ v6934(VarCurr)
    <=> v6935(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1748,axiom,(
    ! [VarCurr] :
      ( v6935(VarCurr)
    <=> ( v6936(VarCurr)
        & v6939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1747,axiom,(
    ! [VarCurr] :
      ( v6939(VarCurr)
    <=> ( v6938(VarCurr)
        | v6940(VarCurr) ) ) )).

fof(writeUnaryOperator_803,axiom,(
    ! [VarCurr] :
      ( ~ v6940(VarCurr)
    <=> v6655(VarCurr,bitIndex16) ) )).

fof(writeBinaryOperatorShiftedRanges_396,axiom,(
    ! [VarCurr] :
      ( v6936(VarCurr)
    <=> ( v6937(VarCurr)
        | v6655(VarCurr,bitIndex16) ) ) )).

fof(writeUnaryOperator_802,axiom,(
    ! [VarCurr] :
      ( ~ v6937(VarCurr)
    <=> v6938(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1746,axiom,(
    ! [VarCurr] :
      ( v6938(VarCurr)
    <=> ( v6926(VarCurr)
        & v6928(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1745,axiom,(
    ! [VarCurr] :
      ( v6721(VarCurr)
    <=> ( v6722(VarCurr)
        | v6931(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_395,axiom,(
    ! [VarCurr] :
      ( v6931(VarCurr)
    <=> ( v6923(VarCurr)
        & v6752(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1744,axiom,(
    ! [VarCurr] :
      ( v6722(VarCurr)
    <=> ( v6723(VarCurr)
        & v6920(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1743,axiom,(
    ! [VarCurr] :
      ( v6920(VarCurr)
    <=> ( v6921(VarCurr)
        & v6930(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_394,axiom,(
    ! [VarCurr] :
      ( v6930(VarCurr)
    <=> ( v6923(VarCurr)
        | v6752(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1742,axiom,(
    ! [VarCurr] :
      ( v6921(VarCurr)
    <=> ( v6922(VarCurr)
        | v6929(VarCurr) ) ) )).

fof(writeUnaryOperator_801,axiom,(
    ! [VarCurr] :
      ( ~ v6929(VarCurr)
    <=> v6752(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_800,axiom,(
    ! [VarCurr] :
      ( ~ v6922(VarCurr)
    <=> v6923(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1741,axiom,(
    ! [VarCurr] :
      ( v6923(VarCurr)
    <=> ( v6924(VarCurr)
        & v6927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1740,axiom,(
    ! [VarCurr] :
      ( v6927(VarCurr)
    <=> ( v6926(VarCurr)
        | v6928(VarCurr) ) ) )).

fof(writeUnaryOperator_799,axiom,(
    ! [VarCurr] :
      ( ~ v6928(VarCurr)
    <=> v6655(VarCurr,bitIndex15) ) )).

fof(writeBinaryOperatorShiftedRanges_393,axiom,(
    ! [VarCurr] :
      ( v6924(VarCurr)
    <=> ( v6925(VarCurr)
        | v6655(VarCurr,bitIndex15) ) ) )).

fof(writeUnaryOperator_798,axiom,(
    ! [VarCurr] :
      ( ~ v6925(VarCurr)
    <=> v6926(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1739,axiom,(
    ! [VarCurr] :
      ( v6926(VarCurr)
    <=> ( v6914(VarCurr)
        & v6916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1738,axiom,(
    ! [VarCurr] :
      ( v6723(VarCurr)
    <=> ( v6724(VarCurr)
        | v6919(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_392,axiom,(
    ! [VarCurr] :
      ( v6919(VarCurr)
    <=> ( v6911(VarCurr)
        & v6752(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1737,axiom,(
    ! [VarCurr] :
      ( v6724(VarCurr)
    <=> ( v6725(VarCurr)
        & v6908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1736,axiom,(
    ! [VarCurr] :
      ( v6908(VarCurr)
    <=> ( v6909(VarCurr)
        & v6918(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_391,axiom,(
    ! [VarCurr] :
      ( v6918(VarCurr)
    <=> ( v6911(VarCurr)
        | v6752(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1735,axiom,(
    ! [VarCurr] :
      ( v6909(VarCurr)
    <=> ( v6910(VarCurr)
        | v6917(VarCurr) ) ) )).

fof(writeUnaryOperator_797,axiom,(
    ! [VarCurr] :
      ( ~ v6917(VarCurr)
    <=> v6752(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_796,axiom,(
    ! [VarCurr] :
      ( ~ v6910(VarCurr)
    <=> v6911(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1734,axiom,(
    ! [VarCurr] :
      ( v6911(VarCurr)
    <=> ( v6912(VarCurr)
        & v6915(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1733,axiom,(
    ! [VarCurr] :
      ( v6915(VarCurr)
    <=> ( v6914(VarCurr)
        | v6916(VarCurr) ) ) )).

fof(writeUnaryOperator_795,axiom,(
    ! [VarCurr] :
      ( ~ v6916(VarCurr)
    <=> v6655(VarCurr,bitIndex14) ) )).

fof(writeBinaryOperatorShiftedRanges_390,axiom,(
    ! [VarCurr] :
      ( v6912(VarCurr)
    <=> ( v6913(VarCurr)
        | v6655(VarCurr,bitIndex14) ) ) )).

fof(writeUnaryOperator_794,axiom,(
    ! [VarCurr] :
      ( ~ v6913(VarCurr)
    <=> v6914(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1732,axiom,(
    ! [VarCurr] :
      ( v6914(VarCurr)
    <=> ( v6902(VarCurr)
        & v6904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1731,axiom,(
    ! [VarCurr] :
      ( v6725(VarCurr)
    <=> ( v6726(VarCurr)
        | v6907(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_389,axiom,(
    ! [VarCurr] :
      ( v6907(VarCurr)
    <=> ( v6899(VarCurr)
        & v6752(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1730,axiom,(
    ! [VarCurr] :
      ( v6726(VarCurr)
    <=> ( v6727(VarCurr)
        & v6896(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1729,axiom,(
    ! [VarCurr] :
      ( v6896(VarCurr)
    <=> ( v6897(VarCurr)
        & v6906(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_388,axiom,(
    ! [VarCurr] :
      ( v6906(VarCurr)
    <=> ( v6899(VarCurr)
        | v6752(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1728,axiom,(
    ! [VarCurr] :
      ( v6897(VarCurr)
    <=> ( v6898(VarCurr)
        | v6905(VarCurr) ) ) )).

fof(writeUnaryOperator_793,axiom,(
    ! [VarCurr] :
      ( ~ v6905(VarCurr)
    <=> v6752(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_792,axiom,(
    ! [VarCurr] :
      ( ~ v6898(VarCurr)
    <=> v6899(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1727,axiom,(
    ! [VarCurr] :
      ( v6899(VarCurr)
    <=> ( v6900(VarCurr)
        & v6903(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1726,axiom,(
    ! [VarCurr] :
      ( v6903(VarCurr)
    <=> ( v6902(VarCurr)
        | v6904(VarCurr) ) ) )).

fof(writeUnaryOperator_791,axiom,(
    ! [VarCurr] :
      ( ~ v6904(VarCurr)
    <=> v6655(VarCurr,bitIndex13) ) )).

fof(writeBinaryOperatorShiftedRanges_387,axiom,(
    ! [VarCurr] :
      ( v6900(VarCurr)
    <=> ( v6901(VarCurr)
        | v6655(VarCurr,bitIndex13) ) ) )).

fof(writeUnaryOperator_790,axiom,(
    ! [VarCurr] :
      ( ~ v6901(VarCurr)
    <=> v6902(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1725,axiom,(
    ! [VarCurr] :
      ( v6902(VarCurr)
    <=> ( v6890(VarCurr)
        & v6892(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1724,axiom,(
    ! [VarCurr] :
      ( v6727(VarCurr)
    <=> ( v6728(VarCurr)
        | v6895(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_386,axiom,(
    ! [VarCurr] :
      ( v6895(VarCurr)
    <=> ( v6887(VarCurr)
        & v6752(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1723,axiom,(
    ! [VarCurr] :
      ( v6728(VarCurr)
    <=> ( v6729(VarCurr)
        & v6884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1722,axiom,(
    ! [VarCurr] :
      ( v6884(VarCurr)
    <=> ( v6885(VarCurr)
        & v6894(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_385,axiom,(
    ! [VarCurr] :
      ( v6894(VarCurr)
    <=> ( v6887(VarCurr)
        | v6752(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1721,axiom,(
    ! [VarCurr] :
      ( v6885(VarCurr)
    <=> ( v6886(VarCurr)
        | v6893(VarCurr) ) ) )).

fof(writeUnaryOperator_789,axiom,(
    ! [VarCurr] :
      ( ~ v6893(VarCurr)
    <=> v6752(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_788,axiom,(
    ! [VarCurr] :
      ( ~ v6886(VarCurr)
    <=> v6887(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1720,axiom,(
    ! [VarCurr] :
      ( v6887(VarCurr)
    <=> ( v6888(VarCurr)
        & v6891(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1719,axiom,(
    ! [VarCurr] :
      ( v6891(VarCurr)
    <=> ( v6890(VarCurr)
        | v6892(VarCurr) ) ) )).

fof(writeUnaryOperator_787,axiom,(
    ! [VarCurr] :
      ( ~ v6892(VarCurr)
    <=> v6655(VarCurr,bitIndex12) ) )).

fof(writeBinaryOperatorShiftedRanges_384,axiom,(
    ! [VarCurr] :
      ( v6888(VarCurr)
    <=> ( v6889(VarCurr)
        | v6655(VarCurr,bitIndex12) ) ) )).

fof(writeUnaryOperator_786,axiom,(
    ! [VarCurr] :
      ( ~ v6889(VarCurr)
    <=> v6890(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1718,axiom,(
    ! [VarCurr] :
      ( v6890(VarCurr)
    <=> ( v6878(VarCurr)
        & v6880(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1717,axiom,(
    ! [VarCurr] :
      ( v6729(VarCurr)
    <=> ( v6730(VarCurr)
        | v6883(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_383,axiom,(
    ! [VarCurr] :
      ( v6883(VarCurr)
    <=> ( v6875(VarCurr)
        & v6752(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1716,axiom,(
    ! [VarCurr] :
      ( v6730(VarCurr)
    <=> ( v6731(VarCurr)
        & v6872(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1715,axiom,(
    ! [VarCurr] :
      ( v6872(VarCurr)
    <=> ( v6873(VarCurr)
        & v6882(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_382,axiom,(
    ! [VarCurr] :
      ( v6882(VarCurr)
    <=> ( v6875(VarCurr)
        | v6752(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1714,axiom,(
    ! [VarCurr] :
      ( v6873(VarCurr)
    <=> ( v6874(VarCurr)
        | v6881(VarCurr) ) ) )).

fof(writeUnaryOperator_785,axiom,(
    ! [VarCurr] :
      ( ~ v6881(VarCurr)
    <=> v6752(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_784,axiom,(
    ! [VarCurr] :
      ( ~ v6874(VarCurr)
    <=> v6875(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1713,axiom,(
    ! [VarCurr] :
      ( v6875(VarCurr)
    <=> ( v6876(VarCurr)
        & v6879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1712,axiom,(
    ! [VarCurr] :
      ( v6879(VarCurr)
    <=> ( v6878(VarCurr)
        | v6880(VarCurr) ) ) )).

fof(writeUnaryOperator_783,axiom,(
    ! [VarCurr] :
      ( ~ v6880(VarCurr)
    <=> v6655(VarCurr,bitIndex11) ) )).

fof(writeBinaryOperatorShiftedRanges_381,axiom,(
    ! [VarCurr] :
      ( v6876(VarCurr)
    <=> ( v6877(VarCurr)
        | v6655(VarCurr,bitIndex11) ) ) )).

fof(writeUnaryOperator_782,axiom,(
    ! [VarCurr] :
      ( ~ v6877(VarCurr)
    <=> v6878(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1711,axiom,(
    ! [VarCurr] :
      ( v6878(VarCurr)
    <=> ( v6866(VarCurr)
        & v6868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1710,axiom,(
    ! [VarCurr] :
      ( v6731(VarCurr)
    <=> ( v6732(VarCurr)
        | v6871(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_380,axiom,(
    ! [VarCurr] :
      ( v6871(VarCurr)
    <=> ( v6863(VarCurr)
        & v6752(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1709,axiom,(
    ! [VarCurr] :
      ( v6732(VarCurr)
    <=> ( v6733(VarCurr)
        & v6860(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1708,axiom,(
    ! [VarCurr] :
      ( v6860(VarCurr)
    <=> ( v6861(VarCurr)
        & v6870(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_379,axiom,(
    ! [VarCurr] :
      ( v6870(VarCurr)
    <=> ( v6863(VarCurr)
        | v6752(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1707,axiom,(
    ! [VarCurr] :
      ( v6861(VarCurr)
    <=> ( v6862(VarCurr)
        | v6869(VarCurr) ) ) )).

fof(writeUnaryOperator_781,axiom,(
    ! [VarCurr] :
      ( ~ v6869(VarCurr)
    <=> v6752(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_780,axiom,(
    ! [VarCurr] :
      ( ~ v6862(VarCurr)
    <=> v6863(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1706,axiom,(
    ! [VarCurr] :
      ( v6863(VarCurr)
    <=> ( v6864(VarCurr)
        & v6867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1705,axiom,(
    ! [VarCurr] :
      ( v6867(VarCurr)
    <=> ( v6866(VarCurr)
        | v6868(VarCurr) ) ) )).

fof(writeUnaryOperator_779,axiom,(
    ! [VarCurr] :
      ( ~ v6868(VarCurr)
    <=> v6655(VarCurr,bitIndex10) ) )).

fof(writeBinaryOperatorShiftedRanges_378,axiom,(
    ! [VarCurr] :
      ( v6864(VarCurr)
    <=> ( v6865(VarCurr)
        | v6655(VarCurr,bitIndex10) ) ) )).

fof(writeUnaryOperator_778,axiom,(
    ! [VarCurr] :
      ( ~ v6865(VarCurr)
    <=> v6866(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1704,axiom,(
    ! [VarCurr] :
      ( v6866(VarCurr)
    <=> ( v6854(VarCurr)
        & v6856(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1703,axiom,(
    ! [VarCurr] :
      ( v6733(VarCurr)
    <=> ( v6734(VarCurr)
        | v6859(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_377,axiom,(
    ! [VarCurr] :
      ( v6859(VarCurr)
    <=> ( v6851(VarCurr)
        & v6752(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1702,axiom,(
    ! [VarCurr] :
      ( v6734(VarCurr)
    <=> ( v6735(VarCurr)
        & v6848(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1701,axiom,(
    ! [VarCurr] :
      ( v6848(VarCurr)
    <=> ( v6849(VarCurr)
        & v6858(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_376,axiom,(
    ! [VarCurr] :
      ( v6858(VarCurr)
    <=> ( v6851(VarCurr)
        | v6752(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1700,axiom,(
    ! [VarCurr] :
      ( v6849(VarCurr)
    <=> ( v6850(VarCurr)
        | v6857(VarCurr) ) ) )).

fof(writeUnaryOperator_777,axiom,(
    ! [VarCurr] :
      ( ~ v6857(VarCurr)
    <=> v6752(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_776,axiom,(
    ! [VarCurr] :
      ( ~ v6850(VarCurr)
    <=> v6851(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1699,axiom,(
    ! [VarCurr] :
      ( v6851(VarCurr)
    <=> ( v6852(VarCurr)
        & v6855(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1698,axiom,(
    ! [VarCurr] :
      ( v6855(VarCurr)
    <=> ( v6854(VarCurr)
        | v6856(VarCurr) ) ) )).

fof(writeUnaryOperator_775,axiom,(
    ! [VarCurr] :
      ( ~ v6856(VarCurr)
    <=> v6655(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorShiftedRanges_375,axiom,(
    ! [VarCurr] :
      ( v6852(VarCurr)
    <=> ( v6853(VarCurr)
        | v6655(VarCurr,bitIndex9) ) ) )).

fof(writeUnaryOperator_774,axiom,(
    ! [VarCurr] :
      ( ~ v6853(VarCurr)
    <=> v6854(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1697,axiom,(
    ! [VarCurr] :
      ( v6854(VarCurr)
    <=> ( v6842(VarCurr)
        & v6844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1696,axiom,(
    ! [VarCurr] :
      ( v6735(VarCurr)
    <=> ( v6736(VarCurr)
        | v6847(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_374,axiom,(
    ! [VarCurr] :
      ( v6847(VarCurr)
    <=> ( v6839(VarCurr)
        & v6752(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1695,axiom,(
    ! [VarCurr] :
      ( v6736(VarCurr)
    <=> ( v6737(VarCurr)
        & v6836(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1694,axiom,(
    ! [VarCurr] :
      ( v6836(VarCurr)
    <=> ( v6837(VarCurr)
        & v6846(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_373,axiom,(
    ! [VarCurr] :
      ( v6846(VarCurr)
    <=> ( v6839(VarCurr)
        | v6752(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1693,axiom,(
    ! [VarCurr] :
      ( v6837(VarCurr)
    <=> ( v6838(VarCurr)
        | v6845(VarCurr) ) ) )).

fof(writeUnaryOperator_773,axiom,(
    ! [VarCurr] :
      ( ~ v6845(VarCurr)
    <=> v6752(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_772,axiom,(
    ! [VarCurr] :
      ( ~ v6838(VarCurr)
    <=> v6839(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1692,axiom,(
    ! [VarCurr] :
      ( v6839(VarCurr)
    <=> ( v6840(VarCurr)
        & v6843(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1691,axiom,(
    ! [VarCurr] :
      ( v6843(VarCurr)
    <=> ( v6842(VarCurr)
        | v6844(VarCurr) ) ) )).

fof(writeUnaryOperator_771,axiom,(
    ! [VarCurr] :
      ( ~ v6844(VarCurr)
    <=> v6655(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorShiftedRanges_372,axiom,(
    ! [VarCurr] :
      ( v6840(VarCurr)
    <=> ( v6841(VarCurr)
        | v6655(VarCurr,bitIndex8) ) ) )).

fof(writeUnaryOperator_770,axiom,(
    ! [VarCurr] :
      ( ~ v6841(VarCurr)
    <=> v6842(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1690,axiom,(
    ! [VarCurr] :
      ( v6842(VarCurr)
    <=> ( v6830(VarCurr)
        & v6832(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1689,axiom,(
    ! [VarCurr] :
      ( v6737(VarCurr)
    <=> ( v6738(VarCurr)
        | v6835(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_371,axiom,(
    ! [VarCurr] :
      ( v6835(VarCurr)
    <=> ( v6827(VarCurr)
        & v6752(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1688,axiom,(
    ! [VarCurr] :
      ( v6738(VarCurr)
    <=> ( v6739(VarCurr)
        & v6824(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1687,axiom,(
    ! [VarCurr] :
      ( v6824(VarCurr)
    <=> ( v6825(VarCurr)
        & v6834(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_370,axiom,(
    ! [VarCurr] :
      ( v6834(VarCurr)
    <=> ( v6827(VarCurr)
        | v6752(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1686,axiom,(
    ! [VarCurr] :
      ( v6825(VarCurr)
    <=> ( v6826(VarCurr)
        | v6833(VarCurr) ) ) )).

fof(writeUnaryOperator_769,axiom,(
    ! [VarCurr] :
      ( ~ v6833(VarCurr)
    <=> v6752(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_768,axiom,(
    ! [VarCurr] :
      ( ~ v6826(VarCurr)
    <=> v6827(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1685,axiom,(
    ! [VarCurr] :
      ( v6827(VarCurr)
    <=> ( v6828(VarCurr)
        & v6831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1684,axiom,(
    ! [VarCurr] :
      ( v6831(VarCurr)
    <=> ( v6830(VarCurr)
        | v6832(VarCurr) ) ) )).

fof(writeUnaryOperator_767,axiom,(
    ! [VarCurr] :
      ( ~ v6832(VarCurr)
    <=> v6655(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorShiftedRanges_369,axiom,(
    ! [VarCurr] :
      ( v6828(VarCurr)
    <=> ( v6829(VarCurr)
        | v6655(VarCurr,bitIndex7) ) ) )).

fof(writeUnaryOperator_766,axiom,(
    ! [VarCurr] :
      ( ~ v6829(VarCurr)
    <=> v6830(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1683,axiom,(
    ! [VarCurr] :
      ( v6830(VarCurr)
    <=> ( v6818(VarCurr)
        & v6820(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1682,axiom,(
    ! [VarCurr] :
      ( v6739(VarCurr)
    <=> ( v6740(VarCurr)
        | v6823(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_368,axiom,(
    ! [VarCurr] :
      ( v6823(VarCurr)
    <=> ( v6815(VarCurr)
        & v6752(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1681,axiom,(
    ! [VarCurr] :
      ( v6740(VarCurr)
    <=> ( v6741(VarCurr)
        & v6812(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1680,axiom,(
    ! [VarCurr] :
      ( v6812(VarCurr)
    <=> ( v6813(VarCurr)
        & v6822(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_367,axiom,(
    ! [VarCurr] :
      ( v6822(VarCurr)
    <=> ( v6815(VarCurr)
        | v6752(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1679,axiom,(
    ! [VarCurr] :
      ( v6813(VarCurr)
    <=> ( v6814(VarCurr)
        | v6821(VarCurr) ) ) )).

fof(writeUnaryOperator_765,axiom,(
    ! [VarCurr] :
      ( ~ v6821(VarCurr)
    <=> v6752(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_764,axiom,(
    ! [VarCurr] :
      ( ~ v6814(VarCurr)
    <=> v6815(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1678,axiom,(
    ! [VarCurr] :
      ( v6815(VarCurr)
    <=> ( v6816(VarCurr)
        & v6819(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1677,axiom,(
    ! [VarCurr] :
      ( v6819(VarCurr)
    <=> ( v6818(VarCurr)
        | v6820(VarCurr) ) ) )).

fof(writeUnaryOperator_763,axiom,(
    ! [VarCurr] :
      ( ~ v6820(VarCurr)
    <=> v6655(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_366,axiom,(
    ! [VarCurr] :
      ( v6816(VarCurr)
    <=> ( v6817(VarCurr)
        | v6655(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_762,axiom,(
    ! [VarCurr] :
      ( ~ v6817(VarCurr)
    <=> v6818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1676,axiom,(
    ! [VarCurr] :
      ( v6818(VarCurr)
    <=> ( v6806(VarCurr)
        & v6808(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1675,axiom,(
    ! [VarCurr] :
      ( v6741(VarCurr)
    <=> ( v6742(VarCurr)
        | v6811(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_365,axiom,(
    ! [VarCurr] :
      ( v6811(VarCurr)
    <=> ( v6803(VarCurr)
        & v6752(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1674,axiom,(
    ! [VarCurr] :
      ( v6742(VarCurr)
    <=> ( v6743(VarCurr)
        & v6800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1673,axiom,(
    ! [VarCurr] :
      ( v6800(VarCurr)
    <=> ( v6801(VarCurr)
        & v6810(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_364,axiom,(
    ! [VarCurr] :
      ( v6810(VarCurr)
    <=> ( v6803(VarCurr)
        | v6752(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1672,axiom,(
    ! [VarCurr] :
      ( v6801(VarCurr)
    <=> ( v6802(VarCurr)
        | v6809(VarCurr) ) ) )).

fof(writeUnaryOperator_761,axiom,(
    ! [VarCurr] :
      ( ~ v6809(VarCurr)
    <=> v6752(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_760,axiom,(
    ! [VarCurr] :
      ( ~ v6802(VarCurr)
    <=> v6803(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1671,axiom,(
    ! [VarCurr] :
      ( v6803(VarCurr)
    <=> ( v6804(VarCurr)
        & v6807(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1670,axiom,(
    ! [VarCurr] :
      ( v6807(VarCurr)
    <=> ( v6806(VarCurr)
        | v6808(VarCurr) ) ) )).

fof(writeUnaryOperator_759,axiom,(
    ! [VarCurr] :
      ( ~ v6808(VarCurr)
    <=> v6655(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_363,axiom,(
    ! [VarCurr] :
      ( v6804(VarCurr)
    <=> ( v6805(VarCurr)
        | v6655(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_758,axiom,(
    ! [VarCurr] :
      ( ~ v6805(VarCurr)
    <=> v6806(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1669,axiom,(
    ! [VarCurr] :
      ( v6806(VarCurr)
    <=> ( v6794(VarCurr)
        & v6796(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1668,axiom,(
    ! [VarCurr] :
      ( v6743(VarCurr)
    <=> ( v6744(VarCurr)
        | v6799(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_362,axiom,(
    ! [VarCurr] :
      ( v6799(VarCurr)
    <=> ( v6791(VarCurr)
        & v6752(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1667,axiom,(
    ! [VarCurr] :
      ( v6744(VarCurr)
    <=> ( v6745(VarCurr)
        & v6788(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1666,axiom,(
    ! [VarCurr] :
      ( v6788(VarCurr)
    <=> ( v6789(VarCurr)
        & v6798(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_361,axiom,(
    ! [VarCurr] :
      ( v6798(VarCurr)
    <=> ( v6791(VarCurr)
        | v6752(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1665,axiom,(
    ! [VarCurr] :
      ( v6789(VarCurr)
    <=> ( v6790(VarCurr)
        | v6797(VarCurr) ) ) )).

fof(writeUnaryOperator_757,axiom,(
    ! [VarCurr] :
      ( ~ v6797(VarCurr)
    <=> v6752(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_756,axiom,(
    ! [VarCurr] :
      ( ~ v6790(VarCurr)
    <=> v6791(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1664,axiom,(
    ! [VarCurr] :
      ( v6791(VarCurr)
    <=> ( v6792(VarCurr)
        & v6795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1663,axiom,(
    ! [VarCurr] :
      ( v6795(VarCurr)
    <=> ( v6794(VarCurr)
        | v6796(VarCurr) ) ) )).

fof(writeUnaryOperator_755,axiom,(
    ! [VarCurr] :
      ( ~ v6796(VarCurr)
    <=> v6655(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_360,axiom,(
    ! [VarCurr] :
      ( v6792(VarCurr)
    <=> ( v6793(VarCurr)
        | v6655(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_754,axiom,(
    ! [VarCurr] :
      ( ~ v6793(VarCurr)
    <=> v6794(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1662,axiom,(
    ! [VarCurr] :
      ( v6794(VarCurr)
    <=> ( v6782(VarCurr)
        & v6784(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1661,axiom,(
    ! [VarCurr] :
      ( v6745(VarCurr)
    <=> ( v6746(VarCurr)
        | v6787(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_359,axiom,(
    ! [VarCurr] :
      ( v6787(VarCurr)
    <=> ( v6779(VarCurr)
        & v6752(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1660,axiom,(
    ! [VarCurr] :
      ( v6746(VarCurr)
    <=> ( v6747(VarCurr)
        & v6776(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1659,axiom,(
    ! [VarCurr] :
      ( v6776(VarCurr)
    <=> ( v6777(VarCurr)
        & v6786(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_358,axiom,(
    ! [VarCurr] :
      ( v6786(VarCurr)
    <=> ( v6779(VarCurr)
        | v6752(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1658,axiom,(
    ! [VarCurr] :
      ( v6777(VarCurr)
    <=> ( v6778(VarCurr)
        | v6785(VarCurr) ) ) )).

fof(writeUnaryOperator_753,axiom,(
    ! [VarCurr] :
      ( ~ v6785(VarCurr)
    <=> v6752(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_752,axiom,(
    ! [VarCurr] :
      ( ~ v6778(VarCurr)
    <=> v6779(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1657,axiom,(
    ! [VarCurr] :
      ( v6779(VarCurr)
    <=> ( v6780(VarCurr)
        & v6783(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1656,axiom,(
    ! [VarCurr] :
      ( v6783(VarCurr)
    <=> ( v6782(VarCurr)
        | v6784(VarCurr) ) ) )).

fof(writeUnaryOperator_751,axiom,(
    ! [VarCurr] :
      ( ~ v6784(VarCurr)
    <=> v6655(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_357,axiom,(
    ! [VarCurr] :
      ( v6780(VarCurr)
    <=> ( v6781(VarCurr)
        | v6655(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_750,axiom,(
    ! [VarCurr] :
      ( ~ v6781(VarCurr)
    <=> v6782(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1655,axiom,(
    ! [VarCurr] :
      ( v6782(VarCurr)
    <=> ( v6770(VarCurr)
        & v6772(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1654,axiom,(
    ! [VarCurr] :
      ( v6747(VarCurr)
    <=> ( v6748(VarCurr)
        | v6775(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_356,axiom,(
    ! [VarCurr] :
      ( v6775(VarCurr)
    <=> ( v6767(VarCurr)
        & v6752(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1653,axiom,(
    ! [VarCurr] :
      ( v6748(VarCurr)
    <=> ( v6749(VarCurr)
        & v6764(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1652,axiom,(
    ! [VarCurr] :
      ( v6764(VarCurr)
    <=> ( v6765(VarCurr)
        & v6774(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_355,axiom,(
    ! [VarCurr] :
      ( v6774(VarCurr)
    <=> ( v6767(VarCurr)
        | v6752(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1651,axiom,(
    ! [VarCurr] :
      ( v6765(VarCurr)
    <=> ( v6766(VarCurr)
        | v6773(VarCurr) ) ) )).

fof(writeUnaryOperator_749,axiom,(
    ! [VarCurr] :
      ( ~ v6773(VarCurr)
    <=> v6752(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_748,axiom,(
    ! [VarCurr] :
      ( ~ v6766(VarCurr)
    <=> v6767(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1650,axiom,(
    ! [VarCurr] :
      ( v6767(VarCurr)
    <=> ( v6768(VarCurr)
        & v6771(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1649,axiom,(
    ! [VarCurr] :
      ( v6771(VarCurr)
    <=> ( v6770(VarCurr)
        | v6772(VarCurr) ) ) )).

fof(writeUnaryOperator_747,axiom,(
    ! [VarCurr] :
      ( ~ v6772(VarCurr)
    <=> v6655(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_354,axiom,(
    ! [VarCurr] :
      ( v6768(VarCurr)
    <=> ( v6769(VarCurr)
        | v6655(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_746,axiom,(
    ! [VarCurr] :
      ( ~ v6769(VarCurr)
    <=> v6770(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1648,axiom,(
    ! [VarCurr] :
      ( v6770(VarCurr)
    <=> ( v6759(VarCurr)
        & v6760(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1647,axiom,(
    ! [VarCurr] :
      ( v6749(VarCurr)
    <=> ( v6750(VarCurr)
        | v6763(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_353,axiom,(
    ! [VarCurr] :
      ( v6763(VarCurr)
    <=> ( v6756(VarCurr)
        & v6752(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1646,axiom,(
    ! [VarCurr] :
      ( v6750(VarCurr)
    <=> ( v6751(VarCurr)
        & v6753(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1645,axiom,(
    ! [VarCurr] :
      ( v6753(VarCurr)
    <=> ( v6754(VarCurr)
        & v6762(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_352,axiom,(
    ! [VarCurr] :
      ( v6762(VarCurr)
    <=> ( v6756(VarCurr)
        | v6752(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1644,axiom,(
    ! [VarCurr] :
      ( v6754(VarCurr)
    <=> ( v6755(VarCurr)
        | v6761(VarCurr) ) ) )).

fof(writeUnaryOperator_745,axiom,(
    ! [VarCurr] :
      ( ~ v6761(VarCurr)
    <=> v6752(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_744,axiom,(
    ! [VarCurr] :
      ( ~ v6755(VarCurr)
    <=> v6756(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1643,axiom,(
    ! [VarCurr] :
      ( v6756(VarCurr)
    <=> ( v6757(VarCurr)
        & v6758(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1642,axiom,(
    ! [VarCurr] :
      ( v6758(VarCurr)
    <=> ( v6759(VarCurr)
        | v6760(VarCurr) ) ) )).

fof(writeUnaryOperator_743,axiom,(
    ! [VarCurr] :
      ( ~ v6760(VarCurr)
    <=> v6655(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_742,axiom,(
    ! [VarCurr] :
      ( ~ v6759(VarCurr)
    <=> v6655(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_351,axiom,(
    ! [VarCurr] :
      ( v6757(VarCurr)
    <=> ( v6655(VarCurr,bitIndex0)
        | v6655(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1641,axiom,(
    ! [VarCurr] :
      ( v6751(VarCurr)
    <=> ( v6655(VarCurr,bitIndex0)
        & v6752(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_1659,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v6752(VarCurr,B)
      <=> v6638(VarCurr,B) ) ) )).

fof(addAssignment_1658,axiom,(
    ! [VarCurr] :
      ( v6752(VarCurr,bitIndex27)
    <=> $false ) )).

fof(addAssignment_1657,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex18)
    <=> v6607(VarCurr,bitIndex25) ) )).

fof(addAssignment_1656,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex25)
    <=> v6634(VarCurr,bitIndex25) ) )).

fof(addAssignment_1655,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex25)
    <=> v6627(VarCurr,bitIndex25) ) )).

fof(addAssignment_1654,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex25)
    <=> v6693(VarCurr) ) )).

fof(addAssignment_1653,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex25)
    <=> v6617(VarCurr,bitIndex25) ) )).

fof(addAssignment_1652,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex25)
    <=> v6619(VarCurr,bitIndex25) ) )).

fof(addAssignment_1651,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex25)
    <=> v6621(VarCurr,bitIndex25) ) )).

fof(addAssignment_1650,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex25)
    <=> v6623(VarCurr,bitIndex25) ) )).

fof(addAssignment_1649,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex17)
    <=> v6607(VarCurr,bitIndex24) ) )).

fof(addAssignment_1648,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex24)
    <=> v6634(VarCurr,bitIndex24) ) )).

fof(addAssignment_1647,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex24)
    <=> v6627(VarCurr,bitIndex24) ) )).

fof(addAssignment_1646,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex24)
    <=> v6691(VarCurr) ) )).

fof(addAssignment_1645,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex24)
    <=> v6617(VarCurr,bitIndex24) ) )).

fof(addAssignment_1644,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex24)
    <=> v6619(VarCurr,bitIndex24) ) )).

fof(addAssignment_1643,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex24)
    <=> v6621(VarCurr,bitIndex24) ) )).

fof(addAssignment_1642,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex24)
    <=> v6623(VarCurr,bitIndex24) ) )).

fof(addAssignment_1641,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex16)
    <=> v6607(VarCurr,bitIndex23) ) )).

fof(addAssignment_1640,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex23)
    <=> v6634(VarCurr,bitIndex23) ) )).

fof(addAssignment_1639,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex23)
    <=> v6627(VarCurr,bitIndex23) ) )).

fof(addAssignment_1638,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex23)
    <=> v6689(VarCurr) ) )).

fof(addAssignment_1637,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex23)
    <=> v6617(VarCurr,bitIndex23) ) )).

fof(addAssignment_1636,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex23)
    <=> v6619(VarCurr,bitIndex23) ) )).

fof(addAssignment_1635,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex23)
    <=> v6621(VarCurr,bitIndex23) ) )).

fof(addAssignment_1634,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex23)
    <=> v6623(VarCurr,bitIndex23) ) )).

fof(addAssignment_1633,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex15)
    <=> v6607(VarCurr,bitIndex22) ) )).

fof(addAssignment_1632,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex22)
    <=> v6634(VarCurr,bitIndex22) ) )).

fof(addAssignment_1631,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex22)
    <=> v6627(VarCurr,bitIndex22) ) )).

fof(addAssignment_1630,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex22)
    <=> v6687(VarCurr) ) )).

fof(addAssignment_1629,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex22)
    <=> v6617(VarCurr,bitIndex22) ) )).

fof(addAssignment_1628,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex22)
    <=> v6619(VarCurr,bitIndex22) ) )).

fof(addAssignment_1627,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex22)
    <=> v6621(VarCurr,bitIndex22) ) )).

fof(addAssignment_1626,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex22)
    <=> v6623(VarCurr,bitIndex22) ) )).

fof(addAssignment_1625,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex14)
    <=> v6607(VarCurr,bitIndex21) ) )).

fof(addAssignment_1624,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex21)
    <=> v6634(VarCurr,bitIndex21) ) )).

fof(addAssignment_1623,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex21)
    <=> v6627(VarCurr,bitIndex21) ) )).

fof(addAssignment_1622,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex21)
    <=> v6685(VarCurr) ) )).

fof(addAssignment_1621,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex21)
    <=> v6617(VarCurr,bitIndex21) ) )).

fof(addAssignment_1620,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex21)
    <=> v6619(VarCurr,bitIndex21) ) )).

fof(addAssignment_1619,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex21)
    <=> v6621(VarCurr,bitIndex21) ) )).

fof(addAssignment_1618,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex21)
    <=> v6623(VarCurr,bitIndex21) ) )).

fof(addAssignment_1617,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex13)
    <=> v6607(VarCurr,bitIndex20) ) )).

fof(addAssignment_1616,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex20)
    <=> v6634(VarCurr,bitIndex20) ) )).

fof(addAssignment_1615,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex20)
    <=> v6627(VarCurr,bitIndex20) ) )).

fof(addAssignment_1614,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex20)
    <=> v6683(VarCurr) ) )).

fof(addAssignment_1613,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex20)
    <=> v6617(VarCurr,bitIndex20) ) )).

fof(addAssignment_1612,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex20)
    <=> v6619(VarCurr,bitIndex20) ) )).

fof(addAssignment_1611,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex20)
    <=> v6621(VarCurr,bitIndex20) ) )).

fof(addAssignment_1610,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex20)
    <=> v6623(VarCurr,bitIndex20) ) )).

fof(addAssignment_1609,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex12)
    <=> v6607(VarCurr,bitIndex19) ) )).

fof(addAssignment_1608,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex19)
    <=> v6634(VarCurr,bitIndex19) ) )).

fof(addAssignment_1607,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex19)
    <=> v6627(VarCurr,bitIndex19) ) )).

fof(addAssignment_1606,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex19)
    <=> v6681(VarCurr) ) )).

fof(addAssignment_1605,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex19)
    <=> v6617(VarCurr,bitIndex19) ) )).

fof(addAssignment_1604,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex19)
    <=> v6619(VarCurr,bitIndex19) ) )).

fof(addAssignment_1603,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex19)
    <=> v6621(VarCurr,bitIndex19) ) )).

fof(addAssignment_1602,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex19)
    <=> v6623(VarCurr,bitIndex19) ) )).

fof(addAssignment_1601,axiom,(
    ! [VarCurr] :
      ( v6655(VarCurr,bitIndex11)
    <=> v6607(VarCurr,bitIndex18) ) )).

fof(addAssignment_1600,axiom,(
    ! [VarCurr] :
      ( v6607(VarCurr,bitIndex18)
    <=> v6634(VarCurr,bitIndex18) ) )).

fof(addAssignment_1599,axiom,(
    ! [VarCurr] :
      ( v6625(VarCurr,bitIndex18)
    <=> v6627(VarCurr,bitIndex18) ) )).

fof(addAssignment_1598,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex18)
    <=> v6679(VarCurr) ) )).

fof(addAssignment_1597,axiom,(
    ! [VarCurr] :
      ( v6615(VarCurr,bitIndex18)
    <=> v6617(VarCurr,bitIndex18) ) )).

fof(addAssignment_1596,axiom,(
    ! [VarCurr] :
      ( v6617(VarCurr,bitIndex18)
    <=> v6619(VarCurr,bitIndex18) ) )).

fof(addAssignment_1595,axiom,(
    ! [VarCurr] :
      ( v6619(VarCurr,bitIndex18)
    <=> v6621(VarCurr,bitIndex18) ) )).

fof(addAssignment_1594,axiom,(
    ! [VarCurr] :
      ( v6621(VarCurr,bitIndex18)
    <=> v6623(VarCurr,bitIndex18) ) )).

fof(addAssignment_1593,axiom,(
    ! [VarCurr] :
      ( ( v6655(VarCurr,bitIndex10)
      <=> v6607(VarCurr,bitIndex17) )
      & ( v6655(VarCurr,bitIndex9)
      <=> v6607(VarCurr,bitIndex16) )
      & ( v6655(VarCurr,bitIndex8)
      <=> v6607(VarCurr,bitIndex15) )
      & ( v6655(VarCurr,bitIndex7)
      <=> v6607(VarCurr,bitIndex14) )
      & ( v6655(VarCurr,bitIndex6)
      <=> v6607(VarCurr,bitIndex13) )
      & ( v6655(VarCurr,bitIndex5)
      <=> v6607(VarCurr,bitIndex12) )
      & ( v6655(VarCurr,bitIndex4)
      <=> v6607(VarCurr,bitIndex11) )
      & ( v6655(VarCurr,bitIndex3)
      <=> v6607(VarCurr,bitIndex10) )
      & ( v6655(VarCurr,bitIndex2)
      <=> v6607(VarCurr,bitIndex9) )
      & ( v6655(VarCurr,bitIndex1)
      <=> v6607(VarCurr,bitIndex8) )
      & ( v6655(VarCurr,bitIndex0)
      <=> v6607(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_1592,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v6607(VarCurr,B)
      <=> v6634(VarCurr,B) ) ) )).

fof(addAssignment_1591,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v6625(VarCurr,B)
      <=> v6627(VarCurr,B) ) ) )).

fof(addAssignment_1590,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex17)
    <=> v6657(VarCurr) ) )).

fof(addAssignment_1589,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex16)
    <=> v6659(VarCurr) ) )).

fof(addAssignment_1588,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex15)
    <=> v6661(VarCurr) ) )).

fof(addAssignment_1587,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex14)
    <=> v6663(VarCurr) ) )).

fof(addAssignment_1586,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex13)
    <=> v6665(VarCurr) ) )).

fof(addAssignment_1585,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex12)
    <=> v6667(VarCurr) ) )).

fof(addAssignment_1584,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex11)
    <=> v6669(VarCurr) ) )).

fof(addAssignment_1583,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex10)
    <=> v6671(VarCurr) ) )).

fof(addAssignment_1582,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex9)
    <=> v6673(VarCurr) ) )).

fof(addAssignment_1581,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex8)
    <=> v6675(VarCurr) ) )).

fof(addAssignment_1580,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex7)
    <=> v6677(VarCurr) ) )).

fof(addAssignment_1579,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v6615(VarCurr,B)
      <=> v6617(VarCurr,B) ) ) )).

fof(addAssignment_1578,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v6617(VarCurr,B)
      <=> v6619(VarCurr,B) ) ) )).

fof(addAssignment_1577,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v6619(VarCurr,B)
      <=> v6621(VarCurr,B) ) ) )).

fof(addAssignment_1576,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v6621(VarCurr,B)
      <=> v6623(VarCurr,B) ) ) )).

fof(range_axiom_31,axiom,(
    ! [B] :
      ( range_17_7(B)
    <=> ( $false
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B ) ) )).

fof(addAssignment_1575,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex18)
    <=> v6640(VarCurr,bitIndex18) ) )).

fof(addAssignment_1574,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex17)
    <=> v6640(VarCurr,bitIndex17) ) )).

fof(addAssignment_1573,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex16)
    <=> v6640(VarCurr,bitIndex16) ) )).

fof(addAssignment_1572,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex15)
    <=> v6640(VarCurr,bitIndex15) ) )).

fof(addAssignment_1571,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex14)
    <=> v6640(VarCurr,bitIndex14) ) )).

fof(addAssignment_1570,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex13)
    <=> v6640(VarCurr,bitIndex13) ) )).

fof(addAssignment_1569,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex12)
    <=> v6640(VarCurr,bitIndex12) ) )).

fof(addAssignment_1568,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr,bitIndex11)
    <=> v6640(VarCurr,bitIndex11) ) )).

fof(addAssignment_1567,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v6638(VarCurr,B)
      <=> v6640(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v6641(VarCurr)
        & ~ v6642(VarCurr)
        & ~ v6644(VarCurr)
        & ~ v6645(VarCurr)
        & ~ v6647(VarCurr)
        & ~ v6648(VarCurr)
        & ~ v6651(VarCurr) )
     => ! [B] :
          ( range_26_0(B)
         => ( v6640(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_2,axiom,(
    ! [VarCurr] :
      ( v6651(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v6640(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_2,axiom,(
    ! [VarCurr] :
      ( v6648(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v6640(VarCurr,B)
          <=> v6649(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_4,axiom,(
    ! [VarCurr] :
      ( v6647(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v6640(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_21,axiom,(
    ! [VarCurr] :
      ( v6645(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v6640(VarCurr,B)
          <=> v6646(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_40,axiom,(
    ! [VarCurr] :
      ( v6644(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v6640(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_851,axiom,(
    ~ b000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_850,axiom,(
    ~ b000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_849,axiom,(
    ~ b000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_848,axiom,(
    ~ b000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_847,axiom,(
    ~ b000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_846,axiom,(
    ~ b000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_845,axiom,(
    ~ b000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_844,axiom,(
    ~ b000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_843,axiom,(
    ~ b000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_842,axiom,(
    ~ b000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_841,axiom,(
    ~ b000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_840,axiom,(
    ~ b000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_839,axiom,(
    ~ b000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_838,axiom,(
    ~ b000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_837,axiom,(
    ~ b000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_836,axiom,(
    ~ b000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_835,axiom,(
    ~ b000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_834,axiom,(
    ~ b000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_833,axiom,(
    ~ b000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_832,axiom,(
    ~ b000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_831,axiom,(
    ~ b000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_830,axiom,(
    ~ b000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_829,axiom,(
    ~ b000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_828,axiom,(
    ~ b000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_827,axiom,(
    ~ b000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_826,axiom,(
    ~ b000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_825,axiom,(
    ~ b000000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_112,axiom,(
    ! [VarCurr] :
      ( v6642(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v6640(VarCurr,B)
          <=> v6643(VarCurr,B) ) ) ) )).

fof(range_axiom_30,axiom,(
    ! [B] :
      ( range_26_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0,axiom,(
    ! [VarCurr] :
      ( v6641(VarCurr)
     => ( ( v6640(VarCurr,bitIndex26)
        <=> v6028(VarCurr,bitIndex37) )
        & ( v6640(VarCurr,bitIndex25)
        <=> v6028(VarCurr,bitIndex36) )
        & ( v6640(VarCurr,bitIndex24)
        <=> v6028(VarCurr,bitIndex35) )
        & ( v6640(VarCurr,bitIndex23)
        <=> v6028(VarCurr,bitIndex34) )
        & ( v6640(VarCurr,bitIndex22)
        <=> v6028(VarCurr,bitIndex33) )
        & ( v6640(VarCurr,bitIndex21)
        <=> v6028(VarCurr,bitIndex32) )
        & ( v6640(VarCurr,bitIndex20)
        <=> v6028(VarCurr,bitIndex31) )
        & ( v6640(VarCurr,bitIndex19)
        <=> v6028(VarCurr,bitIndex30) )
        & ( v6640(VarCurr,bitIndex18)
        <=> v6028(VarCurr,bitIndex29) )
        & ( v6640(VarCurr,bitIndex17)
        <=> v6028(VarCurr,bitIndex28) )
        & ( v6640(VarCurr,bitIndex16)
        <=> v6028(VarCurr,bitIndex27) )
        & ( v6640(VarCurr,bitIndex15)
        <=> v6028(VarCurr,bitIndex26) )
        & ( v6640(VarCurr,bitIndex14)
        <=> v6028(VarCurr,bitIndex25) )
        & ( v6640(VarCurr,bitIndex13)
        <=> v6028(VarCurr,bitIndex24) )
        & ( v6640(VarCurr,bitIndex12)
        <=> v6028(VarCurr,bitIndex23) )
        & ( v6640(VarCurr,bitIndex11)
        <=> v6028(VarCurr,bitIndex22) )
        & ( v6640(VarCurr,bitIndex10)
        <=> v6028(VarCurr,bitIndex21) )
        & ( v6640(VarCurr,bitIndex9)
        <=> v6028(VarCurr,bitIndex20) )
        & ( v6640(VarCurr,bitIndex8)
        <=> v6028(VarCurr,bitIndex19) )
        & ( v6640(VarCurr,bitIndex7)
        <=> v6028(VarCurr,bitIndex18) )
        & ( v6640(VarCurr,bitIndex6)
        <=> v6028(VarCurr,bitIndex17) )
        & ( v6640(VarCurr,bitIndex5)
        <=> v6028(VarCurr,bitIndex16) )
        & ( v6640(VarCurr,bitIndex4)
        <=> v6028(VarCurr,bitIndex15) )
        & ( v6640(VarCurr,bitIndex3)
        <=> v6028(VarCurr,bitIndex14) )
        & ( v6640(VarCurr,bitIndex2)
        <=> v6028(VarCurr,bitIndex13) )
        & ( v6640(VarCurr,bitIndex1)
        <=> v6028(VarCurr,bitIndex12) )
        & ( v6640(VarCurr,bitIndex0)
        <=> v6028(VarCurr,bitIndex11) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1640,axiom,(
    ! [VarCurr] :
      ( v6651(VarCurr)
    <=> ( v6652(VarCurr)
        | v6653(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_391,axiom,(
    ! [VarCurr] :
      ( v6653(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_390,axiom,(
    ! [VarCurr] :
      ( v6652(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1566,axiom,(
    ! [VarCurr] :
      ( ( v6649(VarCurr,bitIndex11)
      <=> v6028(VarCurr,bitIndex37) )
      & ( v6649(VarCurr,bitIndex10)
      <=> v6028(VarCurr,bitIndex36) )
      & ( v6649(VarCurr,bitIndex9)
      <=> v6028(VarCurr,bitIndex35) )
      & ( v6649(VarCurr,bitIndex8)
      <=> v6028(VarCurr,bitIndex34) )
      & ( v6649(VarCurr,bitIndex7)
      <=> v6028(VarCurr,bitIndex33) )
      & ( v6649(VarCurr,bitIndex6)
      <=> v6028(VarCurr,bitIndex32) )
      & ( v6649(VarCurr,bitIndex5)
      <=> v6028(VarCurr,bitIndex31) )
      & ( v6649(VarCurr,bitIndex4)
      <=> v6028(VarCurr,bitIndex30) )
      & ( v6649(VarCurr,bitIndex3)
      <=> v6028(VarCurr,bitIndex29) )
      & ( v6649(VarCurr,bitIndex2)
      <=> v6028(VarCurr,bitIndex28) )
      & ( v6649(VarCurr,bitIndex1)
      <=> v6028(VarCurr,bitIndex27) )
      & ( v6649(VarCurr,bitIndex0)
      <=> v6028(VarCurr,bitIndex26) ) ) )).

fof(addAssignment_1565,axiom,(
    ! [VarCurr] :
      ( ( v6649(VarCurr,bitIndex26)
      <=> $false )
      & ( v6649(VarCurr,bitIndex25)
      <=> $false )
      & ( v6649(VarCurr,bitIndex24)
      <=> $false )
      & ( v6649(VarCurr,bitIndex23)
      <=> $false )
      & ( v6649(VarCurr,bitIndex22)
      <=> $false )
      & ( v6649(VarCurr,bitIndex21)
      <=> $false )
      & ( v6649(VarCurr,bitIndex20)
      <=> $false )
      & ( v6649(VarCurr,bitIndex19)
      <=> $false )
      & ( v6649(VarCurr,bitIndex18)
      <=> $false )
      & ( v6649(VarCurr,bitIndex17)
      <=> $false )
      & ( v6649(VarCurr,bitIndex16)
      <=> $false )
      & ( v6649(VarCurr,bitIndex15)
      <=> $false )
      & ( v6649(VarCurr,bitIndex14)
      <=> $false )
      & ( v6649(VarCurr,bitIndex13)
      <=> $false )
      & ( v6649(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(bitBlastConstant_824,axiom,(
    ~ b000000000000000(bitIndex14) )).

fof(bitBlastConstant_823,axiom,(
    ~ b000000000000000(bitIndex13) )).

fof(bitBlastConstant_822,axiom,(
    ~ b000000000000000(bitIndex12) )).

fof(bitBlastConstant_821,axiom,(
    ~ b000000000000000(bitIndex11) )).

fof(bitBlastConstant_820,axiom,(
    ~ b000000000000000(bitIndex10) )).

fof(bitBlastConstant_819,axiom,(
    ~ b000000000000000(bitIndex9) )).

fof(bitBlastConstant_818,axiom,(
    ~ b000000000000000(bitIndex8) )).

fof(bitBlastConstant_817,axiom,(
    ~ b000000000000000(bitIndex7) )).

fof(bitBlastConstant_816,axiom,(
    ~ b000000000000000(bitIndex6) )).

fof(bitBlastConstant_815,axiom,(
    ~ b000000000000000(bitIndex5) )).

fof(bitBlastConstant_814,axiom,(
    ~ b000000000000000(bitIndex4) )).

fof(bitBlastConstant_813,axiom,(
    ~ b000000000000000(bitIndex3) )).

fof(bitBlastConstant_812,axiom,(
    ~ b000000000000000(bitIndex2) )).

fof(bitBlastConstant_811,axiom,(
    ~ b000000000000000(bitIndex1) )).

fof(bitBlastConstant_810,axiom,(
    ~ b000000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_389,axiom,(
    ! [VarCurr] :
      ( v6648(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_388,axiom,(
    ! [VarCurr] :
      ( v6647(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $true )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1564,axiom,(
    ! [VarCurr] :
      ( ( v6646(VarCurr,bitIndex17)
      <=> v6028(VarCurr,bitIndex37) )
      & ( v6646(VarCurr,bitIndex16)
      <=> v6028(VarCurr,bitIndex36) )
      & ( v6646(VarCurr,bitIndex15)
      <=> v6028(VarCurr,bitIndex35) )
      & ( v6646(VarCurr,bitIndex14)
      <=> v6028(VarCurr,bitIndex34) )
      & ( v6646(VarCurr,bitIndex13)
      <=> v6028(VarCurr,bitIndex33) )
      & ( v6646(VarCurr,bitIndex12)
      <=> v6028(VarCurr,bitIndex32) )
      & ( v6646(VarCurr,bitIndex11)
      <=> v6028(VarCurr,bitIndex31) )
      & ( v6646(VarCurr,bitIndex10)
      <=> v6028(VarCurr,bitIndex30) )
      & ( v6646(VarCurr,bitIndex9)
      <=> v6028(VarCurr,bitIndex29) )
      & ( v6646(VarCurr,bitIndex8)
      <=> v6028(VarCurr,bitIndex28) )
      & ( v6646(VarCurr,bitIndex7)
      <=> v6028(VarCurr,bitIndex27) )
      & ( v6646(VarCurr,bitIndex6)
      <=> v6028(VarCurr,bitIndex26) )
      & ( v6646(VarCurr,bitIndex5)
      <=> v6028(VarCurr,bitIndex25) )
      & ( v6646(VarCurr,bitIndex4)
      <=> v6028(VarCurr,bitIndex24) )
      & ( v6646(VarCurr,bitIndex3)
      <=> v6028(VarCurr,bitIndex23) )
      & ( v6646(VarCurr,bitIndex2)
      <=> v6028(VarCurr,bitIndex22) )
      & ( v6646(VarCurr,bitIndex1)
      <=> v6028(VarCurr,bitIndex21) )
      & ( v6646(VarCurr,bitIndex0)
      <=> v6028(VarCurr,bitIndex20) ) ) )).

fof(addAssignment_1563,axiom,(
    ! [VarCurr] :
      ( ( v6646(VarCurr,bitIndex26)
      <=> $false )
      & ( v6646(VarCurr,bitIndex25)
      <=> $false )
      & ( v6646(VarCurr,bitIndex24)
      <=> $false )
      & ( v6646(VarCurr,bitIndex23)
      <=> $false )
      & ( v6646(VarCurr,bitIndex22)
      <=> $false )
      & ( v6646(VarCurr,bitIndex21)
      <=> $false )
      & ( v6646(VarCurr,bitIndex20)
      <=> $false )
      & ( v6646(VarCurr,bitIndex19)
      <=> $false )
      & ( v6646(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_387,axiom,(
    ! [VarCurr] :
      ( v6645(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_386,axiom,(
    ! [VarCurr] :
      ( v6644(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $true )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1562,axiom,(
    ! [VarCurr] :
      ( ( v6643(VarCurr,bitIndex23)
      <=> v6028(VarCurr,bitIndex37) )
      & ( v6643(VarCurr,bitIndex22)
      <=> v6028(VarCurr,bitIndex36) )
      & ( v6643(VarCurr,bitIndex21)
      <=> v6028(VarCurr,bitIndex35) )
      & ( v6643(VarCurr,bitIndex20)
      <=> v6028(VarCurr,bitIndex34) )
      & ( v6643(VarCurr,bitIndex19)
      <=> v6028(VarCurr,bitIndex33) )
      & ( v6643(VarCurr,bitIndex18)
      <=> v6028(VarCurr,bitIndex32) )
      & ( v6643(VarCurr,bitIndex17)
      <=> v6028(VarCurr,bitIndex31) )
      & ( v6643(VarCurr,bitIndex16)
      <=> v6028(VarCurr,bitIndex30) )
      & ( v6643(VarCurr,bitIndex15)
      <=> v6028(VarCurr,bitIndex29) )
      & ( v6643(VarCurr,bitIndex14)
      <=> v6028(VarCurr,bitIndex28) )
      & ( v6643(VarCurr,bitIndex13)
      <=> v6028(VarCurr,bitIndex27) )
      & ( v6643(VarCurr,bitIndex12)
      <=> v6028(VarCurr,bitIndex26) )
      & ( v6643(VarCurr,bitIndex11)
      <=> v6028(VarCurr,bitIndex25) )
      & ( v6643(VarCurr,bitIndex10)
      <=> v6028(VarCurr,bitIndex24) )
      & ( v6643(VarCurr,bitIndex9)
      <=> v6028(VarCurr,bitIndex23) )
      & ( v6643(VarCurr,bitIndex8)
      <=> v6028(VarCurr,bitIndex22) )
      & ( v6643(VarCurr,bitIndex7)
      <=> v6028(VarCurr,bitIndex21) )
      & ( v6643(VarCurr,bitIndex6)
      <=> v6028(VarCurr,bitIndex20) )
      & ( v6643(VarCurr,bitIndex5)
      <=> v6028(VarCurr,bitIndex19) )
      & ( v6643(VarCurr,bitIndex4)
      <=> v6028(VarCurr,bitIndex18) )
      & ( v6643(VarCurr,bitIndex3)
      <=> v6028(VarCurr,bitIndex17) )
      & ( v6643(VarCurr,bitIndex2)
      <=> v6028(VarCurr,bitIndex16) )
      & ( v6643(VarCurr,bitIndex1)
      <=> v6028(VarCurr,bitIndex15) )
      & ( v6643(VarCurr,bitIndex0)
      <=> v6028(VarCurr,bitIndex14) ) ) )).

fof(addAssignment_1561,axiom,(
    ! [VarCurr] :
      ( ( v6643(VarCurr,bitIndex26)
      <=> $false )
      & ( v6643(VarCurr,bitIndex25)
      <=> $false )
      & ( v6643(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_385,axiom,(
    ! [VarCurr] :
      ( v6642(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_384,axiom,(
    ! [VarCurr] :
      ( v6641(VarCurr)
    <=> ( ( v6605(VarCurr,bitIndex2)
        <=> $false )
        & ( v6605(VarCurr,bitIndex1)
        <=> $false )
        & ( v6605(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1560,axiom,(
    ! [VarCurr] :
      ( ( v6605(VarCurr,bitIndex2)
      <=> v6607(VarCurr,bitIndex6) )
      & ( v6605(VarCurr,bitIndex1)
      <=> v6607(VarCurr,bitIndex5) )
      & ( v6605(VarCurr,bitIndex0)
      <=> v6607(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_1559,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v6607(VarCurr,B)
      <=> v6634(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_152,axiom,(
    ! [VarCurr] :
      ( ~ v6609(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v6634(VarCurr,B)
          <=> v6625(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_156,axiom,(
    ! [VarCurr] :
      ( v6609(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v6634(VarCurr,B)
          <=> v6615(VarCurr,B) ) ) ) )).

fof(addAssignment_1558,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v6625(VarCurr,B)
      <=> v6627(VarCurr,B) ) ) )).

fof(addAssignment_1557,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex6)
    <=> v6629(VarCurr) ) )).

fof(addAssignment_1556,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex5)
    <=> v6631(VarCurr) ) )).

fof(addAssignment_1555,axiom,(
    ! [VarCurr] :
      ( v6627(VarCurr,bitIndex4)
    <=> v6633(VarCurr) ) )).

fof(addAssignment_1554,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v6615(VarCurr,B)
      <=> v6617(VarCurr,B) ) ) )).

fof(addAssignment_1553,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v6617(VarCurr,B)
      <=> v6619(VarCurr,B) ) ) )).

fof(addAssignment_1552,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v6619(VarCurr,B)
      <=> v6621(VarCurr,B) ) ) )).

fof(addAssignment_1551,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v6621(VarCurr,B)
      <=> v6623(VarCurr,B) ) ) )).

fof(range_axiom_29,axiom,(
    ! [B] :
      ( range_6_4(B)
    <=> ( $false
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B ) ) )).

fof(addAssignment_1550,axiom,(
    ! [VarCurr] :
      ( v6609(VarCurr)
    <=> v6611(VarCurr) ) )).

fof(addAssignment_1549,axiom,(
    ! [VarCurr] :
      ( v6611(VarCurr)
    <=> v6613(VarCurr) ) )).

fof(addAssignment_1548,axiom,(
    ! [VarCurr] :
      ( v6594(VarCurr)
    <=> v6596(VarCurr) ) )).

fof(addAssignment_1547,axiom,(
    ! [VarCurr] :
      ( v6596(VarCurr)
    <=> v6598(VarCurr) ) )).

fof(addAssignment_1546,axiom,(
    ! [VarCurr] :
      ( v6598(VarCurr)
    <=> v6600(VarCurr) ) )).

fof(addAssignment_1545,axiom,(
    ! [VarCurr] :
      ( v6600(VarCurr)
    <=> v5313(VarCurr,bitIndex1) ) )).

fof(addAssignment_1544,axiom,(
    ! [VarCurr] :
      ( v6591(VarCurr)
    <=> v4967(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_151,axiom,(
    ! [VarCurr] :
      ( ~ v6160(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v6158(VarCurr,B)
          <=> v6278(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_155,axiom,(
    ! [VarCurr] :
      ( v6160(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v6158(VarCurr,B)
          <=> v6568(VarCurr,B) ) ) ) )).

fof(addAssignment_1543,axiom,(
    ! [VarCurr] :
      ( v6568(VarCurr,bitIndex0)
    <=> v6586(VarCurr) ) )).

fof(addAssignment_1542,axiom,(
    ! [VarCurr] :
      ( v6568(VarCurr,bitIndex1)
    <=> v6584(VarCurr) ) )).

fof(addAssignment_1541,axiom,(
    ! [VarCurr] :
      ( v6568(VarCurr,bitIndex2)
    <=> v6579(VarCurr) ) )).

fof(addAssignment_1540,axiom,(
    ! [VarCurr] :
      ( v6568(VarCurr,bitIndex3)
    <=> v6570(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1639,axiom,(
    ! [VarCurr] :
      ( v6584(VarCurr)
    <=> ( v6585(VarCurr)
        & v6587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1638,axiom,(
    ! [VarCurr] :
      ( v6587(VarCurr)
    <=> ( v6278(VarCurr,bitIndex0)
        | v6576(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_350,axiom,(
    ! [VarCurr] :
      ( v6585(VarCurr)
    <=> ( v6586(VarCurr)
        | v6278(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_741,axiom,(
    ! [VarCurr] :
      ( ~ v6586(VarCurr)
    <=> v6278(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1637,axiom,(
    ! [VarCurr] :
      ( v6579(VarCurr)
    <=> ( v6580(VarCurr)
        & v6583(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_349,axiom,(
    ! [VarCurr] :
      ( v6583(VarCurr)
    <=> ( v6574(VarCurr)
        | v6278(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1636,axiom,(
    ! [VarCurr] :
      ( v6580(VarCurr)
    <=> ( v6581(VarCurr)
        | v6582(VarCurr) ) ) )).

fof(writeUnaryOperator_740,axiom,(
    ! [VarCurr] :
      ( ~ v6582(VarCurr)
    <=> v6278(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_739,axiom,(
    ! [VarCurr] :
      ( ~ v6581(VarCurr)
    <=> v6574(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1635,axiom,(
    ! [VarCurr] :
      ( v6570(VarCurr)
    <=> ( v6571(VarCurr)
        & v6578(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_348,axiom,(
    ! [VarCurr] :
      ( v6578(VarCurr)
    <=> ( v6573(VarCurr)
        | v6278(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1634,axiom,(
    ! [VarCurr] :
      ( v6571(VarCurr)
    <=> ( v6572(VarCurr)
        | v6577(VarCurr) ) ) )).

fof(writeUnaryOperator_738,axiom,(
    ! [VarCurr] :
      ( ~ v6577(VarCurr)
    <=> v6278(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_737,axiom,(
    ! [VarCurr] :
      ( ~ v6572(VarCurr)
    <=> v6573(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_347,axiom,(
    ! [VarCurr] :
      ( v6573(VarCurr)
    <=> ( v6574(VarCurr)
        & v6278(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_346,axiom,(
    ! [VarCurr] :
      ( v6574(VarCurr)
    <=> ( v6278(VarCurr,bitIndex1)
        | v6575(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1633,axiom,(
    ! [VarCurr] :
      ( v6575(VarCurr)
    <=> ( v6278(VarCurr,bitIndex0)
        & v6576(VarCurr) ) ) )).

fof(writeUnaryOperator_736,axiom,(
    ! [VarCurr] :
      ( ~ v6576(VarCurr)
    <=> v6278(VarCurr,bitIndex1) ) )).

fof(addAssignment_1539,axiom,(
    ! [VarCurr] :
      ( v6278(VarCurr,bitIndex3)
    <=> v6280(VarCurr,bitIndex3) ) )).

fof(addAssignment_1538,axiom,(
    ! [VarCurr] :
      ( v6280(VarCurr,bitIndex3)
    <=> v6282(VarCurr,bitIndex3) ) )).

fof(addAssignment_1537,axiom,(
    ! [VarCurr] :
      ( v6282(VarCurr,bitIndex3)
    <=> v6284(VarCurr,bitIndex3) ) )).

fof(addAssignment_1536,axiom,(
    ! [VarCurr] :
      ( v6284(VarCurr,bitIndex3)
    <=> v6286(VarCurr,bitIndex3) ) )).

fof(addAssignment_1535,axiom,(
    ! [VarCurr] :
      ( v6286(VarCurr,bitIndex3)
    <=> v6288(VarCurr,bitIndex3) ) )).

fof(addAssignment_1534,axiom,(
    ! [VarCurr] :
      ( v6288(VarCurr,bitIndex3)
    <=> v6290(VarCurr,bitIndex3) ) )).

fof(addAssignment_1533,axiom,(
    ! [VarCurr] :
      ( v6290(VarCurr,bitIndex3)
    <=> v6292(VarCurr,bitIndex3) ) )).

fof(addAssignment_1532,axiom,(
    ! [VarCurr] :
      ( v6292(VarCurr,bitIndex3)
    <=> v6294(VarCurr,bitIndex3) ) )).

fof(addAssignment_1531,axiom,(
    ! [VarCurr] :
      ( v6294(VarCurr,bitIndex3)
    <=> v6178(VarCurr,bitIndex3) ) )).

fof(addAssignment_1530,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex3)
    <=> v6180(VarCurr,bitIndex3) ) )).

fof(addAssignment_1529,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex3)
    <=> v6500(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_70,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6523(VarNext)
       => ( v6500(VarNext)
        <=> v6500(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_73,axiom,(
    ! [VarNext] :
      ( v6523(VarNext)
     => ( v6500(VarNext)
      <=> v6558(VarNext) ) ) )).

fof(addAssignment_1528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6558(VarNext)
      <=> v6556(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_111,axiom,(
    ! [VarCurr] :
      ( ~ v6502(VarCurr)
     => ( v6556(VarCurr)
      <=> v6559(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_113,axiom,(
    ! [VarCurr] :
      ( v6502(VarCurr)
     => ( v6556(VarCurr)
      <=> v6504(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_110,axiom,(
    ! [VarCurr] :
      ( ~ v6536(VarCurr)
     => ( v6559(VarCurr)
      <=> v6518(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_112,axiom,(
    ! [VarCurr] :
      ( v6536(VarCurr)
     => ( v6559(VarCurr)
      <=> v6560(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_39,axiom,(
    ! [VarCurr] :
      ( ( ~ v6539(VarCurr)
        & ~ v6541(VarCurr) )
     => ( v6560(VarCurr)
      <=> v6564(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_109,axiom,(
    ! [VarCurr] :
      ( v6541(VarCurr)
     => ( v6560(VarCurr)
      <=> v6563(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_111,axiom,(
    ! [VarCurr] :
      ( v6539(VarCurr)
     => ( v6560(VarCurr)
      <=> v6561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_108,axiom,(
    ! [VarCurr] :
      ( ~ v6549(VarCurr)
     => ( v6564(VarCurr)
      <=> v6518(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_110,axiom,(
    ! [VarCurr] :
      ( v6549(VarCurr)
     => ( v6564(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_107,axiom,(
    ! [VarCurr] :
      ( ~ v6543(VarCurr)
     => ( v6563(VarCurr)
      <=> v6518(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_109,axiom,(
    ! [VarCurr] :
      ( v6543(VarCurr)
     => ( v6563(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_150,axiom,(
    ! [VarCurr] :
      ( ~ v6562(VarCurr)
     => ( v6561(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_154,axiom,(
    ! [VarCurr] :
      ( v6562(VarCurr)
     => ( v6561(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_383,axiom,(
    ! [VarCurr] :
      ( v6562(VarCurr)
    <=> ( v6512(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1632,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6523(VarNext)
      <=> ( v6524(VarNext)
          & v6533(VarNext) ) ) ) )).

fof(addAssignment_1527,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6533(VarNext)
      <=> v6531(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1631,axiom,(
    ! [VarCurr] :
      ( v6531(VarCurr)
    <=> ( v6502(VarCurr)
        | v6534(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1630,axiom,(
    ! [VarCurr] :
      ( v6534(VarCurr)
    <=> ( v6535(VarCurr)
        & v6555(VarCurr) ) ) )).

fof(writeUnaryOperator_735,axiom,(
    ! [VarCurr] :
      ( ~ v6555(VarCurr)
    <=> v6502(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1629,axiom,(
    ! [VarCurr] :
      ( v6535(VarCurr)
    <=> ( v6536(VarCurr)
        | v6553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1628,axiom,(
    ! [VarCurr] :
      ( v6553(VarCurr)
    <=> ( v6514(VarCurr)
        & v6554(VarCurr) ) ) )).

fof(writeUnaryOperator_734,axiom,(
    ! [VarCurr] :
      ( ~ v6554(VarCurr)
    <=> v6516(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1627,axiom,(
    ! [VarCurr] :
      ( v6536(VarCurr)
    <=> ( v6537(VarCurr)
        & v6516(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1626,axiom,(
    ! [VarCurr] :
      ( v6537(VarCurr)
    <=> ( v6538(VarCurr)
        | v6547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1625,axiom,(
    ! [VarCurr] :
      ( v6547(VarCurr)
    <=> ( v6548(VarCurr)
        & v6552(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_382,axiom,(
    ! [VarCurr] :
      ( v6552(VarCurr)
    <=> ( ( v6540(VarCurr,bitIndex2)
        <=> $false )
        & ( v6540(VarCurr,bitIndex1)
        <=> $false )
        & ( v6540(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1624,axiom,(
    ! [VarCurr] :
      ( v6548(VarCurr)
    <=> ( v6549(VarCurr)
        | v6550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1623,axiom,(
    ! [VarCurr] :
      ( v6550(VarCurr)
    <=> ( v6514(VarCurr)
        & v6551(VarCurr) ) ) )).

fof(writeUnaryOperator_733,axiom,(
    ! [VarCurr] :
      ( ~ v6551(VarCurr)
    <=> v6549(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_381,axiom,(
    ! [VarCurr] :
      ( v6549(VarCurr)
    <=> ( v6512(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1622,axiom,(
    ! [VarCurr] :
      ( v6538(VarCurr)
    <=> ( v6539(VarCurr)
        | v6541(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1621,axiom,(
    ! [VarCurr] :
      ( v6541(VarCurr)
    <=> ( v6542(VarCurr)
        & v6546(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_380,axiom,(
    ! [VarCurr] :
      ( v6546(VarCurr)
    <=> ( ( v6540(VarCurr,bitIndex2)
        <=> $false )
        & ( v6540(VarCurr,bitIndex1)
        <=> $true )
        & ( v6540(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1620,axiom,(
    ! [VarCurr] :
      ( v6542(VarCurr)
    <=> ( v6543(VarCurr)
        | v6544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1619,axiom,(
    ! [VarCurr] :
      ( v6544(VarCurr)
    <=> ( v6514(VarCurr)
        & v6545(VarCurr) ) ) )).

fof(writeUnaryOperator_732,axiom,(
    ! [VarCurr] :
      ( ~ v6545(VarCurr)
    <=> v6543(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_379,axiom,(
    ! [VarCurr] :
      ( v6543(VarCurr)
    <=> ( v6512(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_378,axiom,(
    ! [VarCurr] :
      ( v6539(VarCurr)
    <=> ( ( v6540(VarCurr,bitIndex2)
        <=> $true )
        & ( v6540(VarCurr,bitIndex1)
        <=> $false )
        & ( v6540(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1526,axiom,(
    ! [VarCurr] :
      ( v6540(VarCurr,bitIndex0)
    <=> v6510(VarCurr) ) )).

fof(addAssignment_1525,axiom,(
    ! [VarCurr] :
      ( v6540(VarCurr,bitIndex1)
    <=> v6508(VarCurr) ) )).

fof(addAssignment_1524,axiom,(
    ! [VarCurr] :
      ( v6540(VarCurr,bitIndex2)
    <=> v6506(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1618,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6524(VarNext)
      <=> ( v6525(VarNext)
          & v6520(VarNext) ) ) ) )).

fof(writeUnaryOperator_731,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6525(VarNext)
      <=> v6527(VarNext) ) ) )).

fof(addAssignment_1523,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6527(VarNext)
      <=> v6520(VarCurr) ) ) )).

fof(addAssignment_1522,axiom,(
    ! [VarCurr] :
      ( v6520(VarCurr)
    <=> v6228(VarCurr) ) )).

fof(addAssignment_1521,axiom,(
    ! [VarCurr] :
      ( v6518(VarCurr)
    <=> $false ) )).

fof(addAssignment_1520,axiom,(
    ! [VarCurr] :
      ( v6516(VarCurr)
    <=> v6211(VarCurr) ) )).

fof(addAssignment_1519,axiom,(
    ! [VarCurr] :
      ( v6514(VarCurr)
    <=> $false ) )).

fof(addAssignment_1518,axiom,(
    ! [VarCurr] :
      ( v6512(VarCurr)
    <=> v6203(VarCurr,bitIndex3) ) )).

fof(addAssignment_1517,axiom,(
    ! [VarCurr] :
      ( v6203(VarCurr,bitIndex3)
    <=> v6205(VarCurr,bitIndex3) ) )).

fof(addAssignment_1516,axiom,(
    ! [VarCurr] :
      ( v6205(VarCurr,bitIndex3)
    <=> v5050(VarCurr,bitIndex3) ) )).

fof(addAssignment_1515,axiom,(
    ! [VarCurr] :
      ( v5050(VarCurr,bitIndex3)
    <=> v5052(VarCurr,bitIndex3) ) )).

fof(addAssignment_1514,axiom,(
    ! [VarCurr] :
      ( v5052(VarCurr,bitIndex3)
    <=> v5054(VarCurr,bitIndex3) ) )).

fof(addAssignment_1513,axiom,(
    ! [VarCurr] :
      ( v5054(VarCurr,bitIndex3)
    <=> v5056(VarCurr,bitIndex3) ) )).

fof(addAssignment_1512,axiom,(
    ! [VarCurr] :
      ( v5056(VarCurr,bitIndex3)
    <=> v5058(VarCurr,bitIndex3) ) )).

fof(addAssignment_1511,axiom,(
    ! [VarCurr] :
      ( v5058(VarCurr,bitIndex3)
    <=> v5060(VarCurr,bitIndex3) ) )).

fof(addAssignment_1510,axiom,(
    ! [VarCurr] :
      ( v5060(VarCurr,bitIndex3)
    <=> v5062(VarCurr,bitIndex3) ) )).

fof(addAssignment_1509,axiom,(
    ! [VarCurr] :
      ( v5062(VarCurr,bitIndex3)
    <=> v5064(VarCurr,bitIndex3) ) )).

fof(addAssignment_1508,axiom,(
    ! [VarCurr] :
      ( v5064(VarCurr,bitIndex3)
    <=> v5066(VarCurr,bitIndex3) ) )).

fof(addAssignment_1507,axiom,(
    ! [VarCurr] :
      ( v5066(VarCurr,bitIndex3)
    <=> v5068(VarCurr,bitIndex3) ) )).

fof(addAssignment_1506,axiom,(
    ! [VarCurr] :
      ( v6510(VarCurr)
    <=> $false ) )).

fof(addAssignment_1505,axiom,(
    ! [VarCurr] :
      ( v6508(VarCurr)
    <=> $false ) )).

fof(addAssignment_1504,axiom,(
    ! [VarCurr] :
      ( v6506(VarCurr)
    <=> $true ) )).

fof(addAssignment_1503,axiom,(
    ! [VarCurr] :
      ( v6504(VarCurr)
    <=> $false ) )).

fof(addAssignment_1502,axiom,(
    ! [VarCurr] :
      ( v6502(VarCurr)
    <=> v6186(VarCurr) ) )).

fof(addAssignment_1501,axiom,(
    ! [VarCurr] :
      ( v6278(VarCurr,bitIndex2)
    <=> v6280(VarCurr,bitIndex2) ) )).

fof(addAssignment_1500,axiom,(
    ! [VarCurr] :
      ( v6280(VarCurr,bitIndex2)
    <=> v6282(VarCurr,bitIndex2) ) )).

fof(addAssignment_1499,axiom,(
    ! [VarCurr] :
      ( v6282(VarCurr,bitIndex2)
    <=> v6284(VarCurr,bitIndex2) ) )).

fof(addAssignment_1498,axiom,(
    ! [VarCurr] :
      ( v6284(VarCurr,bitIndex2)
    <=> v6286(VarCurr,bitIndex2) ) )).

fof(addAssignment_1497,axiom,(
    ! [VarCurr] :
      ( v6286(VarCurr,bitIndex2)
    <=> v6288(VarCurr,bitIndex2) ) )).

fof(addAssignment_1496,axiom,(
    ! [VarCurr] :
      ( v6288(VarCurr,bitIndex2)
    <=> v6290(VarCurr,bitIndex2) ) )).

fof(addAssignment_1495,axiom,(
    ! [VarCurr] :
      ( v6290(VarCurr,bitIndex2)
    <=> v6292(VarCurr,bitIndex2) ) )).

fof(addAssignment_1494,axiom,(
    ! [VarCurr] :
      ( v6292(VarCurr,bitIndex2)
    <=> v6294(VarCurr,bitIndex2) ) )).

fof(addAssignment_1493,axiom,(
    ! [VarCurr] :
      ( v6294(VarCurr,bitIndex2)
    <=> v6178(VarCurr,bitIndex2) ) )).

fof(addAssignment_1492,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex2)
    <=> v6180(VarCurr,bitIndex2) ) )).

fof(addAssignment_1491,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex2)
    <=> v6432(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_69,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6455(VarNext)
       => ( v6432(VarNext)
        <=> v6432(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_72,axiom,(
    ! [VarNext] :
      ( v6455(VarNext)
     => ( v6432(VarNext)
      <=> v6490(VarNext) ) ) )).

fof(addAssignment_1490,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6490(VarNext)
      <=> v6488(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_106,axiom,(
    ! [VarCurr] :
      ( ~ v6434(VarCurr)
     => ( v6488(VarCurr)
      <=> v6491(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_108,axiom,(
    ! [VarCurr] :
      ( v6434(VarCurr)
     => ( v6488(VarCurr)
      <=> v6436(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_105,axiom,(
    ! [VarCurr] :
      ( ~ v6468(VarCurr)
     => ( v6491(VarCurr)
      <=> v6450(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_107,axiom,(
    ! [VarCurr] :
      ( v6468(VarCurr)
     => ( v6491(VarCurr)
      <=> v6492(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_38,axiom,(
    ! [VarCurr] :
      ( ( ~ v6471(VarCurr)
        & ~ v6473(VarCurr) )
     => ( v6492(VarCurr)
      <=> v6496(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_104,axiom,(
    ! [VarCurr] :
      ( v6473(VarCurr)
     => ( v6492(VarCurr)
      <=> v6495(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_106,axiom,(
    ! [VarCurr] :
      ( v6471(VarCurr)
     => ( v6492(VarCurr)
      <=> v6493(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_103,axiom,(
    ! [VarCurr] :
      ( ~ v6481(VarCurr)
     => ( v6496(VarCurr)
      <=> v6450(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_105,axiom,(
    ! [VarCurr] :
      ( v6481(VarCurr)
     => ( v6496(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_102,axiom,(
    ! [VarCurr] :
      ( ~ v6475(VarCurr)
     => ( v6495(VarCurr)
      <=> v6450(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_104,axiom,(
    ! [VarCurr] :
      ( v6475(VarCurr)
     => ( v6495(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_149,axiom,(
    ! [VarCurr] :
      ( ~ v6494(VarCurr)
     => ( v6493(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_153,axiom,(
    ! [VarCurr] :
      ( v6494(VarCurr)
     => ( v6493(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_377,axiom,(
    ! [VarCurr] :
      ( v6494(VarCurr)
    <=> ( v6444(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1617,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6455(VarNext)
      <=> ( v6456(VarNext)
          & v6465(VarNext) ) ) ) )).

fof(addAssignment_1489,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6465(VarNext)
      <=> v6463(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1616,axiom,(
    ! [VarCurr] :
      ( v6463(VarCurr)
    <=> ( v6434(VarCurr)
        | v6466(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1615,axiom,(
    ! [VarCurr] :
      ( v6466(VarCurr)
    <=> ( v6467(VarCurr)
        & v6487(VarCurr) ) ) )).

fof(writeUnaryOperator_730,axiom,(
    ! [VarCurr] :
      ( ~ v6487(VarCurr)
    <=> v6434(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1614,axiom,(
    ! [VarCurr] :
      ( v6467(VarCurr)
    <=> ( v6468(VarCurr)
        | v6485(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1613,axiom,(
    ! [VarCurr] :
      ( v6485(VarCurr)
    <=> ( v6446(VarCurr)
        & v6486(VarCurr) ) ) )).

fof(writeUnaryOperator_729,axiom,(
    ! [VarCurr] :
      ( ~ v6486(VarCurr)
    <=> v6448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1612,axiom,(
    ! [VarCurr] :
      ( v6468(VarCurr)
    <=> ( v6469(VarCurr)
        & v6448(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1611,axiom,(
    ! [VarCurr] :
      ( v6469(VarCurr)
    <=> ( v6470(VarCurr)
        | v6479(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1610,axiom,(
    ! [VarCurr] :
      ( v6479(VarCurr)
    <=> ( v6480(VarCurr)
        & v6484(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_376,axiom,(
    ! [VarCurr] :
      ( v6484(VarCurr)
    <=> ( ( v6472(VarCurr,bitIndex2)
        <=> $false )
        & ( v6472(VarCurr,bitIndex1)
        <=> $false )
        & ( v6472(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1609,axiom,(
    ! [VarCurr] :
      ( v6480(VarCurr)
    <=> ( v6481(VarCurr)
        | v6482(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1608,axiom,(
    ! [VarCurr] :
      ( v6482(VarCurr)
    <=> ( v6446(VarCurr)
        & v6483(VarCurr) ) ) )).

fof(writeUnaryOperator_728,axiom,(
    ! [VarCurr] :
      ( ~ v6483(VarCurr)
    <=> v6481(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_375,axiom,(
    ! [VarCurr] :
      ( v6481(VarCurr)
    <=> ( v6444(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1607,axiom,(
    ! [VarCurr] :
      ( v6470(VarCurr)
    <=> ( v6471(VarCurr)
        | v6473(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1606,axiom,(
    ! [VarCurr] :
      ( v6473(VarCurr)
    <=> ( v6474(VarCurr)
        & v6478(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_374,axiom,(
    ! [VarCurr] :
      ( v6478(VarCurr)
    <=> ( ( v6472(VarCurr,bitIndex2)
        <=> $false )
        & ( v6472(VarCurr,bitIndex1)
        <=> $true )
        & ( v6472(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1605,axiom,(
    ! [VarCurr] :
      ( v6474(VarCurr)
    <=> ( v6475(VarCurr)
        | v6476(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1604,axiom,(
    ! [VarCurr] :
      ( v6476(VarCurr)
    <=> ( v6446(VarCurr)
        & v6477(VarCurr) ) ) )).

fof(writeUnaryOperator_727,axiom,(
    ! [VarCurr] :
      ( ~ v6477(VarCurr)
    <=> v6475(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_373,axiom,(
    ! [VarCurr] :
      ( v6475(VarCurr)
    <=> ( v6444(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_372,axiom,(
    ! [VarCurr] :
      ( v6471(VarCurr)
    <=> ( ( v6472(VarCurr,bitIndex2)
        <=> $true )
        & ( v6472(VarCurr,bitIndex1)
        <=> $false )
        & ( v6472(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1488,axiom,(
    ! [VarCurr] :
      ( v6472(VarCurr,bitIndex0)
    <=> v6442(VarCurr) ) )).

fof(addAssignment_1487,axiom,(
    ! [VarCurr] :
      ( v6472(VarCurr,bitIndex1)
    <=> v6440(VarCurr) ) )).

fof(addAssignment_1486,axiom,(
    ! [VarCurr] :
      ( v6472(VarCurr,bitIndex2)
    <=> v6438(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1603,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6456(VarNext)
      <=> ( v6457(VarNext)
          & v6452(VarNext) ) ) ) )).

fof(writeUnaryOperator_726,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6457(VarNext)
      <=> v6459(VarNext) ) ) )).

fof(addAssignment_1485,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6459(VarNext)
      <=> v6452(VarCurr) ) ) )).

fof(addAssignment_1484,axiom,(
    ! [VarCurr] :
      ( v6452(VarCurr)
    <=> v6228(VarCurr) ) )).

fof(addAssignment_1483,axiom,(
    ! [VarCurr] :
      ( v6450(VarCurr)
    <=> $false ) )).

fof(addAssignment_1482,axiom,(
    ! [VarCurr] :
      ( v6448(VarCurr)
    <=> v6211(VarCurr) ) )).

fof(addAssignment_1481,axiom,(
    ! [VarCurr] :
      ( v6446(VarCurr)
    <=> $false ) )).

fof(addAssignment_1480,axiom,(
    ! [VarCurr] :
      ( v6444(VarCurr)
    <=> v6203(VarCurr,bitIndex2) ) )).

fof(addAssignment_1479,axiom,(
    ! [VarCurr] :
      ( v6203(VarCurr,bitIndex2)
    <=> v6205(VarCurr,bitIndex2) ) )).

fof(addAssignment_1478,axiom,(
    ! [VarCurr] :
      ( v6205(VarCurr,bitIndex2)
    <=> v5050(VarCurr,bitIndex2) ) )).

fof(addAssignment_1477,axiom,(
    ! [VarCurr] :
      ( v6442(VarCurr)
    <=> $false ) )).

fof(addAssignment_1476,axiom,(
    ! [VarCurr] :
      ( v6440(VarCurr)
    <=> $false ) )).

fof(addAssignment_1475,axiom,(
    ! [VarCurr] :
      ( v6438(VarCurr)
    <=> $true ) )).

fof(addAssignment_1474,axiom,(
    ! [VarCurr] :
      ( v6436(VarCurr)
    <=> $false ) )).

fof(addAssignment_1473,axiom,(
    ! [VarCurr] :
      ( v6434(VarCurr)
    <=> v6186(VarCurr) ) )).

fof(addAssignment_1472,axiom,(
    ! [VarCurr] :
      ( v6278(VarCurr,bitIndex1)
    <=> v6280(VarCurr,bitIndex1) ) )).

fof(addAssignment_1471,axiom,(
    ! [VarCurr] :
      ( v6280(VarCurr,bitIndex1)
    <=> v6282(VarCurr,bitIndex1) ) )).

fof(addAssignment_1470,axiom,(
    ! [VarCurr] :
      ( v6282(VarCurr,bitIndex1)
    <=> v6284(VarCurr,bitIndex1) ) )).

fof(addAssignment_1469,axiom,(
    ! [VarCurr] :
      ( v6284(VarCurr,bitIndex1)
    <=> v6286(VarCurr,bitIndex1) ) )).

fof(addAssignment_1468,axiom,(
    ! [VarCurr] :
      ( v6286(VarCurr,bitIndex1)
    <=> v6288(VarCurr,bitIndex1) ) )).

fof(addAssignment_1467,axiom,(
    ! [VarCurr] :
      ( v6288(VarCurr,bitIndex1)
    <=> v6290(VarCurr,bitIndex1) ) )).

fof(addAssignment_1466,axiom,(
    ! [VarCurr] :
      ( v6290(VarCurr,bitIndex1)
    <=> v6292(VarCurr,bitIndex1) ) )).

fof(addAssignment_1465,axiom,(
    ! [VarCurr] :
      ( v6292(VarCurr,bitIndex1)
    <=> v6294(VarCurr,bitIndex1) ) )).

fof(addAssignment_1464,axiom,(
    ! [VarCurr] :
      ( v6294(VarCurr,bitIndex1)
    <=> v6178(VarCurr,bitIndex1) ) )).

fof(addAssignment_1463,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex1)
    <=> v6180(VarCurr,bitIndex1) ) )).

fof(addAssignment_1462,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex1)
    <=> v6364(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_68,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6387(VarNext)
       => ( v6364(VarNext)
        <=> v6364(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_71,axiom,(
    ! [VarNext] :
      ( v6387(VarNext)
     => ( v6364(VarNext)
      <=> v6422(VarNext) ) ) )).

fof(addAssignment_1461,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6422(VarNext)
      <=> v6420(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_101,axiom,(
    ! [VarCurr] :
      ( ~ v6366(VarCurr)
     => ( v6420(VarCurr)
      <=> v6423(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_103,axiom,(
    ! [VarCurr] :
      ( v6366(VarCurr)
     => ( v6420(VarCurr)
      <=> v6368(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_100,axiom,(
    ! [VarCurr] :
      ( ~ v6400(VarCurr)
     => ( v6423(VarCurr)
      <=> v6382(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_102,axiom,(
    ! [VarCurr] :
      ( v6400(VarCurr)
     => ( v6423(VarCurr)
      <=> v6424(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_37,axiom,(
    ! [VarCurr] :
      ( ( ~ v6403(VarCurr)
        & ~ v6405(VarCurr) )
     => ( v6424(VarCurr)
      <=> v6428(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_99,axiom,(
    ! [VarCurr] :
      ( v6405(VarCurr)
     => ( v6424(VarCurr)
      <=> v6427(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_101,axiom,(
    ! [VarCurr] :
      ( v6403(VarCurr)
     => ( v6424(VarCurr)
      <=> v6425(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_98,axiom,(
    ! [VarCurr] :
      ( ~ v6413(VarCurr)
     => ( v6428(VarCurr)
      <=> v6382(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_100,axiom,(
    ! [VarCurr] :
      ( v6413(VarCurr)
     => ( v6428(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_97,axiom,(
    ! [VarCurr] :
      ( ~ v6407(VarCurr)
     => ( v6427(VarCurr)
      <=> v6382(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_99,axiom,(
    ! [VarCurr] :
      ( v6407(VarCurr)
     => ( v6427(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_148,axiom,(
    ! [VarCurr] :
      ( ~ v6426(VarCurr)
     => ( v6425(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_152,axiom,(
    ! [VarCurr] :
      ( v6426(VarCurr)
     => ( v6425(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_371,axiom,(
    ! [VarCurr] :
      ( v6426(VarCurr)
    <=> ( v6376(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1602,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6387(VarNext)
      <=> ( v6388(VarNext)
          & v6397(VarNext) ) ) ) )).

fof(addAssignment_1460,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6397(VarNext)
      <=> v6395(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1601,axiom,(
    ! [VarCurr] :
      ( v6395(VarCurr)
    <=> ( v6366(VarCurr)
        | v6398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1600,axiom,(
    ! [VarCurr] :
      ( v6398(VarCurr)
    <=> ( v6399(VarCurr)
        & v6419(VarCurr) ) ) )).

fof(writeUnaryOperator_725,axiom,(
    ! [VarCurr] :
      ( ~ v6419(VarCurr)
    <=> v6366(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1599,axiom,(
    ! [VarCurr] :
      ( v6399(VarCurr)
    <=> ( v6400(VarCurr)
        | v6417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1598,axiom,(
    ! [VarCurr] :
      ( v6417(VarCurr)
    <=> ( v6378(VarCurr)
        & v6418(VarCurr) ) ) )).

fof(writeUnaryOperator_724,axiom,(
    ! [VarCurr] :
      ( ~ v6418(VarCurr)
    <=> v6380(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1597,axiom,(
    ! [VarCurr] :
      ( v6400(VarCurr)
    <=> ( v6401(VarCurr)
        & v6380(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1596,axiom,(
    ! [VarCurr] :
      ( v6401(VarCurr)
    <=> ( v6402(VarCurr)
        | v6411(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1595,axiom,(
    ! [VarCurr] :
      ( v6411(VarCurr)
    <=> ( v6412(VarCurr)
        & v6416(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_370,axiom,(
    ! [VarCurr] :
      ( v6416(VarCurr)
    <=> ( ( v6404(VarCurr,bitIndex2)
        <=> $false )
        & ( v6404(VarCurr,bitIndex1)
        <=> $false )
        & ( v6404(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1594,axiom,(
    ! [VarCurr] :
      ( v6412(VarCurr)
    <=> ( v6413(VarCurr)
        | v6414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1593,axiom,(
    ! [VarCurr] :
      ( v6414(VarCurr)
    <=> ( v6378(VarCurr)
        & v6415(VarCurr) ) ) )).

fof(writeUnaryOperator_723,axiom,(
    ! [VarCurr] :
      ( ~ v6415(VarCurr)
    <=> v6413(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_369,axiom,(
    ! [VarCurr] :
      ( v6413(VarCurr)
    <=> ( v6376(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1592,axiom,(
    ! [VarCurr] :
      ( v6402(VarCurr)
    <=> ( v6403(VarCurr)
        | v6405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1591,axiom,(
    ! [VarCurr] :
      ( v6405(VarCurr)
    <=> ( v6406(VarCurr)
        & v6410(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_368,axiom,(
    ! [VarCurr] :
      ( v6410(VarCurr)
    <=> ( ( v6404(VarCurr,bitIndex2)
        <=> $false )
        & ( v6404(VarCurr,bitIndex1)
        <=> $true )
        & ( v6404(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1590,axiom,(
    ! [VarCurr] :
      ( v6406(VarCurr)
    <=> ( v6407(VarCurr)
        | v6408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1589,axiom,(
    ! [VarCurr] :
      ( v6408(VarCurr)
    <=> ( v6378(VarCurr)
        & v6409(VarCurr) ) ) )).

fof(writeUnaryOperator_722,axiom,(
    ! [VarCurr] :
      ( ~ v6409(VarCurr)
    <=> v6407(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_367,axiom,(
    ! [VarCurr] :
      ( v6407(VarCurr)
    <=> ( v6376(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_366,axiom,(
    ! [VarCurr] :
      ( v6403(VarCurr)
    <=> ( ( v6404(VarCurr,bitIndex2)
        <=> $true )
        & ( v6404(VarCurr,bitIndex1)
        <=> $false )
        & ( v6404(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1459,axiom,(
    ! [VarCurr] :
      ( v6404(VarCurr,bitIndex0)
    <=> v6374(VarCurr) ) )).

fof(addAssignment_1458,axiom,(
    ! [VarCurr] :
      ( v6404(VarCurr,bitIndex1)
    <=> v6372(VarCurr) ) )).

fof(addAssignment_1457,axiom,(
    ! [VarCurr] :
      ( v6404(VarCurr,bitIndex2)
    <=> v6370(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1588,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6388(VarNext)
      <=> ( v6389(VarNext)
          & v6384(VarNext) ) ) ) )).

fof(writeUnaryOperator_721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6389(VarNext)
      <=> v6391(VarNext) ) ) )).

fof(addAssignment_1456,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6391(VarNext)
      <=> v6384(VarCurr) ) ) )).

fof(addAssignment_1455,axiom,(
    ! [VarCurr] :
      ( v6384(VarCurr)
    <=> v6228(VarCurr) ) )).

fof(addAssignment_1454,axiom,(
    ! [VarCurr] :
      ( v6382(VarCurr)
    <=> $false ) )).

fof(addAssignment_1453,axiom,(
    ! [VarCurr] :
      ( v6380(VarCurr)
    <=> v6211(VarCurr) ) )).

fof(addAssignment_1452,axiom,(
    ! [VarCurr] :
      ( v6378(VarCurr)
    <=> $false ) )).

fof(addAssignment_1451,axiom,(
    ! [VarCurr] :
      ( v6376(VarCurr)
    <=> v6203(VarCurr,bitIndex1) ) )).

fof(addAssignment_1450,axiom,(
    ! [VarCurr] :
      ( v6203(VarCurr,bitIndex1)
    <=> v6205(VarCurr,bitIndex1) ) )).

fof(addAssignment_1449,axiom,(
    ! [VarCurr] :
      ( v6205(VarCurr,bitIndex1)
    <=> v5050(VarCurr,bitIndex1) ) )).

fof(addAssignment_1448,axiom,(
    ! [VarCurr] :
      ( v5050(VarCurr,bitIndex1)
    <=> v5052(VarCurr,bitIndex1) ) )).

fof(addAssignment_1447,axiom,(
    ! [VarCurr] :
      ( v5052(VarCurr,bitIndex1)
    <=> v5054(VarCurr,bitIndex1) ) )).

fof(addAssignment_1446,axiom,(
    ! [VarCurr] :
      ( v5054(VarCurr,bitIndex1)
    <=> v5056(VarCurr,bitIndex1) ) )).

fof(addAssignment_1445,axiom,(
    ! [VarCurr] :
      ( v5056(VarCurr,bitIndex1)
    <=> v5058(VarCurr,bitIndex1) ) )).

fof(addAssignment_1444,axiom,(
    ! [VarCurr] :
      ( v5058(VarCurr,bitIndex1)
    <=> v5060(VarCurr,bitIndex1) ) )).

fof(addAssignment_1443,axiom,(
    ! [VarCurr] :
      ( v5060(VarCurr,bitIndex1)
    <=> v5062(VarCurr,bitIndex1) ) )).

fof(addAssignment_1442,axiom,(
    ! [VarCurr] :
      ( v5062(VarCurr,bitIndex1)
    <=> v5064(VarCurr,bitIndex1) ) )).

fof(addAssignment_1441,axiom,(
    ! [VarCurr] :
      ( v5064(VarCurr,bitIndex1)
    <=> v5066(VarCurr,bitIndex1) ) )).

fof(addAssignment_1440,axiom,(
    ! [VarCurr] :
      ( v5066(VarCurr,bitIndex1)
    <=> v5068(VarCurr,bitIndex1) ) )).

fof(addAssignment_1439,axiom,(
    ! [VarCurr] :
      ( v6374(VarCurr)
    <=> $false ) )).

fof(addAssignment_1438,axiom,(
    ! [VarCurr] :
      ( v6372(VarCurr)
    <=> $false ) )).

fof(addAssignment_1437,axiom,(
    ! [VarCurr] :
      ( v6370(VarCurr)
    <=> $true ) )).

fof(addAssignment_1436,axiom,(
    ! [VarCurr] :
      ( v6368(VarCurr)
    <=> $false ) )).

fof(addAssignment_1435,axiom,(
    ! [VarCurr] :
      ( v6366(VarCurr)
    <=> v6186(VarCurr) ) )).

fof(addAssignment_1434,axiom,(
    ! [VarCurr] :
      ( v6278(VarCurr,bitIndex0)
    <=> v6280(VarCurr,bitIndex0) ) )).

fof(addAssignment_1433,axiom,(
    ! [VarCurr] :
      ( v6280(VarCurr,bitIndex0)
    <=> v6282(VarCurr,bitIndex0) ) )).

fof(addAssignment_1432,axiom,(
    ! [VarCurr] :
      ( v6282(VarCurr,bitIndex0)
    <=> v6284(VarCurr,bitIndex0) ) )).

fof(addAssignment_1431,axiom,(
    ! [VarCurr] :
      ( v6284(VarCurr,bitIndex0)
    <=> v6286(VarCurr,bitIndex0) ) )).

fof(addAssignment_1430,axiom,(
    ! [VarCurr] :
      ( v6286(VarCurr,bitIndex0)
    <=> v6288(VarCurr,bitIndex0) ) )).

fof(addAssignment_1429,axiom,(
    ! [VarCurr] :
      ( v6288(VarCurr,bitIndex0)
    <=> v6290(VarCurr,bitIndex0) ) )).

fof(addAssignment_1428,axiom,(
    ! [VarCurr] :
      ( v6290(VarCurr,bitIndex0)
    <=> v6292(VarCurr,bitIndex0) ) )).

fof(addAssignment_1427,axiom,(
    ! [VarCurr] :
      ( v6292(VarCurr,bitIndex0)
    <=> v6294(VarCurr,bitIndex0) ) )).

fof(addAssignment_1426,axiom,(
    ! [VarCurr] :
      ( v6294(VarCurr,bitIndex0)
    <=> v6178(VarCurr,bitIndex0) ) )).

fof(addAssignment_1425,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex0)
    <=> v6180(VarCurr,bitIndex0) ) )).

fof(addAssignment_1424,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex0)
    <=> v6296(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_67,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6319(VarNext)
       => ( v6296(VarNext)
        <=> v6296(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_70,axiom,(
    ! [VarNext] :
      ( v6319(VarNext)
     => ( v6296(VarNext)
      <=> v6354(VarNext) ) ) )).

fof(addAssignment_1423,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6354(VarNext)
      <=> v6352(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_96,axiom,(
    ! [VarCurr] :
      ( ~ v6298(VarCurr)
     => ( v6352(VarCurr)
      <=> v6355(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_98,axiom,(
    ! [VarCurr] :
      ( v6298(VarCurr)
     => ( v6352(VarCurr)
      <=> v6300(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_95,axiom,(
    ! [VarCurr] :
      ( ~ v6332(VarCurr)
     => ( v6355(VarCurr)
      <=> v6314(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_97,axiom,(
    ! [VarCurr] :
      ( v6332(VarCurr)
     => ( v6355(VarCurr)
      <=> v6356(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_36,axiom,(
    ! [VarCurr] :
      ( ( ~ v6335(VarCurr)
        & ~ v6337(VarCurr) )
     => ( v6356(VarCurr)
      <=> v6360(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_94,axiom,(
    ! [VarCurr] :
      ( v6337(VarCurr)
     => ( v6356(VarCurr)
      <=> v6359(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_96,axiom,(
    ! [VarCurr] :
      ( v6335(VarCurr)
     => ( v6356(VarCurr)
      <=> v6357(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_93,axiom,(
    ! [VarCurr] :
      ( ~ v6345(VarCurr)
     => ( v6360(VarCurr)
      <=> v6314(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_95,axiom,(
    ! [VarCurr] :
      ( v6345(VarCurr)
     => ( v6360(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_92,axiom,(
    ! [VarCurr] :
      ( ~ v6339(VarCurr)
     => ( v6359(VarCurr)
      <=> v6314(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_94,axiom,(
    ! [VarCurr] :
      ( v6339(VarCurr)
     => ( v6359(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_147,axiom,(
    ! [VarCurr] :
      ( ~ v6358(VarCurr)
     => ( v6357(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_151,axiom,(
    ! [VarCurr] :
      ( v6358(VarCurr)
     => ( v6357(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_365,axiom,(
    ! [VarCurr] :
      ( v6358(VarCurr)
    <=> ( v6308(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1587,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6319(VarNext)
      <=> ( v6320(VarNext)
          & v6329(VarNext) ) ) ) )).

fof(addAssignment_1422,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6329(VarNext)
      <=> v6327(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1586,axiom,(
    ! [VarCurr] :
      ( v6327(VarCurr)
    <=> ( v6298(VarCurr)
        | v6330(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1585,axiom,(
    ! [VarCurr] :
      ( v6330(VarCurr)
    <=> ( v6331(VarCurr)
        & v6351(VarCurr) ) ) )).

fof(writeUnaryOperator_720,axiom,(
    ! [VarCurr] :
      ( ~ v6351(VarCurr)
    <=> v6298(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1584,axiom,(
    ! [VarCurr] :
      ( v6331(VarCurr)
    <=> ( v6332(VarCurr)
        | v6349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1583,axiom,(
    ! [VarCurr] :
      ( v6349(VarCurr)
    <=> ( v6310(VarCurr)
        & v6350(VarCurr) ) ) )).

fof(writeUnaryOperator_719,axiom,(
    ! [VarCurr] :
      ( ~ v6350(VarCurr)
    <=> v6312(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1582,axiom,(
    ! [VarCurr] :
      ( v6332(VarCurr)
    <=> ( v6333(VarCurr)
        & v6312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1581,axiom,(
    ! [VarCurr] :
      ( v6333(VarCurr)
    <=> ( v6334(VarCurr)
        | v6343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1580,axiom,(
    ! [VarCurr] :
      ( v6343(VarCurr)
    <=> ( v6344(VarCurr)
        & v6348(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_364,axiom,(
    ! [VarCurr] :
      ( v6348(VarCurr)
    <=> ( ( v6336(VarCurr,bitIndex2)
        <=> $false )
        & ( v6336(VarCurr,bitIndex1)
        <=> $false )
        & ( v6336(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1579,axiom,(
    ! [VarCurr] :
      ( v6344(VarCurr)
    <=> ( v6345(VarCurr)
        | v6346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1578,axiom,(
    ! [VarCurr] :
      ( v6346(VarCurr)
    <=> ( v6310(VarCurr)
        & v6347(VarCurr) ) ) )).

fof(writeUnaryOperator_718,axiom,(
    ! [VarCurr] :
      ( ~ v6347(VarCurr)
    <=> v6345(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_363,axiom,(
    ! [VarCurr] :
      ( v6345(VarCurr)
    <=> ( v6308(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1577,axiom,(
    ! [VarCurr] :
      ( v6334(VarCurr)
    <=> ( v6335(VarCurr)
        | v6337(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1576,axiom,(
    ! [VarCurr] :
      ( v6337(VarCurr)
    <=> ( v6338(VarCurr)
        & v6342(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_362,axiom,(
    ! [VarCurr] :
      ( v6342(VarCurr)
    <=> ( ( v6336(VarCurr,bitIndex2)
        <=> $false )
        & ( v6336(VarCurr,bitIndex1)
        <=> $true )
        & ( v6336(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1575,axiom,(
    ! [VarCurr] :
      ( v6338(VarCurr)
    <=> ( v6339(VarCurr)
        | v6340(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1574,axiom,(
    ! [VarCurr] :
      ( v6340(VarCurr)
    <=> ( v6310(VarCurr)
        & v6341(VarCurr) ) ) )).

fof(writeUnaryOperator_717,axiom,(
    ! [VarCurr] :
      ( ~ v6341(VarCurr)
    <=> v6339(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_361,axiom,(
    ! [VarCurr] :
      ( v6339(VarCurr)
    <=> ( v6308(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_360,axiom,(
    ! [VarCurr] :
      ( v6335(VarCurr)
    <=> ( ( v6336(VarCurr,bitIndex2)
        <=> $true )
        & ( v6336(VarCurr,bitIndex1)
        <=> $false )
        & ( v6336(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1421,axiom,(
    ! [VarCurr] :
      ( v6336(VarCurr,bitIndex0)
    <=> v6306(VarCurr) ) )).

fof(addAssignment_1420,axiom,(
    ! [VarCurr] :
      ( v6336(VarCurr,bitIndex1)
    <=> v6304(VarCurr) ) )).

fof(addAssignment_1419,axiom,(
    ! [VarCurr] :
      ( v6336(VarCurr,bitIndex2)
    <=> v6302(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1573,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6320(VarNext)
      <=> ( v6321(VarNext)
          & v6316(VarNext) ) ) ) )).

fof(writeUnaryOperator_716,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6321(VarNext)
      <=> v6323(VarNext) ) ) )).

fof(addAssignment_1418,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6323(VarNext)
      <=> v6316(VarCurr) ) ) )).

fof(addAssignment_1417,axiom,(
    ! [VarCurr] :
      ( v6316(VarCurr)
    <=> v6228(VarCurr) ) )).

fof(addAssignment_1416,axiom,(
    ! [VarCurr] :
      ( v6314(VarCurr)
    <=> $false ) )).

fof(addAssignment_1415,axiom,(
    ! [VarCurr] :
      ( v6312(VarCurr)
    <=> v6211(VarCurr) ) )).

fof(addAssignment_1414,axiom,(
    ! [VarCurr] :
      ( v6310(VarCurr)
    <=> $false ) )).

fof(addAssignment_1413,axiom,(
    ! [VarCurr] :
      ( v6308(VarCurr)
    <=> v6203(VarCurr,bitIndex0) ) )).

fof(addAssignment_1412,axiom,(
    ! [VarCurr] :
      ( v6203(VarCurr,bitIndex0)
    <=> v6205(VarCurr,bitIndex0) ) )).

fof(addAssignment_1411,axiom,(
    ! [VarCurr] :
      ( v6205(VarCurr,bitIndex0)
    <=> v5050(VarCurr,bitIndex0) ) )).

fof(addAssignment_1410,axiom,(
    ! [VarCurr] :
      ( v5050(VarCurr,bitIndex0)
    <=> v5052(VarCurr,bitIndex0) ) )).

fof(addAssignment_1409,axiom,(
    ! [VarCurr] :
      ( v5052(VarCurr,bitIndex0)
    <=> v5054(VarCurr,bitIndex0) ) )).

fof(addAssignment_1408,axiom,(
    ! [VarCurr] :
      ( v5054(VarCurr,bitIndex0)
    <=> v5056(VarCurr,bitIndex0) ) )).

fof(addAssignment_1407,axiom,(
    ! [VarCurr] :
      ( v5056(VarCurr,bitIndex0)
    <=> v5058(VarCurr,bitIndex0) ) )).

fof(addAssignment_1406,axiom,(
    ! [VarCurr] :
      ( v5058(VarCurr,bitIndex0)
    <=> v5060(VarCurr,bitIndex0) ) )).

fof(addAssignment_1405,axiom,(
    ! [VarCurr] :
      ( v5060(VarCurr,bitIndex0)
    <=> v5062(VarCurr,bitIndex0) ) )).

fof(addAssignment_1404,axiom,(
    ! [VarCurr] :
      ( v5062(VarCurr,bitIndex0)
    <=> v5064(VarCurr,bitIndex0) ) )).

fof(addAssignment_1403,axiom,(
    ! [VarCurr] :
      ( v5064(VarCurr,bitIndex0)
    <=> v5066(VarCurr,bitIndex0) ) )).

fof(addAssignment_1402,axiom,(
    ! [VarCurr] :
      ( v5066(VarCurr,bitIndex0)
    <=> v5068(VarCurr,bitIndex0) ) )).

fof(addAssignment_1401,axiom,(
    ! [VarCurr] :
      ( v6306(VarCurr)
    <=> $false ) )).

fof(addAssignment_1400,axiom,(
    ! [VarCurr] :
      ( v6304(VarCurr)
    <=> $false ) )).

fof(addAssignment_1399,axiom,(
    ! [VarCurr] :
      ( v6302(VarCurr)
    <=> $true ) )).

fof(addAssignment_1398,axiom,(
    ! [VarCurr] :
      ( v6300(VarCurr)
    <=> $false ) )).

fof(addAssignment_1397,axiom,(
    ! [VarCurr] :
      ( v6298(VarCurr)
    <=> v6186(VarCurr) ) )).

fof(addAssignment_1396,axiom,(
    ! [VarCurr] :
      ( v6160(VarCurr)
    <=> v6162(VarCurr) ) )).

fof(addAssignment_1395,axiom,(
    ! [VarCurr] :
      ( v6162(VarCurr)
    <=> v6164(VarCurr) ) )).

fof(addAssignment_1394,axiom,(
    ! [VarCurr] :
      ( v6164(VarCurr)
    <=> v6166(VarCurr) ) )).

fof(addAssignment_1393,axiom,(
    ! [VarCurr] :
      ( v6166(VarCurr)
    <=> v6168(VarCurr) ) )).

fof(addAssignment_1392,axiom,(
    ! [VarCurr] :
      ( v6168(VarCurr)
    <=> v6170(VarCurr) ) )).

fof(addAssignment_1391,axiom,(
    ! [VarCurr] :
      ( v6170(VarCurr)
    <=> v6172(VarCurr) ) )).

fof(addAssignment_1390,axiom,(
    ! [VarCurr] :
      ( v6172(VarCurr)
    <=> v6174(VarCurr) ) )).

fof(addAssignment_1389,axiom,(
    ! [VarCurr] :
      ( v6174(VarCurr)
    <=> v6176(VarCurr) ) )).

fof(addAssignment_1388,axiom,(
    ! [VarCurr] :
      ( v6176(VarCurr)
    <=> v6178(VarCurr,bitIndex8) ) )).

fof(addAssignment_1387,axiom,(
    ! [VarCurr] :
      ( v6178(VarCurr,bitIndex8)
    <=> v6180(VarCurr,bitIndex8) ) )).

fof(addAssignment_1386,axiom,(
    ! [VarCurr] :
      ( v6180(VarCurr,bitIndex8)
    <=> v6182(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_66,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6233(VarNext)
       => ( v6182(VarNext)
        <=> v6182(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_69,axiom,(
    ! [VarNext] :
      ( v6233(VarNext)
     => ( v6182(VarNext)
      <=> v6268(VarNext) ) ) )).

fof(addAssignment_1385,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6268(VarNext)
      <=> v6266(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_91,axiom,(
    ! [VarCurr] :
      ( ~ v6184(VarCurr)
     => ( v6266(VarCurr)
      <=> v6269(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_93,axiom,(
    ! [VarCurr] :
      ( v6184(VarCurr)
     => ( v6266(VarCurr)
      <=> v6193(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_90,axiom,(
    ! [VarCurr] :
      ( ~ v6246(VarCurr)
     => ( v6269(VarCurr)
      <=> v6224(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_92,axiom,(
    ! [VarCurr] :
      ( v6246(VarCurr)
     => ( v6269(VarCurr)
      <=> v6270(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_35,axiom,(
    ! [VarCurr] :
      ( ( ~ v6249(VarCurr)
        & ~ v6251(VarCurr) )
     => ( v6270(VarCurr)
      <=> v6274(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_89,axiom,(
    ! [VarCurr] :
      ( v6251(VarCurr)
     => ( v6270(VarCurr)
      <=> v6273(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_91,axiom,(
    ! [VarCurr] :
      ( v6249(VarCurr)
     => ( v6270(VarCurr)
      <=> v6271(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_88,axiom,(
    ! [VarCurr] :
      ( ~ v6259(VarCurr)
     => ( v6274(VarCurr)
      <=> v6224(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_90,axiom,(
    ! [VarCurr] :
      ( v6259(VarCurr)
     => ( v6274(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_87,axiom,(
    ! [VarCurr] :
      ( ~ v6253(VarCurr)
     => ( v6273(VarCurr)
      <=> v6224(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_89,axiom,(
    ! [VarCurr] :
      ( v6253(VarCurr)
     => ( v6273(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_146,axiom,(
    ! [VarCurr] :
      ( ~ v6272(VarCurr)
     => ( v6271(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_150,axiom,(
    ! [VarCurr] :
      ( v6272(VarCurr)
     => ( v6271(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_359,axiom,(
    ! [VarCurr] :
      ( v6272(VarCurr)
    <=> ( v6201(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1572,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6233(VarNext)
      <=> ( v6234(VarNext)
          & v6243(VarNext) ) ) ) )).

fof(addAssignment_1384,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6243(VarNext)
      <=> v6241(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1571,axiom,(
    ! [VarCurr] :
      ( v6241(VarCurr)
    <=> ( v6184(VarCurr)
        | v6244(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1570,axiom,(
    ! [VarCurr] :
      ( v6244(VarCurr)
    <=> ( v6245(VarCurr)
        & v6265(VarCurr) ) ) )).

fof(writeUnaryOperator_715,axiom,(
    ! [VarCurr] :
      ( ~ v6265(VarCurr)
    <=> v6184(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1569,axiom,(
    ! [VarCurr] :
      ( v6245(VarCurr)
    <=> ( v6246(VarCurr)
        | v6263(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1568,axiom,(
    ! [VarCurr] :
      ( v6263(VarCurr)
    <=> ( v6207(VarCurr)
        & v6264(VarCurr) ) ) )).

fof(writeUnaryOperator_714,axiom,(
    ! [VarCurr] :
      ( ~ v6264(VarCurr)
    <=> v6209(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1567,axiom,(
    ! [VarCurr] :
      ( v6246(VarCurr)
    <=> ( v6247(VarCurr)
        & v6209(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1566,axiom,(
    ! [VarCurr] :
      ( v6247(VarCurr)
    <=> ( v6248(VarCurr)
        | v6257(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1565,axiom,(
    ! [VarCurr] :
      ( v6257(VarCurr)
    <=> ( v6258(VarCurr)
        & v6262(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_358,axiom,(
    ! [VarCurr] :
      ( v6262(VarCurr)
    <=> ( ( v6250(VarCurr,bitIndex2)
        <=> $false )
        & ( v6250(VarCurr,bitIndex1)
        <=> $false )
        & ( v6250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1564,axiom,(
    ! [VarCurr] :
      ( v6258(VarCurr)
    <=> ( v6259(VarCurr)
        | v6260(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1563,axiom,(
    ! [VarCurr] :
      ( v6260(VarCurr)
    <=> ( v6207(VarCurr)
        & v6261(VarCurr) ) ) )).

fof(writeUnaryOperator_713,axiom,(
    ! [VarCurr] :
      ( ~ v6261(VarCurr)
    <=> v6259(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_357,axiom,(
    ! [VarCurr] :
      ( v6259(VarCurr)
    <=> ( v6201(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1562,axiom,(
    ! [VarCurr] :
      ( v6248(VarCurr)
    <=> ( v6249(VarCurr)
        | v6251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1561,axiom,(
    ! [VarCurr] :
      ( v6251(VarCurr)
    <=> ( v6252(VarCurr)
        & v6256(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_356,axiom,(
    ! [VarCurr] :
      ( v6256(VarCurr)
    <=> ( ( v6250(VarCurr,bitIndex2)
        <=> $false )
        & ( v6250(VarCurr,bitIndex1)
        <=> $true )
        & ( v6250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1560,axiom,(
    ! [VarCurr] :
      ( v6252(VarCurr)
    <=> ( v6253(VarCurr)
        | v6254(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1559,axiom,(
    ! [VarCurr] :
      ( v6254(VarCurr)
    <=> ( v6207(VarCurr)
        & v6255(VarCurr) ) ) )).

fof(writeUnaryOperator_712,axiom,(
    ! [VarCurr] :
      ( ~ v6255(VarCurr)
    <=> v6253(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_355,axiom,(
    ! [VarCurr] :
      ( v6253(VarCurr)
    <=> ( v6201(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_354,axiom,(
    ! [VarCurr] :
      ( v6249(VarCurr)
    <=> ( ( v6250(VarCurr,bitIndex2)
        <=> $true )
        & ( v6250(VarCurr,bitIndex1)
        <=> $false )
        & ( v6250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1383,axiom,(
    ! [VarCurr] :
      ( v6250(VarCurr,bitIndex0)
    <=> v6199(VarCurr) ) )).

fof(addAssignment_1382,axiom,(
    ! [VarCurr] :
      ( v6250(VarCurr,bitIndex1)
    <=> v6197(VarCurr) ) )).

fof(addAssignment_1381,axiom,(
    ! [VarCurr] :
      ( v6250(VarCurr,bitIndex2)
    <=> v6195(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1558,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6234(VarNext)
      <=> ( v6235(VarNext)
          & v6226(VarNext) ) ) ) )).

fof(writeUnaryOperator_711,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6235(VarNext)
      <=> v6237(VarNext) ) ) )).

fof(addAssignment_1380,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6237(VarNext)
      <=> v6226(VarCurr) ) ) )).

fof(addAssignment_1379,axiom,(
    ! [VarCurr] :
      ( v6226(VarCurr)
    <=> v6228(VarCurr) ) )).

fof(addAssignment_1378,axiom,(
    ! [VarCurr] :
      ( v6228(VarCurr)
    <=> v6230(VarCurr) ) )).

fof(addAssignment_1377,axiom,(
    ! [VarCurr] :
      ( v6230(VarCurr)
    <=> v5191(VarCurr) ) )).

fof(addAssignment_1376,axiom,(
    ! [VarCurr] :
      ( v6224(VarCurr)
    <=> $false ) )).

fof(addAssignment_1375,axiom,(
    ! [VarCurr] :
      ( v6209(VarCurr)
    <=> v6211(VarCurr) ) )).

fof(addAssignment_1374,axiom,(
    ! [VarCurr] :
      ( v6211(VarCurr)
    <=> v6213(VarCurr) ) )).

fof(addAssignment_1373,axiom,(
    ! [VarCurr] :
      ( v6213(VarCurr)
    <=> v6215(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1557,axiom,(
    ! [VarCurr] :
      ( v6215(VarCurr)
    <=> ( v6217(VarCurr)
        & v5120(VarCurr) ) ) )).

fof(addAssignment_1372,axiom,(
    ! [VarCurr] :
      ( v6217(VarCurr)
    <=> v6219(VarCurr) ) )).

fof(addAssignment_1371,axiom,(
    ! [VarCurr] :
      ( v6219(VarCurr)
    <=> v6221(VarCurr) ) )).

fof(addAssignment_1370,axiom,(
    ! [VarCurr] :
      ( v6207(VarCurr)
    <=> $false ) )).

fof(addAssignment_1369,axiom,(
    ! [VarCurr] :
      ( v6201(VarCurr)
    <=> v6203(VarCurr,bitIndex8) ) )).

fof(addAssignment_1368,axiom,(
    ! [VarCurr] :
      ( v6203(VarCurr,bitIndex8)
    <=> v6205(VarCurr,bitIndex8) ) )).

fof(addAssignment_1367,axiom,(
    ! [VarCurr] :
      ( v6205(VarCurr,bitIndex8)
    <=> v5050(VarCurr,bitIndex8) ) )).

fof(addAssignment_1366,axiom,(
    ! [VarCurr] :
      ( v6199(VarCurr)
    <=> $false ) )).

fof(addAssignment_1365,axiom,(
    ! [VarCurr] :
      ( v6197(VarCurr)
    <=> $false ) )).

fof(addAssignment_1364,axiom,(
    ! [VarCurr] :
      ( v6195(VarCurr)
    <=> $true ) )).

fof(addAssignment_1363,axiom,(
    ! [VarCurr] :
      ( v6193(VarCurr)
    <=> $false ) )).

fof(addAssignment_1362,axiom,(
    ! [VarCurr] :
      ( v6184(VarCurr)
    <=> v6186(VarCurr) ) )).

fof(writeUnaryOperator_710,axiom,(
    ! [VarCurr] :
      ( ~ v6186(VarCurr)
    <=> v6188(VarCurr) ) )).

fof(addAssignment_1361,axiom,(
    ! [VarCurr] :
      ( v6188(VarCurr)
    <=> v6190(VarCurr) ) )).

fof(addAssignment_1360,axiom,(
    ! [VarCurr] :
      ( v6190(VarCurr)
    <=> v5017(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_65,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6131(VarNext)
       => ( v5309(VarNext,bitIndex1)
        <=> v5309(VarCurr,bitIndex1) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_3,axiom,(
    ! [VarNext] :
      ( v6131(VarNext)
     => ( v5309(VarNext,bitIndex1)
      <=> v6144(VarNext) ) ) )).

fof(addAssignment_1359,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6144(VarNext)
      <=> v6142(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_86,axiom,(
    ! [VarCurr] :
      ( ~ v5641(VarCurr)
     => ( v6142(VarCurr)
      <=> v5870(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_88,axiom,(
    ! [VarCurr] :
      ( v5641(VarCurr)
     => ( v6142(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1556,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6131(VarNext)
      <=> ( v6132(VarNext)
          & v6139(VarNext) ) ) ) )).

fof(addAssignment_1358,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6139(VarNext)
      <=> v6137(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1555,axiom,(
    ! [VarCurr] :
      ( v6137(VarCurr)
    <=> ( v5641(VarCurr)
        | v6140(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1554,axiom,(
    ! [VarCurr] :
      ( v6140(VarCurr)
    <=> ( v5643(VarCurr)
        & v6141(VarCurr) ) ) )).

fof(writeUnaryOperator_709,axiom,(
    ! [VarCurr] :
      ( ~ v6141(VarCurr)
    <=> v5641(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1553,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6132(VarNext)
      <=> ( v6134(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_708,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6134(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addAssignment_1357,axiom,(
    ! [VarCurr] :
      ( v5870(VarCurr,bitIndex0)
    <=> v5309(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_345,axiom,(
    ! [VarCurr] :
      ( v5309(VarCurr,bitIndex0)
    <=> ( v6128(VarCurr)
        & v5894(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1552,axiom,(
    ! [VarCurr] :
      ( v6128(VarCurr)
    <=> ( v5872(VarCurr)
        & v5488(VarCurr) ) ) )).

fof(addAssignment_1356,axiom,(
    ! [VarCurr] :
      ( v5894(VarCurr,bitIndex1)
    <=> v5896(VarCurr,bitIndex1) ) )).

fof(addAssignment_1355,axiom,(
    ! [VarCurr] :
      ( v5896(VarCurr,bitIndex1)
    <=> v5898(VarCurr,bitIndex1) ) )).

fof(addAssignment_1354,axiom,(
    ! [VarCurr] :
      ( v5898(VarCurr,bitIndex1)
    <=> v5900(VarCurr,bitIndex1) ) )).

fof(addAssignment_1353,axiom,(
    ! [VarCurr] :
      ( v5900(VarCurr,bitIndex1)
    <=> v5902(VarCurr,bitIndex1) ) )).

fof(addAssignment_1352,axiom,(
    ! [VarCurr] :
      ( v5902(VarCurr,bitIndex1)
    <=> v6069(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges12,axiom,(
    ! [VarCurr] :
      ( ( ~ v6070(VarCurr)
        & ~ v6072(VarCurr)
        & ~ v6074(VarCurr)
        & ~ v6076(VarCurr)
        & ~ v6078(VarCurr)
        & ~ v6080(VarCurr)
        & ~ v6082(VarCurr)
        & ~ v6084(VarCurr)
        & ~ v6086(VarCurr)
        & ~ v6098(VarCurr)
        & ~ v6103(VarCurr)
        & ~ v6115(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges11,axiom,(
    ! [VarCurr] :
      ( v6115(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges10,axiom,(
    ! [VarCurr] :
      ( v6103(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges9_1,axiom,(
    ! [VarCurr] :
      ( v6098(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges8_1,axiom,(
    ! [VarCurr] :
      ( v6086(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_1,axiom,(
    ! [VarCurr] :
      ( v6084(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_1,axiom,(
    ! [VarCurr] :
      ( v6082(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_1,axiom,(
    ! [VarCurr] :
      ( v6080(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_3,axiom,(
    ! [VarCurr] :
      ( v6078(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_20,axiom,(
    ! [VarCurr] :
      ( v6076(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_34,axiom,(
    ! [VarCurr] :
      ( v6074(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_85,axiom,(
    ! [VarCurr] :
      ( v6072(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_87,axiom,(
    ! [VarCurr] :
      ( v6070(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6069(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1551,axiom,(
    ! [VarCurr] :
      ( v6115(VarCurr)
    <=> ( v6117(VarCurr)
        | v6125(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_353,axiom,(
    ! [VarCurr] :
      ( v6125(VarCurr)
    <=> ( ( v6126(VarCurr,bitIndex8)
        <=> $true )
        & ( v6126(VarCurr,bitIndex7)
        <=> $true )
        & ( v6126(VarCurr,bitIndex6)
        <=> $true )
        & ( v6126(VarCurr,bitIndex5)
        <=> $true )
        & ( v6126(VarCurr,bitIndex4)
        <=> $true )
        & ( v6126(VarCurr,bitIndex3)
        <=> $true )
        & ( v6126(VarCurr,bitIndex2)
        <=> $false )
        & ( v6126(VarCurr,bitIndex1)
        <=> $false )
        & ( v6126(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_809,axiom,(
    b111111000(bitIndex8) )).

fof(bitBlastConstant_808,axiom,(
    b111111000(bitIndex7) )).

fof(bitBlastConstant_807,axiom,(
    b111111000(bitIndex6) )).

fof(bitBlastConstant_806,axiom,(
    b111111000(bitIndex5) )).

fof(bitBlastConstant_805,axiom,(
    b111111000(bitIndex4) )).

fof(bitBlastConstant_804,axiom,(
    b111111000(bitIndex3) )).

fof(bitBlastConstant_803,axiom,(
    ~ b111111000(bitIndex2) )).

fof(bitBlastConstant_802,axiom,(
    ~ b111111000(bitIndex1) )).

fof(bitBlastConstant_801,axiom,(
    ~ b111111000(bitIndex0) )).

fof(addAssignment_1351,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6126(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1350,axiom,(
    ! [VarCurr] :
      ( v6126(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1349,axiom,(
    ! [VarCurr] :
      ( v6126(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1550,axiom,(
    ! [VarCurr] :
      ( v6117(VarCurr)
    <=> ( v6118(VarCurr)
        | v6123(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_352,axiom,(
    ! [VarCurr] :
      ( v6123(VarCurr)
    <=> ( ( v6124(VarCurr,bitIndex8)
        <=> $true )
        & ( v6124(VarCurr,bitIndex7)
        <=> $true )
        & ( v6124(VarCurr,bitIndex6)
        <=> $true )
        & ( v6124(VarCurr,bitIndex5)
        <=> $true )
        & ( v6124(VarCurr,bitIndex4)
        <=> $true )
        & ( v6124(VarCurr,bitIndex3)
        <=> $false )
        & ( v6124(VarCurr,bitIndex2)
        <=> $false )
        & ( v6124(VarCurr,bitIndex1)
        <=> $false )
        & ( v6124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_800,axiom,(
    b111110000(bitIndex8) )).

fof(bitBlastConstant_799,axiom,(
    b111110000(bitIndex7) )).

fof(bitBlastConstant_798,axiom,(
    b111110000(bitIndex6) )).

fof(bitBlastConstant_797,axiom,(
    b111110000(bitIndex5) )).

fof(bitBlastConstant_796,axiom,(
    b111110000(bitIndex4) )).

fof(bitBlastConstant_795,axiom,(
    ~ b111110000(bitIndex3) )).

fof(bitBlastConstant_794,axiom,(
    ~ b111110000(bitIndex2) )).

fof(bitBlastConstant_793,axiom,(
    ~ b111110000(bitIndex1) )).

fof(bitBlastConstant_792,axiom,(
    ~ b111110000(bitIndex0) )).

fof(addAssignment_1348,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6124(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1347,axiom,(
    ! [VarCurr] :
      ( v6124(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1346,axiom,(
    ! [VarCurr] :
      ( v6124(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1549,axiom,(
    ! [VarCurr] :
      ( v6118(VarCurr)
    <=> ( v6119(VarCurr)
        | v6121(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_351,axiom,(
    ! [VarCurr] :
      ( v6121(VarCurr)
    <=> ( ( v6122(VarCurr,bitIndex8)
        <=> $true )
        & ( v6122(VarCurr,bitIndex7)
        <=> $true )
        & ( v6122(VarCurr,bitIndex6)
        <=> $true )
        & ( v6122(VarCurr,bitIndex5)
        <=> $false )
        & ( v6122(VarCurr,bitIndex4)
        <=> $true )
        & ( v6122(VarCurr,bitIndex3)
        <=> $true )
        & ( v6122(VarCurr,bitIndex2)
        <=> $false )
        & ( v6122(VarCurr,bitIndex1)
        <=> $false )
        & ( v6122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_791,axiom,(
    b111011000(bitIndex8) )).

fof(bitBlastConstant_790,axiom,(
    b111011000(bitIndex7) )).

fof(bitBlastConstant_789,axiom,(
    b111011000(bitIndex6) )).

fof(bitBlastConstant_788,axiom,(
    ~ b111011000(bitIndex5) )).

fof(bitBlastConstant_787,axiom,(
    b111011000(bitIndex4) )).

fof(bitBlastConstant_786,axiom,(
    b111011000(bitIndex3) )).

fof(bitBlastConstant_785,axiom,(
    ~ b111011000(bitIndex2) )).

fof(bitBlastConstant_784,axiom,(
    ~ b111011000(bitIndex1) )).

fof(bitBlastConstant_783,axiom,(
    ~ b111011000(bitIndex0) )).

fof(addAssignment_1345,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6122(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1344,axiom,(
    ! [VarCurr] :
      ( v6122(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1343,axiom,(
    ! [VarCurr] :
      ( v6122(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_350,axiom,(
    ! [VarCurr] :
      ( v6119(VarCurr)
    <=> ( ( v6120(VarCurr,bitIndex8)
        <=> $true )
        & ( v6120(VarCurr,bitIndex7)
        <=> $true )
        & ( v6120(VarCurr,bitIndex6)
        <=> $true )
        & ( v6120(VarCurr,bitIndex5)
        <=> $false )
        & ( v6120(VarCurr,bitIndex4)
        <=> $true )
        & ( v6120(VarCurr,bitIndex3)
        <=> $false )
        & ( v6120(VarCurr,bitIndex2)
        <=> $false )
        & ( v6120(VarCurr,bitIndex1)
        <=> $false )
        & ( v6120(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_782,axiom,(
    b111010000(bitIndex8) )).

fof(bitBlastConstant_781,axiom,(
    b111010000(bitIndex7) )).

fof(bitBlastConstant_780,axiom,(
    b111010000(bitIndex6) )).

fof(bitBlastConstant_779,axiom,(
    ~ b111010000(bitIndex5) )).

fof(bitBlastConstant_778,axiom,(
    b111010000(bitIndex4) )).

fof(bitBlastConstant_777,axiom,(
    ~ b111010000(bitIndex3) )).

fof(bitBlastConstant_776,axiom,(
    ~ b111010000(bitIndex2) )).

fof(bitBlastConstant_775,axiom,(
    ~ b111010000(bitIndex1) )).

fof(bitBlastConstant_774,axiom,(
    ~ b111010000(bitIndex0) )).

fof(addAssignment_1342,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6120(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1341,axiom,(
    ! [VarCurr] :
      ( v6120(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1340,axiom,(
    ! [VarCurr] :
      ( v6120(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1548,axiom,(
    ! [VarCurr] :
      ( v6103(VarCurr)
    <=> ( v6105(VarCurr)
        | v6113(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_349,axiom,(
    ! [VarCurr] :
      ( v6113(VarCurr)
    <=> ( ( v6114(VarCurr,bitIndex8)
        <=> $false )
        & ( v6114(VarCurr,bitIndex7)
        <=> $true )
        & ( v6114(VarCurr,bitIndex6)
        <=> $true )
        & ( v6114(VarCurr,bitIndex5)
        <=> $true )
        & ( v6114(VarCurr,bitIndex4)
        <=> $true )
        & ( v6114(VarCurr,bitIndex3)
        <=> $true )
        & ( v6114(VarCurr,bitIndex2)
        <=> $false )
        & ( v6114(VarCurr,bitIndex1)
        <=> $false )
        & ( v6114(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_773,axiom,(
    ~ b011111000(bitIndex8) )).

fof(bitBlastConstant_772,axiom,(
    b011111000(bitIndex7) )).

fof(bitBlastConstant_771,axiom,(
    b011111000(bitIndex6) )).

fof(bitBlastConstant_770,axiom,(
    b011111000(bitIndex5) )).

fof(bitBlastConstant_769,axiom,(
    b011111000(bitIndex4) )).

fof(bitBlastConstant_768,axiom,(
    b011111000(bitIndex3) )).

fof(bitBlastConstant_767,axiom,(
    ~ b011111000(bitIndex2) )).

fof(bitBlastConstant_766,axiom,(
    ~ b011111000(bitIndex1) )).

fof(bitBlastConstant_765,axiom,(
    ~ b011111000(bitIndex0) )).

fof(addAssignment_1339,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6114(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1338,axiom,(
    ! [VarCurr] :
      ( v6114(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1337,axiom,(
    ! [VarCurr] :
      ( v6114(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1547,axiom,(
    ! [VarCurr] :
      ( v6105(VarCurr)
    <=> ( v6106(VarCurr)
        | v6111(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_348,axiom,(
    ! [VarCurr] :
      ( v6111(VarCurr)
    <=> ( ( v6112(VarCurr,bitIndex8)
        <=> $false )
        & ( v6112(VarCurr,bitIndex7)
        <=> $true )
        & ( v6112(VarCurr,bitIndex6)
        <=> $true )
        & ( v6112(VarCurr,bitIndex5)
        <=> $false )
        & ( v6112(VarCurr,bitIndex4)
        <=> $true )
        & ( v6112(VarCurr,bitIndex3)
        <=> $true )
        & ( v6112(VarCurr,bitIndex2)
        <=> $false )
        & ( v6112(VarCurr,bitIndex1)
        <=> $false )
        & ( v6112(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_764,axiom,(
    ~ b011011000(bitIndex8) )).

fof(bitBlastConstant_763,axiom,(
    b011011000(bitIndex7) )).

fof(bitBlastConstant_762,axiom,(
    b011011000(bitIndex6) )).

fof(bitBlastConstant_761,axiom,(
    ~ b011011000(bitIndex5) )).

fof(bitBlastConstant_760,axiom,(
    b011011000(bitIndex4) )).

fof(bitBlastConstant_759,axiom,(
    b011011000(bitIndex3) )).

fof(bitBlastConstant_758,axiom,(
    ~ b011011000(bitIndex2) )).

fof(bitBlastConstant_757,axiom,(
    ~ b011011000(bitIndex1) )).

fof(bitBlastConstant_756,axiom,(
    ~ b011011000(bitIndex0) )).

fof(addAssignment_1336,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6112(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1335,axiom,(
    ! [VarCurr] :
      ( v6112(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1334,axiom,(
    ! [VarCurr] :
      ( v6112(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1546,axiom,(
    ! [VarCurr] :
      ( v6106(VarCurr)
    <=> ( v6107(VarCurr)
        | v6109(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_347,axiom,(
    ! [VarCurr] :
      ( v6109(VarCurr)
    <=> ( ( v6110(VarCurr,bitIndex8)
        <=> $false )
        & ( v6110(VarCurr,bitIndex7)
        <=> $true )
        & ( v6110(VarCurr,bitIndex6)
        <=> $true )
        & ( v6110(VarCurr,bitIndex5)
        <=> $true )
        & ( v6110(VarCurr,bitIndex4)
        <=> $true )
        & ( v6110(VarCurr,bitIndex3)
        <=> $false )
        & ( v6110(VarCurr,bitIndex2)
        <=> $false )
        & ( v6110(VarCurr,bitIndex1)
        <=> $false )
        & ( v6110(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_755,axiom,(
    ~ b011110000(bitIndex8) )).

fof(bitBlastConstant_754,axiom,(
    b011110000(bitIndex7) )).

fof(bitBlastConstant_753,axiom,(
    b011110000(bitIndex6) )).

fof(bitBlastConstant_752,axiom,(
    b011110000(bitIndex5) )).

fof(bitBlastConstant_751,axiom,(
    b011110000(bitIndex4) )).

fof(bitBlastConstant_750,axiom,(
    ~ b011110000(bitIndex3) )).

fof(bitBlastConstant_749,axiom,(
    ~ b011110000(bitIndex2) )).

fof(bitBlastConstant_748,axiom,(
    ~ b011110000(bitIndex1) )).

fof(bitBlastConstant_747,axiom,(
    ~ b011110000(bitIndex0) )).

fof(addAssignment_1333,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6110(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1332,axiom,(
    ! [VarCurr] :
      ( v6110(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1331,axiom,(
    ! [VarCurr] :
      ( v6110(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_346,axiom,(
    ! [VarCurr] :
      ( v6107(VarCurr)
    <=> ( ( v6108(VarCurr,bitIndex8)
        <=> $false )
        & ( v6108(VarCurr,bitIndex7)
        <=> $true )
        & ( v6108(VarCurr,bitIndex6)
        <=> $true )
        & ( v6108(VarCurr,bitIndex5)
        <=> $false )
        & ( v6108(VarCurr,bitIndex4)
        <=> $true )
        & ( v6108(VarCurr,bitIndex3)
        <=> $false )
        & ( v6108(VarCurr,bitIndex2)
        <=> $false )
        & ( v6108(VarCurr,bitIndex1)
        <=> $false )
        & ( v6108(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_746,axiom,(
    ~ b011010000(bitIndex8) )).

fof(bitBlastConstant_745,axiom,(
    b011010000(bitIndex7) )).

fof(bitBlastConstant_744,axiom,(
    b011010000(bitIndex6) )).

fof(bitBlastConstant_743,axiom,(
    ~ b011010000(bitIndex5) )).

fof(bitBlastConstant_742,axiom,(
    b011010000(bitIndex4) )).

fof(bitBlastConstant_741,axiom,(
    ~ b011010000(bitIndex3) )).

fof(bitBlastConstant_740,axiom,(
    ~ b011010000(bitIndex2) )).

fof(bitBlastConstant_739,axiom,(
    ~ b011010000(bitIndex1) )).

fof(bitBlastConstant_738,axiom,(
    ~ b011010000(bitIndex0) )).

fof(addAssignment_1330,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6108(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1329,axiom,(
    ! [VarCurr] :
      ( v6108(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1328,axiom,(
    ! [VarCurr] :
      ( v6108(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1545,axiom,(
    ! [VarCurr] :
      ( v6098(VarCurr)
    <=> ( v6099(VarCurr)
        | v6101(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_345,axiom,(
    ! [VarCurr] :
      ( v6101(VarCurr)
    <=> ( ( v6102(VarCurr,bitIndex8)
        <=> $true )
        & ( v6102(VarCurr,bitIndex7)
        <=> $true )
        & ( v6102(VarCurr,bitIndex6)
        <=> $true )
        & ( v6102(VarCurr,bitIndex5)
        <=> $true )
        & ( v6102(VarCurr,bitIndex4)
        <=> $false )
        & ( v6102(VarCurr,bitIndex3)
        <=> $false )
        & ( v6102(VarCurr,bitIndex2)
        <=> $false )
        & ( v6102(VarCurr,bitIndex1)
        <=> $false )
        & ( v6102(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_737,axiom,(
    b111100000(bitIndex8) )).

fof(bitBlastConstant_736,axiom,(
    b111100000(bitIndex7) )).

fof(bitBlastConstant_735,axiom,(
    b111100000(bitIndex6) )).

fof(bitBlastConstant_734,axiom,(
    b111100000(bitIndex5) )).

fof(bitBlastConstant_733,axiom,(
    ~ b111100000(bitIndex4) )).

fof(bitBlastConstant_732,axiom,(
    ~ b111100000(bitIndex3) )).

fof(bitBlastConstant_731,axiom,(
    ~ b111100000(bitIndex2) )).

fof(bitBlastConstant_730,axiom,(
    ~ b111100000(bitIndex1) )).

fof(bitBlastConstant_729,axiom,(
    ~ b111100000(bitIndex0) )).

fof(addAssignment_1327,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6102(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1326,axiom,(
    ! [VarCurr] :
      ( v6102(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1325,axiom,(
    ! [VarCurr] :
      ( v6102(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_344,axiom,(
    ! [VarCurr] :
      ( v6099(VarCurr)
    <=> ( ( v6100(VarCurr,bitIndex8)
        <=> $true )
        & ( v6100(VarCurr,bitIndex7)
        <=> $true )
        & ( v6100(VarCurr,bitIndex6)
        <=> $false )
        & ( v6100(VarCurr,bitIndex5)
        <=> $true )
        & ( v6100(VarCurr,bitIndex4)
        <=> $false )
        & ( v6100(VarCurr,bitIndex3)
        <=> $false )
        & ( v6100(VarCurr,bitIndex2)
        <=> $false )
        & ( v6100(VarCurr,bitIndex1)
        <=> $false )
        & ( v6100(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_728,axiom,(
    b110100000(bitIndex8) )).

fof(bitBlastConstant_727,axiom,(
    b110100000(bitIndex7) )).

fof(bitBlastConstant_726,axiom,(
    ~ b110100000(bitIndex6) )).

fof(bitBlastConstant_725,axiom,(
    b110100000(bitIndex5) )).

fof(bitBlastConstant_724,axiom,(
    ~ b110100000(bitIndex4) )).

fof(bitBlastConstant_723,axiom,(
    ~ b110100000(bitIndex3) )).

fof(bitBlastConstant_722,axiom,(
    ~ b110100000(bitIndex2) )).

fof(bitBlastConstant_721,axiom,(
    ~ b110100000(bitIndex1) )).

fof(bitBlastConstant_720,axiom,(
    ~ b110100000(bitIndex0) )).

fof(addAssignment_1324,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6100(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1323,axiom,(
    ! [VarCurr] :
      ( v6100(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1322,axiom,(
    ! [VarCurr] :
      ( v6100(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1544,axiom,(
    ! [VarCurr] :
      ( v6086(VarCurr)
    <=> ( v6088(VarCurr)
        | v6096(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_343,axiom,(
    ! [VarCurr] :
      ( v6096(VarCurr)
    <=> ( ( v6097(VarCurr,bitIndex8)
        <=> $false )
        & ( v6097(VarCurr,bitIndex7)
        <=> $true )
        & ( v6097(VarCurr,bitIndex6)
        <=> $true )
        & ( v6097(VarCurr,bitIndex5)
        <=> $true )
        & ( v6097(VarCurr,bitIndex4)
        <=> $false )
        & ( v6097(VarCurr,bitIndex3)
        <=> $false )
        & ( v6097(VarCurr,bitIndex2)
        <=> $false )
        & ( v6097(VarCurr,bitIndex1)
        <=> $false )
        & ( v6097(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_719,axiom,(
    ~ b011100000(bitIndex8) )).

fof(bitBlastConstant_718,axiom,(
    b011100000(bitIndex7) )).

fof(bitBlastConstant_717,axiom,(
    b011100000(bitIndex6) )).

fof(bitBlastConstant_716,axiom,(
    b011100000(bitIndex5) )).

fof(bitBlastConstant_715,axiom,(
    ~ b011100000(bitIndex4) )).

fof(bitBlastConstant_714,axiom,(
    ~ b011100000(bitIndex3) )).

fof(bitBlastConstant_713,axiom,(
    ~ b011100000(bitIndex2) )).

fof(bitBlastConstant_712,axiom,(
    ~ b011100000(bitIndex1) )).

fof(bitBlastConstant_711,axiom,(
    ~ b011100000(bitIndex0) )).

fof(addAssignment_1321,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6097(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1320,axiom,(
    ! [VarCurr] :
      ( v6097(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1319,axiom,(
    ! [VarCurr] :
      ( v6097(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1543,axiom,(
    ! [VarCurr] :
      ( v6088(VarCurr)
    <=> ( v6089(VarCurr)
        | v6094(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_342,axiom,(
    ! [VarCurr] :
      ( v6094(VarCurr)
    <=> ( ( v6095(VarCurr,bitIndex8)
        <=> $false )
        & ( v6095(VarCurr,bitIndex7)
        <=> $true )
        & ( v6095(VarCurr,bitIndex6)
        <=> $true )
        & ( v6095(VarCurr,bitIndex5)
        <=> $false )
        & ( v6095(VarCurr,bitIndex4)
        <=> $false )
        & ( v6095(VarCurr,bitIndex3)
        <=> $false )
        & ( v6095(VarCurr,bitIndex2)
        <=> $false )
        & ( v6095(VarCurr,bitIndex1)
        <=> $false )
        & ( v6095(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_710,axiom,(
    ~ b011000000(bitIndex8) )).

fof(bitBlastConstant_709,axiom,(
    b011000000(bitIndex7) )).

fof(bitBlastConstant_708,axiom,(
    b011000000(bitIndex6) )).

fof(bitBlastConstant_707,axiom,(
    ~ b011000000(bitIndex5) )).

fof(bitBlastConstant_706,axiom,(
    ~ b011000000(bitIndex4) )).

fof(bitBlastConstant_705,axiom,(
    ~ b011000000(bitIndex3) )).

fof(bitBlastConstant_704,axiom,(
    ~ b011000000(bitIndex2) )).

fof(bitBlastConstant_703,axiom,(
    ~ b011000000(bitIndex1) )).

fof(bitBlastConstant_702,axiom,(
    ~ b011000000(bitIndex0) )).

fof(addAssignment_1318,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6095(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1317,axiom,(
    ! [VarCurr] :
      ( v6095(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1316,axiom,(
    ! [VarCurr] :
      ( v6095(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1542,axiom,(
    ! [VarCurr] :
      ( v6089(VarCurr)
    <=> ( v6090(VarCurr)
        | v6092(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_341,axiom,(
    ! [VarCurr] :
      ( v6092(VarCurr)
    <=> ( ( v6093(VarCurr,bitIndex8)
        <=> $false )
        & ( v6093(VarCurr,bitIndex7)
        <=> $true )
        & ( v6093(VarCurr,bitIndex6)
        <=> $false )
        & ( v6093(VarCurr,bitIndex5)
        <=> $true )
        & ( v6093(VarCurr,bitIndex4)
        <=> $false )
        & ( v6093(VarCurr,bitIndex3)
        <=> $false )
        & ( v6093(VarCurr,bitIndex2)
        <=> $false )
        & ( v6093(VarCurr,bitIndex1)
        <=> $false )
        & ( v6093(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_701,axiom,(
    ~ b010100000(bitIndex8) )).

fof(bitBlastConstant_700,axiom,(
    b010100000(bitIndex7) )).

fof(bitBlastConstant_699,axiom,(
    ~ b010100000(bitIndex6) )).

fof(bitBlastConstant_698,axiom,(
    b010100000(bitIndex5) )).

fof(bitBlastConstant_697,axiom,(
    ~ b010100000(bitIndex4) )).

fof(bitBlastConstant_696,axiom,(
    ~ b010100000(bitIndex3) )).

fof(bitBlastConstant_695,axiom,(
    ~ b010100000(bitIndex2) )).

fof(bitBlastConstant_694,axiom,(
    ~ b010100000(bitIndex1) )).

fof(bitBlastConstant_693,axiom,(
    ~ b010100000(bitIndex0) )).

fof(addAssignment_1315,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6093(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1314,axiom,(
    ! [VarCurr] :
      ( v6093(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1313,axiom,(
    ! [VarCurr] :
      ( v6093(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_340,axiom,(
    ! [VarCurr] :
      ( v6090(VarCurr)
    <=> ( ( v6091(VarCurr,bitIndex8)
        <=> $false )
        & ( v6091(VarCurr,bitIndex7)
        <=> $true )
        & ( v6091(VarCurr,bitIndex6)
        <=> $false )
        & ( v6091(VarCurr,bitIndex5)
        <=> $false )
        & ( v6091(VarCurr,bitIndex4)
        <=> $false )
        & ( v6091(VarCurr,bitIndex3)
        <=> $false )
        & ( v6091(VarCurr,bitIndex2)
        <=> $false )
        & ( v6091(VarCurr,bitIndex1)
        <=> $false )
        & ( v6091(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_692,axiom,(
    ~ b010000000(bitIndex8) )).

fof(bitBlastConstant_691,axiom,(
    b010000000(bitIndex7) )).

fof(bitBlastConstant_690,axiom,(
    ~ b010000000(bitIndex6) )).

fof(bitBlastConstant_689,axiom,(
    ~ b010000000(bitIndex5) )).

fof(bitBlastConstant_688,axiom,(
    ~ b010000000(bitIndex4) )).

fof(bitBlastConstant_687,axiom,(
    ~ b010000000(bitIndex3) )).

fof(bitBlastConstant_686,axiom,(
    ~ b010000000(bitIndex2) )).

fof(bitBlastConstant_685,axiom,(
    ~ b010000000(bitIndex1) )).

fof(bitBlastConstant_684,axiom,(
    ~ b010000000(bitIndex0) )).

fof(addAssignment_1312,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6091(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1311,axiom,(
    ! [VarCurr] :
      ( v6091(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1310,axiom,(
    ! [VarCurr] :
      ( v6091(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_339,axiom,(
    ! [VarCurr] :
      ( v6084(VarCurr)
    <=> ( ( v6085(VarCurr,bitIndex8)
        <=> $false )
        & ( v6085(VarCurr,bitIndex7)
        <=> $false )
        & ( v6085(VarCurr,bitIndex6)
        <=> $true )
        & ( v6085(VarCurr,bitIndex5)
        <=> $true )
        & ( v6085(VarCurr,bitIndex4)
        <=> $true )
        & ( v6085(VarCurr,bitIndex3)
        <=> $true )
        & ( v6085(VarCurr,bitIndex2)
        <=> $false )
        & ( v6085(VarCurr,bitIndex1)
        <=> $false )
        & ( v6085(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_683,axiom,(
    ~ b001111000(bitIndex8) )).

fof(bitBlastConstant_682,axiom,(
    ~ b001111000(bitIndex7) )).

fof(bitBlastConstant_681,axiom,(
    b001111000(bitIndex6) )).

fof(bitBlastConstant_680,axiom,(
    b001111000(bitIndex5) )).

fof(bitBlastConstant_679,axiom,(
    b001111000(bitIndex4) )).

fof(bitBlastConstant_678,axiom,(
    b001111000(bitIndex3) )).

fof(bitBlastConstant_677,axiom,(
    ~ b001111000(bitIndex2) )).

fof(bitBlastConstant_676,axiom,(
    ~ b001111000(bitIndex1) )).

fof(bitBlastConstant_675,axiom,(
    ~ b001111000(bitIndex0) )).

fof(addAssignment_1309,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6085(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1308,axiom,(
    ! [VarCurr] :
      ( v6085(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1307,axiom,(
    ! [VarCurr] :
      ( v6085(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_338,axiom,(
    ! [VarCurr] :
      ( v6082(VarCurr)
    <=> ( ( v6083(VarCurr,bitIndex8)
        <=> $false )
        & ( v6083(VarCurr,bitIndex7)
        <=> $false )
        & ( v6083(VarCurr,bitIndex6)
        <=> $true )
        & ( v6083(VarCurr,bitIndex5)
        <=> $false )
        & ( v6083(VarCurr,bitIndex4)
        <=> $true )
        & ( v6083(VarCurr,bitIndex3)
        <=> $true )
        & ( v6083(VarCurr,bitIndex2)
        <=> $false )
        & ( v6083(VarCurr,bitIndex1)
        <=> $false )
        & ( v6083(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_674,axiom,(
    ~ b001011000(bitIndex8) )).

fof(bitBlastConstant_673,axiom,(
    ~ b001011000(bitIndex7) )).

fof(bitBlastConstant_672,axiom,(
    b001011000(bitIndex6) )).

fof(bitBlastConstant_671,axiom,(
    ~ b001011000(bitIndex5) )).

fof(bitBlastConstant_670,axiom,(
    b001011000(bitIndex4) )).

fof(bitBlastConstant_669,axiom,(
    b001011000(bitIndex3) )).

fof(bitBlastConstant_668,axiom,(
    ~ b001011000(bitIndex2) )).

fof(bitBlastConstant_667,axiom,(
    ~ b001011000(bitIndex1) )).

fof(bitBlastConstant_666,axiom,(
    ~ b001011000(bitIndex0) )).

fof(addAssignment_1306,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6083(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1305,axiom,(
    ! [VarCurr] :
      ( v6083(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1304,axiom,(
    ! [VarCurr] :
      ( v6083(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_337,axiom,(
    ! [VarCurr] :
      ( v6080(VarCurr)
    <=> ( ( v6081(VarCurr,bitIndex8)
        <=> $false )
        & ( v6081(VarCurr,bitIndex7)
        <=> $false )
        & ( v6081(VarCurr,bitIndex6)
        <=> $true )
        & ( v6081(VarCurr,bitIndex5)
        <=> $true )
        & ( v6081(VarCurr,bitIndex4)
        <=> $true )
        & ( v6081(VarCurr,bitIndex3)
        <=> $false )
        & ( v6081(VarCurr,bitIndex2)
        <=> $false )
        & ( v6081(VarCurr,bitIndex1)
        <=> $false )
        & ( v6081(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_665,axiom,(
    ~ b001110000(bitIndex8) )).

fof(bitBlastConstant_664,axiom,(
    ~ b001110000(bitIndex7) )).

fof(bitBlastConstant_663,axiom,(
    b001110000(bitIndex6) )).

fof(bitBlastConstant_662,axiom,(
    b001110000(bitIndex5) )).

fof(bitBlastConstant_661,axiom,(
    b001110000(bitIndex4) )).

fof(bitBlastConstant_660,axiom,(
    ~ b001110000(bitIndex3) )).

fof(bitBlastConstant_659,axiom,(
    ~ b001110000(bitIndex2) )).

fof(bitBlastConstant_658,axiom,(
    ~ b001110000(bitIndex1) )).

fof(bitBlastConstant_657,axiom,(
    ~ b001110000(bitIndex0) )).

fof(addAssignment_1303,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6081(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1302,axiom,(
    ! [VarCurr] :
      ( v6081(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1301,axiom,(
    ! [VarCurr] :
      ( v6081(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_336,axiom,(
    ! [VarCurr] :
      ( v6078(VarCurr)
    <=> ( ( v6079(VarCurr,bitIndex8)
        <=> $false )
        & ( v6079(VarCurr,bitIndex7)
        <=> $false )
        & ( v6079(VarCurr,bitIndex6)
        <=> $true )
        & ( v6079(VarCurr,bitIndex5)
        <=> $false )
        & ( v6079(VarCurr,bitIndex4)
        <=> $true )
        & ( v6079(VarCurr,bitIndex3)
        <=> $false )
        & ( v6079(VarCurr,bitIndex2)
        <=> $false )
        & ( v6079(VarCurr,bitIndex1)
        <=> $false )
        & ( v6079(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_656,axiom,(
    ~ b001010000(bitIndex8) )).

fof(bitBlastConstant_655,axiom,(
    ~ b001010000(bitIndex7) )).

fof(bitBlastConstant_654,axiom,(
    b001010000(bitIndex6) )).

fof(bitBlastConstant_653,axiom,(
    ~ b001010000(bitIndex5) )).

fof(bitBlastConstant_652,axiom,(
    b001010000(bitIndex4) )).

fof(bitBlastConstant_651,axiom,(
    ~ b001010000(bitIndex3) )).

fof(bitBlastConstant_650,axiom,(
    ~ b001010000(bitIndex2) )).

fof(bitBlastConstant_649,axiom,(
    ~ b001010000(bitIndex1) )).

fof(bitBlastConstant_648,axiom,(
    ~ b001010000(bitIndex0) )).

fof(addAssignment_1300,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6079(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1299,axiom,(
    ! [VarCurr] :
      ( v6079(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1298,axiom,(
    ! [VarCurr] :
      ( v6079(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_335,axiom,(
    ! [VarCurr] :
      ( v6076(VarCurr)
    <=> ( ( v6077(VarCurr,bitIndex8)
        <=> $false )
        & ( v6077(VarCurr,bitIndex7)
        <=> $false )
        & ( v6077(VarCurr,bitIndex6)
        <=> $true )
        & ( v6077(VarCurr,bitIndex5)
        <=> $true )
        & ( v6077(VarCurr,bitIndex4)
        <=> $false )
        & ( v6077(VarCurr,bitIndex3)
        <=> $false )
        & ( v6077(VarCurr,bitIndex2)
        <=> $false )
        & ( v6077(VarCurr,bitIndex1)
        <=> $false )
        & ( v6077(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_647,axiom,(
    ~ b001100000(bitIndex8) )).

fof(bitBlastConstant_646,axiom,(
    ~ b001100000(bitIndex7) )).

fof(bitBlastConstant_645,axiom,(
    b001100000(bitIndex6) )).

fof(bitBlastConstant_644,axiom,(
    b001100000(bitIndex5) )).

fof(bitBlastConstant_643,axiom,(
    ~ b001100000(bitIndex4) )).

fof(bitBlastConstant_642,axiom,(
    ~ b001100000(bitIndex3) )).

fof(bitBlastConstant_641,axiom,(
    ~ b001100000(bitIndex2) )).

fof(bitBlastConstant_640,axiom,(
    ~ b001100000(bitIndex1) )).

fof(bitBlastConstant_639,axiom,(
    ~ b001100000(bitIndex0) )).

fof(addAssignment_1297,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6077(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1296,axiom,(
    ! [VarCurr] :
      ( v6077(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1295,axiom,(
    ! [VarCurr] :
      ( v6077(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_334,axiom,(
    ! [VarCurr] :
      ( v6074(VarCurr)
    <=> ( ( v6075(VarCurr,bitIndex8)
        <=> $false )
        & ( v6075(VarCurr,bitIndex7)
        <=> $false )
        & ( v6075(VarCurr,bitIndex6)
        <=> $true )
        & ( v6075(VarCurr,bitIndex5)
        <=> $false )
        & ( v6075(VarCurr,bitIndex4)
        <=> $false )
        & ( v6075(VarCurr,bitIndex3)
        <=> $false )
        & ( v6075(VarCurr,bitIndex2)
        <=> $false )
        & ( v6075(VarCurr,bitIndex1)
        <=> $false )
        & ( v6075(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_638,axiom,(
    ~ b001000000(bitIndex8) )).

fof(bitBlastConstant_637,axiom,(
    ~ b001000000(bitIndex7) )).

fof(bitBlastConstant_636,axiom,(
    b001000000(bitIndex6) )).

fof(bitBlastConstant_635,axiom,(
    ~ b001000000(bitIndex5) )).

fof(bitBlastConstant_634,axiom,(
    ~ b001000000(bitIndex4) )).

fof(bitBlastConstant_633,axiom,(
    ~ b001000000(bitIndex3) )).

fof(bitBlastConstant_632,axiom,(
    ~ b001000000(bitIndex2) )).

fof(bitBlastConstant_631,axiom,(
    ~ b001000000(bitIndex1) )).

fof(bitBlastConstant_630,axiom,(
    ~ b001000000(bitIndex0) )).

fof(addAssignment_1294,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6075(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1293,axiom,(
    ! [VarCurr] :
      ( v6075(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1292,axiom,(
    ! [VarCurr] :
      ( v6075(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_333,axiom,(
    ! [VarCurr] :
      ( v6072(VarCurr)
    <=> ( ( v6073(VarCurr,bitIndex8)
        <=> $false )
        & ( v6073(VarCurr,bitIndex7)
        <=> $false )
        & ( v6073(VarCurr,bitIndex6)
        <=> $false )
        & ( v6073(VarCurr,bitIndex5)
        <=> $true )
        & ( v6073(VarCurr,bitIndex4)
        <=> $false )
        & ( v6073(VarCurr,bitIndex3)
        <=> $false )
        & ( v6073(VarCurr,bitIndex2)
        <=> $false )
        & ( v6073(VarCurr,bitIndex1)
        <=> $false )
        & ( v6073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_629,axiom,(
    ~ b000100000(bitIndex8) )).

fof(bitBlastConstant_628,axiom,(
    ~ b000100000(bitIndex7) )).

fof(bitBlastConstant_627,axiom,(
    ~ b000100000(bitIndex6) )).

fof(bitBlastConstant_626,axiom,(
    b000100000(bitIndex5) )).

fof(bitBlastConstant_625,axiom,(
    ~ b000100000(bitIndex4) )).

fof(bitBlastConstant_624,axiom,(
    ~ b000100000(bitIndex3) )).

fof(bitBlastConstant_623,axiom,(
    ~ b000100000(bitIndex2) )).

fof(bitBlastConstant_622,axiom,(
    ~ b000100000(bitIndex1) )).

fof(bitBlastConstant_621,axiom,(
    ~ b000100000(bitIndex0) )).

fof(addAssignment_1291,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6073(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1290,axiom,(
    ! [VarCurr] :
      ( v6073(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1289,axiom,(
    ! [VarCurr] :
      ( v6073(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_332,axiom,(
    ! [VarCurr] :
      ( v6070(VarCurr)
    <=> ( ( v6071(VarCurr,bitIndex8)
        <=> $false )
        & ( v6071(VarCurr,bitIndex7)
        <=> $false )
        & ( v6071(VarCurr,bitIndex6)
        <=> $false )
        & ( v6071(VarCurr,bitIndex5)
        <=> $false )
        & ( v6071(VarCurr,bitIndex4)
        <=> $false )
        & ( v6071(VarCurr,bitIndex3)
        <=> $false )
        & ( v6071(VarCurr,bitIndex2)
        <=> $false )
        & ( v6071(VarCurr,bitIndex1)
        <=> $false )
        & ( v6071(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_620,axiom,(
    ~ b000000000(bitIndex8) )).

fof(bitBlastConstant_619,axiom,(
    ~ b000000000(bitIndex7) )).

fof(bitBlastConstant_618,axiom,(
    ~ b000000000(bitIndex6) )).

fof(bitBlastConstant_617,axiom,(
    ~ b000000000(bitIndex5) )).

fof(bitBlastConstant_616,axiom,(
    ~ b000000000(bitIndex4) )).

fof(bitBlastConstant_615,axiom,(
    ~ b000000000(bitIndex3) )).

fof(bitBlastConstant_614,axiom,(
    ~ b000000000(bitIndex2) )).

fof(bitBlastConstant_613,axiom,(
    ~ b000000000(bitIndex1) )).

fof(bitBlastConstant_612,axiom,(
    ~ b000000000(bitIndex0) )).

fof(addAssignment_1288,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v6071(VarCurr,B)
      <=> v6035(VarCurr,B) ) ) )).

fof(addAssignment_1287,axiom,(
    ! [VarCurr] :
      ( v6071(VarCurr,bitIndex7)
    <=> v6033(VarCurr) ) )).

fof(addAssignment_1286,axiom,(
    ! [VarCurr] :
      ( v6071(VarCurr,bitIndex8)
    <=> v5904(VarCurr) ) )).

fof(addAssignment_1285,axiom,(
    ! [VarCurr] :
      ( ( v6035(VarCurr,bitIndex6)
      <=> v6037(VarCurr,bitIndex84) )
      & ( v6035(VarCurr,bitIndex5)
      <=> v6037(VarCurr,bitIndex83) )
      & ( v6035(VarCurr,bitIndex4)
      <=> v6037(VarCurr,bitIndex82) )
      & ( v6035(VarCurr,bitIndex3)
      <=> v6037(VarCurr,bitIndex81) )
      & ( v6035(VarCurr,bitIndex2)
      <=> v6037(VarCurr,bitIndex80) )
      & ( v6035(VarCurr,bitIndex1)
      <=> v6037(VarCurr,bitIndex79) )
      & ( v6035(VarCurr,bitIndex0)
      <=> v6037(VarCurr,bitIndex78) ) ) )).

fof(addAssignment_1284,axiom,(
    ! [VarCurr,B] :
      ( range_84_78(B)
     => ( v6037(VarCurr,B)
      <=> v6039(VarCurr,B) ) ) )).

fof(addAssignment_1283,axiom,(
    ! [VarCurr,B] :
      ( range_84_78(B)
     => ( v6039(VarCurr,B)
      <=> v6041(VarCurr,B) ) ) )).

fof(addAssignment_1282,axiom,(
    ! [VarCurr,B] :
      ( range_84_78(B)
     => ( v6041(VarCurr,B)
      <=> v6042(VarCurr,B) ) ) )).

fof(range_axiom_28,axiom,(
    ! [B] :
      ( range_84_78(B)
    <=> ( $false
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_145,axiom,(
    ! [VarCurr] :
      ( ~ v6043(VarCurr)
     => ! [B] :
          ( range_84_0(B)
         => ( v6042(VarCurr,B)
          <=> v6028(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_149,axiom,(
    ! [VarCurr] :
      ( v6043(VarCurr)
     => ! [B] :
          ( range_84_0(B)
         => ( v6042(VarCurr,B)
          <=> v6045(VarCurr,B) ) ) ) )).

fof(range_axiom_27,axiom,(
    ! [B] :
      ( range_84_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B ) ) )).

fof(addAssignment_1281,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v6045(VarCurr,B)
      <=> v6028(VarCurr,B) ) ) )).

fof(addAssignment_1280,axiom,(
    ! [VarCurr] :
      ( ( v6045(VarCurr,bitIndex37)
      <=> v6046(VarCurr,bitIndex26) )
      & ( v6045(VarCurr,bitIndex36)
      <=> v6046(VarCurr,bitIndex25) )
      & ( v6045(VarCurr,bitIndex35)
      <=> v6046(VarCurr,bitIndex24) )
      & ( v6045(VarCurr,bitIndex34)
      <=> v6046(VarCurr,bitIndex23) )
      & ( v6045(VarCurr,bitIndex33)
      <=> v6046(VarCurr,bitIndex22) )
      & ( v6045(VarCurr,bitIndex32)
      <=> v6046(VarCurr,bitIndex21) )
      & ( v6045(VarCurr,bitIndex31)
      <=> v6046(VarCurr,bitIndex20) )
      & ( v6045(VarCurr,bitIndex30)
      <=> v6046(VarCurr,bitIndex19) )
      & ( v6045(VarCurr,bitIndex29)
      <=> v6046(VarCurr,bitIndex18) )
      & ( v6045(VarCurr,bitIndex28)
      <=> v6046(VarCurr,bitIndex17) )
      & ( v6045(VarCurr,bitIndex27)
      <=> v6046(VarCurr,bitIndex16) )
      & ( v6045(VarCurr,bitIndex26)
      <=> v6046(VarCurr,bitIndex15) )
      & ( v6045(VarCurr,bitIndex25)
      <=> v6046(VarCurr,bitIndex14) )
      & ( v6045(VarCurr,bitIndex24)
      <=> v6046(VarCurr,bitIndex13) )
      & ( v6045(VarCurr,bitIndex23)
      <=> v6046(VarCurr,bitIndex12) )
      & ( v6045(VarCurr,bitIndex22)
      <=> v6046(VarCurr,bitIndex11) )
      & ( v6045(VarCurr,bitIndex21)
      <=> v6046(VarCurr,bitIndex10) )
      & ( v6045(VarCurr,bitIndex20)
      <=> v6046(VarCurr,bitIndex9) )
      & ( v6045(VarCurr,bitIndex19)
      <=> v6046(VarCurr,bitIndex8) )
      & ( v6045(VarCurr,bitIndex18)
      <=> v6046(VarCurr,bitIndex7) )
      & ( v6045(VarCurr,bitIndex17)
      <=> v6046(VarCurr,bitIndex6) )
      & ( v6045(VarCurr,bitIndex16)
      <=> v6046(VarCurr,bitIndex5) )
      & ( v6045(VarCurr,bitIndex15)
      <=> v6046(VarCurr,bitIndex4) )
      & ( v6045(VarCurr,bitIndex14)
      <=> v6046(VarCurr,bitIndex3) )
      & ( v6045(VarCurr,bitIndex13)
      <=> v6046(VarCurr,bitIndex2) )
      & ( v6045(VarCurr,bitIndex12)
      <=> v6046(VarCurr,bitIndex1) )
      & ( v6045(VarCurr,bitIndex11)
      <=> v6046(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_1279,axiom,(
    ! [VarCurr,B] :
      ( range_84_38(B)
     => ( v6045(VarCurr,B)
      <=> v6028(VarCurr,B) ) ) )).

fof(range_axiom_26,axiom,(
    ! [B] :
      ( range_84_38(B)
    <=> ( $false
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1541,axiom,(
    ! [VarCurr] :
      ( v6043(VarCurr)
    <=> ( v5910(VarCurr)
        & v6044(VarCurr) ) ) )).

fof(writeUnaryOperator_707,axiom,(
    ! [VarCurr] :
      ( ~ v6044(VarCurr)
    <=> v6026(VarCurr) ) )).

fof(addAssignment_1278,axiom,(
    ! [VarCurr] :
      ( v6033(VarCurr)
    <=> v5912(VarCurr) ) )).

fof(addAssignment_1277,axiom,(
    ! [VarCurr] :
      ( v5904(VarCurr)
    <=> v5906(VarCurr) ) )).

fof(addAssignment_1276,axiom,(
    ! [VarCurr] :
      ( v5906(VarCurr)
    <=> v5908(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1540,axiom,(
    ! [VarCurr] :
      ( v5908(VarCurr)
    <=> ( v5910(VarCurr)
        & v6026(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_331,axiom,(
    ! [VarCurr] :
      ( v6026(VarCurr)
    <=> ( ( v6028(VarCurr,bitIndex61)
        <=> $true )
        & ( v6028(VarCurr,bitIndex60)
        <=> $true )
        & ( v6028(VarCurr,bitIndex59)
        <=> $true )
        & ( v6028(VarCurr,bitIndex58)
        <=> $true )
        & ( v6028(VarCurr,bitIndex57)
        <=> $true )
        & ( v6028(VarCurr,bitIndex56)
        <=> $true )
        & ( v6028(VarCurr,bitIndex55)
        <=> $true )
        & ( v6028(VarCurr,bitIndex54)
        <=> $true )
        & ( v6028(VarCurr,bitIndex53)
        <=> $true )
        & ( v6028(VarCurr,bitIndex52)
        <=> $true )
        & ( v6028(VarCurr,bitIndex51)
        <=> $true )
        & ( v6028(VarCurr,bitIndex50)
        <=> $true )
        & ( v6028(VarCurr,bitIndex49)
        <=> $true )
        & ( v6028(VarCurr,bitIndex48)
        <=> $true )
        & ( v6028(VarCurr,bitIndex47)
        <=> $false )
        & ( v6028(VarCurr,bitIndex46)
        <=> $false )
        & ( v6028(VarCurr,bitIndex45)
        <=> $false )
        & ( v6028(VarCurr,bitIndex44)
        <=> $false )
        & ( v6028(VarCurr,bitIndex43)
        <=> $false )
        & ( v6028(VarCurr,bitIndex42)
        <=> $false )
        & ( v6028(VarCurr,bitIndex41)
        <=> $false )
        & ( v6028(VarCurr,bitIndex40)
        <=> $false )
        & ( v6028(VarCurr,bitIndex39)
        <=> $false )
        & ( v6028(VarCurr,bitIndex38)
        <=> $false )
        & ( v6028(VarCurr,bitIndex37)
        <=> $false ) ) ) )).

fof(bitBlastConstant_611,axiom,(
    b1111111111111100000000000(bitIndex24) )).

fof(bitBlastConstant_610,axiom,(
    b1111111111111100000000000(bitIndex23) )).

fof(bitBlastConstant_609,axiom,(
    b1111111111111100000000000(bitIndex22) )).

fof(bitBlastConstant_608,axiom,(
    b1111111111111100000000000(bitIndex21) )).

fof(bitBlastConstant_607,axiom,(
    b1111111111111100000000000(bitIndex20) )).

fof(bitBlastConstant_606,axiom,(
    b1111111111111100000000000(bitIndex19) )).

fof(bitBlastConstant_605,axiom,(
    b1111111111111100000000000(bitIndex18) )).

fof(bitBlastConstant_604,axiom,(
    b1111111111111100000000000(bitIndex17) )).

fof(bitBlastConstant_603,axiom,(
    b1111111111111100000000000(bitIndex16) )).

fof(bitBlastConstant_602,axiom,(
    b1111111111111100000000000(bitIndex15) )).

fof(bitBlastConstant_601,axiom,(
    b1111111111111100000000000(bitIndex14) )).

fof(bitBlastConstant_600,axiom,(
    b1111111111111100000000000(bitIndex13) )).

fof(bitBlastConstant_599,axiom,(
    b1111111111111100000000000(bitIndex12) )).

fof(bitBlastConstant_598,axiom,(
    b1111111111111100000000000(bitIndex11) )).

fof(bitBlastConstant_597,axiom,(
    ~ b1111111111111100000000000(bitIndex10) )).

fof(bitBlastConstant_596,axiom,(
    ~ b1111111111111100000000000(bitIndex9) )).

fof(bitBlastConstant_595,axiom,(
    ~ b1111111111111100000000000(bitIndex8) )).

fof(bitBlastConstant_594,axiom,(
    ~ b1111111111111100000000000(bitIndex7) )).

fof(bitBlastConstant_593,axiom,(
    ~ b1111111111111100000000000(bitIndex6) )).

fof(bitBlastConstant_592,axiom,(
    ~ b1111111111111100000000000(bitIndex5) )).

fof(bitBlastConstant_591,axiom,(
    ~ b1111111111111100000000000(bitIndex4) )).

fof(bitBlastConstant_590,axiom,(
    ~ b1111111111111100000000000(bitIndex3) )).

fof(bitBlastConstant_589,axiom,(
    ~ b1111111111111100000000000(bitIndex2) )).

fof(bitBlastConstant_588,axiom,(
    ~ b1111111111111100000000000(bitIndex1) )).

fof(bitBlastConstant_587,axiom,(
    ~ b1111111111111100000000000(bitIndex0) )).

fof(addAssignment_1275,axiom,(
    ! [VarCurr] :
      ( v5910(VarCurr)
    <=> v5912(VarCurr) ) )).

fof(addAssignment_1274,axiom,(
    ! [VarCurr] :
      ( v5912(VarCurr)
    <=> v5914(VarCurr) ) )).

fof(addAssignment_1273,axiom,(
    ! [VarCurr] :
      ( v5914(VarCurr)
    <=> v5916(VarCurr) ) )).

fof(addAssignment_1272,axiom,(
    ! [VarCurr] :
      ( v5916(VarCurr)
    <=> v5918(VarCurr) ) )).

fof(addAssignment_1271,axiom,(
    ! [VarCurr] :
      ( v5918(VarCurr)
    <=> v5920(VarCurr) ) )).

fof(addAssignment_1270,axiom,(
    ! [VarCurr] :
      ( v5920(VarCurr)
    <=> v5003(VarCurr,bitIndex2) ) )).

fof(addAssignment_1269,axiom,(
    ! [VarCurr] :
      ( v5003(VarCurr,bitIndex2)
    <=> v5005(VarCurr,bitIndex2) ) )).

fof(addAssignment_1268,axiom,(
    ! [VarCurr] :
      ( v5005(VarCurr,bitIndex2)
    <=> v5922(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_64,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5981(VarNext)
       => ( v5922(VarNext)
        <=> v5922(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_68,axiom,(
    ! [VarNext] :
      ( v5981(VarNext)
     => ( v5922(VarNext)
      <=> v6016(VarNext) ) ) )).

fof(addAssignment_1267,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6016(VarNext)
      <=> v6014(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_84,axiom,(
    ! [VarCurr] :
      ( ~ v5924(VarCurr)
     => ( v6014(VarCurr)
      <=> v6017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_86,axiom,(
    ! [VarCurr] :
      ( v5924(VarCurr)
     => ( v6014(VarCurr)
      <=> v5926(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_83,axiom,(
    ! [VarCurr] :
      ( ~ v5994(VarCurr)
     => ( v6017(VarCurr)
      <=> v5976(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_85,axiom,(
    ! [VarCurr] :
      ( v5994(VarCurr)
     => ( v6017(VarCurr)
      <=> v6018(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_33,axiom,(
    ! [VarCurr] :
      ( ( ~ v5997(VarCurr)
        & ~ v5999(VarCurr) )
     => ( v6018(VarCurr)
      <=> v6022(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_82,axiom,(
    ! [VarCurr] :
      ( v5999(VarCurr)
     => ( v6018(VarCurr)
      <=> v6021(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_84,axiom,(
    ! [VarCurr] :
      ( v5997(VarCurr)
     => ( v6018(VarCurr)
      <=> v6019(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_81,axiom,(
    ! [VarCurr] :
      ( ~ v6007(VarCurr)
     => ( v6022(VarCurr)
      <=> v5976(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_83,axiom,(
    ! [VarCurr] :
      ( v6007(VarCurr)
     => ( v6022(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_80,axiom,(
    ! [VarCurr] :
      ( ~ v6001(VarCurr)
     => ( v6021(VarCurr)
      <=> v5976(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_82,axiom,(
    ! [VarCurr] :
      ( v6001(VarCurr)
     => ( v6021(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_144,axiom,(
    ! [VarCurr] :
      ( ~ v6020(VarCurr)
     => ( v6019(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_148,axiom,(
    ! [VarCurr] :
      ( v6020(VarCurr)
     => ( v6019(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_330,axiom,(
    ! [VarCurr] :
      ( v6020(VarCurr)
    <=> ( v5934(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1539,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5981(VarNext)
      <=> ( v5982(VarNext)
          & v5991(VarNext) ) ) ) )).

fof(addAssignment_1266,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5991(VarNext)
      <=> v5989(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1538,axiom,(
    ! [VarCurr] :
      ( v5989(VarCurr)
    <=> ( v5924(VarCurr)
        | v5992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1537,axiom,(
    ! [VarCurr] :
      ( v5992(VarCurr)
    <=> ( v5993(VarCurr)
        & v6013(VarCurr) ) ) )).

fof(writeUnaryOperator_706,axiom,(
    ! [VarCurr] :
      ( ~ v6013(VarCurr)
    <=> v5924(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1536,axiom,(
    ! [VarCurr] :
      ( v5993(VarCurr)
    <=> ( v5994(VarCurr)
        | v6011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1535,axiom,(
    ! [VarCurr] :
      ( v6011(VarCurr)
    <=> ( v5972(VarCurr)
        & v6012(VarCurr) ) ) )).

fof(writeUnaryOperator_705,axiom,(
    ! [VarCurr] :
      ( ~ v6012(VarCurr)
    <=> v5974(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1534,axiom,(
    ! [VarCurr] :
      ( v5994(VarCurr)
    <=> ( v5995(VarCurr)
        & v5974(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1533,axiom,(
    ! [VarCurr] :
      ( v5995(VarCurr)
    <=> ( v5996(VarCurr)
        | v6005(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1532,axiom,(
    ! [VarCurr] :
      ( v6005(VarCurr)
    <=> ( v6006(VarCurr)
        & v6010(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_329,axiom,(
    ! [VarCurr] :
      ( v6010(VarCurr)
    <=> ( ( v5998(VarCurr,bitIndex2)
        <=> $false )
        & ( v5998(VarCurr,bitIndex1)
        <=> $false )
        & ( v5998(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1531,axiom,(
    ! [VarCurr] :
      ( v6006(VarCurr)
    <=> ( v6007(VarCurr)
        | v6008(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1530,axiom,(
    ! [VarCurr] :
      ( v6008(VarCurr)
    <=> ( v5972(VarCurr)
        & v6009(VarCurr) ) ) )).

fof(writeUnaryOperator_704,axiom,(
    ! [VarCurr] :
      ( ~ v6009(VarCurr)
    <=> v6007(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_328,axiom,(
    ! [VarCurr] :
      ( v6007(VarCurr)
    <=> ( v5934(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1529,axiom,(
    ! [VarCurr] :
      ( v5996(VarCurr)
    <=> ( v5997(VarCurr)
        | v5999(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1528,axiom,(
    ! [VarCurr] :
      ( v5999(VarCurr)
    <=> ( v6000(VarCurr)
        & v6004(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_327,axiom,(
    ! [VarCurr] :
      ( v6004(VarCurr)
    <=> ( ( v5998(VarCurr,bitIndex2)
        <=> $false )
        & ( v5998(VarCurr,bitIndex1)
        <=> $true )
        & ( v5998(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1527,axiom,(
    ! [VarCurr] :
      ( v6000(VarCurr)
    <=> ( v6001(VarCurr)
        | v6002(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1526,axiom,(
    ! [VarCurr] :
      ( v6002(VarCurr)
    <=> ( v5972(VarCurr)
        & v6003(VarCurr) ) ) )).

fof(writeUnaryOperator_703,axiom,(
    ! [VarCurr] :
      ( ~ v6003(VarCurr)
    <=> v6001(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_326,axiom,(
    ! [VarCurr] :
      ( v6001(VarCurr)
    <=> ( v5934(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_325,axiom,(
    ! [VarCurr] :
      ( v5997(VarCurr)
    <=> ( ( v5998(VarCurr,bitIndex2)
        <=> $true )
        & ( v5998(VarCurr,bitIndex1)
        <=> $false )
        & ( v5998(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1265,axiom,(
    ! [VarCurr] :
      ( v5998(VarCurr,bitIndex0)
    <=> v5932(VarCurr) ) )).

fof(addAssignment_1264,axiom,(
    ! [VarCurr] :
      ( v5998(VarCurr,bitIndex1)
    <=> v5930(VarCurr) ) )).

fof(addAssignment_1263,axiom,(
    ! [VarCurr] :
      ( v5998(VarCurr,bitIndex2)
    <=> v5928(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1525,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5982(VarNext)
      <=> ( v5983(VarNext)
          & v5978(VarNext) ) ) ) )).

fof(writeUnaryOperator_702,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5983(VarNext)
      <=> v5985(VarNext) ) ) )).

fof(addAssignment_1262,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5985(VarNext)
      <=> v5978(VarCurr) ) ) )).

fof(addAssignment_1261,axiom,(
    ! [VarCurr] :
      ( v5978(VarCurr)
    <=> v5187(VarCurr) ) )).

fof(addAssignment_1260,axiom,(
    ! [VarCurr] :
      ( v5976(VarCurr)
    <=> $false ) )).

fof(addAssignment_1259,axiom,(
    ! [VarCurr] :
      ( v5974(VarCurr)
    <=> v5074(VarCurr) ) )).

fof(addAssignment_1258,axiom,(
    ! [VarCurr] :
      ( v5972(VarCurr)
    <=> $false ) )).

fof(addAssignment_1257,axiom,(
    ! [VarCurr] :
      ( v5934(VarCurr)
    <=> v5046(VarCurr,bitIndex2) ) )).

fof(addAssignment_1256,axiom,(
    ! [VarCurr] :
      ( v5046(VarCurr,bitIndex2)
    <=> v5048(VarCurr,bitIndex2) ) )).

fof(addAssignment_1255,axiom,(
    ! [VarCurr] :
      ( v5048(VarCurr,bitIndex2)
    <=> v5050(VarCurr,bitIndex2) ) )).

fof(addAssignment_1254,axiom,(
    ! [VarCurr] :
      ( v5050(VarCurr,bitIndex2)
    <=> v5052(VarCurr,bitIndex2) ) )).

fof(addAssignment_1253,axiom,(
    ! [VarCurr] :
      ( v5052(VarCurr,bitIndex2)
    <=> v5054(VarCurr,bitIndex2) ) )).

fof(addAssignment_1252,axiom,(
    ! [VarCurr] :
      ( v5054(VarCurr,bitIndex2)
    <=> v5056(VarCurr,bitIndex2) ) )).

fof(addAssignment_1251,axiom,(
    ! [VarCurr] :
      ( v5056(VarCurr,bitIndex2)
    <=> v5058(VarCurr,bitIndex2) ) )).

fof(addAssignment_1250,axiom,(
    ! [VarCurr] :
      ( v5058(VarCurr,bitIndex2)
    <=> v5060(VarCurr,bitIndex2) ) )).

fof(addAssignment_1249,axiom,(
    ! [VarCurr] :
      ( v5060(VarCurr,bitIndex2)
    <=> v5062(VarCurr,bitIndex2) ) )).

fof(addAssignment_1248,axiom,(
    ! [VarCurr] :
      ( v5062(VarCurr,bitIndex2)
    <=> v5064(VarCurr,bitIndex2) ) )).

fof(addAssignment_1247,axiom,(
    ! [VarCurr] :
      ( v5064(VarCurr,bitIndex2)
    <=> v5066(VarCurr,bitIndex2) ) )).

fof(addAssignment_1246,axiom,(
    ! [VarCurr] :
      ( v5066(VarCurr,bitIndex2)
    <=> v5068(VarCurr,bitIndex2) ) )).

fof(addAssignment_1245,axiom,(
    ! [VarNext] :
      ( v5068(VarNext,bitIndex2)
    <=> v5959(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_63,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5960(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v5959(VarNext,B)
            <=> v5068(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_67,axiom,(
    ! [VarNext] :
      ( v5960(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v5959(VarNext,B)
          <=> v5968(VarNext,B) ) ) ) )).

fof(addAssignment_1244,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v5968(VarNext,B)
          <=> v5966(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_143,axiom,(
    ! [VarCurr] :
      ( ~ v5178(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v5966(VarCurr,B)
          <=> v5937(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_147,axiom,(
    ! [VarCurr] :
      ( v5178(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v5966(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_25,axiom,(
    ! [B] :
      ( range_63_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B ) ) )).

fof(bitBlastConstant_586,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_585,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_584,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_583,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_582,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_581,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_580,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_579,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_578,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_577,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_576,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_575,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_574,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_573,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_572,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_571,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_570,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_569,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_568,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_567,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_566,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_565,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_564,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_563,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_562,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_561,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_560,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_559,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_558,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_557,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_556,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_555,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_554,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_553,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_552,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_551,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_550,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_549,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_548,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_547,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_546,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_545,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_544,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_543,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_542,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_541,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_540,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_539,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_538,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_537,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_536,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_535,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_534,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_533,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_532,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_531,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_530,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_529,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_528,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_527,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_526,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_525,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_524,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_523,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1524,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5960(VarNext)
      <=> v5961(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1523,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5961(VarNext)
      <=> ( v5963(VarNext)
          & v5164(VarNext) ) ) ) )).

fof(writeUnaryOperator_701,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5963(VarNext)
      <=> v5171(VarNext) ) ) )).

fof(addAssignment_1243,axiom,(
    ! [VarCurr] :
      ( v5937(VarCurr,bitIndex2)
    <=> v5939(VarCurr,bitIndex2) ) )).

fof(addAssignment_1242,axiom,(
    ! [VarCurr] :
      ( v5939(VarCurr,bitIndex2)
    <=> v5941(VarCurr,bitIndex2) ) )).

fof(addAssignment_1241,axiom,(
    ! [VarCurr] :
      ( v5941(VarCurr,bitIndex2)
    <=> v5943(VarCurr,bitIndex2) ) )).

fof(addAssignment_1240,axiom,(
    ! [VarCurr] :
      ( v5943(VarCurr,bitIndex2)
    <=> v5945(VarCurr,bitIndex2) ) )).

fof(addAssignment_1239,axiom,(
    ! [VarCurr] :
      ( v5945(VarCurr,bitIndex2)
    <=> v5947(VarCurr,bitIndex2) ) )).

fof(addAssignment_1238,axiom,(
    ! [VarCurr] :
      ( v5947(VarCurr,bitIndex2)
    <=> v5949(VarCurr,bitIndex2) ) )).

fof(addAssignment_1237,axiom,(
    ! [VarCurr] :
      ( v5949(VarCurr,bitIndex2)
    <=> v5951(VarCurr,bitIndex2) ) )).

fof(addAssignment_1236,axiom,(
    ! [VarCurr] :
      ( v5951(VarCurr,bitIndex2)
    <=> v5953(VarCurr,bitIndex2) ) )).

fof(addAssignment_1235,axiom,(
    ! [VarCurr] :
      ( v5953(VarCurr,bitIndex2)
    <=> v5955(VarCurr,bitIndex2) ) )).

fof(addAssignment_1234,axiom,(
    ! [VarCurr] :
      ( v5955(VarCurr,bitIndex2)
    <=> v5957(VarCurr,bitIndex2) ) )).

fof(addAssignment_1233,axiom,(
    ! [VarCurr] :
      ( v5932(VarCurr)
    <=> $false ) )).

fof(addAssignment_1232,axiom,(
    ! [VarCurr] :
      ( v5930(VarCurr)
    <=> $false ) )).

fof(addAssignment_1231,axiom,(
    ! [VarCurr] :
      ( v5928(VarCurr)
    <=> $true ) )).

fof(addAssignment_1230,axiom,(
    ! [VarCurr] :
      ( v5926(VarCurr)
    <=> $false ) )).

fof(addAssignment_1229,axiom,(
    ! [VarCurr] :
      ( v5924(VarCurr)
    <=> v5011(VarCurr) ) )).

fof(addAssignment_1228,axiom,(
    ! [VarCurr] :
      ( v5872(VarCurr)
    <=> v5874(VarCurr) ) )).

fof(addAssignment_1227,axiom,(
    ! [VarCurr] :
      ( v5874(VarCurr)
    <=> v5876(VarCurr) ) )).

fof(addAssignment_1226,axiom,(
    ! [VarCurr] :
      ( v5876(VarCurr)
    <=> v5878(VarCurr) ) )).

fof(addAssignment_1225,axiom,(
    ! [VarCurr] :
      ( v5878(VarCurr)
    <=> v5880(VarCurr) ) )).

fof(addAssignment_1224,axiom,(
    ! [VarCurr] :
      ( v5880(VarCurr)
    <=> v5882(VarCurr) ) )).

fof(addAssignment_1223,axiom,(
    ! [VarCurr] :
      ( v5882(VarCurr)
    <=> v5884(VarCurr) ) )).

fof(addAssignment_1222,axiom,(
    ! [VarCurr] :
      ( v5884(VarCurr)
    <=> v5886(VarCurr) ) )).

fof(addAssignment_1221,axiom,(
    ! [VarCurr] :
      ( v5886(VarCurr)
    <=> v5888(VarCurr) ) )).

fof(addAssignment_1220,axiom,(
    ! [VarCurr] :
      ( v5888(VarCurr)
    <=> v5890(VarCurr) ) )).

fof(addAssignment_1219,axiom,(
    ! [VarCurr] :
      ( v5890(VarCurr)
    <=> v5003(VarCurr,bitIndex0) ) )).

fof(addAssignment_1218,axiom,(
    ! [VarCurr] :
      ( v5003(VarCurr,bitIndex0)
    <=> v5005(VarCurr,bitIndex0) ) )).

fof(addAssignment_1217,axiom,(
    ! [VarCurr] :
      ( v5005(VarCurr,bitIndex0)
    <=> v5892(VarCurr) ) )).

fof(addAssignment_1216,axiom,(
    ! [VarCurr] :
      ( v5313(VarCurr,bitIndex1)
    <=> v5527(VarCurr,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_62,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5858(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v5315(VarNext,B)
            <=> v5315(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_66,axiom,(
    ! [VarNext] :
      ( v5858(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v5315(VarNext,B)
          <=> v5866(VarNext,B) ) ) ) )).

fof(addAssignment_1215,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v5866(VarNext,B)
          <=> v5864(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_142,axiom,(
    ! [VarCurr] :
      ( ~ v5787(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5864(VarCurr,B)
          <=> v5317(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_146,axiom,(
    ! [VarCurr] :
      ( v5787(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5864(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1522,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5858(VarNext)
      <=> v5859(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1521,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5859(VarNext)
      <=> ( v5861(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_700,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5861(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_19,axiom,(
    ! [VarCurr] :
      ( ( ~ v5816(VarCurr)
        & ~ v5826(VarCurr)
        & ~ v5836(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v5317(VarCurr,B)
          <=> v5847(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_32,axiom,(
    ! [VarCurr] :
      ( v5836(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5317(VarCurr,B)
          <=> v5837(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_79,axiom,(
    ! [VarCurr] :
      ( v5826(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5317(VarCurr,B)
          <=> v5827(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_81,axiom,(
    ! [VarCurr] :
      ( v5816(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5317(VarCurr,B)
          <=> v5817(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_18,axiom,(
    ! [VarCurr] :
      ( ( ~ v5848(VarCurr)
        & ~ v5850(VarCurr)
        & ~ v5852(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v5847(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_31,axiom,(
    ! [VarCurr] :
      ( v5852(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5847(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_78,axiom,(
    ! [VarCurr] :
      ( v5850(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5847(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_80,axiom,(
    ! [VarCurr] :
      ( v5848(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5847(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_324,axiom,(
    ! [VarCurr] :
      ( v5854(VarCurr)
    <=> ( ( v5855(VarCurr,bitIndex1)
        <=> $true )
        & ( v5855(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1214,axiom,(
    ! [VarCurr] :
      ( v5855(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1213,axiom,(
    ! [VarCurr] :
      ( v5855(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_323,axiom,(
    ! [VarCurr] :
      ( v5852(VarCurr)
    <=> ( ( v5853(VarCurr,bitIndex1)
        <=> $true )
        & ( v5853(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1212,axiom,(
    ! [VarCurr] :
      ( v5853(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1211,axiom,(
    ! [VarCurr] :
      ( v5853(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_322,axiom,(
    ! [VarCurr] :
      ( v5850(VarCurr)
    <=> ( ( v5851(VarCurr,bitIndex1)
        <=> $false )
        & ( v5851(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1210,axiom,(
    ! [VarCurr] :
      ( v5851(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1209,axiom,(
    ! [VarCurr] :
      ( v5851(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_321,axiom,(
    ! [VarCurr] :
      ( v5848(VarCurr)
    <=> ( ( v5849(VarCurr,bitIndex1)
        <=> $false )
        & ( v5849(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1208,axiom,(
    ! [VarCurr] :
      ( v5849(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1207,axiom,(
    ! [VarCurr] :
      ( v5849(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_320,axiom,(
    ! [VarCurr] :
      ( v5846(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $true )
        & ( v5315(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_17,axiom,(
    ! [VarCurr] :
      ( ( ~ v5838(VarCurr)
        & ~ v5840(VarCurr)
        & ~ v5842(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v5837(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_30,axiom,(
    ! [VarCurr] :
      ( v5842(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5837(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_77,axiom,(
    ! [VarCurr] :
      ( v5840(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5837(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_79,axiom,(
    ! [VarCurr] :
      ( v5838(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5837(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_319,axiom,(
    ! [VarCurr] :
      ( v5844(VarCurr)
    <=> ( ( v5845(VarCurr,bitIndex1)
        <=> $true )
        & ( v5845(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1206,axiom,(
    ! [VarCurr] :
      ( v5845(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1205,axiom,(
    ! [VarCurr] :
      ( v5845(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_318,axiom,(
    ! [VarCurr] :
      ( v5842(VarCurr)
    <=> ( ( v5843(VarCurr,bitIndex1)
        <=> $true )
        & ( v5843(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1204,axiom,(
    ! [VarCurr] :
      ( v5843(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1203,axiom,(
    ! [VarCurr] :
      ( v5843(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_317,axiom,(
    ! [VarCurr] :
      ( v5840(VarCurr)
    <=> ( ( v5841(VarCurr,bitIndex1)
        <=> $false )
        & ( v5841(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1202,axiom,(
    ! [VarCurr] :
      ( v5841(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1201,axiom,(
    ! [VarCurr] :
      ( v5841(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_316,axiom,(
    ! [VarCurr] :
      ( v5838(VarCurr)
    <=> ( ( v5839(VarCurr,bitIndex1)
        <=> $false )
        & ( v5839(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1200,axiom,(
    ! [VarCurr] :
      ( v5839(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1199,axiom,(
    ! [VarCurr] :
      ( v5839(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_315,axiom,(
    ! [VarCurr] :
      ( v5836(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $true )
        & ( v5315(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_16,axiom,(
    ! [VarCurr] :
      ( ( ~ v5828(VarCurr)
        & ~ v5830(VarCurr)
        & ~ v5832(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v5827(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_29,axiom,(
    ! [VarCurr] :
      ( v5832(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5827(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_76,axiom,(
    ! [VarCurr] :
      ( v5830(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5827(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_78,axiom,(
    ! [VarCurr] :
      ( v5828(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5827(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_314,axiom,(
    ! [VarCurr] :
      ( v5834(VarCurr)
    <=> ( ( v5835(VarCurr,bitIndex1)
        <=> $true )
        & ( v5835(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1198,axiom,(
    ! [VarCurr] :
      ( v5835(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1197,axiom,(
    ! [VarCurr] :
      ( v5835(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_313,axiom,(
    ! [VarCurr] :
      ( v5832(VarCurr)
    <=> ( ( v5833(VarCurr,bitIndex1)
        <=> $true )
        & ( v5833(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1196,axiom,(
    ! [VarCurr] :
      ( v5833(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1195,axiom,(
    ! [VarCurr] :
      ( v5833(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_312,axiom,(
    ! [VarCurr] :
      ( v5830(VarCurr)
    <=> ( ( v5831(VarCurr,bitIndex1)
        <=> $false )
        & ( v5831(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1194,axiom,(
    ! [VarCurr] :
      ( v5831(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1193,axiom,(
    ! [VarCurr] :
      ( v5831(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_311,axiom,(
    ! [VarCurr] :
      ( v5828(VarCurr)
    <=> ( ( v5829(VarCurr,bitIndex1)
        <=> $false )
        & ( v5829(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1192,axiom,(
    ! [VarCurr] :
      ( v5829(VarCurr,bitIndex0)
    <=> v5791(VarCurr) ) )).

fof(addAssignment_1191,axiom,(
    ! [VarCurr] :
      ( v5829(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_310,axiom,(
    ! [VarCurr] :
      ( v5826(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $false )
        & ( v5315(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_15,axiom,(
    ! [VarCurr] :
      ( ( ~ v5818(VarCurr)
        & ~ v5820(VarCurr)
        & ~ v5822(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v5817(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_28,axiom,(
    ! [VarCurr] :
      ( v5822(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5817(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_75,axiom,(
    ! [VarCurr] :
      ( v5820(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5817(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_77,axiom,(
    ! [VarCurr] :
      ( v5818(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v5817(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_309,axiom,(
    ! [VarCurr] :
      ( v5824(VarCurr)
    <=> ( ( v5825(VarCurr,bitIndex1)
        <=> $true )
        & ( v5825(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1190,axiom,(
    ! [VarCurr] :
      ( v5825(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1189,axiom,(
    ! [VarCurr] :
      ( v5825(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_308,axiom,(
    ! [VarCurr] :
      ( v5822(VarCurr)
    <=> ( ( v5823(VarCurr,bitIndex1)
        <=> $true )
        & ( v5823(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1188,axiom,(
    ! [VarCurr] :
      ( v5823(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1187,axiom,(
    ! [VarCurr] :
      ( v5823(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_307,axiom,(
    ! [VarCurr] :
      ( v5820(VarCurr)
    <=> ( ( v5821(VarCurr,bitIndex1)
        <=> $false )
        & ( v5821(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1186,axiom,(
    ! [VarCurr] :
      ( v5821(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1185,axiom,(
    ! [VarCurr] :
      ( v5821(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_306,axiom,(
    ! [VarCurr] :
      ( v5818(VarCurr)
    <=> ( ( v5819(VarCurr,bitIndex1)
        <=> $false )
        & ( v5819(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1184,axiom,(
    ! [VarCurr] :
      ( v5819(VarCurr,bitIndex0)
    <=> v5775(VarCurr) ) )).

fof(addAssignment_1183,axiom,(
    ! [VarCurr] :
      ( v5819(VarCurr,bitIndex1)
    <=> v5319(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_305,axiom,(
    ! [VarCurr] :
      ( v5816(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $false )
        & ( v5315(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_61,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5804(VarNext)
       => ( v5791(VarNext)
        <=> v5791(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_65,axiom,(
    ! [VarNext] :
      ( v5804(VarNext)
     => ( v5791(VarNext)
      <=> v5812(VarNext) ) ) )).

fof(addAssignment_1182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5812(VarNext)
      <=> v5810(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_141,axiom,(
    ! [VarCurr] :
      ( ~ v5787(VarCurr)
     => ( v5810(VarCurr)
      <=> v5793(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_145,axiom,(
    ! [VarCurr] :
      ( v5787(VarCurr)
     => ( v5810(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1520,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5804(VarNext)
      <=> v5805(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1519,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5805(VarNext)
      <=> ( v5807(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_699,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5807(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addAssignment_1181,axiom,(
    ! [VarCurr] :
      ( v5793(VarCurr)
    <=> v5795(VarCurr) ) )).

fof(addAssignment_1180,axiom,(
    ! [VarCurr] :
      ( v5795(VarCurr)
    <=> v5797(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_140,axiom,(
    ! [VarCurr] :
      ( ~ v5799(VarCurr)
     => ( v5797(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_144,axiom,(
    ! [VarCurr] :
      ( v5799(VarCurr)
     => ( v5797(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1518,axiom,(
    ! [VarCurr] :
      ( v5799(VarCurr)
    <=> ( v5800(VarCurr)
        | v5801(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_304,axiom,(
    ! [VarCurr] :
      ( v5801(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_303,axiom,(
    ! [VarCurr] :
      ( v5800(VarCurr)
    <=> ( ( v4971(VarCurr,bitIndex2)
        <=> $true )
        & ( v4971(VarCurr,bitIndex1)
        <=> $true )
        & ( v4971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignmentInitValueVector_28,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v4971(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5778(VarNext)
       => ( v5775(VarNext)
        <=> v5775(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_64,axiom,(
    ! [VarNext] :
      ( v5778(VarNext)
     => ( v5775(VarNext)
      <=> v5786(VarNext) ) ) )).

fof(addAssignment_1179,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5786(VarNext)
      <=> v5784(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_139,axiom,(
    ! [VarCurr] :
      ( ~ v5787(VarCurr)
     => ( v5784(VarCurr)
      <=> v4981(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_143,axiom,(
    ! [VarCurr] :
      ( v5787(VarCurr)
     => ( v5784(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_698,axiom,(
    ! [VarCurr] :
      ( ~ v5787(VarCurr)
    <=> v5311(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1517,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5778(VarNext)
      <=> v5779(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1516,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5779(VarNext)
      <=> ( v5780(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_697,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5780(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addAssignment_1178,axiom,(
    ! [VarCurr] :
      ( v5319(VarCurr)
    <=> v5321(VarCurr) ) )).

fof(addAssignment_1177,axiom,(
    ! [VarCurr] :
      ( v5321(VarCurr)
    <=> v5323(VarCurr) ) )).

fof(addAssignment_1176,axiom,(
    ! [VarCurr] :
      ( v5323(VarCurr)
    <=> v5325(VarCurr) ) )).

fof(addAssignment_1175,axiom,(
    ! [VarCurr] :
      ( v5325(VarCurr)
    <=> v5327(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_138,axiom,(
    ! [VarCurr] :
      ( ~ v5762(VarCurr)
     => ( v5327(VarCurr)
      <=> v5763(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_142,axiom,(
    ! [VarCurr] :
      ( v5762(VarCurr)
     => ( v5327(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges5,axiom,(
    ! [VarCurr] :
      ( ( ~ v5764(VarCurr)
        & ~ v5765(VarCurr)
        & ~ v5768(VarCurr)
        & ~ v5769(VarCurr)
        & ~ v5770(VarCurr) )
     => ( v5763(VarCurr)
      <=> v5685(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4,axiom,(
    ! [VarCurr] :
      ( v5770(VarCurr)
     => ( v5763(VarCurr)
      <=> v5685(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges3,axiom,(
    ! [VarCurr] :
      ( v5769(VarCurr)
     => ( v5763(VarCurr)
      <=> v5685(VarCurr,bitIndex3) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2,axiom,(
    ! [VarCurr] :
      ( v5768(VarCurr)
     => ( v5763(VarCurr)
      <=> v5685(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_1,axiom,(
    ! [VarCurr] :
      ( v5765(VarCurr)
     => ( v5763(VarCurr)
      <=> v5685(VarCurr,bitIndex3) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_76,axiom,(
    ! [VarCurr] :
      ( v5764(VarCurr)
     => ( v5763(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_302,axiom,(
    ! [VarCurr] :
      ( v5773(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $true )
        & ( v5474(VarCurr,bitIndex1)
        <=> $true )
        & ( v5474(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1515,axiom,(
    ! [VarCurr] :
      ( v5770(VarCurr)
    <=> ( v5771(VarCurr)
        | v5772(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_301,axiom,(
    ! [VarCurr] :
      ( v5772(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $true )
        & ( v5474(VarCurr,bitIndex1)
        <=> $true )
        & ( v5474(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_522,axiom,(
    b110(bitIndex2) )).

fof(bitBlastConstant_521,axiom,(
    b110(bitIndex1) )).

fof(bitBlastConstant_520,axiom,(
    ~ b110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_300,axiom,(
    ! [VarCurr] :
      ( v5771(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $true )
        & ( v5474(VarCurr,bitIndex1)
        <=> $false )
        & ( v5474(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_519,axiom,(
    b101(bitIndex2) )).

fof(bitBlastConstant_518,axiom,(
    ~ b101(bitIndex1) )).

fof(bitBlastConstant_517,axiom,(
    b101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_299,axiom,(
    ! [VarCurr] :
      ( v5769(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $true )
        & ( v5474(VarCurr,bitIndex1)
        <=> $false )
        & ( v5474(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_298,axiom,(
    ! [VarCurr] :
      ( v5768(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $false )
        & ( v5474(VarCurr,bitIndex1)
        <=> $true )
        & ( v5474(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1514,axiom,(
    ! [VarCurr] :
      ( v5765(VarCurr)
    <=> ( v5766(VarCurr)
        | v5767(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_297,axiom,(
    ! [VarCurr] :
      ( v5767(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $false )
        & ( v5474(VarCurr,bitIndex1)
        <=> $true )
        & ( v5474(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_296,axiom,(
    ! [VarCurr] :
      ( v5766(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $false )
        & ( v5474(VarCurr,bitIndex1)
        <=> $false )
        & ( v5474(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_295,axiom,(
    ! [VarCurr] :
      ( v5764(VarCurr)
    <=> ( ( v5474(VarCurr,bitIndex2)
        <=> $false )
        & ( v5474(VarCurr,bitIndex1)
        <=> $false )
        & ( v5474(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeUnaryOperator_696,axiom,(
    ! [VarCurr] :
      ( ~ v5762(VarCurr)
    <=> v5329(VarCurr) ) )).

fof(addAssignment_1174,axiom,(
    ! [VarCurr] :
      ( v5685(VarCurr,bitIndex1)
    <=> v5687(VarCurr,bitIndex1) ) )).

fof(addAssignment_1173,axiom,(
    ! [VarCurr] :
      ( v5687(VarCurr,bitIndex1)
    <=> v5689(VarCurr,bitIndex1) ) )).

fof(addAssignment_1172,axiom,(
    ! [VarCurr] :
      ( v5685(VarCurr,bitIndex2)
    <=> v5687(VarCurr,bitIndex2) ) )).

fof(addAssignment_1171,axiom,(
    ! [VarCurr] :
      ( v5687(VarCurr,bitIndex2)
    <=> v5689(VarCurr,bitIndex2) ) )).

fof(addAssignment_1170,axiom,(
    ! [VarCurr] :
      ( v5685(VarCurr,bitIndex3)
    <=> v5687(VarCurr,bitIndex3) ) )).

fof(addAssignment_1169,axiom,(
    ! [VarCurr] :
      ( v5687(VarCurr,bitIndex3)
    <=> v5689(VarCurr,bitIndex3) ) )).

fof(addAssignment_1168,axiom,(
    ! [VarNext] :
      ( v5689(VarNext,bitIndex3)
    <=> v5752(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionEqualRanges1_59,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5753(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v5752(VarNext,B)
            <=> v5689(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_63,axiom,(
    ! [VarNext] :
      ( v5753(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v5752(VarNext,B)
          <=> v5739(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1513,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5753(VarNext)
      <=> v5754(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1512,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5754(VarNext)
      <=> ( v5756(VarNext)
          & v5724(VarNext) ) ) ) )).

fof(writeUnaryOperator_695,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5756(VarNext)
      <=> v5733(VarNext) ) ) )).

fof(addAssignment_1167,axiom,(
    ! [VarCurr] :
      ( v5695(VarCurr,bitIndex3)
    <=> v5712(VarCurr,bitIndex3) ) )).

fof(addAssignment_1166,axiom,(
    ! [VarNext] :
      ( v5689(VarNext,bitIndex2)
    <=> v5744(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_58,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5745(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v5744(VarNext,B)
            <=> v5689(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_62,axiom,(
    ! [VarNext] :
      ( v5745(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v5744(VarNext,B)
          <=> v5739(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1511,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5745(VarNext)
      <=> v5746(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1510,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5746(VarNext)
      <=> ( v5748(VarNext)
          & v5724(VarNext) ) ) ) )).

fof(writeUnaryOperator_694,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5748(VarNext)
      <=> v5733(VarNext) ) ) )).

fof(addAssignment_1165,axiom,(
    ! [VarCurr] :
      ( v5695(VarCurr,bitIndex2)
    <=> v5712(VarCurr,bitIndex2) ) )).

fof(addAssignment_1164,axiom,(
    ! [VarNext] :
      ( v5689(VarNext,bitIndex1)
    <=> v5728(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_57,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5729(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v5728(VarNext,B)
            <=> v5689(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_61,axiom,(
    ! [VarNext] :
      ( v5729(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v5728(VarNext,B)
          <=> v5739(VarNext,B) ) ) ) )).

fof(addAssignment_1163,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v5739(VarNext,B)
          <=> v5737(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_137,axiom,(
    ! [VarCurr] :
      ( ~ v5740(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5737(VarCurr,B)
          <=> v5695(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_141,axiom,(
    ! [VarCurr] :
      ( v5740(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5737(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_693,axiom,(
    ! [VarCurr] :
      ( ~ v5740(VarCurr)
    <=> v5691(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1509,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5729(VarNext)
      <=> v5730(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1508,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5730(VarNext)
      <=> ( v5731(VarNext)
          & v5724(VarNext) ) ) ) )).

fof(writeUnaryOperator_692,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5731(VarNext)
      <=> v5733(VarNext) ) ) )).

fof(addAssignment_1162,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5733(VarNext)
      <=> v5724(VarCurr) ) ) )).

fof(addAssignment_1161,axiom,(
    ! [VarCurr] :
      ( v5724(VarCurr)
    <=> v5726(VarCurr) ) )).

fof(addAssignment_1160,axiom,(
    ! [VarCurr] :
      ( v5726(VarCurr)
    <=> v5104(VarCurr) ) )).

fof(addAssignment_1159,axiom,(
    ! [VarCurr] :
      ( v5695(VarCurr,bitIndex1)
    <=> v5712(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_14,axiom,(
    ! [VarCurr] :
      ( ( ~ v5713(VarCurr)
        & ~ v5715(VarCurr)
        & ~ v5718(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v5712(VarCurr,B)
          <=> v5689(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_27,axiom,(
    ! [VarCurr] :
      ( v5718(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5712(VarCurr,B)
          <=> v5720(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_74,axiom,(
    ! [VarCurr] :
      ( v5715(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5712(VarCurr,B)
          <=> v5717(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_75,axiom,(
    ! [VarCurr] :
      ( v5713(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5712(VarCurr,B)
          <=> v5689(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_294,axiom,(
    ! [VarCurr] :
      ( v5721(VarCurr)
    <=> ( ( v5722(VarCurr,bitIndex1)
        <=> $true )
        & ( v5722(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1158,axiom,(
    ! [VarCurr] :
      ( v5722(VarCurr,bitIndex0)
    <=> v5705(VarCurr) ) )).

fof(addAssignment_1157,axiom,(
    ! [VarCurr] :
      ( v5722(VarCurr,bitIndex1)
    <=> v5697(VarCurr) ) )).

fof(addAssignment_1156,axiom,(
    ! [VarCurr] :
      ( v5720(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_1155,axiom,(
    ! [VarCurr] :
      ( ( v5720(VarCurr,bitIndex3)
      <=> v5689(VarCurr,bitIndex2) )
      & ( v5720(VarCurr,bitIndex2)
      <=> v5689(VarCurr,bitIndex1) )
      & ( v5720(VarCurr,bitIndex1)
      <=> v5689(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_293,axiom,(
    ! [VarCurr] :
      ( v5718(VarCurr)
    <=> ( ( v5719(VarCurr,bitIndex1)
        <=> $true )
        & ( v5719(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1154,axiom,(
    ! [VarCurr] :
      ( v5719(VarCurr,bitIndex0)
    <=> v5705(VarCurr) ) )).

fof(addAssignment_1153,axiom,(
    ! [VarCurr] :
      ( v5719(VarCurr,bitIndex1)
    <=> v5697(VarCurr) ) )).

fof(addAssignment_1152,axiom,(
    ! [VarCurr] :
      ( ( v5717(VarCurr,bitIndex2)
      <=> v5689(VarCurr,bitIndex3) )
      & ( v5717(VarCurr,bitIndex1)
      <=> v5689(VarCurr,bitIndex2) )
      & ( v5717(VarCurr,bitIndex0)
      <=> v5689(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_1151,axiom,(
    ! [VarCurr] :
      ( v5717(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_292,axiom,(
    ! [VarCurr] :
      ( v5715(VarCurr)
    <=> ( ( v5716(VarCurr,bitIndex1)
        <=> $false )
        & ( v5716(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1150,axiom,(
    ! [VarCurr] :
      ( v5716(VarCurr,bitIndex0)
    <=> v5705(VarCurr) ) )).

fof(addAssignment_1149,axiom,(
    ! [VarCurr] :
      ( v5716(VarCurr,bitIndex1)
    <=> v5697(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_291,axiom,(
    ! [VarCurr] :
      ( v5713(VarCurr)
    <=> ( ( v5714(VarCurr,bitIndex1)
        <=> $false )
        & ( v5714(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1148,axiom,(
    ! [VarCurr] :
      ( v5714(VarCurr,bitIndex0)
    <=> v5705(VarCurr) ) )).

fof(addAssignment_1147,axiom,(
    ! [VarCurr] :
      ( v5714(VarCurr,bitIndex1)
    <=> v5697(VarCurr) ) )).

fof(addAssignment_1146,axiom,(
    ! [VarCurr] :
      ( v5705(VarCurr)
    <=> v5707(VarCurr) ) )).

fof(addAssignment_1145,axiom,(
    ! [VarCurr] :
      ( v5707(VarCurr)
    <=> v5709(VarCurr) ) )).

fof(addAssignment_1144,axiom,(
    ! [VarCurr] :
      ( v5709(VarCurr)
    <=> v5711(VarCurr) ) )).

fof(addAssignment_1143,axiom,(
    ! [VarCurr] :
      ( v5697(VarCurr)
    <=> v5699(VarCurr) ) )).

fof(addAssignment_1142,axiom,(
    ! [VarCurr] :
      ( v5699(VarCurr)
    <=> v5701(VarCurr) ) )).

fof(addAssignment_1141,axiom,(
    ! [VarCurr] :
      ( v5701(VarCurr)
    <=> v5703(VarCurr) ) )).

fof(addAssignment_1140,axiom,(
    ! [VarCurr] :
      ( v5703(VarCurr)
    <=> v5474(VarCurr,bitIndex2) ) )).

fof(addAssignment_1139,axiom,(
    ! [VarCurr] :
      ( v5691(VarCurr)
    <=> v5693(VarCurr) ) )).

fof(addAssignment_1138,axiom,(
    ! [VarCurr] :
      ( v5693(VarCurr)
    <=> v4967(VarCurr) ) )).

fof(addAssignment_1137,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v5474(VarCurr,B)
      <=> v5476(VarCurr,B) ) ) )).

fof(addAssignment_1136,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v5476(VarCurr,B)
      <=> v5478(VarCurr,B) ) ) )).

fof(addAssignment_1135,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v5478(VarCurr,B)
      <=> v5480(VarCurr,B) ) ) )).

fof(addAssignment_1134,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v5480(VarCurr,B)
      <=> v5482(VarCurr,B) ) ) )).

fof(addAssignment_1133,axiom,(
    ! [VarCurr] :
      ( ( v5482(VarCurr,bitIndex2)
      <=> v5484(VarCurr,bitIndex3) )
      & ( v5482(VarCurr,bitIndex1)
      <=> v5484(VarCurr,bitIndex2) )
      & ( v5482(VarCurr,bitIndex0)
      <=> v5484(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_56,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5672(VarNext)
       => ( v5484(VarNext,bitIndex3)
        <=> v5484(VarCurr,bitIndex3) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_2,axiom,(
    ! [VarNext] :
      ( v5672(VarNext)
     => ( v5484(VarNext,bitIndex3)
      <=> v5680(VarNext) ) ) )).

fof(addAssignment_1132,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5680(VarNext)
      <=> v5678(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_46,axiom,(
    ! [VarCurr] :
      ( ~ v5681(VarCurr)
     => ( v5678(VarCurr)
      <=> v5486(VarCurr,bitIndex2) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_140,axiom,(
    ! [VarCurr] :
      ( v5681(VarCurr)
     => ( v5678(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_691,axiom,(
    ! [VarCurr] :
      ( ~ v5681(VarCurr)
    <=> v5311(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1507,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5672(VarNext)
      <=> v5673(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1506,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5673(VarNext)
      <=> ( v5674(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_690,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5674(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_55,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5652(VarNext)
       => ( v5484(VarNext,bitIndex2)
        <=> v5484(VarCurr,bitIndex2) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_1,axiom,(
    ! [VarNext] :
      ( v5652(VarNext)
     => ( v5484(VarNext,bitIndex2)
      <=> v5667(VarNext) ) ) )).

fof(addAssignment_1131,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5667(VarNext)
      <=> v5665(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1,axiom,(
    ! [VarCurr] :
      ( ~ v5661(VarCurr)
     => ( v5665(VarCurr)
      <=> v5486(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_74,axiom,(
    ! [VarCurr] :
      ( v5661(VarCurr)
     => ( v5665(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1505,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5652(VarNext)
      <=> ( v5653(VarNext)
          & v5660(VarNext) ) ) ) )).

fof(addAssignment_1130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5660(VarNext)
      <=> v5658(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1504,axiom,(
    ! [VarCurr] :
      ( v5658(VarCurr)
    <=> ( v5661(VarCurr)
        | v5662(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1503,axiom,(
    ! [VarCurr] :
      ( v5662(VarCurr)
    <=> ( v5663(VarCurr)
        & v5664(VarCurr) ) ) )).

fof(writeUnaryOperator_689,axiom,(
    ! [VarCurr] :
      ( ~ v5664(VarCurr)
    <=> v5661(VarCurr) ) )).

fof(writeUnaryOperator_688,axiom,(
    ! [VarCurr] :
      ( ~ v5663(VarCurr)
    <=> v5313(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_687,axiom,(
    ! [VarCurr] :
      ( ~ v5661(VarCurr)
    <=> v5311(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1502,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5653(VarNext)
      <=> ( v5654(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_686,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5654(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_54,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5630(VarNext)
       => ( v5484(VarNext,bitIndex1)
        <=> v5484(VarCurr,bitIndex1) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0,axiom,(
    ! [VarNext] :
      ( v5630(VarNext)
     => ( v5484(VarNext,bitIndex1)
      <=> v5647(VarNext) ) ) )).

fof(addAssignment_1129,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5647(VarNext)
      <=> v5645(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_73,axiom,(
    ! [VarCurr] :
      ( ~ v5641(VarCurr)
     => ( v5645(VarCurr)
      <=> v5486(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_73,axiom,(
    ! [VarCurr] :
      ( v5641(VarCurr)
     => ( v5645(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1501,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5630(VarNext)
      <=> ( v5631(VarNext)
          & v5640(VarNext) ) ) ) )).

fof(addAssignment_1128,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5640(VarNext)
      <=> v5638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1500,axiom,(
    ! [VarCurr] :
      ( v5638(VarCurr)
    <=> ( v5641(VarCurr)
        | v5642(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1499,axiom,(
    ! [VarCurr] :
      ( v5642(VarCurr)
    <=> ( v5643(VarCurr)
        & v5644(VarCurr) ) ) )).

fof(writeUnaryOperator_685,axiom,(
    ! [VarCurr] :
      ( ~ v5644(VarCurr)
    <=> v5641(VarCurr) ) )).

fof(writeUnaryOperator_684,axiom,(
    ! [VarCurr] :
      ( ~ v5643(VarCurr)
    <=> v5313(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_683,axiom,(
    ! [VarCurr] :
      ( ~ v5641(VarCurr)
    <=> v5311(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1498,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5631(VarNext)
      <=> ( v5632(VarNext)
          & v5621(VarNext) ) ) ) )).

fof(writeUnaryOperator_682,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5632(VarNext)
      <=> v5634(VarNext) ) ) )).

fof(addAssignment_1127,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5634(VarNext)
      <=> v5621(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_344,axiom,(
    ! [VarCurr] :
      ( v5486(VarCurr,bitIndex2)
    <=> ( v5484(VarCurr,bitIndex2)
        & v5627(VarCurr) ) ) )).

fof(writeUnaryOperator_681,axiom,(
    ! [VarCurr] :
      ( ~ v5627(VarCurr)
    <=> v5313(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_343,axiom,(
    ! [VarCurr] :
      ( v5486(VarCurr,bitIndex1)
    <=> ( v5484(VarCurr,bitIndex1)
        & v5625(VarCurr) ) ) )).

fof(writeUnaryOperator_680,axiom,(
    ! [VarCurr] :
      ( ~ v5625(VarCurr)
    <=> v5313(VarCurr,bitIndex1) ) )).

fof(addAssignment_1126,axiom,(
    ! [VarCurr] :
      ( v5313(VarCurr,bitIndex2)
    <=> v5527(VarCurr,bitIndex2) ) )).

fof(addAssignment_1125,axiom,(
    ! [VarCurr] :
      ( v5621(VarCurr)
    <=> v5623(VarCurr) ) )).

fof(addAssignment_1124,axiom,(
    ! [VarCurr] :
      ( v5623(VarCurr)
    <=> v5104(VarCurr) ) )).

fof(addAssignment_1123,axiom,(
    ! [VarCurr] :
      ( v5486(VarCurr,bitIndex0)
    <=> v5484(VarCurr,bitIndex0) ) )).

fof(addAssignment_1122,axiom,(
    ! [VarCurr] :
      ( v5484(VarCurr,bitIndex0)
    <=> v5488(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1497,axiom,(
    ! [VarCurr] :
      ( v5488(VarCurr)
    <=> ( v5615(VarCurr)
        & v5619(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1496,axiom,(
    ! [VarCurr] :
      ( v5619(VarCurr)
    <=> ( v5553(VarCurr)
        & v5613(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1495,axiom,(
    ! [VarCurr] :
      ( v5615(VarCurr)
    <=> ( v5616(VarCurr)
        & v5618(VarCurr) ) ) )).

fof(writeUnaryOperator_679,axiom,(
    ! [VarCurr] :
      ( ~ v5618(VarCurr)
    <=> v5313(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1494,axiom,(
    ! [VarCurr] :
      ( v5616(VarCurr)
    <=> ( v5490(VarCurr)
        & v5617(VarCurr) ) ) )).

fof(writeUnaryOperator_678,axiom,(
    ! [VarCurr] :
      ( ~ v5617(VarCurr)
    <=> v5506(VarCurr) ) )).

fof(addAssignment_1121,axiom,(
    ! [VarCurr] :
      ( v5553(VarCurr)
    <=> v5555(VarCurr) ) )).

fof(addAssignment_1120,axiom,(
    ! [VarCurr] :
      ( v5555(VarCurr)
    <=> v5557(VarCurr) ) )).

fof(addAssignment_1119,axiom,(
    ! [VarCurr] :
      ( v5557(VarCurr)
    <=> v5559(VarCurr) ) )).

fof(addAssignment_1118,axiom,(
    ! [VarCurr] :
      ( v5559(VarCurr)
    <=> v5561(VarCurr) ) )).

fof(addAssignment_1117,axiom,(
    ! [VarCurr] :
      ( v5561(VarCurr)
    <=> v5563(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_136,axiom,(
    ! [VarCurr] :
      ( ~ v5565(VarCurr)
     => ( v5563(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_139,axiom,(
    ! [VarCurr] :
      ( v5565(VarCurr)
     => ( v5563(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_1116,axiom,(
    ! [VarCurr] :
      ( v5565(VarCurr)
    <=> v5567(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1493,axiom,(
    ! [VarCurr] :
      ( v5567(VarCurr)
    <=> ( v5609(VarCurr)
        | v5599(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1492,axiom,(
    ! [VarCurr] :
      ( v5609(VarCurr)
    <=> ( v5610(VarCurr)
        | v5589(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1491,axiom,(
    ! [VarCurr] :
      ( v5610(VarCurr)
    <=> ( v5569(VarCurr)
        | v5579(VarCurr) ) ) )).

fof(addAssignment_1115,axiom,(
    ! [VarCurr] :
      ( v5599(VarCurr)
    <=> v5601(VarCurr) ) )).

fof(addAssignment_1114,axiom,(
    ! [VarCurr] :
      ( v5601(VarCurr)
    <=> v5603(VarCurr) ) )).

fof(addAssignment_1113,axiom,(
    ! [VarCurr] :
      ( v5603(VarCurr)
    <=> v5605(VarCurr) ) )).

fof(addAssignment_1112,axiom,(
    ! [VarCurr] :
      ( v5605(VarCurr)
    <=> v5607(VarCurr) ) )).

fof(addAssignment_1111,axiom,(
    ! [VarCurr] :
      ( v5589(VarCurr)
    <=> v5591(VarCurr) ) )).

fof(addAssignment_1110,axiom,(
    ! [VarCurr] :
      ( v5591(VarCurr)
    <=> v5593(VarCurr) ) )).

fof(addAssignment_1109,axiom,(
    ! [VarCurr] :
      ( v5593(VarCurr)
    <=> v5595(VarCurr) ) )).

fof(addAssignment_1108,axiom,(
    ! [VarCurr] :
      ( v5595(VarCurr)
    <=> v5597(VarCurr) ) )).

fof(addAssignment_1107,axiom,(
    ! [VarCurr] :
      ( v5579(VarCurr)
    <=> v5581(VarCurr) ) )).

fof(addAssignment_1106,axiom,(
    ! [VarCurr] :
      ( v5581(VarCurr)
    <=> v5583(VarCurr) ) )).

fof(addAssignment_1105,axiom,(
    ! [VarCurr] :
      ( v5583(VarCurr)
    <=> v5585(VarCurr) ) )).

fof(addAssignment_1104,axiom,(
    ! [VarCurr] :
      ( v5585(VarCurr)
    <=> v5587(VarCurr) ) )).

fof(addAssignment_1103,axiom,(
    ! [VarCurr] :
      ( v5569(VarCurr)
    <=> v5571(VarCurr) ) )).

fof(addAssignment_1102,axiom,(
    ! [VarCurr] :
      ( v5571(VarCurr)
    <=> v5573(VarCurr) ) )).

fof(addAssignment_1101,axiom,(
    ! [VarCurr] :
      ( v5573(VarCurr)
    <=> v5575(VarCurr) ) )).

fof(addAssignment_1100,axiom,(
    ! [VarCurr] :
      ( v5575(VarCurr)
    <=> v5577(VarCurr) ) )).

fof(addAssignment_1099,axiom,(
    ! [VarCurr] :
      ( v5313(VarCurr,bitIndex0)
    <=> v5527(VarCurr,bitIndex0) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_26,axiom,(
    ! [VarCurr] :
      ( ( ~ v5528(VarCurr)
        & ~ v5536(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v5527(VarCurr,B)
          <=> v5544(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_72,axiom,(
    ! [VarCurr] :
      ( v5536(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5527(VarCurr,B)
          <=> v5537(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_72,axiom,(
    ! [VarCurr] :
      ( v5528(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5527(VarCurr,B)
          <=> v5531(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_71,axiom,(
    ! [VarCurr] :
      ( ~ v5545(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5544(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_71,axiom,(
    ! [VarCurr] :
      ( v5545(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5544(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1490,axiom,(
    ! [VarCurr] :
      ( v5546(VarCurr)
    <=> ( v5548(VarCurr)
        | v5551(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_290,axiom,(
    ! [VarCurr] :
      ( v5551(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $true )
        & ( v5317(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1489,axiom,(
    ! [VarCurr] :
      ( v5548(VarCurr)
    <=> ( v5549(VarCurr)
        | v5550(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_289,axiom,(
    ! [VarCurr] :
      ( v5550(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $true )
        & ( v5317(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_288,axiom,(
    ! [VarCurr] :
      ( v5549(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $false )
        & ( v5317(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_287,axiom,(
    ! [VarCurr] :
      ( v5545(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $false )
        & ( v5317(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_286,axiom,(
    ! [VarCurr] :
      ( v5543(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $true )
        & ( v5315(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_25,axiom,(
    ! [VarCurr] :
      ( ( ~ v5538(VarCurr)
        & ~ v5541(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v5537(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_70,axiom,(
    ! [VarCurr] :
      ( v5541(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5537(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_70,axiom,(
    ! [VarCurr] :
      ( v5538(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5537(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_285,axiom,(
    ! [VarCurr] :
      ( v5542(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $true )
        & ( v5317(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_284,axiom,(
    ! [VarCurr] :
      ( v5541(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $true )
        & ( v5317(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1488,axiom,(
    ! [VarCurr] :
      ( v5538(VarCurr)
    <=> ( v5539(VarCurr)
        | v5540(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_283,axiom,(
    ! [VarCurr] :
      ( v5540(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $false )
        & ( v5317(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_282,axiom,(
    ! [VarCurr] :
      ( v5539(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $false )
        & ( v5317(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_281,axiom,(
    ! [VarCurr] :
      ( v5536(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $true )
        & ( v5315(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_13,axiom,(
    ! [VarCurr] :
      ( ( ~ v5532(VarCurr)
        & ~ v5533(VarCurr)
        & ~ v5534(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v5531(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_24,axiom,(
    ! [VarCurr] :
      ( v5534(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5531(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_69,axiom,(
    ! [VarCurr] :
      ( v5533(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5531(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_69,axiom,(
    ! [VarCurr] :
      ( v5532(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v5531(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_280,axiom,(
    ! [VarCurr] :
      ( v5535(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $true )
        & ( v5317(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_279,axiom,(
    ! [VarCurr] :
      ( v5534(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $true )
        & ( v5317(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_278,axiom,(
    ! [VarCurr] :
      ( v5533(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $false )
        & ( v5317(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_277,axiom,(
    ! [VarCurr] :
      ( v5532(VarCurr)
    <=> ( ( v5317(VarCurr,bitIndex1)
        <=> $false )
        & ( v5317(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1487,axiom,(
    ! [VarCurr] :
      ( v5528(VarCurr)
    <=> ( v5529(VarCurr)
        | v5530(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_276,axiom,(
    ! [VarCurr] :
      ( v5530(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $false )
        & ( v5315(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_275,axiom,(
    ! [VarCurr] :
      ( v5529(VarCurr)
    <=> ( ( v5315(VarCurr,bitIndex1)
        <=> $false )
        & ( v5315(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1098,axiom,(
    ! [VarCurr] :
      ( v5506(VarCurr)
    <=> v5508(VarCurr) ) )).

fof(addAssignment_1097,axiom,(
    ! [VarCurr] :
      ( v5508(VarCurr)
    <=> v5510(VarCurr) ) )).

fof(addAssignment_1096,axiom,(
    ! [VarCurr] :
      ( v5510(VarCurr)
    <=> v5512(VarCurr) ) )).

fof(addAssignment_1095,axiom,(
    ! [VarCurr] :
      ( v5512(VarCurr)
    <=> v5514(VarCurr) ) )).

fof(addAssignment_1094,axiom,(
    ! [VarCurr] :
      ( v5514(VarCurr)
    <=> v5516(VarCurr) ) )).

fof(addAssignment_1093,axiom,(
    ! [VarCurr] :
      ( v5516(VarCurr)
    <=> v5518(VarCurr) ) )).

fof(addAssignment_1092,axiom,(
    ! [VarCurr] :
      ( v5518(VarCurr)
    <=> v5520(VarCurr) ) )).

fof(addAssignment_1091,axiom,(
    ! [VarCurr] :
      ( v5520(VarCurr)
    <=> v5522(VarCurr) ) )).

fof(addAssignment_1090,axiom,(
    ! [VarCurr] :
      ( v5522(VarCurr)
    <=> v5524(VarCurr) ) )).

fof(addAssignment_1089,axiom,(
    ! [VarCurr] :
      ( v5524(VarCurr)
    <=> v5003(VarCurr,bitIndex12) ) )).

fof(addAssignment_1088,axiom,(
    ! [VarCurr] :
      ( v5003(VarCurr,bitIndex12)
    <=> v5005(VarCurr,bitIndex12) ) )).

fof(addAssignment_1087,axiom,(
    ! [VarCurr] :
      ( v5005(VarCurr,bitIndex12)
    <=> v5526(VarCurr) ) )).

fof(addAssignment_1086,axiom,(
    ! [VarCurr] :
      ( v5490(VarCurr)
    <=> v5492(VarCurr) ) )).

fof(addAssignment_1085,axiom,(
    ! [VarCurr] :
      ( v5492(VarCurr)
    <=> v5494(VarCurr) ) )).

fof(addAssignment_1084,axiom,(
    ! [VarCurr] :
      ( v5494(VarCurr)
    <=> v5496(VarCurr) ) )).

fof(addAssignment_1083,axiom,(
    ! [VarCurr] :
      ( v5496(VarCurr)
    <=> v5498(VarCurr) ) )).

fof(addAssignment_1082,axiom,(
    ! [VarCurr] :
      ( v5498(VarCurr)
    <=> v5500(VarCurr,bitIndex0) ) )).

fof(addAssignment_1081,axiom,(
    ! [VarCurr] :
      ( v5500(VarCurr,bitIndex0)
    <=> v5502(VarCurr,bitIndex0) ) )).

fof(addAssignment_1080,axiom,(
    ! [VarCurr] :
      ( v5502(VarCurr,bitIndex0)
    <=> v5504(VarCurr,bitIndex0) ) )).

fof(addAssignment_1079,axiom,(
    ! [VarCurr] :
      ( v5329(VarCurr)
    <=> v5331(VarCurr) ) )).

fof(addAssignment_1078,axiom,(
    ! [VarCurr] :
      ( v5331(VarCurr)
    <=> v5333(VarCurr) ) )).

fof(addAssignment_1077,axiom,(
    ! [VarCurr] :
      ( v5333(VarCurr)
    <=> v5335(VarCurr) ) )).

fof(addAssignment_1076,axiom,(
    ! [VarCurr] :
      ( v5335(VarCurr)
    <=> v5337(VarCurr) ) )).

fof(addAssignment_1075,axiom,(
    ! [VarCurr] :
      ( v5337(VarCurr)
    <=> v5339(VarCurr) ) )).

fof(addAssignment_1074,axiom,(
    ! [VarCurr] :
      ( v5339(VarCurr)
    <=> v5341(VarCurr) ) )).

fof(addAssignment_1073,axiom,(
    ! [VarCurr] :
      ( v5341(VarCurr)
    <=> v5343(VarCurr) ) )).

fof(addAssignment_1072,axiom,(
    ! [VarCurr] :
      ( v5343(VarCurr)
    <=> v5345(VarCurr) ) )).

fof(addAssignment_1071,axiom,(
    ! [VarCurr] :
      ( v5345(VarCurr)
    <=> v5347(VarCurr) ) )).

fof(addAssignment_1070,axiom,(
    ! [VarCurr] :
      ( v5347(VarCurr)
    <=> v5349(VarCurr) ) )).

fof(addAssignment_1069,axiom,(
    ! [VarCurr] :
      ( v5349(VarCurr)
    <=> v5351(VarCurr) ) )).

fof(addAssignment_1068,axiom,(
    ! [VarCurr] :
      ( v5351(VarCurr)
    <=> v5353(VarCurr,bitIndex2) ) )).

fof(addAssignment_1067,axiom,(
    ! [VarNext] :
      ( v5353(VarNext,bitIndex2)
    <=> v5458(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5459(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v5458(VarNext,B)
            <=> v5353(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_60,axiom,(
    ! [VarNext] :
      ( v5459(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v5458(VarNext,B)
          <=> v5469(VarNext,B) ) ) ) )).

fof(addAssignment_1066,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v5469(VarNext,B)
          <=> v5467(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_135,axiom,(
    ! [VarCurr] :
      ( ~ v5470(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5467(VarCurr,B)
          <=> v5361(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_138,axiom,(
    ! [VarCurr] :
      ( v5470(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5467(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_677,axiom,(
    ! [VarCurr] :
      ( ~ v5470(VarCurr)
    <=> v5355(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1486,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5459(VarNext)
      <=> v5460(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1485,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5460(VarNext)
      <=> ( v5461(VarNext)
          & v5452(VarNext) ) ) ) )).

fof(writeUnaryOperator_676,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5461(VarNext)
      <=> v5463(VarNext) ) ) )).

fof(addAssignment_1065,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5463(VarNext)
      <=> v5452(VarCurr) ) ) )).

fof(addAssignment_1064,axiom,(
    ! [VarCurr] :
      ( v5452(VarCurr)
    <=> v5454(VarCurr) ) )).

fof(addAssignment_1063,axiom,(
    ! [VarCurr] :
      ( v5454(VarCurr)
    <=> v5456(VarCurr) ) )).

fof(addAssignment_1062,axiom,(
    ! [VarCurr] :
      ( v5456(VarCurr)
    <=> v3128(VarCurr) ) )).

fof(addAssignment_1061,axiom,(
    ! [VarCurr] :
      ( v5361(VarCurr,bitIndex2)
    <=> v5437(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_134,axiom,(
    ! [VarCurr] :
      ( ~ v5438(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5437(VarCurr,B)
          <=> v5439(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_137,axiom,(
    ! [VarCurr] :
      ( v5438(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5437(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_12,axiom,(
    ! [VarCurr] :
      ( ( ~ v5440(VarCurr)
        & ~ v5442(VarCurr)
        & ~ v5446(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v5439(VarCurr,B)
          <=> v5353(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_23,axiom,(
    ! [VarCurr] :
      ( v5446(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5439(VarCurr,B)
          <=> v5448(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_68,axiom,(
    ! [VarCurr] :
      ( v5442(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5439(VarCurr,B)
          <=> v5444(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_68,axiom,(
    ! [VarCurr] :
      ( v5440(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v5439(VarCurr,B)
          <=> v5353(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_274,axiom,(
    ! [VarCurr] :
      ( v5449(VarCurr)
    <=> ( ( v5450(VarCurr,bitIndex1)
        <=> $true )
        & ( v5450(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1060,axiom,(
    ! [VarCurr] :
      ( v5450(VarCurr,bitIndex0)
    <=> v5385(VarCurr) ) )).

fof(addAssignment_1059,axiom,(
    ! [VarCurr] :
      ( v5450(VarCurr,bitIndex1)
    <=> v5363(VarCurr) ) )).

fof(addAssignment_1058,axiom,(
    ! [VarCurr] :
      ( v5448(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_1057,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v5448(VarCurr,B)
      <=> v5434(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_273,axiom,(
    ! [VarCurr] :
      ( v5446(VarCurr)
    <=> ( ( v5447(VarCurr,bitIndex1)
        <=> $true )
        & ( v5447(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1056,axiom,(
    ! [VarCurr] :
      ( v5447(VarCurr,bitIndex0)
    <=> v5385(VarCurr) ) )).

fof(addAssignment_1055,axiom,(
    ! [VarCurr] :
      ( v5447(VarCurr,bitIndex1)
    <=> v5363(VarCurr) ) )).

fof(addAssignment_1054,axiom,(
    ! [VarCurr] :
      ( ( v5444(VarCurr,bitIndex2)
      <=> v5353(VarCurr,bitIndex3) )
      & ( v5444(VarCurr,bitIndex1)
      <=> v5353(VarCurr,bitIndex2) )
      & ( v5444(VarCurr,bitIndex0)
      <=> v5353(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_1053,axiom,(
    ! [VarCurr] :
      ( v5444(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_272,axiom,(
    ! [VarCurr] :
      ( v5442(VarCurr)
    <=> ( ( v5443(VarCurr,bitIndex1)
        <=> $false )
        & ( v5443(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_1052,axiom,(
    ! [VarCurr] :
      ( v5443(VarCurr,bitIndex0)
    <=> v5385(VarCurr) ) )).

fof(addAssignment_1051,axiom,(
    ! [VarCurr] :
      ( v5443(VarCurr,bitIndex1)
    <=> v5363(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_271,axiom,(
    ! [VarCurr] :
      ( v5440(VarCurr)
    <=> ( ( v5441(VarCurr,bitIndex1)
        <=> $false )
        & ( v5441(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1050,axiom,(
    ! [VarCurr] :
      ( v5441(VarCurr,bitIndex0)
    <=> v5385(VarCurr) ) )).

fof(addAssignment_1049,axiom,(
    ! [VarCurr] :
      ( v5441(VarCurr,bitIndex1)
    <=> v5363(VarCurr) ) )).

fof(writeUnaryOperator_675,axiom,(
    ! [VarCurr] :
      ( ~ v5438(VarCurr)
    <=> v5355(VarCurr) ) )).

fof(addAssignment_1048,axiom,(
    ! [VarCurr] :
      ( v5434(VarCurr,bitIndex2)
    <=> v5435(VarCurr,bitIndex2) ) )).

fof(addAssignment_1047,axiom,(
    ! [VarCurr] :
      ( v5435(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_1046,axiom,(
    ! [VarCurr] :
      ( ( v5435(VarCurr,bitIndex3)
      <=> v5353(VarCurr,bitIndex2) )
      & ( v5435(VarCurr,bitIndex2)
      <=> v5353(VarCurr,bitIndex1) )
      & ( v5435(VarCurr,bitIndex1)
      <=> v5353(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_1045,axiom,(
    ! [VarCurr] :
      ( v5385(VarCurr)
    <=> v5387(VarCurr) ) )).

fof(addAssignment_1044,axiom,(
    ! [VarCurr] :
      ( v5387(VarCurr)
    <=> v5389(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_22,axiom,(
    ! [VarCurr] :
      ( ( ~ v5426(VarCurr)
        & ~ v5429(VarCurr) )
     => ( v5389(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_67,axiom,(
    ! [VarCurr] :
      ( v5429(VarCurr)
     => ( v5389(VarCurr)
      <=> v5430(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_67,axiom,(
    ! [VarCurr] :
      ( v5426(VarCurr)
     => ( v5389(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_66,axiom,(
    ! [VarCurr] :
      ( ~ v5431(VarCurr)
     => ( v5430(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_66,axiom,(
    ! [VarCurr] :
      ( v5431(VarCurr)
     => ( v5430(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_270,axiom,(
    ! [VarCurr] :
      ( v5432(VarCurr)
    <=> ( v5393(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_269,axiom,(
    ! [VarCurr] :
      ( v5431(VarCurr)
    <=> ( v5393(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_268,axiom,(
    ! [VarCurr] :
      ( v5429(VarCurr)
    <=> ( ( v5391(VarCurr,bitIndex1)
        <=> $true )
        & ( v5391(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1484,axiom,(
    ! [VarCurr] :
      ( v5426(VarCurr)
    <=> ( v5427(VarCurr)
        | v5428(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_267,axiom,(
    ! [VarCurr] :
      ( v5428(VarCurr)
    <=> ( ( v5391(VarCurr,bitIndex1)
        <=> $false )
        & ( v5391(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_266,axiom,(
    ! [VarCurr] :
      ( v5427(VarCurr)
    <=> ( ( v5391(VarCurr,bitIndex1)
        <=> $false )
        & ( v5391(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1043,axiom,(
    ! [VarCurr] :
      ( v5393(VarCurr)
    <=> v5395(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1483,axiom,(
    ! [VarCurr] :
      ( v5395(VarCurr)
    <=> ( v5421(VarCurr)
        & v5417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1482,axiom,(
    ! [VarCurr] :
      ( v5421(VarCurr)
    <=> ( v5422(VarCurr)
        & v5413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1481,axiom,(
    ! [VarCurr] :
      ( v5422(VarCurr)
    <=> ( v5423(VarCurr)
        & v5409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1480,axiom,(
    ! [VarCurr] :
      ( v5423(VarCurr)
    <=> ( v5424(VarCurr)
        & v5405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1479,axiom,(
    ! [VarCurr] :
      ( v5424(VarCurr)
    <=> ( v5397(VarCurr)
        & v5401(VarCurr) ) ) )).

fof(addAssignment_1042,axiom,(
    ! [VarCurr] :
      ( v5417(VarCurr)
    <=> v5419(VarCurr) ) )).

fof(addAssignment_1041,axiom,(
    ! [VarCurr] :
      ( v5413(VarCurr)
    <=> v5415(VarCurr) ) )).

fof(addAssignment_1040,axiom,(
    ! [VarCurr] :
      ( v5409(VarCurr)
    <=> v5411(VarCurr) ) )).

fof(addAssignment_1039,axiom,(
    ! [VarCurr] :
      ( v5405(VarCurr)
    <=> v5407(VarCurr) ) )).

fof(addAssignment_1038,axiom,(
    ! [VarCurr] :
      ( v5401(VarCurr)
    <=> v5403(VarCurr) ) )).

fof(addAssignment_1037,axiom,(
    ! [VarCurr] :
      ( v5397(VarCurr)
    <=> v5399(VarCurr) ) )).

fof(addAssignment_1036,axiom,(
    ! [VarCurr] :
      ( v5363(VarCurr)
    <=> v5365(VarCurr) ) )).

fof(addAssignment_1035,axiom,(
    ! [VarCurr] :
      ( v5365(VarCurr)
    <=> v5367(VarCurr) ) )).

fof(addAssignment_1034,axiom,(
    ! [VarCurr] :
      ( v5367(VarCurr)
    <=> v5369(VarCurr) ) )).

fof(addAssignment_1033,axiom,(
    ! [VarCurr] :
      ( v5369(VarCurr)
    <=> v5371(VarCurr) ) )).

fof(addAssignment_1032,axiom,(
    ! [VarCurr] :
      ( v5371(VarCurr)
    <=> v5373(VarCurr) ) )).

fof(addAssignment_1031,axiom,(
    ! [VarCurr] :
      ( v5373(VarCurr)
    <=> v5375(VarCurr) ) )).

fof(addAssignment_1030,axiom,(
    ! [VarCurr] :
      ( v5375(VarCurr)
    <=> v5377(VarCurr) ) )).

fof(addAssignment_1029,axiom,(
    ! [VarCurr] :
      ( v5377(VarCurr)
    <=> v5379(VarCurr) ) )).

fof(addAssignment_1028,axiom,(
    ! [VarCurr] :
      ( v5379(VarCurr)
    <=> v5381(VarCurr) ) )).

fof(addAssignment_1027,axiom,(
    ! [VarCurr] :
      ( v5381(VarCurr)
    <=> v5383(VarCurr) ) )).

fof(addAssignment_1026,axiom,(
    ! [VarCurr] :
      ( v5355(VarCurr)
    <=> v5357(VarCurr) ) )).

fof(addAssignment_1025,axiom,(
    ! [VarCurr] :
      ( v5357(VarCurr)
    <=> v5359(VarCurr) ) )).

fof(addAssignment_1024,axiom,(
    ! [VarCurr] :
      ( v5359(VarCurr)
    <=> v3072(VarCurr) ) )).

fof(addAssignment_1023,axiom,(
    ! [VarCurr] :
      ( v5311(VarCurr)
    <=> v4965(VarCurr) ) )).

fof(addAssignment_1022,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4983(VarCurr,B)
      <=> v4985(VarCurr,B) ) ) )).

fof(addAssignment_1021,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4985(VarCurr,B)
      <=> v4987(VarCurr,B) ) ) )).

fof(addAssignment_1020,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4987(VarCurr,B)
      <=> v4989(VarCurr,B) ) ) )).

fof(addAssignment_1019,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4989(VarCurr,B)
      <=> v4991(VarCurr,B) ) ) )).

fof(addAssignment_1018,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4991(VarCurr,B)
      <=> v4993(VarCurr,B) ) ) )).

fof(addAssignment_1017,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4993(VarCurr,B)
      <=> v4995(VarCurr,B) ) ) )).

fof(addAssignment_1016,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4995(VarCurr,B)
      <=> v4997(VarCurr,B) ) ) )).

fof(addAssignment_1015,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4997(VarCurr,B)
      <=> v4999(VarCurr,B) ) ) )).

fof(addAssignment_1014,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v4999(VarCurr,B)
      <=> v5001(VarCurr,B) ) ) )).

fof(addAssignment_1013,axiom,(
    ! [VarCurr] :
      ( ( v5001(VarCurr,bitIndex1)
      <=> v5003(VarCurr,bitIndex9) )
      & ( v5001(VarCurr,bitIndex0)
      <=> v5003(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_1012,axiom,(
    ! [VarCurr,B] :
      ( range_9_8(B)
     => ( v5003(VarCurr,B)
      <=> v5005(VarCurr,B) ) ) )).

fof(range_axiom_24,axiom,(
    ! [B] :
      ( range_9_8(B)
    <=> ( $false
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_1011,axiom,(
    ! [VarCurr] :
      ( v5005(VarCurr,bitIndex9)
    <=> v5239(VarCurr) ) )).

fof(addAssignment_1010,axiom,(
    ! [VarCurr] :
      ( v5005(VarCurr,bitIndex8)
    <=> v5007(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5262(VarNext)
       => ( v5239(VarNext)
        <=> v5239(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_59,axiom,(
    ! [VarNext] :
      ( v5262(VarNext)
     => ( v5239(VarNext)
      <=> v5297(VarNext) ) ) )).

fof(addAssignment_1009,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5297(VarNext)
      <=> v5295(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_65,axiom,(
    ! [VarCurr] :
      ( ~ v5241(VarCurr)
     => ( v5295(VarCurr)
      <=> v5298(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_65,axiom,(
    ! [VarCurr] :
      ( v5241(VarCurr)
     => ( v5295(VarCurr)
      <=> v5243(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_64,axiom,(
    ! [VarCurr] :
      ( ~ v5275(VarCurr)
     => ( v5298(VarCurr)
      <=> v5257(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_64,axiom,(
    ! [VarCurr] :
      ( v5275(VarCurr)
     => ( v5298(VarCurr)
      <=> v5299(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_21,axiom,(
    ! [VarCurr] :
      ( ( ~ v5278(VarCurr)
        & ~ v5280(VarCurr) )
     => ( v5299(VarCurr)
      <=> v5303(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_63,axiom,(
    ! [VarCurr] :
      ( v5280(VarCurr)
     => ( v5299(VarCurr)
      <=> v5302(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_63,axiom,(
    ! [VarCurr] :
      ( v5278(VarCurr)
     => ( v5299(VarCurr)
      <=> v5300(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_62,axiom,(
    ! [VarCurr] :
      ( ~ v5288(VarCurr)
     => ( v5303(VarCurr)
      <=> v5257(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_62,axiom,(
    ! [VarCurr] :
      ( v5288(VarCurr)
     => ( v5303(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_61,axiom,(
    ! [VarCurr] :
      ( ~ v5282(VarCurr)
     => ( v5302(VarCurr)
      <=> v5257(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_61,axiom,(
    ! [VarCurr] :
      ( v5282(VarCurr)
     => ( v5302(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_133,axiom,(
    ! [VarCurr] :
      ( ~ v5301(VarCurr)
     => ( v5300(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_136,axiom,(
    ! [VarCurr] :
      ( v5301(VarCurr)
     => ( v5300(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_265,axiom,(
    ! [VarCurr] :
      ( v5301(VarCurr)
    <=> ( v5251(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1478,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5262(VarNext)
      <=> ( v5263(VarNext)
          & v5272(VarNext) ) ) ) )).

fof(addAssignment_1008,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5272(VarNext)
      <=> v5270(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1477,axiom,(
    ! [VarCurr] :
      ( v5270(VarCurr)
    <=> ( v5241(VarCurr)
        | v5273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1476,axiom,(
    ! [VarCurr] :
      ( v5273(VarCurr)
    <=> ( v5274(VarCurr)
        & v5294(VarCurr) ) ) )).

fof(writeUnaryOperator_674,axiom,(
    ! [VarCurr] :
      ( ~ v5294(VarCurr)
    <=> v5241(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1475,axiom,(
    ! [VarCurr] :
      ( v5274(VarCurr)
    <=> ( v5275(VarCurr)
        | v5292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1474,axiom,(
    ! [VarCurr] :
      ( v5292(VarCurr)
    <=> ( v5253(VarCurr)
        & v5293(VarCurr) ) ) )).

fof(writeUnaryOperator_673,axiom,(
    ! [VarCurr] :
      ( ~ v5293(VarCurr)
    <=> v5255(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1473,axiom,(
    ! [VarCurr] :
      ( v5275(VarCurr)
    <=> ( v5276(VarCurr)
        & v5255(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1472,axiom,(
    ! [VarCurr] :
      ( v5276(VarCurr)
    <=> ( v5277(VarCurr)
        | v5286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1471,axiom,(
    ! [VarCurr] :
      ( v5286(VarCurr)
    <=> ( v5287(VarCurr)
        & v5291(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_264,axiom,(
    ! [VarCurr] :
      ( v5291(VarCurr)
    <=> ( ( v5279(VarCurr,bitIndex2)
        <=> $false )
        & ( v5279(VarCurr,bitIndex1)
        <=> $false )
        & ( v5279(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1470,axiom,(
    ! [VarCurr] :
      ( v5287(VarCurr)
    <=> ( v5288(VarCurr)
        | v5289(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1469,axiom,(
    ! [VarCurr] :
      ( v5289(VarCurr)
    <=> ( v5253(VarCurr)
        & v5290(VarCurr) ) ) )).

fof(writeUnaryOperator_672,axiom,(
    ! [VarCurr] :
      ( ~ v5290(VarCurr)
    <=> v5288(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_263,axiom,(
    ! [VarCurr] :
      ( v5288(VarCurr)
    <=> ( v5251(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1468,axiom,(
    ! [VarCurr] :
      ( v5277(VarCurr)
    <=> ( v5278(VarCurr)
        | v5280(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1467,axiom,(
    ! [VarCurr] :
      ( v5280(VarCurr)
    <=> ( v5281(VarCurr)
        & v5285(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_262,axiom,(
    ! [VarCurr] :
      ( v5285(VarCurr)
    <=> ( ( v5279(VarCurr,bitIndex2)
        <=> $false )
        & ( v5279(VarCurr,bitIndex1)
        <=> $true )
        & ( v5279(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1466,axiom,(
    ! [VarCurr] :
      ( v5281(VarCurr)
    <=> ( v5282(VarCurr)
        | v5283(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1465,axiom,(
    ! [VarCurr] :
      ( v5283(VarCurr)
    <=> ( v5253(VarCurr)
        & v5284(VarCurr) ) ) )).

fof(writeUnaryOperator_671,axiom,(
    ! [VarCurr] :
      ( ~ v5284(VarCurr)
    <=> v5282(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_261,axiom,(
    ! [VarCurr] :
      ( v5282(VarCurr)
    <=> ( v5251(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_260,axiom,(
    ! [VarCurr] :
      ( v5278(VarCurr)
    <=> ( ( v5279(VarCurr,bitIndex2)
        <=> $true )
        & ( v5279(VarCurr,bitIndex1)
        <=> $false )
        & ( v5279(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1007,axiom,(
    ! [VarCurr] :
      ( v5279(VarCurr,bitIndex0)
    <=> v5249(VarCurr) ) )).

fof(addAssignment_1006,axiom,(
    ! [VarCurr] :
      ( v5279(VarCurr,bitIndex1)
    <=> v5247(VarCurr) ) )).

fof(addAssignment_1005,axiom,(
    ! [VarCurr] :
      ( v5279(VarCurr,bitIndex2)
    <=> v5245(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1464,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5263(VarNext)
      <=> ( v5264(VarNext)
          & v5259(VarNext) ) ) ) )).

fof(writeUnaryOperator_670,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5264(VarNext)
      <=> v5266(VarNext) ) ) )).

fof(addAssignment_1004,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5266(VarNext)
      <=> v5259(VarCurr) ) ) )).

fof(addAssignment_1003,axiom,(
    ! [VarCurr] :
      ( v5259(VarCurr)
    <=> v5187(VarCurr) ) )).

fof(addAssignment_1002,axiom,(
    ! [VarCurr] :
      ( v5257(VarCurr)
    <=> $false ) )).

fof(addAssignment_1001,axiom,(
    ! [VarCurr] :
      ( v5255(VarCurr)
    <=> v5074(VarCurr) ) )).

fof(addAssignment_1000,axiom,(
    ! [VarCurr] :
      ( v5253(VarCurr)
    <=> $false ) )).

fof(addAssignment_999,axiom,(
    ! [VarCurr] :
      ( v5251(VarCurr)
    <=> v5046(VarCurr,bitIndex9) ) )).

fof(addAssignment_998,axiom,(
    ! [VarCurr] :
      ( v5046(VarCurr,bitIndex9)
    <=> v5048(VarCurr,bitIndex9) ) )).

fof(addAssignment_997,axiom,(
    ! [VarCurr] :
      ( v5048(VarCurr,bitIndex9)
    <=> v5050(VarCurr,bitIndex9) ) )).

fof(addAssignment_996,axiom,(
    ! [VarCurr] :
      ( v5050(VarCurr,bitIndex9)
    <=> v5052(VarCurr,bitIndex9) ) )).

fof(addAssignment_995,axiom,(
    ! [VarCurr] :
      ( v5052(VarCurr,bitIndex9)
    <=> v5054(VarCurr,bitIndex9) ) )).

fof(addAssignment_994,axiom,(
    ! [VarCurr] :
      ( v5054(VarCurr,bitIndex9)
    <=> v5056(VarCurr,bitIndex9) ) )).

fof(addAssignment_993,axiom,(
    ! [VarCurr] :
      ( v5056(VarCurr,bitIndex9)
    <=> v5058(VarCurr,bitIndex9) ) )).

fof(addAssignment_992,axiom,(
    ! [VarCurr] :
      ( v5058(VarCurr,bitIndex9)
    <=> v5060(VarCurr,bitIndex9) ) )).

fof(addAssignment_991,axiom,(
    ! [VarCurr] :
      ( v5060(VarCurr,bitIndex9)
    <=> v5062(VarCurr,bitIndex9) ) )).

fof(addAssignment_990,axiom,(
    ! [VarCurr] :
      ( v5062(VarCurr,bitIndex9)
    <=> v5064(VarCurr,bitIndex9) ) )).

fof(addAssignment_989,axiom,(
    ! [VarCurr] :
      ( v5064(VarCurr,bitIndex9)
    <=> v5066(VarCurr,bitIndex9) ) )).

fof(addAssignment_988,axiom,(
    ! [VarCurr] :
      ( v5066(VarCurr,bitIndex9)
    <=> v5068(VarCurr,bitIndex9) ) )).

fof(addAssignment_987,axiom,(
    ! [VarCurr] :
      ( v5249(VarCurr)
    <=> $false ) )).

fof(addAssignment_986,axiom,(
    ! [VarCurr] :
      ( v5247(VarCurr)
    <=> $false ) )).

fof(addAssignment_985,axiom,(
    ! [VarCurr] :
      ( v5245(VarCurr)
    <=> $true ) )).

fof(addAssignment_984,axiom,(
    ! [VarCurr] :
      ( v5243(VarCurr)
    <=> $false ) )).

fof(addAssignment_983,axiom,(
    ! [VarCurr] :
      ( v5241(VarCurr)
    <=> v5011(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5194(VarNext)
       => ( v5007(VarNext)
        <=> v5007(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_58,axiom,(
    ! [VarNext] :
      ( v5194(VarNext)
     => ( v5007(VarNext)
      <=> v5229(VarNext) ) ) )).

fof(addAssignment_982,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5229(VarNext)
      <=> v5227(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_60,axiom,(
    ! [VarCurr] :
      ( ~ v5009(VarCurr)
     => ( v5227(VarCurr)
      <=> v5230(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_60,axiom,(
    ! [VarCurr] :
      ( v5009(VarCurr)
     => ( v5227(VarCurr)
      <=> v5036(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_59,axiom,(
    ! [VarCurr] :
      ( ~ v5207(VarCurr)
     => ( v5230(VarCurr)
      <=> v5183(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_59,axiom,(
    ! [VarCurr] :
      ( v5207(VarCurr)
     => ( v5230(VarCurr)
      <=> v5231(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_20,axiom,(
    ! [VarCurr] :
      ( ( ~ v5210(VarCurr)
        & ~ v5212(VarCurr) )
     => ( v5231(VarCurr)
      <=> v5235(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_58,axiom,(
    ! [VarCurr] :
      ( v5212(VarCurr)
     => ( v5231(VarCurr)
      <=> v5234(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_58,axiom,(
    ! [VarCurr] :
      ( v5210(VarCurr)
     => ( v5231(VarCurr)
      <=> v5232(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_57,axiom,(
    ! [VarCurr] :
      ( ~ v5220(VarCurr)
     => ( v5235(VarCurr)
      <=> v5183(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_57,axiom,(
    ! [VarCurr] :
      ( v5220(VarCurr)
     => ( v5235(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_56,axiom,(
    ! [VarCurr] :
      ( ~ v5214(VarCurr)
     => ( v5234(VarCurr)
      <=> v5183(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_56,axiom,(
    ! [VarCurr] :
      ( v5214(VarCurr)
     => ( v5234(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_132,axiom,(
    ! [VarCurr] :
      ( ~ v5233(VarCurr)
     => ( v5232(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_135,axiom,(
    ! [VarCurr] :
      ( v5233(VarCurr)
     => ( v5232(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_259,axiom,(
    ! [VarCurr] :
      ( v5233(VarCurr)
    <=> ( v5044(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1463,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5194(VarNext)
      <=> ( v5195(VarNext)
          & v5204(VarNext) ) ) ) )).

fof(addAssignment_981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5204(VarNext)
      <=> v5202(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1462,axiom,(
    ! [VarCurr] :
      ( v5202(VarCurr)
    <=> ( v5009(VarCurr)
        | v5205(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1461,axiom,(
    ! [VarCurr] :
      ( v5205(VarCurr)
    <=> ( v5206(VarCurr)
        & v5226(VarCurr) ) ) )).

fof(writeUnaryOperator_669,axiom,(
    ! [VarCurr] :
      ( ~ v5226(VarCurr)
    <=> v5009(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1460,axiom,(
    ! [VarCurr] :
      ( v5206(VarCurr)
    <=> ( v5207(VarCurr)
        | v5224(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1459,axiom,(
    ! [VarCurr] :
      ( v5224(VarCurr)
    <=> ( v5070(VarCurr)
        & v5225(VarCurr) ) ) )).

fof(writeUnaryOperator_668,axiom,(
    ! [VarCurr] :
      ( ~ v5225(VarCurr)
    <=> v5072(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1458,axiom,(
    ! [VarCurr] :
      ( v5207(VarCurr)
    <=> ( v5208(VarCurr)
        & v5072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1457,axiom,(
    ! [VarCurr] :
      ( v5208(VarCurr)
    <=> ( v5209(VarCurr)
        | v5218(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1456,axiom,(
    ! [VarCurr] :
      ( v5218(VarCurr)
    <=> ( v5219(VarCurr)
        & v5223(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_258,axiom,(
    ! [VarCurr] :
      ( v5223(VarCurr)
    <=> ( ( v5211(VarCurr,bitIndex2)
        <=> $false )
        & ( v5211(VarCurr,bitIndex1)
        <=> $false )
        & ( v5211(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1455,axiom,(
    ! [VarCurr] :
      ( v5219(VarCurr)
    <=> ( v5220(VarCurr)
        | v5221(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1454,axiom,(
    ! [VarCurr] :
      ( v5221(VarCurr)
    <=> ( v5070(VarCurr)
        & v5222(VarCurr) ) ) )).

fof(writeUnaryOperator_667,axiom,(
    ! [VarCurr] :
      ( ~ v5222(VarCurr)
    <=> v5220(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_257,axiom,(
    ! [VarCurr] :
      ( v5220(VarCurr)
    <=> ( v5044(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1453,axiom,(
    ! [VarCurr] :
      ( v5209(VarCurr)
    <=> ( v5210(VarCurr)
        | v5212(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1452,axiom,(
    ! [VarCurr] :
      ( v5212(VarCurr)
    <=> ( v5213(VarCurr)
        & v5217(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_256,axiom,(
    ! [VarCurr] :
      ( v5217(VarCurr)
    <=> ( ( v5211(VarCurr,bitIndex2)
        <=> $false )
        & ( v5211(VarCurr,bitIndex1)
        <=> $true )
        & ( v5211(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1451,axiom,(
    ! [VarCurr] :
      ( v5213(VarCurr)
    <=> ( v5214(VarCurr)
        | v5215(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1450,axiom,(
    ! [VarCurr] :
      ( v5215(VarCurr)
    <=> ( v5070(VarCurr)
        & v5216(VarCurr) ) ) )).

fof(writeUnaryOperator_666,axiom,(
    ! [VarCurr] :
      ( ~ v5216(VarCurr)
    <=> v5214(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_255,axiom,(
    ! [VarCurr] :
      ( v5214(VarCurr)
    <=> ( v5044(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_254,axiom,(
    ! [VarCurr] :
      ( v5210(VarCurr)
    <=> ( ( v5211(VarCurr,bitIndex2)
        <=> $true )
        & ( v5211(VarCurr,bitIndex1)
        <=> $false )
        & ( v5211(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_980,axiom,(
    ! [VarCurr] :
      ( v5211(VarCurr,bitIndex0)
    <=> v5042(VarCurr) ) )).

fof(addAssignment_979,axiom,(
    ! [VarCurr] :
      ( v5211(VarCurr,bitIndex1)
    <=> v5040(VarCurr) ) )).

fof(addAssignment_978,axiom,(
    ! [VarCurr] :
      ( v5211(VarCurr,bitIndex2)
    <=> v5038(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1449,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5195(VarNext)
      <=> ( v5196(VarNext)
          & v5185(VarNext) ) ) ) )).

fof(writeUnaryOperator_665,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5196(VarNext)
      <=> v5198(VarNext) ) ) )).

fof(addAssignment_977,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5198(VarNext)
      <=> v5185(VarCurr) ) ) )).

fof(addAssignment_976,axiom,(
    ! [VarCurr] :
      ( v5185(VarCurr)
    <=> v5187(VarCurr) ) )).

fof(addAssignment_975,axiom,(
    ! [VarCurr] :
      ( v5187(VarCurr)
    <=> v5189(VarCurr) ) )).

fof(addAssignment_974,axiom,(
    ! [VarCurr] :
      ( v5189(VarCurr)
    <=> v5191(VarCurr) ) )).

fof(addAssignment_973,axiom,(
    ! [VarCurr] :
      ( v5191(VarCurr)
    <=> v5100(VarCurr) ) )).

fof(addAssignment_972,axiom,(
    ! [VarCurr] :
      ( v5183(VarCurr)
    <=> $false ) )).

fof(addAssignment_971,axiom,(
    ! [VarCurr] :
      ( v5072(VarCurr)
    <=> v5074(VarCurr) ) )).

fof(addAssignment_970,axiom,(
    ! [VarCurr] :
      ( v5074(VarCurr)
    <=> v5076(VarCurr) ) )).

fof(addAssignment_969,axiom,(
    ! [VarCurr] :
      ( v5076(VarCurr)
    <=> v5078(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1448,axiom,(
    ! [VarCurr] :
      ( v5078(VarCurr)
    <=> ( v5080(VarCurr)
        & v5120(VarCurr) ) ) )).

fof(addAssignment_968,axiom,(
    ! [VarCurr] :
      ( v5120(VarCurr)
    <=> v5122(VarCurr) ) )).

fof(addAssignment_967,axiom,(
    ! [VarCurr] :
      ( v5122(VarCurr)
    <=> v5124(VarCurr) ) )).

fof(addAssignment_966,axiom,(
    ! [VarCurr] :
      ( v5124(VarCurr)
    <=> v5126(VarCurr) ) )).

fof(addAssignment_965,axiom,(
    ! [VarCurr] :
      ( v5126(VarCurr)
    <=> v5128(VarCurr) ) )).

fof(addAssignment_964,axiom,(
    ! [VarCurr] :
      ( v5128(VarCurr)
    <=> v5130(VarCurr) ) )).

fof(addAssignment_963,axiom,(
    ! [VarCurr] :
      ( v5130(VarCurr)
    <=> v5132(VarCurr) ) )).

fof(addAssignment_962,axiom,(
    ! [VarCurr] :
      ( v5132(VarCurr)
    <=> v5134(VarCurr) ) )).

fof(addAssignment_961,axiom,(
    ! [VarCurr] :
      ( v5134(VarCurr)
    <=> v5136(VarCurr) ) )).

fof(addAssignment_960,axiom,(
    ! [VarCurr] :
      ( v5136(VarCurr)
    <=> v5138(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5167(VarNext)
       => ( v5138(VarNext)
        <=> v5138(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_57,axiom,(
    ! [VarNext] :
      ( v5167(VarNext)
     => ( v5138(VarNext)
      <=> v5177(VarNext) ) ) )).

fof(addAssignment_959,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5177(VarNext)
      <=> v5175(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_131,axiom,(
    ! [VarCurr] :
      ( ~ v5178(VarCurr)
     => ( v5175(VarCurr)
      <=> v5142(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_134,axiom,(
    ! [VarCurr] :
      ( v5178(VarCurr)
     => ( v5175(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_664,axiom,(
    ! [VarCurr] :
      ( ~ v5178(VarCurr)
    <=> v5140(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1447,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5167(VarNext)
      <=> v5168(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1446,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5168(VarNext)
      <=> ( v5169(VarNext)
          & v5164(VarNext) ) ) ) )).

fof(writeUnaryOperator_663,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5169(VarNext)
      <=> v5171(VarNext) ) ) )).

fof(addAssignment_958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5171(VarNext)
      <=> v5164(VarCurr) ) ) )).

fof(addAssignment_957,axiom,(
    ! [VarCurr] :
      ( v5164(VarCurr)
    <=> v5100(VarCurr) ) )).

fof(addAssignment_956,axiom,(
    ! [VarCurr] :
      ( v5142(VarCurr)
    <=> v5144(VarCurr) ) )).

fof(addAssignment_955,axiom,(
    ! [VarCurr] :
      ( v5144(VarCurr)
    <=> v5146(VarCurr) ) )).

fof(addAssignment_954,axiom,(
    ! [VarCurr] :
      ( v5146(VarCurr)
    <=> v5148(VarCurr) ) )).

fof(addAssignment_953,axiom,(
    ! [VarCurr] :
      ( v5148(VarCurr)
    <=> v5150(VarCurr) ) )).

fof(addAssignment_952,axiom,(
    ! [VarCurr] :
      ( v5150(VarCurr)
    <=> v5152(VarCurr) ) )).

fof(addAssignment_951,axiom,(
    ! [VarCurr] :
      ( v5152(VarCurr)
    <=> v5154(VarCurr) ) )).

fof(addAssignment_950,axiom,(
    ! [VarCurr] :
      ( v5154(VarCurr)
    <=> v5156(VarCurr) ) )).

fof(addAssignment_949,axiom,(
    ! [VarCurr] :
      ( v5156(VarCurr)
    <=> v5158(VarCurr) ) )).

fof(addAssignment_948,axiom,(
    ! [VarCurr] :
      ( v5158(VarCurr)
    <=> v5160(VarCurr) ) )).

fof(addAssignment_947,axiom,(
    ! [VarCurr] :
      ( v5160(VarCurr)
    <=> v5162(VarCurr) ) )).

fof(addAssignment_946,axiom,(
    ! [VarCurr] :
      ( v5140(VarCurr)
    <=> v5031(VarCurr) ) )).

fof(addAssignment_945,axiom,(
    ! [VarCurr] :
      ( v5080(VarCurr)
    <=> v5082(VarCurr) ) )).

fof(addAssignment_944,axiom,(
    ! [VarCurr] :
      ( v5082(VarCurr)
    <=> v5084(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5107(VarNext)
       => ( v5084(VarNext)
        <=> v5084(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_56,axiom,(
    ! [VarNext] :
      ( v5107(VarNext)
     => ( v5084(VarNext)
      <=> v5116(VarNext) ) ) )).

fof(addAssignment_943,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5116(VarNext)
      <=> v5086(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1445,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5107(VarNext)
      <=> v5108(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1444,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5108(VarNext)
      <=> ( v5109(VarNext)
          & v5098(VarNext) ) ) ) )).

fof(writeUnaryOperator_662,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5109(VarNext)
      <=> v5111(VarNext) ) ) )).

fof(addAssignment_942,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5111(VarNext)
      <=> v5098(VarCurr) ) ) )).

fof(addAssignment_941,axiom,(
    ! [VarCurr] :
      ( v5098(VarCurr)
    <=> v5100(VarCurr) ) )).

fof(addAssignment_940,axiom,(
    ! [VarCurr] :
      ( v5100(VarCurr)
    <=> v5102(VarCurr) ) )).

fof(addAssignment_939,axiom,(
    ! [VarCurr] :
      ( v5102(VarCurr)
    <=> v5104(VarCurr) ) )).

fof(addAssignment_938,axiom,(
    ! [VarCurr] :
      ( v5104(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_937,axiom,(
    ! [VarCurr] :
      ( v5086(VarCurr)
    <=> v5088(VarCurr) ) )).

fof(addAssignment_936,axiom,(
    ! [VarCurr] :
      ( v5088(VarCurr)
    <=> v5090(VarCurr) ) )).

fof(addAssignment_935,axiom,(
    ! [VarCurr] :
      ( v5090(VarCurr)
    <=> v5092(VarCurr) ) )).

fof(addAssignment_934,axiom,(
    ! [VarCurr] :
      ( v5092(VarCurr)
    <=> v5094(VarCurr) ) )).

fof(addAssignment_933,axiom,(
    ! [VarCurr] :
      ( v5094(VarCurr)
    <=> v5096(VarCurr) ) )).

fof(addAssignment_932,axiom,(
    ! [VarCurr] :
      ( v5070(VarCurr)
    <=> $false ) )).

fof(addAssignment_931,axiom,(
    ! [VarCurr] :
      ( v5044(VarCurr)
    <=> v5046(VarCurr,bitIndex8) ) )).

fof(addAssignment_930,axiom,(
    ! [VarCurr] :
      ( v5046(VarCurr,bitIndex8)
    <=> v5048(VarCurr,bitIndex8) ) )).

fof(addAssignment_929,axiom,(
    ! [VarCurr] :
      ( v5048(VarCurr,bitIndex8)
    <=> v5050(VarCurr,bitIndex8) ) )).

fof(addAssignment_928,axiom,(
    ! [VarCurr] :
      ( v5050(VarCurr,bitIndex8)
    <=> v5052(VarCurr,bitIndex8) ) )).

fof(addAssignment_927,axiom,(
    ! [VarCurr] :
      ( v5052(VarCurr,bitIndex8)
    <=> v5054(VarCurr,bitIndex8) ) )).

fof(addAssignment_926,axiom,(
    ! [VarCurr] :
      ( v5054(VarCurr,bitIndex8)
    <=> v5056(VarCurr,bitIndex8) ) )).

fof(addAssignment_925,axiom,(
    ! [VarCurr] :
      ( v5056(VarCurr,bitIndex8)
    <=> v5058(VarCurr,bitIndex8) ) )).

fof(addAssignment_924,axiom,(
    ! [VarCurr] :
      ( v5058(VarCurr,bitIndex8)
    <=> v5060(VarCurr,bitIndex8) ) )).

fof(addAssignment_923,axiom,(
    ! [VarCurr] :
      ( v5060(VarCurr,bitIndex8)
    <=> v5062(VarCurr,bitIndex8) ) )).

fof(addAssignment_922,axiom,(
    ! [VarCurr] :
      ( v5062(VarCurr,bitIndex8)
    <=> v5064(VarCurr,bitIndex8) ) )).

fof(addAssignment_921,axiom,(
    ! [VarCurr] :
      ( v5064(VarCurr,bitIndex8)
    <=> v5066(VarCurr,bitIndex8) ) )).

fof(addAssignment_920,axiom,(
    ! [VarCurr] :
      ( v5066(VarCurr,bitIndex8)
    <=> v5068(VarCurr,bitIndex8) ) )).

fof(addAssignment_919,axiom,(
    ! [VarCurr] :
      ( v5042(VarCurr)
    <=> $false ) )).

fof(addAssignment_918,axiom,(
    ! [VarCurr] :
      ( v5040(VarCurr)
    <=> $false ) )).

fof(addAssignment_917,axiom,(
    ! [VarCurr] :
      ( v5038(VarCurr)
    <=> $true ) )).

fof(addAssignment_916,axiom,(
    ! [VarCurr] :
      ( v5036(VarCurr)
    <=> $false ) )).

fof(addAssignment_915,axiom,(
    ! [VarCurr] :
      ( v5009(VarCurr)
    <=> v5011(VarCurr) ) )).

fof(writeUnaryOperator_661,axiom,(
    ! [VarCurr] :
      ( ~ v5011(VarCurr)
    <=> v5013(VarCurr) ) )).

fof(addAssignment_914,axiom,(
    ! [VarCurr] :
      ( v5013(VarCurr)
    <=> v5015(VarCurr) ) )).

fof(addAssignment_913,axiom,(
    ! [VarCurr] :
      ( v5015(VarCurr)
    <=> v5017(VarCurr) ) )).

fof(addAssignment_912,axiom,(
    ! [VarCurr] :
      ( v5017(VarCurr)
    <=> v5019(VarCurr) ) )).

fof(addAssignment_911,axiom,(
    ! [VarCurr] :
      ( v5019(VarCurr)
    <=> v5021(VarCurr) ) )).

fof(addAssignment_910,axiom,(
    ! [VarCurr] :
      ( v5021(VarCurr)
    <=> v5023(VarCurr) ) )).

fof(addAssignment_909,axiom,(
    ! [VarCurr] :
      ( v5023(VarCurr)
    <=> v5025(VarCurr) ) )).

fof(addAssignment_908,axiom,(
    ! [VarCurr] :
      ( v5025(VarCurr)
    <=> v5027(VarCurr) ) )).

fof(addAssignment_907,axiom,(
    ! [VarCurr] :
      ( v5027(VarCurr)
    <=> v5029(VarCurr) ) )).

fof(addAssignment_906,axiom,(
    ! [VarCurr] :
      ( v5029(VarCurr)
    <=> v5031(VarCurr) ) )).

fof(addAssignment_905,axiom,(
    ! [VarCurr] :
      ( v5031(VarCurr)
    <=> v5033(VarCurr) ) )).

fof(addAssignment_904,axiom,(
    ! [VarCurr] :
      ( v5033(VarCurr)
    <=> v4967(VarCurr) ) )).

fof(addAssignment_903,axiom,(
    ! [VarCurr] :
      ( v4963(VarCurr)
    <=> v4965(VarCurr) ) )).

fof(addAssignment_902,axiom,(
    ! [VarCurr] :
      ( v4965(VarCurr)
    <=> v4967(VarCurr) ) )).

fof(addAssignment_901,axiom,(
    ! [VarCurr] :
      ( v4967(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_45,axiom,(
    ! [VarCurr] :
      ( ~ v4931(VarCurr)
     => ( v29(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_42,axiom,(
    ! [VarCurr] :
      ( v4931(VarCurr)
     => ( v29(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1443,axiom,(
    ! [VarCurr] :
      ( v4931(VarCurr)
    <=> ( v4932(VarCurr)
        & v4921(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1442,axiom,(
    ! [VarCurr] :
      ( v4932(VarCurr)
    <=> ( v4798(VarCurr)
        & v31(VarCurr) ) ) )).

fof(addAssignment_900,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex11)
    <=> v4923(VarNext,bitIndex10) ) )).

fof(addCaseBooleanConditionShiftedRanges1_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4924(VarNext)
       => ( ( v4923(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v4923(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v4923(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v4923(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v4923(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v4923(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v4923(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v4923(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v4923(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v4923(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v4923(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v4923(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_55,axiom,(
    ! [VarNext] :
      ( v4924(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v4923(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1441,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4924(VarNext)
      <=> v4925(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1440,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4925(VarNext)
      <=> ( v4927(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_660,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4927(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_44,axiom,(
    ! [VarCurr] :
      ( ~ v4912(VarCurr)
     => ( v29(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_41,axiom,(
    ! [VarCurr] :
      ( v4912(VarCurr)
     => ( v29(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1439,axiom,(
    ! [VarCurr] :
      ( v4912(VarCurr)
    <=> ( v4913(VarCurr)
        | v4914(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1438,axiom,(
    ! [VarCurr] :
      ( v4914(VarCurr)
    <=> ( v4915(VarCurr)
        & v4921(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_253,axiom,(
    ! [VarCurr] :
      ( v4921(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1437,axiom,(
    ! [VarCurr] :
      ( v4915(VarCurr)
    <=> ( v4916(VarCurr)
        | v4918(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1436,axiom,(
    ! [VarCurr] :
      ( v4918(VarCurr)
    <=> ( v4920(VarCurr)
        & v31(VarCurr) ) ) )).

fof(writeUnaryOperator_659,axiom,(
    ! [VarCurr] :
      ( ~ v4920(VarCurr)
    <=> v4798(VarCurr) ) )).

fof(writeUnaryOperator_658,axiom,(
    ! [VarCurr] :
      ( ~ v4916(VarCurr)
    <=> v31(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_252,axiom,(
    ! [VarCurr] :
      ( v4913(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex10) ) ) )).

fof(addAssignment_899,axiom,(
    ! [VarNext] :
      ( v634(VarNext,bitIndex10)
    <=> v4898(VarNext,bitIndex9) ) )).

fof(addCaseBooleanConditionShiftedRanges1_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4899(VarNext)
       => ( ( v4898(VarNext,bitIndex11)
          <=> v634(VarCurr,bitIndex12) )
          & ( v4898(VarNext,bitIndex10)
          <=> v634(VarCurr,bitIndex11) )
          & ( v4898(VarNext,bitIndex9)
          <=> v634(VarCurr,bitIndex10) )
          & ( v4898(VarNext,bitIndex8)
          <=> v634(VarCurr,bitIndex9) )
          & ( v4898(VarNext,bitIndex7)
          <=> v634(VarCurr,bitIndex8) )
          & ( v4898(VarNext,bitIndex6)
          <=> v634(VarCurr,bitIndex7) )
          & ( v4898(VarNext,bitIndex5)
          <=> v634(VarCurr,bitIndex6) )
          & ( v4898(VarNext,bitIndex4)
          <=> v634(VarCurr,bitIndex5) )
          & ( v4898(VarNext,bitIndex3)
          <=> v634(VarCurr,bitIndex4) )
          & ( v4898(VarNext,bitIndex2)
          <=> v634(VarCurr,bitIndex3) )
          & ( v4898(VarNext,bitIndex1)
          <=> v634(VarCurr,bitIndex2) )
          & ( v4898(VarNext,bitIndex0)
          <=> v634(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_54,axiom,(
    ! [VarNext] :
      ( v4899(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v4898(VarNext,B)
          <=> v4907(VarNext,B) ) ) ) )).

fof(addAssignment_898,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v4907(VarNext,B)
          <=> v4905(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_43,axiom,(
    ! [VarCurr] :
      ( ~ v4890(VarCurr)
     => ( ( v4905(VarCurr,bitIndex11)
        <=> v29(VarCurr,bitIndex12) )
        & ( v4905(VarCurr,bitIndex10)
        <=> v29(VarCurr,bitIndex11) )
        & ( v4905(VarCurr,bitIndex9)
        <=> v29(VarCurr,bitIndex10) )
        & ( v4905(VarCurr,bitIndex8)
        <=> v29(VarCurr,bitIndex9) )
        & ( v4905(VarCurr,bitIndex7)
        <=> v29(VarCurr,bitIndex8) )
        & ( v4905(VarCurr,bitIndex6)
        <=> v29(VarCurr,bitIndex7) )
        & ( v4905(VarCurr,bitIndex5)
        <=> v29(VarCurr,bitIndex6) )
        & ( v4905(VarCurr,bitIndex4)
        <=> v29(VarCurr,bitIndex5) )
        & ( v4905(VarCurr,bitIndex3)
        <=> v29(VarCurr,bitIndex4) )
        & ( v4905(VarCurr,bitIndex2)
        <=> v29(VarCurr,bitIndex3) )
        & ( v4905(VarCurr,bitIndex1)
        <=> v29(VarCurr,bitIndex2) )
        & ( v4905(VarCurr,bitIndex0)
        <=> v29(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_133,axiom,(
    ! [VarCurr] :
      ( v4890(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v4905(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1435,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4899(VarNext)
      <=> v4900(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1434,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4900(VarNext)
      <=> ( v4902(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_657,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4902(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_42,axiom,(
    ! [VarCurr] :
      ( ~ v4894(VarCurr)
     => ( v29(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_40,axiom,(
    ! [VarCurr] :
      ( v4894(VarCurr)
     => ( v29(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1433,axiom,(
    ! [VarCurr] :
      ( v4894(VarCurr)
    <=> ( v4895(VarCurr)
        & v4868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1432,axiom,(
    ! [VarCurr] :
      ( v4895(VarCurr)
    <=> ( v4860(VarCurr)
        & v4840(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4879(VarNext)
       => ( v634(VarNext,bitIndex0)
        <=> v634(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_53,axiom,(
    ! [VarNext] :
      ( v4879(VarNext)
     => ( v634(VarNext,bitIndex0)
      <=> v4889(VarNext) ) ) )).

fof(addAssignment_897,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4889(VarNext)
      <=> v4887(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_130,axiom,(
    ! [VarCurr] :
      ( ~ v4890(VarCurr)
     => ( v4887(VarCurr)
      <=> v29(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_132,axiom,(
    ! [VarCurr] :
      ( v4890(VarCurr)
     => ( v4887(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_656,axiom,(
    ! [VarCurr] :
      ( ~ v4890(VarCurr)
    <=> v632(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1431,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4879(VarNext)
      <=> v4880(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1430,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4880(VarNext)
      <=> ( v4881(VarNext)
          & v4876(VarNext) ) ) ) )).

fof(writeUnaryOperator_655,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4881(VarNext)
      <=> v4883(VarNext) ) ) )).

fof(addAssignment_896,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4883(VarNext)
      <=> v4876(VarCurr) ) ) )).

fof(addAssignment_895,axiom,(
    ! [VarCurr] :
      ( v4876(VarCurr)
    <=> v599(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_129,axiom,(
    ! [VarCurr] :
      ( ~ v4851(VarCurr)
     => ( v29(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_131,axiom,(
    ! [VarCurr] :
      ( v4851(VarCurr)
     => ( v29(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1429,axiom,(
    ! [VarCurr] :
      ( v4851(VarCurr)
    <=> ( v4852(VarCurr)
        | v4874(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_251,axiom,(
    ! [VarCurr] :
      ( v4874(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1428,axiom,(
    ! [VarCurr] :
      ( v4852(VarCurr)
    <=> ( v4853(VarCurr)
        | v4873(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_250,axiom,(
    ! [VarCurr] :
      ( v4873(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1427,axiom,(
    ! [VarCurr] :
      ( v4853(VarCurr)
    <=> ( v4854(VarCurr)
        | v4872(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_249,axiom,(
    ! [VarCurr] :
      ( v4872(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1426,axiom,(
    ! [VarCurr] :
      ( v4854(VarCurr)
    <=> ( v4855(VarCurr)
        | v4871(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_248,axiom,(
    ! [VarCurr] :
      ( v4871(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1425,axiom,(
    ! [VarCurr] :
      ( v4855(VarCurr)
    <=> ( v4856(VarCurr)
        & v4868(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_247,axiom,(
    ! [VarCurr] :
      ( v4868(VarCurr)
    <=> ( $true
      <=> v634(VarCurr,bitIndex0) ) ) )).

fof(addAssignmentInitValue_31,axiom,(
    ~ v634(constB0,bitIndex11) )).

fof(addAssignmentInitValue_30,axiom,(
    ~ v634(constB0,bitIndex10) )).

fof(addAssignmentInitValue_29,axiom,(
    ~ v634(constB0,bitIndex8) )).

fof(addAssignmentInitValue_28,axiom,(
    ~ v634(constB0,bitIndex7) )).

fof(addAssignmentInitValue_27,axiom,(
    ~ v634(constB0,bitIndex5) )).

fof(addAssignmentInitValue_26,axiom,(
    ~ v634(constB0,bitIndex4) )).

fof(addAssignmentInitValue_25,axiom,(
    ~ v634(constB0,bitIndex2) )).

fof(addAssignmentInitValue_24,axiom,(
    ~ v634(constB0,bitIndex1) )).

fof(bitBlastConstant_516,axiom,(
    ~ bx00x00x00x00(bitIndex10) )).

fof(bitBlastConstant_515,axiom,(
    ~ bx00x00x00x00(bitIndex9) )).

fof(bitBlastConstant_514,axiom,(
    ~ bx00x00x00x00(bitIndex7) )).

fof(bitBlastConstant_513,axiom,(
    ~ bx00x00x00x00(bitIndex6) )).

fof(bitBlastConstant_512,axiom,(
    ~ bx00x00x00x00(bitIndex4) )).

fof(bitBlastConstant_511,axiom,(
    ~ bx00x00x00x00(bitIndex3) )).

fof(bitBlastConstant_510,axiom,(
    ~ bx00x00x00x00(bitIndex1) )).

fof(bitBlastConstant_509,axiom,(
    ~ bx00x00x00x00(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1424,axiom,(
    ! [VarCurr] :
      ( v4856(VarCurr)
    <=> ( v4857(VarCurr)
        | v4858(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1423,axiom,(
    ! [VarCurr] :
      ( v4858(VarCurr)
    <=> ( v4860(VarCurr)
        & v4867(VarCurr) ) ) )).

fof(writeUnaryOperator_654,axiom,(
    ! [VarCurr] :
      ( ~ v4867(VarCurr)
    <=> v4840(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1422,axiom,(
    ! [VarCurr] :
      ( v4860(VarCurr)
    <=> ( v4861(VarCurr)
        & v4866(VarCurr) ) ) )).

fof(writeUnaryOperator_653,axiom,(
    ! [VarCurr] :
      ( ~ v4866(VarCurr)
    <=> v4814(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1421,axiom,(
    ! [VarCurr] :
      ( v4861(VarCurr)
    <=> ( v4862(VarCurr)
        & v4865(VarCurr) ) ) )).

fof(writeUnaryOperator_652,axiom,(
    ! [VarCurr] :
      ( ~ v4865(VarCurr)
    <=> v4800(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1420,axiom,(
    ! [VarCurr] :
      ( v4862(VarCurr)
    <=> ( v4863(VarCurr)
        & v4864(VarCurr) ) ) )).

fof(writeUnaryOperator_651,axiom,(
    ! [VarCurr] :
      ( ~ v4864(VarCurr)
    <=> v637(VarCurr) ) )).

fof(writeUnaryOperator_650,axiom,(
    ! [VarCurr] :
      ( ~ v4863(VarCurr)
    <=> v39(VarCurr) ) )).

fof(addAssignment_894,axiom,(
    ! [VarCurr] :
      ( v4857(VarCurr)
    <=> v39(VarCurr) ) )).

fof(addAssignment_893,axiom,(
    ! [VarCurr] :
      ( v4840(VarCurr)
    <=> v4842(VarCurr) ) )).

fof(addAssignment_892,axiom,(
    ! [VarCurr] :
      ( v4842(VarCurr)
    <=> v4844(VarCurr) ) )).

fof(addAssignment_891,axiom,(
    ! [VarCurr] :
      ( v4844(VarCurr)
    <=> v4846(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_128,axiom,(
    ! [VarCurr] :
      ( ~ v4848(VarCurr)
     => ( v4846(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_130,axiom,(
    ! [VarCurr] :
      ( v4848(VarCurr)
     => ( v4846(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_246,axiom,(
    ! [VarCurr] :
      ( v4848(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $true )
        & ( v2660(VarCurr,bitIndex4)
        <=> $true )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $true )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1419,axiom,(
    ! [VarCurr] :
      ( v4814(VarCurr)
    <=> ( v4816(VarCurr)
        | v4824(VarCurr) ) ) )).

fof(addAssignment_890,axiom,(
    ! [VarCurr] :
      ( v4824(VarCurr)
    <=> v4826(VarCurr) ) )).

fof(addAssignment_889,axiom,(
    ! [VarCurr] :
      ( v4826(VarCurr)
    <=> v4828(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_127,axiom,(
    ! [VarCurr] :
      ( ~ v4830(VarCurr)
     => ( v4828(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_129,axiom,(
    ! [VarCurr] :
      ( v4830(VarCurr)
     => ( v4828(VarCurr)
      <=> v4837(VarCurr) ) ) )).

fof(writeUnaryOperator_649,axiom,(
    ! [VarCurr] :
      ( ~ v4837(VarCurr)
    <=> v2704(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1418,axiom,(
    ! [VarCurr] :
      ( v4830(VarCurr)
    <=> ( v4831(VarCurr)
        | v4836(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_245,axiom,(
    ! [VarCurr] :
      ( v4836(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $true )
        & ( v2660(VarCurr,bitIndex4)
        <=> $true )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1417,axiom,(
    ! [VarCurr] :
      ( v4831(VarCurr)
    <=> ( v4832(VarCurr)
        | v4835(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_244,axiom,(
    ! [VarCurr] :
      ( v4835(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $true )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1416,axiom,(
    ! [VarCurr] :
      ( v4832(VarCurr)
    <=> ( v4833(VarCurr)
        | v4834(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_243,axiom,(
    ! [VarCurr] :
      ( v4834(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $true )
        & ( v2660(VarCurr,bitIndex4)
        <=> $true )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_242,axiom,(
    ! [VarCurr] :
      ( v4833(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $true )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1415,axiom,(
    ! [VarCurr] :
      ( v4816(VarCurr)
    <=> ( v4818(VarCurr)
        & v4822(VarCurr) ) ) )).

fof(writeUnaryOperator_648,axiom,(
    ! [VarCurr] :
      ( ~ v4822(VarCurr)
    <=> v4820(VarCurr) ) )).

fof(addAssignment_888,axiom,(
    ! [VarCurr] :
      ( v4820(VarCurr)
    <=> v2715(VarCurr) ) )).

fof(addAssignment_887,axiom,(
    ! [VarCurr] :
      ( v4818(VarCurr)
    <=> v2700(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1414,axiom,(
    ! [VarCurr] :
      ( v4800(VarCurr)
    <=> ( v4802(VarCurr)
        & v4812(VarCurr) ) ) )).

fof(writeUnaryOperator_647,axiom,(
    ! [VarCurr] :
      ( ~ v4812(VarCurr)
    <=> v2667(VarCurr) ) )).

fof(addAssignment_886,axiom,(
    ! [VarCurr] :
      ( v4802(VarCurr)
    <=> v4804(VarCurr) ) )).

fof(addAssignment_885,axiom,(
    ! [VarCurr] :
      ( v4804(VarCurr)
    <=> v4806(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_126,axiom,(
    ! [VarCurr] :
      ( ~ v4808(VarCurr)
     => ( v4806(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_128,axiom,(
    ! [VarCurr] :
      ( v4808(VarCurr)
     => ( v4806(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1413,axiom,(
    ! [VarCurr] :
      ( v4808(VarCurr)
    <=> ( v4809(VarCurr)
        & v4810(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_241,axiom,(
    ! [VarCurr] :
      ( v4810(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $true )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeUnaryOperator_646,axiom,(
    ! [VarCurr] :
      ( ~ v4809(VarCurr)
    <=> v645(VarCurr) ) )).

fof(addAssignment_884,axiom,(
    ! [VarCurr] :
      ( v4798(VarCurr)
    <=> v2729(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_10,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v4785(VarCurr,B)
      <=> ( v2733(VarCurr,B)
          & v4790(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_645,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v4790(VarCurr,B)
      <=> ~ v4787(VarCurr,B) ) ) )).

fof(writeBinaryOperatorShiftedRanges_342,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex1)
    <=> ( v4787(VarCurr,bitIndex0)
        | v2733(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_341,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex2)
    <=> ( v4787(VarCurr,bitIndex1)
        | v2733(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_340,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex3)
    <=> ( v4787(VarCurr,bitIndex2)
        | v2733(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_339,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex4)
    <=> ( v4787(VarCurr,bitIndex3)
        | v2733(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_338,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex5)
    <=> ( v4787(VarCurr,bitIndex4)
        | v2733(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_337,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex6)
    <=> ( v4787(VarCurr,bitIndex5)
        | v2733(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_336,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex7)
    <=> ( v4787(VarCurr,bitIndex6)
        | v2733(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_335,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex8)
    <=> ( v4787(VarCurr,bitIndex7)
        | v2733(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_334,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex9)
    <=> ( v4787(VarCurr,bitIndex8)
        | v2733(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_333,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex10)
    <=> ( v4787(VarCurr,bitIndex9)
        | v2733(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_332,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex11)
    <=> ( v4787(VarCurr,bitIndex10)
        | v2733(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_331,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex12)
    <=> ( v4787(VarCurr,bitIndex11)
        | v2733(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_330,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex13)
    <=> ( v4787(VarCurr,bitIndex12)
        | v2733(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_329,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex14)
    <=> ( v4787(VarCurr,bitIndex13)
        | v2733(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_328,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex15)
    <=> ( v4787(VarCurr,bitIndex14)
        | v2733(VarCurr,bitIndex14) ) ) )).

fof(addAssignmentInitValueVector_27,axiom,(
    ! [B] :
      ( range_15_0(B)
     => ( v2733(constB0,B)
      <=> $true ) ) )).

fof(bitBlastConstant_508,axiom,(
    b1111111111111111(bitIndex15) )).

fof(bitBlastConstant_507,axiom,(
    b1111111111111111(bitIndex14) )).

fof(bitBlastConstant_506,axiom,(
    b1111111111111111(bitIndex13) )).

fof(bitBlastConstant_505,axiom,(
    b1111111111111111(bitIndex12) )).

fof(bitBlastConstant_504,axiom,(
    b1111111111111111(bitIndex11) )).

fof(bitBlastConstant_503,axiom,(
    b1111111111111111(bitIndex10) )).

fof(bitBlastConstant_502,axiom,(
    b1111111111111111(bitIndex9) )).

fof(bitBlastConstant_501,axiom,(
    b1111111111111111(bitIndex8) )).

fof(bitBlastConstant_500,axiom,(
    b1111111111111111(bitIndex7) )).

fof(bitBlastConstant_499,axiom,(
    b1111111111111111(bitIndex6) )).

fof(bitBlastConstant_498,axiom,(
    b1111111111111111(bitIndex5) )).

fof(bitBlastConstant_497,axiom,(
    b1111111111111111(bitIndex4) )).

fof(bitBlastConstant_496,axiom,(
    b1111111111111111(bitIndex3) )).

fof(bitBlastConstant_495,axiom,(
    b1111111111111111(bitIndex2) )).

fof(bitBlastConstant_494,axiom,(
    b1111111111111111(bitIndex1) )).

fof(bitBlastConstant_493,axiom,(
    b1111111111111111(bitIndex0) )).

fof(addAssignment_883,axiom,(
    ! [VarCurr] :
      ( v4787(VarCurr,bitIndex0)
    <=> $false ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_9,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v2740(VarCurr,B)
      <=> ( v2742(VarCurr,B)
          | v2802(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_8,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v2802(VarCurr,B)
      <=> ( v2804(VarCurr,B)
          & v4779(VarCurr,B) ) ) ) )).

fof(addAssignment_882,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex0)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_881,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex1)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_880,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex2)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_879,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex3)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_878,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex4)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_877,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex5)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_876,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex6)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_875,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex7)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_874,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex8)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_873,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex9)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_872,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex10)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_871,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex11)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_870,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex12)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_869,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex13)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_868,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex14)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_867,axiom,(
    ! [VarCurr] :
      ( v4779(VarCurr,bitIndex15)
    <=> v4780(VarCurr) ) )).

fof(addAssignment_866,axiom,(
    ! [VarCurr] :
      ( v4780(VarCurr)
    <=> v4754(VarCurr) ) )).

fof(addAssignment_865,axiom,(
    ! [VarCurr] :
      ( v4754(VarCurr)
    <=> v4756(VarCurr) ) )).

fof(addAssignment_864,axiom,(
    ! [VarCurr] :
      ( v4756(VarCurr)
    <=> v4758(VarCurr) ) )).

fof(addAssignment_863,axiom,(
    ! [VarCurr] :
      ( v4758(VarCurr)
    <=> v4760(VarCurr) ) )).

fof(addAssignment_862,axiom,(
    ! [VarCurr] :
      ( v4760(VarCurr)
    <=> v4762(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_47,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4765(VarNext)
       => ( v4762(VarNext)
        <=> v4762(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_52,axiom,(
    ! [VarNext] :
      ( v4765(VarNext)
     => ( v4762(VarNext)
      <=> v4773(VarNext) ) ) )).

fof(addAssignment_861,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4773(VarNext)
      <=> v4771(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_125,axiom,(
    ! [VarCurr] :
      ( ~ v4774(VarCurr)
     => ( v4771(VarCurr)
      <=> v4775(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_127,axiom,(
    ! [VarCurr] :
      ( v4774(VarCurr)
     => ( v4771(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_124,axiom,(
    ! [VarCurr] :
      ( ~ v2898(VarCurr)
     => ( v4775(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_126,axiom,(
    ! [VarCurr] :
      ( v2898(VarCurr)
     => ( v4775(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_644,axiom,(
    ! [VarCurr] :
      ( ~ v4774(VarCurr)
    <=> v3194(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1412,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4765(VarNext)
      <=> v4766(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1411,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4766(VarNext)
      <=> ( v4767(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_643,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4767(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_41,axiom,(
    ! [VarCurr] :
      ( ~ v4752(VarCurr)
     => ( v2804(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_39,axiom,(
    ! [VarCurr] :
      ( v4752(VarCurr)
     => ( v2804(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_240,axiom,(
    ! [VarCurr] :
      ( v4752(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_40,axiom,(
    ! [VarCurr] :
      ( ~ v4750(VarCurr)
     => ( v2804(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_38,axiom,(
    ! [VarCurr] :
      ( v4750(VarCurr)
     => ( v2804(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_239,axiom,(
    ! [VarCurr] :
      ( v4750(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_39,axiom,(
    ! [VarCurr] :
      ( ~ v4748(VarCurr)
     => ( v2804(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_37,axiom,(
    ! [VarCurr] :
      ( v4748(VarCurr)
     => ( v2804(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_238,axiom,(
    ! [VarCurr] :
      ( v4748(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_38,axiom,(
    ! [VarCurr] :
      ( ~ v4746(VarCurr)
     => ( v2804(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_36,axiom,(
    ! [VarCurr] :
      ( v4746(VarCurr)
     => ( v2804(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_237,axiom,(
    ! [VarCurr] :
      ( v4746(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_37,axiom,(
    ! [VarCurr] :
      ( ~ v4744(VarCurr)
     => ( v2804(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_35,axiom,(
    ! [VarCurr] :
      ( v4744(VarCurr)
     => ( v2804(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_236,axiom,(
    ! [VarCurr] :
      ( v4744(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_36,axiom,(
    ! [VarCurr] :
      ( ~ v4742(VarCurr)
     => ( v2804(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_34,axiom,(
    ! [VarCurr] :
      ( v4742(VarCurr)
     => ( v2804(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_235,axiom,(
    ! [VarCurr] :
      ( v4742(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_35,axiom,(
    ! [VarCurr] :
      ( ~ v4740(VarCurr)
     => ( v2804(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_33,axiom,(
    ! [VarCurr] :
      ( v4740(VarCurr)
     => ( v2804(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_234,axiom,(
    ! [VarCurr] :
      ( v4740(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_34,axiom,(
    ! [VarCurr] :
      ( ~ v4738(VarCurr)
     => ( v2804(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_32,axiom,(
    ! [VarCurr] :
      ( v4738(VarCurr)
     => ( v2804(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_233,axiom,(
    ! [VarCurr] :
      ( v4738(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $true )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_33,axiom,(
    ! [VarCurr] :
      ( ~ v4736(VarCurr)
     => ( v2804(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_31,axiom,(
    ! [VarCurr] :
      ( v4736(VarCurr)
     => ( v2804(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_232,axiom,(
    ! [VarCurr] :
      ( v4736(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_32,axiom,(
    ! [VarCurr] :
      ( ~ v4734(VarCurr)
     => ( v2804(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_30,axiom,(
    ! [VarCurr] :
      ( v4734(VarCurr)
     => ( v2804(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_231,axiom,(
    ! [VarCurr] :
      ( v4734(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_31,axiom,(
    ! [VarCurr] :
      ( ~ v4732(VarCurr)
     => ( v2804(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_29,axiom,(
    ! [VarCurr] :
      ( v4732(VarCurr)
     => ( v2804(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_230,axiom,(
    ! [VarCurr] :
      ( v4732(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_30,axiom,(
    ! [VarCurr] :
      ( ~ v4730(VarCurr)
     => ( v2804(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_28,axiom,(
    ! [VarCurr] :
      ( v4730(VarCurr)
     => ( v2804(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_229,axiom,(
    ! [VarCurr] :
      ( v4730(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $true )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_29,axiom,(
    ! [VarCurr] :
      ( ~ v4728(VarCurr)
     => ( v2804(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_27,axiom,(
    ! [VarCurr] :
      ( v4728(VarCurr)
     => ( v2804(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_228,axiom,(
    ! [VarCurr] :
      ( v4728(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_28,axiom,(
    ! [VarCurr] :
      ( ~ v4726(VarCurr)
     => ( v2804(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_26,axiom,(
    ! [VarCurr] :
      ( v4726(VarCurr)
     => ( v2804(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_227,axiom,(
    ! [VarCurr] :
      ( v4726(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $true )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_27,axiom,(
    ! [VarCurr] :
      ( ~ v4724(VarCurr)
     => ( v2804(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_25,axiom,(
    ! [VarCurr] :
      ( v4724(VarCurr)
     => ( v2804(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_226,axiom,(
    ! [VarCurr] :
      ( v4724(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_123,axiom,(
    ! [VarCurr] :
      ( ~ v4722(VarCurr)
     => ( v2804(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_125,axiom,(
    ! [VarCurr] :
      ( v4722(VarCurr)
     => ( v2804(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_225,axiom,(
    ! [VarCurr] :
      ( v4722(VarCurr)
    <=> ( ( v2806(VarCurr,bitIndex3)
        <=> $false )
        & ( v2806(VarCurr,bitIndex2)
        <=> $false )
        & ( v2806(VarCurr,bitIndex1)
        <=> $false )
        & ( v2806(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_860,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2806(VarCurr,B)
      <=> v2808(VarCurr,B) ) ) )).

fof(addAssignment_859,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2808(VarCurr,B)
      <=> v2810(VarCurr,B) ) ) )).

fof(addAssignment_858,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2810(VarCurr,B)
      <=> v2812(VarCurr,B) ) ) )).

fof(addAssignment_857,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2812(VarCurr,B)
      <=> v2814(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_46,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4707(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v2814(VarNext,B)
            <=> v2814(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_51,axiom,(
    ! [VarNext] :
      ( v4707(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2814(VarNext,B)
          <=> v4717(VarNext,B) ) ) ) )).

fof(addAssignment_856,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v4717(VarNext,B)
          <=> v4715(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_122,axiom,(
    ! [VarCurr] :
      ( ~ v4718(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v4715(VarCurr,B)
          <=> v2820(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_124,axiom,(
    ! [VarCurr] :
      ( v4718(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v4715(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_642,axiom,(
    ! [VarCurr] :
      ( ~ v4718(VarCurr)
    <=> v2816(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1410,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4707(VarNext)
      <=> v4708(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1409,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4708(VarNext)
      <=> ( v4709(VarNext)
          & v4704(VarNext) ) ) ) )).

fof(writeUnaryOperator_641,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4709(VarNext)
      <=> v4711(VarNext) ) ) )).

fof(addAssignment_855,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4711(VarNext)
      <=> v4704(VarCurr) ) ) )).

fof(addAssignment_854,axiom,(
    ! [VarCurr] :
      ( v4704(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addAssignment_853,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2820(VarCurr,B)
      <=> v2822(VarCurr,B) ) ) )).

fof(addAssignment_852,axiom,(
    ! [VarCurr] :
      ( ( v2822(VarCurr,bitIndex3)
      <=> v2824(VarCurr,bitIndex14) )
      & ( v2822(VarCurr,bitIndex2)
      <=> v2824(VarCurr,bitIndex13) )
      & ( v2822(VarCurr,bitIndex1)
      <=> v2824(VarCurr,bitIndex12) )
      & ( v2822(VarCurr,bitIndex0)
      <=> v2824(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_851,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v2824(VarCurr,B)
      <=> v2826(VarCurr,B) ) ) )).

fof(addAssignment_850,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v2826(VarCurr,B)
      <=> v2828(VarCurr,B) ) ) )).

fof(addAssignment_849,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v2828(VarCurr,B)
      <=> v2888(VarCurr,B) ) ) )).

fof(range_axiom_23,axiom,(
    ! [B] :
      ( range_14_11(B)
    <=> ( $false
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B ) ) )).

fof(addCaseBooleanConditionEqualRanges1_45,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4691(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v2890(VarNext,B)
            <=> v2890(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_50,axiom,(
    ! [VarNext] :
      ( v4691(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2890(VarNext,B)
          <=> v4699(VarNext,B) ) ) ) )).

fof(addAssignment_848,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v4699(VarNext,B)
          <=> v4697(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_121,axiom,(
    ! [VarCurr] :
      ( ~ v4700(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v4697(VarCurr,B)
          <=> v2892(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_123,axiom,(
    ! [VarCurr] :
      ( v4700(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v4697(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_640,axiom,(
    ! [VarCurr] :
      ( ~ v4700(VarCurr)
    <=> v2837(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1408,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4691(VarNext)
      <=> v4692(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1407,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4692(VarNext)
      <=> ( v4693(VarNext)
          & v2832(VarNext) ) ) ) )).

fof(writeUnaryOperator_639,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4693(VarNext)
      <=> v2870(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_120,axiom,(
    ! [VarCurr] :
      ( ~ v2894(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2892(VarCurr,B)
          <=> v2890(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_122,axiom,(
    ! [VarCurr] :
      ( v2894(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2892(VarCurr,B)
          <=> v4668(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_119,axiom,(
    ! [VarCurr] :
      ( ~ v4669(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v4668(VarCurr,B)
          <=> v4670(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_121,axiom,(
    ! [VarCurr] :
      ( v4669(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v4668(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_847,axiom,(
    ! [VarCurr] :
      ( v4670(VarCurr,bitIndex0)
    <=> v4686(VarCurr) ) )).

fof(addAssignment_846,axiom,(
    ! [VarCurr] :
      ( v4670(VarCurr,bitIndex1)
    <=> v4684(VarCurr) ) )).

fof(addAssignment_845,axiom,(
    ! [VarCurr] :
      ( v4670(VarCurr,bitIndex2)
    <=> v4679(VarCurr) ) )).

fof(addAssignment_844,axiom,(
    ! [VarCurr] :
      ( v4670(VarCurr,bitIndex3)
    <=> v4672(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1406,axiom,(
    ! [VarCurr] :
      ( v4684(VarCurr)
    <=> ( v4685(VarCurr)
        & v4688(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_327,axiom,(
    ! [VarCurr] :
      ( v4688(VarCurr)
    <=> ( v2890(VarCurr,bitIndex0)
        | v2890(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1405,axiom,(
    ! [VarCurr] :
      ( v4685(VarCurr)
    <=> ( v4686(VarCurr)
        | v4687(VarCurr) ) ) )).

fof(writeUnaryOperator_638,axiom,(
    ! [VarCurr] :
      ( ~ v4687(VarCurr)
    <=> v2890(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_637,axiom,(
    ! [VarCurr] :
      ( ~ v4686(VarCurr)
    <=> v2890(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1404,axiom,(
    ! [VarCurr] :
      ( v4679(VarCurr)
    <=> ( v4680(VarCurr)
        & v4683(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_326,axiom,(
    ! [VarCurr] :
      ( v4683(VarCurr)
    <=> ( v4676(VarCurr)
        | v2890(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1403,axiom,(
    ! [VarCurr] :
      ( v4680(VarCurr)
    <=> ( v4681(VarCurr)
        | v4682(VarCurr) ) ) )).

fof(writeUnaryOperator_636,axiom,(
    ! [VarCurr] :
      ( ~ v4682(VarCurr)
    <=> v2890(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_635,axiom,(
    ! [VarCurr] :
      ( ~ v4681(VarCurr)
    <=> v4676(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1402,axiom,(
    ! [VarCurr] :
      ( v4672(VarCurr)
    <=> ( v4673(VarCurr)
        & v4678(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_325,axiom,(
    ! [VarCurr] :
      ( v4678(VarCurr)
    <=> ( v4675(VarCurr)
        | v2890(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1401,axiom,(
    ! [VarCurr] :
      ( v4673(VarCurr)
    <=> ( v4674(VarCurr)
        | v4677(VarCurr) ) ) )).

fof(writeUnaryOperator_634,axiom,(
    ! [VarCurr] :
      ( ~ v4677(VarCurr)
    <=> v2890(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_633,axiom,(
    ! [VarCurr] :
      ( ~ v4674(VarCurr)
    <=> v4675(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_324,axiom,(
    ! [VarCurr] :
      ( v4675(VarCurr)
    <=> ( v4676(VarCurr)
        & v2890(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_323,axiom,(
    ! [VarCurr] :
      ( v4676(VarCurr)
    <=> ( v2890(VarCurr,bitIndex0)
        & v2890(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_224,axiom,(
    ! [VarCurr] :
      ( v4669(VarCurr)
    <=> ( ( v2890(VarCurr,bitIndex3)
        <=> $true )
        & ( v2890(VarCurr,bitIndex2)
        <=> $true )
        & ( v2890(VarCurr,bitIndex1)
        <=> $true )
        & ( v2890(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_843,axiom,(
    ! [VarCurr] :
      ( v2894(VarCurr)
    <=> v2896(VarCurr) ) )).

fof(addAssignment_842,axiom,(
    ! [VarCurr] :
      ( v2896(VarCurr)
    <=> v2898(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1400,axiom,(
    ! [VarCurr] :
      ( v2898(VarCurr)
    <=> ( v4665(VarCurr)
        | v4663(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1399,axiom,(
    ! [VarCurr] :
      ( v4665(VarCurr)
    <=> ( v4666(VarCurr)
        | v3042(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1398,axiom,(
    ! [VarCurr] :
      ( v4666(VarCurr)
    <=> ( v2900(VarCurr)
        | v3021(VarCurr) ) ) )).

fof(addAssignment_841,axiom,(
    ! [VarCurr] :
      ( v4663(VarCurr)
    <=> v3192(VarCurr,bitIndex1) ) )).

fof(addAssignment_840,axiom,(
    ! [VarCurr] :
      ( v3042(VarCurr)
    <=> v3044(VarCurr,bitIndex3) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_26,axiom,(
    ! [VarCurr] :
      ( ~ v4651(VarCurr)
     => ( v3044(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_24,axiom,(
    ! [VarCurr] :
      ( v4651(VarCurr)
     => ( v3044(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1397,axiom,(
    ! [VarCurr] :
      ( v4651(VarCurr)
    <=> ( v4652(VarCurr)
        | v4660(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1396,axiom,(
    ! [VarCurr] :
      ( v4660(VarCurr)
    <=> ( v4661(VarCurr)
        & v4584(VarCurr) ) ) )).

fof(writeUnaryOperator_632,axiom,(
    ! [VarCurr] :
      ( ~ v4661(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1395,axiom,(
    ! [VarCurr] :
      ( v4652(VarCurr)
    <=> ( v4653(VarCurr)
        | v4658(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1394,axiom,(
    ! [VarCurr] :
      ( v4658(VarCurr)
    <=> ( v4659(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1393,axiom,(
    ! [VarCurr] :
      ( v4659(VarCurr)
    <=> ( v4582(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1392,axiom,(
    ! [VarCurr] :
      ( v4653(VarCurr)
    <=> ( v4654(VarCurr)
        | v4656(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1391,axiom,(
    ! [VarCurr] :
      ( v4656(VarCurr)
    <=> ( v4657(VarCurr)
        & v3424(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1390,axiom,(
    ! [VarCurr] :
      ( v4657(VarCurr)
    <=> ( v4582(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1389,axiom,(
    ! [VarCurr] :
      ( v4654(VarCurr)
    <=> ( v4655(VarCurr)
        & v3408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1388,axiom,(
    ! [VarCurr] :
      ( v4655(VarCurr)
    <=> ( v4582(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(addAssignment_839,axiom,(
    ! [VarCurr] :
      ( v3146(VarCurr)
    <=> v3148(VarCurr) ) )).

fof(addAssignment_838,axiom,(
    ! [VarCurr] :
      ( v3148(VarCurr)
    <=> v3150(VarCurr,bitIndex0) ) )).

fof(addAssignment_837,axiom,(
    ! [VarCurr] :
      ( v3150(VarCurr,bitIndex0)
    <=> v3214(VarCurr,bitIndex0) ) )).

fof(addAssignment_836,axiom,(
    ! [VarCurr] :
      ( v3208(VarCurr,bitIndex0)
    <=> v3212(VarCurr,bitIndex0) ) )).

fof(addAssignment_835,axiom,(
    ! [VarCurr] :
      ( v3201(VarCurr,bitIndex0)
    <=> v3205(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_631,axiom,(
    ! [VarCurr] :
      ( ~ v3152(VarCurr)
    <=> v4649(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_322,axiom,(
    ! [VarCurr] :
      ( v4649(VarCurr)
    <=> ( v4611(VarCurr)
        | v3154(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_7,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v3154(VarCurr,B)
      <=> ( v3156(VarCurr,B)
          & v4480(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_44,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4624(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v4480(VarNext,B)
            <=> v4480(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_49,axiom,(
    ! [VarNext] :
      ( v4624(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v4480(VarNext,B)
          <=> v4643(VarNext,B) ) ) ) )).

fof(addAssignment_834,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v4643(VarNext,B)
          <=> v4641(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_55,axiom,(
    ! [VarCurr] :
      ( ~ v4635(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4641(VarCurr,B)
          <=> v4644(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_55,axiom,(
    ! [VarCurr] :
      ( v4635(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4641(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_54,axiom,(
    ! [VarCurr] :
      ( ~ v4485(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4644(VarCurr,B)
          <=> v3203(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_54,axiom,(
    ! [VarCurr] :
      ( v4485(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v4644(VarCurr,B)
          <=> v3210(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1387,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4624(VarNext)
      <=> ( v4625(VarNext)
          & v4634(VarNext) ) ) ) )).

fof(addAssignment_833,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4634(VarNext)
      <=> v4632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1386,axiom,(
    ! [VarCurr] :
      ( v4632(VarCurr)
    <=> ( v4635(VarCurr)
        | v4636(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1385,axiom,(
    ! [VarCurr] :
      ( v4636(VarCurr)
    <=> ( v4637(VarCurr)
        & v4640(VarCurr) ) ) )).

fof(writeUnaryOperator_630,axiom,(
    ! [VarCurr] :
      ( ~ v4640(VarCurr)
    <=> v4635(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1384,axiom,(
    ! [VarCurr] :
      ( v4637(VarCurr)
    <=> ( v4485(VarCurr)
        | v4638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1383,axiom,(
    ! [VarCurr] :
      ( v4638(VarCurr)
    <=> ( v4614(VarCurr)
        & v4639(VarCurr) ) ) )).

fof(writeUnaryOperator_629,axiom,(
    ! [VarCurr] :
      ( ~ v4639(VarCurr)
    <=> v4485(VarCurr) ) )).

fof(writeUnaryOperator_628,axiom,(
    ! [VarCurr] :
      ( ~ v4635(VarCurr)
    <=> v4482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1382,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4625(VarNext)
      <=> ( v4626(VarNext)
          & v4621(VarNext) ) ) ) )).

fof(writeUnaryOperator_627,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4626(VarNext)
      <=> v4628(VarNext) ) ) )).

fof(addAssignment_832,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4628(VarNext)
      <=> v4621(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_26,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v4480(constB0,B)
      <=> $true ) ) )).

fof(bitBlastConstant_492,axiom,(
    b111(bitIndex2) )).

fof(bitBlastConstant_491,axiom,(
    b111(bitIndex1) )).

fof(bitBlastConstant_490,axiom,(
    b111(bitIndex0) )).

fof(addAssignment_831,axiom,(
    ! [VarCurr] :
      ( v4621(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1381,axiom,(
    ! [VarCurr] :
      ( v4614(VarCurr)
    <=> ( v4616(VarCurr)
        & v4619(VarCurr) ) ) )).

fof(writeUnaryOperator_626,axiom,(
    ! [VarCurr] :
      ( ~ v4619(VarCurr)
    <=> v4487(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_321,axiom,(
    ! [VarCurr] :
      ( v4616(VarCurr)
    <=> ( v4618(VarCurr)
        | v3156(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_320,axiom,(
    ! [VarCurr] :
      ( v4618(VarCurr)
    <=> ( v3156(VarCurr,bitIndex0)
        | v3156(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1380,axiom,(
    ! [VarCurr] :
      ( v4485(VarCurr)
    <=> ( v4609(VarCurr)
        & v4612(VarCurr) ) ) )).

fof(writeUnaryOperator_625,axiom,(
    ! [VarCurr] :
      ( ~ v4612(VarCurr)
    <=> v4487(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_319,axiom,(
    ! [VarCurr] :
      ( v4609(VarCurr)
    <=> ( v4611(VarCurr)
        | v3154(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_318,axiom,(
    ! [VarCurr] :
      ( v4611(VarCurr)
    <=> ( v3154(VarCurr,bitIndex0)
        | v3154(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_830,axiom,(
    ! [VarCurr] :
      ( v4487(VarCurr)
    <=> v4489(VarCurr) ) )).

fof(addAssignment_829,axiom,(
    ! [VarCurr] :
      ( v4489(VarCurr)
    <=> v4491(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1379,axiom,(
    ! [VarCurr] :
      ( v4491(VarCurr)
    <=> ( v4603(VarCurr)
        | v3046(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_317,axiom,(
    ! [VarCurr] :
      ( v4603(VarCurr)
    <=> ( v4604(VarCurr)
        | v3044(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_316,axiom,(
    ! [VarCurr] :
      ( v4604(VarCurr)
    <=> ( v4605(VarCurr)
        | v3044(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_315,axiom,(
    ! [VarCurr] :
      ( v4605(VarCurr)
    <=> ( v4606(VarCurr)
        | v3044(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_314,axiom,(
    ! [VarCurr] :
      ( v4606(VarCurr)
    <=> ( v4607(VarCurr)
        | v3044(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_313,axiom,(
    ! [VarCurr] :
      ( v4607(VarCurr)
    <=> ( v3044(VarCurr,bitIndex2)
        | v3044(VarCurr,bitIndex5) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_25,axiom,(
    ! [VarCurr] :
      ( ~ v4587(VarCurr)
     => ( v3044(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_23,axiom,(
    ! [VarCurr] :
      ( v4587(VarCurr)
     => ( v3044(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1378,axiom,(
    ! [VarCurr] :
      ( v4587(VarCurr)
    <=> ( v4588(VarCurr)
        | v4601(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1377,axiom,(
    ! [VarCurr] :
      ( v4601(VarCurr)
    <=> ( v3046(VarCurr)
        & v3477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1376,axiom,(
    ! [VarCurr] :
      ( v4588(VarCurr)
    <=> ( v4589(VarCurr)
        | v4599(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1375,axiom,(
    ! [VarCurr] :
      ( v4599(VarCurr)
    <=> ( v4600(VarCurr)
        & v3446(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1374,axiom,(
    ! [VarCurr] :
      ( v4600(VarCurr)
    <=> ( v3467(VarCurr)
        & v3470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1373,axiom,(
    ! [VarCurr] :
      ( v4589(VarCurr)
    <=> ( v4590(VarCurr)
        | v4597(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1372,axiom,(
    ! [VarCurr] :
      ( v4597(VarCurr)
    <=> ( v4598(VarCurr)
        & v3441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1371,axiom,(
    ! [VarCurr] :
      ( v4598(VarCurr)
    <=> ( v4594(VarCurr)
        & v3470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1370,axiom,(
    ! [VarCurr] :
      ( v4590(VarCurr)
    <=> ( v4591(VarCurr)
        | v4595(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1369,axiom,(
    ! [VarCurr] :
      ( v4595(VarCurr)
    <=> ( v4596(VarCurr)
        & v3429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1368,axiom,(
    ! [VarCurr] :
      ( v4596(VarCurr)
    <=> ( v4594(VarCurr)
        & v3470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1367,axiom,(
    ! [VarCurr] :
      ( v4591(VarCurr)
    <=> ( v4592(VarCurr)
        & v3417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1366,axiom,(
    ! [VarCurr] :
      ( v4592(VarCurr)
    <=> ( v4594(VarCurr)
        & v3470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1365,axiom,(
    ! [VarCurr] :
      ( v4594(VarCurr)
    <=> ( v3467(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_24,axiom,(
    ! [VarCurr] :
      ( ~ v4567(VarCurr)
     => ( v3044(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_22,axiom,(
    ! [VarCurr] :
      ( v4567(VarCurr)
     => ( v3044(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1364,axiom,(
    ! [VarCurr] :
      ( v4567(VarCurr)
    <=> ( v4568(VarCurr)
        | v4583(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1363,axiom,(
    ! [VarCurr] :
      ( v4583(VarCurr)
    <=> ( v3046(VarCurr)
        & v4584(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_223,axiom,(
    ! [VarCurr] :
      ( v4584(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1362,axiom,(
    ! [VarCurr] :
      ( v4568(VarCurr)
    <=> ( v4569(VarCurr)
        | v4579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1361,axiom,(
    ! [VarCurr] :
      ( v4579(VarCurr)
    <=> ( v4580(VarCurr)
        & v3446(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1360,axiom,(
    ! [VarCurr] :
      ( v4580(VarCurr)
    <=> ( v4582(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1359,axiom,(
    ! [VarCurr] :
      ( v4582(VarCurr)
    <=> ( v3403(VarCurr)
        & v3226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1358,axiom,(
    ! [VarCurr] :
      ( v4569(VarCurr)
    <=> ( v4570(VarCurr)
        | v4577(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1357,axiom,(
    ! [VarCurr] :
      ( v4577(VarCurr)
    <=> ( v4578(VarCurr)
        & v3441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1356,axiom,(
    ! [VarCurr] :
      ( v4578(VarCurr)
    <=> ( v4574(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1355,axiom,(
    ! [VarCurr] :
      ( v4570(VarCurr)
    <=> ( v4571(VarCurr)
        | v4575(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1354,axiom,(
    ! [VarCurr] :
      ( v4575(VarCurr)
    <=> ( v4576(VarCurr)
        & v3429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1353,axiom,(
    ! [VarCurr] :
      ( v4576(VarCurr)
    <=> ( v4574(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1352,axiom,(
    ! [VarCurr] :
      ( v4571(VarCurr)
    <=> ( v4572(VarCurr)
        & v3417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1351,axiom,(
    ! [VarCurr] :
      ( v4572(VarCurr)
    <=> ( v4574(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1350,axiom,(
    ! [VarCurr] :
      ( v4574(VarCurr)
    <=> ( v3416(VarCurr)
        & v3226(VarCurr) ) ) )).

fof(addAssignment_828,axiom,(
    ! [VarNext] :
      ( v3192(VarNext,bitIndex10)
    <=> v4559(VarNext,bitIndex9) ) )).

fof(addCaseBooleanConditionShiftedRanges1_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4560(VarNext)
       => ( ( v4559(VarNext,bitIndex10)
          <=> v3192(VarCurr,bitIndex11) )
          & ( v4559(VarNext,bitIndex9)
          <=> v3192(VarCurr,bitIndex10) )
          & ( v4559(VarNext,bitIndex8)
          <=> v3192(VarCurr,bitIndex9) )
          & ( v4559(VarNext,bitIndex7)
          <=> v3192(VarCurr,bitIndex8) )
          & ( v4559(VarNext,bitIndex6)
          <=> v3192(VarCurr,bitIndex7) )
          & ( v4559(VarNext,bitIndex5)
          <=> v3192(VarCurr,bitIndex6) )
          & ( v4559(VarNext,bitIndex4)
          <=> v3192(VarCurr,bitIndex5) )
          & ( v4559(VarNext,bitIndex3)
          <=> v3192(VarCurr,bitIndex4) )
          & ( v4559(VarNext,bitIndex2)
          <=> v3192(VarCurr,bitIndex3) )
          & ( v4559(VarNext,bitIndex1)
          <=> v3192(VarCurr,bitIndex2) )
          & ( v4559(VarNext,bitIndex0)
          <=> v3192(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_48,axiom,(
    ! [VarNext] :
      ( v4560(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v4559(VarNext,B)
          <=> v3369(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1349,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4560(VarNext)
      <=> v4561(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1348,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4561(VarNext)
      <=> ( v4563(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_624,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4563(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_23,axiom,(
    ! [VarCurr] :
      ( ~ v4544(VarCurr)
     => ( v3044(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_21,axiom,(
    ! [VarCurr] :
      ( v4544(VarCurr)
     => ( v3044(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1347,axiom,(
    ! [VarCurr] :
      ( v4544(VarCurr)
    <=> ( v4545(VarCurr)
        | v4554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1346,axiom,(
    ! [VarCurr] :
      ( v4554(VarCurr)
    <=> ( v4555(VarCurr)
        & v3446(VarCurr) ) ) )).

fof(addAssignment_827,axiom,(
    ! [VarCurr] :
      ( v4555(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1345,axiom,(
    ! [VarCurr] :
      ( v4545(VarCurr)
    <=> ( v4546(VarCurr)
        | v4552(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1344,axiom,(
    ! [VarCurr] :
      ( v4552(VarCurr)
    <=> ( v4553(VarCurr)
        & v3441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1343,axiom,(
    ! [VarCurr] :
      ( v4553(VarCurr)
    <=> ( v3046(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1342,axiom,(
    ! [VarCurr] :
      ( v4546(VarCurr)
    <=> ( v4547(VarCurr)
        | v4550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1341,axiom,(
    ! [VarCurr] :
      ( v4550(VarCurr)
    <=> ( v4551(VarCurr)
        & v3429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1340,axiom,(
    ! [VarCurr] :
      ( v4551(VarCurr)
    <=> ( v3046(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1339,axiom,(
    ! [VarCurr] :
      ( v4547(VarCurr)
    <=> ( v4548(VarCurr)
        & v3417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1338,axiom,(
    ! [VarCurr] :
      ( v4548(VarCurr)
    <=> ( v3046(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_22,axiom,(
    ! [VarCurr] :
      ( ~ v4538(VarCurr)
     => ( v3044(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_20,axiom,(
    ! [VarCurr] :
      ( v4538(VarCurr)
     => ( v3044(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1337,axiom,(
    ! [VarCurr] :
      ( v4538(VarCurr)
    <=> ( v4539(VarCurr)
        | v4540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1336,axiom,(
    ! [VarCurr] :
      ( v4540(VarCurr)
    <=> ( v4541(VarCurr)
        & v3441(VarCurr) ) ) )).

fof(writeUnaryOperator_623,axiom,(
    ! [VarCurr] :
      ( ~ v4541(VarCurr)
    <=> v3332(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_222,axiom,(
    ! [VarCurr] :
      ( v4539(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex7) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_21,axiom,(
    ! [VarCurr] :
      ( ~ v4533(VarCurr)
     => ( v3044(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_19,axiom,(
    ! [VarCurr] :
      ( v4533(VarCurr)
     => ( v3044(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1335,axiom,(
    ! [VarCurr] :
      ( v4533(VarCurr)
    <=> ( v4534(VarCurr)
        | v4535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1334,axiom,(
    ! [VarCurr] :
      ( v4535(VarCurr)
    <=> ( v4536(VarCurr)
        & v3429(VarCurr) ) ) )).

fof(writeUnaryOperator_622,axiom,(
    ! [VarCurr] :
      ( ~ v4536(VarCurr)
    <=> v3332(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_221,axiom,(
    ! [VarCurr] :
      ( v4534(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex4) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_20,axiom,(
    ! [VarCurr] :
      ( ~ v4527(VarCurr)
     => ( v3044(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_18,axiom,(
    ! [VarCurr] :
      ( v4527(VarCurr)
     => ( v3044(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1333,axiom,(
    ! [VarCurr] :
      ( v4527(VarCurr)
    <=> ( v4528(VarCurr)
        | v4529(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1332,axiom,(
    ! [VarCurr] :
      ( v4529(VarCurr)
    <=> ( v4530(VarCurr)
        & v3417(VarCurr) ) ) )).

fof(writeUnaryOperator_621,axiom,(
    ! [VarCurr] :
      ( ~ v4530(VarCurr)
    <=> v3332(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_220,axiom,(
    ! [VarCurr] :
      ( v4528(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_826,axiom,(
    ! [VarNext] :
      ( v3192(VarNext,bitIndex1)
    <=> v4518(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4519(VarNext)
       => ( ( v4518(VarNext,bitIndex10)
          <=> v3192(VarCurr,bitIndex11) )
          & ( v4518(VarNext,bitIndex9)
          <=> v3192(VarCurr,bitIndex10) )
          & ( v4518(VarNext,bitIndex8)
          <=> v3192(VarCurr,bitIndex9) )
          & ( v4518(VarNext,bitIndex7)
          <=> v3192(VarCurr,bitIndex8) )
          & ( v4518(VarNext,bitIndex6)
          <=> v3192(VarCurr,bitIndex7) )
          & ( v4518(VarNext,bitIndex5)
          <=> v3192(VarCurr,bitIndex6) )
          & ( v4518(VarNext,bitIndex4)
          <=> v3192(VarCurr,bitIndex5) )
          & ( v4518(VarNext,bitIndex3)
          <=> v3192(VarCurr,bitIndex4) )
          & ( v4518(VarNext,bitIndex2)
          <=> v3192(VarCurr,bitIndex3) )
          & ( v4518(VarNext,bitIndex1)
          <=> v3192(VarCurr,bitIndex2) )
          & ( v4518(VarNext,bitIndex0)
          <=> v3192(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_47,axiom,(
    ! [VarNext] :
      ( v4519(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v4518(VarNext,B)
          <=> v3369(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1331,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4519(VarNext)
      <=> v4520(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1330,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4520(VarNext)
      <=> ( v4522(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_620,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4522(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_19,axiom,(
    ! [VarCurr] :
      ( ~ v4495(VarCurr)
     => ( v3044(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_17,axiom,(
    ! [VarCurr] :
      ( v4495(VarCurr)
     => ( v3044(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1329,axiom,(
    ! [VarCurr] :
      ( v4495(VarCurr)
    <=> ( v4496(VarCurr)
        | v4515(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1328,axiom,(
    ! [VarCurr] :
      ( v4515(VarCurr)
    <=> ( v4516(VarCurr)
        & v3446(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1327,axiom,(
    ! [VarCurr] :
      ( v4516(VarCurr)
    <=> ( v3402(VarCurr)
        & v3223(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1326,axiom,(
    ! [VarCurr] :
      ( v4496(VarCurr)
    <=> ( v4497(VarCurr)
        | v4513(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1325,axiom,(
    ! [VarCurr] :
      ( v4513(VarCurr)
    <=> ( v4514(VarCurr)
        & v3441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1324,axiom,(
    ! [VarCurr] :
      ( v4514(VarCurr)
    <=> ( v3415(VarCurr)
        & v3223(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1323,axiom,(
    ! [VarCurr] :
      ( v4497(VarCurr)
    <=> ( v4498(VarCurr)
        | v4511(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1322,axiom,(
    ! [VarCurr] :
      ( v4511(VarCurr)
    <=> ( v4512(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1321,axiom,(
    ! [VarCurr] :
      ( v4512(VarCurr)
    <=> ( v3402(VarCurr)
        & v3223(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1320,axiom,(
    ! [VarCurr] :
      ( v4498(VarCurr)
    <=> ( v4499(VarCurr)
        | v4509(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1319,axiom,(
    ! [VarCurr] :
      ( v4509(VarCurr)
    <=> ( v4510(VarCurr)
        & v3429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1318,axiom,(
    ! [VarCurr] :
      ( v4510(VarCurr)
    <=> ( v3415(VarCurr)
        & v3223(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1317,axiom,(
    ! [VarCurr] :
      ( v4499(VarCurr)
    <=> ( v4500(VarCurr)
        | v4507(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1316,axiom,(
    ! [VarCurr] :
      ( v4507(VarCurr)
    <=> ( v4508(VarCurr)
        & v3424(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1315,axiom,(
    ! [VarCurr] :
      ( v4508(VarCurr)
    <=> ( v3402(VarCurr)
        & v3223(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1314,axiom,(
    ! [VarCurr] :
      ( v4500(VarCurr)
    <=> ( v4501(VarCurr)
        | v4504(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1313,axiom,(
    ! [VarCurr] :
      ( v4504(VarCurr)
    <=> ( v4505(VarCurr)
        & v3417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1312,axiom,(
    ! [VarCurr] :
      ( v4505(VarCurr)
    <=> ( v3415(VarCurr)
        & v3223(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1311,axiom,(
    ! [VarCurr] :
      ( v4501(VarCurr)
    <=> ( v4502(VarCurr)
        & v3408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1310,axiom,(
    ! [VarCurr] :
      ( v4502(VarCurr)
    <=> ( v3402(VarCurr)
        & v3223(VarCurr) ) ) )).

fof(addAssignment_825,axiom,(
    ! [VarCurr] :
      ( v4482(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(addAssignment_824,axiom,(
    ! [VarCurr] :
      ( v3156(VarCurr,bitIndex0)
    <=> v4472(VarCurr) ) )).

fof(addAssignment_823,axiom,(
    ! [VarCurr] :
      ( v3156(VarCurr,bitIndex1)
    <=> v3634(VarCurr) ) )).

fof(addAssignment_822,axiom,(
    ! [VarCurr] :
      ( v3156(VarCurr,bitIndex2)
    <=> v3158(VarCurr) ) )).

fof(addAssignment_821,axiom,(
    ! [VarCurr] :
      ( v4472(VarCurr)
    <=> v4474(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1309,axiom,(
    ! [VarCurr] :
      ( v4474(VarCurr)
    <=> ( v4476(VarCurr)
        & v4477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1308,axiom,(
    ! [VarCurr] :
      ( v4477(VarCurr)
    <=> ( v3226(VarCurr)
        | v3223(VarCurr) ) ) )).

fof(writeUnaryOperator_619,axiom,(
    ! [VarCurr] :
      ( ~ v4476(VarCurr)
    <=> v2902(VarCurr) ) )).

fof(addAssignment_820,axiom,(
    ! [VarCurr] :
      ( v3634(VarCurr)
    <=> v3636(VarCurr) ) )).

fof(writeUnaryOperator_618,axiom,(
    ! [VarCurr] :
      ( ~ v3636(VarCurr)
    <=> v3638(VarCurr) ) )).

fof(addAssignment_819,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
    <=> v3640(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1307,axiom,(
    ! [VarCurr] :
      ( v3640(VarCurr)
    <=> ( v3642(VarCurr)
        | v4372(VarCurr) ) ) )).

fof(addAssignment_818,axiom,(
    ! [VarCurr] :
      ( v4372(VarCurr)
    <=> v4374(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_219,axiom,(
    ! [VarCurr] :
      ( v4374(VarCurr)
    <=> ( ( v4376(VarCurr,bitIndex4)
        <=> $false )
        & ( v4376(VarCurr,bitIndex3)
        <=> $false )
        & ( v4376(VarCurr,bitIndex2)
        <=> $false )
        & ( v4376(VarCurr,bitIndex1)
        <=> $false )
        & ( v4376(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4456(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v4376(VarNext,B)
            <=> v4376(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_46,axiom,(
    ! [VarNext] :
      ( v4456(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v4376(VarNext,B)
          <=> v4464(VarNext,B) ) ) ) )).

fof(addAssignment_817,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v4464(VarNext,B)
          <=> v4462(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_118,axiom,(
    ! [VarCurr] :
      ( ~ v4465(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4462(VarCurr,B)
          <=> v4378(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_120,axiom,(
    ! [VarCurr] :
      ( v4465(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4462(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_617,axiom,(
    ! [VarCurr] :
      ( ~ v4465(VarCurr)
    <=> v3251(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1306,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4456(VarNext)
      <=> v4457(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1305,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4457(VarNext)
      <=> ( v4458(VarNext)
          & v3248(VarNext) ) ) ) )).

fof(writeUnaryOperator_616,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4458(VarNext)
      <=> v3296(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_11,axiom,(
    ! [VarCurr] :
      ( ( ~ v4380(VarCurr)
        & ~ v4382(VarCurr)
        & ~ v4423(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v4378(VarCurr,B)
          <=> v4376(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_19,axiom,(
    ! [VarCurr] :
      ( v4423(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4378(VarCurr,B)
          <=> v4425(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_53,axiom,(
    ! [VarCurr] :
      ( v4382(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4378(VarCurr,B)
          <=> v4384(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_53,axiom,(
    ! [VarCurr] :
      ( v4380(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4378(VarCurr,B)
          <=> v4376(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_218,axiom,(
    ! [VarCurr] :
      ( v4452(VarCurr)
    <=> ( ( v4453(VarCurr,bitIndex1)
        <=> $true )
        & ( v4453(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_816,axiom,(
    ! [VarCurr] :
      ( v4453(VarCurr,bitIndex0)
    <=> v3320(VarCurr) ) )).

fof(addAssignment_815,axiom,(
    ! [VarCurr] :
      ( v4453(VarCurr,bitIndex1)
    <=> v3280(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_117,axiom,(
    ! [VarCurr] :
      ( ~ v4426(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4425(VarCurr,B)
          <=> v4427(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_119,axiom,(
    ! [VarCurr] :
      ( v4426(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4425(VarCurr,B)
          <=> b10000(B) ) ) ) )).

fof(addAssignment_814,axiom,(
    ! [VarCurr] :
      ( v4427(VarCurr,bitIndex0)
    <=> v4449(VarCurr) ) )).

fof(addAssignment_813,axiom,(
    ! [VarCurr] :
      ( v4427(VarCurr,bitIndex1)
    <=> v4447(VarCurr) ) )).

fof(addAssignment_812,axiom,(
    ! [VarCurr] :
      ( v4427(VarCurr,bitIndex2)
    <=> v4442(VarCurr) ) )).

fof(addAssignment_811,axiom,(
    ! [VarCurr] :
      ( v4427(VarCurr,bitIndex3)
    <=> v4437(VarCurr) ) )).

fof(addAssignment_810,axiom,(
    ! [VarCurr] :
      ( v4427(VarCurr,bitIndex4)
    <=> v4429(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1304,axiom,(
    ! [VarCurr] :
      ( v4447(VarCurr)
    <=> ( v4448(VarCurr)
        & v4451(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_312,axiom,(
    ! [VarCurr] :
      ( v4451(VarCurr)
    <=> ( v4376(VarCurr,bitIndex0)
        | v4376(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1303,axiom,(
    ! [VarCurr] :
      ( v4448(VarCurr)
    <=> ( v4449(VarCurr)
        | v4450(VarCurr) ) ) )).

fof(writeUnaryOperator_615,axiom,(
    ! [VarCurr] :
      ( ~ v4450(VarCurr)
    <=> v4376(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_614,axiom,(
    ! [VarCurr] :
      ( ~ v4449(VarCurr)
    <=> v4376(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1302,axiom,(
    ! [VarCurr] :
      ( v4442(VarCurr)
    <=> ( v4443(VarCurr)
        & v4446(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_311,axiom,(
    ! [VarCurr] :
      ( v4446(VarCurr)
    <=> ( v4434(VarCurr)
        | v4376(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1301,axiom,(
    ! [VarCurr] :
      ( v4443(VarCurr)
    <=> ( v4444(VarCurr)
        | v4445(VarCurr) ) ) )).

fof(writeUnaryOperator_613,axiom,(
    ! [VarCurr] :
      ( ~ v4445(VarCurr)
    <=> v4376(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_612,axiom,(
    ! [VarCurr] :
      ( ~ v4444(VarCurr)
    <=> v4434(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1300,axiom,(
    ! [VarCurr] :
      ( v4437(VarCurr)
    <=> ( v4438(VarCurr)
        & v4441(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_310,axiom,(
    ! [VarCurr] :
      ( v4441(VarCurr)
    <=> ( v4433(VarCurr)
        | v4376(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1299,axiom,(
    ! [VarCurr] :
      ( v4438(VarCurr)
    <=> ( v4439(VarCurr)
        | v4440(VarCurr) ) ) )).

fof(writeUnaryOperator_611,axiom,(
    ! [VarCurr] :
      ( ~ v4440(VarCurr)
    <=> v4376(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_610,axiom,(
    ! [VarCurr] :
      ( ~ v4439(VarCurr)
    <=> v4433(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1298,axiom,(
    ! [VarCurr] :
      ( v4429(VarCurr)
    <=> ( v4430(VarCurr)
        & v4436(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_309,axiom,(
    ! [VarCurr] :
      ( v4436(VarCurr)
    <=> ( v4432(VarCurr)
        | v4376(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1297,axiom,(
    ! [VarCurr] :
      ( v4430(VarCurr)
    <=> ( v4431(VarCurr)
        | v4435(VarCurr) ) ) )).

fof(writeUnaryOperator_609,axiom,(
    ! [VarCurr] :
      ( ~ v4435(VarCurr)
    <=> v4376(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_608,axiom,(
    ! [VarCurr] :
      ( ~ v4431(VarCurr)
    <=> v4432(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_308,axiom,(
    ! [VarCurr] :
      ( v4432(VarCurr)
    <=> ( v4433(VarCurr)
        & v4376(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_307,axiom,(
    ! [VarCurr] :
      ( v4433(VarCurr)
    <=> ( v4434(VarCurr)
        & v4376(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_306,axiom,(
    ! [VarCurr] :
      ( v4434(VarCurr)
    <=> ( v4376(VarCurr,bitIndex0)
        & v4376(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_217,axiom,(
    ! [VarCurr] :
      ( v4426(VarCurr)
    <=> ( ( v4376(VarCurr,bitIndex4)
        <=> $true )
        & ( v4376(VarCurr,bitIndex3)
        <=> $false )
        & ( v4376(VarCurr,bitIndex2)
        <=> $false )
        & ( v4376(VarCurr,bitIndex1)
        <=> $false )
        & ( v4376(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_216,axiom,(
    ! [VarCurr] :
      ( v4423(VarCurr)
    <=> ( ( v4424(VarCurr,bitIndex1)
        <=> $true )
        & ( v4424(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_809,axiom,(
    ! [VarCurr] :
      ( v4424(VarCurr,bitIndex0)
    <=> v3320(VarCurr) ) )).

fof(addAssignment_808,axiom,(
    ! [VarCurr] :
      ( v4424(VarCurr,bitIndex1)
    <=> v3280(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_116,axiom,(
    ! [VarCurr] :
      ( ~ v4385(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v4384(VarCurr,B)
          <=> v4386(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_118,axiom,(
    ! [VarCurr] :
      ( v4385(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v4384(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_104,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex6)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_103,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex7)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_102,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex8)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_101,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex9)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_100,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex10)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_99,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex11)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_98,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex12)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_97,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex13)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_96,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex14)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_95,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex15)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_94,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex16)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_93,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex17)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_92,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex18)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_91,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex19)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_90,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex20)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_89,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex21)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_88,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex22)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_87,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex23)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_86,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex24)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_85,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex25)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_84,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex26)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_83,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex27)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_82,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex28)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_81,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex29)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_80,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex30)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_79,axiom,(
    ! [VarCurr] :
      ( v4386(VarCurr,bitIndex31)
    <=> v4387(VarCurr,bitIndex5) ) )).

fof(addAssignment_807,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v4386(VarCurr,B)
      <=> v4387(VarCurr,B) ) ) )).

fof(addAssignment_806,axiom,(
    ! [VarCurr] :
      ( v4387(VarCurr,bitIndex0)
    <=> v4421(VarCurr) ) )).

fof(addAssignment_805,axiom,(
    ! [VarCurr] :
      ( v4387(VarCurr,bitIndex1)
    <=> v4419(VarCurr) ) )).

fof(addAssignment_804,axiom,(
    ! [VarCurr] :
      ( v4387(VarCurr,bitIndex2)
    <=> v4415(VarCurr) ) )).

fof(addAssignment_803,axiom,(
    ! [VarCurr] :
      ( v4387(VarCurr,bitIndex3)
    <=> v4411(VarCurr) ) )).

fof(addAssignment_802,axiom,(
    ! [VarCurr] :
      ( v4387(VarCurr,bitIndex4)
    <=> v4407(VarCurr) ) )).

fof(addAssignment_801,axiom,(
    ! [VarCurr] :
      ( v4387(VarCurr,bitIndex5)
    <=> v4389(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1296,axiom,(
    ! [VarCurr] :
      ( v4419(VarCurr)
    <=> ( v4420(VarCurr)
        & v4422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1295,axiom,(
    ! [VarCurr] :
      ( v4422(VarCurr)
    <=> ( v4393(VarCurr,bitIndex0)
        | v4401(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_305,axiom,(
    ! [VarCurr] :
      ( v4420(VarCurr)
    <=> ( v4421(VarCurr)
        | v4393(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_607,axiom,(
    ! [VarCurr] :
      ( ~ v4421(VarCurr)
    <=> v4393(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1294,axiom,(
    ! [VarCurr] :
      ( v4415(VarCurr)
    <=> ( v4416(VarCurr)
        & v4418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1293,axiom,(
    ! [VarCurr] :
      ( v4418(VarCurr)
    <=> ( v4399(VarCurr)
        | v4402(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_304,axiom,(
    ! [VarCurr] :
      ( v4416(VarCurr)
    <=> ( v4417(VarCurr)
        | v4393(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_606,axiom,(
    ! [VarCurr] :
      ( ~ v4417(VarCurr)
    <=> v4399(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1292,axiom,(
    ! [VarCurr] :
      ( v4411(VarCurr)
    <=> ( v4412(VarCurr)
        & v4414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1291,axiom,(
    ! [VarCurr] :
      ( v4414(VarCurr)
    <=> ( v4397(VarCurr)
        | v4403(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_303,axiom,(
    ! [VarCurr] :
      ( v4412(VarCurr)
    <=> ( v4413(VarCurr)
        | v4393(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_605,axiom,(
    ! [VarCurr] :
      ( ~ v4413(VarCurr)
    <=> v4397(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1290,axiom,(
    ! [VarCurr] :
      ( v4407(VarCurr)
    <=> ( v4408(VarCurr)
        & v4410(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1289,axiom,(
    ! [VarCurr] :
      ( v4410(VarCurr)
    <=> ( v4395(VarCurr)
        | v4404(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_302,axiom,(
    ! [VarCurr] :
      ( v4408(VarCurr)
    <=> ( v4409(VarCurr)
        | v4393(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_604,axiom,(
    ! [VarCurr] :
      ( ~ v4409(VarCurr)
    <=> v4395(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1288,axiom,(
    ! [VarCurr] :
      ( v4389(VarCurr)
    <=> ( v4390(VarCurr)
        & v4405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1287,axiom,(
    ! [VarCurr] :
      ( v4405(VarCurr)
    <=> ( v4392(VarCurr)
        | v4406(VarCurr) ) ) )).

fof(writeUnaryOperator_603,axiom,(
    ! [VarCurr] :
      ( ~ v4406(VarCurr)
    <=> v4393(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_301,axiom,(
    ! [VarCurr] :
      ( v4390(VarCurr)
    <=> ( v4391(VarCurr)
        | v4393(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_602,axiom,(
    ! [VarCurr] :
      ( ~ v4391(VarCurr)
    <=> v4392(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_300,axiom,(
    ! [VarCurr] :
      ( v4392(VarCurr)
    <=> ( v4393(VarCurr,bitIndex4)
        | v4394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1286,axiom,(
    ! [VarCurr] :
      ( v4394(VarCurr)
    <=> ( v4395(VarCurr)
        & v4404(VarCurr) ) ) )).

fof(writeUnaryOperator_601,axiom,(
    ! [VarCurr] :
      ( ~ v4404(VarCurr)
    <=> v4393(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_299,axiom,(
    ! [VarCurr] :
      ( v4395(VarCurr)
    <=> ( v4393(VarCurr,bitIndex3)
        | v4396(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1285,axiom,(
    ! [VarCurr] :
      ( v4396(VarCurr)
    <=> ( v4397(VarCurr)
        & v4403(VarCurr) ) ) )).

fof(writeUnaryOperator_600,axiom,(
    ! [VarCurr] :
      ( ~ v4403(VarCurr)
    <=> v4393(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_298,axiom,(
    ! [VarCurr] :
      ( v4397(VarCurr)
    <=> ( v4393(VarCurr,bitIndex2)
        | v4398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1284,axiom,(
    ! [VarCurr] :
      ( v4398(VarCurr)
    <=> ( v4399(VarCurr)
        & v4402(VarCurr) ) ) )).

fof(writeUnaryOperator_599,axiom,(
    ! [VarCurr] :
      ( ~ v4402(VarCurr)
    <=> v4393(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_297,axiom,(
    ! [VarCurr] :
      ( v4399(VarCurr)
    <=> ( v4393(VarCurr,bitIndex1)
        | v4400(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1283,axiom,(
    ! [VarCurr] :
      ( v4400(VarCurr)
    <=> ( v4393(VarCurr,bitIndex0)
        & v4401(VarCurr) ) ) )).

fof(writeUnaryOperator_598,axiom,(
    ! [VarCurr] :
      ( ~ v4401(VarCurr)
    <=> v4393(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_6,axiom,(
    ! [VarCurr] : ~ v4393(VarCurr,bitIndex5) )).

fof(addAssignment_800,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v4393(VarCurr,B)
      <=> v4376(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_215,axiom,(
    ! [VarCurr] :
      ( v4385(VarCurr)
    <=> ( ( v4376(VarCurr,bitIndex4)
        <=> $false )
        & ( v4376(VarCurr,bitIndex3)
        <=> $false )
        & ( v4376(VarCurr,bitIndex2)
        <=> $false )
        & ( v4376(VarCurr,bitIndex1)
        <=> $false )
        & ( v4376(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_214,axiom,(
    ! [VarCurr] :
      ( v4382(VarCurr)
    <=> ( ( v4383(VarCurr,bitIndex1)
        <=> $false )
        & ( v4383(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_799,axiom,(
    ! [VarCurr] :
      ( v4383(VarCurr,bitIndex0)
    <=> v3320(VarCurr) ) )).

fof(addAssignment_798,axiom,(
    ! [VarCurr] :
      ( v4383(VarCurr,bitIndex1)
    <=> v3280(VarCurr) ) )).

fof(addAssignmentInitValue_23,axiom,(
    ~ v4376(constB0,bitIndex4) )).

fof(addAssignmentInitValue_22,axiom,(
    ~ v4376(constB0,bitIndex3) )).

fof(addAssignmentInitValue_21,axiom,(
    ~ v4376(constB0,bitIndex2) )).

fof(addAssignmentInitValue_20,axiom,(
    ~ v4376(constB0,bitIndex1) )).

fof(addAssignmentInitValue_19,axiom,(
    v4376(constB0,bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_213,axiom,(
    ! [VarCurr] :
      ( v4380(VarCurr)
    <=> ( ( v4381(VarCurr,bitIndex1)
        <=> $false )
        & ( v4381(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_797,axiom,(
    ! [VarCurr] :
      ( v4381(VarCurr,bitIndex0)
    <=> v3320(VarCurr) ) )).

fof(addAssignment_796,axiom,(
    ! [VarCurr] :
      ( v4381(VarCurr,bitIndex1)
    <=> v3280(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1282,axiom,(
    ! [VarCurr] :
      ( v3642(VarCurr)
    <=> ( v4366(VarCurr)
        | v4370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1281,axiom,(
    ! [VarCurr] :
      ( v4370(VarCurr)
    <=> ( v4282(VarCurr)
        & v4288(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1280,axiom,(
    ! [VarCurr] :
      ( v4366(VarCurr)
    <=> ( v4367(VarCurr)
        | v3981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1279,axiom,(
    ! [VarCurr] :
      ( v4367(VarCurr)
    <=> ( v4368(VarCurr)
        & v4369(VarCurr) ) ) )).

fof(writeUnaryOperator_597,axiom,(
    ! [VarCurr] :
      ( ~ v4369(VarCurr)
    <=> v3760(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1278,axiom,(
    ! [VarCurr] :
      ( v4368(VarCurr)
    <=> ( v3644(VarCurr)
        & v3689(VarCurr) ) ) )).

fof(addAssignment_795,axiom,(
    ! [VarCurr] :
      ( v4288(VarCurr)
    <=> v4290(VarCurr) ) )).

fof(addAssignment_794,axiom,(
    ! [VarCurr] :
      ( v4290(VarCurr)
    <=> v4292(VarCurr) ) )).

fof(addAssignment_793,axiom,(
    ! [VarCurr] :
      ( v4292(VarCurr)
    <=> v4294(VarCurr) ) )).

fof(addAssignment_792,axiom,(
    ! [VarCurr] :
      ( v4294(VarCurr)
    <=> v4296(VarCurr) ) )).

fof(addAssignment_791,axiom,(
    ! [VarCurr] :
      ( v4296(VarCurr)
    <=> v3770(VarCurr,bitIndex1) ) )).

fof(addAssignment_790,axiom,(
    ! [VarCurr] :
      ( v3770(VarCurr,bitIndex1)
    <=> v3772(VarCurr,bitIndex1) ) )).

fof(addAssignment_789,axiom,(
    ! [VarCurr] :
      ( v3772(VarCurr,bitIndex1)
    <=> v3774(VarCurr,bitIndex1) ) )).

fof(addAssignment_788,axiom,(
    ! [VarCurr] :
      ( v3774(VarCurr,bitIndex1)
    <=> v3776(VarCurr,bitIndex1) ) )).

fof(addAssignment_787,axiom,(
    ! [VarCurr] :
      ( v3776(VarCurr,bitIndex1)
    <=> v3778(VarCurr,bitIndex1) ) )).

fof(addAssignment_786,axiom,(
    ! [VarCurr] :
      ( v3778(VarCurr,bitIndex1)
    <=> v3780(VarCurr,bitIndex1) ) )).

fof(addAssignment_785,axiom,(
    ! [VarCurr] :
      ( v3780(VarCurr,bitIndex1)
    <=> v4298(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4321(VarNext)
       => ( v4298(VarNext)
        <=> v4298(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_45,axiom,(
    ! [VarNext] :
      ( v4321(VarNext)
     => ( v4298(VarNext)
      <=> v4356(VarNext) ) ) )).

fof(addAssignment_784,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4356(VarNext)
      <=> v4354(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_52,axiom,(
    ! [VarCurr] :
      ( ~ v4300(VarCurr)
     => ( v4354(VarCurr)
      <=> v4357(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_52,axiom,(
    ! [VarCurr] :
      ( v4300(VarCurr)
     => ( v4354(VarCurr)
      <=> v4302(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_51,axiom,(
    ! [VarCurr] :
      ( ~ v4334(VarCurr)
     => ( v4357(VarCurr)
      <=> v4316(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_51,axiom,(
    ! [VarCurr] :
      ( v4334(VarCurr)
     => ( v4357(VarCurr)
      <=> v4358(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_18,axiom,(
    ! [VarCurr] :
      ( ( ~ v4337(VarCurr)
        & ~ v4339(VarCurr) )
     => ( v4358(VarCurr)
      <=> v4362(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_50,axiom,(
    ! [VarCurr] :
      ( v4339(VarCurr)
     => ( v4358(VarCurr)
      <=> v4361(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_50,axiom,(
    ! [VarCurr] :
      ( v4337(VarCurr)
     => ( v4358(VarCurr)
      <=> v4359(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_49,axiom,(
    ! [VarCurr] :
      ( ~ v4347(VarCurr)
     => ( v4362(VarCurr)
      <=> v4316(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_49,axiom,(
    ! [VarCurr] :
      ( v4347(VarCurr)
     => ( v4362(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_48,axiom,(
    ! [VarCurr] :
      ( ~ v4341(VarCurr)
     => ( v4361(VarCurr)
      <=> v4316(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_48,axiom,(
    ! [VarCurr] :
      ( v4341(VarCurr)
     => ( v4361(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_115,axiom,(
    ! [VarCurr] :
      ( ~ v4360(VarCurr)
     => ( v4359(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_117,axiom,(
    ! [VarCurr] :
      ( v4360(VarCurr)
     => ( v4359(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_212,axiom,(
    ! [VarCurr] :
      ( v4360(VarCurr)
    <=> ( v4310(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1277,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4321(VarNext)
      <=> ( v4322(VarNext)
          & v4331(VarNext) ) ) ) )).

fof(addAssignment_783,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4331(VarNext)
      <=> v4329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1276,axiom,(
    ! [VarCurr] :
      ( v4329(VarCurr)
    <=> ( v4300(VarCurr)
        | v4332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1275,axiom,(
    ! [VarCurr] :
      ( v4332(VarCurr)
    <=> ( v4333(VarCurr)
        & v4353(VarCurr) ) ) )).

fof(writeUnaryOperator_596,axiom,(
    ! [VarCurr] :
      ( ~ v4353(VarCurr)
    <=> v4300(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1274,axiom,(
    ! [VarCurr] :
      ( v4333(VarCurr)
    <=> ( v4334(VarCurr)
        | v4351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1273,axiom,(
    ! [VarCurr] :
      ( v4351(VarCurr)
    <=> ( v4312(VarCurr)
        & v4352(VarCurr) ) ) )).

fof(writeUnaryOperator_595,axiom,(
    ! [VarCurr] :
      ( ~ v4352(VarCurr)
    <=> v4314(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1272,axiom,(
    ! [VarCurr] :
      ( v4334(VarCurr)
    <=> ( v4335(VarCurr)
        & v4314(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1271,axiom,(
    ! [VarCurr] :
      ( v4335(VarCurr)
    <=> ( v4336(VarCurr)
        | v4345(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1270,axiom,(
    ! [VarCurr] :
      ( v4345(VarCurr)
    <=> ( v4346(VarCurr)
        & v4350(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_211,axiom,(
    ! [VarCurr] :
      ( v4350(VarCurr)
    <=> ( ( v4338(VarCurr,bitIndex2)
        <=> $false )
        & ( v4338(VarCurr,bitIndex1)
        <=> $false )
        & ( v4338(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1269,axiom,(
    ! [VarCurr] :
      ( v4346(VarCurr)
    <=> ( v4347(VarCurr)
        | v4348(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1268,axiom,(
    ! [VarCurr] :
      ( v4348(VarCurr)
    <=> ( v4312(VarCurr)
        & v4349(VarCurr) ) ) )).

fof(writeUnaryOperator_594,axiom,(
    ! [VarCurr] :
      ( ~ v4349(VarCurr)
    <=> v4347(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_210,axiom,(
    ! [VarCurr] :
      ( v4347(VarCurr)
    <=> ( v4310(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1267,axiom,(
    ! [VarCurr] :
      ( v4336(VarCurr)
    <=> ( v4337(VarCurr)
        | v4339(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1266,axiom,(
    ! [VarCurr] :
      ( v4339(VarCurr)
    <=> ( v4340(VarCurr)
        & v4344(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_209,axiom,(
    ! [VarCurr] :
      ( v4344(VarCurr)
    <=> ( ( v4338(VarCurr,bitIndex2)
        <=> $false )
        & ( v4338(VarCurr,bitIndex1)
        <=> $true )
        & ( v4338(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1265,axiom,(
    ! [VarCurr] :
      ( v4340(VarCurr)
    <=> ( v4341(VarCurr)
        | v4342(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1264,axiom,(
    ! [VarCurr] :
      ( v4342(VarCurr)
    <=> ( v4312(VarCurr)
        & v4343(VarCurr) ) ) )).

fof(writeUnaryOperator_593,axiom,(
    ! [VarCurr] :
      ( ~ v4343(VarCurr)
    <=> v4341(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_208,axiom,(
    ! [VarCurr] :
      ( v4341(VarCurr)
    <=> ( v4310(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_207,axiom,(
    ! [VarCurr] :
      ( v4337(VarCurr)
    <=> ( ( v4338(VarCurr,bitIndex2)
        <=> $true )
        & ( v4338(VarCurr,bitIndex1)
        <=> $false )
        & ( v4338(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_782,axiom,(
    ! [VarCurr] :
      ( v4338(VarCurr,bitIndex0)
    <=> v4308(VarCurr) ) )).

fof(addAssignment_781,axiom,(
    ! [VarCurr] :
      ( v4338(VarCurr,bitIndex1)
    <=> v4306(VarCurr) ) )).

fof(addAssignment_780,axiom,(
    ! [VarCurr] :
      ( v4338(VarCurr,bitIndex2)
    <=> v4304(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1263,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4322(VarNext)
      <=> ( v4323(VarNext)
          & v4318(VarNext) ) ) ) )).

fof(writeUnaryOperator_592,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4323(VarNext)
      <=> v4325(VarNext) ) ) )).

fof(addAssignment_779,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4325(VarNext)
      <=> v4318(VarCurr) ) ) )).

fof(addAssignment_778,axiom,(
    ! [VarCurr] :
      ( v4318(VarCurr)
    <=> v3929(VarCurr) ) )).

fof(addAssignment_777,axiom,(
    ! [VarCurr] :
      ( v4316(VarCurr)
    <=> $false ) )).

fof(addAssignment_776,axiom,(
    ! [VarCurr] :
      ( v4314(VarCurr)
    <=> v3842(VarCurr) ) )).

fof(addAssignment_775,axiom,(
    ! [VarCurr] :
      ( v4312(VarCurr)
    <=> $false ) )).

fof(addAssignment_774,axiom,(
    ! [VarCurr] :
      ( v4310(VarCurr)
    <=> v3818(VarCurr,bitIndex1) ) )).

fof(addAssignment_773,axiom,(
    ! [VarCurr] :
      ( v3818(VarCurr,bitIndex1)
    <=> v3820(VarCurr,bitIndex1) ) )).

fof(addAssignment_772,axiom,(
    ! [VarCurr] :
      ( v3820(VarCurr,bitIndex1)
    <=> v3822(VarCurr,bitIndex1) ) )).

fof(addAssignment_771,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex1)
    <=> v3824(VarCurr,bitIndex1) ) )).

fof(addAssignment_770,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex1)
    <=> v3826(VarCurr,bitIndex1) ) )).

fof(addAssignment_769,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex1)
    <=> v3828(VarCurr,bitIndex1) ) )).

fof(addAssignment_768,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex1)
    <=> v3830(VarCurr,bitIndex1) ) )).

fof(addAssignment_767,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex1)
    <=> v3832(VarCurr,bitIndex1) ) )).

fof(addAssignment_766,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex1)
    <=> v3834(VarCurr,bitIndex1) ) )).

fof(addAssignment_765,axiom,(
    ! [VarCurr] :
      ( v4308(VarCurr)
    <=> $false ) )).

fof(addAssignment_764,axiom,(
    ! [VarCurr] :
      ( v4306(VarCurr)
    <=> $false ) )).

fof(addAssignment_763,axiom,(
    ! [VarCurr] :
      ( v4304(VarCurr)
    <=> $true ) )).

fof(addAssignment_762,axiom,(
    ! [VarCurr] :
      ( v4302(VarCurr)
    <=> $false ) )).

fof(addAssignment_761,axiom,(
    ! [VarCurr] :
      ( v4300(VarCurr)
    <=> v3786(VarCurr) ) )).

fof(addAssignment_760,axiom,(
    ! [VarCurr] :
      ( v4282(VarCurr)
    <=> v4284(VarCurr) ) )).

fof(addAssignment_759,axiom,(
    ! [VarCurr] :
      ( v4284(VarCurr)
    <=> v4286(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1262,axiom,(
    ! [VarCurr] :
      ( v3981(VarCurr)
    <=> ( v4273(VarCurr)
        & v3760(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1261,axiom,(
    ! [VarCurr] :
      ( v4273(VarCurr)
    <=> ( v4274(VarCurr)
        | v4277(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1260,axiom,(
    ! [VarCurr] :
      ( v4277(VarCurr)
    <=> ( v4278(VarCurr)
        & v4279(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_206,axiom,(
    ! [VarCurr] :
      ( v4279(VarCurr)
    <=> ( ( v4280(VarCurr,bitIndex4)
        <=> $true )
        & ( v4280(VarCurr,bitIndex3)
        <=> $true )
        & ( v4280(VarCurr,bitIndex2)
        <=> $true )
        & ( v4280(VarCurr,bitIndex1)
        <=> $true )
        & ( v4280(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_758,axiom,(
    ! [VarCurr] :
      ( v4280(VarCurr,bitIndex0)
    <=> v4233(VarCurr) ) )).

fof(addAssignment_757,axiom,(
    ! [VarCurr] :
      ( v4280(VarCurr,bitIndex1)
    <=> v4228(VarCurr) ) )).

fof(addAssignment_756,axiom,(
    ! [VarCurr] :
      ( v4280(VarCurr,bitIndex2)
    <=> v4223(VarCurr) ) )).

fof(addAssignment_755,axiom,(
    ! [VarCurr] :
      ( v4280(VarCurr,bitIndex3)
    <=> v4218(VarCurr) ) )).

fof(addAssignment_754,axiom,(
    ! [VarCurr] :
      ( v4280(VarCurr,bitIndex4)
    <=> v4191(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_205,axiom,(
    ! [VarCurr] :
      ( v4278(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $true )
        & ( v3983(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1259,axiom,(
    ! [VarCurr] :
      ( v4274(VarCurr)
    <=> ( v4275(VarCurr)
        | v4276(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_204,axiom,(
    ! [VarCurr] :
      ( v4276(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $true )
        & ( v3983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_203,axiom,(
    ! [VarCurr] :
      ( v4275(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $false )
        & ( v3983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4258(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v3983(VarNext,B)
            <=> v3983(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_44,axiom,(
    ! [VarNext] :
      ( v4258(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v3983(VarNext,B)
          <=> v4266(VarNext,B) ) ) ) )).

fof(addAssignment_753,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v4266(VarNext,B)
          <=> v4264(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_114,axiom,(
    ! [VarCurr] :
      ( ~ v4267(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4264(VarCurr,B)
          <=> v3985(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_116,axiom,(
    ! [VarCurr] :
      ( v4267(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4264(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1258,axiom,(
    ! [VarCurr] :
      ( v4267(VarCurr)
    <=> ( v4268(VarCurr)
        | v4269(VarCurr) ) ) )).

fof(writeUnaryOperator_591,axiom,(
    ! [VarCurr] :
      ( ~ v4269(VarCurr)
    <=> v3760(VarCurr) ) )).

fof(writeUnaryOperator_590,axiom,(
    ! [VarCurr] :
      ( ~ v4268(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1257,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4258(VarNext)
      <=> v4259(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4259(VarNext)
      <=> ( v4260(VarNext)
          & v2834(VarNext) ) ) ) )).

fof(writeUnaryOperator_589,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4260(VarNext)
      <=> v3743(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_10,axiom,(
    ! [VarCurr] :
      ( ( ~ v4167(VarCurr)
        & ~ v4171(VarCurr)
        & ~ v4183(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v3985(VarCurr,B)
          <=> v4237(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_17,axiom,(
    ! [VarCurr] :
      ( v4183(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v3985(VarCurr,B)
          <=> v4184(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_47,axiom,(
    ! [VarCurr] :
      ( v4171(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v3985(VarCurr,B)
          <=> v4172(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_47,axiom,(
    ! [VarCurr] :
      ( v4167(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v3985(VarCurr,B)
          <=> v4168(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_113,axiom,(
    ! [VarCurr] :
      ( ~ v3732(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4237(VarCurr,B)
          <=> v4238(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_115,axiom,(
    ! [VarCurr] :
      ( v3732(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4237(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_112,axiom,(
    ! [VarCurr] :
      ( ~ v4239(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4238(VarCurr,B)
          <=> v4240(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_114,axiom,(
    ! [VarCurr] :
      ( v4239(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4238(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_111,axiom,(
    ! [VarCurr] :
      ( ~ v4241(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4240(VarCurr,B)
          <=> $true ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_113,axiom,(
    ! [VarCurr] :
      ( v4241(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4240(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1255,axiom,(
    ! [VarCurr] :
      ( v4241(VarCurr)
    <=> ( v4243(VarCurr)
        | v4245(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_296,axiom,(
    ! [VarCurr] :
      ( v4245(VarCurr)
    <=> ( v4246(VarCurr)
        & v4244(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1254,axiom,(
    ! [VarCurr] :
      ( v4246(VarCurr)
    <=> ( v4247(VarCurr)
        | v4248(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_295,axiom,(
    ! [VarCurr] :
      ( v4248(VarCurr)
    <=> ( v4249(VarCurr)
        & v4244(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1253,axiom,(
    ! [VarCurr] :
      ( v4249(VarCurr)
    <=> ( v4250(VarCurr)
        | v4251(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_294,axiom,(
    ! [VarCurr] :
      ( v4251(VarCurr)
    <=> ( v4252(VarCurr)
        & v4244(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1252,axiom,(
    ! [VarCurr] :
      ( v4252(VarCurr)
    <=> ( v4253(VarCurr)
        | v4254(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_293,axiom,(
    ! [VarCurr] :
      ( v4254(VarCurr)
    <=> ( v4255(VarCurr)
        & v4244(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_588,axiom,(
    ! [VarCurr] :
      ( ~ v4255(VarCurr)
    <=> v4244(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_587,axiom,(
    ! [VarCurr] :
      ( ~ v4253(VarCurr)
    <=> v4244(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_586,axiom,(
    ! [VarCurr] :
      ( ~ v4250(VarCurr)
    <=> v4244(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_585,axiom,(
    ! [VarCurr] :
      ( ~ v4247(VarCurr)
    <=> v4244(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_584,axiom,(
    ! [VarCurr] :
      ( ~ v4243(VarCurr)
    <=> v4244(VarCurr,bitIndex4) ) )).

fof(addAssignment_752,axiom,(
    ! [VarCurr] :
      ( v4244(VarCurr,bitIndex0)
    <=> v4233(VarCurr) ) )).

fof(addAssignment_751,axiom,(
    ! [VarCurr] :
      ( v4244(VarCurr,bitIndex1)
    <=> v4228(VarCurr) ) )).

fof(addAssignment_750,axiom,(
    ! [VarCurr] :
      ( v4244(VarCurr,bitIndex2)
    <=> v4223(VarCurr) ) )).

fof(addAssignment_749,axiom,(
    ! [VarCurr] :
      ( v4244(VarCurr,bitIndex3)
    <=> v4218(VarCurr) ) )).

fof(addAssignment_748,axiom,(
    ! [VarCurr] :
      ( v4244(VarCurr,bitIndex4)
    <=> v4191(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_202,axiom,(
    ! [VarCurr] :
      ( v4239(VarCurr)
    <=> ( ( v4011(VarCurr,bitIndex4)
        <=> $false )
        & ( v4011(VarCurr,bitIndex3)
        <=> $false )
        & ( v4011(VarCurr,bitIndex2)
        <=> $false )
        & ( v4011(VarCurr,bitIndex1)
        <=> $false )
        & ( v4011(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_201,axiom,(
    ! [VarCurr] :
      ( v4236(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $true )
        & ( v3983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_110,axiom,(
    ! [VarCurr] :
      ( ~ v3732(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4184(VarCurr,B)
          <=> v4185(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_112,axiom,(
    ! [VarCurr] :
      ( v3732(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4184(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_109,axiom,(
    ! [VarCurr] :
      ( ~ v4186(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4185(VarCurr,B)
          <=> v4187(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_111,axiom,(
    ! [VarCurr] :
      ( v4186(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4185(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_108,axiom,(
    ! [VarCurr] :
      ( ~ v4188(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4187(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_110,axiom,(
    ! [VarCurr] :
      ( v4188(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4187(VarCurr,B)
          <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_200,axiom,(
    ! [VarCurr] :
      ( v4188(VarCurr)
    <=> ( ( v4189(VarCurr,bitIndex4)
        <=> $true )
        & ( v4189(VarCurr,bitIndex3)
        <=> $true )
        & ( v4189(VarCurr,bitIndex2)
        <=> $true )
        & ( v4189(VarCurr,bitIndex1)
        <=> $true )
        & ( v4189(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_489,axiom,(
    b11111(bitIndex4) )).

fof(bitBlastConstant_488,axiom,(
    b11111(bitIndex3) )).

fof(bitBlastConstant_487,axiom,(
    b11111(bitIndex2) )).

fof(bitBlastConstant_486,axiom,(
    b11111(bitIndex1) )).

fof(bitBlastConstant_485,axiom,(
    b11111(bitIndex0) )).

fof(addAssignment_747,axiom,(
    ! [VarCurr] :
      ( v4189(VarCurr,bitIndex0)
    <=> v4233(VarCurr) ) )).

fof(addAssignment_746,axiom,(
    ! [VarCurr] :
      ( v4189(VarCurr,bitIndex1)
    <=> v4228(VarCurr) ) )).

fof(addAssignment_745,axiom,(
    ! [VarCurr] :
      ( v4189(VarCurr,bitIndex2)
    <=> v4223(VarCurr) ) )).

fof(addAssignment_744,axiom,(
    ! [VarCurr] :
      ( v4189(VarCurr,bitIndex3)
    <=> v4218(VarCurr) ) )).

fof(addAssignment_743,axiom,(
    ! [VarCurr] :
      ( v4189(VarCurr,bitIndex4)
    <=> v4191(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1251,axiom,(
    ! [VarCurr] :
      ( v4233(VarCurr)
    <=> ( v4234(VarCurr)
        & v4235(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1250,axiom,(
    ! [VarCurr] :
      ( v4235(VarCurr)
    <=> ( v4011(VarCurr,bitIndex0)
        | v4106(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1249,axiom,(
    ! [VarCurr] :
      ( v4234(VarCurr)
    <=> ( v4077(VarCurr)
        | v4160(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1248,axiom,(
    ! [VarCurr] :
      ( v4228(VarCurr)
    <=> ( v4229(VarCurr)
        & v4232(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1247,axiom,(
    ! [VarCurr] :
      ( v4232(VarCurr)
    <=> ( v4200(VarCurr)
        | v4201(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1246,axiom,(
    ! [VarCurr] :
      ( v4229(VarCurr)
    <=> ( v4230(VarCurr)
        | v4231(VarCurr) ) ) )).

fof(writeUnaryOperator_583,axiom,(
    ! [VarCurr] :
      ( ~ v4231(VarCurr)
    <=> v4201(VarCurr) ) )).

fof(writeUnaryOperator_582,axiom,(
    ! [VarCurr] :
      ( ~ v4230(VarCurr)
    <=> v4200(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1245,axiom,(
    ! [VarCurr] :
      ( v4223(VarCurr)
    <=> ( v4224(VarCurr)
        & v4227(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1244,axiom,(
    ! [VarCurr] :
      ( v4227(VarCurr)
    <=> ( v4198(VarCurr)
        | v4205(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1243,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
    <=> ( v4225(VarCurr)
        | v4226(VarCurr) ) ) )).

fof(writeUnaryOperator_581,axiom,(
    ! [VarCurr] :
      ( ~ v4226(VarCurr)
    <=> v4205(VarCurr) ) )).

fof(writeUnaryOperator_580,axiom,(
    ! [VarCurr] :
      ( ~ v4225(VarCurr)
    <=> v4198(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1242,axiom,(
    ! [VarCurr] :
      ( v4218(VarCurr)
    <=> ( v4219(VarCurr)
        & v4222(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1241,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
    <=> ( v4196(VarCurr)
        | v4209(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1240,axiom,(
    ! [VarCurr] :
      ( v4219(VarCurr)
    <=> ( v4220(VarCurr)
        | v4221(VarCurr) ) ) )).

fof(writeUnaryOperator_579,axiom,(
    ! [VarCurr] :
      ( ~ v4221(VarCurr)
    <=> v4209(VarCurr) ) )).

fof(writeUnaryOperator_578,axiom,(
    ! [VarCurr] :
      ( ~ v4220(VarCurr)
    <=> v4196(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1239,axiom,(
    ! [VarCurr] :
      ( v4191(VarCurr)
    <=> ( v4192(VarCurr)
        & v4217(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1238,axiom,(
    ! [VarCurr] :
      ( v4217(VarCurr)
    <=> ( v4194(VarCurr)
        | v4214(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1237,axiom,(
    ! [VarCurr] :
      ( v4192(VarCurr)
    <=> ( v4193(VarCurr)
        | v4213(VarCurr) ) ) )).

fof(writeUnaryOperator_577,axiom,(
    ! [VarCurr] :
      ( ~ v4213(VarCurr)
    <=> v4214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1236,axiom,(
    ! [VarCurr] :
      ( v4214(VarCurr)
    <=> ( v4215(VarCurr)
        & v4216(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_292,axiom,(
    ! [VarCurr] :
      ( v4216(VarCurr)
    <=> ( v4011(VarCurr,bitIndex4)
        | v4106(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1235,axiom,(
    ! [VarCurr] :
      ( v4215(VarCurr)
    <=> ( v4063(VarCurr)
        | v4146(VarCurr) ) ) )).

fof(writeUnaryOperator_576,axiom,(
    ! [VarCurr] :
      ( ~ v4193(VarCurr)
    <=> v4194(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1234,axiom,(
    ! [VarCurr] :
      ( v4194(VarCurr)
    <=> ( v4195(VarCurr)
        | v4212(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_291,axiom,(
    ! [VarCurr] :
      ( v4212(VarCurr)
    <=> ( v4011(VarCurr,bitIndex3)
        & v4106(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1233,axiom,(
    ! [VarCurr] :
      ( v4195(VarCurr)
    <=> ( v4196(VarCurr)
        & v4209(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1232,axiom,(
    ! [VarCurr] :
      ( v4209(VarCurr)
    <=> ( v4210(VarCurr)
        & v4211(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_290,axiom,(
    ! [VarCurr] :
      ( v4211(VarCurr)
    <=> ( v4011(VarCurr,bitIndex3)
        | v4106(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1231,axiom,(
    ! [VarCurr] :
      ( v4210(VarCurr)
    <=> ( v4068(VarCurr)
        | v4151(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1230,axiom,(
    ! [VarCurr] :
      ( v4196(VarCurr)
    <=> ( v4197(VarCurr)
        | v4208(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_289,axiom,(
    ! [VarCurr] :
      ( v4208(VarCurr)
    <=> ( v4011(VarCurr,bitIndex2)
        & v4106(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1229,axiom,(
    ! [VarCurr] :
      ( v4197(VarCurr)
    <=> ( v4198(VarCurr)
        & v4205(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1228,axiom,(
    ! [VarCurr] :
      ( v4205(VarCurr)
    <=> ( v4206(VarCurr)
        & v4207(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_288,axiom,(
    ! [VarCurr] :
      ( v4207(VarCurr)
    <=> ( v4011(VarCurr,bitIndex2)
        | v4106(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1227,axiom,(
    ! [VarCurr] :
      ( v4206(VarCurr)
    <=> ( v4073(VarCurr)
        | v4156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1226,axiom,(
    ! [VarCurr] :
      ( v4198(VarCurr)
    <=> ( v4199(VarCurr)
        | v4204(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_287,axiom,(
    ! [VarCurr] :
      ( v4204(VarCurr)
    <=> ( v4011(VarCurr,bitIndex1)
        & v4106(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1225,axiom,(
    ! [VarCurr] :
      ( v4199(VarCurr)
    <=> ( v4200(VarCurr)
        & v4201(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1224,axiom,(
    ! [VarCurr] :
      ( v4201(VarCurr)
    <=> ( v4202(VarCurr)
        & v4203(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_286,axiom,(
    ! [VarCurr] :
      ( v4203(VarCurr)
    <=> ( v4011(VarCurr,bitIndex1)
        | v4106(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1223,axiom,(
    ! [VarCurr] :
      ( v4202(VarCurr)
    <=> ( v4078(VarCurr)
        | v4161(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1222,axiom,(
    ! [VarCurr] :
      ( v4200(VarCurr)
    <=> ( v4011(VarCurr,bitIndex0)
        & v4106(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_199,axiom,(
    ! [VarCurr] :
      ( v4186(VarCurr)
    <=> ( ( v4011(VarCurr,bitIndex4)
        <=> $false )
        & ( v4011(VarCurr,bitIndex3)
        <=> $false )
        & ( v4011(VarCurr,bitIndex2)
        <=> $false )
        & ( v4011(VarCurr,bitIndex1)
        <=> $false )
        & ( v4011(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_198,axiom,(
    ! [VarCurr] :
      ( v4183(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $true )
        & ( v3983(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_107,axiom,(
    ! [VarCurr] :
      ( ~ v4173(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4172(VarCurr,B)
          <=> v4175(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_109,axiom,(
    ! [VarCurr] :
      ( v4173(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4172(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_106,axiom,(
    ! [VarCurr] :
      ( ~ v4176(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4175(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_108,axiom,(
    ! [VarCurr] :
      ( v4176(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4175(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1221,axiom,(
    ! [VarCurr] :
      ( v4176(VarCurr)
    <=> ( v3646(VarCurr)
        & v4177(VarCurr) ) ) )).

fof(writeUnaryOperator_575,axiom,(
    ! [VarCurr] :
      ( ~ v4177(VarCurr)
    <=> v4179(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1220,axiom,(
    ! [VarCurr] :
      ( v4179(VarCurr)
    <=> ( v4180(VarCurr)
        & v4063(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1219,axiom,(
    ! [VarCurr] :
      ( v4180(VarCurr)
    <=> ( v4181(VarCurr)
        & v4068(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1218,axiom,(
    ! [VarCurr] :
      ( v4181(VarCurr)
    <=> ( v4182(VarCurr)
        & v4073(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1217,axiom,(
    ! [VarCurr] :
      ( v4182(VarCurr)
    <=> ( v4077(VarCurr)
        & v4078(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1216,axiom,(
    ! [VarCurr] :
      ( v4173(VarCurr)
    <=> ( v3646(VarCurr)
        & v4174(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_197,axiom,(
    ! [VarCurr] :
      ( v4174(VarCurr)
    <=> ( ( v4011(VarCurr,bitIndex4)
        <=> $false )
        & ( v4011(VarCurr,bitIndex3)
        <=> $false )
        & ( v4011(VarCurr,bitIndex2)
        <=> $false )
        & ( v4011(VarCurr,bitIndex1)
        <=> $false )
        & ( v4011(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_196,axiom,(
    ! [VarCurr] :
      ( v4171(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $false )
        & ( v3983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_105,axiom,(
    ! [VarCurr] :
      ( ~ v3987(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4168(VarCurr,B)
          <=> v4169(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_107,axiom,(
    ! [VarCurr] :
      ( v3987(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4168(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_104,axiom,(
    ! [VarCurr] :
      ( ~ v3732(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4169(VarCurr,B)
          <=> v4170(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_106,axiom,(
    ! [VarCurr] :
      ( v3732(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4169(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_103,axiom,(
    ! [VarCurr] :
      ( ~ v3997(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4170(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_105,axiom,(
    ! [VarCurr] :
      ( v3997(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v4170(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_195,axiom,(
    ! [VarCurr] :
      ( v4167(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $false )
        & ( v3983(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4119(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v4106(VarNext,B)
            <=> v4106(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_43,axiom,(
    ! [VarNext] :
      ( v4119(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v4106(VarNext,B)
          <=> v4136(VarNext,B) ) ) ) )).

fof(addAssignment_742,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v4136(VarNext,B)
          <=> v4134(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_102,axiom,(
    ! [VarCurr] :
      ( ~ v4131(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4134(VarCurr,B)
          <=> v4137(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_104,axiom,(
    ! [VarCurr] :
      ( v4131(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4134(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_101,axiom,(
    ! [VarCurr] :
      ( ~ v4108(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4137(VarCurr,B)
          <=> v4138(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_103,axiom,(
    ! [VarCurr] :
      ( v4108(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4137(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_741,axiom,(
    ! [VarCurr] :
      ( v4138(VarCurr,bitIndex0)
    <=> v4160(VarCurr) ) )).

fof(addAssignment_740,axiom,(
    ! [VarCurr] :
      ( v4138(VarCurr,bitIndex1)
    <=> v4158(VarCurr) ) )).

fof(addAssignment_739,axiom,(
    ! [VarCurr] :
      ( v4138(VarCurr,bitIndex2)
    <=> v4153(VarCurr) ) )).

fof(addAssignment_738,axiom,(
    ! [VarCurr] :
      ( v4138(VarCurr,bitIndex3)
    <=> v4148(VarCurr) ) )).

fof(addAssignment_737,axiom,(
    ! [VarCurr] :
      ( v4138(VarCurr,bitIndex4)
    <=> v4140(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1215,axiom,(
    ! [VarCurr] :
      ( v4158(VarCurr)
    <=> ( v4159(VarCurr)
        & v4162(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_285,axiom,(
    ! [VarCurr] :
      ( v4162(VarCurr)
    <=> ( v4106(VarCurr,bitIndex0)
        | v4106(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1214,axiom,(
    ! [VarCurr] :
      ( v4159(VarCurr)
    <=> ( v4160(VarCurr)
        | v4161(VarCurr) ) ) )).

fof(writeUnaryOperator_574,axiom,(
    ! [VarCurr] :
      ( ~ v4161(VarCurr)
    <=> v4106(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_573,axiom,(
    ! [VarCurr] :
      ( ~ v4160(VarCurr)
    <=> v4106(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1213,axiom,(
    ! [VarCurr] :
      ( v4153(VarCurr)
    <=> ( v4154(VarCurr)
        & v4157(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_284,axiom,(
    ! [VarCurr] :
      ( v4157(VarCurr)
    <=> ( v4145(VarCurr)
        | v4106(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1212,axiom,(
    ! [VarCurr] :
      ( v4154(VarCurr)
    <=> ( v4155(VarCurr)
        | v4156(VarCurr) ) ) )).

fof(writeUnaryOperator_572,axiom,(
    ! [VarCurr] :
      ( ~ v4156(VarCurr)
    <=> v4106(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_571,axiom,(
    ! [VarCurr] :
      ( ~ v4155(VarCurr)
    <=> v4145(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1211,axiom,(
    ! [VarCurr] :
      ( v4148(VarCurr)
    <=> ( v4149(VarCurr)
        & v4152(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_283,axiom,(
    ! [VarCurr] :
      ( v4152(VarCurr)
    <=> ( v4144(VarCurr)
        | v4106(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1210,axiom,(
    ! [VarCurr] :
      ( v4149(VarCurr)
    <=> ( v4150(VarCurr)
        | v4151(VarCurr) ) ) )).

fof(writeUnaryOperator_570,axiom,(
    ! [VarCurr] :
      ( ~ v4151(VarCurr)
    <=> v4106(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_569,axiom,(
    ! [VarCurr] :
      ( ~ v4150(VarCurr)
    <=> v4144(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1209,axiom,(
    ! [VarCurr] :
      ( v4140(VarCurr)
    <=> ( v4141(VarCurr)
        & v4147(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_282,axiom,(
    ! [VarCurr] :
      ( v4147(VarCurr)
    <=> ( v4143(VarCurr)
        | v4106(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1208,axiom,(
    ! [VarCurr] :
      ( v4141(VarCurr)
    <=> ( v4142(VarCurr)
        | v4146(VarCurr) ) ) )).

fof(writeUnaryOperator_568,axiom,(
    ! [VarCurr] :
      ( ~ v4146(VarCurr)
    <=> v4106(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_567,axiom,(
    ! [VarCurr] :
      ( ~ v4142(VarCurr)
    <=> v4143(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_281,axiom,(
    ! [VarCurr] :
      ( v4143(VarCurr)
    <=> ( v4144(VarCurr)
        & v4106(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_280,axiom,(
    ! [VarCurr] :
      ( v4144(VarCurr)
    <=> ( v4145(VarCurr)
        & v4106(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_279,axiom,(
    ! [VarCurr] :
      ( v4145(VarCurr)
    <=> ( v4106(VarCurr,bitIndex0)
        & v4106(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4119(VarNext)
      <=> ( v4120(VarNext)
          & v4127(VarNext) ) ) ) )).

fof(addAssignment_736,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4127(VarNext)
      <=> v4125(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1206,axiom,(
    ! [VarCurr] :
      ( v4125(VarCurr)
    <=> ( v4128(VarCurr)
        | v4131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1205,axiom,(
    ! [VarCurr] :
      ( v4131(VarCurr)
    <=> ( v4132(VarCurr)
        | v4133(VarCurr) ) ) )).

fof(writeUnaryOperator_566,axiom,(
    ! [VarCurr] :
      ( ~ v4133(VarCurr)
    <=> v3760(VarCurr) ) )).

fof(writeUnaryOperator_565,axiom,(
    ! [VarCurr] :
      ( ~ v4132(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1204,axiom,(
    ! [VarCurr] :
      ( v4128(VarCurr)
    <=> ( v4129(VarCurr)
        | v4108(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1203,axiom,(
    ! [VarCurr] :
      ( v4129(VarCurr)
    <=> ( v3987(VarCurr)
        & v4130(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_194,axiom,(
    ! [VarCurr] :
      ( v4130(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $true )
        & ( v3983(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4120(VarNext)
      <=> ( v4121(VarNext)
          & v2834(VarNext) ) ) ) )).

fof(writeUnaryOperator_564,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4121(VarNext)
      <=> v3743(VarNext) ) ) )).

fof(addAssignmentInitValueVector_25,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v4106(constB0,B)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1201,axiom,(
    ! [VarCurr] :
      ( v4108(VarCurr)
    <=> ( v4110(VarCurr)
        | v4112(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1200,axiom,(
    ! [VarCurr] :
      ( v4112(VarCurr)
    <=> ( v4113(VarCurr)
        & v4116(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_193,axiom,(
    ! [VarCurr] :
      ( v4116(VarCurr)
    <=> ( ( v4011(VarCurr,bitIndex4)
        <=> $false )
        & ( v4011(VarCurr,bitIndex3)
        <=> $false )
        & ( v4011(VarCurr,bitIndex2)
        <=> $false )
        & ( v4011(VarCurr,bitIndex1)
        <=> $false )
        & ( v4011(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1199,axiom,(
    ! [VarCurr] :
      ( v4113(VarCurr)
    <=> ( v4114(VarCurr)
        | v4115(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_192,axiom,(
    ! [VarCurr] :
      ( v4115(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $true )
        & ( v3983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_191,axiom,(
    ! [VarCurr] :
      ( v4114(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $true )
        & ( v3983(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1198,axiom,(
    ! [VarCurr] :
      ( v4110(VarCurr)
    <=> ( v4111(VarCurr)
        & v3646(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_190,axiom,(
    ! [VarCurr] :
      ( v4111(VarCurr)
    <=> ( ( v3983(VarCurr,bitIndex1)
        <=> $false )
        & ( v3983(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignmentInitValueVector_24,axiom,(
    ! [B] :
      ( range_1_0(B)
     => ( v3983(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4034(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v4011(VarNext,B)
            <=> v4011(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_42,axiom,(
    ! [VarNext] :
      ( v4034(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v4011(VarNext,B)
          <=> v4053(VarNext,B) ) ) ) )).

fof(addAssignment_735,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v4053(VarNext,B)
          <=> v4051(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_100,axiom,(
    ! [VarCurr] :
      ( ~ v4048(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4051(VarCurr,B)
          <=> v4054(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_102,axiom,(
    ! [VarCurr] :
      ( v4048(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4051(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_99,axiom,(
    ! [VarCurr] :
      ( ~ v4046(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4054(VarCurr,B)
          <=> v4080(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_101,axiom,(
    ! [VarCurr] :
      ( v4046(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v4054(VarCurr,B)
          <=> v4055(VarCurr,B) ) ) ) )).

fof(addAssignment_734,axiom,(
    ! [VarCurr] :
      ( v4080(VarCurr,bitIndex0)
    <=> v4077(VarCurr) ) )).

fof(addAssignment_733,axiom,(
    ! [VarCurr] :
      ( v4080(VarCurr,bitIndex1)
    <=> v4100(VarCurr) ) )).

fof(addAssignment_732,axiom,(
    ! [VarCurr] :
      ( v4080(VarCurr,bitIndex2)
    <=> v4096(VarCurr) ) )).

fof(addAssignment_731,axiom,(
    ! [VarCurr] :
      ( v4080(VarCurr,bitIndex3)
    <=> v4092(VarCurr) ) )).

fof(addAssignment_730,axiom,(
    ! [VarCurr] :
      ( v4080(VarCurr,bitIndex4)
    <=> v4082(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1197,axiom,(
    ! [VarCurr] :
      ( v4100(VarCurr)
    <=> ( v4101(VarCurr)
        & v4102(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1196,axiom,(
    ! [VarCurr] :
      ( v4102(VarCurr)
    <=> ( v4011(VarCurr,bitIndex0)
        | v4078(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_278,axiom,(
    ! [VarCurr] :
      ( v4101(VarCurr)
    <=> ( v4077(VarCurr)
        | v4011(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1195,axiom,(
    ! [VarCurr] :
      ( v4096(VarCurr)
    <=> ( v4097(VarCurr)
        & v4099(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1194,axiom,(
    ! [VarCurr] :
      ( v4099(VarCurr)
    <=> ( v4073(VarCurr)
        | v4089(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_277,axiom,(
    ! [VarCurr] :
      ( v4097(VarCurr)
    <=> ( v4011(VarCurr,bitIndex2)
        | v4098(VarCurr) ) ) )).

fof(writeUnaryOperator_563,axiom,(
    ! [VarCurr] :
      ( ~ v4098(VarCurr)
    <=> v4089(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1193,axiom,(
    ! [VarCurr] :
      ( v4092(VarCurr)
    <=> ( v4093(VarCurr)
        & v4095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1192,axiom,(
    ! [VarCurr] :
      ( v4095(VarCurr)
    <=> ( v4068(VarCurr)
        | v4087(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_276,axiom,(
    ! [VarCurr] :
      ( v4093(VarCurr)
    <=> ( v4011(VarCurr,bitIndex3)
        | v4094(VarCurr) ) ) )).

fof(writeUnaryOperator_562,axiom,(
    ! [VarCurr] :
      ( ~ v4094(VarCurr)
    <=> v4087(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1191,axiom,(
    ! [VarCurr] :
      ( v4082(VarCurr)
    <=> ( v4083(VarCurr)
        & v4091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1190,axiom,(
    ! [VarCurr] :
      ( v4091(VarCurr)
    <=> ( v4063(VarCurr)
        | v4085(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_275,axiom,(
    ! [VarCurr] :
      ( v4083(VarCurr)
    <=> ( v4011(VarCurr,bitIndex4)
        | v4084(VarCurr) ) ) )).

fof(writeUnaryOperator_561,axiom,(
    ! [VarCurr] :
      ( ~ v4084(VarCurr)
    <=> v4085(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_274,axiom,(
    ! [VarCurr] :
      ( v4085(VarCurr)
    <=> ( v4011(VarCurr,bitIndex3)
        | v4086(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1189,axiom,(
    ! [VarCurr] :
      ( v4086(VarCurr)
    <=> ( v4068(VarCurr)
        & v4087(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_273,axiom,(
    ! [VarCurr] :
      ( v4087(VarCurr)
    <=> ( v4011(VarCurr,bitIndex2)
        | v4088(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1188,axiom,(
    ! [VarCurr] :
      ( v4088(VarCurr)
    <=> ( v4073(VarCurr)
        & v4089(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_272,axiom,(
    ! [VarCurr] :
      ( v4089(VarCurr)
    <=> ( v4011(VarCurr,bitIndex1)
        | v4090(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1187,axiom,(
    ! [VarCurr] :
      ( v4090(VarCurr)
    <=> ( v4011(VarCurr,bitIndex0)
        & v4078(VarCurr) ) ) )).

fof(addAssignment_729,axiom,(
    ! [VarCurr] :
      ( v4055(VarCurr,bitIndex0)
    <=> v4077(VarCurr) ) )).

fof(addAssignment_728,axiom,(
    ! [VarCurr] :
      ( v4055(VarCurr,bitIndex1)
    <=> v4075(VarCurr) ) )).

fof(addAssignment_727,axiom,(
    ! [VarCurr] :
      ( v4055(VarCurr,bitIndex2)
    <=> v4070(VarCurr) ) )).

fof(addAssignment_726,axiom,(
    ! [VarCurr] :
      ( v4055(VarCurr,bitIndex3)
    <=> v4065(VarCurr) ) )).

fof(addAssignment_725,axiom,(
    ! [VarCurr] :
      ( v4055(VarCurr,bitIndex4)
    <=> v4057(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1186,axiom,(
    ! [VarCurr] :
      ( v4075(VarCurr)
    <=> ( v4076(VarCurr)
        & v4079(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_271,axiom,(
    ! [VarCurr] :
      ( v4079(VarCurr)
    <=> ( v4011(VarCurr,bitIndex0)
        | v4011(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1185,axiom,(
    ! [VarCurr] :
      ( v4076(VarCurr)
    <=> ( v4077(VarCurr)
        | v4078(VarCurr) ) ) )).

fof(writeUnaryOperator_560,axiom,(
    ! [VarCurr] :
      ( ~ v4078(VarCurr)
    <=> v4011(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_559,axiom,(
    ! [VarCurr] :
      ( ~ v4077(VarCurr)
    <=> v4011(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1184,axiom,(
    ! [VarCurr] :
      ( v4070(VarCurr)
    <=> ( v4071(VarCurr)
        & v4074(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_270,axiom,(
    ! [VarCurr] :
      ( v4074(VarCurr)
    <=> ( v4062(VarCurr)
        | v4011(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1183,axiom,(
    ! [VarCurr] :
      ( v4071(VarCurr)
    <=> ( v4072(VarCurr)
        | v4073(VarCurr) ) ) )).

fof(writeUnaryOperator_558,axiom,(
    ! [VarCurr] :
      ( ~ v4073(VarCurr)
    <=> v4011(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_557,axiom,(
    ! [VarCurr] :
      ( ~ v4072(VarCurr)
    <=> v4062(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1182,axiom,(
    ! [VarCurr] :
      ( v4065(VarCurr)
    <=> ( v4066(VarCurr)
        & v4069(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_269,axiom,(
    ! [VarCurr] :
      ( v4069(VarCurr)
    <=> ( v4061(VarCurr)
        | v4011(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1181,axiom,(
    ! [VarCurr] :
      ( v4066(VarCurr)
    <=> ( v4067(VarCurr)
        | v4068(VarCurr) ) ) )).

fof(writeUnaryOperator_556,axiom,(
    ! [VarCurr] :
      ( ~ v4068(VarCurr)
    <=> v4011(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_555,axiom,(
    ! [VarCurr] :
      ( ~ v4067(VarCurr)
    <=> v4061(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1180,axiom,(
    ! [VarCurr] :
      ( v4057(VarCurr)
    <=> ( v4058(VarCurr)
        & v4064(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_268,axiom,(
    ! [VarCurr] :
      ( v4064(VarCurr)
    <=> ( v4060(VarCurr)
        | v4011(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1179,axiom,(
    ! [VarCurr] :
      ( v4058(VarCurr)
    <=> ( v4059(VarCurr)
        | v4063(VarCurr) ) ) )).

fof(writeUnaryOperator_554,axiom,(
    ! [VarCurr] :
      ( ~ v4063(VarCurr)
    <=> v4011(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_553,axiom,(
    ! [VarCurr] :
      ( ~ v4059(VarCurr)
    <=> v4060(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_267,axiom,(
    ! [VarCurr] :
      ( v4060(VarCurr)
    <=> ( v4061(VarCurr)
        & v4011(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_266,axiom,(
    ! [VarCurr] :
      ( v4061(VarCurr)
    <=> ( v4062(VarCurr)
        & v4011(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_265,axiom,(
    ! [VarCurr] :
      ( v4062(VarCurr)
    <=> ( v4011(VarCurr,bitIndex0)
        & v4011(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1178,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4034(VarNext)
      <=> ( v4035(VarNext)
          & v4042(VarNext) ) ) ) )).

fof(addAssignment_724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4042(VarNext)
      <=> v4040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1177,axiom,(
    ! [VarCurr] :
      ( v4040(VarCurr)
    <=> ( v4043(VarCurr)
        | v4048(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1176,axiom,(
    ! [VarCurr] :
      ( v4048(VarCurr)
    <=> ( v4049(VarCurr)
        | v4050(VarCurr) ) ) )).

fof(writeUnaryOperator_552,axiom,(
    ! [VarCurr] :
      ( ~ v4050(VarCurr)
    <=> v3760(VarCurr) ) )).

fof(writeUnaryOperator_551,axiom,(
    ! [VarCurr] :
      ( ~ v4049(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1175,axiom,(
    ! [VarCurr] :
      ( v4043(VarCurr)
    <=> ( v4044(VarCurr)
        | v4046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1174,axiom,(
    ! [VarCurr] :
      ( v4046(VarCurr)
    <=> ( v3997(VarCurr)
        & v4047(VarCurr) ) ) )).

fof(writeUnaryOperator_550,axiom,(
    ! [VarCurr] :
      ( ~ v4047(VarCurr)
    <=> v4013(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1173,axiom,(
    ! [VarCurr] :
      ( v4044(VarCurr)
    <=> ( v4045(VarCurr)
        & v4013(VarCurr) ) ) )).

fof(writeUnaryOperator_549,axiom,(
    ! [VarCurr] :
      ( ~ v4045(VarCurr)
    <=> v3997(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1172,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4035(VarNext)
      <=> ( v4036(VarNext)
          & v2834(VarNext) ) ) ) )).

fof(writeUnaryOperator_548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4036(VarNext)
      <=> v3743(VarNext) ) ) )).

fof(addAssignmentInitValueVector_23,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v4011(constB0,B)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1171,axiom,(
    ! [VarCurr] :
      ( v4013(VarCurr)
    <=> ( v4015(VarCurr)
        & v4031(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_189,axiom,(
    ! [VarCurr] :
      ( v4031(VarCurr)
    <=> ( v4023(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_723,axiom,(
    ! [VarCurr] :
      ( v4023(VarCurr)
    <=> v4025(VarCurr,bitIndex3) ) )).

fof(addAssignment_722,axiom,(
    ! [VarCurr] :
      ( v4025(VarCurr,bitIndex3)
    <=> v4027(VarCurr,bitIndex3) ) )).

fof(addAssignment_721,axiom,(
    ! [VarCurr] :
      ( v4027(VarCurr,bitIndex3)
    <=> v4029(VarCurr,bitIndex3) ) )).

fof(addAssignment_720,axiom,(
    ! [VarCurr] :
      ( v4015(VarCurr)
    <=> v4017(VarCurr) ) )).

fof(addAssignment_719,axiom,(
    ! [VarCurr] :
      ( v4017(VarCurr)
    <=> v4019(VarCurr) ) )).

fof(addAssignment_718,axiom,(
    ! [VarCurr] :
      ( v4019(VarCurr)
    <=> v4021(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1170,axiom,(
    ! [VarCurr] :
      ( v3997(VarCurr)
    <=> ( v3999(VarCurr)
        & v3322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1169,axiom,(
    ! [VarCurr] :
      ( v3999(VarCurr)
    <=> ( v4000(VarCurr)
        | v4009(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_188,axiom,(
    ! [VarCurr] :
      ( v4009(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $true )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $true )
        & ( v3240(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1168,axiom,(
    ! [VarCurr] :
      ( v4000(VarCurr)
    <=> ( v4001(VarCurr)
        | v4008(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_187,axiom,(
    ! [VarCurr] :
      ( v4008(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $true )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $true )
        & ( v3240(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1167,axiom,(
    ! [VarCurr] :
      ( v4001(VarCurr)
    <=> ( v4002(VarCurr)
        | v4007(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_186,axiom,(
    ! [VarCurr] :
      ( v4007(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $true )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1166,axiom,(
    ! [VarCurr] :
      ( v4002(VarCurr)
    <=> ( v4003(VarCurr)
        | v4006(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_185,axiom,(
    ! [VarCurr] :
      ( v4006(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $true )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1165,axiom,(
    ! [VarCurr] :
      ( v4003(VarCurr)
    <=> ( v4004(VarCurr)
        | v4005(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_184,axiom,(
    ! [VarCurr] :
      ( v4005(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $true )
        & ( v3240(VarCurr,bitIndex2)
        <=> $false )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_183,axiom,(
    ! [VarCurr] :
      ( v4004(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $true )
        & ( v3240(VarCurr,bitIndex2)
        <=> $false )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1164,axiom,(
    ! [VarCurr] :
      ( v3987(VarCurr)
    <=> ( v3989(VarCurr)
        & v3322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1163,axiom,(
    ! [VarCurr] :
      ( v3989(VarCurr)
    <=> ( v3990(VarCurr)
        | v3995(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_182,axiom,(
    ! [VarCurr] :
      ( v3995(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $false )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1162,axiom,(
    ! [VarCurr] :
      ( v3990(VarCurr)
    <=> ( v3991(VarCurr)
        | v3994(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_181,axiom,(
    ! [VarCurr] :
      ( v3994(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $false )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1161,axiom,(
    ! [VarCurr] :
      ( v3991(VarCurr)
    <=> ( v3992(VarCurr)
        | v3993(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_180,axiom,(
    ! [VarCurr] :
      ( v3993(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $false )
        & ( v3240(VarCurr,bitIndex2)
        <=> $false )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_179,axiom,(
    ! [VarCurr] :
      ( v3992(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $false )
        & ( v3240(VarCurr,bitIndex2)
        <=> $false )
        & ( v3240(VarCurr,bitIndex1)
        <=> $false )
        & ( v3240(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_717,axiom,(
    ! [VarCurr] :
      ( v3760(VarCurr)
    <=> v3762(VarCurr) ) )).

fof(addAssignment_716,axiom,(
    ! [VarCurr] :
      ( v3762(VarCurr)
    <=> v3764(VarCurr) ) )).

fof(addAssignment_715,axiom,(
    ! [VarCurr] :
      ( v3764(VarCurr)
    <=> v3766(VarCurr) ) )).

fof(addAssignment_714,axiom,(
    ! [VarCurr] :
      ( v3766(VarCurr)
    <=> v3768(VarCurr) ) )).

fof(addAssignment_713,axiom,(
    ! [VarCurr] :
      ( v3768(VarCurr)
    <=> v3770(VarCurr,bitIndex0) ) )).

fof(addAssignment_712,axiom,(
    ! [VarCurr] :
      ( v3770(VarCurr,bitIndex0)
    <=> v3772(VarCurr,bitIndex0) ) )).

fof(addAssignment_711,axiom,(
    ! [VarCurr] :
      ( v3772(VarCurr,bitIndex0)
    <=> v3774(VarCurr,bitIndex0) ) )).

fof(addAssignment_710,axiom,(
    ! [VarCurr] :
      ( v3774(VarCurr,bitIndex0)
    <=> v3776(VarCurr,bitIndex0) ) )).

fof(addAssignment_709,axiom,(
    ! [VarCurr] :
      ( v3776(VarCurr,bitIndex0)
    <=> v3778(VarCurr,bitIndex0) ) )).

fof(addAssignment_708,axiom,(
    ! [VarCurr] :
      ( v3778(VarCurr,bitIndex0)
    <=> v3780(VarCurr,bitIndex0) ) )).

fof(addAssignment_707,axiom,(
    ! [VarCurr] :
      ( v3780(VarCurr,bitIndex0)
    <=> v3782(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_38,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3936(VarNext)
       => ( v3782(VarNext)
        <=> v3782(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_41,axiom,(
    ! [VarNext] :
      ( v3936(VarNext)
     => ( v3782(VarNext)
      <=> v3971(VarNext) ) ) )).

fof(addAssignment_706,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3971(VarNext)
      <=> v3969(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_46,axiom,(
    ! [VarCurr] :
      ( ~ v3784(VarCurr)
     => ( v3969(VarCurr)
      <=> v3972(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_46,axiom,(
    ! [VarCurr] :
      ( v3784(VarCurr)
     => ( v3969(VarCurr)
      <=> v3807(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_45,axiom,(
    ! [VarCurr] :
      ( ~ v3949(VarCurr)
     => ( v3972(VarCurr)
      <=> v3925(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_45,axiom,(
    ! [VarCurr] :
      ( v3949(VarCurr)
     => ( v3972(VarCurr)
      <=> v3973(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_16,axiom,(
    ! [VarCurr] :
      ( ( ~ v3952(VarCurr)
        & ~ v3954(VarCurr) )
     => ( v3973(VarCurr)
      <=> v3977(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_44,axiom,(
    ! [VarCurr] :
      ( v3954(VarCurr)
     => ( v3973(VarCurr)
      <=> v3976(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_44,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
     => ( v3973(VarCurr)
      <=> v3974(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_43,axiom,(
    ! [VarCurr] :
      ( ~ v3962(VarCurr)
     => ( v3977(VarCurr)
      <=> v3925(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_43,axiom,(
    ! [VarCurr] :
      ( v3962(VarCurr)
     => ( v3977(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_42,axiom,(
    ! [VarCurr] :
      ( ~ v3956(VarCurr)
     => ( v3976(VarCurr)
      <=> v3925(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_42,axiom,(
    ! [VarCurr] :
      ( v3956(VarCurr)
     => ( v3976(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_98,axiom,(
    ! [VarCurr] :
      ( ~ v3975(VarCurr)
     => ( v3974(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_100,axiom,(
    ! [VarCurr] :
      ( v3975(VarCurr)
     => ( v3974(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_178,axiom,(
    ! [VarCurr] :
      ( v3975(VarCurr)
    <=> ( v3816(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1160,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3936(VarNext)
      <=> ( v3937(VarNext)
          & v3946(VarNext) ) ) ) )).

fof(addAssignment_705,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3946(VarNext)
      <=> v3944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1159,axiom,(
    ! [VarCurr] :
      ( v3944(VarCurr)
    <=> ( v3784(VarCurr)
        | v3947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1158,axiom,(
    ! [VarCurr] :
      ( v3947(VarCurr)
    <=> ( v3948(VarCurr)
        & v3968(VarCurr) ) ) )).

fof(writeUnaryOperator_547,axiom,(
    ! [VarCurr] :
      ( ~ v3968(VarCurr)
    <=> v3784(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1157,axiom,(
    ! [VarCurr] :
      ( v3948(VarCurr)
    <=> ( v3949(VarCurr)
        | v3966(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1156,axiom,(
    ! [VarCurr] :
      ( v3966(VarCurr)
    <=> ( v3838(VarCurr)
        & v3967(VarCurr) ) ) )).

fof(writeUnaryOperator_546,axiom,(
    ! [VarCurr] :
      ( ~ v3967(VarCurr)
    <=> v3840(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1155,axiom,(
    ! [VarCurr] :
      ( v3949(VarCurr)
    <=> ( v3950(VarCurr)
        & v3840(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1154,axiom,(
    ! [VarCurr] :
      ( v3950(VarCurr)
    <=> ( v3951(VarCurr)
        | v3960(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1153,axiom,(
    ! [VarCurr] :
      ( v3960(VarCurr)
    <=> ( v3961(VarCurr)
        & v3965(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_177,axiom,(
    ! [VarCurr] :
      ( v3965(VarCurr)
    <=> ( ( v3953(VarCurr,bitIndex2)
        <=> $false )
        & ( v3953(VarCurr,bitIndex1)
        <=> $false )
        & ( v3953(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1152,axiom,(
    ! [VarCurr] :
      ( v3961(VarCurr)
    <=> ( v3962(VarCurr)
        | v3963(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1151,axiom,(
    ! [VarCurr] :
      ( v3963(VarCurr)
    <=> ( v3838(VarCurr)
        & v3964(VarCurr) ) ) )).

fof(writeUnaryOperator_545,axiom,(
    ! [VarCurr] :
      ( ~ v3964(VarCurr)
    <=> v3962(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_176,axiom,(
    ! [VarCurr] :
      ( v3962(VarCurr)
    <=> ( v3816(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1150,axiom,(
    ! [VarCurr] :
      ( v3951(VarCurr)
    <=> ( v3952(VarCurr)
        | v3954(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1149,axiom,(
    ! [VarCurr] :
      ( v3954(VarCurr)
    <=> ( v3955(VarCurr)
        & v3959(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_175,axiom,(
    ! [VarCurr] :
      ( v3959(VarCurr)
    <=> ( ( v3953(VarCurr,bitIndex2)
        <=> $false )
        & ( v3953(VarCurr,bitIndex1)
        <=> $true )
        & ( v3953(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1148,axiom,(
    ! [VarCurr] :
      ( v3955(VarCurr)
    <=> ( v3956(VarCurr)
        | v3957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1147,axiom,(
    ! [VarCurr] :
      ( v3957(VarCurr)
    <=> ( v3838(VarCurr)
        & v3958(VarCurr) ) ) )).

fof(writeUnaryOperator_544,axiom,(
    ! [VarCurr] :
      ( ~ v3958(VarCurr)
    <=> v3956(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_174,axiom,(
    ! [VarCurr] :
      ( v3956(VarCurr)
    <=> ( v3816(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_173,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
    <=> ( ( v3953(VarCurr,bitIndex2)
        <=> $true )
        & ( v3953(VarCurr,bitIndex1)
        <=> $false )
        & ( v3953(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_484,axiom,(
    b100(bitIndex2) )).

fof(bitBlastConstant_483,axiom,(
    ~ b100(bitIndex1) )).

fof(bitBlastConstant_482,axiom,(
    ~ b100(bitIndex0) )).

fof(addAssignment_704,axiom,(
    ! [VarCurr] :
      ( v3953(VarCurr,bitIndex0)
    <=> v3813(VarCurr) ) )).

fof(addAssignment_703,axiom,(
    ! [VarCurr] :
      ( v3953(VarCurr,bitIndex1)
    <=> v3811(VarCurr) ) )).

fof(addAssignment_702,axiom,(
    ! [VarCurr] :
      ( v3953(VarCurr,bitIndex2)
    <=> v3809(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1146,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3937(VarNext)
      <=> ( v3938(VarNext)
          & v3927(VarNext) ) ) ) )).

fof(writeUnaryOperator_543,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3938(VarNext)
      <=> v3940(VarNext) ) ) )).

fof(addAssignment_701,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3940(VarNext)
      <=> v3927(VarCurr) ) ) )).

fof(addAssignment_700,axiom,(
    ! [VarCurr] :
      ( v3927(VarCurr)
    <=> v3929(VarCurr) ) )).

fof(addAssignment_699,axiom,(
    ! [VarCurr] :
      ( v3929(VarCurr)
    <=> v3931(VarCurr) ) )).

fof(addAssignment_698,axiom,(
    ! [VarCurr] :
      ( v3931(VarCurr)
    <=> v3933(VarCurr) ) )).

fof(addAssignment_697,axiom,(
    ! [VarCurr] :
      ( v3933(VarCurr)
    <=> v3902(VarCurr) ) )).

fof(addAssignment_696,axiom,(
    ! [VarCurr] :
      ( v3925(VarCurr)
    <=> $false ) )).

fof(addAssignment_695,axiom,(
    ! [VarCurr] :
      ( v3840(VarCurr)
    <=> v3842(VarCurr) ) )).

fof(addAssignment_694,axiom,(
    ! [VarCurr] :
      ( v3842(VarCurr)
    <=> v3844(VarCurr) ) )).

fof(addAssignment_693,axiom,(
    ! [VarCurr] :
      ( v3844(VarCurr)
    <=> v3846(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1145,axiom,(
    ! [VarCurr] :
      ( v3846(VarCurr)
    <=> ( v3848(VarCurr)
        & v3860(VarCurr) ) ) )).

fof(addAssignment_692,axiom,(
    ! [VarCurr] :
      ( v3860(VarCurr)
    <=> v3862(VarCurr) ) )).

fof(addAssignment_691,axiom,(
    ! [VarCurr] :
      ( v3862(VarCurr)
    <=> v3864(VarCurr) ) )).

fof(addAssignment_690,axiom,(
    ! [VarCurr] :
      ( v3864(VarCurr)
    <=> v3866(VarCurr) ) )).

fof(addAssignment_689,axiom,(
    ! [VarCurr] :
      ( v3866(VarCurr)
    <=> v3868(VarCurr) ) )).

fof(addAssignment_688,axiom,(
    ! [VarCurr] :
      ( v3868(VarCurr)
    <=> v3870(VarCurr) ) )).

fof(addAssignment_687,axiom,(
    ! [VarCurr] :
      ( v3870(VarCurr)
    <=> v3872(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_37,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3909(VarNext)
       => ( v3872(VarNext)
        <=> v3872(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_40,axiom,(
    ! [VarNext] :
      ( v3909(VarNext)
     => ( v3872(VarNext)
      <=> v3919(VarNext) ) ) )).

fof(addAssignment_686,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3919(VarNext)
      <=> v3917(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_97,axiom,(
    ! [VarCurr] :
      ( ~ v3920(VarCurr)
     => ( v3917(VarCurr)
      <=> v3876(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_99,axiom,(
    ! [VarCurr] :
      ( v3920(VarCurr)
     => ( v3917(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_542,axiom,(
    ! [VarCurr] :
      ( ~ v3920(VarCurr)
    <=> v3874(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1144,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3909(VarNext)
      <=> v3910(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1143,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3910(VarNext)
      <=> ( v3911(VarNext)
          & v3900(VarNext) ) ) ) )).

fof(writeUnaryOperator_541,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3911(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(addAssignment_685,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3913(VarNext)
      <=> v3900(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_22,axiom,
    ( v3872(constB0)
  <=> $false )).

fof(addAssignment_684,axiom,(
    ! [VarCurr] :
      ( v3900(VarCurr)
    <=> v3902(VarCurr) ) )).

fof(addAssignment_683,axiom,(
    ! [VarCurr] :
      ( v3902(VarCurr)
    <=> v3904(VarCurr) ) )).

fof(addAssignment_682,axiom,(
    ! [VarCurr] :
      ( v3904(VarCurr)
    <=> v3906(VarCurr) ) )).

fof(addAssignment_681,axiom,(
    ! [VarCurr] :
      ( v3906(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_680,axiom,(
    ! [VarCurr] :
      ( v3876(VarCurr)
    <=> v3878(VarCurr) ) )).

fof(addAssignment_679,axiom,(
    ! [VarCurr] :
      ( v3878(VarCurr)
    <=> v3880(VarCurr) ) )).

fof(addAssignment_678,axiom,(
    ! [VarCurr] :
      ( v3880(VarCurr)
    <=> v3882(VarCurr) ) )).

fof(addAssignment_677,axiom,(
    ! [VarCurr] :
      ( v3882(VarCurr)
    <=> v3884(VarCurr) ) )).

fof(addAssignment_676,axiom,(
    ! [VarCurr] :
      ( v3884(VarCurr)
    <=> v3886(VarCurr) ) )).

fof(addAssignment_675,axiom,(
    ! [VarCurr] :
      ( v3886(VarCurr)
    <=> v3888(VarCurr) ) )).

fof(addAssignment_674,axiom,(
    ! [VarCurr] :
      ( v3888(VarCurr)
    <=> v3890(VarCurr) ) )).

fof(addAssignment_673,axiom,(
    ! [VarCurr] :
      ( v3890(VarCurr)
    <=> v3892(VarCurr) ) )).

fof(addAssignment_672,axiom,(
    ! [VarCurr] :
      ( v3892(VarCurr)
    <=> v3894(VarCurr) ) )).

fof(addAssignment_671,axiom,(
    ! [VarCurr] :
      ( v3894(VarCurr)
    <=> v3896(VarCurr) ) )).

fof(addAssignment_670,axiom,(
    ! [VarCurr] :
      ( v3896(VarCurr)
    <=> v3898(VarCurr) ) )).

fof(addAssignmentInitValueVector_21,axiom,
    ( v3898(constB0)
  <=> $false )).

fof(addAssignment_669,axiom,(
    ! [VarCurr] :
      ( v3874(VarCurr)
    <=> v3800(VarCurr) ) )).

fof(addAssignment_668,axiom,(
    ! [VarCurr] :
      ( v3848(VarCurr)
    <=> v3850(VarCurr) ) )).

fof(addAssignment_667,axiom,(
    ! [VarCurr] :
      ( v3850(VarCurr)
    <=> v3852(VarCurr) ) )).

fof(addAssignment_666,axiom,(
    ! [VarCurr] :
      ( v3852(VarCurr)
    <=> v3854(VarCurr) ) )).

fof(addAssignment_665,axiom,(
    ! [VarCurr] :
      ( v3854(VarCurr)
    <=> v3856(VarCurr) ) )).

fof(addAssignment_664,axiom,(
    ! [VarCurr] :
      ( v3856(VarCurr)
    <=> v3858(VarCurr) ) )).

fof(addAssignmentInitValueVector_20,axiom,
    ( v3858(constB0)
  <=> $false )).

fof(addAssignment_663,axiom,(
    ! [VarCurr] :
      ( v3838(VarCurr)
    <=> $false ) )).

fof(addAssignment_662,axiom,(
    ! [VarCurr] :
      ( v3816(VarCurr)
    <=> v3818(VarCurr,bitIndex0) ) )).

fof(addAssignment_661,axiom,(
    ! [VarCurr] :
      ( v3818(VarCurr,bitIndex0)
    <=> v3820(VarCurr,bitIndex0) ) )).

fof(addAssignment_660,axiom,(
    ! [VarCurr] :
      ( v3820(VarCurr,bitIndex0)
    <=> v3822(VarCurr,bitIndex0) ) )).

fof(addAssignment_659,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr,bitIndex0)
    <=> v3824(VarCurr,bitIndex0) ) )).

fof(addAssignment_658,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex0)
    <=> v3826(VarCurr,bitIndex0) ) )).

fof(addAssignment_657,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex0)
    <=> v3828(VarCurr,bitIndex0) ) )).

fof(addAssignment_656,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr,bitIndex0)
    <=> v3830(VarCurr,bitIndex0) ) )).

fof(addAssignment_655,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr,bitIndex0)
    <=> v3832(VarCurr,bitIndex0) ) )).

fof(addAssignment_654,axiom,(
    ! [VarCurr] :
      ( v3832(VarCurr,bitIndex0)
    <=> v3834(VarCurr,bitIndex0) ) )).

fof(addAssignmentInitValue_18,axiom,(
    ~ v3834(constB0,bitIndex1) )).

fof(addAssignmentInitValue_17,axiom,(
    ~ v3834(constB0,bitIndex0) )).

fof(bitBlastConstant_481,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex1) )).

fof(bitBlastConstant_480,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex0) )).

fof(addAssignment_653,axiom,(
    ! [VarCurr] :
      ( v3813(VarCurr)
    <=> $false ) )).

fof(addAssignment_652,axiom,(
    ! [VarCurr] :
      ( v3811(VarCurr)
    <=> $false ) )).

fof(addAssignment_651,axiom,(
    ! [VarCurr] :
      ( v3809(VarCurr)
    <=> $true ) )).

fof(addAssignment_650,axiom,(
    ! [VarCurr] :
      ( v3807(VarCurr)
    <=> $false ) )).

fof(addAssignment_649,axiom,(
    ! [VarCurr] :
      ( v3784(VarCurr)
    <=> v3786(VarCurr) ) )).

fof(writeUnaryOperator_540,axiom,(
    ! [VarCurr] :
      ( ~ v3786(VarCurr)
    <=> v3788(VarCurr) ) )).

fof(addAssignment_648,axiom,(
    ! [VarCurr] :
      ( v3788(VarCurr)
    <=> v3790(VarCurr) ) )).

fof(addAssignment_647,axiom,(
    ! [VarCurr] :
      ( v3790(VarCurr)
    <=> v3792(VarCurr) ) )).

fof(addAssignment_646,axiom,(
    ! [VarCurr] :
      ( v3792(VarCurr)
    <=> v3794(VarCurr) ) )).

fof(addAssignment_645,axiom,(
    ! [VarCurr] :
      ( v3794(VarCurr)
    <=> v3796(VarCurr) ) )).

fof(addAssignment_644,axiom,(
    ! [VarCurr] :
      ( v3796(VarCurr)
    <=> v3798(VarCurr) ) )).

fof(addAssignment_643,axiom,(
    ! [VarCurr] :
      ( v3798(VarCurr)
    <=> v3800(VarCurr) ) )).

fof(addAssignment_642,axiom,(
    ! [VarCurr] :
      ( v3800(VarCurr)
    <=> v3802(VarCurr) ) )).

fof(addAssignment_641,axiom,(
    ! [VarCurr] :
      ( v3802(VarCurr)
    <=> v3804(VarCurr) ) )).

fof(addAssignment_640,axiom,(
    ! [VarCurr] :
      ( v3804(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_36,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3739(VarNext)
       => ( v3644(VarNext)
        <=> v3644(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_39,axiom,(
    ! [VarNext] :
      ( v3739(VarNext)
     => ( v3644(VarNext)
      <=> v3755(VarNext) ) ) )).

fof(addAssignment_639,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3755(VarNext)
      <=> v3753(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_96,axiom,(
    ! [VarCurr] :
      ( ~ v3752(VarCurr)
     => ( v3753(VarCurr)
      <=> v3756(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_98,axiom,(
    ! [VarCurr] :
      ( v3752(VarCurr)
     => ( v3753(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_95,axiom,(
    ! [VarCurr] :
      ( ~ v3646(VarCurr)
     => ( v3756(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_97,axiom,(
    ! [VarCurr] :
      ( v3646(VarCurr)
     => ( v3756(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1142,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3739(VarNext)
      <=> ( v3740(VarNext)
          & v3749(VarNext) ) ) ) )).

fof(addAssignment_638,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3749(VarNext)
      <=> v3747(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1141,axiom,(
    ! [VarCurr] :
      ( v3747(VarCurr)
    <=> ( v3750(VarCurr)
        | v3752(VarCurr) ) ) )).

fof(writeUnaryOperator_539,axiom,(
    ! [VarCurr] :
      ( ~ v3752(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1140,axiom,(
    ! [VarCurr] :
      ( v3750(VarCurr)
    <=> ( v3751(VarCurr)
        | v3646(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1139,axiom,(
    ! [VarCurr] :
      ( v3751(VarCurr)
    <=> ( v3689(VarCurr)
        & v3732(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1138,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3740(VarNext)
      <=> ( v3741(VarNext)
          & v2834(VarNext) ) ) ) )).

fof(writeUnaryOperator_538,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3741(VarNext)
      <=> v3743(VarNext) ) ) )).

fof(addAssignment_637,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3743(VarNext)
      <=> v2834(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_19,axiom,
    ( v3644(constB0)
  <=> $false )).

fof(writeBinaryOperatorEqualRangesSingleBits_1137,axiom,(
    ! [VarCurr] :
      ( v3732(VarCurr)
    <=> ( v3734(VarCurr)
        & v3322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1136,axiom,(
    ! [VarCurr] :
      ( v3734(VarCurr)
    <=> ( v3735(VarCurr)
        | v3736(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_172,axiom,(
    ! [VarCurr] :
      ( v3736(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $false )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $true )
        & ( v3240(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_171,axiom,(
    ! [VarCurr] :
      ( v3735(VarCurr)
    <=> ( ( v3240(VarCurr,bitIndex3)
        <=> $false )
        & ( v3240(VarCurr,bitIndex2)
        <=> $true )
        & ( v3240(VarCurr,bitIndex1)
        <=> $true )
        & ( v3240(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_636,axiom,(
    ! [VarCurr] :
      ( ( v3240(VarCurr,bitIndex2)
      <=> v3242(VarCurr,bitIndex65) )
      & ( v3240(VarCurr,bitIndex1)
      <=> v3242(VarCurr,bitIndex64) )
      & ( v3240(VarCurr,bitIndex0)
      <=> v3242(VarCurr,bitIndex63) ) ) )).

fof(addAssignment_635,axiom,(
    ! [VarCurr,B] :
      ( range_65_63(B)
     => ( v3242(VarCurr,B)
      <=> v3244(VarCurr,B) ) ) )).

fof(addAssignment_634,axiom,(
    ! [VarCurr,B] :
      ( range_65_63(B)
     => ( v3244(VarCurr,B)
      <=> v3314(VarCurr,B) ) ) )).

fof(range_axiom_22,axiom,(
    ! [B] :
      ( range_65_63(B)
    <=> ( $false
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B ) ) )).

fof(addAssignment_633,axiom,(
    ! [VarCurr] :
      ( v3689(VarCurr)
    <=> v3691(VarCurr) ) )).

fof(addAssignment_632,axiom,(
    ! [VarCurr] :
      ( v3691(VarCurr)
    <=> v3693(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_35,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3715(VarNext)
       => ( v3693(VarNext)
        <=> v3693(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_38,axiom,(
    ! [VarNext] :
      ( v3715(VarNext)
     => ( v3693(VarNext)
      <=> v3725(VarNext) ) ) )).

fof(addAssignment_631,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3725(VarNext)
      <=> v3723(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_94,axiom,(
    ! [VarCurr] :
      ( ~ v3726(VarCurr)
     => ( v3723(VarCurr)
      <=> x3708(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_96,axiom,(
    ! [VarCurr] :
      ( v3726(VarCurr)
     => ( v3723(VarCurr)
      <=> v3703(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1135,axiom,(
    ! [VarCurr] :
      ( v3726(VarCurr)
    <=> ( v3727(VarCurr)
        & v3728(VarCurr) ) ) )).

fof(writeUnaryOperator_537,axiom,(
    ! [VarCurr] :
      ( ~ v3728(VarCurr)
    <=> v3699(VarCurr) ) )).

fof(writeUnaryOperator_536,axiom,(
    ! [VarCurr] :
      ( ~ v3727(VarCurr)
    <=> v3695(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1134,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3715(VarNext)
      <=> v3716(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3716(VarNext)
      <=> ( v3717(VarNext)
          & v3710(VarNext) ) ) ) )).

fof(writeUnaryOperator_535,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3717(VarNext)
      <=> v3719(VarNext) ) ) )).

fof(addAssignment_630,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3719(VarNext)
      <=> v3710(VarCurr) ) ) )).

fof(addAssignment_629,axiom,(
    ! [VarCurr] :
      ( v3710(VarCurr)
    <=> v3712(VarCurr) ) )).

fof(addAssignment_628,axiom,(
    ! [VarCurr] :
      ( v3712(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addAssignment_627,axiom,(
    ! [VarCurr] :
      ( v3703(VarCurr)
    <=> v3705(VarCurr) ) )).

fof(addAssignment_626,axiom,(
    ! [VarCurr] :
      ( v3705(VarCurr)
    <=> v3707(VarCurr) ) )).

fof(addAssignmentInitValueVector_18,axiom,
    ( v3707(constB0)
  <=> $false )).

fof(addAssignment_625,axiom,(
    ! [VarCurr] :
      ( v3699(VarCurr)
    <=> v3701(VarCurr) ) )).

fof(addAssignment_624,axiom,(
    ! [VarCurr] :
      ( v3701(VarCurr)
    <=> $false ) )).

fof(addAssignment_623,axiom,(
    ! [VarCurr] :
      ( v3695(VarCurr)
    <=> v3697(VarCurr) ) )).

fof(addAssignment_622,axiom,(
    ! [VarCurr] :
      ( v3697(VarCurr)
    <=> $false ) )).

fof(addAssignment_621,axiom,(
    ! [VarCurr] :
      ( v3646(VarCurr)
    <=> v3648(VarCurr) ) )).

fof(addAssignment_620,axiom,(
    ! [VarCurr] :
      ( v3648(VarCurr)
    <=> v3650(VarCurr) ) )).

fof(addAssignment_619,axiom,(
    ! [VarCurr] :
      ( v3650(VarCurr)
    <=> v3652(VarCurr) ) )).

fof(addAssignment_618,axiom,(
    ! [VarCurr] :
      ( v3652(VarCurr)
    <=> v3654(VarCurr) ) )).

fof(addAssignment_617,axiom,(
    ! [VarCurr] :
      ( v3654(VarCurr)
    <=> v3656(VarCurr) ) )).

fof(addAssignment_616,axiom,(
    ! [VarCurr] :
      ( v3656(VarCurr)
    <=> v3658(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_93,axiom,(
    ! [VarCurr] :
      ( ~ v3676(VarCurr)
     => ( v3658(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_95,axiom,(
    ! [VarCurr] :
      ( v3676(VarCurr)
     => ( v3658(VarCurr)
      <=> v3679(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_41,axiom,(
    ! [VarCurr] :
      ( ~ v3677(VarCurr)
     => ( v3679(VarCurr)
      <=> v3684(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_41,axiom,(
    ! [VarCurr] :
      ( v3677(VarCurr)
     => ( v3679(VarCurr)
      <=> v3680(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_92,axiom,(
    ! [VarCurr] :
      ( ~ v3685(VarCurr)
     => ( v3684(VarCurr)
      <=> v3686(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_94,axiom,(
    ! [VarCurr] :
      ( v3685(VarCurr)
     => ( v3684(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_91,axiom,(
    ! [VarCurr] :
      ( ~ v3687(VarCurr)
     => ( v3686(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_93,axiom,(
    ! [VarCurr] :
      ( v3687(VarCurr)
     => ( v3686(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_534,axiom,(
    ! [VarCurr] :
      ( ~ v3687(VarCurr)
    <=> v3662(VarCurr) ) )).

fof(writeUnaryOperator_533,axiom,(
    ! [VarCurr] :
      ( ~ v3685(VarCurr)
    <=> v3669(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_90,axiom,(
    ! [VarCurr] :
      ( ~ v3681(VarCurr)
     => ( v3680(VarCurr)
      <=> v3682(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_92,axiom,(
    ! [VarCurr] :
      ( v3681(VarCurr)
     => ( v3680(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_89,axiom,(
    ! [VarCurr] :
      ( ~ v3683(VarCurr)
     => ( v3682(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_91,axiom,(
    ! [VarCurr] :
      ( v3683(VarCurr)
     => ( v3682(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_532,axiom,(
    ! [VarCurr] :
      ( ~ v3683(VarCurr)
    <=> v3669(VarCurr) ) )).

fof(writeUnaryOperator_531,axiom,(
    ! [VarCurr] :
      ( ~ v3681(VarCurr)
    <=> v3662(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1132,axiom,(
    ! [VarCurr] :
      ( v3676(VarCurr)
    <=> ( v3677(VarCurr)
        | v3678(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_170,axiom,(
    ! [VarCurr] :
      ( v3678(VarCurr)
    <=> ( $true
      <=> v3660(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_169,axiom,(
    ! [VarCurr] :
      ( v3677(VarCurr)
    <=> ( $true
      <=> v3660(VarCurr,bitIndex0) ) ) )).

fof(addAssignmentInitValueVector_17,axiom,
    ( v3660(constB0,bitIndex1)
  <=> $false )).

fof(addAssignmentInitValueVector_16,axiom,
    ( v3660(constB0,bitIndex0)
  <=> $true )).

fof(addAssignment_615,axiom,(
    ! [VarCurr] :
      ( v3669(VarCurr)
    <=> v3671(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_168,axiom,(
    ! [VarCurr] :
      ( v3671(VarCurr)
    <=> ( ( v3673(VarCurr,bitIndex4)
        <=> $false )
        & ( v3673(VarCurr,bitIndex3)
        <=> $false )
        & ( v3673(VarCurr,bitIndex2)
        <=> $false )
        & ( v3673(VarCurr,bitIndex1)
        <=> $false )
        & ( v3673(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignmentInitValueVector_15,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v3673(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_614,axiom,(
    ! [VarCurr] :
      ( v3662(VarCurr)
    <=> v3664(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_167,axiom,(
    ! [VarCurr] :
      ( v3664(VarCurr)
    <=> ( ( v3666(VarCurr,bitIndex4)
        <=> $false )
        & ( v3666(VarCurr,bitIndex3)
        <=> $false )
        & ( v3666(VarCurr,bitIndex2)
        <=> $false )
        & ( v3666(VarCurr,bitIndex1)
        <=> $false )
        & ( v3666(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignmentInitValueVector_14,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v3666(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_613,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr)
    <=> v3160(VarCurr) ) )).

fof(writeUnaryOperator_530,axiom,(
    ! [VarCurr] :
      ( ~ v3160(VarCurr)
    <=> v3162(VarCurr) ) )).

fof(addAssignment_612,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr)
    <=> v3164(VarCurr) ) )).

fof(addAssignment_611,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr)
    <=> v3166(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_166,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr)
    <=> ( ( v3168(VarCurr,bitIndex3)
        <=> $false )
        & ( v3168(VarCurr,bitIndex2)
        <=> $false )
        & ( v3168(VarCurr,bitIndex1)
        <=> $false )
        & ( v3168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3617(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v3168(VarNext,B)
            <=> v3168(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_37,axiom,(
    ! [VarNext] :
      ( v3617(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v3168(VarNext,B)
          <=> v3627(VarNext,B) ) ) ) )).

fof(addAssignment_610,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v3627(VarNext,B)
          <=> v3625(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_88,axiom,(
    ! [VarCurr] :
      ( ~ v3628(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3625(VarCurr,B)
          <=> v3172(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_90,axiom,(
    ! [VarCurr] :
      ( v3628(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3625(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_529,axiom,(
    ! [VarCurr] :
      ( ~ v3628(VarCurr)
    <=> v3170(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1131,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3617(VarNext)
      <=> v3618(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3618(VarNext)
      <=> ( v3619(VarNext)
          & v3614(VarNext) ) ) ) )).

fof(writeUnaryOperator_528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3619(VarNext)
      <=> v3621(VarNext) ) ) )).

fof(addAssignment_609,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3621(VarNext)
      <=> v3614(VarCurr) ) ) )).

fof(addAssignment_608,axiom,(
    ! [VarCurr] :
      ( v3614(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_9,axiom,(
    ! [VarCurr] :
      ( ( ~ v3552(VarCurr)
        & ~ v3554(VarCurr)
        & ~ v3588(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v3172(VarCurr,B)
          <=> v3168(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_15,axiom,(
    ! [VarCurr] :
      ( v3588(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3172(VarCurr,B)
          <=> v3590(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_40,axiom,(
    ! [VarCurr] :
      ( v3554(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3172(VarCurr,B)
          <=> v3556(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_40,axiom,(
    ! [VarCurr] :
      ( v3552(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3172(VarCurr,B)
          <=> v3168(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_165,axiom,(
    ! [VarCurr] :
      ( v3611(VarCurr)
    <=> ( ( v3612(VarCurr,bitIndex1)
        <=> $true )
        & ( v3612(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_607,axiom,(
    ! [VarCurr] :
      ( v3612(VarCurr,bitIndex0)
    <=> v3184(VarCurr) ) )).

fof(addAssignment_606,axiom,(
    ! [VarCurr] :
      ( v3612(VarCurr,bitIndex1)
    <=> v3174(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_87,axiom,(
    ! [VarCurr] :
      ( ~ v3591(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3590(VarCurr,B)
          <=> v3592(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_89,axiom,(
    ! [VarCurr] :
      ( v3591(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3590(VarCurr,B)
          <=> b0110(B) ) ) ) )).

fof(addAssignment_605,axiom,(
    ! [VarCurr] :
      ( v3592(VarCurr,bitIndex0)
    <=> v3608(VarCurr) ) )).

fof(addAssignment_604,axiom,(
    ! [VarCurr] :
      ( v3592(VarCurr,bitIndex1)
    <=> v3606(VarCurr) ) )).

fof(addAssignment_603,axiom,(
    ! [VarCurr] :
      ( v3592(VarCurr,bitIndex2)
    <=> v3601(VarCurr) ) )).

fof(addAssignment_602,axiom,(
    ! [VarCurr] :
      ( v3592(VarCurr,bitIndex3)
    <=> v3594(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1129,axiom,(
    ! [VarCurr] :
      ( v3606(VarCurr)
    <=> ( v3607(VarCurr)
        & v3610(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_264,axiom,(
    ! [VarCurr] :
      ( v3610(VarCurr)
    <=> ( v3168(VarCurr,bitIndex0)
        | v3168(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1128,axiom,(
    ! [VarCurr] :
      ( v3607(VarCurr)
    <=> ( v3608(VarCurr)
        | v3609(VarCurr) ) ) )).

fof(writeUnaryOperator_527,axiom,(
    ! [VarCurr] :
      ( ~ v3609(VarCurr)
    <=> v3168(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_526,axiom,(
    ! [VarCurr] :
      ( ~ v3608(VarCurr)
    <=> v3168(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1127,axiom,(
    ! [VarCurr] :
      ( v3601(VarCurr)
    <=> ( v3602(VarCurr)
        & v3605(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_263,axiom,(
    ! [VarCurr] :
      ( v3605(VarCurr)
    <=> ( v3598(VarCurr)
        | v3168(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1126,axiom,(
    ! [VarCurr] :
      ( v3602(VarCurr)
    <=> ( v3603(VarCurr)
        | v3604(VarCurr) ) ) )).

fof(writeUnaryOperator_525,axiom,(
    ! [VarCurr] :
      ( ~ v3604(VarCurr)
    <=> v3168(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_524,axiom,(
    ! [VarCurr] :
      ( ~ v3603(VarCurr)
    <=> v3598(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1125,axiom,(
    ! [VarCurr] :
      ( v3594(VarCurr)
    <=> ( v3595(VarCurr)
        & v3600(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_262,axiom,(
    ! [VarCurr] :
      ( v3600(VarCurr)
    <=> ( v3597(VarCurr)
        | v3168(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1124,axiom,(
    ! [VarCurr] :
      ( v3595(VarCurr)
    <=> ( v3596(VarCurr)
        | v3599(VarCurr) ) ) )).

fof(writeUnaryOperator_523,axiom,(
    ! [VarCurr] :
      ( ~ v3599(VarCurr)
    <=> v3168(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_522,axiom,(
    ! [VarCurr] :
      ( ~ v3596(VarCurr)
    <=> v3597(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_261,axiom,(
    ! [VarCurr] :
      ( v3597(VarCurr)
    <=> ( v3598(VarCurr)
        & v3168(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_260,axiom,(
    ! [VarCurr] :
      ( v3598(VarCurr)
    <=> ( v3168(VarCurr,bitIndex0)
        & v3168(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_164,axiom,(
    ! [VarCurr] :
      ( v3591(VarCurr)
    <=> ( ( v3168(VarCurr,bitIndex3)
        <=> $false )
        & ( v3168(VarCurr,bitIndex2)
        <=> $true )
        & ( v3168(VarCurr,bitIndex1)
        <=> $true )
        & ( v3168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_163,axiom,(
    ! [VarCurr] :
      ( v3588(VarCurr)
    <=> ( ( v3589(VarCurr,bitIndex1)
        <=> $true )
        & ( v3589(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_601,axiom,(
    ! [VarCurr] :
      ( v3589(VarCurr,bitIndex0)
    <=> v3184(VarCurr) ) )).

fof(addAssignment_600,axiom,(
    ! [VarCurr] :
      ( v3589(VarCurr,bitIndex1)
    <=> v3174(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_86,axiom,(
    ! [VarCurr] :
      ( ~ v3557(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3556(VarCurr,B)
          <=> v3558(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_88,axiom,(
    ! [VarCurr] :
      ( v3557(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3556(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_78,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex5)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_77,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex6)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_76,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex7)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_75,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex8)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_74,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex9)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_73,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex10)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_72,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex11)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_71,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex12)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_70,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex13)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_69,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex14)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_68,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex15)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_67,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex16)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_66,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex17)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_65,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex18)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_64,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex19)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_63,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex20)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_62,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex21)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_61,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex22)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_60,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex23)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_59,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex24)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_58,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex25)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_57,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex26)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_56,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex27)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_55,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex28)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_54,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex29)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_53,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex30)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_52,axiom,(
    ! [VarCurr] :
      ( v3558(VarCurr,bitIndex31)
    <=> v3559(VarCurr,bitIndex4) ) )).

fof(addAssignment_599,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v3558(VarCurr,B)
      <=> v3559(VarCurr,B) ) ) )).

fof(addAssignment_598,axiom,(
    ! [VarCurr] :
      ( v3559(VarCurr,bitIndex0)
    <=> v3586(VarCurr) ) )).

fof(addAssignment_597,axiom,(
    ! [VarCurr] :
      ( v3559(VarCurr,bitIndex1)
    <=> v3584(VarCurr) ) )).

fof(addAssignment_596,axiom,(
    ! [VarCurr] :
      ( v3559(VarCurr,bitIndex2)
    <=> v3580(VarCurr) ) )).

fof(addAssignment_595,axiom,(
    ! [VarCurr] :
      ( v3559(VarCurr,bitIndex3)
    <=> v3576(VarCurr) ) )).

fof(addAssignment_594,axiom,(
    ! [VarCurr] :
      ( v3559(VarCurr,bitIndex4)
    <=> v3561(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1123,axiom,(
    ! [VarCurr] :
      ( v3584(VarCurr)
    <=> ( v3585(VarCurr)
        & v3587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1122,axiom,(
    ! [VarCurr] :
      ( v3587(VarCurr)
    <=> ( v3565(VarCurr,bitIndex0)
        | v3571(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_259,axiom,(
    ! [VarCurr] :
      ( v3585(VarCurr)
    <=> ( v3586(VarCurr)
        | v3565(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_521,axiom,(
    ! [VarCurr] :
      ( ~ v3586(VarCurr)
    <=> v3565(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1121,axiom,(
    ! [VarCurr] :
      ( v3580(VarCurr)
    <=> ( v3581(VarCurr)
        & v3583(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1120,axiom,(
    ! [VarCurr] :
      ( v3583(VarCurr)
    <=> ( v3569(VarCurr)
        | v3572(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_258,axiom,(
    ! [VarCurr] :
      ( v3581(VarCurr)
    <=> ( v3582(VarCurr)
        | v3565(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_520,axiom,(
    ! [VarCurr] :
      ( ~ v3582(VarCurr)
    <=> v3569(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1119,axiom,(
    ! [VarCurr] :
      ( v3576(VarCurr)
    <=> ( v3577(VarCurr)
        & v3579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1118,axiom,(
    ! [VarCurr] :
      ( v3579(VarCurr)
    <=> ( v3567(VarCurr)
        | v3573(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_257,axiom,(
    ! [VarCurr] :
      ( v3577(VarCurr)
    <=> ( v3578(VarCurr)
        | v3565(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_519,axiom,(
    ! [VarCurr] :
      ( ~ v3578(VarCurr)
    <=> v3567(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1117,axiom,(
    ! [VarCurr] :
      ( v3561(VarCurr)
    <=> ( v3562(VarCurr)
        & v3574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1116,axiom,(
    ! [VarCurr] :
      ( v3574(VarCurr)
    <=> ( v3564(VarCurr)
        | v3575(VarCurr) ) ) )).

fof(writeUnaryOperator_518,axiom,(
    ! [VarCurr] :
      ( ~ v3575(VarCurr)
    <=> v3565(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_256,axiom,(
    ! [VarCurr] :
      ( v3562(VarCurr)
    <=> ( v3563(VarCurr)
        | v3565(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_517,axiom,(
    ! [VarCurr] :
      ( ~ v3563(VarCurr)
    <=> v3564(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_255,axiom,(
    ! [VarCurr] :
      ( v3564(VarCurr)
    <=> ( v3565(VarCurr,bitIndex3)
        | v3566(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1115,axiom,(
    ! [VarCurr] :
      ( v3566(VarCurr)
    <=> ( v3567(VarCurr)
        & v3573(VarCurr) ) ) )).

fof(writeUnaryOperator_516,axiom,(
    ! [VarCurr] :
      ( ~ v3573(VarCurr)
    <=> v3565(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_254,axiom,(
    ! [VarCurr] :
      ( v3567(VarCurr)
    <=> ( v3565(VarCurr,bitIndex2)
        | v3568(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1114,axiom,(
    ! [VarCurr] :
      ( v3568(VarCurr)
    <=> ( v3569(VarCurr)
        & v3572(VarCurr) ) ) )).

fof(writeUnaryOperator_515,axiom,(
    ! [VarCurr] :
      ( ~ v3572(VarCurr)
    <=> v3565(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_253,axiom,(
    ! [VarCurr] :
      ( v3569(VarCurr)
    <=> ( v3565(VarCurr,bitIndex1)
        | v3570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1113,axiom,(
    ! [VarCurr] :
      ( v3570(VarCurr)
    <=> ( v3565(VarCurr,bitIndex0)
        & v3571(VarCurr) ) ) )).

fof(writeUnaryOperator_514,axiom,(
    ! [VarCurr] :
      ( ~ v3571(VarCurr)
    <=> v3565(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_5,axiom,(
    ! [VarCurr] : ~ v3565(VarCurr,bitIndex4) )).

fof(addAssignment_593,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v3565(VarCurr,B)
      <=> v3168(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_162,axiom,(
    ! [VarCurr] :
      ( v3557(VarCurr)
    <=> ( ( v3168(VarCurr,bitIndex3)
        <=> $false )
        & ( v3168(VarCurr,bitIndex2)
        <=> $false )
        & ( v3168(VarCurr,bitIndex1)
        <=> $false )
        & ( v3168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_161,axiom,(
    ! [VarCurr] :
      ( v3554(VarCurr)
    <=> ( ( v3555(VarCurr,bitIndex1)
        <=> $false )
        & ( v3555(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_592,axiom,(
    ! [VarCurr] :
      ( v3555(VarCurr,bitIndex0)
    <=> v3184(VarCurr) ) )).

fof(addAssignment_591,axiom,(
    ! [VarCurr] :
      ( v3555(VarCurr,bitIndex1)
    <=> v3174(VarCurr) ) )).

fof(addAssignmentInitValueVector_13,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v3168(constB0,B)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_160,axiom,(
    ! [VarCurr] :
      ( v3552(VarCurr)
    <=> ( ( v3553(VarCurr,bitIndex1)
        <=> $false )
        & ( v3553(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_590,axiom,(
    ! [VarCurr] :
      ( v3553(VarCurr,bitIndex0)
    <=> v3184(VarCurr) ) )).

fof(addAssignment_589,axiom,(
    ! [VarCurr] :
      ( v3553(VarCurr,bitIndex1)
    <=> v3174(VarCurr) ) )).

fof(addAssignment_588,axiom,(
    ! [VarCurr] :
      ( v3184(VarCurr)
    <=> v3186(VarCurr) ) )).

fof(addAssignment_587,axiom,(
    ! [VarCurr] :
      ( v3186(VarCurr)
    <=> v3188(VarCurr) ) )).

fof(addAssignment_586,axiom,(
    ! [VarCurr] :
      ( v3188(VarCurr)
    <=> v3190(VarCurr) ) )).

fof(addAssignment_585,axiom,(
    ! [VarCurr] :
      ( v3190(VarCurr)
    <=> v3192(VarCurr,bitIndex7) ) )).

fof(addAssignment_584,axiom,(
    ! [VarNext] :
      ( v3192(VarNext,bitIndex7)
    <=> v3544(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionShiftedRanges1_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3545(VarNext)
       => ( ( v3544(VarNext,bitIndex10)
          <=> v3192(VarCurr,bitIndex11) )
          & ( v3544(VarNext,bitIndex9)
          <=> v3192(VarCurr,bitIndex10) )
          & ( v3544(VarNext,bitIndex8)
          <=> v3192(VarCurr,bitIndex9) )
          & ( v3544(VarNext,bitIndex7)
          <=> v3192(VarCurr,bitIndex8) )
          & ( v3544(VarNext,bitIndex6)
          <=> v3192(VarCurr,bitIndex7) )
          & ( v3544(VarNext,bitIndex5)
          <=> v3192(VarCurr,bitIndex6) )
          & ( v3544(VarNext,bitIndex4)
          <=> v3192(VarCurr,bitIndex5) )
          & ( v3544(VarNext,bitIndex3)
          <=> v3192(VarCurr,bitIndex4) )
          & ( v3544(VarNext,bitIndex2)
          <=> v3192(VarCurr,bitIndex3) )
          & ( v3544(VarNext,bitIndex1)
          <=> v3192(VarCurr,bitIndex2) )
          & ( v3544(VarNext,bitIndex0)
          <=> v3192(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_36,axiom,(
    ! [VarNext] :
      ( v3545(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v3544(VarNext,B)
          <=> v3369(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1112,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3545(VarNext)
      <=> v3546(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1111,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3546(VarNext)
      <=> ( v3548(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_513,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3548(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_18,axiom,(
    ! [VarCurr] :
      ( ~ v3520(VarCurr)
     => ( v3044(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_16,axiom,(
    ! [VarCurr] :
      ( v3520(VarCurr)
     => ( v3044(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1110,axiom,(
    ! [VarCurr] :
      ( v3520(VarCurr)
    <=> ( v3521(VarCurr)
        | v3541(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1109,axiom,(
    ! [VarCurr] :
      ( v3541(VarCurr)
    <=> ( v3542(VarCurr)
        & v3446(VarCurr) ) ) )).

fof(addAssignment_583,axiom,(
    ! [VarCurr] :
      ( v3542(VarCurr)
    <=> v3528(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1108,axiom,(
    ! [VarCurr] :
      ( v3521(VarCurr)
    <=> ( v3522(VarCurr)
        | v3539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1107,axiom,(
    ! [VarCurr] :
      ( v3539(VarCurr)
    <=> ( v3540(VarCurr)
        & v3441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1106,axiom,(
    ! [VarCurr] :
      ( v3540(VarCurr)
    <=> ( v3528(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1105,axiom,(
    ! [VarCurr] :
      ( v3522(VarCurr)
    <=> ( v3523(VarCurr)
        | v3537(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1104,axiom,(
    ! [VarCurr] :
      ( v3537(VarCurr)
    <=> ( v3538(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(addAssignment_582,axiom,(
    ! [VarCurr] :
      ( v3538(VarCurr)
    <=> v3528(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1103,axiom,(
    ! [VarCurr] :
      ( v3523(VarCurr)
    <=> ( v3524(VarCurr)
        | v3535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1102,axiom,(
    ! [VarCurr] :
      ( v3535(VarCurr)
    <=> ( v3536(VarCurr)
        & v3429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1101,axiom,(
    ! [VarCurr] :
      ( v3536(VarCurr)
    <=> ( v3528(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1100,axiom,(
    ! [VarCurr] :
      ( v3524(VarCurr)
    <=> ( v3525(VarCurr)
        | v3533(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1099,axiom,(
    ! [VarCurr] :
      ( v3533(VarCurr)
    <=> ( v3534(VarCurr)
        & v3424(VarCurr) ) ) )).

fof(addAssignment_581,axiom,(
    ! [VarCurr] :
      ( v3534(VarCurr)
    <=> v3528(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1098,axiom,(
    ! [VarCurr] :
      ( v3525(VarCurr)
    <=> ( v3526(VarCurr)
        | v3530(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1097,axiom,(
    ! [VarCurr] :
      ( v3530(VarCurr)
    <=> ( v3531(VarCurr)
        & v3417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1096,axiom,(
    ! [VarCurr] :
      ( v3531(VarCurr)
    <=> ( v3528(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1095,axiom,(
    ! [VarCurr] :
      ( v3528(VarCurr)
    <=> ( v3529(VarCurr)
        & v3399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1094,axiom,(
    ! [VarCurr] :
      ( v3526(VarCurr)
    <=> ( v3527(VarCurr)
        & v3408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1093,axiom,(
    ! [VarCurr] :
      ( v3527(VarCurr)
    <=> ( v3529(VarCurr)
        & v3399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1092,axiom,(
    ! [VarCurr] :
      ( v3529(VarCurr)
    <=> ( v3395(VarCurr)
        & v3219(VarCurr) ) ) )).

fof(addAssignment_580,axiom,(
    ! [VarCurr] :
      ( v3232(VarCurr)
    <=> v3234(VarCurr) ) )).

fof(addAssignment_579,axiom,(
    ! [VarCurr] :
      ( v3234(VarCurr)
    <=> v3236(VarCurr) ) )).

fof(addAssignment_578,axiom,(
    ! [VarCurr] :
      ( v3236(VarCurr)
    <=> v3238(VarCurr,bitIndex3) ) )).

fof(addAssignment_577,axiom,(
    ! [VarCurr] :
      ( v3238(VarCurr,bitIndex3)
    <=> v3240(VarCurr,bitIndex3) ) )).

fof(addAssignment_576,axiom,(
    ! [VarCurr] :
      ( v3240(VarCurr,bitIndex3)
    <=> v3242(VarCurr,bitIndex66) ) )).

fof(addAssignment_575,axiom,(
    ! [VarCurr] :
      ( v3242(VarCurr,bitIndex66)
    <=> v3244(VarCurr,bitIndex66) ) )).

fof(addAssignment_574,axiom,(
    ! [VarCurr] :
      ( v3244(VarCurr,bitIndex66)
    <=> v3314(VarCurr,bitIndex66) ) )).

fof(addCaseBooleanConditionEqualRanges1_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3505(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v3316(VarNext,B)
            <=> v3316(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_35,axiom,(
    ! [VarNext] :
      ( v3505(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v3316(VarNext,B)
          <=> v3513(VarNext,B) ) ) ) )).

fof(addAssignment_573,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v3513(VarNext,B)
          <=> v3511(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_85,axiom,(
    ! [VarCurr] :
      ( ~ v3514(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3511(VarCurr,B)
          <=> v3318(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_87,axiom,(
    ! [VarCurr] :
      ( v3514(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3511(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_512,axiom,(
    ! [VarCurr] :
      ( ~ v3514(VarCurr)
    <=> v3251(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1091,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3505(VarNext)
      <=> v3506(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1090,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3506(VarNext)
      <=> ( v3507(VarNext)
          & v3248(VarNext) ) ) ) )).

fof(writeUnaryOperator_511,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3507(VarNext)
      <=> v3296(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_84,axiom,(
    ! [VarCurr] :
      ( ~ v3320(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3318(VarCurr,B)
          <=> v3316(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_86,axiom,(
    ! [VarCurr] :
      ( v3320(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3318(VarCurr,B)
          <=> v3482(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_83,axiom,(
    ! [VarCurr] :
      ( ~ v3483(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3482(VarCurr,B)
          <=> v3484(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_85,axiom,(
    ! [VarCurr] :
      ( v3483(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3482(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_572,axiom,(
    ! [VarCurr] :
      ( v3484(VarCurr,bitIndex0)
    <=> v3500(VarCurr) ) )).

fof(addAssignment_571,axiom,(
    ! [VarCurr] :
      ( v3484(VarCurr,bitIndex1)
    <=> v3498(VarCurr) ) )).

fof(addAssignment_570,axiom,(
    ! [VarCurr] :
      ( v3484(VarCurr,bitIndex2)
    <=> v3493(VarCurr) ) )).

fof(addAssignment_569,axiom,(
    ! [VarCurr] :
      ( v3484(VarCurr,bitIndex3)
    <=> v3486(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1089,axiom,(
    ! [VarCurr] :
      ( v3498(VarCurr)
    <=> ( v3499(VarCurr)
        & v3502(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_252,axiom,(
    ! [VarCurr] :
      ( v3502(VarCurr)
    <=> ( v3316(VarCurr,bitIndex0)
        | v3316(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1088,axiom,(
    ! [VarCurr] :
      ( v3499(VarCurr)
    <=> ( v3500(VarCurr)
        | v3501(VarCurr) ) ) )).

fof(writeUnaryOperator_510,axiom,(
    ! [VarCurr] :
      ( ~ v3501(VarCurr)
    <=> v3316(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_509,axiom,(
    ! [VarCurr] :
      ( ~ v3500(VarCurr)
    <=> v3316(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1087,axiom,(
    ! [VarCurr] :
      ( v3493(VarCurr)
    <=> ( v3494(VarCurr)
        & v3497(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_251,axiom,(
    ! [VarCurr] :
      ( v3497(VarCurr)
    <=> ( v3490(VarCurr)
        | v3316(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1086,axiom,(
    ! [VarCurr] :
      ( v3494(VarCurr)
    <=> ( v3495(VarCurr)
        | v3496(VarCurr) ) ) )).

fof(writeUnaryOperator_508,axiom,(
    ! [VarCurr] :
      ( ~ v3496(VarCurr)
    <=> v3316(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_507,axiom,(
    ! [VarCurr] :
      ( ~ v3495(VarCurr)
    <=> v3490(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1085,axiom,(
    ! [VarCurr] :
      ( v3486(VarCurr)
    <=> ( v3487(VarCurr)
        & v3492(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_250,axiom,(
    ! [VarCurr] :
      ( v3492(VarCurr)
    <=> ( v3489(VarCurr)
        | v3316(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1084,axiom,(
    ! [VarCurr] :
      ( v3487(VarCurr)
    <=> ( v3488(VarCurr)
        | v3491(VarCurr) ) ) )).

fof(writeUnaryOperator_506,axiom,(
    ! [VarCurr] :
      ( ~ v3491(VarCurr)
    <=> v3316(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_505,axiom,(
    ! [VarCurr] :
      ( ~ v3488(VarCurr)
    <=> v3489(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_249,axiom,(
    ! [VarCurr] :
      ( v3489(VarCurr)
    <=> ( v3490(VarCurr)
        & v3316(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_248,axiom,(
    ! [VarCurr] :
      ( v3490(VarCurr)
    <=> ( v3316(VarCurr,bitIndex0)
        & v3316(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_159,axiom,(
    ! [VarCurr] :
      ( v3483(VarCurr)
    <=> ( ( v3316(VarCurr,bitIndex3)
        <=> $true )
        & ( v3316(VarCurr,bitIndex2)
        <=> $true )
        & ( v3316(VarCurr,bitIndex1)
        <=> $true )
        & ( v3316(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_568,axiom,(
    ! [VarCurr] :
      ( v3320(VarCurr)
    <=> v3322(VarCurr) ) )).

fof(addAssignment_567,axiom,(
    ! [VarCurr] :
      ( v3322(VarCurr)
    <=> v3324(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1083,axiom,(
    ! [VarCurr] :
      ( v3324(VarCurr)
    <=> ( v3326(VarCurr)
        | v3479(VarCurr) ) ) )).

fof(addAssignment_566,axiom,(
    ! [VarCurr] :
      ( v3479(VarCurr)
    <=> v3192(VarCurr,bitIndex4) ) )).

fof(addAssignment_565,axiom,(
    ! [VarCurr] :
      ( v3326(VarCurr)
    <=> v3044(VarCurr,bitIndex6) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_17,axiom,(
    ! [VarCurr] :
      ( ~ v3461(VarCurr)
     => ( v3044(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_15,axiom,(
    ! [VarCurr] :
      ( v3461(VarCurr)
     => ( v3044(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1082,axiom,(
    ! [VarCurr] :
      ( v3461(VarCurr)
    <=> ( v3462(VarCurr)
        | v3475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1081,axiom,(
    ! [VarCurr] :
      ( v3475(VarCurr)
    <=> ( v3476(VarCurr)
        & v3477(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_158,axiom,(
    ! [VarCurr] :
      ( v3477(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex11) ) ) )).

fof(writeUnaryOperator_504,axiom,(
    ! [VarCurr] :
      ( ~ v3476(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1080,axiom,(
    ! [VarCurr] :
      ( v3462(VarCurr)
    <=> ( v3463(VarCurr)
        | v3473(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1079,axiom,(
    ! [VarCurr] :
      ( v3473(VarCurr)
    <=> ( v3474(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1078,axiom,(
    ! [VarCurr] :
      ( v3474(VarCurr)
    <=> ( v3467(VarCurr)
        & v3470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1077,axiom,(
    ! [VarCurr] :
      ( v3463(VarCurr)
    <=> ( v3464(VarCurr)
        | v3471(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1076,axiom,(
    ! [VarCurr] :
      ( v3471(VarCurr)
    <=> ( v3472(VarCurr)
        & v3424(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1075,axiom,(
    ! [VarCurr] :
      ( v3472(VarCurr)
    <=> ( v3467(VarCurr)
        & v3470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1074,axiom,(
    ! [VarCurr] :
      ( v3464(VarCurr)
    <=> ( v3465(VarCurr)
        & v3408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1073,axiom,(
    ! [VarCurr] :
      ( v3465(VarCurr)
    <=> ( v3467(VarCurr)
        & v3470(VarCurr) ) ) )).

fof(writeUnaryOperator_503,axiom,(
    ! [VarCurr] :
      ( ~ v3470(VarCurr)
    <=> v3232(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1072,axiom,(
    ! [VarCurr] :
      ( v3467(VarCurr)
    <=> ( v3468(VarCurr)
        & v3399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1071,axiom,(
    ! [VarCurr] :
      ( v3468(VarCurr)
    <=> ( v3469(VarCurr)
        & v3398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1070,axiom,(
    ! [VarCurr] :
      ( v3469(VarCurr)
    <=> ( v3396(VarCurr)
        & v3197(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3449(VarNext)
       => ( v3192(VarNext,bitIndex0)
        <=> v3192(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_34,axiom,(
    ! [VarNext] :
      ( v3449(VarNext)
     => ( v3192(VarNext,bitIndex0)
      <=> v3457(VarNext) ) ) )).

fof(addAssignment_564,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3457(VarNext)
      <=> v3455(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_82,axiom,(
    ! [VarCurr] :
      ( ~ v3370(VarCurr)
     => ( v3455(VarCurr)
      <=> v3044(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_84,axiom,(
    ! [VarCurr] :
      ( v3370(VarCurr)
     => ( v3455(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3449(VarNext)
      <=> v3450(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1068,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3450(VarNext)
      <=> ( v3452(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_502,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3452(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_81,axiom,(
    ! [VarCurr] :
      ( ~ v3382(VarCurr)
     => ( v3044(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_83,axiom,(
    ! [VarCurr] :
      ( v3382(VarCurr)
     => ( v3044(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1067,axiom,(
    ! [VarCurr] :
      ( v3382(VarCurr)
    <=> ( v3383(VarCurr)
        | v3442(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1066,axiom,(
    ! [VarCurr] :
      ( v3442(VarCurr)
    <=> ( v3443(VarCurr)
        & v3446(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_157,axiom,(
    ! [VarCurr] :
      ( v3446(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1065,axiom,(
    ! [VarCurr] :
      ( v3443(VarCurr)
    <=> ( v3444(VarCurr)
        | v3445(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1064,axiom,(
    ! [VarCurr] :
      ( v3445(VarCurr)
    <=> ( v3402(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(addAssignment_563,axiom,(
    ! [VarCurr] :
      ( v3444(VarCurr)
    <=> v3393(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1063,axiom,(
    ! [VarCurr] :
      ( v3383(VarCurr)
    <=> ( v3384(VarCurr)
        | v3437(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1062,axiom,(
    ! [VarCurr] :
      ( v3437(VarCurr)
    <=> ( v3438(VarCurr)
        & v3441(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_156,axiom,(
    ! [VarCurr] :
      ( v3441(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1061,axiom,(
    ! [VarCurr] :
      ( v3438(VarCurr)
    <=> ( v3439(VarCurr)
        | v3440(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1060,axiom,(
    ! [VarCurr] :
      ( v3440(VarCurr)
    <=> ( v3415(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1059,axiom,(
    ! [VarCurr] :
      ( v3439(VarCurr)
    <=> ( v3393(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1058,axiom,(
    ! [VarCurr] :
      ( v3384(VarCurr)
    <=> ( v3385(VarCurr)
        | v3430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1057,axiom,(
    ! [VarCurr] :
      ( v3430(VarCurr)
    <=> ( v3431(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_155,axiom,(
    ! [VarCurr] :
      ( v3436(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1056,axiom,(
    ! [VarCurr] :
      ( v3431(VarCurr)
    <=> ( v3432(VarCurr)
        | v3435(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1055,axiom,(
    ! [VarCurr] :
      ( v3435(VarCurr)
    <=> ( v3402(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1054,axiom,(
    ! [VarCurr] :
      ( v3432(VarCurr)
    <=> ( v3433(VarCurr)
        | v3434(VarCurr) ) ) )).

fof(addAssignment_562,axiom,(
    ! [VarCurr] :
      ( v3434(VarCurr)
    <=> v3393(VarCurr) ) )).

fof(addAssignment_561,axiom,(
    ! [VarCurr] :
      ( v3433(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1053,axiom,(
    ! [VarCurr] :
      ( v3385(VarCurr)
    <=> ( v3386(VarCurr)
        | v3425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1052,axiom,(
    ! [VarCurr] :
      ( v3425(VarCurr)
    <=> ( v3426(VarCurr)
        & v3429(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_154,axiom,(
    ! [VarCurr] :
      ( v3429(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1051,axiom,(
    ! [VarCurr] :
      ( v3426(VarCurr)
    <=> ( v3427(VarCurr)
        | v3428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1050,axiom,(
    ! [VarCurr] :
      ( v3428(VarCurr)
    <=> ( v3415(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1049,axiom,(
    ! [VarCurr] :
      ( v3427(VarCurr)
    <=> ( v3393(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1048,axiom,(
    ! [VarCurr] :
      ( v3386(VarCurr)
    <=> ( v3387(VarCurr)
        | v3418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1047,axiom,(
    ! [VarCurr] :
      ( v3418(VarCurr)
    <=> ( v3419(VarCurr)
        & v3424(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_153,axiom,(
    ! [VarCurr] :
      ( v3424(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1046,axiom,(
    ! [VarCurr] :
      ( v3419(VarCurr)
    <=> ( v3420(VarCurr)
        | v3423(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1045,axiom,(
    ! [VarCurr] :
      ( v3423(VarCurr)
    <=> ( v3402(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1044,axiom,(
    ! [VarCurr] :
      ( v3420(VarCurr)
    <=> ( v3421(VarCurr)
        | v3422(VarCurr) ) ) )).

fof(addAssignment_560,axiom,(
    ! [VarCurr] :
      ( v3422(VarCurr)
    <=> v3393(VarCurr) ) )).

fof(addAssignment_559,axiom,(
    ! [VarCurr] :
      ( v3421(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1043,axiom,(
    ! [VarCurr] :
      ( v3387(VarCurr)
    <=> ( v3388(VarCurr)
        | v3409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1042,axiom,(
    ! [VarCurr] :
      ( v3409(VarCurr)
    <=> ( v3410(VarCurr)
        & v3417(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_152,axiom,(
    ! [VarCurr] :
      ( v3417(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1041,axiom,(
    ! [VarCurr] :
      ( v3410(VarCurr)
    <=> ( v3411(VarCurr)
        | v3413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1040,axiom,(
    ! [VarCurr] :
      ( v3413(VarCurr)
    <=> ( v3415(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1039,axiom,(
    ! [VarCurr] :
      ( v3415(VarCurr)
    <=> ( v3416(VarCurr)
        & v3406(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1038,axiom,(
    ! [VarCurr] :
      ( v3416(VarCurr)
    <=> ( v3403(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1037,axiom,(
    ! [VarCurr] :
      ( v3411(VarCurr)
    <=> ( v3393(VarCurr)
        & v3332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1036,axiom,(
    ! [VarCurr] :
      ( v3393(VarCurr)
    <=> ( v3394(VarCurr)
        & v3399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1035,axiom,(
    ! [VarCurr] :
      ( v3388(VarCurr)
    <=> ( v3389(VarCurr)
        & v3408(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_151,axiom,(
    ! [VarCurr] :
      ( v3408(VarCurr)
    <=> ( $true
      <=> v3192(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1034,axiom,(
    ! [VarCurr] :
      ( v3389(VarCurr)
    <=> ( v3390(VarCurr)
        | v3400(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1033,axiom,(
    ! [VarCurr] :
      ( v3400(VarCurr)
    <=> ( v3402(VarCurr)
        & v3407(VarCurr) ) ) )).

fof(writeUnaryOperator_501,axiom,(
    ! [VarCurr] :
      ( ~ v3407(VarCurr)
    <=> v3223(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1032,axiom,(
    ! [VarCurr] :
      ( v3402(VarCurr)
    <=> ( v3403(VarCurr)
        & v3406(VarCurr) ) ) )).

fof(writeUnaryOperator_500,axiom,(
    ! [VarCurr] :
      ( ~ v3406(VarCurr)
    <=> v3226(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1031,axiom,(
    ! [VarCurr] :
      ( v3403(VarCurr)
    <=> ( v3404(VarCurr)
        & v3399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1030,axiom,(
    ! [VarCurr] :
      ( v3404(VarCurr)
    <=> ( v3405(VarCurr)
        & v3398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1029,axiom,(
    ! [VarCurr] :
      ( v3405(VarCurr)
    <=> ( v3146(VarCurr)
        & v3397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1028,axiom,(
    ! [VarCurr] :
      ( v3390(VarCurr)
    <=> ( v3391(VarCurr)
        | v3392(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1027,axiom,(
    ! [VarCurr] :
      ( v3392(VarCurr)
    <=> ( v3394(VarCurr)
        & v3399(VarCurr) ) ) )).

fof(writeUnaryOperator_499,axiom,(
    ! [VarCurr] :
      ( ~ v3399(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1026,axiom,(
    ! [VarCurr] :
      ( v3394(VarCurr)
    <=> ( v3395(VarCurr)
        & v3398(VarCurr) ) ) )).

fof(writeUnaryOperator_498,axiom,(
    ! [VarCurr] :
      ( ~ v3398(VarCurr)
    <=> v3219(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1025,axiom,(
    ! [VarCurr] :
      ( v3395(VarCurr)
    <=> ( v3396(VarCurr)
        & v3397(VarCurr) ) ) )).

fof(writeUnaryOperator_497,axiom,(
    ! [VarCurr] :
      ( ~ v3397(VarCurr)
    <=> v3197(VarCurr) ) )).

fof(writeUnaryOperator_496,axiom,(
    ! [VarCurr] :
      ( ~ v3396(VarCurr)
    <=> v3146(VarCurr) ) )).

fof(addAssignment_558,axiom,(
    ! [VarCurr] :
      ( v3391(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(addAssignment_557,axiom,(
    ! [VarNext] :
      ( v3192(VarNext,bitIndex6)
    <=> v3374(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionShiftedRanges1_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3375(VarNext)
       => ( ( v3374(VarNext,bitIndex10)
          <=> v3192(VarCurr,bitIndex11) )
          & ( v3374(VarNext,bitIndex9)
          <=> v3192(VarCurr,bitIndex10) )
          & ( v3374(VarNext,bitIndex8)
          <=> v3192(VarCurr,bitIndex9) )
          & ( v3374(VarNext,bitIndex7)
          <=> v3192(VarCurr,bitIndex8) )
          & ( v3374(VarNext,bitIndex6)
          <=> v3192(VarCurr,bitIndex7) )
          & ( v3374(VarNext,bitIndex5)
          <=> v3192(VarCurr,bitIndex6) )
          & ( v3374(VarNext,bitIndex4)
          <=> v3192(VarCurr,bitIndex5) )
          & ( v3374(VarNext,bitIndex3)
          <=> v3192(VarCurr,bitIndex4) )
          & ( v3374(VarNext,bitIndex2)
          <=> v3192(VarCurr,bitIndex3) )
          & ( v3374(VarNext,bitIndex1)
          <=> v3192(VarCurr,bitIndex2) )
          & ( v3374(VarNext,bitIndex0)
          <=> v3192(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_33,axiom,(
    ! [VarNext] :
      ( v3375(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v3374(VarNext,B)
          <=> v3369(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1024,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3375(VarNext)
      <=> v3376(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1023,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3376(VarNext)
      <=> ( v3378(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_495,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3378(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(addAssignment_556,axiom,(
    ! [VarNext] :
      ( v3192(VarNext,bitIndex3)
    <=> v3358(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionShiftedRanges1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3359(VarNext)
       => ( ( v3358(VarNext,bitIndex10)
          <=> v3192(VarCurr,bitIndex11) )
          & ( v3358(VarNext,bitIndex9)
          <=> v3192(VarCurr,bitIndex10) )
          & ( v3358(VarNext,bitIndex8)
          <=> v3192(VarCurr,bitIndex9) )
          & ( v3358(VarNext,bitIndex7)
          <=> v3192(VarCurr,bitIndex8) )
          & ( v3358(VarNext,bitIndex6)
          <=> v3192(VarCurr,bitIndex7) )
          & ( v3358(VarNext,bitIndex5)
          <=> v3192(VarCurr,bitIndex6) )
          & ( v3358(VarNext,bitIndex4)
          <=> v3192(VarCurr,bitIndex5) )
          & ( v3358(VarNext,bitIndex3)
          <=> v3192(VarCurr,bitIndex4) )
          & ( v3358(VarNext,bitIndex2)
          <=> v3192(VarCurr,bitIndex3) )
          & ( v3358(VarNext,bitIndex1)
          <=> v3192(VarCurr,bitIndex2) )
          & ( v3358(VarNext,bitIndex0)
          <=> v3192(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_32,axiom,(
    ! [VarNext] :
      ( v3359(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v3358(VarNext,B)
          <=> v3369(VarNext,B) ) ) ) )).

fof(addAssignment_555,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v3369(VarNext,B)
          <=> v3367(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_16,axiom,(
    ! [VarCurr] :
      ( ~ v3370(VarCurr)
     => ( ( v3367(VarCurr,bitIndex10)
        <=> v3044(VarCurr,bitIndex11) )
        & ( v3367(VarCurr,bitIndex9)
        <=> v3044(VarCurr,bitIndex10) )
        & ( v3367(VarCurr,bitIndex8)
        <=> v3044(VarCurr,bitIndex9) )
        & ( v3367(VarCurr,bitIndex7)
        <=> v3044(VarCurr,bitIndex8) )
        & ( v3367(VarCurr,bitIndex6)
        <=> v3044(VarCurr,bitIndex7) )
        & ( v3367(VarCurr,bitIndex5)
        <=> v3044(VarCurr,bitIndex6) )
        & ( v3367(VarCurr,bitIndex4)
        <=> v3044(VarCurr,bitIndex5) )
        & ( v3367(VarCurr,bitIndex3)
        <=> v3044(VarCurr,bitIndex4) )
        & ( v3367(VarCurr,bitIndex2)
        <=> v3044(VarCurr,bitIndex3) )
        & ( v3367(VarCurr,bitIndex1)
        <=> v3044(VarCurr,bitIndex2) )
        & ( v3367(VarCurr,bitIndex0)
        <=> v3044(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_82,axiom,(
    ! [VarCurr] :
      ( v3370(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v3367(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_494,axiom,(
    ! [VarCurr] :
      ( ~ v3370(VarCurr)
    <=> v3194(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1022,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3359(VarNext)
      <=> v3360(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1021,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3360(VarNext)
      <=> ( v3361(VarNext)
          & v3356(VarNext) ) ) ) )).

fof(writeUnaryOperator_493,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3361(VarNext)
      <=> v3363(VarNext) ) ) )).

fof(addAssignment_554,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3363(VarNext)
      <=> v3356(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_12,axiom,
    ( ( v3192(constB0,bitIndex11)
    <=> $false )
    & ( v3192(constB0,bitIndex10)
    <=> $false )
    & ( v3192(constB0,bitIndex9)
    <=> $false )
    & ( v3192(constB0,bitIndex8)
    <=> $false )
    & ( v3192(constB0,bitIndex7)
    <=> $false )
    & ( v3192(constB0,bitIndex6)
    <=> $false )
    & ( v3192(constB0,bitIndex5)
    <=> $false )
    & ( v3192(constB0,bitIndex4)
    <=> $false )
    & ( v3192(constB0,bitIndex3)
    <=> $false )
    & ( v3192(constB0,bitIndex2)
    <=> $false )
    & ( v3192(constB0,bitIndex1)
    <=> $false ) )).

fof(bitBlastConstant_479,axiom,(
    ~ b00000000000(bitIndex10) )).

fof(bitBlastConstant_478,axiom,(
    ~ b00000000000(bitIndex9) )).

fof(bitBlastConstant_477,axiom,(
    ~ b00000000000(bitIndex8) )).

fof(bitBlastConstant_476,axiom,(
    ~ b00000000000(bitIndex7) )).

fof(bitBlastConstant_475,axiom,(
    ~ b00000000000(bitIndex6) )).

fof(bitBlastConstant_474,axiom,(
    ~ b00000000000(bitIndex5) )).

fof(bitBlastConstant_473,axiom,(
    ~ b00000000000(bitIndex4) )).

fof(bitBlastConstant_472,axiom,(
    ~ b00000000000(bitIndex3) )).

fof(bitBlastConstant_471,axiom,(
    ~ b00000000000(bitIndex2) )).

fof(bitBlastConstant_470,axiom,(
    ~ b00000000000(bitIndex1) )).

fof(bitBlastConstant_469,axiom,(
    ~ b00000000000(bitIndex0) )).

fof(addAssignmentInitValueVector_11,axiom,
    ( v3192(constB0,bitIndex0)
  <=> $true )).

fof(addAssignment_553,axiom,(
    ! [VarCurr] :
      ( v3356(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addAssignment_552,axiom,(
    ! [VarCurr] :
      ( v3332(VarCurr)
    <=> v3334(VarCurr) ) )).

fof(addAssignment_551,axiom,(
    ! [VarCurr] :
      ( v3334(VarCurr)
    <=> v3336(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1020,axiom,(
    ! [VarCurr] :
      ( v3336(VarCurr)
    <=> ( v3338(VarCurr)
        & v3352(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_247,axiom,(
    ! [VarCurr] :
      ( v3352(VarCurr)
    <=> ( v3350(VarCurr,bitIndex2)
        | v3350(VarCurr,bitIndex4) ) ) )).

fof(addAssignmentInitValueVector_10,axiom,
    ( ( v3350(constB0,bitIndex4)
    <=> $false )
    & ( v3350(constB0,bitIndex3)
    <=> $false )
    & ( v3350(constB0,bitIndex2)
    <=> $false )
    & ( v3350(constB0,bitIndex1)
    <=> $false ) )).

fof(addAssignment_550,axiom,(
    ! [VarCurr] :
      ( v3338(VarCurr)
    <=> v3340(VarCurr) ) )).

fof(addAssignment_549,axiom,(
    ! [VarCurr] :
      ( v3340(VarCurr)
    <=> v3342(VarCurr) ) )).

fof(addAssignment_548,axiom,(
    ! [VarCurr] :
      ( v3342(VarCurr)
    <=> v3344(VarCurr) ) )).

fof(addAssignment_547,axiom,(
    ! [VarCurr] :
      ( v3344(VarCurr)
    <=> v3346(VarCurr) ) )).

fof(addAssignment_546,axiom,(
    ! [VarCurr] :
      ( v3346(VarCurr)
    <=> v3348(VarCurr) ) )).

fof(memoryReadIntoBuffer_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v3316_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_66_0(B)
                   => ( v3314(VarNext,B)
                    <=> v3246_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(addAssignmentInitValueVector_9,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v3316(constB0,B)
      <=> $false ) ) )).

fof(memoryConstantWriteDisabled_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v3306(VarNext) )
         => ! [B] :
              ( range_66_0(B)
             => ( v3246_array(VarNext,A,B)
              <=> v3246_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v3306(VarNext) )
         => ! [B] :
              ( range_66_0(B)
             => ( v3246_array(VarNext,A,B)
              <=> b0000000000000000000000000000000000000000000000000000000000000000000(B) ) ) ) ) )).

fof(bitBlastConstant_468,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_467,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_466,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_465,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_464,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_463,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_462,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_461,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_460,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_459,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_458,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_457,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_456,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_455,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_454,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_453,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_452,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_451,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_450,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_449,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_448,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_447,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_446,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_445,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_444,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_443,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_442,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_441,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_440,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_439,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_438,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_437,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_436,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_435,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_434,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_433,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_432,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_431,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_430,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_429,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_428,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_427,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_426,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_425,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_424,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_423,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_422,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_421,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_420,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_419,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_418,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_417,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_416,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_415,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_414,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_413,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_412,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_411,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_410,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_409,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_408,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_407,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_406,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_405,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_404,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_403,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_402,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1019,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3306(VarNext)
      <=> ( v3307(VarNext)
          & v3312(VarNext) ) ) ) )).

fof(addAssignment_545,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3312(VarNext)
      <=> v3303(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1018,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3307(VarNext)
      <=> ( v3309(VarNext)
          & v3248(VarNext) ) ) ) )).

fof(writeUnaryOperator_492,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3309(VarNext)
      <=> v3296(VarNext) ) ) )).

fof(memoryWriteDisabled_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v3288_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v3292(VarNext) )
             => ! [B] :
                  ( range_66_0(B)
                 => ( v3246_1__array(VarNext,A,B)
                  <=> v3246_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v3288_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v3292(VarNext) )
             => ! [B] :
                  ( range_66_0(B)
                 => ( v3246_1__array(VarNext,A,B)
                  <=> v3253(VarNext,B) ) ) ) ) ) )).

fof(range_axiom_21,axiom,(
    ! [B] :
      ( range_66_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B ) ) )).

fof(addAssignmentInitValue_16,axiom,(
    ~ v3288(constB0,bitIndex3) )).

fof(addAssignmentInitValue_15,axiom,(
    ~ v3288(constB0,bitIndex2) )).

fof(addAssignmentInitValue_14,axiom,(
    ~ v3288(constB0,bitIndex1) )).

fof(addAssignmentInitValue_13,axiom,(
    v3288(constB0,bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1017,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3292(VarNext)
      <=> ( v3293(VarNext)
          & v3301(VarNext) ) ) ) )).

fof(addAssignment_544,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3301(VarNext)
      <=> v3299(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1016,axiom,(
    ! [VarCurr] :
      ( v3299(VarCurr)
    <=> ( v3302(VarCurr)
        & v3280(VarCurr) ) ) )).

fof(writeUnaryOperator_491,axiom,(
    ! [VarCurr] :
      ( ~ v3302(VarCurr)
    <=> v3303(VarCurr) ) )).

fof(writeUnaryOperator_490,axiom,(
    ! [VarCurr] :
      ( ~ v3303(VarCurr)
    <=> v3251(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1015,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3293(VarNext)
      <=> ( v3294(VarNext)
          & v3248(VarNext) ) ) ) )).

fof(writeUnaryOperator_489,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3294(VarNext)
      <=> v3296(VarNext) ) ) )).

fof(addAssignment_543,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3296(VarNext)
      <=> v3248(VarCurr) ) ) )).

fof(initSateConstraint_261,axiom,(
    ~ v3246_array(constB0,b1111_address_term,bitIndex63) )).

fof(initSateConstraint_260,axiom,(
    ~ v3246_array(constB0,b1111_address_term,bitIndex64) )).

fof(initSateConstraint_259,axiom,(
    ~ v3246_array(constB0,b1111_address_term,bitIndex65) )).

fof(initSateConstraint_258,axiom,(
    ~ v3246_array(constB0,b1111_address_term,bitIndex66) )).

fof(initSateConstraint_257,axiom,(
    ~ v3246_array(constB0,b1110_address_term,bitIndex63) )).

fof(initSateConstraint_256,axiom,(
    ~ v3246_array(constB0,b1110_address_term,bitIndex64) )).

fof(initSateConstraint_255,axiom,(
    ~ v3246_array(constB0,b1110_address_term,bitIndex65) )).

fof(initSateConstraint_254,axiom,(
    ~ v3246_array(constB0,b1110_address_term,bitIndex66) )).

fof(initSateConstraint_253,axiom,(
    ~ v3246_array(constB0,b1101_address_term,bitIndex63) )).

fof(initSateConstraint_252,axiom,(
    ~ v3246_array(constB0,b1101_address_term,bitIndex64) )).

fof(initSateConstraint_251,axiom,(
    ~ v3246_array(constB0,b1101_address_term,bitIndex65) )).

fof(initSateConstraint_250,axiom,(
    ~ v3246_array(constB0,b1101_address_term,bitIndex66) )).

fof(initSateConstraint_249,axiom,(
    ~ v3246_array(constB0,b1100_address_term,bitIndex63) )).

fof(initSateConstraint_248,axiom,(
    ~ v3246_array(constB0,b1100_address_term,bitIndex64) )).

fof(initSateConstraint_247,axiom,(
    ~ v3246_array(constB0,b1100_address_term,bitIndex65) )).

fof(initSateConstraint_246,axiom,(
    ~ v3246_array(constB0,b1100_address_term,bitIndex66) )).

fof(initSateConstraint_245,axiom,(
    ~ v3246_array(constB0,b1011_address_term,bitIndex63) )).

fof(initSateConstraint_244,axiom,(
    ~ v3246_array(constB0,b1011_address_term,bitIndex64) )).

fof(initSateConstraint_243,axiom,(
    ~ v3246_array(constB0,b1011_address_term,bitIndex65) )).

fof(initSateConstraint_242,axiom,(
    ~ v3246_array(constB0,b1011_address_term,bitIndex66) )).

fof(initSateConstraint_241,axiom,(
    ~ v3246_array(constB0,b1010_address_term,bitIndex63) )).

fof(initSateConstraint_240,axiom,(
    ~ v3246_array(constB0,b1010_address_term,bitIndex64) )).

fof(initSateConstraint_239,axiom,(
    ~ v3246_array(constB0,b1010_address_term,bitIndex65) )).

fof(initSateConstraint_238,axiom,(
    ~ v3246_array(constB0,b1010_address_term,bitIndex66) )).

fof(initSateConstraint_237,axiom,(
    ~ v3246_array(constB0,b1001_address_term,bitIndex63) )).

fof(initSateConstraint_236,axiom,(
    ~ v3246_array(constB0,b1001_address_term,bitIndex64) )).

fof(initSateConstraint_235,axiom,(
    ~ v3246_array(constB0,b1001_address_term,bitIndex65) )).

fof(initSateConstraint_234,axiom,(
    ~ v3246_array(constB0,b1001_address_term,bitIndex66) )).

fof(initSateConstraint_233,axiom,(
    ~ v3246_array(constB0,b1000_address_term,bitIndex63) )).

fof(initSateConstraint_232,axiom,(
    ~ v3246_array(constB0,b1000_address_term,bitIndex64) )).

fof(initSateConstraint_231,axiom,(
    ~ v3246_array(constB0,b1000_address_term,bitIndex65) )).

fof(initSateConstraint_230,axiom,(
    ~ v3246_array(constB0,b1000_address_term,bitIndex66) )).

fof(initSateConstraint_229,axiom,(
    ~ v3246_array(constB0,b0111_address_term,bitIndex63) )).

fof(initSateConstraint_228,axiom,(
    ~ v3246_array(constB0,b0111_address_term,bitIndex64) )).

fof(initSateConstraint_227,axiom,(
    ~ v3246_array(constB0,b0111_address_term,bitIndex65) )).

fof(initSateConstraint_226,axiom,(
    ~ v3246_array(constB0,b0111_address_term,bitIndex66) )).

fof(initSateConstraint_225,axiom,(
    ~ v3246_array(constB0,b0110_address_term,bitIndex63) )).

fof(initSateConstraint_224,axiom,(
    ~ v3246_array(constB0,b0110_address_term,bitIndex64) )).

fof(initSateConstraint_223,axiom,(
    ~ v3246_array(constB0,b0110_address_term,bitIndex65) )).

fof(initSateConstraint_222,axiom,(
    ~ v3246_array(constB0,b0110_address_term,bitIndex66) )).

fof(initSateConstraint_221,axiom,(
    ~ v3246_array(constB0,b0101_address_term,bitIndex63) )).

fof(initSateConstraint_220,axiom,(
    ~ v3246_array(constB0,b0101_address_term,bitIndex64) )).

fof(initSateConstraint_219,axiom,(
    ~ v3246_array(constB0,b0101_address_term,bitIndex65) )).

fof(initSateConstraint_218,axiom,(
    ~ v3246_array(constB0,b0101_address_term,bitIndex66) )).

fof(initSateConstraint_217,axiom,(
    ~ v3246_array(constB0,b0100_address_term,bitIndex63) )).

fof(initSateConstraint_216,axiom,(
    ~ v3246_array(constB0,b0100_address_term,bitIndex64) )).

fof(initSateConstraint_215,axiom,(
    ~ v3246_array(constB0,b0100_address_term,bitIndex65) )).

fof(initSateConstraint_214,axiom,(
    ~ v3246_array(constB0,b0100_address_term,bitIndex66) )).

fof(initSateConstraint_213,axiom,(
    ~ v3246_array(constB0,b0011_address_term,bitIndex63) )).

fof(initSateConstraint_212,axiom,(
    ~ v3246_array(constB0,b0011_address_term,bitIndex64) )).

fof(initSateConstraint_211,axiom,(
    ~ v3246_array(constB0,b0011_address_term,bitIndex65) )).

fof(initSateConstraint_210,axiom,(
    ~ v3246_array(constB0,b0011_address_term,bitIndex66) )).

fof(initSateConstraint_209,axiom,(
    ~ v3246_array(constB0,b0010_address_term,bitIndex63) )).

fof(initSateConstraint_208,axiom,(
    ~ v3246_array(constB0,b0010_address_term,bitIndex64) )).

fof(initSateConstraint_207,axiom,(
    ~ v3246_array(constB0,b0010_address_term,bitIndex65) )).

fof(initSateConstraint_206,axiom,(
    ~ v3246_array(constB0,b0010_address_term,bitIndex66) )).

fof(initSateConstraint_205,axiom,(
    ~ v3246_array(constB0,b0001_address_term,bitIndex63) )).

fof(initSateConstraint_204,axiom,(
    ~ v3246_array(constB0,b0001_address_term,bitIndex64) )).

fof(initSateConstraint_203,axiom,(
    ~ v3246_array(constB0,b0001_address_term,bitIndex65) )).

fof(initSateConstraint_202,axiom,(
    ~ v3246_array(constB0,b0001_address_term,bitIndex66) )).

fof(initSateConstraint_201,axiom,(
    ~ v3246_array(constB0,b0000_address_term,bitIndex63) )).

fof(initSateConstraint_200,axiom,(
    ~ v3246_array(constB0,b0000_address_term,bitIndex64) )).

fof(initSateConstraint_199,axiom,(
    ~ v3246_array(constB0,b0000_address_term,bitIndex65) )).

fof(initSateConstraint_198,axiom,(
    ~ v3246_array(constB0,b0000_address_term,bitIndex66) )).

fof(addAssignment_542,axiom,(
    ! [VarCurr] :
      ( v3280(VarCurr)
    <=> v3282(VarCurr) ) )).

fof(addAssignment_541,axiom,(
    ! [VarCurr] :
      ( v3282(VarCurr)
    <=> v3284(VarCurr) ) )).

fof(addAssignment_540,axiom,(
    ! [VarCurr] :
      ( v3284(VarCurr)
    <=> v3286(VarCurr) ) )).

fof(addAssignment_539,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v3253(VarCurr,B)
      <=> v3273(VarCurr,B) ) ) )).

fof(addAssignment_538,axiom,(
    ! [VarCurr] :
      ( ( v3253(VarCurr,bitIndex26)
      <=> v3267(VarCurr,bitIndex15) )
      & ( v3253(VarCurr,bitIndex25)
      <=> v3267(VarCurr,bitIndex14) )
      & ( v3253(VarCurr,bitIndex24)
      <=> v3267(VarCurr,bitIndex13) )
      & ( v3253(VarCurr,bitIndex23)
      <=> v3267(VarCurr,bitIndex12) )
      & ( v3253(VarCurr,bitIndex22)
      <=> v3267(VarCurr,bitIndex11) )
      & ( v3253(VarCurr,bitIndex21)
      <=> v3267(VarCurr,bitIndex10) )
      & ( v3253(VarCurr,bitIndex20)
      <=> v3267(VarCurr,bitIndex9) )
      & ( v3253(VarCurr,bitIndex19)
      <=> v3267(VarCurr,bitIndex8) )
      & ( v3253(VarCurr,bitIndex18)
      <=> v3267(VarCurr,bitIndex7) )
      & ( v3253(VarCurr,bitIndex17)
      <=> v3267(VarCurr,bitIndex6) )
      & ( v3253(VarCurr,bitIndex16)
      <=> v3267(VarCurr,bitIndex5) )
      & ( v3253(VarCurr,bitIndex15)
      <=> v3267(VarCurr,bitIndex4) )
      & ( v3253(VarCurr,bitIndex14)
      <=> v3267(VarCurr,bitIndex3) )
      & ( v3253(VarCurr,bitIndex13)
      <=> v3267(VarCurr,bitIndex2) )
      & ( v3253(VarCurr,bitIndex12)
      <=> v3267(VarCurr,bitIndex1) )
      & ( v3253(VarCurr,bitIndex11)
      <=> v3267(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_537,axiom,(
    ! [VarCurr] :
      ( ( v3253(VarCurr,bitIndex62)
      <=> v3261(VarCurr,bitIndex35) )
      & ( v3253(VarCurr,bitIndex61)
      <=> v3261(VarCurr,bitIndex34) )
      & ( v3253(VarCurr,bitIndex60)
      <=> v3261(VarCurr,bitIndex33) )
      & ( v3253(VarCurr,bitIndex59)
      <=> v3261(VarCurr,bitIndex32) )
      & ( v3253(VarCurr,bitIndex58)
      <=> v3261(VarCurr,bitIndex31) )
      & ( v3253(VarCurr,bitIndex57)
      <=> v3261(VarCurr,bitIndex30) )
      & ( v3253(VarCurr,bitIndex56)
      <=> v3261(VarCurr,bitIndex29) )
      & ( v3253(VarCurr,bitIndex55)
      <=> v3261(VarCurr,bitIndex28) )
      & ( v3253(VarCurr,bitIndex54)
      <=> v3261(VarCurr,bitIndex27) )
      & ( v3253(VarCurr,bitIndex53)
      <=> v3261(VarCurr,bitIndex26) )
      & ( v3253(VarCurr,bitIndex52)
      <=> v3261(VarCurr,bitIndex25) )
      & ( v3253(VarCurr,bitIndex51)
      <=> v3261(VarCurr,bitIndex24) )
      & ( v3253(VarCurr,bitIndex50)
      <=> v3261(VarCurr,bitIndex23) )
      & ( v3253(VarCurr,bitIndex49)
      <=> v3261(VarCurr,bitIndex22) )
      & ( v3253(VarCurr,bitIndex48)
      <=> v3261(VarCurr,bitIndex21) )
      & ( v3253(VarCurr,bitIndex47)
      <=> v3261(VarCurr,bitIndex20) )
      & ( v3253(VarCurr,bitIndex46)
      <=> v3261(VarCurr,bitIndex19) )
      & ( v3253(VarCurr,bitIndex45)
      <=> v3261(VarCurr,bitIndex18) )
      & ( v3253(VarCurr,bitIndex44)
      <=> v3261(VarCurr,bitIndex17) )
      & ( v3253(VarCurr,bitIndex43)
      <=> v3261(VarCurr,bitIndex16) )
      & ( v3253(VarCurr,bitIndex42)
      <=> v3261(VarCurr,bitIndex15) )
      & ( v3253(VarCurr,bitIndex41)
      <=> v3261(VarCurr,bitIndex14) )
      & ( v3253(VarCurr,bitIndex40)
      <=> v3261(VarCurr,bitIndex13) )
      & ( v3253(VarCurr,bitIndex39)
      <=> v3261(VarCurr,bitIndex12) )
      & ( v3253(VarCurr,bitIndex38)
      <=> v3261(VarCurr,bitIndex11) )
      & ( v3253(VarCurr,bitIndex37)
      <=> v3261(VarCurr,bitIndex10) )
      & ( v3253(VarCurr,bitIndex36)
      <=> v3261(VarCurr,bitIndex9) )
      & ( v3253(VarCurr,bitIndex35)
      <=> v3261(VarCurr,bitIndex8) )
      & ( v3253(VarCurr,bitIndex34)
      <=> v3261(VarCurr,bitIndex7) )
      & ( v3253(VarCurr,bitIndex33)
      <=> v3261(VarCurr,bitIndex6) )
      & ( v3253(VarCurr,bitIndex32)
      <=> v3261(VarCurr,bitIndex5) )
      & ( v3253(VarCurr,bitIndex31)
      <=> v3261(VarCurr,bitIndex4) )
      & ( v3253(VarCurr,bitIndex30)
      <=> v3261(VarCurr,bitIndex3) )
      & ( v3253(VarCurr,bitIndex29)
      <=> v3261(VarCurr,bitIndex2) )
      & ( v3253(VarCurr,bitIndex28)
      <=> v3261(VarCurr,bitIndex1) )
      & ( v3253(VarCurr,bitIndex27)
      <=> v3261(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_536,axiom,(
    ! [VarCurr] :
      ( ( v3253(VarCurr,bitIndex66)
      <=> v3255(VarCurr,bitIndex3) )
      & ( v3253(VarCurr,bitIndex65)
      <=> v3255(VarCurr,bitIndex2) )
      & ( v3253(VarCurr,bitIndex64)
      <=> v3255(VarCurr,bitIndex1) )
      & ( v3253(VarCurr,bitIndex63)
      <=> v3255(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_535,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v3273(VarCurr,B)
      <=> v3275(VarCurr,B) ) ) )).

fof(addAssignment_534,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v3275(VarCurr,B)
      <=> v3277(VarCurr,B) ) ) )).

fof(range_axiom_20,axiom,(
    ! [B] :
      ( range_10_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B ) ) )).

fof(addAssignment_533,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3267(VarCurr,B)
      <=> v3269(VarCurr,B) ) ) )).

fof(addAssignment_532,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3269(VarCurr,B)
      <=> v3271(VarCurr,B) ) ) )).

fof(addAssignment_531,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v3261(VarCurr,B)
      <=> v3263(VarCurr,B) ) ) )).

fof(addAssignment_530,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v3263(VarCurr,B)
      <=> v3265(VarCurr,B) ) ) )).

fof(range_axiom_19,axiom,(
    ! [B] :
      ( range_35_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B ) ) )).

fof(addAssignment_529,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v3255(VarCurr,B)
      <=> v3257(VarCurr,B) ) ) )).

fof(addAssignment_528,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v3257(VarCurr,B)
      <=> v3259(VarCurr,B) ) ) )).

fof(addAssignment_527,axiom,(
    ! [VarCurr] :
      ( v3251(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(addAssignment_526,axiom,(
    ! [VarCurr] :
      ( v3248(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addAssignment_525,axiom,(
    ! [VarCurr] :
      ( v3226(VarCurr)
    <=> v3228(VarCurr) ) )).

fof(addAssignment_524,axiom,(
    ! [VarCurr] :
      ( v3228(VarCurr)
    <=> v3230(VarCurr) ) )).

fof(addAssignment_523,axiom,(
    ! [VarCurr] :
      ( v3230(VarCurr)
    <=> v3009(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1014,axiom,(
    ! [VarCurr] :
      ( v3223(VarCurr)
    <=> ( v3023(VarCurr)
        & v3032(VarCurr) ) ) )).

fof(addAssignment_522,axiom,(
    ! [VarCurr] :
      ( v3219(VarCurr)
    <=> v3221(VarCurr) ) )).

fof(addAssignment_521,axiom,(
    ! [VarCurr] :
      ( v3221(VarCurr)
    <=> v3150(VarCurr,bitIndex2) ) )).

fof(addAssignment_520,axiom,(
    ! [VarCurr] :
      ( v3150(VarCurr,bitIndex2)
    <=> v3214(VarCurr,bitIndex2) ) )).

fof(addAssignment_519,axiom,(
    ! [VarCurr] :
      ( v3208(VarCurr,bitIndex2)
    <=> v3212(VarCurr,bitIndex2) ) )).

fof(addAssignment_518,axiom,(
    ! [VarCurr] :
      ( v3210(VarCurr,bitIndex2)
    <=> v3211(VarCurr,bitIndex1) ) )).

fof(addAssignment_517,axiom,(
    ! [VarCurr] :
      ( v3201(VarCurr,bitIndex2)
    <=> v3205(VarCurr,bitIndex2) ) )).

fof(addAssignment_516,axiom,(
    ! [VarCurr] :
      ( v3203(VarCurr,bitIndex2)
    <=> v3204(VarCurr,bitIndex1) ) )).

fof(addAssignment_515,axiom,(
    ! [VarCurr] :
      ( v3197(VarCurr)
    <=> v3199(VarCurr) ) )).

fof(addAssignment_514,axiom,(
    ! [VarCurr] :
      ( v3199(VarCurr)
    <=> v3150(VarCurr,bitIndex1) ) )).

fof(addAssignment_513,axiom,(
    ! [VarCurr] :
      ( v3150(VarCurr,bitIndex1)
    <=> v3214(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_6,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v3214(VarCurr,B)
      <=> ( v3215(VarCurr,B)
          | v3208(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_5,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v3215(VarCurr,B)
      <=> ( v3216(VarCurr,B)
          & v3201(VarCurr,B) ) ) ) )).

fof(addAssignment_512,axiom,(
    ! [VarCurr] :
      ( v3216(VarCurr,bitIndex0)
    <=> v3217(VarCurr) ) )).

fof(addAssignment_511,axiom,(
    ! [VarCurr] :
      ( v3216(VarCurr,bitIndex1)
    <=> v3217(VarCurr) ) )).

fof(addAssignment_510,axiom,(
    ! [VarCurr] :
      ( v3216(VarCurr,bitIndex2)
    <=> v3217(VarCurr) ) )).

fof(addAssignment_509,axiom,(
    ! [VarCurr] :
      ( v3217(VarCurr)
    <=> v3152(VarCurr) ) )).

fof(addAssignment_508,axiom,(
    ! [VarCurr] :
      ( v3208(VarCurr,bitIndex1)
    <=> v3212(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_4,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v3212(VarCurr,B)
      <=> ( v3154(VarCurr,B)
          & v3213(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_488,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v3213(VarCurr,B)
      <=> ~ v3210(VarCurr,B) ) ) )).

fof(addAssignment_507,axiom,(
    ! [VarCurr] :
      ( v3210(VarCurr,bitIndex1)
    <=> v3211(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_3,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v3211(VarCurr,B)
      <=> ( v3210(VarCurr,B)
          | v3154(VarCurr,B) ) ) ) )).

fof(addAssignment_506,axiom,(
    ! [VarCurr] :
      ( v3210(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_505,axiom,(
    ! [VarCurr] :
      ( v3201(VarCurr,bitIndex1)
    <=> v3205(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_2,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v3205(VarCurr,B)
      <=> ( v3156(VarCurr,B)
          & v3206(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_487,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v3206(VarCurr,B)
      <=> ~ v3203(VarCurr,B) ) ) )).

fof(addAssignment_504,axiom,(
    ! [VarCurr] :
      ( v3203(VarCurr,bitIndex1)
    <=> v3204(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_1,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v3204(VarCurr,B)
      <=> ( v3203(VarCurr,B)
          | v3156(VarCurr,B) ) ) ) )).

fof(addAssignment_503,axiom,(
    ! [VarCurr] :
      ( v3203(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_502,axiom,(
    ! [VarCurr] :
      ( v3194(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(addAssignment_501,axiom,(
    ! [VarCurr] :
      ( v3174(VarCurr)
    <=> v3176(VarCurr) ) )).

fof(addAssignment_500,axiom,(
    ! [VarCurr] :
      ( v3176(VarCurr)
    <=> v3178(VarCurr) ) )).

fof(addAssignment_499,axiom,(
    ! [VarCurr] :
      ( v3178(VarCurr)
    <=> v3180(VarCurr) ) )).

fof(addAssignment_498,axiom,(
    ! [VarCurr] :
      ( v3180(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_497,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(addAssignment_496,axiom,(
    ! [VarCurr] :
      ( v3046(VarCurr)
    <=> v3048(VarCurr) ) )).

fof(addAssignment_495,axiom,(
    ! [VarCurr] :
      ( v3048(VarCurr)
    <=> v3050(VarCurr) ) )).

fof(addAssignment_494,axiom,(
    ! [VarCurr] :
      ( v3050(VarCurr)
    <=> v3052(VarCurr) ) )).

fof(addAssignment_493,axiom,(
    ! [VarCurr] :
      ( v3052(VarCurr)
    <=> v3054(VarCurr) ) )).

fof(addAssignment_492,axiom,(
    ! [VarCurr] :
      ( v3054(VarCurr)
    <=> v3056(VarCurr) ) )).

fof(addAssignment_491,axiom,(
    ! [VarCurr] :
      ( v3056(VarCurr)
    <=> v3058(VarCurr) ) )).

fof(addAssignment_490,axiom,(
    ! [VarCurr] :
      ( v3058(VarCurr)
    <=> v3060(VarCurr) ) )).

fof(addAssignment_489,axiom,(
    ! [VarCurr] :
      ( v3060(VarCurr)
    <=> v3062(VarCurr) ) )).

fof(addAssignment_488,axiom,(
    ! [VarCurr] :
      ( v3062(VarCurr)
    <=> v3064(VarCurr,bitIndex2) ) )).

fof(addAssignment_487,axiom,(
    ! [VarNext] :
      ( v3064(VarNext,bitIndex2)
    <=> v3130(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3131(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v3130(VarNext,B)
            <=> v3064(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_31,axiom,(
    ! [VarNext] :
      ( v3131(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v3130(VarNext,B)
          <=> v3141(VarNext,B) ) ) ) )).

fof(addAssignment_486,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v3141(VarNext,B)
          <=> v3139(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_80,axiom,(
    ! [VarCurr] :
      ( ~ v3142(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3139(VarCurr,B)
          <=> v3074(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_81,axiom,(
    ! [VarCurr] :
      ( v3142(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3139(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_486,axiom,(
    ! [VarCurr] :
      ( ~ v3142(VarCurr)
    <=> v3066(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1013,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3131(VarNext)
      <=> v3132(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1012,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3132(VarNext)
      <=> ( v3133(VarNext)
          & v3122(VarNext) ) ) ) )).

fof(writeUnaryOperator_485,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3133(VarNext)
      <=> v3135(VarNext) ) ) )).

fof(addAssignment_485,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3135(VarNext)
      <=> v3122(VarCurr) ) ) )).

fof(addAssignment_484,axiom,(
    ! [VarCurr] :
      ( v3122(VarCurr)
    <=> v3124(VarCurr) ) )).

fof(addAssignment_483,axiom,(
    ! [VarCurr] :
      ( v3124(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addAssignment_482,axiom,(
    ! [VarCurr] :
      ( v3126(VarCurr)
    <=> v3128(VarCurr) ) )).

fof(addAssignment_481,axiom,(
    ! [VarCurr] :
      ( v3128(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_480,axiom,(
    ! [VarCurr] :
      ( v3074(VarCurr,bitIndex2)
    <=> v3107(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_79,axiom,(
    ! [VarCurr] :
      ( ~ v3108(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3107(VarCurr,B)
          <=> v3109(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_80,axiom,(
    ! [VarCurr] :
      ( v3108(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3107(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_8,axiom,(
    ! [VarCurr] :
      ( ( ~ v3110(VarCurr)
        & ~ v3112(VarCurr)
        & ~ v3116(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v3109(VarCurr,B)
          <=> v3064(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_14,axiom,(
    ! [VarCurr] :
      ( v3116(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3109(VarCurr,B)
          <=> v3118(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_39,axiom,(
    ! [VarCurr] :
      ( v3112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3109(VarCurr,B)
          <=> v3114(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_39,axiom,(
    ! [VarCurr] :
      ( v3110(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v3109(VarCurr,B)
          <=> v3064(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_150,axiom,(
    ! [VarCurr] :
      ( v3119(VarCurr)
    <=> ( ( v3120(VarCurr,bitIndex1)
        <=> $true )
        & ( v3120(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_479,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex0)
    <=> v3092(VarCurr) ) )).

fof(addAssignment_478,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex1)
    <=> v3076(VarCurr) ) )).

fof(addAssignment_477,axiom,(
    ! [VarCurr] :
      ( v3118(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_476,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v3118(VarCurr,B)
      <=> v3104(VarCurr,B) ) ) )).

fof(range_axiom_18,axiom,(
    ! [B] :
      ( range_3_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_149,axiom,(
    ! [VarCurr] :
      ( v3116(VarCurr)
    <=> ( ( v3117(VarCurr,bitIndex1)
        <=> $true )
        & ( v3117(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_475,axiom,(
    ! [VarCurr] :
      ( v3117(VarCurr,bitIndex0)
    <=> v3092(VarCurr) ) )).

fof(addAssignment_474,axiom,(
    ! [VarCurr] :
      ( v3117(VarCurr,bitIndex1)
    <=> v3076(VarCurr) ) )).

fof(addAssignment_473,axiom,(
    ! [VarCurr] :
      ( ( v3114(VarCurr,bitIndex2)
      <=> v3064(VarCurr,bitIndex3) )
      & ( v3114(VarCurr,bitIndex1)
      <=> v3064(VarCurr,bitIndex2) )
      & ( v3114(VarCurr,bitIndex0)
      <=> v3064(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_472,axiom,(
    ! [VarCurr] :
      ( v3114(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_148,axiom,(
    ! [VarCurr] :
      ( v3112(VarCurr)
    <=> ( ( v3113(VarCurr,bitIndex1)
        <=> $false )
        & ( v3113(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_471,axiom,(
    ! [VarCurr] :
      ( v3113(VarCurr,bitIndex0)
    <=> v3092(VarCurr) ) )).

fof(addAssignment_470,axiom,(
    ! [VarCurr] :
      ( v3113(VarCurr,bitIndex1)
    <=> v3076(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_147,axiom,(
    ! [VarCurr] :
      ( v3110(VarCurr)
    <=> ( ( v3111(VarCurr,bitIndex1)
        <=> $false )
        & ( v3111(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_469,axiom,(
    ! [VarCurr] :
      ( v3111(VarCurr,bitIndex0)
    <=> v3092(VarCurr) ) )).

fof(addAssignment_468,axiom,(
    ! [VarCurr] :
      ( v3111(VarCurr,bitIndex1)
    <=> v3076(VarCurr) ) )).

fof(writeUnaryOperator_484,axiom,(
    ! [VarCurr] :
      ( ~ v3108(VarCurr)
    <=> v3066(VarCurr) ) )).

fof(addAssignment_467,axiom,(
    ! [VarCurr] :
      ( v3104(VarCurr,bitIndex2)
    <=> v3105(VarCurr,bitIndex2) ) )).

fof(addAssignment_466,axiom,(
    ! [VarCurr] :
      ( v3105(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_465,axiom,(
    ! [VarCurr] :
      ( ( v3105(VarCurr,bitIndex3)
      <=> v3064(VarCurr,bitIndex2) )
      & ( v3105(VarCurr,bitIndex2)
      <=> v3064(VarCurr,bitIndex1) )
      & ( v3105(VarCurr,bitIndex1)
      <=> v3064(VarCurr,bitIndex0) ) ) )).

fof(addAssignmentInitValueVector_8,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v3064(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_464,axiom,(
    ! [VarCurr] :
      ( v3092(VarCurr)
    <=> v3094(VarCurr) ) )).

fof(addAssignment_463,axiom,(
    ! [VarCurr] :
      ( v3094(VarCurr)
    <=> v3096(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_13,axiom,(
    ! [VarCurr] :
      ( ( ~ v3100(VarCurr)
        & ~ v3101(VarCurr) )
     => ( v3096(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_38,axiom,(
    ! [VarCurr] :
      ( v3101(VarCurr)
     => ( v3096(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_38,axiom,(
    ! [VarCurr] :
      ( v3100(VarCurr)
     => ( v3096(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_146,axiom,(
    ! [VarCurr] :
      ( v3101(VarCurr)
    <=> ( ( v3098(VarCurr,bitIndex1)
        <=> $false )
        & ( v3098(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_145,axiom,(
    ! [VarCurr] :
      ( v3100(VarCurr)
    <=> ( ( v3098(VarCurr,bitIndex1)
        <=> $false )
        & ( v3098(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignmentInitValueVector_7,axiom,(
    ! [B] :
      ( range_1_0(B)
     => ( v3098(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_462,axiom,(
    ! [VarCurr] :
      ( v3076(VarCurr)
    <=> v3078(VarCurr) ) )).

fof(addAssignment_461,axiom,(
    ! [VarCurr] :
      ( v3078(VarCurr)
    <=> v3080(VarCurr) ) )).

fof(addAssignment_460,axiom,(
    ! [VarCurr] :
      ( v3080(VarCurr)
    <=> v3082(VarCurr) ) )).

fof(addAssignment_459,axiom,(
    ! [VarCurr] :
      ( v3082(VarCurr)
    <=> v3084(VarCurr) ) )).

fof(addAssignment_458,axiom,(
    ! [VarCurr] :
      ( v3084(VarCurr)
    <=> v3086(VarCurr) ) )).

fof(addAssignment_457,axiom,(
    ! [VarCurr] :
      ( v3086(VarCurr)
    <=> v3088(VarCurr) ) )).

fof(addAssignment_456,axiom,(
    ! [VarCurr] :
      ( v3088(VarCurr)
    <=> v3090(VarCurr) ) )).

fof(addAssignment_455,axiom,(
    ! [VarCurr] :
      ( v3066(VarCurr)
    <=> v3068(VarCurr) ) )).

fof(addAssignment_454,axiom,(
    ! [VarCurr] :
      ( v3068(VarCurr)
    <=> v3070(VarCurr) ) )).

fof(addAssignment_453,axiom,(
    ! [VarCurr] :
      ( v3070(VarCurr)
    <=> v3072(VarCurr) ) )).

fof(addAssignment_452,axiom,(
    ! [VarCurr] :
      ( v3072(VarCurr)
    <=> v16(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1011,axiom,(
    ! [VarCurr] :
      ( v3021(VarCurr)
    <=> ( v3038(VarCurr)
        & v3040(VarCurr) ) ) )).

fof(writeUnaryOperator_483,axiom,(
    ! [VarCurr] :
      ( ~ v3040(VarCurr)
    <=> v3032(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1010,axiom,(
    ! [VarCurr] :
      ( v3038(VarCurr)
    <=> ( v3039(VarCurr)
        & v3023(VarCurr) ) ) )).

fof(writeUnaryOperator_482,axiom,(
    ! [VarCurr] :
      ( ~ v3039(VarCurr)
    <=> v2902(VarCurr) ) )).

fof(addAssignment_451,axiom,(
    ! [VarCurr] :
      ( v3032(VarCurr)
    <=> v3034(VarCurr) ) )).

fof(addAssignment_450,axiom,(
    ! [VarCurr] :
      ( v3034(VarCurr)
    <=> v3036(VarCurr,bitIndex0) ) )).

fof(addAssignment_449,axiom,(
    ! [VarCurr] :
      ( v3036(VarCurr,bitIndex0)
    <=> v2824(VarCurr,bitIndex0) ) )).

fof(addAssignment_448,axiom,(
    ! [VarCurr] :
      ( v2824(VarCurr,bitIndex0)
    <=> v2826(VarCurr,bitIndex0) ) )).

fof(addAssignment_447,axiom,(
    ! [VarCurr] :
      ( v2826(VarCurr,bitIndex0)
    <=> v2828(VarCurr,bitIndex0) ) )).

fof(addAssignment_446,axiom,(
    ! [VarCurr] :
      ( v2828(VarCurr,bitIndex0)
    <=> v2888(VarCurr,bitIndex0) ) )).

fof(addAssignment_445,axiom,(
    ! [VarCurr] :
      ( v3023(VarCurr)
    <=> v3025(VarCurr) ) )).

fof(addAssignment_444,axiom,(
    ! [VarCurr] :
      ( v3025(VarCurr)
    <=> v3027(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1009,axiom,(
    ! [VarCurr] :
      ( v3027(VarCurr)
    <=> ( v3029(VarCurr)
        & v3030(VarCurr) ) ) )).

fof(writeUnaryOperator_481,axiom,(
    ! [VarCurr] :
      ( ~ v3030(VarCurr)
    <=> v3013(VarCurr) ) )).

fof(writeUnaryOperator_480,axiom,(
    ! [VarCurr] :
      ( ~ v3029(VarCurr)
    <=> v3009(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1008,axiom,(
    ! [VarCurr] :
      ( v2900(VarCurr)
    <=> ( v3019(VarCurr)
        & v3003(VarCurr) ) ) )).

fof(writeUnaryOperator_479,axiom,(
    ! [VarCurr] :
      ( ~ v3019(VarCurr)
    <=> v2902(VarCurr) ) )).

fof(addAssignment_443,axiom,(
    ! [VarCurr] :
      ( v3003(VarCurr)
    <=> v3005(VarCurr) ) )).

fof(addAssignment_442,axiom,(
    ! [VarCurr] :
      ( v3005(VarCurr)
    <=> v3007(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1007,axiom,(
    ! [VarCurr] :
      ( v3007(VarCurr)
    <=> ( v3017(VarCurr)
        & v3013(VarCurr) ) ) )).

fof(writeUnaryOperator_478,axiom,(
    ! [VarCurr] :
      ( ~ v3017(VarCurr)
    <=> v3009(VarCurr,bitIndex1) ) )).

fof(addAssignment_441,axiom,(
    ! [VarCurr] :
      ( v3013(VarCurr)
    <=> v3015(VarCurr) ) )).

fof(addAssignment_440,axiom,(
    ! [VarCurr] :
      ( v3015(VarCurr)
    <=> v2824(VarCurr,bitIndex15) ) )).

fof(addAssignment_439,axiom,(
    ! [VarCurr] :
      ( v2824(VarCurr,bitIndex15)
    <=> v2826(VarCurr,bitIndex15) ) )).

fof(addAssignment_438,axiom,(
    ! [VarCurr] :
      ( v2826(VarCurr,bitIndex15)
    <=> v2828(VarCurr,bitIndex15) ) )).

fof(addAssignment_437,axiom,(
    ! [VarCurr] :
      ( v2828(VarCurr,bitIndex15)
    <=> v2888(VarCurr,bitIndex15) ) )).

fof(addAssignment_436,axiom,(
    ! [VarCurr] :
      ( v3009(VarCurr,bitIndex1)
    <=> v3011(VarCurr,bitIndex1) ) )).

fof(addAssignment_435,axiom,(
    ! [VarCurr] :
      ( v3011(VarCurr,bitIndex1)
    <=> v2826(VarCurr,bitIndex17) ) )).

fof(addAssignment_434,axiom,(
    ! [VarCurr] :
      ( v2826(VarCurr,bitIndex17)
    <=> v2828(VarCurr,bitIndex17) ) )).

fof(addAssignment_433,axiom,(
    ! [VarCurr] :
      ( v2828(VarCurr,bitIndex17)
    <=> v2888(VarCurr,bitIndex17) ) )).

fof(addAssignment_432,axiom,(
    ! [VarCurr] :
      ( v2902(VarCurr)
    <=> v2904(VarCurr) ) )).

fof(addAssignment_431,axiom,(
    ! [VarCurr] :
      ( v2904(VarCurr)
    <=> v2906(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_144,axiom,(
    ! [VarCurr] :
      ( v2906(VarCurr)
    <=> ( ( v2908(VarCurr,bitIndex4)
        <=> $false )
        & ( v2908(VarCurr,bitIndex3)
        <=> $false )
        & ( v2908(VarCurr,bitIndex2)
        <=> $false )
        & ( v2908(VarCurr,bitIndex1)
        <=> $false )
        & ( v2908(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2989(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v2908(VarNext,B)
            <=> v2908(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_30,axiom,(
    ! [VarNext] :
      ( v2989(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2908(VarNext,B)
          <=> v2997(VarNext,B) ) ) ) )).

fof(addAssignment_430,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2997(VarNext,B)
          <=> v2995(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_78,axiom,(
    ! [VarCurr] :
      ( ~ v2998(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2995(VarCurr,B)
          <=> v2910(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_79,axiom,(
    ! [VarCurr] :
      ( v2998(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2995(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_477,axiom,(
    ! [VarCurr] :
      ( ~ v2998(VarCurr)
    <=> v2837(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2989(VarNext)
      <=> v2990(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2990(VarNext)
      <=> ( v2991(VarNext)
          & v2832(VarNext) ) ) ) )).

fof(writeUnaryOperator_476,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2991(VarNext)
      <=> v2870(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_7,axiom,(
    ! [VarCurr] :
      ( ( ~ v2913(VarCurr)
        & ~ v2915(VarCurr)
        & ~ v2956(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v2910(VarCurr,B)
          <=> v2908(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_12,axiom,(
    ! [VarCurr] :
      ( v2956(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2910(VarCurr,B)
          <=> v2958(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_37,axiom,(
    ! [VarCurr] :
      ( v2915(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2910(VarCurr,B)
          <=> v2917(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_37,axiom,(
    ! [VarCurr] :
      ( v2913(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2910(VarCurr,B)
          <=> v2908(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_143,axiom,(
    ! [VarCurr] :
      ( v2985(VarCurr)
    <=> ( ( v2986(VarCurr,bitIndex1)
        <=> $true )
        & ( v2986(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_429,axiom,(
    ! [VarCurr] :
      ( v2986(VarCurr,bitIndex0)
    <=> v2894(VarCurr) ) )).

fof(addAssignment_428,axiom,(
    ! [VarCurr] :
      ( v2986(VarCurr,bitIndex1)
    <=> v2854(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_77,axiom,(
    ! [VarCurr] :
      ( ~ v2959(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2958(VarCurr,B)
          <=> v2960(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_78,axiom,(
    ! [VarCurr] :
      ( v2959(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2958(VarCurr,B)
          <=> b10000(B) ) ) ) )).

fof(addAssignment_427,axiom,(
    ! [VarCurr] :
      ( v2960(VarCurr,bitIndex0)
    <=> v2982(VarCurr) ) )).

fof(addAssignment_426,axiom,(
    ! [VarCurr] :
      ( v2960(VarCurr,bitIndex1)
    <=> v2980(VarCurr) ) )).

fof(addAssignment_425,axiom,(
    ! [VarCurr] :
      ( v2960(VarCurr,bitIndex2)
    <=> v2975(VarCurr) ) )).

fof(addAssignment_424,axiom,(
    ! [VarCurr] :
      ( v2960(VarCurr,bitIndex3)
    <=> v2970(VarCurr) ) )).

fof(addAssignment_423,axiom,(
    ! [VarCurr] :
      ( v2960(VarCurr,bitIndex4)
    <=> v2962(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1004,axiom,(
    ! [VarCurr] :
      ( v2980(VarCurr)
    <=> ( v2981(VarCurr)
        & v2984(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_246,axiom,(
    ! [VarCurr] :
      ( v2984(VarCurr)
    <=> ( v2908(VarCurr,bitIndex0)
        | v2908(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1003,axiom,(
    ! [VarCurr] :
      ( v2981(VarCurr)
    <=> ( v2982(VarCurr)
        | v2983(VarCurr) ) ) )).

fof(writeUnaryOperator_475,axiom,(
    ! [VarCurr] :
      ( ~ v2983(VarCurr)
    <=> v2908(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_474,axiom,(
    ! [VarCurr] :
      ( ~ v2982(VarCurr)
    <=> v2908(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1002,axiom,(
    ! [VarCurr] :
      ( v2975(VarCurr)
    <=> ( v2976(VarCurr)
        & v2979(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_245,axiom,(
    ! [VarCurr] :
      ( v2979(VarCurr)
    <=> ( v2967(VarCurr)
        | v2908(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1001,axiom,(
    ! [VarCurr] :
      ( v2976(VarCurr)
    <=> ( v2977(VarCurr)
        | v2978(VarCurr) ) ) )).

fof(writeUnaryOperator_473,axiom,(
    ! [VarCurr] :
      ( ~ v2978(VarCurr)
    <=> v2908(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_472,axiom,(
    ! [VarCurr] :
      ( ~ v2977(VarCurr)
    <=> v2967(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1000,axiom,(
    ! [VarCurr] :
      ( v2970(VarCurr)
    <=> ( v2971(VarCurr)
        & v2974(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_244,axiom,(
    ! [VarCurr] :
      ( v2974(VarCurr)
    <=> ( v2966(VarCurr)
        | v2908(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_999,axiom,(
    ! [VarCurr] :
      ( v2971(VarCurr)
    <=> ( v2972(VarCurr)
        | v2973(VarCurr) ) ) )).

fof(writeUnaryOperator_471,axiom,(
    ! [VarCurr] :
      ( ~ v2973(VarCurr)
    <=> v2908(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_470,axiom,(
    ! [VarCurr] :
      ( ~ v2972(VarCurr)
    <=> v2966(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_998,axiom,(
    ! [VarCurr] :
      ( v2962(VarCurr)
    <=> ( v2963(VarCurr)
        & v2969(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_243,axiom,(
    ! [VarCurr] :
      ( v2969(VarCurr)
    <=> ( v2965(VarCurr)
        | v2908(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_997,axiom,(
    ! [VarCurr] :
      ( v2963(VarCurr)
    <=> ( v2964(VarCurr)
        | v2968(VarCurr) ) ) )).

fof(writeUnaryOperator_469,axiom,(
    ! [VarCurr] :
      ( ~ v2968(VarCurr)
    <=> v2908(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_468,axiom,(
    ! [VarCurr] :
      ( ~ v2964(VarCurr)
    <=> v2965(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_242,axiom,(
    ! [VarCurr] :
      ( v2965(VarCurr)
    <=> ( v2966(VarCurr)
        & v2908(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_241,axiom,(
    ! [VarCurr] :
      ( v2966(VarCurr)
    <=> ( v2967(VarCurr)
        & v2908(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_240,axiom,(
    ! [VarCurr] :
      ( v2967(VarCurr)
    <=> ( v2908(VarCurr,bitIndex0)
        & v2908(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_142,axiom,(
    ! [VarCurr] :
      ( v2959(VarCurr)
    <=> ( ( v2908(VarCurr,bitIndex4)
        <=> $true )
        & ( v2908(VarCurr,bitIndex3)
        <=> $false )
        & ( v2908(VarCurr,bitIndex2)
        <=> $false )
        & ( v2908(VarCurr,bitIndex1)
        <=> $false )
        & ( v2908(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_401,axiom,(
    b10000(bitIndex4) )).

fof(bitBlastConstant_400,axiom,(
    ~ b10000(bitIndex3) )).

fof(bitBlastConstant_399,axiom,(
    ~ b10000(bitIndex2) )).

fof(bitBlastConstant_398,axiom,(
    ~ b10000(bitIndex1) )).

fof(bitBlastConstant_397,axiom,(
    ~ b10000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_141,axiom,(
    ! [VarCurr] :
      ( v2956(VarCurr)
    <=> ( ( v2957(VarCurr,bitIndex1)
        <=> $true )
        & ( v2957(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_422,axiom,(
    ! [VarCurr] :
      ( v2957(VarCurr,bitIndex0)
    <=> v2894(VarCurr) ) )).

fof(addAssignment_421,axiom,(
    ! [VarCurr] :
      ( v2957(VarCurr,bitIndex1)
    <=> v2854(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_76,axiom,(
    ! [VarCurr] :
      ( ~ v2918(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v2917(VarCurr,B)
          <=> v2919(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_77,axiom,(
    ! [VarCurr] :
      ( v2918(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v2917(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_51,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex6)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_50,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex7)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_49,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex8)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_48,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex9)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_47,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex10)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_46,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex11)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_45,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex12)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_44,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex13)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_43,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex14)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_42,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex15)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_41,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex16)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_40,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex17)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_39,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex18)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_38,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex19)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_37,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex20)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_36,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex21)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_35,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex22)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_34,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex23)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_33,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex24)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_32,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex25)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_31,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex26)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_30,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex27)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_29,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex28)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_28,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex29)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_27,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex30)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_26,axiom,(
    ! [VarCurr] :
      ( v2919(VarCurr,bitIndex31)
    <=> v2920(VarCurr,bitIndex5) ) )).

fof(addAssignment_420,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v2919(VarCurr,B)
      <=> v2920(VarCurr,B) ) ) )).

fof(addAssignment_419,axiom,(
    ! [VarCurr] :
      ( v2920(VarCurr,bitIndex0)
    <=> v2954(VarCurr) ) )).

fof(addAssignment_418,axiom,(
    ! [VarCurr] :
      ( v2920(VarCurr,bitIndex1)
    <=> v2952(VarCurr) ) )).

fof(addAssignment_417,axiom,(
    ! [VarCurr] :
      ( v2920(VarCurr,bitIndex2)
    <=> v2948(VarCurr) ) )).

fof(addAssignment_416,axiom,(
    ! [VarCurr] :
      ( v2920(VarCurr,bitIndex3)
    <=> v2944(VarCurr) ) )).

fof(addAssignment_415,axiom,(
    ! [VarCurr] :
      ( v2920(VarCurr,bitIndex4)
    <=> v2940(VarCurr) ) )).

fof(addAssignment_414,axiom,(
    ! [VarCurr] :
      ( v2920(VarCurr,bitIndex5)
    <=> v2922(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_996,axiom,(
    ! [VarCurr] :
      ( v2952(VarCurr)
    <=> ( v2953(VarCurr)
        & v2955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_995,axiom,(
    ! [VarCurr] :
      ( v2955(VarCurr)
    <=> ( v2926(VarCurr,bitIndex0)
        | v2934(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_239,axiom,(
    ! [VarCurr] :
      ( v2953(VarCurr)
    <=> ( v2954(VarCurr)
        | v2926(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_467,axiom,(
    ! [VarCurr] :
      ( ~ v2954(VarCurr)
    <=> v2926(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_994,axiom,(
    ! [VarCurr] :
      ( v2948(VarCurr)
    <=> ( v2949(VarCurr)
        & v2951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_993,axiom,(
    ! [VarCurr] :
      ( v2951(VarCurr)
    <=> ( v2932(VarCurr)
        | v2935(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_238,axiom,(
    ! [VarCurr] :
      ( v2949(VarCurr)
    <=> ( v2950(VarCurr)
        | v2926(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_466,axiom,(
    ! [VarCurr] :
      ( ~ v2950(VarCurr)
    <=> v2932(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_992,axiom,(
    ! [VarCurr] :
      ( v2944(VarCurr)
    <=> ( v2945(VarCurr)
        & v2947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_991,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr)
    <=> ( v2930(VarCurr)
        | v2936(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_237,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr)
    <=> ( v2946(VarCurr)
        | v2926(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_465,axiom,(
    ! [VarCurr] :
      ( ~ v2946(VarCurr)
    <=> v2930(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_990,axiom,(
    ! [VarCurr] :
      ( v2940(VarCurr)
    <=> ( v2941(VarCurr)
        & v2943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_989,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr)
    <=> ( v2928(VarCurr)
        | v2937(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_236,axiom,(
    ! [VarCurr] :
      ( v2941(VarCurr)
    <=> ( v2942(VarCurr)
        | v2926(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_464,axiom,(
    ! [VarCurr] :
      ( ~ v2942(VarCurr)
    <=> v2928(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_988,axiom,(
    ! [VarCurr] :
      ( v2922(VarCurr)
    <=> ( v2923(VarCurr)
        & v2938(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_987,axiom,(
    ! [VarCurr] :
      ( v2938(VarCurr)
    <=> ( v2925(VarCurr)
        | v2939(VarCurr) ) ) )).

fof(writeUnaryOperator_463,axiom,(
    ! [VarCurr] :
      ( ~ v2939(VarCurr)
    <=> v2926(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_235,axiom,(
    ! [VarCurr] :
      ( v2923(VarCurr)
    <=> ( v2924(VarCurr)
        | v2926(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_462,axiom,(
    ! [VarCurr] :
      ( ~ v2924(VarCurr)
    <=> v2925(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_234,axiom,(
    ! [VarCurr] :
      ( v2925(VarCurr)
    <=> ( v2926(VarCurr,bitIndex4)
        | v2927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_986,axiom,(
    ! [VarCurr] :
      ( v2927(VarCurr)
    <=> ( v2928(VarCurr)
        & v2937(VarCurr) ) ) )).

fof(writeUnaryOperator_461,axiom,(
    ! [VarCurr] :
      ( ~ v2937(VarCurr)
    <=> v2926(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_233,axiom,(
    ! [VarCurr] :
      ( v2928(VarCurr)
    <=> ( v2926(VarCurr,bitIndex3)
        | v2929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_985,axiom,(
    ! [VarCurr] :
      ( v2929(VarCurr)
    <=> ( v2930(VarCurr)
        & v2936(VarCurr) ) ) )).

fof(writeUnaryOperator_460,axiom,(
    ! [VarCurr] :
      ( ~ v2936(VarCurr)
    <=> v2926(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_232,axiom,(
    ! [VarCurr] :
      ( v2930(VarCurr)
    <=> ( v2926(VarCurr,bitIndex2)
        | v2931(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_984,axiom,(
    ! [VarCurr] :
      ( v2931(VarCurr)
    <=> ( v2932(VarCurr)
        & v2935(VarCurr) ) ) )).

fof(writeUnaryOperator_459,axiom,(
    ! [VarCurr] :
      ( ~ v2935(VarCurr)
    <=> v2926(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_231,axiom,(
    ! [VarCurr] :
      ( v2932(VarCurr)
    <=> ( v2926(VarCurr,bitIndex1)
        | v2933(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_983,axiom,(
    ! [VarCurr] :
      ( v2933(VarCurr)
    <=> ( v2926(VarCurr,bitIndex0)
        & v2934(VarCurr) ) ) )).

fof(writeUnaryOperator_458,axiom,(
    ! [VarCurr] :
      ( ~ v2934(VarCurr)
    <=> v2926(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_4,axiom,(
    ! [VarCurr] : ~ v2926(VarCurr,bitIndex5) )).

fof(addAssignment_413,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2926(VarCurr,B)
      <=> v2908(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_140,axiom,(
    ! [VarCurr] :
      ( v2918(VarCurr)
    <=> ( ( v2908(VarCurr,bitIndex4)
        <=> $false )
        & ( v2908(VarCurr,bitIndex3)
        <=> $false )
        & ( v2908(VarCurr,bitIndex2)
        <=> $false )
        & ( v2908(VarCurr,bitIndex1)
        <=> $false )
        & ( v2908(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_139,axiom,(
    ! [VarCurr] :
      ( v2915(VarCurr)
    <=> ( ( v2916(VarCurr,bitIndex1)
        <=> $false )
        & ( v2916(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_412,axiom,(
    ! [VarCurr] :
      ( v2916(VarCurr,bitIndex0)
    <=> v2894(VarCurr) ) )).

fof(addAssignment_411,axiom,(
    ! [VarCurr] :
      ( v2916(VarCurr,bitIndex1)
    <=> v2854(VarCurr) ) )).

fof(addAssignmentInitValue_12,axiom,(
    ~ v2908(constB0,bitIndex4) )).

fof(addAssignmentInitValue_11,axiom,(
    ~ v2908(constB0,bitIndex3) )).

fof(addAssignmentInitValue_10,axiom,(
    ~ v2908(constB0,bitIndex2) )).

fof(addAssignmentInitValue_9,axiom,(
    ~ v2908(constB0,bitIndex1) )).

fof(addAssignmentInitValue_8,axiom,(
    v2908(constB0,bitIndex0) )).

fof(bitBlastConstant_396,axiom,(
    ~ b00001(bitIndex4) )).

fof(bitBlastConstant_395,axiom,(
    ~ b00001(bitIndex3) )).

fof(bitBlastConstant_394,axiom,(
    ~ b00001(bitIndex2) )).

fof(bitBlastConstant_393,axiom,(
    ~ b00001(bitIndex1) )).

fof(bitBlastConstant_392,axiom,(
    b00001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_138,axiom,(
    ! [VarCurr] :
      ( v2913(VarCurr)
    <=> ( ( v2914(VarCurr,bitIndex1)
        <=> $false )
        & ( v2914(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_410,axiom,(
    ! [VarCurr] :
      ( v2914(VarCurr,bitIndex0)
    <=> v2894(VarCurr) ) )).

fof(addAssignment_409,axiom,(
    ! [VarCurr] :
      ( v2914(VarCurr,bitIndex1)
    <=> v2854(VarCurr) ) )).

fof(memoryReadIntoBuffer_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2890_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_17_0(B)
                   => ( v2888(VarNext,B)
                    <=> v2830_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(addAssignmentInitValueVector_6,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v2890(constB0,B)
      <=> $false ) ) )).

fof(memoryConstantWriteDisabled_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v2880(VarNext) )
         => ! [B] :
              ( range_17_0(B)
             => ( v2830_array(VarNext,A,B)
              <=> v2830_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v2880(VarNext) )
         => ! [B] :
              ( range_17_0(B)
             => ( v2830_array(VarNext,A,B)
              <=> b000000000000000000(B) ) ) ) ) )).

fof(bitBlastConstant_391,axiom,(
    ~ b000000000000000000(bitIndex17) )).

fof(bitBlastConstant_390,axiom,(
    ~ b000000000000000000(bitIndex16) )).

fof(bitBlastConstant_389,axiom,(
    ~ b000000000000000000(bitIndex15) )).

fof(bitBlastConstant_388,axiom,(
    ~ b000000000000000000(bitIndex14) )).

fof(bitBlastConstant_387,axiom,(
    ~ b000000000000000000(bitIndex13) )).

fof(bitBlastConstant_386,axiom,(
    ~ b000000000000000000(bitIndex12) )).

fof(bitBlastConstant_385,axiom,(
    ~ b000000000000000000(bitIndex11) )).

fof(bitBlastConstant_384,axiom,(
    ~ b000000000000000000(bitIndex10) )).

fof(bitBlastConstant_383,axiom,(
    ~ b000000000000000000(bitIndex9) )).

fof(bitBlastConstant_382,axiom,(
    ~ b000000000000000000(bitIndex8) )).

fof(bitBlastConstant_381,axiom,(
    ~ b000000000000000000(bitIndex7) )).

fof(bitBlastConstant_380,axiom,(
    ~ b000000000000000000(bitIndex6) )).

fof(bitBlastConstant_379,axiom,(
    ~ b000000000000000000(bitIndex5) )).

fof(bitBlastConstant_378,axiom,(
    ~ b000000000000000000(bitIndex4) )).

fof(bitBlastConstant_377,axiom,(
    ~ b000000000000000000(bitIndex3) )).

fof(bitBlastConstant_376,axiom,(
    ~ b000000000000000000(bitIndex2) )).

fof(bitBlastConstant_375,axiom,(
    ~ b000000000000000000(bitIndex1) )).

fof(bitBlastConstant_374,axiom,(
    ~ b000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_982,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2880(VarNext)
      <=> ( v2881(VarNext)
          & v2886(VarNext) ) ) ) )).

fof(addAssignment_408,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2886(VarNext)
      <=> v2877(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2881(VarNext)
      <=> ( v2883(VarNext)
          & v2832(VarNext) ) ) ) )).

fof(writeUnaryOperator_457,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2883(VarNext)
      <=> v2870(VarNext) ) ) )).

fof(memoryWriteDisabled_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2862_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v2866(VarNext) )
             => ! [B] :
                  ( range_17_0(B)
                 => ( v2830_1__array(VarNext,A,B)
                  <=> v2830_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2862_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v2866(VarNext) )
             => ! [B] :
                  ( range_17_0(B)
                 => ( v2830_1__array(VarNext,A,B)
                  <=> v2839(VarNext,B) ) ) ) ) ) )).

fof(range_axiom_17,axiom,(
    ! [B] :
      ( range_17_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B ) ) )).

fof(addAssignmentInitValue_7,axiom,(
    ~ v2862(constB0,bitIndex3) )).

fof(addAssignmentInitValue_6,axiom,(
    ~ v2862(constB0,bitIndex2) )).

fof(addAssignmentInitValue_5,axiom,(
    ~ v2862(constB0,bitIndex1) )).

fof(addAssignmentInitValue_4,axiom,(
    v2862(constB0,bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_980,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2866(VarNext)
      <=> ( v2867(VarNext)
          & v2875(VarNext) ) ) ) )).

fof(addAssignment_407,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2875(VarNext)
      <=> v2873(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_979,axiom,(
    ! [VarCurr] :
      ( v2873(VarCurr)
    <=> ( v2876(VarCurr)
        & v2854(VarCurr) ) ) )).

fof(writeUnaryOperator_456,axiom,(
    ! [VarCurr] :
      ( ~ v2876(VarCurr)
    <=> v2877(VarCurr) ) )).

fof(writeUnaryOperator_455,axiom,(
    ! [VarCurr] :
      ( ~ v2877(VarCurr)
    <=> v2837(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_978,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2867(VarNext)
      <=> ( v2868(VarNext)
          & v2832(VarNext) ) ) ) )).

fof(writeUnaryOperator_454,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2868(VarNext)
      <=> v2870(VarNext) ) ) )).

fof(addAssignment_406,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2870(VarNext)
      <=> v2832(VarCurr) ) ) )).

fof(initSateConstraint_197,axiom,(
    ~ v2830_array(constB0,b1111_address_term,bitIndex0) )).

fof(initSateConstraint_196,axiom,(
    ~ v2830_array(constB0,b1111_address_term,bitIndex15) )).

fof(initSateConstraint_195,axiom,(
    ~ v2830_array(constB0,b1111_address_term,bitIndex17) )).

fof(initSateConstraint_194,axiom,(
    ~ v2830_array(constB0,b1110_address_term,bitIndex0) )).

fof(initSateConstraint_193,axiom,(
    ~ v2830_array(constB0,b1110_address_term,bitIndex15) )).

fof(initSateConstraint_192,axiom,(
    ~ v2830_array(constB0,b1110_address_term,bitIndex17) )).

fof(initSateConstraint_191,axiom,(
    ~ v2830_array(constB0,b1101_address_term,bitIndex0) )).

fof(initSateConstraint_190,axiom,(
    ~ v2830_array(constB0,b1101_address_term,bitIndex15) )).

fof(initSateConstraint_189,axiom,(
    ~ v2830_array(constB0,b1101_address_term,bitIndex17) )).

fof(initSateConstraint_188,axiom,(
    ~ v2830_array(constB0,b1100_address_term,bitIndex0) )).

fof(initSateConstraint_187,axiom,(
    ~ v2830_array(constB0,b1100_address_term,bitIndex15) )).

fof(initSateConstraint_186,axiom,(
    ~ v2830_array(constB0,b1100_address_term,bitIndex17) )).

fof(initSateConstraint_185,axiom,(
    ~ v2830_array(constB0,b1011_address_term,bitIndex0) )).

fof(initSateConstraint_184,axiom,(
    ~ v2830_array(constB0,b1011_address_term,bitIndex15) )).

fof(initSateConstraint_183,axiom,(
    ~ v2830_array(constB0,b1011_address_term,bitIndex17) )).

fof(initSateConstraint_182,axiom,(
    ~ v2830_array(constB0,b1010_address_term,bitIndex0) )).

fof(initSateConstraint_181,axiom,(
    ~ v2830_array(constB0,b1010_address_term,bitIndex15) )).

fof(initSateConstraint_180,axiom,(
    ~ v2830_array(constB0,b1010_address_term,bitIndex17) )).

fof(initSateConstraint_179,axiom,(
    ~ v2830_array(constB0,b1001_address_term,bitIndex0) )).

fof(initSateConstraint_178,axiom,(
    ~ v2830_array(constB0,b1001_address_term,bitIndex15) )).

fof(initSateConstraint_177,axiom,(
    ~ v2830_array(constB0,b1001_address_term,bitIndex17) )).

fof(initSateConstraint_176,axiom,(
    ~ v2830_array(constB0,b1000_address_term,bitIndex0) )).

fof(initSateConstraint_175,axiom,(
    ~ v2830_array(constB0,b1000_address_term,bitIndex15) )).

fof(initSateConstraint_174,axiom,(
    ~ v2830_array(constB0,b1000_address_term,bitIndex17) )).

fof(initSateConstraint_173,axiom,(
    ~ v2830_array(constB0,b0111_address_term,bitIndex0) )).

fof(initSateConstraint_172,axiom,(
    ~ v2830_array(constB0,b0111_address_term,bitIndex15) )).

fof(initSateConstraint_171,axiom,(
    ~ v2830_array(constB0,b0111_address_term,bitIndex17) )).

fof(initSateConstraint_170,axiom,(
    ~ v2830_array(constB0,b0110_address_term,bitIndex0) )).

fof(initSateConstraint_169,axiom,(
    ~ v2830_array(constB0,b0110_address_term,bitIndex15) )).

fof(initSateConstraint_168,axiom,(
    ~ v2830_array(constB0,b0110_address_term,bitIndex17) )).

fof(initSateConstraint_167,axiom,(
    ~ v2830_array(constB0,b0101_address_term,bitIndex0) )).

fof(initSateConstraint_166,axiom,(
    ~ v2830_array(constB0,b0101_address_term,bitIndex15) )).

fof(initSateConstraint_165,axiom,(
    ~ v2830_array(constB0,b0101_address_term,bitIndex17) )).

fof(initSateConstraint_164,axiom,(
    ~ v2830_array(constB0,b0100_address_term,bitIndex0) )).

fof(initSateConstraint_163,axiom,(
    ~ v2830_array(constB0,b0100_address_term,bitIndex15) )).

fof(initSateConstraint_162,axiom,(
    ~ v2830_array(constB0,b0100_address_term,bitIndex17) )).

fof(initSateConstraint_161,axiom,(
    ~ v2830_array(constB0,b0011_address_term,bitIndex0) )).

fof(initSateConstraint_160,axiom,(
    ~ v2830_array(constB0,b0011_address_term,bitIndex15) )).

fof(initSateConstraint_159,axiom,(
    ~ v2830_array(constB0,b0011_address_term,bitIndex17) )).

fof(initSateConstraint_158,axiom,(
    ~ v2830_array(constB0,b0010_address_term,bitIndex0) )).

fof(initSateConstraint_157,axiom,(
    ~ v2830_array(constB0,b0010_address_term,bitIndex15) )).

fof(initSateConstraint_156,axiom,(
    ~ v2830_array(constB0,b0010_address_term,bitIndex17) )).

fof(initSateConstraint_155,axiom,(
    ~ v2830_array(constB0,b0001_address_term,bitIndex0) )).

fof(initSateConstraint_154,axiom,(
    ~ v2830_array(constB0,b0001_address_term,bitIndex15) )).

fof(initSateConstraint_153,axiom,(
    ~ v2830_array(constB0,b0001_address_term,bitIndex17) )).

fof(initSateConstraint_152,axiom,(
    ~ v2830_array(constB0,b0000_address_term,bitIndex0) )).

fof(initSateConstraint_151,axiom,(
    ~ v2830_array(constB0,b0000_address_term,bitIndex15) )).

fof(initSateConstraint_150,axiom,(
    ~ v2830_array(constB0,b0000_address_term,bitIndex17) )).

fof(addAssignment_405,axiom,(
    ! [VarCurr] :
      ( v2854(VarCurr)
    <=> v2856(VarCurr) ) )).

fof(addAssignment_404,axiom,(
    ! [VarCurr] :
      ( v2856(VarCurr)
    <=> v2858(VarCurr) ) )).

fof(addAssignment_403,axiom,(
    ! [VarCurr] :
      ( v2858(VarCurr)
    <=> v2860(VarCurr) ) )).

fof(addAssignment_402,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v2839(VarCurr,B)
      <=> v2847(VarCurr,B) ) ) )).

fof(addAssignment_401,axiom,(
    ! [VarCurr] :
      ( ( v2839(VarCurr,bitIndex17)
      <=> v2841(VarCurr,bitIndex1) )
      & ( v2839(VarCurr,bitIndex16)
      <=> v2841(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_400,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v2847(VarCurr,B)
      <=> v2849(VarCurr,B) ) ) )).

fof(addAssignment_399,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v2849(VarCurr,B)
      <=> v2851(VarCurr,B) ) ) )).

fof(addAssignment_398,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v2841(VarCurr,B)
      <=> v2843(VarCurr,B) ) ) )).

fof(addAssignment_397,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v2843(VarCurr,B)
      <=> v2845(VarCurr,B) ) ) )).

fof(addAssignment_396,axiom,(
    ! [VarCurr] :
      ( v2837(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(addAssignment_395,axiom,(
    ! [VarCurr] :
      ( v2832(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(addAssignment_394,axiom,(
    ! [VarCurr] :
      ( v2834(VarCurr)
    <=> v601(VarCurr) ) )).

fof(addAssignment_393,axiom,(
    ! [VarCurr] :
      ( v2816(VarCurr)
    <=> v2818(VarCurr) ) )).

fof(addAssignment_392,axiom,(
    ! [VarCurr] :
      ( v2818(VarCurr)
    <=> v14(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v2742(VarCurr,B)
      <=> ( v2744(VarCurr,B)
          & v2799(VarCurr,B) ) ) ) )).

fof(range_axiom_16,axiom,(
    ! [B] :
      ( range_15_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B ) ) )).

fof(addAssignment_391,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex0)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_390,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex1)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_389,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex2)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_388,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex3)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_387,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex4)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_386,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex5)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_385,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex6)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_384,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex7)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_383,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex8)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_382,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex9)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_381,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex10)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_380,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex11)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_379,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex12)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_378,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex13)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_377,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex14)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_376,axiom,(
    ! [VarCurr] :
      ( v2799(VarCurr,bitIndex15)
    <=> v2800(VarCurr) ) )).

fof(addAssignment_375,axiom,(
    ! [VarCurr] :
      ( v2800(VarCurr)
    <=> v2791(VarCurr) ) )).

fof(addAssignment_374,axiom,(
    ! [VarCurr] :
      ( v2791(VarCurr)
    <=> v2793(VarCurr) ) )).

fof(addAssignment_373,axiom,(
    ! [VarCurr] :
      ( v2793(VarCurr)
    <=> v2795(VarCurr) ) )).

fof(addAssignment_372,axiom,(
    ! [VarCurr] :
      ( v2795(VarCurr)
    <=> v2797(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_15,axiom,(
    ! [VarCurr] :
      ( ~ v2789(VarCurr)
     => ( v2744(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_14,axiom,(
    ! [VarCurr] :
      ( v2789(VarCurr)
     => ( v2744(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_137,axiom,(
    ! [VarCurr] :
      ( v2789(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_14,axiom,(
    ! [VarCurr] :
      ( ~ v2787(VarCurr)
     => ( v2744(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_13,axiom,(
    ! [VarCurr] :
      ( v2787(VarCurr)
     => ( v2744(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_136,axiom,(
    ! [VarCurr] :
      ( v2787(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_373,axiom,(
    b1110(bitIndex3) )).

fof(bitBlastConstant_372,axiom,(
    b1110(bitIndex2) )).

fof(bitBlastConstant_371,axiom,(
    b1110(bitIndex1) )).

fof(bitBlastConstant_370,axiom,(
    ~ b1110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_13,axiom,(
    ! [VarCurr] :
      ( ~ v2785(VarCurr)
     => ( v2744(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_12,axiom,(
    ! [VarCurr] :
      ( v2785(VarCurr)
     => ( v2744(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_135,axiom,(
    ! [VarCurr] :
      ( v2785(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_369,axiom,(
    b1101(bitIndex3) )).

fof(bitBlastConstant_368,axiom,(
    b1101(bitIndex2) )).

fof(bitBlastConstant_367,axiom,(
    ~ b1101(bitIndex1) )).

fof(bitBlastConstant_366,axiom,(
    b1101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_12,axiom,(
    ! [VarCurr] :
      ( ~ v2783(VarCurr)
     => ( v2744(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_11,axiom,(
    ! [VarCurr] :
      ( v2783(VarCurr)
     => ( v2744(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_134,axiom,(
    ! [VarCurr] :
      ( v2783(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_365,axiom,(
    b1100(bitIndex3) )).

fof(bitBlastConstant_364,axiom,(
    b1100(bitIndex2) )).

fof(bitBlastConstant_363,axiom,(
    ~ b1100(bitIndex1) )).

fof(bitBlastConstant_362,axiom,(
    ~ b1100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_11,axiom,(
    ! [VarCurr] :
      ( ~ v2781(VarCurr)
     => ( v2744(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_10,axiom,(
    ! [VarCurr] :
      ( v2781(VarCurr)
     => ( v2744(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_133,axiom,(
    ! [VarCurr] :
      ( v2781(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_361,axiom,(
    b1011(bitIndex3) )).

fof(bitBlastConstant_360,axiom,(
    ~ b1011(bitIndex2) )).

fof(bitBlastConstant_359,axiom,(
    b1011(bitIndex1) )).

fof(bitBlastConstant_358,axiom,(
    b1011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_10,axiom,(
    ! [VarCurr] :
      ( ~ v2779(VarCurr)
     => ( v2744(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_9,axiom,(
    ! [VarCurr] :
      ( v2779(VarCurr)
     => ( v2744(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_132,axiom,(
    ! [VarCurr] :
      ( v2779(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_357,axiom,(
    b1010(bitIndex3) )).

fof(bitBlastConstant_356,axiom,(
    ~ b1010(bitIndex2) )).

fof(bitBlastConstant_355,axiom,(
    b1010(bitIndex1) )).

fof(bitBlastConstant_354,axiom,(
    ~ b1010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_9,axiom,(
    ! [VarCurr] :
      ( ~ v2777(VarCurr)
     => ( v2744(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_8,axiom,(
    ! [VarCurr] :
      ( v2777(VarCurr)
     => ( v2744(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_131,axiom,(
    ! [VarCurr] :
      ( v2777(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_8,axiom,(
    ! [VarCurr] :
      ( ~ v2775(VarCurr)
     => ( v2744(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_7,axiom,(
    ! [VarCurr] :
      ( v2775(VarCurr)
     => ( v2744(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_130,axiom,(
    ! [VarCurr] :
      ( v2775(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $true )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_7,axiom,(
    ! [VarCurr] :
      ( ~ v2773(VarCurr)
     => ( v2744(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_6,axiom,(
    ! [VarCurr] :
      ( v2773(VarCurr)
     => ( v2744(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_129,axiom,(
    ! [VarCurr] :
      ( v2773(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_6,axiom,(
    ! [VarCurr] :
      ( ~ v2771(VarCurr)
     => ( v2744(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_5,axiom,(
    ! [VarCurr] :
      ( v2771(VarCurr)
     => ( v2744(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_128,axiom,(
    ! [VarCurr] :
      ( v2771(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_5,axiom,(
    ! [VarCurr] :
      ( ~ v2769(VarCurr)
     => ( v2744(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_4,axiom,(
    ! [VarCurr] :
      ( v2769(VarCurr)
     => ( v2744(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_127,axiom,(
    ! [VarCurr] :
      ( v2769(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_4,axiom,(
    ! [VarCurr] :
      ( ~ v2767(VarCurr)
     => ( v2744(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_3,axiom,(
    ! [VarCurr] :
      ( v2767(VarCurr)
     => ( v2744(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_126,axiom,(
    ! [VarCurr] :
      ( v2767(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $true )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_3,axiom,(
    ! [VarCurr] :
      ( ~ v2765(VarCurr)
     => ( v2744(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_2,axiom,(
    ! [VarCurr] :
      ( v2765(VarCurr)
     => ( v2744(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_125,axiom,(
    ! [VarCurr] :
      ( v2765(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_2,axiom,(
    ! [VarCurr] :
      ( ~ v2763(VarCurr)
     => ( v2744(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_1,axiom,(
    ! [VarCurr] :
      ( v2763(VarCurr)
     => ( v2744(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_124,axiom,(
    ! [VarCurr] :
      ( v2763(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $true )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_1,axiom,(
    ! [VarCurr] :
      ( ~ v2761(VarCurr)
     => ( v2744(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch,axiom,(
    ! [VarCurr] :
      ( v2761(VarCurr)
     => ( v2744(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_123,axiom,(
    ! [VarCurr] :
      ( v2761(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_75,axiom,(
    ! [VarCurr] :
      ( ~ v2759(VarCurr)
     => ( v2744(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_76,axiom,(
    ! [VarCurr] :
      ( v2759(VarCurr)
     => ( v2744(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_122,axiom,(
    ! [VarCurr] :
      ( v2759(VarCurr)
    <=> ( ( v2746(VarCurr,bitIndex3)
        <=> $false )
        & ( v2746(VarCurr,bitIndex2)
        <=> $false )
        & ( v2746(VarCurr,bitIndex1)
        <=> $false )
        & ( v2746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_371,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2746(VarCurr,B)
      <=> v2748(VarCurr,B) ) ) )).

fof(addAssignment_370,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2748(VarCurr,B)
      <=> v2750(VarCurr,B) ) ) )).

fof(addAssignment_369,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2750(VarCurr,B)
      <=> v2752(VarCurr,B) ) ) )).

fof(addAssignment_368,axiom,(
    ! [VarCurr] :
      ( v2735(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_367,axiom,(
    ! [VarCurr] :
      ( v2698(VarCurr)
    <=> v2700(VarCurr) ) )).

fof(addAssignment_366,axiom,(
    ! [VarCurr] :
      ( v2700(VarCurr)
    <=> v2702(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_74,axiom,(
    ! [VarCurr] :
      ( ~ v2708(VarCurr)
     => ( v2702(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_75,axiom,(
    ! [VarCurr] :
      ( v2708(VarCurr)
     => ( v2702(VarCurr)
      <=> v2711(VarCurr) ) ) )).

fof(writeUnaryOperator_453,axiom,(
    ! [VarCurr] :
      ( ~ v2711(VarCurr)
    <=> v2704(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_977,axiom,(
    ! [VarCurr] :
      ( v2708(VarCurr)
    <=> ( v2709(VarCurr)
        | v2710(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_121,axiom,(
    ! [VarCurr] :
      ( v2710(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $true )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_120,axiom,(
    ! [VarCurr] :
      ( v2709(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $false )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $false )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_365,axiom,(
    ! [VarCurr] :
      ( v2704(VarCurr,bitIndex0)
    <=> v2706(VarCurr,bitIndex0) ) )).

fof(addAssignment_364,axiom,(
    ! [VarCurr] :
      ( v2706(VarCurr,bitIndex0)
    <=> v649(VarCurr,bitIndex12) ) )).

fof(addAssignment_363,axiom,(
    ! [VarCurr] :
      ( v649(VarCurr,bitIndex12)
    <=> v651(VarCurr,bitIndex12) ) )).

fof(addAssignment_362,axiom,(
    ! [VarCurr] :
      ( v651(VarCurr,bitIndex12)
    <=> v2658(VarCurr,bitIndex12) ) )).

fof(addAssignment_361,axiom,(
    ! [VarCurr] :
      ( v2694(VarCurr)
    <=> v41(VarCurr) ) )).

fof(addAssignment_360,axiom,(
    ! [VarCurr] :
      ( v2691(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_359,axiom,(
    ! [VarCurr] :
      ( v2685(VarCurr)
    <=> v2687(VarCurr) ) )).

fof(addAssignment_358,axiom,(
    ! [VarCurr] :
      ( v2687(VarCurr)
    <=> v31(VarCurr) ) )).

fof(addAssignment_357,axiom,(
    ! [VarCurr] :
      ( v2675(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_356,axiom,(
    ! [VarCurr] :
      ( v639(VarCurr)
    <=> v641(VarCurr) ) )).

fof(addAssignment_355,axiom,(
    ! [VarCurr] :
      ( v641(VarCurr)
    <=> v643(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_73,axiom,(
    ! [VarCurr] :
      ( ~ v2664(VarCurr)
     => ( v643(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_74,axiom,(
    ! [VarCurr] :
      ( v2664(VarCurr)
     => ( v643(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_976,axiom,(
    ! [VarCurr] :
      ( v2664(VarCurr)
    <=> ( v645(VarCurr)
        & v2665(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_119,axiom,(
    ! [VarCurr] :
      ( v2665(VarCurr)
    <=> ( ( v2660(VarCurr,bitIndex6)
        <=> $true )
        & ( v2660(VarCurr,bitIndex5)
        <=> $false )
        & ( v2660(VarCurr,bitIndex4)
        <=> $false )
        & ( v2660(VarCurr,bitIndex3)
        <=> $true )
        & ( v2660(VarCurr,bitIndex2)
        <=> $false )
        & ( v2660(VarCurr,bitIndex1)
        <=> $true )
        & ( v2660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_354,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2660(VarCurr,B)
      <=> v2662(VarCurr,B) ) ) )).

fof(addAssignment_353,axiom,(
    ! [VarCurr] :
      ( ( v2662(VarCurr,bitIndex6)
      <=> v649(VarCurr,bitIndex60) )
      & ( v2662(VarCurr,bitIndex5)
      <=> v649(VarCurr,bitIndex59) )
      & ( v2662(VarCurr,bitIndex4)
      <=> v649(VarCurr,bitIndex58) )
      & ( v2662(VarCurr,bitIndex3)
      <=> v649(VarCurr,bitIndex57) )
      & ( v2662(VarCurr,bitIndex2)
      <=> v649(VarCurr,bitIndex56) )
      & ( v2662(VarCurr,bitIndex1)
      <=> v649(VarCurr,bitIndex55) )
      & ( v2662(VarCurr,bitIndex0)
      <=> v649(VarCurr,bitIndex54) ) ) )).

fof(addAssignment_352,axiom,(
    ! [VarCurr,B] :
      ( range_60_54(B)
     => ( v649(VarCurr,B)
      <=> v651(VarCurr,B) ) ) )).

fof(addAssignment_351,axiom,(
    ! [VarCurr,B] :
      ( range_60_54(B)
     => ( v651(VarCurr,B)
      <=> v2658(VarCurr,B) ) ) )).

fof(range_axiom_15,axiom,(
    ! [B] :
      ( range_60_54(B)
    <=> ( $false
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_350,axiom,(
    ! [VarCurr] :
      ( v645(VarCurr)
    <=> v647(VarCurr) ) )).

fof(addAssignment_349,axiom,(
    ! [VarCurr] :
      ( v647(VarCurr)
    <=> v649(VarCurr,bitIndex53) ) )).

fof(addAssignment_348,axiom,(
    ! [VarCurr] :
      ( v649(VarCurr,bitIndex53)
    <=> v651(VarCurr,bitIndex53) ) )).

fof(addAssignment_347,axiom,(
    ! [VarCurr] :
      ( v651(VarCurr,bitIndex53)
    <=> v2658(VarCurr,bitIndex53) ) )).

fof(memoryReadIntoBuffer,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v8_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_60_0(B)
                   => ( v2658(VarNext,B)
                    <=> v653_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(addAssignmentInitValueVector_5,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v8(constB0,B)
      <=> $false ) ) )).

fof(memoryConstantWriteDisabled,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v2650(VarNext) )
         => ! [B] :
              ( range_60_0(B)
             => ( v653_array(VarNext,A,B)
              <=> v653_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v2650(VarNext) )
         => ! [B] :
              ( range_60_0(B)
             => ( v653_array(VarNext,A,B)
              <=> b0000000000000000000000000000000000000000000000000000000000000(B) ) ) ) ) )).

fof(bitBlastConstant_353,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_352,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_351,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_350,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_349,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_348,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_347,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_346,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_345,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_344,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_343,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_342,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_341,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_340,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_339,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_338,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_337,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_336,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_335,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_334,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_333,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_332,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_331,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_330,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_329,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_328,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_327,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_326,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_325,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_324,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_323,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_322,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_321,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_320,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_319,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_318,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_317,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_316,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_315,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_314,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_313,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_312,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_311,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_310,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_309,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_308,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_307,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_306,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_305,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_304,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_303,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_302,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_301,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_300,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_299,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_298,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_297,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_296,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_295,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_294,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_293,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_975,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2650(VarNext)
      <=> ( v2651(VarNext)
          & v2656(VarNext) ) ) ) )).

fof(addAssignment_346,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2656(VarNext)
      <=> v2647(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_974,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2651(VarNext)
      <=> ( v2653(VarNext)
          & v597(VarNext) ) ) ) )).

fof(writeUnaryOperator_452,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2653(VarNext)
      <=> v608(VarNext) ) ) )).

fof(memoryWriteDisabled,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2595_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v2638(VarNext) )
             => ! [B] :
                  ( range_60_0(B)
                 => ( v653_1__array(VarNext,A,B)
                  <=> v653_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2595_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v2638(VarNext) )
             => ! [B] :
                  ( range_60_0(B)
                 => ( v653_1__array(VarNext,A,B)
                  <=> v656(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2638(VarNext)
      <=> ( v2639(VarNext)
          & v2645(VarNext) ) ) ) )).

fof(addAssignment_345,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2645(VarNext)
      <=> v2643(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_972,axiom,(
    ! [VarCurr] :
      ( v2643(VarCurr)
    <=> ( v2646(VarCurr)
        & v50(VarCurr) ) ) )).

fof(writeUnaryOperator_451,axiom,(
    ! [VarCurr] :
      ( ~ v2646(VarCurr)
    <=> v2647(VarCurr) ) )).

fof(writeUnaryOperator_450,axiom,(
    ! [VarCurr] :
      ( ~ v2647(VarCurr)
    <=> v10(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_971,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2639(VarNext)
      <=> ( v2640(VarNext)
          & v597(VarNext) ) ) ) )).

fof(writeUnaryOperator_449,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2640(VarNext)
      <=> v608(VarNext) ) ) )).

fof(initSateConstraint_149,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex5) )).

fof(initSateConstraint_148,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex6) )).

fof(initSateConstraint_147,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex7) )).

fof(initSateConstraint_146,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex8) )).

fof(initSateConstraint_145,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex12) )).

fof(initSateConstraint_144,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex13) )).

fof(initSateConstraint_143,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex14) )).

fof(initSateConstraint_142,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex53) )).

fof(initSateConstraint_141,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex54) )).

fof(initSateConstraint_140,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex55) )).

fof(initSateConstraint_139,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex56) )).

fof(initSateConstraint_138,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex57) )).

fof(initSateConstraint_137,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex58) )).

fof(initSateConstraint_136,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex59) )).

fof(initSateConstraint_135,axiom,(
    ~ v653_array(constB0,b1001_address_term,bitIndex60) )).

fof(initSateConstraint_134,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex5) )).

fof(initSateConstraint_133,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex6) )).

fof(initSateConstraint_132,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex7) )).

fof(initSateConstraint_131,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex8) )).

fof(initSateConstraint_130,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex12) )).

fof(initSateConstraint_129,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex13) )).

fof(initSateConstraint_128,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex14) )).

fof(initSateConstraint_127,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex53) )).

fof(initSateConstraint_126,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex54) )).

fof(initSateConstraint_125,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex55) )).

fof(initSateConstraint_124,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex56) )).

fof(initSateConstraint_123,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex57) )).

fof(initSateConstraint_122,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex58) )).

fof(initSateConstraint_121,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex59) )).

fof(initSateConstraint_120,axiom,(
    ~ v653_array(constB0,b1000_address_term,bitIndex60) )).

fof(initSateConstraint_119,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex5) )).

fof(initSateConstraint_118,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex6) )).

fof(initSateConstraint_117,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex7) )).

fof(initSateConstraint_116,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex8) )).

fof(initSateConstraint_115,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex12) )).

fof(initSateConstraint_114,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex13) )).

fof(initSateConstraint_113,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex14) )).

fof(initSateConstraint_112,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex53) )).

fof(initSateConstraint_111,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex54) )).

fof(initSateConstraint_110,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex55) )).

fof(initSateConstraint_109,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex56) )).

fof(initSateConstraint_108,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex57) )).

fof(initSateConstraint_107,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex58) )).

fof(initSateConstraint_106,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex59) )).

fof(initSateConstraint_105,axiom,(
    ~ v653_array(constB0,b0111_address_term,bitIndex60) )).

fof(initSateConstraint_104,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex5) )).

fof(initSateConstraint_103,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex6) )).

fof(initSateConstraint_102,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex7) )).

fof(initSateConstraint_101,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex8) )).

fof(initSateConstraint_100,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex12) )).

fof(initSateConstraint_99,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex13) )).

fof(initSateConstraint_98,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex14) )).

fof(initSateConstraint_97,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex53) )).

fof(initSateConstraint_96,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex54) )).

fof(initSateConstraint_95,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex55) )).

fof(initSateConstraint_94,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex56) )).

fof(initSateConstraint_93,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex57) )).

fof(initSateConstraint_92,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex58) )).

fof(initSateConstraint_91,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex59) )).

fof(initSateConstraint_90,axiom,(
    ~ v653_array(constB0,b0110_address_term,bitIndex60) )).

fof(initSateConstraint_89,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex5) )).

fof(initSateConstraint_88,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex6) )).

fof(initSateConstraint_87,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex7) )).

fof(initSateConstraint_86,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex8) )).

fof(initSateConstraint_85,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex12) )).

fof(initSateConstraint_84,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex13) )).

fof(initSateConstraint_83,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex14) )).

fof(initSateConstraint_82,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex53) )).

fof(initSateConstraint_81,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex54) )).

fof(initSateConstraint_80,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex55) )).

fof(initSateConstraint_79,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex56) )).

fof(initSateConstraint_78,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex57) )).

fof(initSateConstraint_77,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex58) )).

fof(initSateConstraint_76,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex59) )).

fof(initSateConstraint_75,axiom,(
    ~ v653_array(constB0,b0101_address_term,bitIndex60) )).

fof(initSateConstraint_74,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex5) )).

fof(initSateConstraint_73,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex6) )).

fof(initSateConstraint_72,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex7) )).

fof(initSateConstraint_71,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex8) )).

fof(initSateConstraint_70,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex12) )).

fof(initSateConstraint_69,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex13) )).

fof(initSateConstraint_68,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex14) )).

fof(initSateConstraint_67,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex53) )).

fof(initSateConstraint_66,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex54) )).

fof(initSateConstraint_65,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex55) )).

fof(initSateConstraint_64,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex56) )).

fof(initSateConstraint_63,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex57) )).

fof(initSateConstraint_62,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex58) )).

fof(initSateConstraint_61,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex59) )).

fof(initSateConstraint_60,axiom,(
    ~ v653_array(constB0,b0100_address_term,bitIndex60) )).

fof(initSateConstraint_59,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex5) )).

fof(initSateConstraint_58,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex6) )).

fof(initSateConstraint_57,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex7) )).

fof(initSateConstraint_56,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex8) )).

fof(initSateConstraint_55,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex12) )).

fof(initSateConstraint_54,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex13) )).

fof(initSateConstraint_53,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex14) )).

fof(initSateConstraint_52,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex53) )).

fof(initSateConstraint_51,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex54) )).

fof(initSateConstraint_50,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex55) )).

fof(initSateConstraint_49,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex56) )).

fof(initSateConstraint_48,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex57) )).

fof(initSateConstraint_47,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex58) )).

fof(initSateConstraint_46,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex59) )).

fof(initSateConstraint_45,axiom,(
    ~ v653_array(constB0,b0011_address_term,bitIndex60) )).

fof(initSateConstraint_44,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex5) )).

fof(initSateConstraint_43,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex6) )).

fof(initSateConstraint_42,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex7) )).

fof(initSateConstraint_41,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex8) )).

fof(initSateConstraint_40,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex12) )).

fof(initSateConstraint_39,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex13) )).

fof(initSateConstraint_38,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex14) )).

fof(initSateConstraint_37,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex53) )).

fof(initSateConstraint_36,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex54) )).

fof(initSateConstraint_35,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex55) )).

fof(initSateConstraint_34,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex56) )).

fof(initSateConstraint_33,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex57) )).

fof(initSateConstraint_32,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex58) )).

fof(initSateConstraint_31,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex59) )).

fof(initSateConstraint_30,axiom,(
    ~ v653_array(constB0,b0010_address_term,bitIndex60) )).

fof(initSateConstraint_29,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex5) )).

fof(initSateConstraint_28,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex6) )).

fof(initSateConstraint_27,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex7) )).

fof(initSateConstraint_26,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex8) )).

fof(initSateConstraint_25,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex12) )).

fof(initSateConstraint_24,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex13) )).

fof(initSateConstraint_23,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex14) )).

fof(initSateConstraint_22,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex53) )).

fof(initSateConstraint_21,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex54) )).

fof(initSateConstraint_20,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex55) )).

fof(initSateConstraint_19,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex56) )).

fof(initSateConstraint_18,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex57) )).

fof(initSateConstraint_17,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex58) )).

fof(initSateConstraint_16,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex59) )).

fof(initSateConstraint_15,axiom,(
    ~ v653_array(constB0,b0001_address_term,bitIndex60) )).

fof(initSateConstraint_14,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex5) )).

fof(initSateConstraint_13,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex6) )).

fof(initSateConstraint_12,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex7) )).

fof(initSateConstraint_11,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex8) )).

fof(initSateConstraint_10,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex12) )).

fof(initSateConstraint_9,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex13) )).

fof(initSateConstraint_8,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex14) )).

fof(initSateConstraint_7,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex53) )).

fof(initSateConstraint_6,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex54) )).

fof(initSateConstraint_5,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex55) )).

fof(initSateConstraint_4,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex56) )).

fof(initSateConstraint_3,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex57) )).

fof(initSateConstraint_2,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex58) )).

fof(initSateConstraint_1,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex59) )).

fof(initSateConstraint,axiom,(
    ~ v653_array(constB0,b0000_address_term,bitIndex60) )).

fof(addCaseBooleanConditionEqualRanges1_29,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2623(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v2595(VarNext,B)
            <=> v2595(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_29,axiom,(
    ! [VarNext] :
      ( v2623(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2595(VarNext,B)
          <=> v2631(VarNext,B) ) ) ) )).

fof(addAssignment_344,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2631(VarNext,B)
          <=> v2629(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_72,axiom,(
    ! [VarCurr] :
      ( ~ v2632(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2629(VarCurr,B)
          <=> v2597(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_73,axiom,(
    ! [VarCurr] :
      ( v2632(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2629(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_448,axiom,(
    ! [VarCurr] :
      ( ~ v2632(VarCurr)
    <=> v10(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_970,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2623(VarNext)
      <=> v2624(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_969,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2624(VarNext)
      <=> ( v2625(VarNext)
          & v597(VarNext) ) ) ) )).

fof(writeUnaryOperator_447,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2625(VarNext)
      <=> v608(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_71,axiom,(
    ! [VarCurr] :
      ( ~ v50(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2597(VarCurr,B)
          <=> v2595(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_72,axiom,(
    ! [VarCurr] :
      ( v50(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2597(VarCurr,B)
          <=> v2600(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_70,axiom,(
    ! [VarCurr] :
      ( ~ v2601(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2600(VarCurr,B)
          <=> v2602(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_71,axiom,(
    ! [VarCurr] :
      ( v2601(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2600(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_343,axiom,(
    ! [VarCurr] :
      ( v2602(VarCurr,bitIndex0)
    <=> v2618(VarCurr) ) )).

fof(addAssignment_342,axiom,(
    ! [VarCurr] :
      ( v2602(VarCurr,bitIndex1)
    <=> v2616(VarCurr) ) )).

fof(addAssignment_341,axiom,(
    ! [VarCurr] :
      ( v2602(VarCurr,bitIndex2)
    <=> v2611(VarCurr) ) )).

fof(addAssignment_340,axiom,(
    ! [VarCurr] :
      ( v2602(VarCurr,bitIndex3)
    <=> v2604(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_968,axiom,(
    ! [VarCurr] :
      ( v2616(VarCurr)
    <=> ( v2617(VarCurr)
        & v2620(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_230,axiom,(
    ! [VarCurr] :
      ( v2620(VarCurr)
    <=> ( v2595(VarCurr,bitIndex0)
        | v2595(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_967,axiom,(
    ! [VarCurr] :
      ( v2617(VarCurr)
    <=> ( v2618(VarCurr)
        | v2619(VarCurr) ) ) )).

fof(writeUnaryOperator_446,axiom,(
    ! [VarCurr] :
      ( ~ v2619(VarCurr)
    <=> v2595(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_445,axiom,(
    ! [VarCurr] :
      ( ~ v2618(VarCurr)
    <=> v2595(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_966,axiom,(
    ! [VarCurr] :
      ( v2611(VarCurr)
    <=> ( v2612(VarCurr)
        & v2615(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_229,axiom,(
    ! [VarCurr] :
      ( v2615(VarCurr)
    <=> ( v2608(VarCurr)
        | v2595(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_965,axiom,(
    ! [VarCurr] :
      ( v2612(VarCurr)
    <=> ( v2613(VarCurr)
        | v2614(VarCurr) ) ) )).

fof(writeUnaryOperator_444,axiom,(
    ! [VarCurr] :
      ( ~ v2614(VarCurr)
    <=> v2595(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_443,axiom,(
    ! [VarCurr] :
      ( ~ v2613(VarCurr)
    <=> v2608(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_964,axiom,(
    ! [VarCurr] :
      ( v2604(VarCurr)
    <=> ( v2605(VarCurr)
        & v2610(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_228,axiom,(
    ! [VarCurr] :
      ( v2610(VarCurr)
    <=> ( v2607(VarCurr)
        | v2595(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_963,axiom,(
    ! [VarCurr] :
      ( v2605(VarCurr)
    <=> ( v2606(VarCurr)
        | v2609(VarCurr) ) ) )).

fof(writeUnaryOperator_442,axiom,(
    ! [VarCurr] :
      ( ~ v2609(VarCurr)
    <=> v2595(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_441,axiom,(
    ! [VarCurr] :
      ( ~ v2606(VarCurr)
    <=> v2607(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_227,axiom,(
    ! [VarCurr] :
      ( v2607(VarCurr)
    <=> ( v2608(VarCurr)
        & v2595(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_226,axiom,(
    ! [VarCurr] :
      ( v2608(VarCurr)
    <=> ( v2595(VarCurr,bitIndex0)
        & v2595(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_118,axiom,(
    ! [VarCurr] :
      ( v2601(VarCurr)
    <=> ( ( v2595(VarCurr,bitIndex3)
        <=> $true )
        & ( v2595(VarCurr,bitIndex2)
        <=> $false )
        & ( v2595(VarCurr,bitIndex1)
        <=> $false )
        & ( v2595(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_292,axiom,(
    b1001(bitIndex3) )).

fof(bitBlastConstant_291,axiom,(
    ~ b1001(bitIndex2) )).

fof(bitBlastConstant_290,axiom,(
    ~ b1001(bitIndex1) )).

fof(bitBlastConstant_289,axiom,(
    b1001(bitIndex0) )).

fof(addAssignmentInitValueVector_4,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v2595(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_339,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v656(VarCurr,B)
      <=> v658(VarCurr,B) ) ) )).

fof(addAssignment_338,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v658(VarCurr,B)
      <=> v660(VarCurr,B) ) ) )).

fof(addAssignment_337,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v660(VarCurr,B)
      <=> v662(VarCurr,B) ) ) )).

fof(addAssignment_336,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v662(VarCurr,B)
      <=> v664(VarCurr,B) ) ) )).

fof(addAssignment_335,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v664(VarCurr,B)
      <=> v666(VarCurr,B) ) ) )).

fof(range_axiom_14,axiom,(
    ! [B] :
      ( range_60_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_334,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v666(VarCurr,B)
      <=> v2470(VarCurr,B) ) ) )).

fof(addAssignment_333,axiom,(
    ! [VarCurr] :
      ( ( v666(VarCurr,bitIndex11)
      <=> v1878(VarCurr,bitIndex6) )
      & ( v666(VarCurr,bitIndex10)
      <=> v1878(VarCurr,bitIndex5) )
      & ( v666(VarCurr,bitIndex9)
      <=> v1878(VarCurr,bitIndex4) )
      & ( v666(VarCurr,bitIndex8)
      <=> v1878(VarCurr,bitIndex3) )
      & ( v666(VarCurr,bitIndex7)
      <=> v1878(VarCurr,bitIndex2) )
      & ( v666(VarCurr,bitIndex6)
      <=> v1878(VarCurr,bitIndex1) )
      & ( v666(VarCurr,bitIndex5)
      <=> v1878(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_332,axiom,(
    ! [VarCurr] :
      ( ( v666(VarCurr,bitIndex14)
      <=> v1773(VarCurr,bitIndex2) )
      & ( v666(VarCurr,bitIndex13)
      <=> v1773(VarCurr,bitIndex1) )
      & ( v666(VarCurr,bitIndex12)
      <=> v1773(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_331,axiom,(
    ! [VarCurr] :
      ( ( v666(VarCurr,bitIndex52)
      <=> v2593(VarCurr,bitIndex37) )
      & ( v666(VarCurr,bitIndex51)
      <=> v2593(VarCurr,bitIndex36) )
      & ( v666(VarCurr,bitIndex50)
      <=> v2593(VarCurr,bitIndex35) )
      & ( v666(VarCurr,bitIndex49)
      <=> v2593(VarCurr,bitIndex34) )
      & ( v666(VarCurr,bitIndex48)
      <=> v2593(VarCurr,bitIndex33) )
      & ( v666(VarCurr,bitIndex47)
      <=> v2593(VarCurr,bitIndex32) )
      & ( v666(VarCurr,bitIndex46)
      <=> v2593(VarCurr,bitIndex31) )
      & ( v666(VarCurr,bitIndex45)
      <=> v2593(VarCurr,bitIndex30) )
      & ( v666(VarCurr,bitIndex44)
      <=> v2593(VarCurr,bitIndex29) )
      & ( v666(VarCurr,bitIndex43)
      <=> v2593(VarCurr,bitIndex28) )
      & ( v666(VarCurr,bitIndex42)
      <=> v2593(VarCurr,bitIndex27) )
      & ( v666(VarCurr,bitIndex41)
      <=> v2593(VarCurr,bitIndex26) )
      & ( v666(VarCurr,bitIndex40)
      <=> v2593(VarCurr,bitIndex25) )
      & ( v666(VarCurr,bitIndex39)
      <=> v2593(VarCurr,bitIndex24) )
      & ( v666(VarCurr,bitIndex38)
      <=> v2593(VarCurr,bitIndex23) )
      & ( v666(VarCurr,bitIndex37)
      <=> v2593(VarCurr,bitIndex22) )
      & ( v666(VarCurr,bitIndex36)
      <=> v2593(VarCurr,bitIndex21) )
      & ( v666(VarCurr,bitIndex35)
      <=> v2593(VarCurr,bitIndex20) )
      & ( v666(VarCurr,bitIndex34)
      <=> v2593(VarCurr,bitIndex19) )
      & ( v666(VarCurr,bitIndex33)
      <=> v2593(VarCurr,bitIndex18) )
      & ( v666(VarCurr,bitIndex32)
      <=> v2593(VarCurr,bitIndex17) )
      & ( v666(VarCurr,bitIndex31)
      <=> v2593(VarCurr,bitIndex16) )
      & ( v666(VarCurr,bitIndex30)
      <=> v2593(VarCurr,bitIndex15) )
      & ( v666(VarCurr,bitIndex29)
      <=> v2593(VarCurr,bitIndex14) )
      & ( v666(VarCurr,bitIndex28)
      <=> v2593(VarCurr,bitIndex13) )
      & ( v666(VarCurr,bitIndex27)
      <=> v2593(VarCurr,bitIndex12) )
      & ( v666(VarCurr,bitIndex26)
      <=> v2593(VarCurr,bitIndex11) )
      & ( v666(VarCurr,bitIndex25)
      <=> v2593(VarCurr,bitIndex10) )
      & ( v666(VarCurr,bitIndex24)
      <=> v2593(VarCurr,bitIndex9) )
      & ( v666(VarCurr,bitIndex23)
      <=> v2593(VarCurr,bitIndex8) )
      & ( v666(VarCurr,bitIndex22)
      <=> v2593(VarCurr,bitIndex7) )
      & ( v666(VarCurr,bitIndex21)
      <=> v2593(VarCurr,bitIndex6) )
      & ( v666(VarCurr,bitIndex20)
      <=> v2593(VarCurr,bitIndex5) )
      & ( v666(VarCurr,bitIndex19)
      <=> v2593(VarCurr,bitIndex4) )
      & ( v666(VarCurr,bitIndex18)
      <=> v2593(VarCurr,bitIndex3) )
      & ( v666(VarCurr,bitIndex17)
      <=> v2593(VarCurr,bitIndex2) )
      & ( v666(VarCurr,bitIndex16)
      <=> v2593(VarCurr,bitIndex1) )
      & ( v666(VarCurr,bitIndex15)
      <=> v2593(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_330,axiom,(
    ! [VarCurr] :
      ( v666(VarCurr,bitIndex53)
    <=> v729(VarCurr) ) )).

fof(addAssignment_329,axiom,(
    ! [VarCurr] :
      ( ( v666(VarCurr,bitIndex60)
      <=> v668(VarCurr,bitIndex6) )
      & ( v666(VarCurr,bitIndex59)
      <=> v668(VarCurr,bitIndex5) )
      & ( v666(VarCurr,bitIndex58)
      <=> v668(VarCurr,bitIndex4) )
      & ( v666(VarCurr,bitIndex57)
      <=> v668(VarCurr,bitIndex3) )
      & ( v666(VarCurr,bitIndex56)
      <=> v668(VarCurr,bitIndex2) )
      & ( v666(VarCurr,bitIndex55)
      <=> v668(VarCurr,bitIndex1) )
      & ( v666(VarCurr,bitIndex54)
      <=> v668(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_328,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2593(VarCurr,B)
      <=> v1659(VarCurr,B) ) ) )).

fof(addAssignment_327,axiom,(
    ! [VarCurr] :
      ( ( v2593(VarCurr,bitIndex37)
      <=> v1596(VarCurr,bitIndex30) )
      & ( v2593(VarCurr,bitIndex36)
      <=> v1596(VarCurr,bitIndex29) )
      & ( v2593(VarCurr,bitIndex35)
      <=> v1596(VarCurr,bitIndex28) )
      & ( v2593(VarCurr,bitIndex34)
      <=> v1596(VarCurr,bitIndex27) )
      & ( v2593(VarCurr,bitIndex33)
      <=> v1596(VarCurr,bitIndex26) )
      & ( v2593(VarCurr,bitIndex32)
      <=> v1596(VarCurr,bitIndex25) )
      & ( v2593(VarCurr,bitIndex31)
      <=> v1596(VarCurr,bitIndex24) )
      & ( v2593(VarCurr,bitIndex30)
      <=> v1596(VarCurr,bitIndex23) )
      & ( v2593(VarCurr,bitIndex29)
      <=> v1596(VarCurr,bitIndex22) )
      & ( v2593(VarCurr,bitIndex28)
      <=> v1596(VarCurr,bitIndex21) )
      & ( v2593(VarCurr,bitIndex27)
      <=> v1596(VarCurr,bitIndex20) )
      & ( v2593(VarCurr,bitIndex26)
      <=> v1596(VarCurr,bitIndex19) )
      & ( v2593(VarCurr,bitIndex25)
      <=> v1596(VarCurr,bitIndex18) )
      & ( v2593(VarCurr,bitIndex24)
      <=> v1596(VarCurr,bitIndex17) )
      & ( v2593(VarCurr,bitIndex23)
      <=> v1596(VarCurr,bitIndex16) )
      & ( v2593(VarCurr,bitIndex22)
      <=> v1596(VarCurr,bitIndex15) )
      & ( v2593(VarCurr,bitIndex21)
      <=> v1596(VarCurr,bitIndex14) )
      & ( v2593(VarCurr,bitIndex20)
      <=> v1596(VarCurr,bitIndex13) )
      & ( v2593(VarCurr,bitIndex19)
      <=> v1596(VarCurr,bitIndex12) )
      & ( v2593(VarCurr,bitIndex18)
      <=> v1596(VarCurr,bitIndex11) )
      & ( v2593(VarCurr,bitIndex17)
      <=> v1596(VarCurr,bitIndex10) )
      & ( v2593(VarCurr,bitIndex16)
      <=> v1596(VarCurr,bitIndex9) )
      & ( v2593(VarCurr,bitIndex15)
      <=> v1596(VarCurr,bitIndex8) )
      & ( v2593(VarCurr,bitIndex14)
      <=> v1596(VarCurr,bitIndex7) )
      & ( v2593(VarCurr,bitIndex13)
      <=> v1596(VarCurr,bitIndex6) )
      & ( v2593(VarCurr,bitIndex12)
      <=> v1596(VarCurr,bitIndex5) )
      & ( v2593(VarCurr,bitIndex11)
      <=> v1596(VarCurr,bitIndex4) )
      & ( v2593(VarCurr,bitIndex10)
      <=> v1596(VarCurr,bitIndex3) )
      & ( v2593(VarCurr,bitIndex9)
      <=> v1596(VarCurr,bitIndex2) )
      & ( v2593(VarCurr,bitIndex8)
      <=> v1596(VarCurr,bitIndex1) )
      & ( v2593(VarCurr,bitIndex7)
      <=> v1596(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_28,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2554(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v2470(VarNext,B)
            <=> v2470(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_28,axiom,(
    ! [VarNext] :
      ( v2554(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2470(VarNext,B)
          <=> v2589(VarNext,B) ) ) ) )).

fof(addAssignment_326,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2589(VarNext,B)
          <=> v2587(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_36,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2587(VarCurr,B)
          <=> v2472(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_36,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2587(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_962,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2554(VarNext)
      <=> ( v2555(VarNext)
          & v2562(VarNext) ) ) ) )).

fof(addAssignment_325,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2562(VarNext)
      <=> v2560(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_961,axiom,(
    ! [VarCurr] :
      ( v2560(VarCurr)
    <=> ( v2563(VarCurr)
        & v2568(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_960,axiom,(
    ! [VarCurr] :
      ( v2568(VarCurr)
    <=> ( v2569(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_959,axiom,(
    ! [VarCurr] :
      ( v2569(VarCurr)
    <=> ( v2570(VarCurr)
        & v2586(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_958,axiom,(
    ! [VarCurr] :
      ( v2586(VarCurr)
    <=> ( v319(VarCurr)
        | v2566(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_957,axiom,(
    ! [VarCurr] :
      ( v2570(VarCurr)
    <=> ( v2571(VarCurr)
        & v2573(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_956,axiom,(
    ! [VarCurr] :
      ( v2573(VarCurr)
    <=> ( v2574(VarCurr)
        | v2585(VarCurr) ) ) )).

fof(writeUnaryOperator_440,axiom,(
    ! [VarCurr] :
      ( ~ v2585(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_955,axiom,(
    ! [VarCurr] :
      ( v2574(VarCurr)
    <=> ( v2575(VarCurr)
        & v2576(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_954,axiom,(
    ! [VarCurr] :
      ( v2576(VarCurr)
    <=> ( v2577(VarCurr)
        | v2584(VarCurr) ) ) )).

fof(writeUnaryOperator_439,axiom,(
    ! [VarCurr] :
      ( ~ v2584(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_953,axiom,(
    ! [VarCurr] :
      ( v2577(VarCurr)
    <=> ( v2578(VarCurr)
        & v2583(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_952,axiom,(
    ! [VarCurr] :
      ( v2583(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_951,axiom,(
    ! [VarCurr] :
      ( v2578(VarCurr)
    <=> ( v2579(VarCurr)
        & v2581(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_950,axiom,(
    ! [VarCurr] :
      ( v2581(VarCurr)
    <=> ( v220(VarCurr)
        | v2582(VarCurr) ) ) )).

fof(writeUnaryOperator_438,axiom,(
    ! [VarCurr] :
      ( ~ v2582(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_949,axiom,(
    ! [VarCurr] :
      ( v2579(VarCurr)
    <=> ( v220(VarCurr)
        | v2580(VarCurr) ) ) )).

fof(writeUnaryOperator_437,axiom,(
    ! [VarCurr] :
      ( ~ v2580(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeUnaryOperator_436,axiom,(
    ! [VarCurr] :
      ( ~ v2575(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_948,axiom,(
    ! [VarCurr] :
      ( v2571(VarCurr)
    <=> ( v220(VarCurr)
        | v2572(VarCurr) ) ) )).

fof(writeUnaryOperator_435,axiom,(
    ! [VarCurr] :
      ( ~ v2572(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_947,axiom,(
    ! [VarCurr] :
      ( v2563(VarCurr)
    <=> ( v316(VarCurr)
        | v2564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_946,axiom,(
    ! [VarCurr] :
      ( v2564(VarCurr)
    <=> ( v2565(VarCurr)
        & v2567(VarCurr) ) ) )).

fof(writeUnaryOperator_434,axiom,(
    ! [VarCurr] :
      ( ~ v2567(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_945,axiom,(
    ! [VarCurr] :
      ( v2565(VarCurr)
    <=> ( v319(VarCurr)
        | v2566(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_944,axiom,(
    ! [VarCurr] :
      ( v2566(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_943,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2555(VarNext)
      <=> ( v2557(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_433,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2557(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_27,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2501(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v2472(VarNext,B)
            <=> v2472(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_27,axiom,(
    ! [VarNext] :
      ( v2501(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2472(VarNext,B)
          <=> v2547(VarNext,B) ) ) ) )).

fof(addAssignment_324,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2547(VarNext,B)
          <=> v2545(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_35,axiom,(
    ! [VarCurr] :
      ( ~ v682(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2545(VarCurr,B)
          <=> v2548(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_35,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2545(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_11,axiom,(
    ! [VarCurr] :
      ( ( ~ v2514(VarCurr)
        & ~ v2525(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v2548(VarCurr,B)
          <=> v2492(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_34,axiom,(
    ! [VarCurr] :
      ( v2525(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2548(VarCurr,B)
          <=> v2549(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_34,axiom,(
    ! [VarCurr] :
      ( v2514(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2548(VarCurr,B)
          <=> v2474(VarCurr,B) ) ) ) )).

fof(addAssignment_323,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v2549(VarCurr,B)
      <=> v2484(VarCurr,B) ) ) )).

fof(addAssignment_322,axiom,(
    ! [VarCurr] :
      ( ( v2549(VarCurr,bitIndex4)
      <=> $false )
      & ( v2549(VarCurr,bitIndex3)
      <=> $false )
      & ( v2549(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_942,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2501(VarNext)
      <=> ( v2502(VarNext)
          & v2509(VarNext) ) ) ) )).

fof(addAssignment_321,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2509(VarNext)
      <=> v2507(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_941,axiom,(
    ! [VarCurr] :
      ( v2507(VarCurr)
    <=> ( v2510(VarCurr)
        & v2529(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_940,axiom,(
    ! [VarCurr] :
      ( v2529(VarCurr)
    <=> ( v2530(VarCurr)
        | v682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_939,axiom,(
    ! [VarCurr] :
      ( v2530(VarCurr)
    <=> ( v2531(VarCurr)
        & v2543(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_938,axiom,(
    ! [VarCurr] :
      ( v2543(VarCurr)
    <=> ( v75(VarCurr)
        | v2544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_937,axiom,(
    ! [VarCurr] :
      ( v2544(VarCurr)
    <=> ( v2514(VarCurr)
        | v2525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_936,axiom,(
    ! [VarCurr] :
      ( v2531(VarCurr)
    <=> ( v2532(VarCurr)
        & v2541(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_935,axiom,(
    ! [VarCurr] :
      ( v2541(VarCurr)
    <=> ( v75(VarCurr)
        | v2542(VarCurr) ) ) )).

fof(writeUnaryOperator_432,axiom,(
    ! [VarCurr] :
      ( ~ v2542(VarCurr)
    <=> v2525(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_934,axiom,(
    ! [VarCurr] :
      ( v2532(VarCurr)
    <=> ( v2533(VarCurr)
        | v2540(VarCurr) ) ) )).

fof(writeUnaryOperator_431,axiom,(
    ! [VarCurr] :
      ( ~ v2540(VarCurr)
    <=> v2520(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_933,axiom,(
    ! [VarCurr] :
      ( v2533(VarCurr)
    <=> ( v2534(VarCurr)
        & v2537(VarCurr) ) ) )).

fof(writeUnaryOperator_430,axiom,(
    ! [VarCurr] :
      ( ~ v2537(VarCurr)
    <=> v2538(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_117,axiom,(
    ! [VarCurr] :
      ( v2538(VarCurr)
    <=> ( ( v2539(VarCurr,bitIndex1)
        <=> $false )
        & ( v2539(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_320,axiom,(
    ! [VarCurr] :
      ( v2539(VarCurr,bitIndex0)
    <=> v179(VarCurr) ) )).

fof(addAssignment_319,axiom,(
    ! [VarCurr] :
      ( v2539(VarCurr,bitIndex1)
    <=> v75(VarCurr) ) )).

fof(writeUnaryOperator_429,axiom,(
    ! [VarCurr] :
      ( ~ v2534(VarCurr)
    <=> v2535(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_116,axiom,(
    ! [VarCurr] :
      ( v2535(VarCurr)
    <=> ( ( v2536(VarCurr,bitIndex1)
        <=> $false )
        & ( v2536(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_318,axiom,(
    ! [VarCurr] :
      ( v2536(VarCurr,bitIndex0)
    <=> v179(VarCurr) ) )).

fof(addAssignment_317,axiom,(
    ! [VarCurr] :
      ( v2536(VarCurr,bitIndex1)
    <=> v75(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_932,axiom,(
    ! [VarCurr] :
      ( v2510(VarCurr)
    <=> ( v682(VarCurr)
        | v2511(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_931,axiom,(
    ! [VarCurr] :
      ( v2511(VarCurr)
    <=> ( v2512(VarCurr)
        & v2528(VarCurr) ) ) )).

fof(writeUnaryOperator_428,axiom,(
    ! [VarCurr] :
      ( ~ v2528(VarCurr)
    <=> v682(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_930,axiom,(
    ! [VarCurr] :
      ( v2512(VarCurr)
    <=> ( v2513(VarCurr)
        | v2526(VarCurr) ) ) )).

fof(writeUnaryOperator_427,axiom,(
    ! [VarCurr] :
      ( ~ v2526(VarCurr)
    <=> v2527(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_929,axiom,(
    ! [VarCurr] :
      ( v2527(VarCurr)
    <=> ( v2520(VarCurr)
        | v2525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_928,axiom,(
    ! [VarCurr] :
      ( v2513(VarCurr)
    <=> ( v2514(VarCurr)
        | v2525(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_115,axiom,(
    ! [VarCurr] :
      ( v2525(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_927,axiom,(
    ! [VarCurr] :
      ( v2514(VarCurr)
    <=> ( v2515(VarCurr)
        & v2520(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_926,axiom,(
    ! [VarCurr] :
      ( v2520(VarCurr)
    <=> ( v2521(VarCurr)
        | v2524(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_114,axiom,(
    ! [VarCurr] :
      ( v2524(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_925,axiom,(
    ! [VarCurr] :
      ( v2521(VarCurr)
    <=> ( v2522(VarCurr)
        | v2523(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_113,axiom,(
    ! [VarCurr] :
      ( v2523(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_112,axiom,(
    ! [VarCurr] :
      ( v2522(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_924,axiom,(
    ! [VarCurr] :
      ( v2515(VarCurr)
    <=> ( v2516(VarCurr)
        | v2518(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_111,axiom,(
    ! [VarCurr] :
      ( v2518(VarCurr)
    <=> ( ( v2519(VarCurr,bitIndex1)
        <=> $true )
        & ( v2519(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_316,axiom,(
    ! [VarCurr] :
      ( v2519(VarCurr,bitIndex0)
    <=> v179(VarCurr) ) )).

fof(addAssignment_315,axiom,(
    ! [VarCurr] :
      ( v2519(VarCurr,bitIndex1)
    <=> v75(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_110,axiom,(
    ! [VarCurr] :
      ( v2516(VarCurr)
    <=> ( ( v2517(VarCurr,bitIndex1)
        <=> $true )
        & ( v2517(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_314,axiom,(
    ! [VarCurr] :
      ( v2517(VarCurr,bitIndex0)
    <=> v179(VarCurr) ) )).

fof(addAssignment_313,axiom,(
    ! [VarCurr] :
      ( v2517(VarCurr,bitIndex1)
    <=> v75(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_923,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2502(VarNext)
      <=> ( v2504(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_426,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2504(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignment_312,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2492(VarCurr,B)
      <=> v2494(VarCurr,B) ) ) )).

fof(addAssignment_311,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2494(VarCurr,B)
      <=> v2496(VarCurr,B) ) ) )).

fof(addAssignment_310,axiom,(
    ! [VarCurr] :
      ( ( v2496(VarCurr,bitIndex4)
      <=> v2498(VarCurr,bitIndex19) )
      & ( v2496(VarCurr,bitIndex3)
      <=> v2498(VarCurr,bitIndex18) )
      & ( v2496(VarCurr,bitIndex2)
      <=> v2498(VarCurr,bitIndex17) )
      & ( v2496(VarCurr,bitIndex1)
      <=> v2498(VarCurr,bitIndex16) )
      & ( v2496(VarCurr,bitIndex0)
      <=> v2498(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_309,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v2484(VarCurr,B)
      <=> v2486(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_6,axiom,(
    ! [VarCurr] :
      ( ( ~ v2487(VarCurr)
        & ~ v1425(VarCurr)
        & ~ v1430(VarCurr) )
     => ! [B] :
          ( range_11_0(B)
         => ( v2486(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_288,axiom,(
    ~ b000000000000(bitIndex11) )).

fof(bitBlastConstant_287,axiom,(
    ~ b000000000000(bitIndex10) )).

fof(bitBlastConstant_286,axiom,(
    ~ b000000000000(bitIndex9) )).

fof(bitBlastConstant_285,axiom,(
    ~ b000000000000(bitIndex8) )).

fof(bitBlastConstant_284,axiom,(
    ~ b000000000000(bitIndex7) )).

fof(bitBlastConstant_283,axiom,(
    ~ b000000000000(bitIndex6) )).

fof(bitBlastConstant_282,axiom,(
    ~ b000000000000(bitIndex5) )).

fof(bitBlastConstant_281,axiom,(
    ~ b000000000000(bitIndex4) )).

fof(bitBlastConstant_280,axiom,(
    ~ b000000000000(bitIndex3) )).

fof(bitBlastConstant_279,axiom,(
    ~ b000000000000(bitIndex2) )).

fof(bitBlastConstant_278,axiom,(
    ~ b000000000000(bitIndex1) )).

fof(bitBlastConstant_277,axiom,(
    ~ b000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2_10,axiom,(
    ! [VarCurr] :
      ( v1430(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v2486(VarCurr,B)
          <=> v754(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_33,axiom,(
    ! [VarCurr] :
      ( v1425(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v2486(VarCurr,B)
          <=> b000000000100(B) ) ) ) )).

fof(bitBlastConstant_276,axiom,(
    ~ b000000000100(bitIndex11) )).

fof(bitBlastConstant_275,axiom,(
    ~ b000000000100(bitIndex10) )).

fof(bitBlastConstant_274,axiom,(
    ~ b000000000100(bitIndex9) )).

fof(bitBlastConstant_273,axiom,(
    ~ b000000000100(bitIndex8) )).

fof(bitBlastConstant_272,axiom,(
    ~ b000000000100(bitIndex7) )).

fof(bitBlastConstant_271,axiom,(
    ~ b000000000100(bitIndex6) )).

fof(bitBlastConstant_270,axiom,(
    ~ b000000000100(bitIndex5) )).

fof(bitBlastConstant_269,axiom,(
    ~ b000000000100(bitIndex4) )).

fof(bitBlastConstant_268,axiom,(
    ~ b000000000100(bitIndex3) )).

fof(bitBlastConstant_267,axiom,(
    b000000000100(bitIndex2) )).

fof(bitBlastConstant_266,axiom,(
    ~ b000000000100(bitIndex1) )).

fof(bitBlastConstant_265,axiom,(
    ~ b000000000100(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0_33,axiom,(
    ! [VarCurr] :
      ( v2487(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v2486(VarCurr,B)
          <=> v754(VarCurr,B) ) ) ) )).

fof(range_axiom_13,axiom,(
    ! [B] :
      ( range_11_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_922,axiom,(
    ! [VarCurr] :
      ( v2487(VarCurr)
    <=> ( v2489(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_921,axiom,(
    ! [VarCurr] :
      ( v2489(VarCurr)
    <=> ( v2490(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_920,axiom,(
    ! [VarCurr] :
      ( v2490(VarCurr)
    <=> ( v1414(VarCurr)
        | v1420(VarCurr) ) ) )).

fof(addAssignment_308,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2474(VarCurr,B)
      <=> v2476(VarCurr,B) ) ) )).

fof(addAssignment_307,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2476(VarCurr,B)
      <=> v2478(VarCurr,B) ) ) )).

fof(addAssignment_306,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2478(VarCurr,B)
      <=> v2480(VarCurr,B) ) ) )).

fof(addAssignment_305,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2480(VarCurr,B)
      <=> v2482(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_26,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2386(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1878(VarNext,B)
            <=> v1878(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_26,axiom,(
    ! [VarNext] :
      ( v2386(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1878(VarNext,B)
          <=> v2422(VarNext,B) ) ) ) )).

fof(addAssignment_304,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v2422(VarNext,B)
          <=> v2420(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_32,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2420(VarCurr,B)
          <=> v2423(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_32,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2420(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_31,axiom,(
    ! [VarCurr] :
      ( ~ v319(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2423(VarCurr,B)
          <=> v2424(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_31,axiom,(
    ! [VarCurr] :
      ( v319(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2423(VarCurr,B)
          <=> v1880(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_69,axiom,(
    ! [VarCurr] :
      ( ~ v220(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2424(VarCurr,B)
          <=> v2425(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_70,axiom,(
    ! [VarCurr] :
      ( v220(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2424(VarCurr,B)
          <=> v1880(VarCurr,B) ) ) ) )).

fof(addAssignment_303,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr,bitIndex0)
    <=> v2465(VarCurr) ) )).

fof(addAssignment_302,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr,bitIndex1)
    <=> v2463(VarCurr) ) )).

fof(addAssignment_301,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr,bitIndex2)
    <=> v2459(VarCurr) ) )).

fof(addAssignment_300,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr,bitIndex3)
    <=> v2455(VarCurr) ) )).

fof(addAssignment_299,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr,bitIndex4)
    <=> v2451(VarCurr) ) )).

fof(addAssignment_298,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr,bitIndex5)
    <=> v2447(VarCurr) ) )).

fof(addAssignment_297,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr,bitIndex6)
    <=> v2427(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_919,axiom,(
    ! [VarCurr] :
      ( v2463(VarCurr)
    <=> ( v2464(VarCurr)
        & v2466(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_918,axiom,(
    ! [VarCurr] :
      ( v2466(VarCurr)
    <=> ( v1878(VarCurr,bitIndex0)
        | v2440(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_225,axiom,(
    ! [VarCurr] :
      ( v2464(VarCurr)
    <=> ( v2465(VarCurr)
        | v1878(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_425,axiom,(
    ! [VarCurr] :
      ( ~ v2465(VarCurr)
    <=> v1878(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_917,axiom,(
    ! [VarCurr] :
      ( v2459(VarCurr)
    <=> ( v2460(VarCurr)
        & v2462(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_916,axiom,(
    ! [VarCurr] :
      ( v2462(VarCurr)
    <=> ( v2438(VarCurr)
        | v2441(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_224,axiom,(
    ! [VarCurr] :
      ( v2460(VarCurr)
    <=> ( v2461(VarCurr)
        | v1878(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_424,axiom,(
    ! [VarCurr] :
      ( ~ v2461(VarCurr)
    <=> v2438(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_915,axiom,(
    ! [VarCurr] :
      ( v2455(VarCurr)
    <=> ( v2456(VarCurr)
        & v2458(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_914,axiom,(
    ! [VarCurr] :
      ( v2458(VarCurr)
    <=> ( v2436(VarCurr)
        | v2442(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_223,axiom,(
    ! [VarCurr] :
      ( v2456(VarCurr)
    <=> ( v2457(VarCurr)
        | v1878(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_423,axiom,(
    ! [VarCurr] :
      ( ~ v2457(VarCurr)
    <=> v2436(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_913,axiom,(
    ! [VarCurr] :
      ( v2451(VarCurr)
    <=> ( v2452(VarCurr)
        & v2454(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_912,axiom,(
    ! [VarCurr] :
      ( v2454(VarCurr)
    <=> ( v2434(VarCurr)
        | v2443(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_222,axiom,(
    ! [VarCurr] :
      ( v2452(VarCurr)
    <=> ( v2453(VarCurr)
        | v1878(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_422,axiom,(
    ! [VarCurr] :
      ( ~ v2453(VarCurr)
    <=> v2434(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_911,axiom,(
    ! [VarCurr] :
      ( v2447(VarCurr)
    <=> ( v2448(VarCurr)
        & v2450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_910,axiom,(
    ! [VarCurr] :
      ( v2450(VarCurr)
    <=> ( v2432(VarCurr)
        | v2444(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_221,axiom,(
    ! [VarCurr] :
      ( v2448(VarCurr)
    <=> ( v2449(VarCurr)
        | v1878(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_421,axiom,(
    ! [VarCurr] :
      ( ~ v2449(VarCurr)
    <=> v2432(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_909,axiom,(
    ! [VarCurr] :
      ( v2427(VarCurr)
    <=> ( v2428(VarCurr)
        & v2445(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_908,axiom,(
    ! [VarCurr] :
      ( v2445(VarCurr)
    <=> ( v2430(VarCurr)
        | v2446(VarCurr) ) ) )).

fof(writeUnaryOperator_420,axiom,(
    ! [VarCurr] :
      ( ~ v2446(VarCurr)
    <=> v1878(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_220,axiom,(
    ! [VarCurr] :
      ( v2428(VarCurr)
    <=> ( v2429(VarCurr)
        | v1878(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_419,axiom,(
    ! [VarCurr] :
      ( ~ v2429(VarCurr)
    <=> v2430(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_219,axiom,(
    ! [VarCurr] :
      ( v2430(VarCurr)
    <=> ( v1878(VarCurr,bitIndex5)
        | v2431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_907,axiom,(
    ! [VarCurr] :
      ( v2431(VarCurr)
    <=> ( v2432(VarCurr)
        & v2444(VarCurr) ) ) )).

fof(writeUnaryOperator_418,axiom,(
    ! [VarCurr] :
      ( ~ v2444(VarCurr)
    <=> v1878(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_218,axiom,(
    ! [VarCurr] :
      ( v2432(VarCurr)
    <=> ( v1878(VarCurr,bitIndex4)
        | v2433(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_906,axiom,(
    ! [VarCurr] :
      ( v2433(VarCurr)
    <=> ( v2434(VarCurr)
        & v2443(VarCurr) ) ) )).

fof(writeUnaryOperator_417,axiom,(
    ! [VarCurr] :
      ( ~ v2443(VarCurr)
    <=> v1878(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_217,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr)
    <=> ( v1878(VarCurr,bitIndex3)
        | v2435(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_905,axiom,(
    ! [VarCurr] :
      ( v2435(VarCurr)
    <=> ( v2436(VarCurr)
        & v2442(VarCurr) ) ) )).

fof(writeUnaryOperator_416,axiom,(
    ! [VarCurr] :
      ( ~ v2442(VarCurr)
    <=> v1878(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_216,axiom,(
    ! [VarCurr] :
      ( v2436(VarCurr)
    <=> ( v1878(VarCurr,bitIndex2)
        | v2437(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_904,axiom,(
    ! [VarCurr] :
      ( v2437(VarCurr)
    <=> ( v2438(VarCurr)
        & v2441(VarCurr) ) ) )).

fof(writeUnaryOperator_415,axiom,(
    ! [VarCurr] :
      ( ~ v2441(VarCurr)
    <=> v1878(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_215,axiom,(
    ! [VarCurr] :
      ( v2438(VarCurr)
    <=> ( v1878(VarCurr,bitIndex1)
        | v2439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_903,axiom,(
    ! [VarCurr] :
      ( v2439(VarCurr)
    <=> ( v1878(VarCurr,bitIndex0)
        & v2440(VarCurr) ) ) )).

fof(writeUnaryOperator_414,axiom,(
    ! [VarCurr] :
      ( ~ v2440(VarCurr)
    <=> v1878(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_902,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2386(VarNext)
      <=> ( v2387(VarNext)
          & v2394(VarNext) ) ) ) )).

fof(addAssignment_296,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2394(VarNext)
      <=> v2392(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_901,axiom,(
    ! [VarCurr] :
      ( v2392(VarCurr)
    <=> ( v2395(VarCurr)
        & v2401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_900,axiom,(
    ! [VarCurr] :
      ( v2401(VarCurr)
    <=> ( v2402(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_899,axiom,(
    ! [VarCurr] :
      ( v2402(VarCurr)
    <=> ( v2403(VarCurr)
        & v2419(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_898,axiom,(
    ! [VarCurr] :
      ( v2419(VarCurr)
    <=> ( v319(VarCurr)
        | v2398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_897,axiom,(
    ! [VarCurr] :
      ( v2403(VarCurr)
    <=> ( v2404(VarCurr)
        & v2406(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_896,axiom,(
    ! [VarCurr] :
      ( v2406(VarCurr)
    <=> ( v2407(VarCurr)
        | v2418(VarCurr) ) ) )).

fof(writeUnaryOperator_413,axiom,(
    ! [VarCurr] :
      ( ~ v2418(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_895,axiom,(
    ! [VarCurr] :
      ( v2407(VarCurr)
    <=> ( v2408(VarCurr)
        & v2409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_894,axiom,(
    ! [VarCurr] :
      ( v2409(VarCurr)
    <=> ( v2410(VarCurr)
        | v2417(VarCurr) ) ) )).

fof(writeUnaryOperator_412,axiom,(
    ! [VarCurr] :
      ( ~ v2417(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_893,axiom,(
    ! [VarCurr] :
      ( v2410(VarCurr)
    <=> ( v2411(VarCurr)
        & v2416(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_892,axiom,(
    ! [VarCurr] :
      ( v2416(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_891,axiom,(
    ! [VarCurr] :
      ( v2411(VarCurr)
    <=> ( v2412(VarCurr)
        & v2413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_890,axiom,(
    ! [VarCurr] :
      ( v2413(VarCurr)
    <=> ( v2414(VarCurr)
        | v2415(VarCurr) ) ) )).

fof(writeUnaryOperator_411,axiom,(
    ! [VarCurr] :
      ( ~ v2415(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_889,axiom,(
    ! [VarCurr] :
      ( v2414(VarCurr)
    <=> ( v1535(VarCurr)
        | v220(VarCurr) ) ) )).

fof(writeUnaryOperator_410,axiom,(
    ! [VarCurr] :
      ( ~ v2412(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeUnaryOperator_409,axiom,(
    ! [VarCurr] :
      ( ~ v2408(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_888,axiom,(
    ! [VarCurr] :
      ( v2404(VarCurr)
    <=> ( v220(VarCurr)
        | v2405(VarCurr) ) ) )).

fof(writeUnaryOperator_408,axiom,(
    ! [VarCurr] :
      ( ~ v2405(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_887,axiom,(
    ! [VarCurr] :
      ( v2395(VarCurr)
    <=> ( v316(VarCurr)
        | v2396(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_886,axiom,(
    ! [VarCurr] :
      ( v2396(VarCurr)
    <=> ( v2397(VarCurr)
        & v2400(VarCurr) ) ) )).

fof(writeUnaryOperator_407,axiom,(
    ! [VarCurr] :
      ( ~ v2400(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_885,axiom,(
    ! [VarCurr] :
      ( v2397(VarCurr)
    <=> ( v319(VarCurr)
        | v2398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_884,axiom,(
    ! [VarCurr] :
      ( v2398(VarCurr)
    <=> ( v2399(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_883,axiom,(
    ! [VarCurr] :
      ( v2399(VarCurr)
    <=> ( v351(VarCurr)
        & v321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_882,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2387(VarNext)
      <=> ( v2389(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_406,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2389(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignmentInitValue_3,axiom,(
    ~ v1878(constB0,bitIndex3) )).

fof(addAssignmentInitValue_2,axiom,(
    ~ v1878(constB0,bitIndex2) )).

fof(addAssignmentInitValue_1,axiom,(
    ~ v1878(constB0,bitIndex1) )).

fof(addAssignmentInitValue,axiom,(
    ~ v1878(constB0,bitIndex0) )).

fof(bitBlastConstant_264,axiom,(
    ~ bxxx0000(bitIndex3) )).

fof(bitBlastConstant_263,axiom,(
    ~ bxxx0000(bitIndex2) )).

fof(bitBlastConstant_262,axiom,(
    ~ bxxx0000(bitIndex1) )).

fof(bitBlastConstant_261,axiom,(
    ~ bxxx0000(bitIndex0) )).

fof(addCaseBooleanConditionEqualRanges1_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2365(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1880(VarNext,B)
            <=> v1880(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_25,axiom,(
    ! [VarNext] :
      ( v2365(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1880(VarNext,B)
          <=> v2376(VarNext,B) ) ) ) )).

fof(addAssignment_295,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v2376(VarNext,B)
          <=> v2374(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_68,axiom,(
    ! [VarCurr] :
      ( ~ v682(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2374(VarCurr,B)
          <=> v2377(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_69,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2374(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_67,axiom,(
    ! [VarCurr] :
      ( ~ v2378(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2377(VarCurr,B)
          <=> v2356(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_68,axiom,(
    ! [VarCurr] :
      ( v2378(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2377(VarCurr,B)
          <=> v2379(VarCurr,B) ) ) ) )).

fof(addAssignment_294,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2379(VarCurr,B)
      <=> v1882(VarCurr,B) ) ) )).

fof(addAssignment_293,axiom,(
    ! [VarCurr] :
      ( ( v2379(VarCurr,bitIndex6)
      <=> $false )
      & ( v2379(VarCurr,bitIndex5)
      <=> $false )
      & ( v2379(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_109,axiom,(
    ! [VarCurr] :
      ( v2378(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_881,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2365(VarNext)
      <=> ( v2366(VarNext)
          & v2373(VarNext) ) ) ) )).

fof(addAssignment_292,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2373(VarNext)
      <=> v2371(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_880,axiom,(
    ! [VarCurr] :
      ( v2371(VarCurr)
    <=> ( v75(VarCurr)
        | v682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_879,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2366(VarNext)
      <=> ( v2368(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_405,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2368(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignment_291,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2356(VarCurr,B)
      <=> v2358(VarCurr,B) ) ) )).

fof(addAssignment_290,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2358(VarCurr,B)
      <=> v2360(VarCurr,B) ) ) )).

fof(addAssignment_289,axiom,(
    ! [VarCurr] :
      ( ( v2360(VarCurr,bitIndex6)
      <=> v2362(VarCurr,bitIndex27) )
      & ( v2360(VarCurr,bitIndex5)
      <=> v2362(VarCurr,bitIndex26) )
      & ( v2360(VarCurr,bitIndex4)
      <=> v2362(VarCurr,bitIndex25) )
      & ( v2360(VarCurr,bitIndex3)
      <=> v2362(VarCurr,bitIndex24) )
      & ( v2360(VarCurr,bitIndex2)
      <=> v2362(VarCurr,bitIndex23) )
      & ( v2360(VarCurr,bitIndex1)
      <=> v2362(VarCurr,bitIndex22) )
      & ( v2360(VarCurr,bitIndex0)
      <=> v2362(VarCurr,bitIndex21) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_66,axiom,(
    ! [VarCurr] :
      ( ~ v2190(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v1882(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_67,axiom,(
    ! [VarCurr] :
      ( v2190(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v1882(VarCurr,B)
          <=> v2208(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v2196(VarCurr)
        & ~ v2199(VarCurr)
        & ~ v2351(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2208(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_9,axiom,(
    ! [VarCurr] :
      ( v2351(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2208(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_30,axiom,(
    ! [VarCurr] :
      ( v2199(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2208(VarCurr,B)
          <=> v2238(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_30,axiom,(
    ! [VarCurr] :
      ( v2196(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2208(VarCurr,B)
          <=> v2209(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_878,axiom,(
    ! [VarCurr] :
      ( v2351(VarCurr)
    <=> ( v2353(VarCurr)
        | v2201(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_877,axiom,(
    ! [VarCurr] :
      ( v2353(VarCurr)
    <=> ( v2354(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_876,axiom,(
    ! [VarCurr] :
      ( v2354(VarCurr)
    <=> ( v1421(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_24,axiom,(
    ! [VarCurr] :
      ( ( ~ v1417(VarCurr)
        & v1418(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2238(VarCurr,B)
          <=> v2346(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_24,axiom,(
    ! [VarCurr] :
      ( v1417(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2238(VarCurr,B)
          <=> v2239(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_65,axiom,(
    ! [VarCurr] :
      ( ~ v1464(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2346(VarCurr,B)
          <=> v2348(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_66,axiom,(
    ! [VarCurr] :
      ( v1464(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2346(VarCurr,B)
          <=> v2347(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_64,axiom,(
    ! [VarCurr] :
      ( ~ v1103(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2348(VarCurr,B)
          <=> v2350(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_65,axiom,(
    ! [VarCurr] :
      ( v1103(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2348(VarCurr,B)
          <=> v2349(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_63,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2350(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_64,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2350(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_62,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2349(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_63,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2349(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_61,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2347(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_62,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2347(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_60,axiom,(
    ! [VarCurr] :
      ( ~ v1460(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2239(VarCurr,B)
          <=> v2304(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_61,axiom,(
    ! [VarCurr] :
      ( v1460(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2239(VarCurr,B)
          <=> v2240(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_59,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2304(VarCurr,B)
          <=> v2305(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_60,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2304(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addAssignment_288,axiom,(
    ! [VarCurr] :
      ( v2305(VarCurr,bitIndex0)
    <=> v2342(VarCurr) ) )).

fof(addAssignment_287,axiom,(
    ! [VarCurr] :
      ( v2305(VarCurr,bitIndex1)
    <=> v2337(VarCurr) ) )).

fof(addAssignment_286,axiom,(
    ! [VarCurr] :
      ( v2305(VarCurr,bitIndex2)
    <=> v2332(VarCurr) ) )).

fof(addAssignment_285,axiom,(
    ! [VarCurr] :
      ( v2305(VarCurr,bitIndex3)
    <=> v2307(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_875,axiom,(
    ! [VarCurr] :
      ( v2342(VarCurr)
    <=> ( v2343(VarCurr)
        & v2345(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_874,axiom,(
    ! [VarCurr] :
      ( v2345(VarCurr)
    <=> ( v2177(VarCurr,bitIndex0)
        | v2315(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_873,axiom,(
    ! [VarCurr] :
      ( v2343(VarCurr)
    <=> ( v2302(VarCurr)
        | v2344(VarCurr) ) ) )).

fof(writeUnaryOperator_404,axiom,(
    ! [VarCurr] :
      ( ~ v2344(VarCurr)
    <=> v2315(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_872,axiom,(
    ! [VarCurr] :
      ( v2337(VarCurr)
    <=> ( v2338(VarCurr)
        & v2341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_871,axiom,(
    ! [VarCurr] :
      ( v2341(VarCurr)
    <=> ( v2314(VarCurr)
        | v2316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_870,axiom,(
    ! [VarCurr] :
      ( v2338(VarCurr)
    <=> ( v2339(VarCurr)
        | v2340(VarCurr) ) ) )).

fof(writeUnaryOperator_403,axiom,(
    ! [VarCurr] :
      ( ~ v2340(VarCurr)
    <=> v2316(VarCurr) ) )).

fof(writeUnaryOperator_402,axiom,(
    ! [VarCurr] :
      ( ~ v2339(VarCurr)
    <=> v2314(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_869,axiom,(
    ! [VarCurr] :
      ( v2332(VarCurr)
    <=> ( v2333(VarCurr)
        & v2336(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_868,axiom,(
    ! [VarCurr] :
      ( v2336(VarCurr)
    <=> ( v2312(VarCurr)
        | v2321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_867,axiom,(
    ! [VarCurr] :
      ( v2333(VarCurr)
    <=> ( v2334(VarCurr)
        | v2335(VarCurr) ) ) )).

fof(writeUnaryOperator_401,axiom,(
    ! [VarCurr] :
      ( ~ v2335(VarCurr)
    <=> v2321(VarCurr) ) )).

fof(writeUnaryOperator_400,axiom,(
    ! [VarCurr] :
      ( ~ v2334(VarCurr)
    <=> v2312(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_866,axiom,(
    ! [VarCurr] :
      ( v2307(VarCurr)
    <=> ( v2308(VarCurr)
        & v2331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_865,axiom,(
    ! [VarCurr] :
      ( v2331(VarCurr)
    <=> ( v2310(VarCurr)
        | v2327(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_864,axiom,(
    ! [VarCurr] :
      ( v2308(VarCurr)
    <=> ( v2309(VarCurr)
        | v2326(VarCurr) ) ) )).

fof(writeUnaryOperator_399,axiom,(
    ! [VarCurr] :
      ( ~ v2326(VarCurr)
    <=> v2327(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_863,axiom,(
    ! [VarCurr] :
      ( v2327(VarCurr)
    <=> ( v2328(VarCurr)
        & v2330(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_214,axiom,(
    ! [VarCurr] :
      ( v2330(VarCurr)
    <=> ( v2177(VarCurr,bitIndex3)
        | v2315(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_862,axiom,(
    ! [VarCurr] :
      ( v2328(VarCurr)
    <=> ( v2286(VarCurr)
        | v2329(VarCurr) ) ) )).

fof(writeUnaryOperator_398,axiom,(
    ! [VarCurr] :
      ( ~ v2329(VarCurr)
    <=> v2315(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_397,axiom,(
    ! [VarCurr] :
      ( ~ v2309(VarCurr)
    <=> v2310(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_861,axiom,(
    ! [VarCurr] :
      ( v2310(VarCurr)
    <=> ( v2311(VarCurr)
        | v2325(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_213,axiom,(
    ! [VarCurr] :
      ( v2325(VarCurr)
    <=> ( v2177(VarCurr,bitIndex2)
        & v2315(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_860,axiom,(
    ! [VarCurr] :
      ( v2311(VarCurr)
    <=> ( v2312(VarCurr)
        & v2321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_859,axiom,(
    ! [VarCurr] :
      ( v2321(VarCurr)
    <=> ( v2322(VarCurr)
        & v2324(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_212,axiom,(
    ! [VarCurr] :
      ( v2324(VarCurr)
    <=> ( v2177(VarCurr,bitIndex2)
        | v2315(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_858,axiom,(
    ! [VarCurr] :
      ( v2322(VarCurr)
    <=> ( v2279(VarCurr)
        | v2323(VarCurr) ) ) )).

fof(writeUnaryOperator_396,axiom,(
    ! [VarCurr] :
      ( ~ v2323(VarCurr)
    <=> v2315(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_857,axiom,(
    ! [VarCurr] :
      ( v2312(VarCurr)
    <=> ( v2313(VarCurr)
        | v2320(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_211,axiom,(
    ! [VarCurr] :
      ( v2320(VarCurr)
    <=> ( v2177(VarCurr,bitIndex1)
        & v2315(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_856,axiom,(
    ! [VarCurr] :
      ( v2313(VarCurr)
    <=> ( v2314(VarCurr)
        & v2316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_855,axiom,(
    ! [VarCurr] :
      ( v2316(VarCurr)
    <=> ( v2317(VarCurr)
        & v2319(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_210,axiom,(
    ! [VarCurr] :
      ( v2319(VarCurr)
    <=> ( v2177(VarCurr,bitIndex1)
        | v2315(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_854,axiom,(
    ! [VarCurr] :
      ( v2317(VarCurr)
    <=> ( v2273(VarCurr)
        | v2318(VarCurr) ) ) )).

fof(writeUnaryOperator_395,axiom,(
    ! [VarCurr] :
      ( ~ v2318(VarCurr)
    <=> v2315(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_853,axiom,(
    ! [VarCurr] :
      ( v2314(VarCurr)
    <=> ( v2177(VarCurr,bitIndex0)
        & v2315(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_284,axiom,(
    ! [VarCurr] :
      ( v2315(VarCurr,bitIndex0)
    <=> v2267(VarCurr) ) )).

fof(addAssignment_283,axiom,(
    ! [VarCurr] :
      ( v2315(VarCurr,bitIndex1)
    <=> v2265(VarCurr) ) )).

fof(addAssignment_282,axiom,(
    ! [VarCurr] :
      ( v2315(VarCurr,bitIndex2)
    <=> v2260(VarCurr) ) )).

fof(addAssignment_281,axiom,(
    ! [VarCurr] :
      ( v2315(VarCurr,bitIndex3)
    <=> v2253(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_58,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2240(VarCurr,B)
          <=> v2241(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_59,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2240(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addAssignment_280,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex0)
    <=> v2299(VarCurr) ) )).

fof(addAssignment_279,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex1)
    <=> v2294(VarCurr) ) )).

fof(addAssignment_278,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex2)
    <=> v2289(VarCurr) ) )).

fof(addAssignment_277,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex3)
    <=> v2243(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_852,axiom,(
    ! [VarCurr] :
      ( v2299(VarCurr)
    <=> ( v2300(VarCurr)
        & v2303(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_851,axiom,(
    ! [VarCurr] :
      ( v2303(VarCurr)
    <=> ( v2251(VarCurr,bitIndex0)
        | v2177(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_850,axiom,(
    ! [VarCurr] :
      ( v2300(VarCurr)
    <=> ( v2301(VarCurr)
        | v2302(VarCurr) ) ) )).

fof(writeUnaryOperator_394,axiom,(
    ! [VarCurr] :
      ( ~ v2302(VarCurr)
    <=> v2177(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_393,axiom,(
    ! [VarCurr] :
      ( ~ v2301(VarCurr)
    <=> v2251(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_849,axiom,(
    ! [VarCurr] :
      ( v2294(VarCurr)
    <=> ( v2295(VarCurr)
        & v2298(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_848,axiom,(
    ! [VarCurr] :
      ( v2298(VarCurr)
    <=> ( v2250(VarCurr)
        | v2270(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_847,axiom,(
    ! [VarCurr] :
      ( v2295(VarCurr)
    <=> ( v2296(VarCurr)
        | v2297(VarCurr) ) ) )).

fof(writeUnaryOperator_392,axiom,(
    ! [VarCurr] :
      ( ~ v2297(VarCurr)
    <=> v2270(VarCurr) ) )).

fof(writeUnaryOperator_391,axiom,(
    ! [VarCurr] :
      ( ~ v2296(VarCurr)
    <=> v2250(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_846,axiom,(
    ! [VarCurr] :
      ( v2289(VarCurr)
    <=> ( v2290(VarCurr)
        & v2293(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_845,axiom,(
    ! [VarCurr] :
      ( v2293(VarCurr)
    <=> ( v2248(VarCurr)
        | v2276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_844,axiom,(
    ! [VarCurr] :
      ( v2290(VarCurr)
    <=> ( v2291(VarCurr)
        | v2292(VarCurr) ) ) )).

fof(writeUnaryOperator_390,axiom,(
    ! [VarCurr] :
      ( ~ v2292(VarCurr)
    <=> v2276(VarCurr) ) )).

fof(writeUnaryOperator_389,axiom,(
    ! [VarCurr] :
      ( ~ v2291(VarCurr)
    <=> v2248(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_843,axiom,(
    ! [VarCurr] :
      ( v2243(VarCurr)
    <=> ( v2244(VarCurr)
        & v2288(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_842,axiom,(
    ! [VarCurr] :
      ( v2288(VarCurr)
    <=> ( v2246(VarCurr)
        | v2283(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_841,axiom,(
    ! [VarCurr] :
      ( v2244(VarCurr)
    <=> ( v2245(VarCurr)
        | v2282(VarCurr) ) ) )).

fof(writeUnaryOperator_388,axiom,(
    ! [VarCurr] :
      ( ~ v2282(VarCurr)
    <=> v2283(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_840,axiom,(
    ! [VarCurr] :
      ( v2283(VarCurr)
    <=> ( v2284(VarCurr)
        & v2287(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_209,axiom,(
    ! [VarCurr] :
      ( v2287(VarCurr)
    <=> ( v2251(VarCurr,bitIndex3)
        | v2177(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_839,axiom,(
    ! [VarCurr] :
      ( v2284(VarCurr)
    <=> ( v2285(VarCurr)
        | v2286(VarCurr) ) ) )).

fof(writeUnaryOperator_387,axiom,(
    ! [VarCurr] :
      ( ~ v2286(VarCurr)
    <=> v2177(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_386,axiom,(
    ! [VarCurr] :
      ( ~ v2285(VarCurr)
    <=> v2251(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_385,axiom,(
    ! [VarCurr] :
      ( ~ v2245(VarCurr)
    <=> v2246(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_838,axiom,(
    ! [VarCurr] :
      ( v2246(VarCurr)
    <=> ( v2247(VarCurr)
        | v2281(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_208,axiom,(
    ! [VarCurr] :
      ( v2281(VarCurr)
    <=> ( v2251(VarCurr,bitIndex2)
        & v2177(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_837,axiom,(
    ! [VarCurr] :
      ( v2247(VarCurr)
    <=> ( v2248(VarCurr)
        & v2276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_836,axiom,(
    ! [VarCurr] :
      ( v2276(VarCurr)
    <=> ( v2277(VarCurr)
        & v2280(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_207,axiom,(
    ! [VarCurr] :
      ( v2280(VarCurr)
    <=> ( v2251(VarCurr,bitIndex2)
        | v2177(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_835,axiom,(
    ! [VarCurr] :
      ( v2277(VarCurr)
    <=> ( v2278(VarCurr)
        | v2279(VarCurr) ) ) )).

fof(writeUnaryOperator_384,axiom,(
    ! [VarCurr] :
      ( ~ v2279(VarCurr)
    <=> v2177(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_383,axiom,(
    ! [VarCurr] :
      ( ~ v2278(VarCurr)
    <=> v2251(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_834,axiom,(
    ! [VarCurr] :
      ( v2248(VarCurr)
    <=> ( v2249(VarCurr)
        | v2275(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_206,axiom,(
    ! [VarCurr] :
      ( v2275(VarCurr)
    <=> ( v2251(VarCurr,bitIndex1)
        & v2177(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_833,axiom,(
    ! [VarCurr] :
      ( v2249(VarCurr)
    <=> ( v2250(VarCurr)
        & v2270(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_832,axiom,(
    ! [VarCurr] :
      ( v2270(VarCurr)
    <=> ( v2271(VarCurr)
        & v2274(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_205,axiom,(
    ! [VarCurr] :
      ( v2274(VarCurr)
    <=> ( v2251(VarCurr,bitIndex1)
        | v2177(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_831,axiom,(
    ! [VarCurr] :
      ( v2271(VarCurr)
    <=> ( v2272(VarCurr)
        | v2273(VarCurr) ) ) )).

fof(writeUnaryOperator_382,axiom,(
    ! [VarCurr] :
      ( ~ v2273(VarCurr)
    <=> v2177(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_381,axiom,(
    ! [VarCurr] :
      ( ~ v2272(VarCurr)
    <=> v2251(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_830,axiom,(
    ! [VarCurr] :
      ( v2250(VarCurr)
    <=> ( v2251(VarCurr,bitIndex0)
        & v2177(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_276,axiom,(
    ! [VarCurr] :
      ( v2251(VarCurr,bitIndex0)
    <=> v2267(VarCurr) ) )).

fof(addAssignment_275,axiom,(
    ! [VarCurr] :
      ( v2251(VarCurr,bitIndex1)
    <=> v2265(VarCurr) ) )).

fof(addAssignment_274,axiom,(
    ! [VarCurr] :
      ( v2251(VarCurr,bitIndex2)
    <=> v2260(VarCurr) ) )).

fof(addAssignment_273,axiom,(
    ! [VarCurr] :
      ( v2251(VarCurr,bitIndex3)
    <=> v2253(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_829,axiom,(
    ! [VarCurr] :
      ( v2265(VarCurr)
    <=> ( v2266(VarCurr)
        & v2269(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_204,axiom,(
    ! [VarCurr] :
      ( v2269(VarCurr)
    <=> ( v1884(VarCurr,bitIndex4)
        | v1884(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_828,axiom,(
    ! [VarCurr] :
      ( v2266(VarCurr)
    <=> ( v2267(VarCurr)
        | v2268(VarCurr) ) ) )).

fof(writeUnaryOperator_380,axiom,(
    ! [VarCurr] :
      ( ~ v2268(VarCurr)
    <=> v1884(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_379,axiom,(
    ! [VarCurr] :
      ( ~ v2267(VarCurr)
    <=> v1884(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_827,axiom,(
    ! [VarCurr] :
      ( v2260(VarCurr)
    <=> ( v2261(VarCurr)
        & v2264(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_203,axiom,(
    ! [VarCurr] :
      ( v2264(VarCurr)
    <=> ( v2257(VarCurr)
        | v1884(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_826,axiom,(
    ! [VarCurr] :
      ( v2261(VarCurr)
    <=> ( v2262(VarCurr)
        | v2263(VarCurr) ) ) )).

fof(writeUnaryOperator_378,axiom,(
    ! [VarCurr] :
      ( ~ v2263(VarCurr)
    <=> v1884(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_377,axiom,(
    ! [VarCurr] :
      ( ~ v2262(VarCurr)
    <=> v2257(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_825,axiom,(
    ! [VarCurr] :
      ( v2253(VarCurr)
    <=> ( v2254(VarCurr)
        & v2259(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_202,axiom,(
    ! [VarCurr] :
      ( v2259(VarCurr)
    <=> ( v2256(VarCurr)
        | v1884(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_824,axiom,(
    ! [VarCurr] :
      ( v2254(VarCurr)
    <=> ( v2255(VarCurr)
        | v2258(VarCurr) ) ) )).

fof(writeUnaryOperator_376,axiom,(
    ! [VarCurr] :
      ( ~ v2258(VarCurr)
    <=> v1884(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_375,axiom,(
    ! [VarCurr] :
      ( ~ v2255(VarCurr)
    <=> v2256(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_201,axiom,(
    ! [VarCurr] :
      ( v2256(VarCurr)
    <=> ( v2257(VarCurr)
        & v1884(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_200,axiom,(
    ! [VarCurr] :
      ( v2257(VarCurr)
    <=> ( v1884(VarCurr,bitIndex4)
        & v1884(VarCurr,bitIndex5) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v1319(VarCurr)
        & ~ v1384(VarCurr)
        & v1385(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2209(VarCurr,B)
          <=> v2235(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_23,axiom,(
    ! [VarCurr] :
      ( ( ~ v1319(VarCurr)
        & v1384(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2209(VarCurr,B)
          <=> v2233(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_23,axiom,(
    ! [VarCurr] :
      ( v1319(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2209(VarCurr,B)
          <=> v2210(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_57,axiom,(
    ! [VarCurr] :
      ( ~ v1453(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2235(VarCurr,B)
          <=> v2237(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_58,axiom,(
    ! [VarCurr] :
      ( v1453(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2235(VarCurr,B)
          <=> v2236(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_56,axiom,(
    ! [VarCurr] :
      ( ~ v1103(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2237(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_57,axiom,(
    ! [VarCurr] :
      ( v1103(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2237(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_55,axiom,(
    ! [VarCurr] :
      ( ~ v1103(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2236(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_56,axiom,(
    ! [VarCurr] :
      ( v1103(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2236(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_54,axiom,(
    ! [VarCurr] :
      ( ~ v1448(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2233(VarCurr,B)
          <=> v2234(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_55,axiom,(
    ! [VarCurr] :
      ( v1448(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2233(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_53,axiom,(
    ! [VarCurr] :
      ( ~ v763(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2234(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_54,axiom,(
    ! [VarCurr] :
      ( v763(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2234(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_52,axiom,(
    ! [VarCurr] :
      ( ~ v1444(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2210(VarCurr,B)
          <=> v2231(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_53,axiom,(
    ! [VarCurr] :
      ( v1444(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2210(VarCurr,B)
          <=> v2211(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_51,axiom,(
    ! [VarCurr] :
      ( ~ v763(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2231(VarCurr,B)
          <=> v892(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_52,axiom,(
    ! [VarCurr] :
      ( v763(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2231(VarCurr,B)
          <=> v2232(VarCurr,B) ) ) ) )).

fof(addAssignment_272,axiom,(
    ! [VarCurr] :
      ( v2232(VarCurr,bitIndex0)
    <=> v2228(VarCurr) ) )).

fof(addAssignment_271,axiom,(
    ! [VarCurr] :
      ( v2232(VarCurr,bitIndex1)
    <=> v2226(VarCurr) ) )).

fof(addAssignment_270,axiom,(
    ! [VarCurr] :
      ( v2232(VarCurr,bitIndex2)
    <=> v2221(VarCurr) ) )).

fof(addAssignment_269,axiom,(
    ! [VarCurr] :
      ( v2232(VarCurr,bitIndex3)
    <=> v2214(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_50,axiom,(
    ! [VarCurr] :
      ( ~ v763(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2211(VarCurr,B)
          <=> v892(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_51,axiom,(
    ! [VarCurr] :
      ( v763(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2211(VarCurr,B)
          <=> v2212(VarCurr,B) ) ) ) )).

fof(addAssignment_268,axiom,(
    ! [VarCurr] :
      ( v2212(VarCurr,bitIndex0)
    <=> v2228(VarCurr) ) )).

fof(addAssignment_267,axiom,(
    ! [VarCurr] :
      ( v2212(VarCurr,bitIndex1)
    <=> v2226(VarCurr) ) )).

fof(addAssignment_266,axiom,(
    ! [VarCurr] :
      ( v2212(VarCurr,bitIndex2)
    <=> v2221(VarCurr) ) )).

fof(addAssignment_265,axiom,(
    ! [VarCurr] :
      ( v2212(VarCurr,bitIndex3)
    <=> v2214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_823,axiom,(
    ! [VarCurr] :
      ( v2226(VarCurr)
    <=> ( v2227(VarCurr)
        & v2230(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_199,axiom,(
    ! [VarCurr] :
      ( v2230(VarCurr)
    <=> ( v892(VarCurr,bitIndex0)
        | v892(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_822,axiom,(
    ! [VarCurr] :
      ( v2227(VarCurr)
    <=> ( v2228(VarCurr)
        | v2229(VarCurr) ) ) )).

fof(writeUnaryOperator_374,axiom,(
    ! [VarCurr] :
      ( ~ v2229(VarCurr)
    <=> v892(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_373,axiom,(
    ! [VarCurr] :
      ( ~ v2228(VarCurr)
    <=> v892(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_821,axiom,(
    ! [VarCurr] :
      ( v2221(VarCurr)
    <=> ( v2222(VarCurr)
        & v2225(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_198,axiom,(
    ! [VarCurr] :
      ( v2225(VarCurr)
    <=> ( v2218(VarCurr)
        | v892(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_820,axiom,(
    ! [VarCurr] :
      ( v2222(VarCurr)
    <=> ( v2223(VarCurr)
        | v2224(VarCurr) ) ) )).

fof(writeUnaryOperator_372,axiom,(
    ! [VarCurr] :
      ( ~ v2224(VarCurr)
    <=> v892(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_371,axiom,(
    ! [VarCurr] :
      ( ~ v2223(VarCurr)
    <=> v2218(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_819,axiom,(
    ! [VarCurr] :
      ( v2214(VarCurr)
    <=> ( v2215(VarCurr)
        & v2220(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_197,axiom,(
    ! [VarCurr] :
      ( v2220(VarCurr)
    <=> ( v2217(VarCurr)
        | v892(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_818,axiom,(
    ! [VarCurr] :
      ( v2215(VarCurr)
    <=> ( v2216(VarCurr)
        | v2219(VarCurr) ) ) )).

fof(writeUnaryOperator_370,axiom,(
    ! [VarCurr] :
      ( ~ v2219(VarCurr)
    <=> v892(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_369,axiom,(
    ! [VarCurr] :
      ( ~ v2216(VarCurr)
    <=> v2217(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_196,axiom,(
    ! [VarCurr] :
      ( v2217(VarCurr)
    <=> ( v2218(VarCurr)
        & v892(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_195,axiom,(
    ! [VarCurr] :
      ( v2218(VarCurr)
    <=> ( v892(VarCurr,bitIndex0)
        & v892(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_817,axiom,(
    ! [VarCurr] :
      ( v2190(VarCurr)
    <=> ( v2191(VarCurr)
        | v2202(VarCurr) ) ) )).

fof(writeUnaryOperator_368,axiom,(
    ! [VarCurr] :
      ( ~ v2202(VarCurr)
    <=> v2203(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_816,axiom,(
    ! [VarCurr] :
      ( v2203(VarCurr)
    <=> ( v2204(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_815,axiom,(
    ! [VarCurr] :
      ( v2204(VarCurr)
    <=> ( v2205(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_814,axiom,(
    ! [VarCurr] :
      ( v2205(VarCurr)
    <=> ( v2206(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_813,axiom,(
    ! [VarCurr] :
      ( v2206(VarCurr)
    <=> ( v2207(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_812,axiom,(
    ! [VarCurr] :
      ( v2207(VarCurr)
    <=> ( v1414(VarCurr)
        | v1420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_811,axiom,(
    ! [VarCurr] :
      ( v2191(VarCurr)
    <=> ( v2192(VarCurr)
        | v2201(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_810,axiom,(
    ! [VarCurr] :
      ( v2201(VarCurr)
    <=> ( v1427(VarCurr)
        & v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_809,axiom,(
    ! [VarCurr] :
      ( v2192(VarCurr)
    <=> ( v2193(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_808,axiom,(
    ! [VarCurr] :
      ( v2193(VarCurr)
    <=> ( v2194(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_807,axiom,(
    ! [VarCurr] :
      ( v2194(VarCurr)
    <=> ( v2195(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_806,axiom,(
    ! [VarCurr] :
      ( v2195(VarCurr)
    <=> ( v2196(VarCurr)
        | v2199(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_805,axiom,(
    ! [VarCurr] :
      ( v2199(VarCurr)
    <=> ( v2200(VarCurr)
        & v1420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_804,axiom,(
    ! [VarCurr] :
      ( v2200(VarCurr)
    <=> ( v1417(VarCurr)
        | v1418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_803,axiom,(
    ! [VarCurr] :
      ( v2196(VarCurr)
    <=> ( v2197(VarCurr)
        & v1414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_802,axiom,(
    ! [VarCurr] :
      ( v2197(VarCurr)
    <=> ( v2198(VarCurr)
        | v1385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_801,axiom,(
    ! [VarCurr] :
      ( v2198(VarCurr)
    <=> ( v1319(VarCurr)
        | v1384(VarCurr) ) ) )).

fof(addAssignment_264,axiom,(
    ! [VarCurr] :
      ( v2177(VarCurr,bitIndex3)
    <=> v2178(VarCurr,bitIndex3) ) )).

fof(addAssignment_263,axiom,(
    ! [VarCurr] :
      ( v2177(VarCurr,bitIndex2)
    <=> v2178(VarCurr,bitIndex2) ) )).

fof(addAssignment_262,axiom,(
    ! [VarCurr] :
      ( v2177(VarCurr,bitIndex1)
    <=> v2178(VarCurr,bitIndex1) ) )).

fof(addAssignment_261,axiom,(
    ! [VarCurr] :
      ( v2177(VarCurr,bitIndex0)
    <=> v2178(VarCurr,bitIndex0) ) )).

fof(addZeroExtensionConstraint_3,axiom,(
    ! [VarCurr] : ~ v2178(VarCurr,bitIndex1) )).

fof(addZeroExtensionConstraint_2,axiom,(
    ! [VarCurr] : ~ v2178(VarCurr,bitIndex2) )).

fof(addZeroExtensionConstraint_1,axiom,(
    ! [VarCurr] : ~ v2178(VarCurr,bitIndex3) )).

fof(addAssignment_260,axiom,(
    ! [VarCurr] :
      ( v2178(VarCurr,bitIndex0)
    <=> v2179(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_49,axiom,(
    ! [VarCurr] :
      ( ~ v2180(VarCurr)
     => ( v2179(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_50,axiom,(
    ! [VarCurr] :
      ( v2180(VarCurr)
     => ( v2179(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_367,axiom,(
    ! [VarCurr] :
      ( ~ v2180(VarCurr)
    <=> v2182(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_800,axiom,(
    ! [VarCurr] :
      ( v2182(VarCurr)
    <=> ( v2183(VarCurr)
        & v2188(VarCurr) ) ) )).

fof(writeUnaryOperator_366,axiom,(
    ! [VarCurr] :
      ( ~ v2188(VarCurr)
    <=> v1884(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_799,axiom,(
    ! [VarCurr] :
      ( v2183(VarCurr)
    <=> ( v2184(VarCurr)
        & v2187(VarCurr) ) ) )).

fof(writeUnaryOperator_365,axiom,(
    ! [VarCurr] :
      ( ~ v2187(VarCurr)
    <=> v1884(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_798,axiom,(
    ! [VarCurr] :
      ( v2184(VarCurr)
    <=> ( v2185(VarCurr)
        & v2186(VarCurr) ) ) )).

fof(writeUnaryOperator_364,axiom,(
    ! [VarCurr] :
      ( ~ v2186(VarCurr)
    <=> v1884(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_363,axiom,(
    ! [VarCurr] :
      ( ~ v2185(VarCurr)
    <=> v1884(VarCurr,bitIndex0) ) )).

fof(addAssignment_259,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v1884(VarCurr,B)
      <=> v2012(VarCurr,B) ) ) )).

fof(addAssignment_258,axiom,(
    ! [VarCurr] :
      ( v1884(VarCurr,bitIndex7)
    <=> v2012(VarCurr,bitIndex7) ) )).

fof(addAssignment_257,axiom,(
    ! [VarCurr] :
      ( v1886(VarCurr,bitIndex7)
    <=> v1888(VarCurr,bitIndex7) ) )).

fof(addAssignment_256,axiom,(
    ! [VarCurr] :
      ( v1884(VarCurr,bitIndex6)
    <=> v2012(VarCurr,bitIndex6) ) )).

fof(addAssignment_255,axiom,(
    ! [VarCurr] :
      ( v1886(VarCurr,bitIndex6)
    <=> v1888(VarCurr,bitIndex6) ) )).

fof(addAssignment_254,axiom,(
    ! [VarCurr] :
      ( v1884(VarCurr,bitIndex5)
    <=> v2012(VarCurr,bitIndex5) ) )).

fof(addAssignment_253,axiom,(
    ! [VarCurr] :
      ( v1886(VarCurr,bitIndex5)
    <=> v1888(VarCurr,bitIndex5) ) )).

fof(addAssignment_252,axiom,(
    ! [VarCurr] :
      ( v1884(VarCurr,bitIndex4)
    <=> v2012(VarCurr,bitIndex4) ) )).

fof(addAssignment_251,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex0)
    <=> v2173(VarCurr) ) )).

fof(addAssignment_250,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex1)
    <=> v2168(VarCurr) ) )).

fof(addAssignment_249,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex2)
    <=> v2163(VarCurr) ) )).

fof(addAssignment_248,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex3)
    <=> v2158(VarCurr) ) )).

fof(addAssignment_247,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex4)
    <=> v2153(VarCurr) ) )).

fof(addAssignment_246,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex5)
    <=> v2148(VarCurr) ) )).

fof(addAssignment_245,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex6)
    <=> v2143(VarCurr) ) )).

fof(addAssignment_244,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex7)
    <=> v2138(VarCurr) ) )).

fof(addAssignment_243,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex8)
    <=> v2133(VarCurr) ) )).

fof(addAssignment_242,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr,bitIndex9)
    <=> v2014(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_797,axiom,(
    ! [VarCurr] :
      ( v2173(VarCurr)
    <=> ( v2174(VarCurr)
        & v2175(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_796,axiom,(
    ! [VarCurr] :
      ( v2175(VarCurr)
    <=> ( v735(VarCurr,bitIndex0)
        | v1886(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_795,axiom,(
    ! [VarCurr] :
      ( v2174(VarCurr)
    <=> ( v887(VarCurr)
        | v2040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_794,axiom,(
    ! [VarCurr] :
      ( v2168(VarCurr)
    <=> ( v2169(VarCurr)
        & v2172(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_793,axiom,(
    ! [VarCurr] :
      ( v2172(VarCurr)
    <=> ( v2033(VarCurr)
        | v2034(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_792,axiom,(
    ! [VarCurr] :
      ( v2169(VarCurr)
    <=> ( v2170(VarCurr)
        | v2171(VarCurr) ) ) )).

fof(writeUnaryOperator_362,axiom,(
    ! [VarCurr] :
      ( ~ v2171(VarCurr)
    <=> v2034(VarCurr) ) )).

fof(writeUnaryOperator_361,axiom,(
    ! [VarCurr] :
      ( ~ v2170(VarCurr)
    <=> v2033(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_791,axiom,(
    ! [VarCurr] :
      ( v2163(VarCurr)
    <=> ( v2164(VarCurr)
        & v2167(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_790,axiom,(
    ! [VarCurr] :
      ( v2167(VarCurr)
    <=> ( v2031(VarCurr)
        | v2044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_789,axiom,(
    ! [VarCurr] :
      ( v2164(VarCurr)
    <=> ( v2165(VarCurr)
        | v2166(VarCurr) ) ) )).

fof(writeUnaryOperator_360,axiom,(
    ! [VarCurr] :
      ( ~ v2166(VarCurr)
    <=> v2044(VarCurr) ) )).

fof(writeUnaryOperator_359,axiom,(
    ! [VarCurr] :
      ( ~ v2165(VarCurr)
    <=> v2031(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_788,axiom,(
    ! [VarCurr] :
      ( v2158(VarCurr)
    <=> ( v2159(VarCurr)
        & v2162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_787,axiom,(
    ! [VarCurr] :
      ( v2162(VarCurr)
    <=> ( v2029(VarCurr)
        | v2055(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_786,axiom,(
    ! [VarCurr] :
      ( v2159(VarCurr)
    <=> ( v2160(VarCurr)
        | v2161(VarCurr) ) ) )).

fof(writeUnaryOperator_358,axiom,(
    ! [VarCurr] :
      ( ~ v2161(VarCurr)
    <=> v2055(VarCurr) ) )).

fof(writeUnaryOperator_357,axiom,(
    ! [VarCurr] :
      ( ~ v2160(VarCurr)
    <=> v2029(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_785,axiom,(
    ! [VarCurr] :
      ( v2153(VarCurr)
    <=> ( v2154(VarCurr)
        & v2157(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_784,axiom,(
    ! [VarCurr] :
      ( v2157(VarCurr)
    <=> ( v2027(VarCurr)
        | v2066(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_783,axiom,(
    ! [VarCurr] :
      ( v2154(VarCurr)
    <=> ( v2155(VarCurr)
        | v2156(VarCurr) ) ) )).

fof(writeUnaryOperator_356,axiom,(
    ! [VarCurr] :
      ( ~ v2156(VarCurr)
    <=> v2066(VarCurr) ) )).

fof(writeUnaryOperator_355,axiom,(
    ! [VarCurr] :
      ( ~ v2155(VarCurr)
    <=> v2027(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_782,axiom,(
    ! [VarCurr] :
      ( v2148(VarCurr)
    <=> ( v2149(VarCurr)
        & v2152(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_781,axiom,(
    ! [VarCurr] :
      ( v2152(VarCurr)
    <=> ( v2025(VarCurr)
        | v2077(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_780,axiom,(
    ! [VarCurr] :
      ( v2149(VarCurr)
    <=> ( v2150(VarCurr)
        | v2151(VarCurr) ) ) )).

fof(writeUnaryOperator_354,axiom,(
    ! [VarCurr] :
      ( ~ v2151(VarCurr)
    <=> v2077(VarCurr) ) )).

fof(writeUnaryOperator_353,axiom,(
    ! [VarCurr] :
      ( ~ v2150(VarCurr)
    <=> v2025(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_779,axiom,(
    ! [VarCurr] :
      ( v2143(VarCurr)
    <=> ( v2144(VarCurr)
        & v2147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_778,axiom,(
    ! [VarCurr] :
      ( v2147(VarCurr)
    <=> ( v2023(VarCurr)
        | v2088(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_777,axiom,(
    ! [VarCurr] :
      ( v2144(VarCurr)
    <=> ( v2145(VarCurr)
        | v2146(VarCurr) ) ) )).

fof(writeUnaryOperator_352,axiom,(
    ! [VarCurr] :
      ( ~ v2146(VarCurr)
    <=> v2088(VarCurr) ) )).

fof(writeUnaryOperator_351,axiom,(
    ! [VarCurr] :
      ( ~ v2145(VarCurr)
    <=> v2023(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_776,axiom,(
    ! [VarCurr] :
      ( v2138(VarCurr)
    <=> ( v2139(VarCurr)
        & v2142(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_775,axiom,(
    ! [VarCurr] :
      ( v2142(VarCurr)
    <=> ( v2021(VarCurr)
        | v2099(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_774,axiom,(
    ! [VarCurr] :
      ( v2139(VarCurr)
    <=> ( v2140(VarCurr)
        | v2141(VarCurr) ) ) )).

fof(writeUnaryOperator_350,axiom,(
    ! [VarCurr] :
      ( ~ v2141(VarCurr)
    <=> v2099(VarCurr) ) )).

fof(writeUnaryOperator_349,axiom,(
    ! [VarCurr] :
      ( ~ v2140(VarCurr)
    <=> v2021(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_773,axiom,(
    ! [VarCurr] :
      ( v2133(VarCurr)
    <=> ( v2134(VarCurr)
        & v2137(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_772,axiom,(
    ! [VarCurr] :
      ( v2137(VarCurr)
    <=> ( v2019(VarCurr)
        | v2110(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_771,axiom,(
    ! [VarCurr] :
      ( v2134(VarCurr)
    <=> ( v2135(VarCurr)
        | v2136(VarCurr) ) ) )).

fof(writeUnaryOperator_348,axiom,(
    ! [VarCurr] :
      ( ~ v2136(VarCurr)
    <=> v2110(VarCurr) ) )).

fof(writeUnaryOperator_347,axiom,(
    ! [VarCurr] :
      ( ~ v2135(VarCurr)
    <=> v2019(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_770,axiom,(
    ! [VarCurr] :
      ( v2014(VarCurr)
    <=> ( v2015(VarCurr)
        & v2132(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_769,axiom,(
    ! [VarCurr] :
      ( v2132(VarCurr)
    <=> ( v2017(VarCurr)
        | v2122(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_768,axiom,(
    ! [VarCurr] :
      ( v2015(VarCurr)
    <=> ( v2016(VarCurr)
        | v2121(VarCurr) ) ) )).

fof(writeUnaryOperator_346,axiom,(
    ! [VarCurr] :
      ( ~ v2121(VarCurr)
    <=> v2122(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_767,axiom,(
    ! [VarCurr] :
      ( v2122(VarCurr)
    <=> ( v2123(VarCurr)
        & v2131(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_194,axiom,(
    ! [VarCurr] :
      ( v2131(VarCurr)
    <=> ( v735(VarCurr,bitIndex9)
        | v2125(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_766,axiom,(
    ! [VarCurr] :
      ( v2123(VarCurr)
    <=> ( v841(VarCurr)
        | v2124(VarCurr) ) ) )).

fof(writeUnaryOperator_345,axiom,(
    ! [VarCurr] :
      ( ~ v2124(VarCurr)
    <=> v2125(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_765,axiom,(
    ! [VarCurr] :
      ( v2125(VarCurr)
    <=> ( v2126(VarCurr)
        & v2129(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_764,axiom,(
    ! [VarCurr] :
      ( v2129(VarCurr)
    <=> ( v2128(VarCurr)
        | v2130(VarCurr) ) ) )).

fof(writeUnaryOperator_344,axiom,(
    ! [VarCurr] :
      ( ~ v2130(VarCurr)
    <=> v1886(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorShiftedRanges_193,axiom,(
    ! [VarCurr] :
      ( v2126(VarCurr)
    <=> ( v2127(VarCurr)
        | v1886(VarCurr,bitIndex9) ) ) )).

fof(writeUnaryOperator_343,axiom,(
    ! [VarCurr] :
      ( ~ v2127(VarCurr)
    <=> v2128(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_763,axiom,(
    ! [VarCurr] :
      ( v2128(VarCurr)
    <=> ( v2116(VarCurr)
        & v2118(VarCurr) ) ) )).

fof(writeUnaryOperator_342,axiom,(
    ! [VarCurr] :
      ( ~ v2016(VarCurr)
    <=> v2017(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_762,axiom,(
    ! [VarCurr] :
      ( v2017(VarCurr)
    <=> ( v2018(VarCurr)
        | v2120(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_192,axiom,(
    ! [VarCurr] :
      ( v2120(VarCurr)
    <=> ( v735(VarCurr,bitIndex8)
        & v2113(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_761,axiom,(
    ! [VarCurr] :
      ( v2018(VarCurr)
    <=> ( v2019(VarCurr)
        & v2110(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_760,axiom,(
    ! [VarCurr] :
      ( v2110(VarCurr)
    <=> ( v2111(VarCurr)
        & v2119(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_191,axiom,(
    ! [VarCurr] :
      ( v2119(VarCurr)
    <=> ( v735(VarCurr,bitIndex8)
        | v2113(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_759,axiom,(
    ! [VarCurr] :
      ( v2111(VarCurr)
    <=> ( v834(VarCurr)
        | v2112(VarCurr) ) ) )).

fof(writeUnaryOperator_341,axiom,(
    ! [VarCurr] :
      ( ~ v2112(VarCurr)
    <=> v2113(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_758,axiom,(
    ! [VarCurr] :
      ( v2113(VarCurr)
    <=> ( v2114(VarCurr)
        & v2117(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_757,axiom,(
    ! [VarCurr] :
      ( v2117(VarCurr)
    <=> ( v2116(VarCurr)
        | v2118(VarCurr) ) ) )).

fof(writeUnaryOperator_340,axiom,(
    ! [VarCurr] :
      ( ~ v2118(VarCurr)
    <=> v1886(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorShiftedRanges_190,axiom,(
    ! [VarCurr] :
      ( v2114(VarCurr)
    <=> ( v2115(VarCurr)
        | v1886(VarCurr,bitIndex8) ) ) )).

fof(writeUnaryOperator_339,axiom,(
    ! [VarCurr] :
      ( ~ v2115(VarCurr)
    <=> v2116(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_756,axiom,(
    ! [VarCurr] :
      ( v2116(VarCurr)
    <=> ( v2105(VarCurr)
        & v2107(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_755,axiom,(
    ! [VarCurr] :
      ( v2019(VarCurr)
    <=> ( v2020(VarCurr)
        | v2109(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_189,axiom,(
    ! [VarCurr] :
      ( v2109(VarCurr)
    <=> ( v735(VarCurr,bitIndex7)
        & v2102(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_754,axiom,(
    ! [VarCurr] :
      ( v2020(VarCurr)
    <=> ( v2021(VarCurr)
        & v2099(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_753,axiom,(
    ! [VarCurr] :
      ( v2099(VarCurr)
    <=> ( v2100(VarCurr)
        & v2108(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_188,axiom,(
    ! [VarCurr] :
      ( v2108(VarCurr)
    <=> ( v735(VarCurr,bitIndex7)
        | v2102(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_752,axiom,(
    ! [VarCurr] :
      ( v2100(VarCurr)
    <=> ( v828(VarCurr)
        | v2101(VarCurr) ) ) )).

fof(writeUnaryOperator_338,axiom,(
    ! [VarCurr] :
      ( ~ v2101(VarCurr)
    <=> v2102(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_751,axiom,(
    ! [VarCurr] :
      ( v2102(VarCurr)
    <=> ( v2103(VarCurr)
        & v2106(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_750,axiom,(
    ! [VarCurr] :
      ( v2106(VarCurr)
    <=> ( v2105(VarCurr)
        | v2107(VarCurr) ) ) )).

fof(writeUnaryOperator_337,axiom,(
    ! [VarCurr] :
      ( ~ v2107(VarCurr)
    <=> v1886(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorShiftedRanges_187,axiom,(
    ! [VarCurr] :
      ( v2103(VarCurr)
    <=> ( v2104(VarCurr)
        | v1886(VarCurr,bitIndex7) ) ) )).

fof(writeUnaryOperator_336,axiom,(
    ! [VarCurr] :
      ( ~ v2104(VarCurr)
    <=> v2105(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_749,axiom,(
    ! [VarCurr] :
      ( v2105(VarCurr)
    <=> ( v2094(VarCurr)
        & v2096(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_748,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr)
    <=> ( v2022(VarCurr)
        | v2098(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_186,axiom,(
    ! [VarCurr] :
      ( v2098(VarCurr)
    <=> ( v735(VarCurr,bitIndex6)
        & v2091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_747,axiom,(
    ! [VarCurr] :
      ( v2022(VarCurr)
    <=> ( v2023(VarCurr)
        & v2088(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_746,axiom,(
    ! [VarCurr] :
      ( v2088(VarCurr)
    <=> ( v2089(VarCurr)
        & v2097(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_185,axiom,(
    ! [VarCurr] :
      ( v2097(VarCurr)
    <=> ( v735(VarCurr,bitIndex6)
        | v2091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_745,axiom,(
    ! [VarCurr] :
      ( v2089(VarCurr)
    <=> ( v822(VarCurr)
        | v2090(VarCurr) ) ) )).

fof(writeUnaryOperator_335,axiom,(
    ! [VarCurr] :
      ( ~ v2090(VarCurr)
    <=> v2091(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_744,axiom,(
    ! [VarCurr] :
      ( v2091(VarCurr)
    <=> ( v2092(VarCurr)
        & v2095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_743,axiom,(
    ! [VarCurr] :
      ( v2095(VarCurr)
    <=> ( v2094(VarCurr)
        | v2096(VarCurr) ) ) )).

fof(writeUnaryOperator_334,axiom,(
    ! [VarCurr] :
      ( ~ v2096(VarCurr)
    <=> v1886(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_184,axiom,(
    ! [VarCurr] :
      ( v2092(VarCurr)
    <=> ( v2093(VarCurr)
        | v1886(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_333,axiom,(
    ! [VarCurr] :
      ( ~ v2093(VarCurr)
    <=> v2094(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_742,axiom,(
    ! [VarCurr] :
      ( v2094(VarCurr)
    <=> ( v2083(VarCurr)
        & v2085(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_741,axiom,(
    ! [VarCurr] :
      ( v2023(VarCurr)
    <=> ( v2024(VarCurr)
        | v2087(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_183,axiom,(
    ! [VarCurr] :
      ( v2087(VarCurr)
    <=> ( v735(VarCurr,bitIndex5)
        & v2080(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_740,axiom,(
    ! [VarCurr] :
      ( v2024(VarCurr)
    <=> ( v2025(VarCurr)
        & v2077(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_739,axiom,(
    ! [VarCurr] :
      ( v2077(VarCurr)
    <=> ( v2078(VarCurr)
        & v2086(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_182,axiom,(
    ! [VarCurr] :
      ( v2086(VarCurr)
    <=> ( v735(VarCurr,bitIndex5)
        | v2080(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_738,axiom,(
    ! [VarCurr] :
      ( v2078(VarCurr)
    <=> ( v816(VarCurr)
        | v2079(VarCurr) ) ) )).

fof(writeUnaryOperator_332,axiom,(
    ! [VarCurr] :
      ( ~ v2079(VarCurr)
    <=> v2080(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_737,axiom,(
    ! [VarCurr] :
      ( v2080(VarCurr)
    <=> ( v2081(VarCurr)
        & v2084(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_736,axiom,(
    ! [VarCurr] :
      ( v2084(VarCurr)
    <=> ( v2083(VarCurr)
        | v2085(VarCurr) ) ) )).

fof(writeUnaryOperator_331,axiom,(
    ! [VarCurr] :
      ( ~ v2085(VarCurr)
    <=> v1886(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_181,axiom,(
    ! [VarCurr] :
      ( v2081(VarCurr)
    <=> ( v2082(VarCurr)
        | v1886(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_330,axiom,(
    ! [VarCurr] :
      ( ~ v2082(VarCurr)
    <=> v2083(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_735,axiom,(
    ! [VarCurr] :
      ( v2083(VarCurr)
    <=> ( v2072(VarCurr)
        & v2074(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_734,axiom,(
    ! [VarCurr] :
      ( v2025(VarCurr)
    <=> ( v2026(VarCurr)
        | v2076(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_180,axiom,(
    ! [VarCurr] :
      ( v2076(VarCurr)
    <=> ( v735(VarCurr,bitIndex4)
        & v2069(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_733,axiom,(
    ! [VarCurr] :
      ( v2026(VarCurr)
    <=> ( v2027(VarCurr)
        & v2066(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_732,axiom,(
    ! [VarCurr] :
      ( v2066(VarCurr)
    <=> ( v2067(VarCurr)
        & v2075(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_179,axiom,(
    ! [VarCurr] :
      ( v2075(VarCurr)
    <=> ( v735(VarCurr,bitIndex4)
        | v2069(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_731,axiom,(
    ! [VarCurr] :
      ( v2067(VarCurr)
    <=> ( v810(VarCurr)
        | v2068(VarCurr) ) ) )).

fof(writeUnaryOperator_329,axiom,(
    ! [VarCurr] :
      ( ~ v2068(VarCurr)
    <=> v2069(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_730,axiom,(
    ! [VarCurr] :
      ( v2069(VarCurr)
    <=> ( v2070(VarCurr)
        & v2073(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_729,axiom,(
    ! [VarCurr] :
      ( v2073(VarCurr)
    <=> ( v2072(VarCurr)
        | v2074(VarCurr) ) ) )).

fof(writeUnaryOperator_328,axiom,(
    ! [VarCurr] :
      ( ~ v2074(VarCurr)
    <=> v1886(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_178,axiom,(
    ! [VarCurr] :
      ( v2070(VarCurr)
    <=> ( v2071(VarCurr)
        | v1886(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_327,axiom,(
    ! [VarCurr] :
      ( ~ v2071(VarCurr)
    <=> v2072(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_728,axiom,(
    ! [VarCurr] :
      ( v2072(VarCurr)
    <=> ( v2061(VarCurr)
        & v2063(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_727,axiom,(
    ! [VarCurr] :
      ( v2027(VarCurr)
    <=> ( v2028(VarCurr)
        | v2065(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_177,axiom,(
    ! [VarCurr] :
      ( v2065(VarCurr)
    <=> ( v735(VarCurr,bitIndex3)
        & v2058(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_726,axiom,(
    ! [VarCurr] :
      ( v2028(VarCurr)
    <=> ( v2029(VarCurr)
        & v2055(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_725,axiom,(
    ! [VarCurr] :
      ( v2055(VarCurr)
    <=> ( v2056(VarCurr)
        & v2064(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_176,axiom,(
    ! [VarCurr] :
      ( v2064(VarCurr)
    <=> ( v735(VarCurr,bitIndex3)
        | v2058(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_724,axiom,(
    ! [VarCurr] :
      ( v2056(VarCurr)
    <=> ( v804(VarCurr)
        | v2057(VarCurr) ) ) )).

fof(writeUnaryOperator_326,axiom,(
    ! [VarCurr] :
      ( ~ v2057(VarCurr)
    <=> v2058(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_723,axiom,(
    ! [VarCurr] :
      ( v2058(VarCurr)
    <=> ( v2059(VarCurr)
        & v2062(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_722,axiom,(
    ! [VarCurr] :
      ( v2062(VarCurr)
    <=> ( v2061(VarCurr)
        | v2063(VarCurr) ) ) )).

fof(writeUnaryOperator_325,axiom,(
    ! [VarCurr] :
      ( ~ v2063(VarCurr)
    <=> v1886(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_175,axiom,(
    ! [VarCurr] :
      ( v2059(VarCurr)
    <=> ( v2060(VarCurr)
        | v1886(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_324,axiom,(
    ! [VarCurr] :
      ( ~ v2060(VarCurr)
    <=> v2061(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_721,axiom,(
    ! [VarCurr] :
      ( v2061(VarCurr)
    <=> ( v2050(VarCurr)
        & v2052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_720,axiom,(
    ! [VarCurr] :
      ( v2029(VarCurr)
    <=> ( v2030(VarCurr)
        | v2054(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_174,axiom,(
    ! [VarCurr] :
      ( v2054(VarCurr)
    <=> ( v735(VarCurr,bitIndex2)
        & v2047(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_719,axiom,(
    ! [VarCurr] :
      ( v2030(VarCurr)
    <=> ( v2031(VarCurr)
        & v2044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_718,axiom,(
    ! [VarCurr] :
      ( v2044(VarCurr)
    <=> ( v2045(VarCurr)
        & v2053(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_173,axiom,(
    ! [VarCurr] :
      ( v2053(VarCurr)
    <=> ( v735(VarCurr,bitIndex2)
        | v2047(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_717,axiom,(
    ! [VarCurr] :
      ( v2045(VarCurr)
    <=> ( v798(VarCurr)
        | v2046(VarCurr) ) ) )).

fof(writeUnaryOperator_323,axiom,(
    ! [VarCurr] :
      ( ~ v2046(VarCurr)
    <=> v2047(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_716,axiom,(
    ! [VarCurr] :
      ( v2047(VarCurr)
    <=> ( v2048(VarCurr)
        & v2051(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_715,axiom,(
    ! [VarCurr] :
      ( v2051(VarCurr)
    <=> ( v2050(VarCurr)
        | v2052(VarCurr) ) ) )).

fof(writeUnaryOperator_322,axiom,(
    ! [VarCurr] :
      ( ~ v2052(VarCurr)
    <=> v1886(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_172,axiom,(
    ! [VarCurr] :
      ( v2048(VarCurr)
    <=> ( v2049(VarCurr)
        | v1886(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_321,axiom,(
    ! [VarCurr] :
      ( ~ v2049(VarCurr)
    <=> v2050(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_714,axiom,(
    ! [VarCurr] :
      ( v2050(VarCurr)
    <=> ( v2040(VarCurr)
        & v2041(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_713,axiom,(
    ! [VarCurr] :
      ( v2031(VarCurr)
    <=> ( v2032(VarCurr)
        | v2043(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_171,axiom,(
    ! [VarCurr] :
      ( v2043(VarCurr)
    <=> ( v735(VarCurr,bitIndex1)
        & v2037(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_712,axiom,(
    ! [VarCurr] :
      ( v2032(VarCurr)
    <=> ( v2033(VarCurr)
        & v2034(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_711,axiom,(
    ! [VarCurr] :
      ( v2034(VarCurr)
    <=> ( v2035(VarCurr)
        & v2042(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_170,axiom,(
    ! [VarCurr] :
      ( v2042(VarCurr)
    <=> ( v735(VarCurr,bitIndex1)
        | v2037(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_710,axiom,(
    ! [VarCurr] :
      ( v2035(VarCurr)
    <=> ( v792(VarCurr)
        | v2036(VarCurr) ) ) )).

fof(writeUnaryOperator_320,axiom,(
    ! [VarCurr] :
      ( ~ v2036(VarCurr)
    <=> v2037(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_709,axiom,(
    ! [VarCurr] :
      ( v2037(VarCurr)
    <=> ( v2038(VarCurr)
        & v2039(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_708,axiom,(
    ! [VarCurr] :
      ( v2039(VarCurr)
    <=> ( v2040(VarCurr)
        | v2041(VarCurr) ) ) )).

fof(writeUnaryOperator_319,axiom,(
    ! [VarCurr] :
      ( ~ v2041(VarCurr)
    <=> v1886(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_318,axiom,(
    ! [VarCurr] :
      ( ~ v2040(VarCurr)
    <=> v1886(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_169,axiom,(
    ! [VarCurr] :
      ( v2038(VarCurr)
    <=> ( v1886(VarCurr,bitIndex0)
        | v1886(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_707,axiom,(
    ! [VarCurr] :
      ( v2033(VarCurr)
    <=> ( v735(VarCurr,bitIndex0)
        & v1886(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_241,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v1886(VarCurr,B)
      <=> v1888(VarCurr,B) ) ) )).

fof(addAssignment_240,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex0)
    <=> v2009(VarCurr) ) )).

fof(addAssignment_239,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex1)
    <=> v2004(VarCurr) ) )).

fof(addAssignment_238,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex2)
    <=> v1999(VarCurr) ) )).

fof(addAssignment_237,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex3)
    <=> v1994(VarCurr) ) )).

fof(addAssignment_236,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex4)
    <=> v1989(VarCurr) ) )).

fof(addAssignment_235,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex5)
    <=> v1984(VarCurr) ) )).

fof(addAssignment_234,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex6)
    <=> v1979(VarCurr) ) )).

fof(addAssignment_233,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex7)
    <=> v1974(VarCurr) ) )).

fof(addAssignment_232,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex8)
    <=> v1969(VarCurr) ) )).

fof(addAssignment_231,axiom,(
    ! [VarCurr] :
      ( v1888(VarCurr,bitIndex9)
    <=> v1890(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_706,axiom,(
    ! [VarCurr] :
      ( v2009(VarCurr)
    <=> ( v2010(VarCurr)
        & v2011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_705,axiom,(
    ! [VarCurr] :
      ( v2011(VarCurr)
    <=> ( v743(VarCurr,bitIndex0)
        | v746(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_704,axiom,(
    ! [VarCurr] :
      ( v2010(VarCurr)
    <=> ( v1227(VarCurr)
        | v1916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_703,axiom,(
    ! [VarCurr] :
      ( v2004(VarCurr)
    <=> ( v2005(VarCurr)
        & v2008(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_702,axiom,(
    ! [VarCurr] :
      ( v2008(VarCurr)
    <=> ( v1909(VarCurr)
        | v1910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_701,axiom,(
    ! [VarCurr] :
      ( v2005(VarCurr)
    <=> ( v2006(VarCurr)
        | v2007(VarCurr) ) ) )).

fof(writeUnaryOperator_317,axiom,(
    ! [VarCurr] :
      ( ~ v2007(VarCurr)
    <=> v1910(VarCurr) ) )).

fof(writeUnaryOperator_316,axiom,(
    ! [VarCurr] :
      ( ~ v2006(VarCurr)
    <=> v1909(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_700,axiom,(
    ! [VarCurr] :
      ( v1999(VarCurr)
    <=> ( v2000(VarCurr)
        & v2003(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_699,axiom,(
    ! [VarCurr] :
      ( v2003(VarCurr)
    <=> ( v1907(VarCurr)
        | v1920(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_698,axiom,(
    ! [VarCurr] :
      ( v2000(VarCurr)
    <=> ( v2001(VarCurr)
        | v2002(VarCurr) ) ) )).

fof(writeUnaryOperator_315,axiom,(
    ! [VarCurr] :
      ( ~ v2002(VarCurr)
    <=> v1920(VarCurr) ) )).

fof(writeUnaryOperator_314,axiom,(
    ! [VarCurr] :
      ( ~ v2001(VarCurr)
    <=> v1907(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_697,axiom,(
    ! [VarCurr] :
      ( v1994(VarCurr)
    <=> ( v1995(VarCurr)
        & v1998(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_696,axiom,(
    ! [VarCurr] :
      ( v1998(VarCurr)
    <=> ( v1905(VarCurr)
        | v1931(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_695,axiom,(
    ! [VarCurr] :
      ( v1995(VarCurr)
    <=> ( v1996(VarCurr)
        | v1997(VarCurr) ) ) )).

fof(writeUnaryOperator_313,axiom,(
    ! [VarCurr] :
      ( ~ v1997(VarCurr)
    <=> v1931(VarCurr) ) )).

fof(writeUnaryOperator_312,axiom,(
    ! [VarCurr] :
      ( ~ v1996(VarCurr)
    <=> v1905(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_694,axiom,(
    ! [VarCurr] :
      ( v1989(VarCurr)
    <=> ( v1990(VarCurr)
        & v1993(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_693,axiom,(
    ! [VarCurr] :
      ( v1993(VarCurr)
    <=> ( v1903(VarCurr)
        | v1942(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_692,axiom,(
    ! [VarCurr] :
      ( v1990(VarCurr)
    <=> ( v1991(VarCurr)
        | v1992(VarCurr) ) ) )).

fof(writeUnaryOperator_311,axiom,(
    ! [VarCurr] :
      ( ~ v1992(VarCurr)
    <=> v1942(VarCurr) ) )).

fof(writeUnaryOperator_310,axiom,(
    ! [VarCurr] :
      ( ~ v1991(VarCurr)
    <=> v1903(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_691,axiom,(
    ! [VarCurr] :
      ( v1984(VarCurr)
    <=> ( v1985(VarCurr)
        & v1988(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_690,axiom,(
    ! [VarCurr] :
      ( v1988(VarCurr)
    <=> ( v1901(VarCurr)
        | v1948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_689,axiom,(
    ! [VarCurr] :
      ( v1985(VarCurr)
    <=> ( v1986(VarCurr)
        | v1987(VarCurr) ) ) )).

fof(writeUnaryOperator_309,axiom,(
    ! [VarCurr] :
      ( ~ v1987(VarCurr)
    <=> v1948(VarCurr) ) )).

fof(writeUnaryOperator_308,axiom,(
    ! [VarCurr] :
      ( ~ v1986(VarCurr)
    <=> v1901(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_688,axiom,(
    ! [VarCurr] :
      ( v1979(VarCurr)
    <=> ( v1980(VarCurr)
        & v1983(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_687,axiom,(
    ! [VarCurr] :
      ( v1983(VarCurr)
    <=> ( v1899(VarCurr)
        | v1952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_686,axiom,(
    ! [VarCurr] :
      ( v1980(VarCurr)
    <=> ( v1981(VarCurr)
        | v1982(VarCurr) ) ) )).

fof(writeUnaryOperator_307,axiom,(
    ! [VarCurr] :
      ( ~ v1982(VarCurr)
    <=> v1952(VarCurr) ) )).

fof(writeUnaryOperator_306,axiom,(
    ! [VarCurr] :
      ( ~ v1981(VarCurr)
    <=> v1899(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_685,axiom,(
    ! [VarCurr] :
      ( v1974(VarCurr)
    <=> ( v1975(VarCurr)
        & v1978(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_684,axiom,(
    ! [VarCurr] :
      ( v1978(VarCurr)
    <=> ( v1897(VarCurr)
        | v1956(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_683,axiom,(
    ! [VarCurr] :
      ( v1975(VarCurr)
    <=> ( v1976(VarCurr)
        | v1977(VarCurr) ) ) )).

fof(writeUnaryOperator_305,axiom,(
    ! [VarCurr] :
      ( ~ v1977(VarCurr)
    <=> v1956(VarCurr) ) )).

fof(writeUnaryOperator_304,axiom,(
    ! [VarCurr] :
      ( ~ v1976(VarCurr)
    <=> v1897(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_682,axiom,(
    ! [VarCurr] :
      ( v1969(VarCurr)
    <=> ( v1970(VarCurr)
        & v1973(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_681,axiom,(
    ! [VarCurr] :
      ( v1973(VarCurr)
    <=> ( v1895(VarCurr)
        | v1960(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_680,axiom,(
    ! [VarCurr] :
      ( v1970(VarCurr)
    <=> ( v1971(VarCurr)
        | v1972(VarCurr) ) ) )).

fof(writeUnaryOperator_303,axiom,(
    ! [VarCurr] :
      ( ~ v1972(VarCurr)
    <=> v1960(VarCurr) ) )).

fof(writeUnaryOperator_302,axiom,(
    ! [VarCurr] :
      ( ~ v1971(VarCurr)
    <=> v1895(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_679,axiom,(
    ! [VarCurr] :
      ( v1890(VarCurr)
    <=> ( v1891(VarCurr)
        & v1968(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_678,axiom,(
    ! [VarCurr] :
      ( v1968(VarCurr)
    <=> ( v1893(VarCurr)
        | v1965(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_677,axiom,(
    ! [VarCurr] :
      ( v1891(VarCurr)
    <=> ( v1892(VarCurr)
        | v1964(VarCurr) ) ) )).

fof(writeUnaryOperator_301,axiom,(
    ! [VarCurr] :
      ( ~ v1964(VarCurr)
    <=> v1965(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_676,axiom,(
    ! [VarCurr] :
      ( v1965(VarCurr)
    <=> ( v1966(VarCurr)
        & v1967(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_168,axiom,(
    ! [VarCurr] :
      ( v1967(VarCurr)
    <=> ( v743(VarCurr,bitIndex9)
        | v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_675,axiom,(
    ! [VarCurr] :
      ( v1966(VarCurr)
    <=> ( v1181(VarCurr)
        | v1944(VarCurr) ) ) )).

fof(writeUnaryOperator_300,axiom,(
    ! [VarCurr] :
      ( ~ v1892(VarCurr)
    <=> v1893(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_674,axiom,(
    ! [VarCurr] :
      ( v1893(VarCurr)
    <=> ( v1894(VarCurr)
        | v1963(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_167,axiom,(
    ! [VarCurr] :
      ( v1963(VarCurr)
    <=> ( v743(VarCurr,bitIndex8)
        & v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_673,axiom,(
    ! [VarCurr] :
      ( v1894(VarCurr)
    <=> ( v1895(VarCurr)
        & v1960(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_672,axiom,(
    ! [VarCurr] :
      ( v1960(VarCurr)
    <=> ( v1961(VarCurr)
        & v1962(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_166,axiom,(
    ! [VarCurr] :
      ( v1962(VarCurr)
    <=> ( v743(VarCurr,bitIndex8)
        | v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_671,axiom,(
    ! [VarCurr] :
      ( v1961(VarCurr)
    <=> ( v1174(VarCurr)
        | v1944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_670,axiom,(
    ! [VarCurr] :
      ( v1895(VarCurr)
    <=> ( v1896(VarCurr)
        | v1959(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_165,axiom,(
    ! [VarCurr] :
      ( v1959(VarCurr)
    <=> ( v743(VarCurr,bitIndex7)
        & v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_669,axiom,(
    ! [VarCurr] :
      ( v1896(VarCurr)
    <=> ( v1897(VarCurr)
        & v1956(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_668,axiom,(
    ! [VarCurr] :
      ( v1956(VarCurr)
    <=> ( v1957(VarCurr)
        & v1958(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_164,axiom,(
    ! [VarCurr] :
      ( v1958(VarCurr)
    <=> ( v743(VarCurr,bitIndex7)
        | v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_667,axiom,(
    ! [VarCurr] :
      ( v1957(VarCurr)
    <=> ( v1168(VarCurr)
        | v1944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_666,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr)
    <=> ( v1898(VarCurr)
        | v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_163,axiom,(
    ! [VarCurr] :
      ( v1955(VarCurr)
    <=> ( v743(VarCurr,bitIndex6)
        & v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_665,axiom,(
    ! [VarCurr] :
      ( v1898(VarCurr)
    <=> ( v1899(VarCurr)
        & v1952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_664,axiom,(
    ! [VarCurr] :
      ( v1952(VarCurr)
    <=> ( v1953(VarCurr)
        & v1954(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_162,axiom,(
    ! [VarCurr] :
      ( v1954(VarCurr)
    <=> ( v743(VarCurr,bitIndex6)
        | v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_663,axiom,(
    ! [VarCurr] :
      ( v1953(VarCurr)
    <=> ( v1162(VarCurr)
        | v1944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_662,axiom,(
    ! [VarCurr] :
      ( v1899(VarCurr)
    <=> ( v1900(VarCurr)
        | v1951(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_161,axiom,(
    ! [VarCurr] :
      ( v1951(VarCurr)
    <=> ( v743(VarCurr,bitIndex5)
        & v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_661,axiom,(
    ! [VarCurr] :
      ( v1900(VarCurr)
    <=> ( v1901(VarCurr)
        & v1948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_660,axiom,(
    ! [VarCurr] :
      ( v1948(VarCurr)
    <=> ( v1949(VarCurr)
        & v1950(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_160,axiom,(
    ! [VarCurr] :
      ( v1950(VarCurr)
    <=> ( v743(VarCurr,bitIndex5)
        | v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_659,axiom,(
    ! [VarCurr] :
      ( v1949(VarCurr)
    <=> ( v1156(VarCurr)
        | v1944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_658,axiom,(
    ! [VarCurr] :
      ( v1901(VarCurr)
    <=> ( v1902(VarCurr)
        | v1947(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_159,axiom,(
    ! [VarCurr] :
      ( v1947(VarCurr)
    <=> ( v743(VarCurr,bitIndex4)
        & v1946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_657,axiom,(
    ! [VarCurr] :
      ( v1902(VarCurr)
    <=> ( v1903(VarCurr)
        & v1942(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_656,axiom,(
    ! [VarCurr] :
      ( v1942(VarCurr)
    <=> ( v1943(VarCurr)
        & v1945(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_158,axiom,(
    ! [VarCurr] :
      ( v1945(VarCurr)
    <=> ( v743(VarCurr,bitIndex4)
        | v1946(VarCurr) ) ) )).

fof(writeUnaryOperator_299,axiom,(
    ! [VarCurr] :
      ( ~ v1946(VarCurr)
    <=> v1944(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_655,axiom,(
    ! [VarCurr] :
      ( v1943(VarCurr)
    <=> ( v1150(VarCurr)
        | v1944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_654,axiom,(
    ! [VarCurr] :
      ( v1944(VarCurr)
    <=> ( v1937(VarCurr)
        & v1939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_653,axiom,(
    ! [VarCurr] :
      ( v1903(VarCurr)
    <=> ( v1904(VarCurr)
        | v1941(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_157,axiom,(
    ! [VarCurr] :
      ( v1941(VarCurr)
    <=> ( v743(VarCurr,bitIndex3)
        & v1934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_652,axiom,(
    ! [VarCurr] :
      ( v1904(VarCurr)
    <=> ( v1905(VarCurr)
        & v1931(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_651,axiom,(
    ! [VarCurr] :
      ( v1931(VarCurr)
    <=> ( v1932(VarCurr)
        & v1940(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_156,axiom,(
    ! [VarCurr] :
      ( v1940(VarCurr)
    <=> ( v743(VarCurr,bitIndex3)
        | v1934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_650,axiom,(
    ! [VarCurr] :
      ( v1932(VarCurr)
    <=> ( v1144(VarCurr)
        | v1933(VarCurr) ) ) )).

fof(writeUnaryOperator_298,axiom,(
    ! [VarCurr] :
      ( ~ v1933(VarCurr)
    <=> v1934(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_649,axiom,(
    ! [VarCurr] :
      ( v1934(VarCurr)
    <=> ( v1935(VarCurr)
        & v1938(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_648,axiom,(
    ! [VarCurr] :
      ( v1938(VarCurr)
    <=> ( v1937(VarCurr)
        | v1939(VarCurr) ) ) )).

fof(writeUnaryOperator_297,axiom,(
    ! [VarCurr] :
      ( ~ v1939(VarCurr)
    <=> v746(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_155,axiom,(
    ! [VarCurr] :
      ( v1935(VarCurr)
    <=> ( v1936(VarCurr)
        | v746(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_296,axiom,(
    ! [VarCurr] :
      ( ~ v1936(VarCurr)
    <=> v1937(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_647,axiom,(
    ! [VarCurr] :
      ( v1937(VarCurr)
    <=> ( v1926(VarCurr)
        & v1928(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_646,axiom,(
    ! [VarCurr] :
      ( v1905(VarCurr)
    <=> ( v1906(VarCurr)
        | v1930(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_154,axiom,(
    ! [VarCurr] :
      ( v1930(VarCurr)
    <=> ( v743(VarCurr,bitIndex2)
        & v1923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_645,axiom,(
    ! [VarCurr] :
      ( v1906(VarCurr)
    <=> ( v1907(VarCurr)
        & v1920(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_644,axiom,(
    ! [VarCurr] :
      ( v1920(VarCurr)
    <=> ( v1921(VarCurr)
        & v1929(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_153,axiom,(
    ! [VarCurr] :
      ( v1929(VarCurr)
    <=> ( v743(VarCurr,bitIndex2)
        | v1923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_643,axiom,(
    ! [VarCurr] :
      ( v1921(VarCurr)
    <=> ( v1138(VarCurr)
        | v1922(VarCurr) ) ) )).

fof(writeUnaryOperator_295,axiom,(
    ! [VarCurr] :
      ( ~ v1922(VarCurr)
    <=> v1923(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_642,axiom,(
    ! [VarCurr] :
      ( v1923(VarCurr)
    <=> ( v1924(VarCurr)
        & v1927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_641,axiom,(
    ! [VarCurr] :
      ( v1927(VarCurr)
    <=> ( v1926(VarCurr)
        | v1928(VarCurr) ) ) )).

fof(writeUnaryOperator_294,axiom,(
    ! [VarCurr] :
      ( ~ v1928(VarCurr)
    <=> v746(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_152,axiom,(
    ! [VarCurr] :
      ( v1924(VarCurr)
    <=> ( v1925(VarCurr)
        | v746(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_293,axiom,(
    ! [VarCurr] :
      ( ~ v1925(VarCurr)
    <=> v1926(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_640,axiom,(
    ! [VarCurr] :
      ( v1926(VarCurr)
    <=> ( v1916(VarCurr)
        & v1917(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_639,axiom,(
    ! [VarCurr] :
      ( v1907(VarCurr)
    <=> ( v1908(VarCurr)
        | v1919(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_151,axiom,(
    ! [VarCurr] :
      ( v1919(VarCurr)
    <=> ( v743(VarCurr,bitIndex1)
        & v1913(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_638,axiom,(
    ! [VarCurr] :
      ( v1908(VarCurr)
    <=> ( v1909(VarCurr)
        & v1910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_637,axiom,(
    ! [VarCurr] :
      ( v1910(VarCurr)
    <=> ( v1911(VarCurr)
        & v1918(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_150,axiom,(
    ! [VarCurr] :
      ( v1918(VarCurr)
    <=> ( v743(VarCurr,bitIndex1)
        | v1913(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_636,axiom,(
    ! [VarCurr] :
      ( v1911(VarCurr)
    <=> ( v1132(VarCurr)
        | v1912(VarCurr) ) ) )).

fof(writeUnaryOperator_292,axiom,(
    ! [VarCurr] :
      ( ~ v1912(VarCurr)
    <=> v1913(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_635,axiom,(
    ! [VarCurr] :
      ( v1913(VarCurr)
    <=> ( v1914(VarCurr)
        & v1915(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_634,axiom,(
    ! [VarCurr] :
      ( v1915(VarCurr)
    <=> ( v1916(VarCurr)
        | v1917(VarCurr) ) ) )).

fof(writeUnaryOperator_291,axiom,(
    ! [VarCurr] :
      ( ~ v1917(VarCurr)
    <=> v746(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_290,axiom,(
    ! [VarCurr] :
      ( ~ v1916(VarCurr)
    <=> v746(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_149,axiom,(
    ! [VarCurr] :
      ( v1914(VarCurr)
    <=> ( v746(VarCurr,bitIndex0)
        | v746(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_633,axiom,(
    ! [VarCurr] :
      ( v1909(VarCurr)
    <=> ( v743(VarCurr,bitIndex0)
        & v746(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1839(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v1773(VarNext,B)
            <=> v1773(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_22,axiom,(
    ! [VarNext] :
      ( v1839(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1773(VarNext,B)
          <=> v1874(VarNext,B) ) ) ) )).

fof(addAssignment_230,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1874(VarNext,B)
          <=> v1872(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_29,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1872(VarCurr,B)
          <=> v1775(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_29,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1872(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_632,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1839(VarNext)
      <=> ( v1840(VarNext)
          & v1847(VarNext) ) ) ) )).

fof(addAssignment_229,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1847(VarNext)
      <=> v1845(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_631,axiom,(
    ! [VarCurr] :
      ( v1845(VarCurr)
    <=> ( v1848(VarCurr)
        & v1853(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_630,axiom,(
    ! [VarCurr] :
      ( v1853(VarCurr)
    <=> ( v1854(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_629,axiom,(
    ! [VarCurr] :
      ( v1854(VarCurr)
    <=> ( v1855(VarCurr)
        & v1871(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_628,axiom,(
    ! [VarCurr] :
      ( v1871(VarCurr)
    <=> ( v319(VarCurr)
        | v1851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_627,axiom,(
    ! [VarCurr] :
      ( v1855(VarCurr)
    <=> ( v1856(VarCurr)
        & v1858(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_626,axiom,(
    ! [VarCurr] :
      ( v1858(VarCurr)
    <=> ( v1859(VarCurr)
        | v1870(VarCurr) ) ) )).

fof(writeUnaryOperator_289,axiom,(
    ! [VarCurr] :
      ( ~ v1870(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_625,axiom,(
    ! [VarCurr] :
      ( v1859(VarCurr)
    <=> ( v1860(VarCurr)
        & v1861(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_624,axiom,(
    ! [VarCurr] :
      ( v1861(VarCurr)
    <=> ( v1862(VarCurr)
        | v1869(VarCurr) ) ) )).

fof(writeUnaryOperator_288,axiom,(
    ! [VarCurr] :
      ( ~ v1869(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_623,axiom,(
    ! [VarCurr] :
      ( v1862(VarCurr)
    <=> ( v1863(VarCurr)
        & v1868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_622,axiom,(
    ! [VarCurr] :
      ( v1868(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_621,axiom,(
    ! [VarCurr] :
      ( v1863(VarCurr)
    <=> ( v1864(VarCurr)
        & v1866(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_620,axiom,(
    ! [VarCurr] :
      ( v1866(VarCurr)
    <=> ( v220(VarCurr)
        | v1867(VarCurr) ) ) )).

fof(writeUnaryOperator_287,axiom,(
    ! [VarCurr] :
      ( ~ v1867(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_619,axiom,(
    ! [VarCurr] :
      ( v1864(VarCurr)
    <=> ( v220(VarCurr)
        | v1865(VarCurr) ) ) )).

fof(writeUnaryOperator_286,axiom,(
    ! [VarCurr] :
      ( ~ v1865(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeUnaryOperator_285,axiom,(
    ! [VarCurr] :
      ( ~ v1860(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_618,axiom,(
    ! [VarCurr] :
      ( v1856(VarCurr)
    <=> ( v220(VarCurr)
        | v1857(VarCurr) ) ) )).

fof(writeUnaryOperator_284,axiom,(
    ! [VarCurr] :
      ( ~ v1857(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_617,axiom,(
    ! [VarCurr] :
      ( v1848(VarCurr)
    <=> ( v316(VarCurr)
        | v1849(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_616,axiom,(
    ! [VarCurr] :
      ( v1849(VarCurr)
    <=> ( v1850(VarCurr)
        & v1852(VarCurr) ) ) )).

fof(writeUnaryOperator_283,axiom,(
    ! [VarCurr] :
      ( ~ v1852(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_615,axiom,(
    ! [VarCurr] :
      ( v1850(VarCurr)
    <=> ( v319(VarCurr)
        | v1851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_614,axiom,(
    ! [VarCurr] :
      ( v1851(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_613,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1840(VarNext)
      <=> ( v1842(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_282,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1842(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignmentInitValueVector_3,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v1773(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1823(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v1775(VarNext,B)
            <=> v1775(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_21,axiom,(
    ! [VarNext] :
      ( v1823(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1775(VarNext,B)
          <=> v1834(VarNext,B) ) ) ) )).

fof(addAssignment_228,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1834(VarNext,B)
          <=> v1832(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_48,axiom,(
    ! [VarCurr] :
      ( ~ v682(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1832(VarCurr,B)
          <=> v1777(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_49,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1832(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_612,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1823(VarNext)
      <=> ( v1824(VarNext)
          & v1831(VarNext) ) ) ) )).

fof(addAssignment_227,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1831(VarNext)
      <=> v1829(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_611,axiom,(
    ! [VarCurr] :
      ( v1829(VarCurr)
    <=> ( v75(VarCurr)
        | v682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_610,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1824(VarNext)
      <=> ( v1826(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_281,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1826(VarNext)
      <=> v237(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_47,axiom,(
    ! [VarCurr] :
      ( ~ v1787(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1777(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_48,axiom,(
    ! [VarCurr] :
      ( v1787(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1777(VarCurr,B)
          <=> v1805(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v1793(VarCurr)
        & ~ v1796(VarCurr)
        & ~ v1421(VarCurr)
        & ~ v1818(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v1805(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_4,axiom,(
    ! [VarCurr] :
      ( v1818(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1805(VarCurr,B)
          <=> v1820(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_8,axiom,(
    ! [VarCurr] :
      ( v1421(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1805(VarCurr,B)
          <=> v1779(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_28,axiom,(
    ! [VarCurr] :
      ( v1796(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1805(VarCurr,B)
          <=> v1809(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_28,axiom,(
    ! [VarCurr] :
      ( v1793(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1805(VarCurr,B)
          <=> v1806(VarCurr,B) ) ) ) )).

fof(addAssignment_226,axiom,(
    ! [VarCurr] :
      ( v1820(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_225,axiom,(
    ! [VarCurr] :
      ( ( v1820(VarCurr,bitIndex2)
      <=> $false )
      & ( v1820(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_609,axiom,(
    ! [VarCurr] :
      ( v1818(VarCurr)
    <=> ( v1473(VarCurr)
        | v1798(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_20,axiom,(
    ! [VarCurr] :
      ( ( ~ v1417(VarCurr)
        & v1418(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v1809(VarCurr,B)
          <=> v1813(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_20,axiom,(
    ! [VarCurr] :
      ( v1417(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1809(VarCurr,B)
          <=> v1810(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_46,axiom,(
    ! [VarCurr] :
      ( ~ v1464(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1813(VarCurr,B)
          <=> v1817(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_47,axiom,(
    ! [VarCurr] :
      ( v1464(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1813(VarCurr,B)
          <=> v1814(VarCurr,B) ) ) ) )).

fof(addAssignment_224,axiom,(
    ! [VarCurr] :
      ( v1817(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_223,axiom,(
    ! [VarCurr] :
      ( ( v1817(VarCurr,bitIndex2)
      <=> $false )
      & ( v1817(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_45,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1814(VarCurr,B)
          <=> v1816(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_46,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1814(VarCurr,B)
          <=> v1815(VarCurr,B) ) ) ) )).

fof(addAssignment_222,axiom,(
    ! [VarCurr] :
      ( v1816(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_221,axiom,(
    ! [VarCurr] :
      ( ( v1816(VarCurr,bitIndex2)
      <=> $false )
      & ( v1816(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_220,axiom,(
    ! [VarCurr] :
      ( v1815(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_219,axiom,(
    ! [VarCurr] :
      ( ( v1815(VarCurr,bitIndex2)
      <=> $false )
      & ( v1815(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_44,axiom,(
    ! [VarCurr] :
      ( ~ v1460(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1810(VarCurr,B)
          <=> v1812(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_45,axiom,(
    ! [VarCurr] :
      ( v1460(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1810(VarCurr,B)
          <=> v1811(VarCurr,B) ) ) ) )).

fof(addAssignment_218,axiom,(
    ! [VarCurr] :
      ( v1812(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_217,axiom,(
    ! [VarCurr] :
      ( ( v1812(VarCurr,bitIndex2)
      <=> $false )
      & ( v1812(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_216,axiom,(
    ! [VarCurr] :
      ( v1811(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_215,axiom,(
    ! [VarCurr] :
      ( ( v1811(VarCurr,bitIndex2)
      <=> $false )
      & ( v1811(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_43,axiom,(
    ! [VarCurr] :
      ( ~ v1444(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1806(VarCurr,B)
          <=> v1808(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_44,axiom,(
    ! [VarCurr] :
      ( v1444(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1806(VarCurr,B)
          <=> v1807(VarCurr,B) ) ) ) )).

fof(addAssignment_214,axiom,(
    ! [VarCurr] :
      ( v1808(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_213,axiom,(
    ! [VarCurr] :
      ( ( v1808(VarCurr,bitIndex2)
      <=> $false )
      & ( v1808(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_212,axiom,(
    ! [VarCurr] :
      ( v1807(VarCurr,bitIndex0)
    <=> v1306(VarCurr) ) )).

fof(addAssignment_211,axiom,(
    ! [VarCurr] :
      ( ( v1807(VarCurr,bitIndex2)
      <=> $false )
      & ( v1807(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_608,axiom,(
    ! [VarCurr] :
      ( v1787(VarCurr)
    <=> ( v1788(VarCurr)
        | v1799(VarCurr) ) ) )).

fof(writeUnaryOperator_280,axiom,(
    ! [VarCurr] :
      ( ~ v1799(VarCurr)
    <=> v1800(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_607,axiom,(
    ! [VarCurr] :
      ( v1800(VarCurr)
    <=> ( v1801(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_606,axiom,(
    ! [VarCurr] :
      ( v1801(VarCurr)
    <=> ( v1802(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_605,axiom,(
    ! [VarCurr] :
      ( v1802(VarCurr)
    <=> ( v1803(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_604,axiom,(
    ! [VarCurr] :
      ( v1803(VarCurr)
    <=> ( v1804(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_603,axiom,(
    ! [VarCurr] :
      ( v1804(VarCurr)
    <=> ( v1414(VarCurr)
        | v1420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_602,axiom,(
    ! [VarCurr] :
      ( v1788(VarCurr)
    <=> ( v1789(VarCurr)
        | v1798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_601,axiom,(
    ! [VarCurr] :
      ( v1798(VarCurr)
    <=> ( v1427(VarCurr)
        & v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_600,axiom,(
    ! [VarCurr] :
      ( v1789(VarCurr)
    <=> ( v1790(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_599,axiom,(
    ! [VarCurr] :
      ( v1790(VarCurr)
    <=> ( v1791(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_598,axiom,(
    ! [VarCurr] :
      ( v1791(VarCurr)
    <=> ( v1792(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_597,axiom,(
    ! [VarCurr] :
      ( v1792(VarCurr)
    <=> ( v1793(VarCurr)
        | v1796(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_596,axiom,(
    ! [VarCurr] :
      ( v1796(VarCurr)
    <=> ( v1797(VarCurr)
        & v1420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_595,axiom,(
    ! [VarCurr] :
      ( v1797(VarCurr)
    <=> ( v1417(VarCurr)
        | v1418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_594,axiom,(
    ! [VarCurr] :
      ( v1793(VarCurr)
    <=> ( v1794(VarCurr)
        & v1414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_593,axiom,(
    ! [VarCurr] :
      ( v1794(VarCurr)
    <=> ( v1795(VarCurr)
        | v1385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_592,axiom,(
    ! [VarCurr] :
      ( v1795(VarCurr)
    <=> ( v1319(VarCurr)
        | v1384(VarCurr) ) ) )).

fof(addAssignment_210,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v1779(VarCurr,B)
      <=> v1781(VarCurr,B) ) ) )).

fof(addAssignment_209,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v1781(VarCurr,B)
      <=> v1783(VarCurr,B) ) ) )).

fof(range_axiom_12,axiom,(
    ! [B] :
      ( range_2_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B ) ) )).

fof(addAssignment_208,axiom,(
    ! [VarCurr] :
      ( ( v1783(VarCurr,bitIndex2)
      <=> v1785(VarCurr,bitIndex17) )
      & ( v1783(VarCurr,bitIndex1)
      <=> v1785(VarCurr,bitIndex16) )
      & ( v1783(VarCurr,bitIndex0)
      <=> v1785(VarCurr,bitIndex15) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_19,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1693(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1659(VarNext,B)
            <=> v1659(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_19,axiom,(
    ! [VarNext] :
      ( v1693(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1659(VarNext,B)
          <=> v1730(VarNext,B) ) ) ) )).

fof(addAssignment_207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1730(VarNext,B)
          <=> v1728(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_27,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1728(VarCurr,B)
          <=> v1731(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_27,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1728(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_26,axiom,(
    ! [VarCurr] :
      ( ~ v319(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1731(VarCurr,B)
          <=> v1732(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_26,axiom,(
    ! [VarCurr] :
      ( v319(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1731(VarCurr,B)
          <=> v1661(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_42,axiom,(
    ! [VarCurr] :
      ( ~ v220(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1732(VarCurr,B)
          <=> v1733(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_43,axiom,(
    ! [VarCurr] :
      ( v220(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1732(VarCurr,B)
          <=> v1661(VarCurr,B) ) ) ) )).

fof(addAssignment_206,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr,bitIndex0)
    <=> v1767(VarCurr) ) )).

fof(addAssignment_205,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr,bitIndex1)
    <=> v1765(VarCurr) ) )).

fof(addAssignment_204,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr,bitIndex2)
    <=> v1760(VarCurr) ) )).

fof(addAssignment_203,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr,bitIndex3)
    <=> v1755(VarCurr) ) )).

fof(addAssignment_202,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr,bitIndex4)
    <=> v1750(VarCurr) ) )).

fof(addAssignment_201,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr,bitIndex5)
    <=> v1745(VarCurr) ) )).

fof(addAssignment_200,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr,bitIndex6)
    <=> v1735(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_591,axiom,(
    ! [VarCurr] :
      ( v1765(VarCurr)
    <=> ( v1766(VarCurr)
        & v1769(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_148,axiom,(
    ! [VarCurr] :
      ( v1769(VarCurr)
    <=> ( v1659(VarCurr,bitIndex0)
        | v1659(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_590,axiom,(
    ! [VarCurr] :
      ( v1766(VarCurr)
    <=> ( v1767(VarCurr)
        | v1768(VarCurr) ) ) )).

fof(writeUnaryOperator_279,axiom,(
    ! [VarCurr] :
      ( ~ v1768(VarCurr)
    <=> v1659(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_278,axiom,(
    ! [VarCurr] :
      ( ~ v1767(VarCurr)
    <=> v1659(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_589,axiom,(
    ! [VarCurr] :
      ( v1760(VarCurr)
    <=> ( v1761(VarCurr)
        & v1764(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_147,axiom,(
    ! [VarCurr] :
      ( v1764(VarCurr)
    <=> ( v1742(VarCurr)
        | v1659(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_588,axiom,(
    ! [VarCurr] :
      ( v1761(VarCurr)
    <=> ( v1762(VarCurr)
        | v1763(VarCurr) ) ) )).

fof(writeUnaryOperator_277,axiom,(
    ! [VarCurr] :
      ( ~ v1763(VarCurr)
    <=> v1659(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_276,axiom,(
    ! [VarCurr] :
      ( ~ v1762(VarCurr)
    <=> v1742(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_587,axiom,(
    ! [VarCurr] :
      ( v1755(VarCurr)
    <=> ( v1756(VarCurr)
        & v1759(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_146,axiom,(
    ! [VarCurr] :
      ( v1759(VarCurr)
    <=> ( v1741(VarCurr)
        | v1659(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_586,axiom,(
    ! [VarCurr] :
      ( v1756(VarCurr)
    <=> ( v1757(VarCurr)
        | v1758(VarCurr) ) ) )).

fof(writeUnaryOperator_275,axiom,(
    ! [VarCurr] :
      ( ~ v1758(VarCurr)
    <=> v1659(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_274,axiom,(
    ! [VarCurr] :
      ( ~ v1757(VarCurr)
    <=> v1741(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_585,axiom,(
    ! [VarCurr] :
      ( v1750(VarCurr)
    <=> ( v1751(VarCurr)
        & v1754(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_145,axiom,(
    ! [VarCurr] :
      ( v1754(VarCurr)
    <=> ( v1740(VarCurr)
        | v1659(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_584,axiom,(
    ! [VarCurr] :
      ( v1751(VarCurr)
    <=> ( v1752(VarCurr)
        | v1753(VarCurr) ) ) )).

fof(writeUnaryOperator_273,axiom,(
    ! [VarCurr] :
      ( ~ v1753(VarCurr)
    <=> v1659(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_272,axiom,(
    ! [VarCurr] :
      ( ~ v1752(VarCurr)
    <=> v1740(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_583,axiom,(
    ! [VarCurr] :
      ( v1745(VarCurr)
    <=> ( v1746(VarCurr)
        & v1749(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_144,axiom,(
    ! [VarCurr] :
      ( v1749(VarCurr)
    <=> ( v1739(VarCurr)
        | v1659(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_582,axiom,(
    ! [VarCurr] :
      ( v1746(VarCurr)
    <=> ( v1747(VarCurr)
        | v1748(VarCurr) ) ) )).

fof(writeUnaryOperator_271,axiom,(
    ! [VarCurr] :
      ( ~ v1748(VarCurr)
    <=> v1659(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_270,axiom,(
    ! [VarCurr] :
      ( ~ v1747(VarCurr)
    <=> v1739(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_581,axiom,(
    ! [VarCurr] :
      ( v1735(VarCurr)
    <=> ( v1736(VarCurr)
        & v1744(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_143,axiom,(
    ! [VarCurr] :
      ( v1744(VarCurr)
    <=> ( v1738(VarCurr)
        | v1659(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_580,axiom,(
    ! [VarCurr] :
      ( v1736(VarCurr)
    <=> ( v1737(VarCurr)
        | v1743(VarCurr) ) ) )).

fof(writeUnaryOperator_269,axiom,(
    ! [VarCurr] :
      ( ~ v1743(VarCurr)
    <=> v1659(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_268,axiom,(
    ! [VarCurr] :
      ( ~ v1737(VarCurr)
    <=> v1738(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_142,axiom,(
    ! [VarCurr] :
      ( v1738(VarCurr)
    <=> ( v1739(VarCurr)
        & v1659(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_141,axiom,(
    ! [VarCurr] :
      ( v1739(VarCurr)
    <=> ( v1740(VarCurr)
        & v1659(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_140,axiom,(
    ! [VarCurr] :
      ( v1740(VarCurr)
    <=> ( v1741(VarCurr)
        & v1659(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_139,axiom,(
    ! [VarCurr] :
      ( v1741(VarCurr)
    <=> ( v1742(VarCurr)
        & v1659(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_138,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr)
    <=> ( v1659(VarCurr,bitIndex0)
        & v1659(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_579,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1693(VarNext)
      <=> ( v1694(VarNext)
          & v1701(VarNext) ) ) ) )).

fof(addAssignment_199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1701(VarNext)
      <=> v1699(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_578,axiom,(
    ! [VarCurr] :
      ( v1699(VarCurr)
    <=> ( v1702(VarCurr)
        & v1707(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_577,axiom,(
    ! [VarCurr] :
      ( v1707(VarCurr)
    <=> ( v1708(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_576,axiom,(
    ! [VarCurr] :
      ( v1708(VarCurr)
    <=> ( v1709(VarCurr)
        & v1727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_575,axiom,(
    ! [VarCurr] :
      ( v1727(VarCurr)
    <=> ( v319(VarCurr)
        | v1705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_574,axiom,(
    ! [VarCurr] :
      ( v1709(VarCurr)
    <=> ( v1710(VarCurr)
        & v1712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_573,axiom,(
    ! [VarCurr] :
      ( v1712(VarCurr)
    <=> ( v1713(VarCurr)
        | v1726(VarCurr) ) ) )).

fof(writeUnaryOperator_267,axiom,(
    ! [VarCurr] :
      ( ~ v1726(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_572,axiom,(
    ! [VarCurr] :
      ( v1713(VarCurr)
    <=> ( v1714(VarCurr)
        & v1715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_571,axiom,(
    ! [VarCurr] :
      ( v1715(VarCurr)
    <=> ( v1716(VarCurr)
        | v1725(VarCurr) ) ) )).

fof(writeUnaryOperator_266,axiom,(
    ! [VarCurr] :
      ( ~ v1725(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_570,axiom,(
    ! [VarCurr] :
      ( v1716(VarCurr)
    <=> ( v1717(VarCurr)
        & v1724(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_569,axiom,(
    ! [VarCurr] :
      ( v1724(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_568,axiom,(
    ! [VarCurr] :
      ( v1717(VarCurr)
    <=> ( v1718(VarCurr)
        & v1721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_567,axiom,(
    ! [VarCurr] :
      ( v1721(VarCurr)
    <=> ( v1722(VarCurr)
        | v1723(VarCurr) ) ) )).

fof(writeUnaryOperator_265,axiom,(
    ! [VarCurr] :
      ( ~ v1723(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_566,axiom,(
    ! [VarCurr] :
      ( v1722(VarCurr)
    <=> ( v1535(VarCurr)
        | v220(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_565,axiom,(
    ! [VarCurr] :
      ( v1718(VarCurr)
    <=> ( v1719(VarCurr)
        | v1720(VarCurr) ) ) )).

fof(writeUnaryOperator_264,axiom,(
    ! [VarCurr] :
      ( ~ v1720(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_564,axiom,(
    ! [VarCurr] :
      ( v1719(VarCurr)
    <=> ( v1535(VarCurr)
        | v220(VarCurr) ) ) )).

fof(writeUnaryOperator_263,axiom,(
    ! [VarCurr] :
      ( ~ v1714(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_563,axiom,(
    ! [VarCurr] :
      ( v1710(VarCurr)
    <=> ( v220(VarCurr)
        | v1711(VarCurr) ) ) )).

fof(writeUnaryOperator_262,axiom,(
    ! [VarCurr] :
      ( ~ v1711(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_562,axiom,(
    ! [VarCurr] :
      ( v1702(VarCurr)
    <=> ( v316(VarCurr)
        | v1703(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_561,axiom,(
    ! [VarCurr] :
      ( v1703(VarCurr)
    <=> ( v1704(VarCurr)
        & v1706(VarCurr) ) ) )).

fof(writeUnaryOperator_261,axiom,(
    ! [VarCurr] :
      ( ~ v1706(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_560,axiom,(
    ! [VarCurr] :
      ( v1704(VarCurr)
    <=> ( v319(VarCurr)
        | v1705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_559,axiom,(
    ! [VarCurr] :
      ( v1705(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_558,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1694(VarNext)
      <=> ( v1696(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1696(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_18,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1674(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1661(VarNext,B)
            <=> v1661(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_18,axiom,(
    ! [VarNext] :
      ( v1674(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1661(VarNext,B)
          <=> v1685(VarNext,B) ) ) ) )).

fof(addAssignment_198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1685(VarNext,B)
          <=> v1683(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_41,axiom,(
    ! [VarCurr] :
      ( ~ v682(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1683(VarCurr,B)
          <=> v1686(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_42,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1683(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_40,axiom,(
    ! [VarCurr] :
      ( ~ v1687(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1686(VarCurr,B)
          <=> v1688(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_41,axiom,(
    ! [VarCurr] :
      ( v1687(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1686(VarCurr,B)
          <=> v1663(VarCurr,B) ) ) ) )).

fof(addAssignment_197,axiom,(
    ! [VarCurr] :
      ( ( v1688(VarCurr,bitIndex5)
      <=> v746(VarCurr,bitIndex9) )
      & ( v1688(VarCurr,bitIndex4)
      <=> v746(VarCurr,bitIndex8) )
      & ( v1688(VarCurr,bitIndex3)
      <=> v746(VarCurr,bitIndex7) )
      & ( v1688(VarCurr,bitIndex2)
      <=> v746(VarCurr,bitIndex6) )
      & ( v1688(VarCurr,bitIndex1)
      <=> v746(VarCurr,bitIndex5) )
      & ( v1688(VarCurr,bitIndex0)
      <=> v746(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_196,axiom,(
    ! [VarCurr] :
      ( v1688(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_108,axiom,(
    ! [VarCurr] :
      ( v1687(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_557,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1674(VarNext)
      <=> ( v1675(VarNext)
          & v1682(VarNext) ) ) ) )).

fof(addAssignment_195,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1682(VarNext)
      <=> v1680(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_556,axiom,(
    ! [VarCurr] :
      ( v1680(VarCurr)
    <=> ( v75(VarCurr)
        | v682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_555,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1675(VarNext)
      <=> ( v1677(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_259,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1677(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignment_194,axiom,(
    ! [VarCurr] :
      ( v746(VarCurr,bitIndex9)
    <=> v748(VarCurr,bitIndex9) ) )).

fof(addAssignment_193,axiom,(
    ! [VarCurr] :
      ( v748(VarCurr,bitIndex9)
    <=> v750(VarCurr,bitIndex10) ) )).

fof(addAssignment_192,axiom,(
    ! [VarCurr] :
      ( v750(VarCurr,bitIndex10)
    <=> v752(VarCurr,bitIndex136) ) )).

fof(addAssignment_191,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1663(VarCurr,B)
      <=> v1665(VarCurr,B) ) ) )).

fof(addAssignment_190,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1665(VarCurr,B)
      <=> v1667(VarCurr,B) ) ) )).

fof(addAssignment_189,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1667(VarCurr,B)
      <=> v1669(VarCurr,B) ) ) )).

fof(addAssignment_188,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1669(VarCurr,B)
      <=> v1671(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_17,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1620(VarNext)
       => ! [B] :
            ( range_30_0(B)
           => ( v1596(VarNext,B)
            <=> v1596(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_17,axiom,(
    ! [VarNext] :
      ( v1620(VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1596(VarNext,B)
          <=> v1655(VarNext,B) ) ) ) )).

fof(addAssignment_187,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1655(VarNext,B)
          <=> v1653(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_25,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1653(VarCurr,B)
          <=> v1599(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_25,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1653(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_554,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1620(VarNext)
      <=> ( v1621(VarNext)
          & v1628(VarNext) ) ) ) )).

fof(addAssignment_186,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1628(VarNext)
      <=> v1626(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_553,axiom,(
    ! [VarCurr] :
      ( v1626(VarCurr)
    <=> ( v1629(VarCurr)
        & v1634(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_552,axiom,(
    ! [VarCurr] :
      ( v1634(VarCurr)
    <=> ( v1635(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_551,axiom,(
    ! [VarCurr] :
      ( v1635(VarCurr)
    <=> ( v1636(VarCurr)
        & v1652(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_550,axiom,(
    ! [VarCurr] :
      ( v1652(VarCurr)
    <=> ( v319(VarCurr)
        | v1632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_549,axiom,(
    ! [VarCurr] :
      ( v1636(VarCurr)
    <=> ( v1637(VarCurr)
        & v1639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_548,axiom,(
    ! [VarCurr] :
      ( v1639(VarCurr)
    <=> ( v1640(VarCurr)
        | v1651(VarCurr) ) ) )).

fof(writeUnaryOperator_258,axiom,(
    ! [VarCurr] :
      ( ~ v1651(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_547,axiom,(
    ! [VarCurr] :
      ( v1640(VarCurr)
    <=> ( v1641(VarCurr)
        & v1642(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_546,axiom,(
    ! [VarCurr] :
      ( v1642(VarCurr)
    <=> ( v1643(VarCurr)
        | v1650(VarCurr) ) ) )).

fof(writeUnaryOperator_257,axiom,(
    ! [VarCurr] :
      ( ~ v1650(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_545,axiom,(
    ! [VarCurr] :
      ( v1643(VarCurr)
    <=> ( v1644(VarCurr)
        & v1649(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_544,axiom,(
    ! [VarCurr] :
      ( v1649(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_543,axiom,(
    ! [VarCurr] :
      ( v1644(VarCurr)
    <=> ( v1645(VarCurr)
        & v1647(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_542,axiom,(
    ! [VarCurr] :
      ( v1647(VarCurr)
    <=> ( v220(VarCurr)
        | v1648(VarCurr) ) ) )).

fof(writeUnaryOperator_256,axiom,(
    ! [VarCurr] :
      ( ~ v1648(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_541,axiom,(
    ! [VarCurr] :
      ( v1645(VarCurr)
    <=> ( v220(VarCurr)
        | v1646(VarCurr) ) ) )).

fof(writeUnaryOperator_255,axiom,(
    ! [VarCurr] :
      ( ~ v1646(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeUnaryOperator_254,axiom,(
    ! [VarCurr] :
      ( ~ v1641(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_540,axiom,(
    ! [VarCurr] :
      ( v1637(VarCurr)
    <=> ( v220(VarCurr)
        | v1638(VarCurr) ) ) )).

fof(writeUnaryOperator_253,axiom,(
    ! [VarCurr] :
      ( ~ v1638(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_539,axiom,(
    ! [VarCurr] :
      ( v1629(VarCurr)
    <=> ( v316(VarCurr)
        | v1630(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_538,axiom,(
    ! [VarCurr] :
      ( v1630(VarCurr)
    <=> ( v1631(VarCurr)
        & v1633(VarCurr) ) ) )).

fof(writeUnaryOperator_252,axiom,(
    ! [VarCurr] :
      ( ~ v1633(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_537,axiom,(
    ! [VarCurr] :
      ( v1631(VarCurr)
    <=> ( v319(VarCurr)
        | v1632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_536,axiom,(
    ! [VarCurr] :
      ( v1632(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_535,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1621(VarNext)
      <=> ( v1623(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_251,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1623(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_16,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1602(VarNext)
       => ! [B] :
            ( range_30_0(B)
           => ( v1599(VarNext,B)
            <=> v1599(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_16,axiom,(
    ! [VarNext] :
      ( v1602(VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1599(VarNext,B)
          <=> v1613(VarNext,B) ) ) ) )).

fof(addAssignment_185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1613(VarNext,B)
          <=> v1611(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_39,axiom,(
    ! [VarCurr] :
      ( ~ v682(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1611(VarCurr,B)
          <=> v1614(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_40,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1611(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch,axiom,(
    ! [VarCurr] :
      ( ~ v1615(VarCurr)
     => ( ( v1614(VarCurr,bitIndex30)
        <=> v746(VarCurr,bitIndex40) )
        & ( v1614(VarCurr,bitIndex29)
        <=> v746(VarCurr,bitIndex39) )
        & ( v1614(VarCurr,bitIndex28)
        <=> v746(VarCurr,bitIndex38) )
        & ( v1614(VarCurr,bitIndex27)
        <=> v746(VarCurr,bitIndex37) )
        & ( v1614(VarCurr,bitIndex26)
        <=> v746(VarCurr,bitIndex36) )
        & ( v1614(VarCurr,bitIndex25)
        <=> v746(VarCurr,bitIndex35) )
        & ( v1614(VarCurr,bitIndex24)
        <=> v746(VarCurr,bitIndex34) )
        & ( v1614(VarCurr,bitIndex23)
        <=> v746(VarCurr,bitIndex33) )
        & ( v1614(VarCurr,bitIndex22)
        <=> v746(VarCurr,bitIndex32) )
        & ( v1614(VarCurr,bitIndex21)
        <=> v746(VarCurr,bitIndex31) )
        & ( v1614(VarCurr,bitIndex20)
        <=> v746(VarCurr,bitIndex30) )
        & ( v1614(VarCurr,bitIndex19)
        <=> v746(VarCurr,bitIndex29) )
        & ( v1614(VarCurr,bitIndex18)
        <=> v746(VarCurr,bitIndex28) )
        & ( v1614(VarCurr,bitIndex17)
        <=> v746(VarCurr,bitIndex27) )
        & ( v1614(VarCurr,bitIndex16)
        <=> v746(VarCurr,bitIndex26) )
        & ( v1614(VarCurr,bitIndex15)
        <=> v746(VarCurr,bitIndex25) )
        & ( v1614(VarCurr,bitIndex14)
        <=> v746(VarCurr,bitIndex24) )
        & ( v1614(VarCurr,bitIndex13)
        <=> v746(VarCurr,bitIndex23) )
        & ( v1614(VarCurr,bitIndex12)
        <=> v746(VarCurr,bitIndex22) )
        & ( v1614(VarCurr,bitIndex11)
        <=> v746(VarCurr,bitIndex21) )
        & ( v1614(VarCurr,bitIndex10)
        <=> v746(VarCurr,bitIndex20) )
        & ( v1614(VarCurr,bitIndex9)
        <=> v746(VarCurr,bitIndex19) )
        & ( v1614(VarCurr,bitIndex8)
        <=> v746(VarCurr,bitIndex18) )
        & ( v1614(VarCurr,bitIndex7)
        <=> v746(VarCurr,bitIndex17) )
        & ( v1614(VarCurr,bitIndex6)
        <=> v746(VarCurr,bitIndex16) )
        & ( v1614(VarCurr,bitIndex5)
        <=> v746(VarCurr,bitIndex15) )
        & ( v1614(VarCurr,bitIndex4)
        <=> v746(VarCurr,bitIndex14) )
        & ( v1614(VarCurr,bitIndex3)
        <=> v746(VarCurr,bitIndex13) )
        & ( v1614(VarCurr,bitIndex2)
        <=> v746(VarCurr,bitIndex12) )
        & ( v1614(VarCurr,bitIndex1)
        <=> v746(VarCurr,bitIndex11) )
        & ( v1614(VarCurr,bitIndex0)
        <=> v746(VarCurr,bitIndex10) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_39,axiom,(
    ! [VarCurr] :
      ( v1615(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1614(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_11,axiom,(
    ! [B] :
      ( range_30_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B ) ) )).

fof(bitBlastConstant_260,axiom,(
    ~ b0000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_259,axiom,(
    ~ b0000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_258,axiom,(
    ~ b0000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_257,axiom,(
    ~ b0000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_256,axiom,(
    ~ b0000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_255,axiom,(
    ~ b0000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_254,axiom,(
    ~ b0000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_253,axiom,(
    ~ b0000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_252,axiom,(
    ~ b0000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_251,axiom,(
    ~ b0000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_250,axiom,(
    ~ b0000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_249,axiom,(
    ~ b0000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_248,axiom,(
    ~ b0000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_247,axiom,(
    ~ b0000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_246,axiom,(
    ~ b0000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_245,axiom,(
    ~ b0000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_244,axiom,(
    ~ b0000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_243,axiom,(
    ~ b0000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_242,axiom,(
    ~ b0000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_241,axiom,(
    ~ b0000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_240,axiom,(
    ~ b0000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_239,axiom,(
    ~ b0000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_238,axiom,(
    ~ b0000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_237,axiom,(
    ~ b0000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_236,axiom,(
    ~ b0000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_235,axiom,(
    ~ b0000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_234,axiom,(
    ~ b0000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_233,axiom,(
    ~ b0000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_232,axiom,(
    ~ b0000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_231,axiom,(
    ~ b0000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_230,axiom,(
    ~ b0000000000000000000000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_107,axiom,(
    ! [VarCurr] :
      ( v1615(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_534,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1602(VarNext)
      <=> ( v1603(VarNext)
          & v1610(VarNext) ) ) ) )).

fof(addAssignment_184,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1610(VarNext)
      <=> v1608(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_533,axiom,(
    ! [VarCurr] :
      ( v1608(VarCurr)
    <=> ( v75(VarCurr)
        | v682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_532,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1603(VarNext)
      <=> ( v1605(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_250,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1605(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignment_183,axiom,(
    ! [VarCurr,B] :
      ( range_40_10(B)
     => ( v746(VarCurr,B)
      <=> v748(VarCurr,B) ) ) )).

fof(range_axiom_10,axiom,(
    ! [B] :
      ( range_40_10(B)
    <=> ( $false
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B ) ) )).

fof(addAssignment_182,axiom,(
    ! [VarCurr] :
      ( ( v748(VarCurr,bitIndex40)
      <=> v750(VarCurr,bitIndex41) )
      & ( v748(VarCurr,bitIndex39)
      <=> v750(VarCurr,bitIndex40) )
      & ( v748(VarCurr,bitIndex38)
      <=> v750(VarCurr,bitIndex39) )
      & ( v748(VarCurr,bitIndex37)
      <=> v750(VarCurr,bitIndex38) )
      & ( v748(VarCurr,bitIndex36)
      <=> v750(VarCurr,bitIndex37) )
      & ( v748(VarCurr,bitIndex35)
      <=> v750(VarCurr,bitIndex36) )
      & ( v748(VarCurr,bitIndex34)
      <=> v750(VarCurr,bitIndex35) )
      & ( v748(VarCurr,bitIndex33)
      <=> v750(VarCurr,bitIndex34) )
      & ( v748(VarCurr,bitIndex32)
      <=> v750(VarCurr,bitIndex33) )
      & ( v748(VarCurr,bitIndex31)
      <=> v750(VarCurr,bitIndex32) )
      & ( v748(VarCurr,bitIndex30)
      <=> v750(VarCurr,bitIndex31) )
      & ( v748(VarCurr,bitIndex29)
      <=> v750(VarCurr,bitIndex30) )
      & ( v748(VarCurr,bitIndex28)
      <=> v750(VarCurr,bitIndex29) )
      & ( v748(VarCurr,bitIndex27)
      <=> v750(VarCurr,bitIndex28) )
      & ( v748(VarCurr,bitIndex26)
      <=> v750(VarCurr,bitIndex27) )
      & ( v748(VarCurr,bitIndex25)
      <=> v750(VarCurr,bitIndex26) )
      & ( v748(VarCurr,bitIndex24)
      <=> v750(VarCurr,bitIndex25) )
      & ( v748(VarCurr,bitIndex23)
      <=> v750(VarCurr,bitIndex24) )
      & ( v748(VarCurr,bitIndex22)
      <=> v750(VarCurr,bitIndex23) )
      & ( v748(VarCurr,bitIndex21)
      <=> v750(VarCurr,bitIndex22) )
      & ( v748(VarCurr,bitIndex20)
      <=> v750(VarCurr,bitIndex21) )
      & ( v748(VarCurr,bitIndex19)
      <=> v750(VarCurr,bitIndex20) )
      & ( v748(VarCurr,bitIndex18)
      <=> v750(VarCurr,bitIndex19) )
      & ( v748(VarCurr,bitIndex17)
      <=> v750(VarCurr,bitIndex18) )
      & ( v748(VarCurr,bitIndex16)
      <=> v750(VarCurr,bitIndex17) )
      & ( v748(VarCurr,bitIndex15)
      <=> v750(VarCurr,bitIndex16) )
      & ( v748(VarCurr,bitIndex14)
      <=> v750(VarCurr,bitIndex15) )
      & ( v748(VarCurr,bitIndex13)
      <=> v750(VarCurr,bitIndex14) )
      & ( v748(VarCurr,bitIndex12)
      <=> v750(VarCurr,bitIndex13) )
      & ( v748(VarCurr,bitIndex11)
      <=> v750(VarCurr,bitIndex12) )
      & ( v748(VarCurr,bitIndex10)
      <=> v750(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_181,axiom,(
    ! [VarCurr] :
      ( ( v750(VarCurr,bitIndex41)
      <=> v752(VarCurr,bitIndex167) )
      & ( v750(VarCurr,bitIndex40)
      <=> v752(VarCurr,bitIndex166) )
      & ( v750(VarCurr,bitIndex39)
      <=> v752(VarCurr,bitIndex165) )
      & ( v750(VarCurr,bitIndex38)
      <=> v752(VarCurr,bitIndex164) )
      & ( v750(VarCurr,bitIndex37)
      <=> v752(VarCurr,bitIndex163) )
      & ( v750(VarCurr,bitIndex36)
      <=> v752(VarCurr,bitIndex162) )
      & ( v750(VarCurr,bitIndex35)
      <=> v752(VarCurr,bitIndex161) )
      & ( v750(VarCurr,bitIndex34)
      <=> v752(VarCurr,bitIndex160) )
      & ( v750(VarCurr,bitIndex33)
      <=> v752(VarCurr,bitIndex159) )
      & ( v750(VarCurr,bitIndex32)
      <=> v752(VarCurr,bitIndex158) )
      & ( v750(VarCurr,bitIndex31)
      <=> v752(VarCurr,bitIndex157) )
      & ( v750(VarCurr,bitIndex30)
      <=> v752(VarCurr,bitIndex156) )
      & ( v750(VarCurr,bitIndex29)
      <=> v752(VarCurr,bitIndex155) )
      & ( v750(VarCurr,bitIndex28)
      <=> v752(VarCurr,bitIndex154) )
      & ( v750(VarCurr,bitIndex27)
      <=> v752(VarCurr,bitIndex153) )
      & ( v750(VarCurr,bitIndex26)
      <=> v752(VarCurr,bitIndex152) )
      & ( v750(VarCurr,bitIndex25)
      <=> v752(VarCurr,bitIndex151) )
      & ( v750(VarCurr,bitIndex24)
      <=> v752(VarCurr,bitIndex150) )
      & ( v750(VarCurr,bitIndex23)
      <=> v752(VarCurr,bitIndex149) )
      & ( v750(VarCurr,bitIndex22)
      <=> v752(VarCurr,bitIndex148) )
      & ( v750(VarCurr,bitIndex21)
      <=> v752(VarCurr,bitIndex147) )
      & ( v750(VarCurr,bitIndex20)
      <=> v752(VarCurr,bitIndex146) )
      & ( v750(VarCurr,bitIndex19)
      <=> v752(VarCurr,bitIndex145) )
      & ( v750(VarCurr,bitIndex18)
      <=> v752(VarCurr,bitIndex144) )
      & ( v750(VarCurr,bitIndex17)
      <=> v752(VarCurr,bitIndex143) )
      & ( v750(VarCurr,bitIndex16)
      <=> v752(VarCurr,bitIndex142) )
      & ( v750(VarCurr,bitIndex15)
      <=> v752(VarCurr,bitIndex141) )
      & ( v750(VarCurr,bitIndex14)
      <=> v752(VarCurr,bitIndex140) )
      & ( v750(VarCurr,bitIndex13)
      <=> v752(VarCurr,bitIndex139) )
      & ( v750(VarCurr,bitIndex12)
      <=> v752(VarCurr,bitIndex138) )
      & ( v750(VarCurr,bitIndex11)
      <=> v752(VarCurr,bitIndex137) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_15,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1551(VarNext)
       => ( v729(VarNext)
        <=> v729(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_15,axiom,(
    ! [VarNext] :
      ( v1551(VarNext)
     => ( v729(VarNext)
      <=> v1588(VarNext) ) ) )).

fof(addAssignment_180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1588(VarNext)
      <=> v1586(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_24,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ( v1586(VarCurr)
      <=> v1589(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_24,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ( v1586(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_23,axiom,(
    ! [VarCurr] :
      ( ~ v319(VarCurr)
     => ( v1589(VarCurr)
      <=> v1590(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_23,axiom,(
    ! [VarCurr] :
      ( v319(VarCurr)
     => ( v1589(VarCurr)
      <=> v731(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_22,axiom,(
    ! [VarCurr] :
      ( ~ v338(VarCurr)
     => ( v1590(VarCurr)
      <=> v1592(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_22,axiom,(
    ! [VarCurr] :
      ( v338(VarCurr)
     => ( v1590(VarCurr)
      <=> v1591(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_38,axiom,(
    ! [VarCurr] :
      ( ~ v220(VarCurr)
     => ( v1592(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_38,axiom,(
    ! [VarCurr] :
      ( v220(VarCurr)
     => ( v1592(VarCurr)
      <=> v731(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_37,axiom,(
    ! [VarCurr] :
      ( ~ v220(VarCurr)
     => ( v1591(VarCurr)
      <=> v1491(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_37,axiom,(
    ! [VarCurr] :
      ( v220(VarCurr)
     => ( v1591(VarCurr)
      <=> v731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_531,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1551(VarNext)
      <=> ( v1552(VarNext)
          & v1559(VarNext) ) ) ) )).

fof(addAssignment_179,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1559(VarNext)
      <=> v1557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_530,axiom,(
    ! [VarCurr] :
      ( v1557(VarCurr)
    <=> ( v1560(VarCurr)
        & v1565(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_529,axiom,(
    ! [VarCurr] :
      ( v1565(VarCurr)
    <=> ( v1566(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_528,axiom,(
    ! [VarCurr] :
      ( v1566(VarCurr)
    <=> ( v1567(VarCurr)
        & v1585(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_527,axiom,(
    ! [VarCurr] :
      ( v1585(VarCurr)
    <=> ( v319(VarCurr)
        | v1563(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_526,axiom,(
    ! [VarCurr] :
      ( v1567(VarCurr)
    <=> ( v1568(VarCurr)
        & v1570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_525,axiom,(
    ! [VarCurr] :
      ( v1570(VarCurr)
    <=> ( v1571(VarCurr)
        | v1584(VarCurr) ) ) )).

fof(writeUnaryOperator_249,axiom,(
    ! [VarCurr] :
      ( ~ v1584(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_524,axiom,(
    ! [VarCurr] :
      ( v1571(VarCurr)
    <=> ( v1572(VarCurr)
        & v1573(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_523,axiom,(
    ! [VarCurr] :
      ( v1573(VarCurr)
    <=> ( v1574(VarCurr)
        | v1583(VarCurr) ) ) )).

fof(writeUnaryOperator_248,axiom,(
    ! [VarCurr] :
      ( ~ v1583(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_522,axiom,(
    ! [VarCurr] :
      ( v1574(VarCurr)
    <=> ( v1575(VarCurr)
        & v1582(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_521,axiom,(
    ! [VarCurr] :
      ( v1582(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_520,axiom,(
    ! [VarCurr] :
      ( v1575(VarCurr)
    <=> ( v1576(VarCurr)
        & v1579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_519,axiom,(
    ! [VarCurr] :
      ( v1579(VarCurr)
    <=> ( v1580(VarCurr)
        | v1581(VarCurr) ) ) )).

fof(writeUnaryOperator_247,axiom,(
    ! [VarCurr] :
      ( ~ v1581(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_518,axiom,(
    ! [VarCurr] :
      ( v1580(VarCurr)
    <=> ( v1535(VarCurr)
        | v220(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_517,axiom,(
    ! [VarCurr] :
      ( v1576(VarCurr)
    <=> ( v1577(VarCurr)
        | v1578(VarCurr) ) ) )).

fof(writeUnaryOperator_246,axiom,(
    ! [VarCurr] :
      ( ~ v1578(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_516,axiom,(
    ! [VarCurr] :
      ( v1577(VarCurr)
    <=> ( v66(VarCurr)
        | v220(VarCurr) ) ) )).

fof(writeUnaryOperator_245,axiom,(
    ! [VarCurr] :
      ( ~ v1572(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_515,axiom,(
    ! [VarCurr] :
      ( v1568(VarCurr)
    <=> ( v220(VarCurr)
        | v1569(VarCurr) ) ) )).

fof(writeUnaryOperator_244,axiom,(
    ! [VarCurr] :
      ( ~ v1569(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_514,axiom,(
    ! [VarCurr] :
      ( v1560(VarCurr)
    <=> ( v316(VarCurr)
        | v1561(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_513,axiom,(
    ! [VarCurr] :
      ( v1561(VarCurr)
    <=> ( v1562(VarCurr)
        & v1564(VarCurr) ) ) )).

fof(writeUnaryOperator_243,axiom,(
    ! [VarCurr] :
      ( ~ v1564(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_512,axiom,(
    ! [VarCurr] :
      ( v1562(VarCurr)
    <=> ( v319(VarCurr)
        | v1563(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_511,axiom,(
    ! [VarCurr] :
      ( v1563(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_510,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1552(VarNext)
      <=> ( v1554(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_242,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1554(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignmentInitValueVector_2,axiom,
    ( v729(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1538(VarNext)
       => ( v1535(VarNext)
        <=> v1535(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_14,axiom,(
    ! [VarNext] :
      ( v1538(VarNext)
     => ( v1535(VarNext)
      <=> v1546(VarNext) ) ) )).

fof(addAssignment_178,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1546(VarNext)
      <=> v1544(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_36,axiom,(
    ! [VarCurr] :
      ( ~ v244(VarCurr)
     => ( v1544(VarCurr)
      <=> v66(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_36,axiom,(
    ! [VarCurr] :
      ( v244(VarCurr)
     => ( v1544(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_509,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1538(VarNext)
      <=> v1539(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_508,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1539(VarNext)
      <=> ( v1541(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1541(VarNext)
      <=> v237(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_35,axiom,(
    ! [VarCurr] :
      ( ~ v1532(VarCurr)
     => ( v1491(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_35,axiom,(
    ! [VarCurr] :
      ( v1532(VarCurr)
     => ( v1491(VarCurr)
      <=> v1493(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_106,axiom,(
    ! [VarCurr] :
      ( v1532(VarCurr)
    <=> ( ( v1533(VarCurr,bitIndex3)
        <=> v424(VarCurr,bitIndex3) )
        & ( v1533(VarCurr,bitIndex2)
        <=> v424(VarCurr,bitIndex2) )
        & ( v1533(VarCurr,bitIndex1)
        <=> v424(VarCurr,bitIndex1) )
        & ( v1533(VarCurr,bitIndex0)
        <=> v424(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_177,axiom,(
    ! [VarCurr] :
      ( v1533(VarCurr,bitIndex0)
    <=> v418(VarCurr) ) )).

fof(addAssignment_176,axiom,(
    ! [VarCurr] :
      ( v1533(VarCurr,bitIndex1)
    <=> v416(VarCurr) ) )).

fof(addAssignment_175,axiom,(
    ! [VarCurr] :
      ( v1533(VarCurr,bitIndex2)
    <=> v411(VarCurr) ) )).

fof(addAssignment_174,axiom,(
    ! [VarCurr] :
      ( v1533(VarCurr,bitIndex3)
    <=> v404(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_13,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1500(VarNext)
       => ( v1493(VarNext)
        <=> v1493(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_13,axiom,(
    ! [VarNext] :
      ( v1500(VarNext)
     => ( v1493(VarNext)
      <=> v1527(VarNext) ) ) )).

fof(addAssignment_173,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1527(VarNext)
      <=> v1525(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_34,axiom,(
    ! [VarCurr] :
      ( ~ v244(VarCurr)
     => ( v1525(VarCurr)
      <=> v1528(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_34,axiom,(
    ! [VarCurr] :
      ( v244(VarCurr)
     => ( v1525(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_33,axiom,(
    ! [VarCurr] :
      ( ~ v220(VarCurr)
     => ( v1528(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_33,axiom,(
    ! [VarCurr] :
      ( v220(VarCurr)
     => ( v1528(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_507,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1500(VarNext)
      <=> ( v1501(VarNext)
          & v1508(VarNext) ) ) ) )).

fof(addAssignment_172,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1508(VarNext)
      <=> v1506(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_506,axiom,(
    ! [VarCurr] :
      ( v1506(VarCurr)
    <=> ( v1509(VarCurr)
        | v244(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_505,axiom,(
    ! [VarCurr] :
      ( v1509(VarCurr)
    <=> ( v1510(VarCurr)
        | v220(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_504,axiom,(
    ! [VarCurr] :
      ( v1510(VarCurr)
    <=> ( v1511(VarCurr)
        | v1520(VarCurr) ) ) )).

fof(writeUnaryOperator_240,axiom,(
    ! [VarCurr] :
      ( ~ v1520(VarCurr)
    <=> v1522(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_137,axiom,(
    ! [VarCurr] :
      ( v1522(VarCurr)
    <=> ( v1523(VarCurr)
        & v1497(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_136,axiom,(
    ! [VarCurr] :
      ( v1523(VarCurr)
    <=> ( v1524(VarCurr)
        & v1497(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_135,axiom,(
    ! [VarCurr] :
      ( v1524(VarCurr)
    <=> ( v1497(VarCurr,bitIndex0)
        & v1497(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_239,axiom,(
    ! [VarCurr] :
      ( ~ v1511(VarCurr)
    <=> v1513(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_503,axiom,(
    ! [VarCurr] :
      ( v1513(VarCurr)
    <=> ( v1514(VarCurr)
        & v1519(VarCurr) ) ) )).

fof(writeUnaryOperator_238,axiom,(
    ! [VarCurr] :
      ( ~ v1519(VarCurr)
    <=> v1495(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_502,axiom,(
    ! [VarCurr] :
      ( v1514(VarCurr)
    <=> ( v1515(VarCurr)
        & v1518(VarCurr) ) ) )).

fof(writeUnaryOperator_237,axiom,(
    ! [VarCurr] :
      ( ~ v1518(VarCurr)
    <=> v1495(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_501,axiom,(
    ! [VarCurr] :
      ( v1515(VarCurr)
    <=> ( v1516(VarCurr)
        & v1517(VarCurr) ) ) )).

fof(writeUnaryOperator_236,axiom,(
    ! [VarCurr] :
      ( ~ v1517(VarCurr)
    <=> v1495(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_235,axiom,(
    ! [VarCurr] :
      ( ~ v1516(VarCurr)
    <=> v1495(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_500,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1501(VarNext)
      <=> ( v1503(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_234,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1503(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_12,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1476(VarNext)
       => ( v731(VarNext)
        <=> v731(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_12,axiom,(
    ! [VarNext] :
      ( v1476(VarNext)
     => ( v731(VarNext)
      <=> v1487(VarNext) ) ) )).

fof(addAssignment_171,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1487(VarNext)
      <=> v1485(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_32,axiom,(
    ! [VarCurr] :
      ( ~ v682(VarCurr)
     => ( v1485(VarCurr)
      <=> v733(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_32,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
     => ( v1485(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_499,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1476(VarNext)
      <=> ( v1477(VarNext)
          & v1484(VarNext) ) ) ) )).

fof(addAssignment_170,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1484(VarNext)
      <=> v1482(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_498,axiom,(
    ! [VarCurr] :
      ( v1482(VarCurr)
    <=> ( v75(VarCurr)
        | v682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_497,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1477(VarNext)
      <=> ( v1479(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_233,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1479(VarNext)
      <=> v237(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_31,axiom,(
    ! [VarCurr] :
      ( ~ v1310(VarCurr)
     => ( v733(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_31,axiom,(
    ! [VarCurr] :
      ( v1310(VarCurr)
     => ( v733(VarCurr)
      <=> v1441(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v1316(VarCurr)
        & ~ v1415(VarCurr)
        & ~ v1421(VarCurr)
        & ~ v1471(VarCurr) )
     => ( v1441(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_3,axiom,(
    ! [VarCurr] :
      ( v1471(VarCurr)
     => ( v1441(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_7,axiom,(
    ! [VarCurr] :
      ( v1421(VarCurr)
     => ( v1441(VarCurr)
      <=> v1469(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_21,axiom,(
    ! [VarCurr] :
      ( v1415(VarCurr)
     => ( v1441(VarCurr)
      <=> v1458(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_21,axiom,(
    ! [VarCurr] :
      ( v1316(VarCurr)
     => ( v1441(VarCurr)
      <=> v1442(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_496,axiom,(
    ! [VarCurr] :
      ( v1471(VarCurr)
    <=> ( v1473(VarCurr)
        | v1426(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_495,axiom,(
    ! [VarCurr] :
      ( v1473(VarCurr)
    <=> ( v1422(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_30,axiom,(
    ! [VarCurr] :
      ( ~ v1470(VarCurr)
     => ( v1469(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_30,axiom,(
    ! [VarCurr] :
      ( v1470(VarCurr)
     => ( v1469(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_105,axiom,(
    ! [VarCurr] :
      ( v1470(VarCurr)
    <=> ( ( v735(VarCurr,bitIndex9)
        <=> v743(VarCurr,bitIndex9) )
        & ( v735(VarCurr,bitIndex8)
        <=> v743(VarCurr,bitIndex8) )
        & ( v735(VarCurr,bitIndex7)
        <=> v743(VarCurr,bitIndex7) )
        & ( v735(VarCurr,bitIndex6)
        <=> v743(VarCurr,bitIndex6) )
        & ( v735(VarCurr,bitIndex5)
        <=> v743(VarCurr,bitIndex5) )
        & ( v735(VarCurr,bitIndex4)
        <=> v743(VarCurr,bitIndex4) )
        & ( v735(VarCurr,bitIndex3)
        <=> v743(VarCurr,bitIndex3) )
        & ( v735(VarCurr,bitIndex2)
        <=> v743(VarCurr,bitIndex2) )
        & ( v735(VarCurr,bitIndex1)
        <=> v743(VarCurr,bitIndex1) )
        & ( v735(VarCurr,bitIndex0)
        <=> v743(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_11,axiom,(
    ! [VarCurr] :
      ( ( ~ v1417(VarCurr)
        & v1418(VarCurr) )
     => ( v1458(VarCurr)
      <=> v1463(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_11,axiom,(
    ! [VarCurr] :
      ( v1417(VarCurr)
     => ( v1458(VarCurr)
      <=> v1459(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_29,axiom,(
    ! [VarCurr] :
      ( ~ v1464(VarCurr)
     => ( v1463(VarCurr)
      <=> v1466(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_29,axiom,(
    ! [VarCurr] :
      ( v1464(VarCurr)
     => ( v1463(VarCurr)
      <=> v1465(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_28,axiom,(
    ! [VarCurr] :
      ( ~ v1103(VarCurr)
     => ( v1466(VarCurr)
      <=> v1468(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_28,axiom,(
    ! [VarCurr] :
      ( v1103(VarCurr)
     => ( v1466(VarCurr)
      <=> v1467(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_27,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ( v1468(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_27,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ( v1468(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_26,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ( v1467(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_26,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ( v1467(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_25,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ( v1465(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_25,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ( v1465(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_104,axiom,(
    ! [VarCurr] :
      ( v1464(VarCurr)
    <=> ( ( v746(VarCurr,bitIndex3)
        <=> $false )
        & ( v746(VarCurr,bitIndex2)
        <=> $false )
        & ( v746(VarCurr,bitIndex1)
        <=> $false )
        & ( v746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_24,axiom,(
    ! [VarCurr] :
      ( ~ v1460(VarCurr)
     => ( v1459(VarCurr)
      <=> v1462(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_24,axiom,(
    ! [VarCurr] :
      ( v1460(VarCurr)
     => ( v1459(VarCurr)
      <=> v1461(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_23,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ( v1462(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_23,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ( v1462(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_22,axiom,(
    ! [VarCurr] :
      ( ~ v1306(VarCurr)
     => ( v1461(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_22,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
     => ( v1461(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_103,axiom,(
    ! [VarCurr] :
      ( v1460(VarCurr)
    <=> ( ( v746(VarCurr,bitIndex3)
        <=> $false )
        & ( v746(VarCurr,bitIndex2)
        <=> $false )
        & ( v746(VarCurr,bitIndex1)
        <=> $false )
        & ( v746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges2,axiom,(
    ! [VarCurr] :
      ( ( ~ v1319(VarCurr)
        & ~ v1384(VarCurr)
        & v1385(VarCurr) )
     => ( v1442(VarCurr)
      <=> v1452(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_10,axiom,(
    ! [VarCurr] :
      ( ( ~ v1319(VarCurr)
        & v1384(VarCurr) )
     => ( v1442(VarCurr)
      <=> v1447(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_10,axiom,(
    ! [VarCurr] :
      ( v1319(VarCurr)
     => ( v1442(VarCurr)
      <=> v1443(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_21,axiom,(
    ! [VarCurr] :
      ( ~ v1453(VarCurr)
     => ( v1452(VarCurr)
      <=> v1457(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_21,axiom,(
    ! [VarCurr] :
      ( v1453(VarCurr)
     => ( v1452(VarCurr)
      <=> v1454(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_20,axiom,(
    ! [VarCurr] :
      ( ~ v1103(VarCurr)
     => ( v1457(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_20,axiom,(
    ! [VarCurr] :
      ( v1103(VarCurr)
     => ( v1457(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_19,axiom,(
    ! [VarCurr] :
      ( ~ v1103(VarCurr)
     => ( v1454(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_19,axiom,(
    ! [VarCurr] :
      ( v1103(VarCurr)
     => ( v1454(VarCurr)
      <=> v1455(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_18,axiom,(
    ! [VarCurr] :
      ( ~ v1456(VarCurr)
     => ( v1455(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_18,axiom,(
    ! [VarCurr] :
      ( v1456(VarCurr)
     => ( v1455(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_102,axiom,(
    ! [VarCurr] :
      ( v1456(VarCurr)
    <=> ( ( v754(VarCurr,bitIndex7)
        <=> $true )
        & ( v754(VarCurr,bitIndex6)
        <=> $true )
        & ( v754(VarCurr,bitIndex5)
        <=> $true )
        & ( v754(VarCurr,bitIndex4)
        <=> $true )
        & ( v754(VarCurr,bitIndex3)
        <=> $true )
        & ( v754(VarCurr,bitIndex2)
        <=> $true )
        & ( v754(VarCurr,bitIndex1)
        <=> $true )
        & ( v754(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_101,axiom,(
    ! [VarCurr] :
      ( v1453(VarCurr)
    <=> ( ( v746(VarCurr,bitIndex3)
        <=> $false )
        & ( v746(VarCurr,bitIndex2)
        <=> $false )
        & ( v746(VarCurr,bitIndex1)
        <=> $false )
        & ( v746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_17,axiom,(
    ! [VarCurr] :
      ( ~ v1448(VarCurr)
     => ( v1447(VarCurr)
      <=> v1451(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_17,axiom,(
    ! [VarCurr] :
      ( v1448(VarCurr)
     => ( v1447(VarCurr)
      <=> v1449(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_16,axiom,(
    ! [VarCurr] :
      ( ~ v763(VarCurr)
     => ( v1451(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_16,axiom,(
    ! [VarCurr] :
      ( v763(VarCurr)
     => ( v1451(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_15,axiom,(
    ! [VarCurr] :
      ( ~ v1450(VarCurr)
     => ( v1449(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_15,axiom,(
    ! [VarCurr] :
      ( v1450(VarCurr)
     => ( v1449(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_100,axiom,(
    ! [VarCurr] :
      ( v1450(VarCurr)
    <=> ( ( v754(VarCurr,bitIndex7)
        <=> $true )
        & ( v754(VarCurr,bitIndex6)
        <=> $true )
        & ( v754(VarCurr,bitIndex5)
        <=> $true )
        & ( v754(VarCurr,bitIndex4)
        <=> $true )
        & ( v754(VarCurr,bitIndex3)
        <=> $true )
        & ( v754(VarCurr,bitIndex2)
        <=> $true )
        & ( v754(VarCurr,bitIndex1)
        <=> $true )
        & ( v754(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_229,axiom,(
    b11111111(bitIndex7) )).

fof(bitBlastConstant_228,axiom,(
    b11111111(bitIndex6) )).

fof(bitBlastConstant_227,axiom,(
    b11111111(bitIndex5) )).

fof(bitBlastConstant_226,axiom,(
    b11111111(bitIndex4) )).

fof(bitBlastConstant_225,axiom,(
    b11111111(bitIndex3) )).

fof(bitBlastConstant_224,axiom,(
    b11111111(bitIndex2) )).

fof(bitBlastConstant_223,axiom,(
    b11111111(bitIndex1) )).

fof(bitBlastConstant_222,axiom,(
    b11111111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_99,axiom,(
    ! [VarCurr] :
      ( v1448(VarCurr)
    <=> ( ( v746(VarCurr,bitIndex3)
        <=> $false )
        & ( v746(VarCurr,bitIndex2)
        <=> $false )
        & ( v746(VarCurr,bitIndex1)
        <=> $false )
        & ( v746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_14,axiom,(
    ! [VarCurr] :
      ( ~ v1444(VarCurr)
     => ( v1443(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_14,axiom,(
    ! [VarCurr] :
      ( v1444(VarCurr)
     => ( v1443(VarCurr)
      <=> v1445(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_13,axiom,(
    ! [VarCurr] :
      ( ~ v1446(VarCurr)
     => ( v1445(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_13,axiom,(
    ! [VarCurr] :
      ( v1446(VarCurr)
     => ( v1445(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_98,axiom,(
    ! [VarCurr] :
      ( v1446(VarCurr)
    <=> ( ( v754(VarCurr,bitIndex3)
        <=> $true )
        & ( v754(VarCurr,bitIndex2)
        <=> $true )
        & ( v754(VarCurr,bitIndex1)
        <=> $true )
        & ( v754(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_97,axiom,(
    ! [VarCurr] :
      ( v1444(VarCurr)
    <=> ( ( v746(VarCurr,bitIndex3)
        <=> $false )
        & ( v746(VarCurr,bitIndex2)
        <=> $false )
        & ( v746(VarCurr,bitIndex1)
        <=> $false )
        & ( v746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_494,axiom,(
    ! [VarCurr] :
      ( v1310(VarCurr)
    <=> ( v1311(VarCurr)
        | v1435(VarCurr) ) ) )).

fof(writeUnaryOperator_232,axiom,(
    ! [VarCurr] :
      ( ~ v1435(VarCurr)
    <=> v1436(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_493,axiom,(
    ! [VarCurr] :
      ( v1436(VarCurr)
    <=> ( v1437(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_492,axiom,(
    ! [VarCurr] :
      ( v1437(VarCurr)
    <=> ( v1438(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_491,axiom,(
    ! [VarCurr] :
      ( v1438(VarCurr)
    <=> ( v1439(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_490,axiom,(
    ! [VarCurr] :
      ( v1439(VarCurr)
    <=> ( v1440(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_489,axiom,(
    ! [VarCurr] :
      ( v1440(VarCurr)
    <=> ( v1414(VarCurr)
        | v1420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_488,axiom,(
    ! [VarCurr] :
      ( v1311(VarCurr)
    <=> ( v1312(VarCurr)
        | v1426(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_487,axiom,(
    ! [VarCurr] :
      ( v1426(VarCurr)
    <=> ( v1427(VarCurr)
        & v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_486,axiom,(
    ! [VarCurr] :
      ( v1430(VarCurr)
    <=> ( v1431(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_96,axiom,(
    ! [VarCurr] :
      ( v1434(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_485,axiom,(
    ! [VarCurr] :
      ( v1431(VarCurr)
    <=> ( v1432(VarCurr)
        | v1433(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_95,axiom,(
    ! [VarCurr] :
      ( v1433(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_94,axiom,(
    ! [VarCurr] :
      ( v1432(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_484,axiom,(
    ! [VarCurr] :
      ( v1427(VarCurr)
    <=> ( v1428(VarCurr)
        & v1429(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_93,axiom,(
    ! [VarCurr] :
      ( v1429(VarCurr)
    <=> ( ( v746(VarCurr,bitIndex3)
        <=> $false )
        & ( v746(VarCurr,bitIndex2)
        <=> $false )
        & ( v746(VarCurr,bitIndex1)
        <=> $false )
        & ( v746(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_92,axiom,(
    ! [VarCurr] :
      ( v1428(VarCurr)
    <=> ( ( v735(VarCurr,bitIndex9)
        <=> v743(VarCurr,bitIndex9) )
        & ( v735(VarCurr,bitIndex8)
        <=> v743(VarCurr,bitIndex8) )
        & ( v735(VarCurr,bitIndex7)
        <=> v743(VarCurr,bitIndex7) )
        & ( v735(VarCurr,bitIndex6)
        <=> v743(VarCurr,bitIndex6) )
        & ( v735(VarCurr,bitIndex5)
        <=> v743(VarCurr,bitIndex5) )
        & ( v735(VarCurr,bitIndex4)
        <=> v743(VarCurr,bitIndex4) )
        & ( v735(VarCurr,bitIndex3)
        <=> v743(VarCurr,bitIndex3) )
        & ( v735(VarCurr,bitIndex2)
        <=> v743(VarCurr,bitIndex2) )
        & ( v735(VarCurr,bitIndex1)
        <=> v743(VarCurr,bitIndex1) )
        & ( v735(VarCurr,bitIndex0)
        <=> v743(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_483,axiom,(
    ! [VarCurr] :
      ( v1312(VarCurr)
    <=> ( v1313(VarCurr)
        | v1425(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_91,axiom,(
    ! [VarCurr] :
      ( v1425(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_482,axiom,(
    ! [VarCurr] :
      ( v1313(VarCurr)
    <=> ( v1314(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_481,axiom,(
    ! [VarCurr] :
      ( v1422(VarCurr)
    <=> ( v1423(VarCurr)
        | v1424(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_90,axiom,(
    ! [VarCurr] :
      ( v1424(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $true )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_89,axiom,(
    ! [VarCurr] :
      ( v1423(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_480,axiom,(
    ! [VarCurr] :
      ( v1314(VarCurr)
    <=> ( v1315(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_88,axiom,(
    ! [VarCurr] :
      ( v1421(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_479,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
    <=> ( v1316(VarCurr)
        | v1415(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_478,axiom,(
    ! [VarCurr] :
      ( v1415(VarCurr)
    <=> ( v1416(VarCurr)
        & v1420(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_87,axiom,(
    ! [VarCurr] :
      ( v1420(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_477,axiom,(
    ! [VarCurr] :
      ( v1416(VarCurr)
    <=> ( v1417(VarCurr)
        | v1418(VarCurr) ) ) )).

fof(writeUnaryOperator_231,axiom,(
    ! [VarCurr] :
      ( ~ v1418(VarCurr)
    <=> v1320(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_476,axiom,(
    ! [VarCurr] :
      ( v1320(VarCurr)
    <=> ( v1321(VarCurr)
        | v1383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_475,axiom,(
    ! [VarCurr] :
      ( v1417(VarCurr)
    <=> ( v1321(VarCurr)
        | v1383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_474,axiom,(
    ! [VarCurr] :
      ( v1316(VarCurr)
    <=> ( v1317(VarCurr)
        & v1414(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_86,axiom,(
    ! [VarCurr] :
      ( v1414(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_473,axiom,(
    ! [VarCurr] :
      ( v1317(VarCurr)
    <=> ( v1318(VarCurr)
        | v1385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_472,axiom,(
    ! [VarCurr] :
      ( v1385(VarCurr)
    <=> ( v1387(VarCurr)
        | v1413(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_134,axiom,(
    ! [VarCurr] :
      ( v1413(VarCurr)
    <=> ( v841(VarCurr)
        & v743(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_471,axiom,(
    ! [VarCurr] :
      ( v1387(VarCurr)
    <=> ( v1379(VarCurr)
        & v1388(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_470,axiom,(
    ! [VarCurr] :
      ( v1388(VarCurr)
    <=> ( v1389(VarCurr)
        | v1412(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_133,axiom,(
    ! [VarCurr] :
      ( v1412(VarCurr)
    <=> ( v834(VarCurr)
        & v743(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_469,axiom,(
    ! [VarCurr] :
      ( v1389(VarCurr)
    <=> ( v1374(VarCurr)
        & v1390(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_468,axiom,(
    ! [VarCurr] :
      ( v1390(VarCurr)
    <=> ( v1391(VarCurr)
        | v1411(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_132,axiom,(
    ! [VarCurr] :
      ( v1411(VarCurr)
    <=> ( v828(VarCurr)
        & v743(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_467,axiom,(
    ! [VarCurr] :
      ( v1391(VarCurr)
    <=> ( v1369(VarCurr)
        & v1392(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_466,axiom,(
    ! [VarCurr] :
      ( v1392(VarCurr)
    <=> ( v1393(VarCurr)
        | v1410(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_131,axiom,(
    ! [VarCurr] :
      ( v1410(VarCurr)
    <=> ( v822(VarCurr)
        & v743(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_465,axiom,(
    ! [VarCurr] :
      ( v1393(VarCurr)
    <=> ( v1364(VarCurr)
        & v1394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_464,axiom,(
    ! [VarCurr] :
      ( v1394(VarCurr)
    <=> ( v1395(VarCurr)
        | v1409(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_130,axiom,(
    ! [VarCurr] :
      ( v1409(VarCurr)
    <=> ( v816(VarCurr)
        & v743(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_463,axiom,(
    ! [VarCurr] :
      ( v1395(VarCurr)
    <=> ( v1359(VarCurr)
        & v1396(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_462,axiom,(
    ! [VarCurr] :
      ( v1396(VarCurr)
    <=> ( v1397(VarCurr)
        | v1408(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_129,axiom,(
    ! [VarCurr] :
      ( v1408(VarCurr)
    <=> ( v810(VarCurr)
        & v743(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_461,axiom,(
    ! [VarCurr] :
      ( v1397(VarCurr)
    <=> ( v1354(VarCurr)
        & v1398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_460,axiom,(
    ! [VarCurr] :
      ( v1398(VarCurr)
    <=> ( v1399(VarCurr)
        | v1407(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_128,axiom,(
    ! [VarCurr] :
      ( v1407(VarCurr)
    <=> ( v804(VarCurr)
        & v743(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_459,axiom,(
    ! [VarCurr] :
      ( v1399(VarCurr)
    <=> ( v1349(VarCurr)
        & v1400(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_458,axiom,(
    ! [VarCurr] :
      ( v1400(VarCurr)
    <=> ( v1401(VarCurr)
        | v1406(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_127,axiom,(
    ! [VarCurr] :
      ( v1406(VarCurr)
    <=> ( v798(VarCurr)
        & v743(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_457,axiom,(
    ! [VarCurr] :
      ( v1401(VarCurr)
    <=> ( v1344(VarCurr)
        & v1402(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_456,axiom,(
    ! [VarCurr] :
      ( v1402(VarCurr)
    <=> ( v1403(VarCurr)
        | v1405(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_126,axiom,(
    ! [VarCurr] :
      ( v1405(VarCurr)
    <=> ( v792(VarCurr)
        & v743(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_455,axiom,(
    ! [VarCurr] :
      ( v1403(VarCurr)
    <=> ( v1339(VarCurr)
        & v1404(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_454,axiom,(
    ! [VarCurr] :
      ( v1404(VarCurr)
    <=> ( v887(VarCurr)
        & v743(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_453,axiom,(
    ! [VarCurr] :
      ( v1318(VarCurr)
    <=> ( v1319(VarCurr)
        | v1384(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_85,axiom,(
    ! [VarCurr] :
      ( v1384(VarCurr)
    <=> ( ( v735(VarCurr,bitIndex9)
        <=> v743(VarCurr,bitIndex9) )
        & ( v735(VarCurr,bitIndex8)
        <=> v743(VarCurr,bitIndex8) )
        & ( v735(VarCurr,bitIndex7)
        <=> v743(VarCurr,bitIndex7) )
        & ( v735(VarCurr,bitIndex6)
        <=> v743(VarCurr,bitIndex6) )
        & ( v735(VarCurr,bitIndex5)
        <=> v743(VarCurr,bitIndex5) )
        & ( v735(VarCurr,bitIndex4)
        <=> v743(VarCurr,bitIndex4) )
        & ( v735(VarCurr,bitIndex3)
        <=> v743(VarCurr,bitIndex3) )
        & ( v735(VarCurr,bitIndex2)
        <=> v743(VarCurr,bitIndex2) )
        & ( v735(VarCurr,bitIndex1)
        <=> v743(VarCurr,bitIndex1) )
        & ( v735(VarCurr,bitIndex0)
        <=> v743(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_452,axiom,(
    ! [VarCurr] :
      ( v1319(VarCurr)
    <=> ( v1321(VarCurr)
        | v1383(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_125,axiom,(
    ! [VarCurr] :
      ( v1383(VarCurr)
    <=> ( v735(VarCurr,bitIndex9)
        & v1181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_451,axiom,(
    ! [VarCurr] :
      ( v1321(VarCurr)
    <=> ( v1322(VarCurr)
        & v1379(VarCurr) ) ) )).

fof(writeUnaryOperator_230,axiom,(
    ! [VarCurr] :
      ( ~ v1379(VarCurr)
    <=> v1380(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_450,axiom,(
    ! [VarCurr] :
      ( v1380(VarCurr)
    <=> ( v1381(VarCurr)
        & v1382(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_124,axiom,(
    ! [VarCurr] :
      ( v1382(VarCurr)
    <=> ( v735(VarCurr,bitIndex9)
        | v743(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_449,axiom,(
    ! [VarCurr] :
      ( v1381(VarCurr)
    <=> ( v841(VarCurr)
        | v1181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_448,axiom,(
    ! [VarCurr] :
      ( v1322(VarCurr)
    <=> ( v1323(VarCurr)
        | v1378(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_123,axiom,(
    ! [VarCurr] :
      ( v1378(VarCurr)
    <=> ( v735(VarCurr,bitIndex8)
        & v1174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_447,axiom,(
    ! [VarCurr] :
      ( v1323(VarCurr)
    <=> ( v1324(VarCurr)
        & v1374(VarCurr) ) ) )).

fof(writeUnaryOperator_229,axiom,(
    ! [VarCurr] :
      ( ~ v1374(VarCurr)
    <=> v1375(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_446,axiom,(
    ! [VarCurr] :
      ( v1375(VarCurr)
    <=> ( v1376(VarCurr)
        & v1377(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_122,axiom,(
    ! [VarCurr] :
      ( v1377(VarCurr)
    <=> ( v735(VarCurr,bitIndex8)
        | v743(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_445,axiom,(
    ! [VarCurr] :
      ( v1376(VarCurr)
    <=> ( v834(VarCurr)
        | v1174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_444,axiom,(
    ! [VarCurr] :
      ( v1324(VarCurr)
    <=> ( v1325(VarCurr)
        | v1373(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_121,axiom,(
    ! [VarCurr] :
      ( v1373(VarCurr)
    <=> ( v735(VarCurr,bitIndex7)
        & v1168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_443,axiom,(
    ! [VarCurr] :
      ( v1325(VarCurr)
    <=> ( v1326(VarCurr)
        & v1369(VarCurr) ) ) )).

fof(writeUnaryOperator_228,axiom,(
    ! [VarCurr] :
      ( ~ v1369(VarCurr)
    <=> v1370(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_442,axiom,(
    ! [VarCurr] :
      ( v1370(VarCurr)
    <=> ( v1371(VarCurr)
        & v1372(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_120,axiom,(
    ! [VarCurr] :
      ( v1372(VarCurr)
    <=> ( v735(VarCurr,bitIndex7)
        | v743(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_441,axiom,(
    ! [VarCurr] :
      ( v1371(VarCurr)
    <=> ( v828(VarCurr)
        | v1168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_440,axiom,(
    ! [VarCurr] :
      ( v1326(VarCurr)
    <=> ( v1327(VarCurr)
        | v1368(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_119,axiom,(
    ! [VarCurr] :
      ( v1368(VarCurr)
    <=> ( v735(VarCurr,bitIndex6)
        & v1162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_439,axiom,(
    ! [VarCurr] :
      ( v1327(VarCurr)
    <=> ( v1328(VarCurr)
        & v1364(VarCurr) ) ) )).

fof(writeUnaryOperator_227,axiom,(
    ! [VarCurr] :
      ( ~ v1364(VarCurr)
    <=> v1365(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_438,axiom,(
    ! [VarCurr] :
      ( v1365(VarCurr)
    <=> ( v1366(VarCurr)
        & v1367(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_118,axiom,(
    ! [VarCurr] :
      ( v1367(VarCurr)
    <=> ( v735(VarCurr,bitIndex6)
        | v743(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_437,axiom,(
    ! [VarCurr] :
      ( v1366(VarCurr)
    <=> ( v822(VarCurr)
        | v1162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_436,axiom,(
    ! [VarCurr] :
      ( v1328(VarCurr)
    <=> ( v1329(VarCurr)
        | v1363(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_117,axiom,(
    ! [VarCurr] :
      ( v1363(VarCurr)
    <=> ( v735(VarCurr,bitIndex5)
        & v1156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_435,axiom,(
    ! [VarCurr] :
      ( v1329(VarCurr)
    <=> ( v1330(VarCurr)
        & v1359(VarCurr) ) ) )).

fof(writeUnaryOperator_226,axiom,(
    ! [VarCurr] :
      ( ~ v1359(VarCurr)
    <=> v1360(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_434,axiom,(
    ! [VarCurr] :
      ( v1360(VarCurr)
    <=> ( v1361(VarCurr)
        & v1362(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_116,axiom,(
    ! [VarCurr] :
      ( v1362(VarCurr)
    <=> ( v735(VarCurr,bitIndex5)
        | v743(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_433,axiom,(
    ! [VarCurr] :
      ( v1361(VarCurr)
    <=> ( v816(VarCurr)
        | v1156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_432,axiom,(
    ! [VarCurr] :
      ( v1330(VarCurr)
    <=> ( v1331(VarCurr)
        | v1358(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_115,axiom,(
    ! [VarCurr] :
      ( v1358(VarCurr)
    <=> ( v735(VarCurr,bitIndex4)
        & v1150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_431,axiom,(
    ! [VarCurr] :
      ( v1331(VarCurr)
    <=> ( v1332(VarCurr)
        & v1354(VarCurr) ) ) )).

fof(writeUnaryOperator_225,axiom,(
    ! [VarCurr] :
      ( ~ v1354(VarCurr)
    <=> v1355(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_430,axiom,(
    ! [VarCurr] :
      ( v1355(VarCurr)
    <=> ( v1356(VarCurr)
        & v1357(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_114,axiom,(
    ! [VarCurr] :
      ( v1357(VarCurr)
    <=> ( v735(VarCurr,bitIndex4)
        | v743(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_429,axiom,(
    ! [VarCurr] :
      ( v1356(VarCurr)
    <=> ( v810(VarCurr)
        | v1150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_428,axiom,(
    ! [VarCurr] :
      ( v1332(VarCurr)
    <=> ( v1333(VarCurr)
        | v1353(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_113,axiom,(
    ! [VarCurr] :
      ( v1353(VarCurr)
    <=> ( v735(VarCurr,bitIndex3)
        & v1144(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_427,axiom,(
    ! [VarCurr] :
      ( v1333(VarCurr)
    <=> ( v1334(VarCurr)
        & v1349(VarCurr) ) ) )).

fof(writeUnaryOperator_224,axiom,(
    ! [VarCurr] :
      ( ~ v1349(VarCurr)
    <=> v1350(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_426,axiom,(
    ! [VarCurr] :
      ( v1350(VarCurr)
    <=> ( v1351(VarCurr)
        & v1352(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_112,axiom,(
    ! [VarCurr] :
      ( v1352(VarCurr)
    <=> ( v735(VarCurr,bitIndex3)
        | v743(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_425,axiom,(
    ! [VarCurr] :
      ( v1351(VarCurr)
    <=> ( v804(VarCurr)
        | v1144(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_424,axiom,(
    ! [VarCurr] :
      ( v1334(VarCurr)
    <=> ( v1335(VarCurr)
        | v1348(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_111,axiom,(
    ! [VarCurr] :
      ( v1348(VarCurr)
    <=> ( v735(VarCurr,bitIndex2)
        & v1138(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_423,axiom,(
    ! [VarCurr] :
      ( v1335(VarCurr)
    <=> ( v1336(VarCurr)
        & v1344(VarCurr) ) ) )).

fof(writeUnaryOperator_223,axiom,(
    ! [VarCurr] :
      ( ~ v1344(VarCurr)
    <=> v1345(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_422,axiom,(
    ! [VarCurr] :
      ( v1345(VarCurr)
    <=> ( v1346(VarCurr)
        & v1347(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_110,axiom,(
    ! [VarCurr] :
      ( v1347(VarCurr)
    <=> ( v735(VarCurr,bitIndex2)
        | v743(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_421,axiom,(
    ! [VarCurr] :
      ( v1346(VarCurr)
    <=> ( v798(VarCurr)
        | v1138(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_420,axiom,(
    ! [VarCurr] :
      ( v1336(VarCurr)
    <=> ( v1337(VarCurr)
        | v1343(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_109,axiom,(
    ! [VarCurr] :
      ( v1343(VarCurr)
    <=> ( v735(VarCurr,bitIndex1)
        & v1132(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_419,axiom,(
    ! [VarCurr] :
      ( v1337(VarCurr)
    <=> ( v1338(VarCurr)
        & v1339(VarCurr) ) ) )).

fof(writeUnaryOperator_222,axiom,(
    ! [VarCurr] :
      ( ~ v1339(VarCurr)
    <=> v1340(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_418,axiom,(
    ! [VarCurr] :
      ( v1340(VarCurr)
    <=> ( v1341(VarCurr)
        & v1342(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_108,axiom,(
    ! [VarCurr] :
      ( v1342(VarCurr)
    <=> ( v735(VarCurr,bitIndex1)
        | v743(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_417,axiom,(
    ! [VarCurr] :
      ( v1341(VarCurr)
    <=> ( v792(VarCurr)
        | v1132(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_416,axiom,(
    ! [VarCurr] :
      ( v1338(VarCurr)
    <=> ( v735(VarCurr,bitIndex0)
        & v1227(VarCurr) ) ) )).

fof(addAssignment_169,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
    <=> v1308(VarCurr) ) )).

fof(addAssignment_168,axiom,(
    ! [VarCurr] :
      ( v1308(VarCurr)
    <=> v750(VarCurr,bitIndex0) ) )).

fof(addAssignment_167,axiom,(
    ! [VarCurr] :
      ( v750(VarCurr,bitIndex0)
    <=> v752(VarCurr,bitIndex126) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_12,axiom,(
    ! [VarCurr] :
      ( ~ v1230(VarCurr)
     => ( v1103(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_12,axiom,(
    ! [VarCurr] :
      ( v1230(VarCurr)
     => ( v1103(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_415,axiom,(
    ! [VarCurr] :
      ( v1230(VarCurr)
    <=> ( v1232(VarCurr)
        | v1304(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_107,axiom,(
    ! [VarCurr] :
      ( v1304(VarCurr)
    <=> ( v765(VarCurr,bitIndex9)
        & v1302(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_414,axiom,(
    ! [VarCurr] :
      ( v1232(VarCurr)
    <=> ( v1233(VarCurr)
        & v1299(VarCurr) ) ) )).

fof(writeUnaryOperator_221,axiom,(
    ! [VarCurr] :
      ( ~ v1299(VarCurr)
    <=> v1300(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_413,axiom,(
    ! [VarCurr] :
      ( v1300(VarCurr)
    <=> ( v1301(VarCurr)
        & v1303(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_106,axiom,(
    ! [VarCurr] :
      ( v1303(VarCurr)
    <=> ( v765(VarCurr,bitIndex9)
        | v1105(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_412,axiom,(
    ! [VarCurr] :
      ( v1301(VarCurr)
    <=> ( v1099(VarCurr)
        | v1302(VarCurr) ) ) )).

fof(writeUnaryOperator_220,axiom,(
    ! [VarCurr] :
      ( ~ v1302(VarCurr)
    <=> v1105(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_411,axiom,(
    ! [VarCurr] :
      ( v1233(VarCurr)
    <=> ( v1234(VarCurr)
        | v1298(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_105,axiom,(
    ! [VarCurr] :
      ( v1298(VarCurr)
    <=> ( v765(VarCurr,bitIndex8)
        & v1296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_410,axiom,(
    ! [VarCurr] :
      ( v1234(VarCurr)
    <=> ( v1235(VarCurr)
        & v1293(VarCurr) ) ) )).

fof(writeUnaryOperator_219,axiom,(
    ! [VarCurr] :
      ( ~ v1293(VarCurr)
    <=> v1294(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_409,axiom,(
    ! [VarCurr] :
      ( v1294(VarCurr)
    <=> ( v1295(VarCurr)
        & v1297(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_104,axiom,(
    ! [VarCurr] :
      ( v1297(VarCurr)
    <=> ( v765(VarCurr,bitIndex8)
        | v1105(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_408,axiom,(
    ! [VarCurr] :
      ( v1295(VarCurr)
    <=> ( v1092(VarCurr)
        | v1296(VarCurr) ) ) )).

fof(writeUnaryOperator_218,axiom,(
    ! [VarCurr] :
      ( ~ v1296(VarCurr)
    <=> v1105(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_407,axiom,(
    ! [VarCurr] :
      ( v1235(VarCurr)
    <=> ( v1236(VarCurr)
        | v1292(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_103,axiom,(
    ! [VarCurr] :
      ( v1292(VarCurr)
    <=> ( v765(VarCurr,bitIndex7)
        & v1290(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_406,axiom,(
    ! [VarCurr] :
      ( v1236(VarCurr)
    <=> ( v1237(VarCurr)
        & v1287(VarCurr) ) ) )).

fof(writeUnaryOperator_217,axiom,(
    ! [VarCurr] :
      ( ~ v1287(VarCurr)
    <=> v1288(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_405,axiom,(
    ! [VarCurr] :
      ( v1288(VarCurr)
    <=> ( v1289(VarCurr)
        & v1291(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_102,axiom,(
    ! [VarCurr] :
      ( v1291(VarCurr)
    <=> ( v765(VarCurr,bitIndex7)
        | v1105(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_404,axiom,(
    ! [VarCurr] :
      ( v1289(VarCurr)
    <=> ( v1085(VarCurr)
        | v1290(VarCurr) ) ) )).

fof(writeUnaryOperator_216,axiom,(
    ! [VarCurr] :
      ( ~ v1290(VarCurr)
    <=> v1105(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_403,axiom,(
    ! [VarCurr] :
      ( v1237(VarCurr)
    <=> ( v1238(VarCurr)
        | v1286(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_101,axiom,(
    ! [VarCurr] :
      ( v1286(VarCurr)
    <=> ( v765(VarCurr,bitIndex6)
        & v1284(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_402,axiom,(
    ! [VarCurr] :
      ( v1238(VarCurr)
    <=> ( v1239(VarCurr)
        & v1281(VarCurr) ) ) )).

fof(writeUnaryOperator_215,axiom,(
    ! [VarCurr] :
      ( ~ v1281(VarCurr)
    <=> v1282(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_401,axiom,(
    ! [VarCurr] :
      ( v1282(VarCurr)
    <=> ( v1283(VarCurr)
        & v1285(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_100,axiom,(
    ! [VarCurr] :
      ( v1285(VarCurr)
    <=> ( v765(VarCurr,bitIndex6)
        | v1105(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_400,axiom,(
    ! [VarCurr] :
      ( v1283(VarCurr)
    <=> ( v1078(VarCurr)
        | v1284(VarCurr) ) ) )).

fof(writeUnaryOperator_214,axiom,(
    ! [VarCurr] :
      ( ~ v1284(VarCurr)
    <=> v1105(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_399,axiom,(
    ! [VarCurr] :
      ( v1239(VarCurr)
    <=> ( v1240(VarCurr)
        | v1280(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_99,axiom,(
    ! [VarCurr] :
      ( v1280(VarCurr)
    <=> ( v765(VarCurr,bitIndex5)
        & v1278(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_398,axiom,(
    ! [VarCurr] :
      ( v1240(VarCurr)
    <=> ( v1241(VarCurr)
        & v1275(VarCurr) ) ) )).

fof(writeUnaryOperator_213,axiom,(
    ! [VarCurr] :
      ( ~ v1275(VarCurr)
    <=> v1276(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_397,axiom,(
    ! [VarCurr] :
      ( v1276(VarCurr)
    <=> ( v1277(VarCurr)
        & v1279(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_98,axiom,(
    ! [VarCurr] :
      ( v1279(VarCurr)
    <=> ( v765(VarCurr,bitIndex5)
        | v1105(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_396,axiom,(
    ! [VarCurr] :
      ( v1277(VarCurr)
    <=> ( v1071(VarCurr)
        | v1278(VarCurr) ) ) )).

fof(writeUnaryOperator_212,axiom,(
    ! [VarCurr] :
      ( ~ v1278(VarCurr)
    <=> v1105(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_395,axiom,(
    ! [VarCurr] :
      ( v1241(VarCurr)
    <=> ( v1242(VarCurr)
        | v1274(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_97,axiom,(
    ! [VarCurr] :
      ( v1274(VarCurr)
    <=> ( v765(VarCurr,bitIndex4)
        & v1272(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_394,axiom,(
    ! [VarCurr] :
      ( v1242(VarCurr)
    <=> ( v1243(VarCurr)
        & v1269(VarCurr) ) ) )).

fof(writeUnaryOperator_211,axiom,(
    ! [VarCurr] :
      ( ~ v1269(VarCurr)
    <=> v1270(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_393,axiom,(
    ! [VarCurr] :
      ( v1270(VarCurr)
    <=> ( v1271(VarCurr)
        & v1273(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_96,axiom,(
    ! [VarCurr] :
      ( v1273(VarCurr)
    <=> ( v765(VarCurr,bitIndex4)
        | v1105(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_392,axiom,(
    ! [VarCurr] :
      ( v1271(VarCurr)
    <=> ( v1064(VarCurr)
        | v1272(VarCurr) ) ) )).

fof(writeUnaryOperator_210,axiom,(
    ! [VarCurr] :
      ( ~ v1272(VarCurr)
    <=> v1105(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_391,axiom,(
    ! [VarCurr] :
      ( v1243(VarCurr)
    <=> ( v1244(VarCurr)
        | v1268(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_95,axiom,(
    ! [VarCurr] :
      ( v1268(VarCurr)
    <=> ( v765(VarCurr,bitIndex3)
        & v1266(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_390,axiom,(
    ! [VarCurr] :
      ( v1244(VarCurr)
    <=> ( v1245(VarCurr)
        & v1263(VarCurr) ) ) )).

fof(writeUnaryOperator_209,axiom,(
    ! [VarCurr] :
      ( ~ v1263(VarCurr)
    <=> v1264(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_389,axiom,(
    ! [VarCurr] :
      ( v1264(VarCurr)
    <=> ( v1265(VarCurr)
        & v1267(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_94,axiom,(
    ! [VarCurr] :
      ( v1267(VarCurr)
    <=> ( v765(VarCurr,bitIndex3)
        | v1105(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_388,axiom,(
    ! [VarCurr] :
      ( v1265(VarCurr)
    <=> ( v1057(VarCurr)
        | v1266(VarCurr) ) ) )).

fof(writeUnaryOperator_208,axiom,(
    ! [VarCurr] :
      ( ~ v1266(VarCurr)
    <=> v1105(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_387,axiom,(
    ! [VarCurr] :
      ( v1245(VarCurr)
    <=> ( v1246(VarCurr)
        | v1262(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_93,axiom,(
    ! [VarCurr] :
      ( v1262(VarCurr)
    <=> ( v765(VarCurr,bitIndex2)
        & v1260(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_386,axiom,(
    ! [VarCurr] :
      ( v1246(VarCurr)
    <=> ( v1247(VarCurr)
        & v1257(VarCurr) ) ) )).

fof(writeUnaryOperator_207,axiom,(
    ! [VarCurr] :
      ( ~ v1257(VarCurr)
    <=> v1258(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_385,axiom,(
    ! [VarCurr] :
      ( v1258(VarCurr)
    <=> ( v1259(VarCurr)
        & v1261(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_92,axiom,(
    ! [VarCurr] :
      ( v1261(VarCurr)
    <=> ( v765(VarCurr,bitIndex2)
        | v1105(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_384,axiom,(
    ! [VarCurr] :
      ( v1259(VarCurr)
    <=> ( v1050(VarCurr)
        | v1260(VarCurr) ) ) )).

fof(writeUnaryOperator_206,axiom,(
    ! [VarCurr] :
      ( ~ v1260(VarCurr)
    <=> v1105(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_383,axiom,(
    ! [VarCurr] :
      ( v1247(VarCurr)
    <=> ( v1248(VarCurr)
        | v1256(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_91,axiom,(
    ! [VarCurr] :
      ( v1256(VarCurr)
    <=> ( v765(VarCurr,bitIndex1)
        & v1254(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_382,axiom,(
    ! [VarCurr] :
      ( v1248(VarCurr)
    <=> ( v1249(VarCurr)
        & v1251(VarCurr) ) ) )).

fof(writeUnaryOperator_205,axiom,(
    ! [VarCurr] :
      ( ~ v1251(VarCurr)
    <=> v1252(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_381,axiom,(
    ! [VarCurr] :
      ( v1252(VarCurr)
    <=> ( v1253(VarCurr)
        & v1255(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_90,axiom,(
    ! [VarCurr] :
      ( v1255(VarCurr)
    <=> ( v765(VarCurr,bitIndex1)
        | v1105(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_380,axiom,(
    ! [VarCurr] :
      ( v1253(VarCurr)
    <=> ( v1043(VarCurr)
        | v1254(VarCurr) ) ) )).

fof(writeUnaryOperator_204,axiom,(
    ! [VarCurr] :
      ( ~ v1254(VarCurr)
    <=> v1105(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_379,axiom,(
    ! [VarCurr] :
      ( v1249(VarCurr)
    <=> ( v765(VarCurr,bitIndex0)
        & v1250(VarCurr) ) ) )).

fof(writeUnaryOperator_203,axiom,(
    ! [VarCurr] :
      ( ~ v1250(VarCurr)
    <=> v1105(VarCurr,bitIndex0) ) )).

fof(addAssignment_166,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex0)
    <=> v1224(VarCurr) ) )).

fof(addAssignment_165,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex1)
    <=> v1219(VarCurr) ) )).

fof(addAssignment_164,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex2)
    <=> v1214(VarCurr) ) )).

fof(addAssignment_163,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex3)
    <=> v1209(VarCurr) ) )).

fof(addAssignment_162,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex4)
    <=> v1204(VarCurr) ) )).

fof(addAssignment_161,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex5)
    <=> v1199(VarCurr) ) )).

fof(addAssignment_160,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex6)
    <=> v1194(VarCurr) ) )).

fof(addAssignment_159,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex7)
    <=> v1189(VarCurr) ) )).

fof(addAssignment_158,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex8)
    <=> v1184(VarCurr) ) )).

fof(addAssignment_157,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr,bitIndex9)
    <=> v1108(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_378,axiom,(
    ! [VarCurr] :
      ( v1224(VarCurr)
    <=> ( v1225(VarCurr)
        & v1228(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_377,axiom,(
    ! [VarCurr] :
      ( v1228(VarCurr)
    <=> ( v1128(VarCurr,bitIndex0)
        | v743(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_376,axiom,(
    ! [VarCurr] :
      ( v1225(VarCurr)
    <=> ( v1226(VarCurr)
        | v1227(VarCurr) ) ) )).

fof(writeUnaryOperator_202,axiom,(
    ! [VarCurr] :
      ( ~ v1227(VarCurr)
    <=> v743(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_201,axiom,(
    ! [VarCurr] :
      ( ~ v1226(VarCurr)
    <=> v1128(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_375,axiom,(
    ! [VarCurr] :
      ( v1219(VarCurr)
    <=> ( v1220(VarCurr)
        & v1223(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_374,axiom,(
    ! [VarCurr] :
      ( v1223(VarCurr)
    <=> ( v1127(VarCurr)
        | v1129(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_373,axiom,(
    ! [VarCurr] :
      ( v1220(VarCurr)
    <=> ( v1221(VarCurr)
        | v1222(VarCurr) ) ) )).

fof(writeUnaryOperator_200,axiom,(
    ! [VarCurr] :
      ( ~ v1222(VarCurr)
    <=> v1129(VarCurr) ) )).

fof(writeUnaryOperator_199,axiom,(
    ! [VarCurr] :
      ( ~ v1221(VarCurr)
    <=> v1127(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_372,axiom,(
    ! [VarCurr] :
      ( v1214(VarCurr)
    <=> ( v1215(VarCurr)
        & v1218(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_371,axiom,(
    ! [VarCurr] :
      ( v1218(VarCurr)
    <=> ( v1125(VarCurr)
        | v1135(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_370,axiom,(
    ! [VarCurr] :
      ( v1215(VarCurr)
    <=> ( v1216(VarCurr)
        | v1217(VarCurr) ) ) )).

fof(writeUnaryOperator_198,axiom,(
    ! [VarCurr] :
      ( ~ v1217(VarCurr)
    <=> v1135(VarCurr) ) )).

fof(writeUnaryOperator_197,axiom,(
    ! [VarCurr] :
      ( ~ v1216(VarCurr)
    <=> v1125(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_369,axiom,(
    ! [VarCurr] :
      ( v1209(VarCurr)
    <=> ( v1210(VarCurr)
        & v1213(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_368,axiom,(
    ! [VarCurr] :
      ( v1213(VarCurr)
    <=> ( v1123(VarCurr)
        | v1141(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_367,axiom,(
    ! [VarCurr] :
      ( v1210(VarCurr)
    <=> ( v1211(VarCurr)
        | v1212(VarCurr) ) ) )).

fof(writeUnaryOperator_196,axiom,(
    ! [VarCurr] :
      ( ~ v1212(VarCurr)
    <=> v1141(VarCurr) ) )).

fof(writeUnaryOperator_195,axiom,(
    ! [VarCurr] :
      ( ~ v1211(VarCurr)
    <=> v1123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_366,axiom,(
    ! [VarCurr] :
      ( v1204(VarCurr)
    <=> ( v1205(VarCurr)
        & v1208(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_365,axiom,(
    ! [VarCurr] :
      ( v1208(VarCurr)
    <=> ( v1121(VarCurr)
        | v1147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_364,axiom,(
    ! [VarCurr] :
      ( v1205(VarCurr)
    <=> ( v1206(VarCurr)
        | v1207(VarCurr) ) ) )).

fof(writeUnaryOperator_194,axiom,(
    ! [VarCurr] :
      ( ~ v1207(VarCurr)
    <=> v1147(VarCurr) ) )).

fof(writeUnaryOperator_193,axiom,(
    ! [VarCurr] :
      ( ~ v1206(VarCurr)
    <=> v1121(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_363,axiom,(
    ! [VarCurr] :
      ( v1199(VarCurr)
    <=> ( v1200(VarCurr)
        & v1203(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_362,axiom,(
    ! [VarCurr] :
      ( v1203(VarCurr)
    <=> ( v1119(VarCurr)
        | v1153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_361,axiom,(
    ! [VarCurr] :
      ( v1200(VarCurr)
    <=> ( v1201(VarCurr)
        | v1202(VarCurr) ) ) )).

fof(writeUnaryOperator_192,axiom,(
    ! [VarCurr] :
      ( ~ v1202(VarCurr)
    <=> v1153(VarCurr) ) )).

fof(writeUnaryOperator_191,axiom,(
    ! [VarCurr] :
      ( ~ v1201(VarCurr)
    <=> v1119(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_360,axiom,(
    ! [VarCurr] :
      ( v1194(VarCurr)
    <=> ( v1195(VarCurr)
        & v1198(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_359,axiom,(
    ! [VarCurr] :
      ( v1198(VarCurr)
    <=> ( v1117(VarCurr)
        | v1159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_358,axiom,(
    ! [VarCurr] :
      ( v1195(VarCurr)
    <=> ( v1196(VarCurr)
        | v1197(VarCurr) ) ) )).

fof(writeUnaryOperator_190,axiom,(
    ! [VarCurr] :
      ( ~ v1197(VarCurr)
    <=> v1159(VarCurr) ) )).

fof(writeUnaryOperator_189,axiom,(
    ! [VarCurr] :
      ( ~ v1196(VarCurr)
    <=> v1117(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_357,axiom,(
    ! [VarCurr] :
      ( v1189(VarCurr)
    <=> ( v1190(VarCurr)
        & v1193(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_356,axiom,(
    ! [VarCurr] :
      ( v1193(VarCurr)
    <=> ( v1115(VarCurr)
        | v1165(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_355,axiom,(
    ! [VarCurr] :
      ( v1190(VarCurr)
    <=> ( v1191(VarCurr)
        | v1192(VarCurr) ) ) )).

fof(writeUnaryOperator_188,axiom,(
    ! [VarCurr] :
      ( ~ v1192(VarCurr)
    <=> v1165(VarCurr) ) )).

fof(writeUnaryOperator_187,axiom,(
    ! [VarCurr] :
      ( ~ v1191(VarCurr)
    <=> v1115(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_354,axiom,(
    ! [VarCurr] :
      ( v1184(VarCurr)
    <=> ( v1185(VarCurr)
        & v1188(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_353,axiom,(
    ! [VarCurr] :
      ( v1188(VarCurr)
    <=> ( v1113(VarCurr)
        | v1171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_352,axiom,(
    ! [VarCurr] :
      ( v1185(VarCurr)
    <=> ( v1186(VarCurr)
        | v1187(VarCurr) ) ) )).

fof(writeUnaryOperator_186,axiom,(
    ! [VarCurr] :
      ( ~ v1187(VarCurr)
    <=> v1171(VarCurr) ) )).

fof(writeUnaryOperator_185,axiom,(
    ! [VarCurr] :
      ( ~ v1186(VarCurr)
    <=> v1113(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_351,axiom,(
    ! [VarCurr] :
      ( v1108(VarCurr)
    <=> ( v1109(VarCurr)
        & v1183(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_350,axiom,(
    ! [VarCurr] :
      ( v1183(VarCurr)
    <=> ( v1111(VarCurr)
        | v1178(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_349,axiom,(
    ! [VarCurr] :
      ( v1109(VarCurr)
    <=> ( v1110(VarCurr)
        | v1177(VarCurr) ) ) )).

fof(writeUnaryOperator_184,axiom,(
    ! [VarCurr] :
      ( ~ v1177(VarCurr)
    <=> v1178(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_348,axiom,(
    ! [VarCurr] :
      ( v1178(VarCurr)
    <=> ( v1179(VarCurr)
        & v1182(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_89,axiom,(
    ! [VarCurr] :
      ( v1182(VarCurr)
    <=> ( v1128(VarCurr,bitIndex9)
        | v743(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_347,axiom,(
    ! [VarCurr] :
      ( v1179(VarCurr)
    <=> ( v1180(VarCurr)
        | v1181(VarCurr) ) ) )).

fof(writeUnaryOperator_183,axiom,(
    ! [VarCurr] :
      ( ~ v1181(VarCurr)
    <=> v743(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_182,axiom,(
    ! [VarCurr] :
      ( ~ v1180(VarCurr)
    <=> v1128(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_181,axiom,(
    ! [VarCurr] :
      ( ~ v1110(VarCurr)
    <=> v1111(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_346,axiom,(
    ! [VarCurr] :
      ( v1111(VarCurr)
    <=> ( v1112(VarCurr)
        | v1176(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_88,axiom,(
    ! [VarCurr] :
      ( v1176(VarCurr)
    <=> ( v1128(VarCurr,bitIndex8)
        & v743(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_345,axiom,(
    ! [VarCurr] :
      ( v1112(VarCurr)
    <=> ( v1113(VarCurr)
        & v1171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_344,axiom,(
    ! [VarCurr] :
      ( v1171(VarCurr)
    <=> ( v1172(VarCurr)
        & v1175(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_87,axiom,(
    ! [VarCurr] :
      ( v1175(VarCurr)
    <=> ( v1128(VarCurr,bitIndex8)
        | v743(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_343,axiom,(
    ! [VarCurr] :
      ( v1172(VarCurr)
    <=> ( v1173(VarCurr)
        | v1174(VarCurr) ) ) )).

fof(writeUnaryOperator_180,axiom,(
    ! [VarCurr] :
      ( ~ v1174(VarCurr)
    <=> v743(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_179,axiom,(
    ! [VarCurr] :
      ( ~ v1173(VarCurr)
    <=> v1128(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_342,axiom,(
    ! [VarCurr] :
      ( v1113(VarCurr)
    <=> ( v1114(VarCurr)
        | v1170(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_86,axiom,(
    ! [VarCurr] :
      ( v1170(VarCurr)
    <=> ( v1128(VarCurr,bitIndex7)
        & v743(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_341,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr)
    <=> ( v1115(VarCurr)
        & v1165(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_340,axiom,(
    ! [VarCurr] :
      ( v1165(VarCurr)
    <=> ( v1166(VarCurr)
        & v1169(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_85,axiom,(
    ! [VarCurr] :
      ( v1169(VarCurr)
    <=> ( v1128(VarCurr,bitIndex7)
        | v743(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_339,axiom,(
    ! [VarCurr] :
      ( v1166(VarCurr)
    <=> ( v1167(VarCurr)
        | v1168(VarCurr) ) ) )).

fof(writeUnaryOperator_178,axiom,(
    ! [VarCurr] :
      ( ~ v1168(VarCurr)
    <=> v743(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_177,axiom,(
    ! [VarCurr] :
      ( ~ v1167(VarCurr)
    <=> v1128(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_338,axiom,(
    ! [VarCurr] :
      ( v1115(VarCurr)
    <=> ( v1116(VarCurr)
        | v1164(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_84,axiom,(
    ! [VarCurr] :
      ( v1164(VarCurr)
    <=> ( v1128(VarCurr,bitIndex6)
        & v743(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_337,axiom,(
    ! [VarCurr] :
      ( v1116(VarCurr)
    <=> ( v1117(VarCurr)
        & v1159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_336,axiom,(
    ! [VarCurr] :
      ( v1159(VarCurr)
    <=> ( v1160(VarCurr)
        & v1163(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_83,axiom,(
    ! [VarCurr] :
      ( v1163(VarCurr)
    <=> ( v1128(VarCurr,bitIndex6)
        | v743(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_335,axiom,(
    ! [VarCurr] :
      ( v1160(VarCurr)
    <=> ( v1161(VarCurr)
        | v1162(VarCurr) ) ) )).

fof(writeUnaryOperator_176,axiom,(
    ! [VarCurr] :
      ( ~ v1162(VarCurr)
    <=> v743(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_175,axiom,(
    ! [VarCurr] :
      ( ~ v1161(VarCurr)
    <=> v1128(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_334,axiom,(
    ! [VarCurr] :
      ( v1117(VarCurr)
    <=> ( v1118(VarCurr)
        | v1158(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_82,axiom,(
    ! [VarCurr] :
      ( v1158(VarCurr)
    <=> ( v1128(VarCurr,bitIndex5)
        & v743(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_333,axiom,(
    ! [VarCurr] :
      ( v1118(VarCurr)
    <=> ( v1119(VarCurr)
        & v1153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_332,axiom,(
    ! [VarCurr] :
      ( v1153(VarCurr)
    <=> ( v1154(VarCurr)
        & v1157(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_81,axiom,(
    ! [VarCurr] :
      ( v1157(VarCurr)
    <=> ( v1128(VarCurr,bitIndex5)
        | v743(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_331,axiom,(
    ! [VarCurr] :
      ( v1154(VarCurr)
    <=> ( v1155(VarCurr)
        | v1156(VarCurr) ) ) )).

fof(writeUnaryOperator_174,axiom,(
    ! [VarCurr] :
      ( ~ v1156(VarCurr)
    <=> v743(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_173,axiom,(
    ! [VarCurr] :
      ( ~ v1155(VarCurr)
    <=> v1128(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_330,axiom,(
    ! [VarCurr] :
      ( v1119(VarCurr)
    <=> ( v1120(VarCurr)
        | v1152(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_80,axiom,(
    ! [VarCurr] :
      ( v1152(VarCurr)
    <=> ( v1128(VarCurr,bitIndex4)
        & v743(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_329,axiom,(
    ! [VarCurr] :
      ( v1120(VarCurr)
    <=> ( v1121(VarCurr)
        & v1147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_328,axiom,(
    ! [VarCurr] :
      ( v1147(VarCurr)
    <=> ( v1148(VarCurr)
        & v1151(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_79,axiom,(
    ! [VarCurr] :
      ( v1151(VarCurr)
    <=> ( v1128(VarCurr,bitIndex4)
        | v743(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_327,axiom,(
    ! [VarCurr] :
      ( v1148(VarCurr)
    <=> ( v1149(VarCurr)
        | v1150(VarCurr) ) ) )).

fof(writeUnaryOperator_172,axiom,(
    ! [VarCurr] :
      ( ~ v1150(VarCurr)
    <=> v743(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_171,axiom,(
    ! [VarCurr] :
      ( ~ v1149(VarCurr)
    <=> v1128(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_326,axiom,(
    ! [VarCurr] :
      ( v1121(VarCurr)
    <=> ( v1122(VarCurr)
        | v1146(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_78,axiom,(
    ! [VarCurr] :
      ( v1146(VarCurr)
    <=> ( v1128(VarCurr,bitIndex3)
        & v743(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_325,axiom,(
    ! [VarCurr] :
      ( v1122(VarCurr)
    <=> ( v1123(VarCurr)
        & v1141(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_324,axiom,(
    ! [VarCurr] :
      ( v1141(VarCurr)
    <=> ( v1142(VarCurr)
        & v1145(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_77,axiom,(
    ! [VarCurr] :
      ( v1145(VarCurr)
    <=> ( v1128(VarCurr,bitIndex3)
        | v743(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_323,axiom,(
    ! [VarCurr] :
      ( v1142(VarCurr)
    <=> ( v1143(VarCurr)
        | v1144(VarCurr) ) ) )).

fof(writeUnaryOperator_170,axiom,(
    ! [VarCurr] :
      ( ~ v1144(VarCurr)
    <=> v743(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_169,axiom,(
    ! [VarCurr] :
      ( ~ v1143(VarCurr)
    <=> v1128(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_322,axiom,(
    ! [VarCurr] :
      ( v1123(VarCurr)
    <=> ( v1124(VarCurr)
        | v1140(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_76,axiom,(
    ! [VarCurr] :
      ( v1140(VarCurr)
    <=> ( v1128(VarCurr,bitIndex2)
        & v743(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_321,axiom,(
    ! [VarCurr] :
      ( v1124(VarCurr)
    <=> ( v1125(VarCurr)
        & v1135(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_320,axiom,(
    ! [VarCurr] :
      ( v1135(VarCurr)
    <=> ( v1136(VarCurr)
        & v1139(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_75,axiom,(
    ! [VarCurr] :
      ( v1139(VarCurr)
    <=> ( v1128(VarCurr,bitIndex2)
        | v743(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_319,axiom,(
    ! [VarCurr] :
      ( v1136(VarCurr)
    <=> ( v1137(VarCurr)
        | v1138(VarCurr) ) ) )).

fof(writeUnaryOperator_168,axiom,(
    ! [VarCurr] :
      ( ~ v1138(VarCurr)
    <=> v743(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_167,axiom,(
    ! [VarCurr] :
      ( ~ v1137(VarCurr)
    <=> v1128(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_318,axiom,(
    ! [VarCurr] :
      ( v1125(VarCurr)
    <=> ( v1126(VarCurr)
        | v1134(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_74,axiom,(
    ! [VarCurr] :
      ( v1134(VarCurr)
    <=> ( v1128(VarCurr,bitIndex1)
        & v743(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_317,axiom,(
    ! [VarCurr] :
      ( v1126(VarCurr)
    <=> ( v1127(VarCurr)
        & v1129(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_316,axiom,(
    ! [VarCurr] :
      ( v1129(VarCurr)
    <=> ( v1130(VarCurr)
        & v1133(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_73,axiom,(
    ! [VarCurr] :
      ( v1133(VarCurr)
    <=> ( v1128(VarCurr,bitIndex1)
        | v743(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_315,axiom,(
    ! [VarCurr] :
      ( v1130(VarCurr)
    <=> ( v1131(VarCurr)
        | v1132(VarCurr) ) ) )).

fof(writeUnaryOperator_166,axiom,(
    ! [VarCurr] :
      ( ~ v1132(VarCurr)
    <=> v743(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_165,axiom,(
    ! [VarCurr] :
      ( ~ v1131(VarCurr)
    <=> v1128(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_314,axiom,(
    ! [VarCurr] :
      ( v1127(VarCurr)
    <=> ( v1128(VarCurr,bitIndex0)
        & v743(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_156,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v1128(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_155,axiom,(
    ! [VarCurr,B] :
      ( range_8_4(B)
     => ( v1128(VarCurr,B)
      <=> v746(VarCurr,B) ) ) )).

fof(addAssignment_154,axiom,(
    ! [VarCurr] :
      ( v1128(VarCurr,bitIndex9)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_11,axiom,(
    ! [VarCurr] :
      ( ~ v1018(VarCurr)
     => ( v763(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_11,axiom,(
    ! [VarCurr] :
      ( v1018(VarCurr)
     => ( v763(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_313,axiom,(
    ! [VarCurr] :
      ( v1018(VarCurr)
    <=> ( v1020(VarCurr)
        | v1101(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_72,axiom,(
    ! [VarCurr] :
      ( v1101(VarCurr)
    <=> ( v1098(VarCurr)
        & v765(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_312,axiom,(
    ! [VarCurr] :
      ( v1020(VarCurr)
    <=> ( v1021(VarCurr)
        & v1095(VarCurr) ) ) )).

fof(writeUnaryOperator_164,axiom,(
    ! [VarCurr] :
      ( ~ v1095(VarCurr)
    <=> v1096(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_311,axiom,(
    ! [VarCurr] :
      ( v1096(VarCurr)
    <=> ( v1097(VarCurr)
        & v1100(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_71,axiom,(
    ! [VarCurr] :
      ( v1100(VarCurr)
    <=> ( v890(VarCurr,bitIndex9)
        | v765(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_310,axiom,(
    ! [VarCurr] :
      ( v1097(VarCurr)
    <=> ( v1098(VarCurr)
        | v1099(VarCurr) ) ) )).

fof(writeUnaryOperator_163,axiom,(
    ! [VarCurr] :
      ( ~ v1099(VarCurr)
    <=> v765(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_162,axiom,(
    ! [VarCurr] :
      ( ~ v1098(VarCurr)
    <=> v890(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_309,axiom,(
    ! [VarCurr] :
      ( v1021(VarCurr)
    <=> ( v1022(VarCurr)
        | v1094(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_70,axiom,(
    ! [VarCurr] :
      ( v1094(VarCurr)
    <=> ( v1091(VarCurr)
        & v765(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_308,axiom,(
    ! [VarCurr] :
      ( v1022(VarCurr)
    <=> ( v1023(VarCurr)
        & v1088(VarCurr) ) ) )).

fof(writeUnaryOperator_161,axiom,(
    ! [VarCurr] :
      ( ~ v1088(VarCurr)
    <=> v1089(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_307,axiom,(
    ! [VarCurr] :
      ( v1089(VarCurr)
    <=> ( v1090(VarCurr)
        & v1093(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_69,axiom,(
    ! [VarCurr] :
      ( v1093(VarCurr)
    <=> ( v890(VarCurr,bitIndex8)
        | v765(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_306,axiom,(
    ! [VarCurr] :
      ( v1090(VarCurr)
    <=> ( v1091(VarCurr)
        | v1092(VarCurr) ) ) )).

fof(writeUnaryOperator_160,axiom,(
    ! [VarCurr] :
      ( ~ v1092(VarCurr)
    <=> v765(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_159,axiom,(
    ! [VarCurr] :
      ( ~ v1091(VarCurr)
    <=> v890(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_305,axiom,(
    ! [VarCurr] :
      ( v1023(VarCurr)
    <=> ( v1024(VarCurr)
        | v1087(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_68,axiom,(
    ! [VarCurr] :
      ( v1087(VarCurr)
    <=> ( v1084(VarCurr)
        & v765(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_304,axiom,(
    ! [VarCurr] :
      ( v1024(VarCurr)
    <=> ( v1025(VarCurr)
        & v1081(VarCurr) ) ) )).

fof(writeUnaryOperator_158,axiom,(
    ! [VarCurr] :
      ( ~ v1081(VarCurr)
    <=> v1082(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_303,axiom,(
    ! [VarCurr] :
      ( v1082(VarCurr)
    <=> ( v1083(VarCurr)
        & v1086(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_67,axiom,(
    ! [VarCurr] :
      ( v1086(VarCurr)
    <=> ( v890(VarCurr,bitIndex7)
        | v765(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_302,axiom,(
    ! [VarCurr] :
      ( v1083(VarCurr)
    <=> ( v1084(VarCurr)
        | v1085(VarCurr) ) ) )).

fof(writeUnaryOperator_157,axiom,(
    ! [VarCurr] :
      ( ~ v1085(VarCurr)
    <=> v765(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_156,axiom,(
    ! [VarCurr] :
      ( ~ v1084(VarCurr)
    <=> v890(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_301,axiom,(
    ! [VarCurr] :
      ( v1025(VarCurr)
    <=> ( v1026(VarCurr)
        | v1080(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_66,axiom,(
    ! [VarCurr] :
      ( v1080(VarCurr)
    <=> ( v1077(VarCurr)
        & v765(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_300,axiom,(
    ! [VarCurr] :
      ( v1026(VarCurr)
    <=> ( v1027(VarCurr)
        & v1074(VarCurr) ) ) )).

fof(writeUnaryOperator_155,axiom,(
    ! [VarCurr] :
      ( ~ v1074(VarCurr)
    <=> v1075(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_299,axiom,(
    ! [VarCurr] :
      ( v1075(VarCurr)
    <=> ( v1076(VarCurr)
        & v1079(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_65,axiom,(
    ! [VarCurr] :
      ( v1079(VarCurr)
    <=> ( v890(VarCurr,bitIndex6)
        | v765(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_298,axiom,(
    ! [VarCurr] :
      ( v1076(VarCurr)
    <=> ( v1077(VarCurr)
        | v1078(VarCurr) ) ) )).

fof(writeUnaryOperator_154,axiom,(
    ! [VarCurr] :
      ( ~ v1078(VarCurr)
    <=> v765(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_153,axiom,(
    ! [VarCurr] :
      ( ~ v1077(VarCurr)
    <=> v890(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_297,axiom,(
    ! [VarCurr] :
      ( v1027(VarCurr)
    <=> ( v1028(VarCurr)
        | v1073(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_64,axiom,(
    ! [VarCurr] :
      ( v1073(VarCurr)
    <=> ( v1070(VarCurr)
        & v765(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_296,axiom,(
    ! [VarCurr] :
      ( v1028(VarCurr)
    <=> ( v1029(VarCurr)
        & v1067(VarCurr) ) ) )).

fof(writeUnaryOperator_152,axiom,(
    ! [VarCurr] :
      ( ~ v1067(VarCurr)
    <=> v1068(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_295,axiom,(
    ! [VarCurr] :
      ( v1068(VarCurr)
    <=> ( v1069(VarCurr)
        & v1072(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_63,axiom,(
    ! [VarCurr] :
      ( v1072(VarCurr)
    <=> ( v890(VarCurr,bitIndex5)
        | v765(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_294,axiom,(
    ! [VarCurr] :
      ( v1069(VarCurr)
    <=> ( v1070(VarCurr)
        | v1071(VarCurr) ) ) )).

fof(writeUnaryOperator_151,axiom,(
    ! [VarCurr] :
      ( ~ v1071(VarCurr)
    <=> v765(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_150,axiom,(
    ! [VarCurr] :
      ( ~ v1070(VarCurr)
    <=> v890(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_293,axiom,(
    ! [VarCurr] :
      ( v1029(VarCurr)
    <=> ( v1030(VarCurr)
        | v1066(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_62,axiom,(
    ! [VarCurr] :
      ( v1066(VarCurr)
    <=> ( v1063(VarCurr)
        & v765(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_292,axiom,(
    ! [VarCurr] :
      ( v1030(VarCurr)
    <=> ( v1031(VarCurr)
        & v1060(VarCurr) ) ) )).

fof(writeUnaryOperator_149,axiom,(
    ! [VarCurr] :
      ( ~ v1060(VarCurr)
    <=> v1061(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_291,axiom,(
    ! [VarCurr] :
      ( v1061(VarCurr)
    <=> ( v1062(VarCurr)
        & v1065(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_61,axiom,(
    ! [VarCurr] :
      ( v1065(VarCurr)
    <=> ( v890(VarCurr,bitIndex4)
        | v765(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_290,axiom,(
    ! [VarCurr] :
      ( v1062(VarCurr)
    <=> ( v1063(VarCurr)
        | v1064(VarCurr) ) ) )).

fof(writeUnaryOperator_148,axiom,(
    ! [VarCurr] :
      ( ~ v1064(VarCurr)
    <=> v765(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_147,axiom,(
    ! [VarCurr] :
      ( ~ v1063(VarCurr)
    <=> v890(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_289,axiom,(
    ! [VarCurr] :
      ( v1031(VarCurr)
    <=> ( v1032(VarCurr)
        | v1059(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_60,axiom,(
    ! [VarCurr] :
      ( v1059(VarCurr)
    <=> ( v1056(VarCurr)
        & v765(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_288,axiom,(
    ! [VarCurr] :
      ( v1032(VarCurr)
    <=> ( v1033(VarCurr)
        & v1053(VarCurr) ) ) )).

fof(writeUnaryOperator_146,axiom,(
    ! [VarCurr] :
      ( ~ v1053(VarCurr)
    <=> v1054(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_287,axiom,(
    ! [VarCurr] :
      ( v1054(VarCurr)
    <=> ( v1055(VarCurr)
        & v1058(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_59,axiom,(
    ! [VarCurr] :
      ( v1058(VarCurr)
    <=> ( v890(VarCurr,bitIndex3)
        | v765(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_286,axiom,(
    ! [VarCurr] :
      ( v1055(VarCurr)
    <=> ( v1056(VarCurr)
        | v1057(VarCurr) ) ) )).

fof(writeUnaryOperator_145,axiom,(
    ! [VarCurr] :
      ( ~ v1057(VarCurr)
    <=> v765(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_144,axiom,(
    ! [VarCurr] :
      ( ~ v1056(VarCurr)
    <=> v890(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_285,axiom,(
    ! [VarCurr] :
      ( v1033(VarCurr)
    <=> ( v1034(VarCurr)
        | v1052(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_58,axiom,(
    ! [VarCurr] :
      ( v1052(VarCurr)
    <=> ( v1049(VarCurr)
        & v765(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_284,axiom,(
    ! [VarCurr] :
      ( v1034(VarCurr)
    <=> ( v1035(VarCurr)
        & v1046(VarCurr) ) ) )).

fof(writeUnaryOperator_143,axiom,(
    ! [VarCurr] :
      ( ~ v1046(VarCurr)
    <=> v1047(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_283,axiom,(
    ! [VarCurr] :
      ( v1047(VarCurr)
    <=> ( v1048(VarCurr)
        & v1051(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_57,axiom,(
    ! [VarCurr] :
      ( v1051(VarCurr)
    <=> ( v890(VarCurr,bitIndex2)
        | v765(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_282,axiom,(
    ! [VarCurr] :
      ( v1048(VarCurr)
    <=> ( v1049(VarCurr)
        | v1050(VarCurr) ) ) )).

fof(writeUnaryOperator_142,axiom,(
    ! [VarCurr] :
      ( ~ v1050(VarCurr)
    <=> v765(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_141,axiom,(
    ! [VarCurr] :
      ( ~ v1049(VarCurr)
    <=> v890(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_281,axiom,(
    ! [VarCurr] :
      ( v1035(VarCurr)
    <=> ( v1036(VarCurr)
        | v1045(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_56,axiom,(
    ! [VarCurr] :
      ( v1045(VarCurr)
    <=> ( v1042(VarCurr)
        & v765(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_280,axiom,(
    ! [VarCurr] :
      ( v1036(VarCurr)
    <=> ( v1037(VarCurr)
        & v1039(VarCurr) ) ) )).

fof(writeUnaryOperator_140,axiom,(
    ! [VarCurr] :
      ( ~ v1039(VarCurr)
    <=> v1040(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_279,axiom,(
    ! [VarCurr] :
      ( v1040(VarCurr)
    <=> ( v1041(VarCurr)
        & v1044(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_55,axiom,(
    ! [VarCurr] :
      ( v1044(VarCurr)
    <=> ( v890(VarCurr,bitIndex1)
        | v765(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_278,axiom,(
    ! [VarCurr] :
      ( v1041(VarCurr)
    <=> ( v1042(VarCurr)
        | v1043(VarCurr) ) ) )).

fof(writeUnaryOperator_139,axiom,(
    ! [VarCurr] :
      ( ~ v1043(VarCurr)
    <=> v765(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_138,axiom,(
    ! [VarCurr] :
      ( ~ v1042(VarCurr)
    <=> v890(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_277,axiom,(
    ! [VarCurr] :
      ( v1037(VarCurr)
    <=> ( v1038(VarCurr)
        & v765(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_137,axiom,(
    ! [VarCurr] :
      ( ~ v1038(VarCurr)
    <=> v890(VarCurr,bitIndex0) ) )).

fof(addAssignment_153,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex0)
    <=> v1012(VarCurr) ) )).

fof(addAssignment_152,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex1)
    <=> v1007(VarCurr) ) )).

fof(addAssignment_151,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex2)
    <=> v1002(VarCurr) ) )).

fof(addAssignment_150,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex3)
    <=> v997(VarCurr) ) )).

fof(addAssignment_149,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex4)
    <=> v992(VarCurr) ) )).

fof(addAssignment_148,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex5)
    <=> v987(VarCurr) ) )).

fof(addAssignment_147,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex6)
    <=> v982(VarCurr) ) )).

fof(addAssignment_146,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex7)
    <=> v977(VarCurr) ) )).

fof(addAssignment_145,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex8)
    <=> v972(VarCurr) ) )).

fof(addAssignment_144,axiom,(
    ! [VarCurr] :
      ( v890(VarCurr,bitIndex9)
    <=> v895(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_276,axiom,(
    ! [VarCurr] :
      ( v1012(VarCurr)
    <=> ( v1013(VarCurr)
        & v1016(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_275,axiom,(
    ! [VarCurr] :
      ( v1016(VarCurr)
    <=> ( v915(VarCurr,bitIndex0)
        | v916(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_274,axiom,(
    ! [VarCurr] :
      ( v1013(VarCurr)
    <=> ( v1014(VarCurr)
        | v1015(VarCurr) ) ) )).

fof(writeUnaryOperator_136,axiom,(
    ! [VarCurr] :
      ( ~ v1015(VarCurr)
    <=> v916(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_135,axiom,(
    ! [VarCurr] :
      ( ~ v1014(VarCurr)
    <=> v915(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_273,axiom,(
    ! [VarCurr] :
      ( v1007(VarCurr)
    <=> ( v1008(VarCurr)
        & v1011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_272,axiom,(
    ! [VarCurr] :
      ( v1011(VarCurr)
    <=> ( v914(VarCurr)
        | v917(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_271,axiom,(
    ! [VarCurr] :
      ( v1008(VarCurr)
    <=> ( v1009(VarCurr)
        | v1010(VarCurr) ) ) )).

fof(writeUnaryOperator_134,axiom,(
    ! [VarCurr] :
      ( ~ v1010(VarCurr)
    <=> v917(VarCurr) ) )).

fof(writeUnaryOperator_133,axiom,(
    ! [VarCurr] :
      ( ~ v1009(VarCurr)
    <=> v914(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_270,axiom,(
    ! [VarCurr] :
      ( v1002(VarCurr)
    <=> ( v1003(VarCurr)
        & v1006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_269,axiom,(
    ! [VarCurr] :
      ( v1006(VarCurr)
    <=> ( v912(VarCurr)
        | v923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_268,axiom,(
    ! [VarCurr] :
      ( v1003(VarCurr)
    <=> ( v1004(VarCurr)
        | v1005(VarCurr) ) ) )).

fof(writeUnaryOperator_132,axiom,(
    ! [VarCurr] :
      ( ~ v1005(VarCurr)
    <=> v923(VarCurr) ) )).

fof(writeUnaryOperator_131,axiom,(
    ! [VarCurr] :
      ( ~ v1004(VarCurr)
    <=> v912(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_267,axiom,(
    ! [VarCurr] :
      ( v997(VarCurr)
    <=> ( v998(VarCurr)
        & v1001(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_266,axiom,(
    ! [VarCurr] :
      ( v1001(VarCurr)
    <=> ( v910(VarCurr)
        | v929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_265,axiom,(
    ! [VarCurr] :
      ( v998(VarCurr)
    <=> ( v999(VarCurr)
        | v1000(VarCurr) ) ) )).

fof(writeUnaryOperator_130,axiom,(
    ! [VarCurr] :
      ( ~ v1000(VarCurr)
    <=> v929(VarCurr) ) )).

fof(writeUnaryOperator_129,axiom,(
    ! [VarCurr] :
      ( ~ v999(VarCurr)
    <=> v910(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_264,axiom,(
    ! [VarCurr] :
      ( v992(VarCurr)
    <=> ( v993(VarCurr)
        & v996(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_263,axiom,(
    ! [VarCurr] :
      ( v996(VarCurr)
    <=> ( v908(VarCurr)
        | v935(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_262,axiom,(
    ! [VarCurr] :
      ( v993(VarCurr)
    <=> ( v994(VarCurr)
        | v995(VarCurr) ) ) )).

fof(writeUnaryOperator_128,axiom,(
    ! [VarCurr] :
      ( ~ v995(VarCurr)
    <=> v935(VarCurr) ) )).

fof(writeUnaryOperator_127,axiom,(
    ! [VarCurr] :
      ( ~ v994(VarCurr)
    <=> v908(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_261,axiom,(
    ! [VarCurr] :
      ( v987(VarCurr)
    <=> ( v988(VarCurr)
        & v991(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_260,axiom,(
    ! [VarCurr] :
      ( v991(VarCurr)
    <=> ( v906(VarCurr)
        | v941(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_259,axiom,(
    ! [VarCurr] :
      ( v988(VarCurr)
    <=> ( v989(VarCurr)
        | v990(VarCurr) ) ) )).

fof(writeUnaryOperator_126,axiom,(
    ! [VarCurr] :
      ( ~ v990(VarCurr)
    <=> v941(VarCurr) ) )).

fof(writeUnaryOperator_125,axiom,(
    ! [VarCurr] :
      ( ~ v989(VarCurr)
    <=> v906(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_258,axiom,(
    ! [VarCurr] :
      ( v982(VarCurr)
    <=> ( v983(VarCurr)
        & v986(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_257,axiom,(
    ! [VarCurr] :
      ( v986(VarCurr)
    <=> ( v904(VarCurr)
        | v947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_256,axiom,(
    ! [VarCurr] :
      ( v983(VarCurr)
    <=> ( v984(VarCurr)
        | v985(VarCurr) ) ) )).

fof(writeUnaryOperator_124,axiom,(
    ! [VarCurr] :
      ( ~ v985(VarCurr)
    <=> v947(VarCurr) ) )).

fof(writeUnaryOperator_123,axiom,(
    ! [VarCurr] :
      ( ~ v984(VarCurr)
    <=> v904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_255,axiom,(
    ! [VarCurr] :
      ( v977(VarCurr)
    <=> ( v978(VarCurr)
        & v981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_254,axiom,(
    ! [VarCurr] :
      ( v981(VarCurr)
    <=> ( v902(VarCurr)
        | v953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_253,axiom,(
    ! [VarCurr] :
      ( v978(VarCurr)
    <=> ( v979(VarCurr)
        | v980(VarCurr) ) ) )).

fof(writeUnaryOperator_122,axiom,(
    ! [VarCurr] :
      ( ~ v980(VarCurr)
    <=> v953(VarCurr) ) )).

fof(writeUnaryOperator_121,axiom,(
    ! [VarCurr] :
      ( ~ v979(VarCurr)
    <=> v902(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_252,axiom,(
    ! [VarCurr] :
      ( v972(VarCurr)
    <=> ( v973(VarCurr)
        & v976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_251,axiom,(
    ! [VarCurr] :
      ( v976(VarCurr)
    <=> ( v900(VarCurr)
        | v959(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_250,axiom,(
    ! [VarCurr] :
      ( v973(VarCurr)
    <=> ( v974(VarCurr)
        | v975(VarCurr) ) ) )).

fof(writeUnaryOperator_120,axiom,(
    ! [VarCurr] :
      ( ~ v975(VarCurr)
    <=> v959(VarCurr) ) )).

fof(writeUnaryOperator_119,axiom,(
    ! [VarCurr] :
      ( ~ v974(VarCurr)
    <=> v900(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_249,axiom,(
    ! [VarCurr] :
      ( v895(VarCurr)
    <=> ( v896(VarCurr)
        & v971(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_248,axiom,(
    ! [VarCurr] :
      ( v971(VarCurr)
    <=> ( v898(VarCurr)
        | v966(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_247,axiom,(
    ! [VarCurr] :
      ( v896(VarCurr)
    <=> ( v897(VarCurr)
        | v965(VarCurr) ) ) )).

fof(writeUnaryOperator_118,axiom,(
    ! [VarCurr] :
      ( ~ v965(VarCurr)
    <=> v966(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_246,axiom,(
    ! [VarCurr] :
      ( v966(VarCurr)
    <=> ( v967(VarCurr)
        & v970(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_54,axiom,(
    ! [VarCurr] :
      ( v970(VarCurr)
    <=> ( v915(VarCurr,bitIndex9)
        | v916(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_245,axiom,(
    ! [VarCurr] :
      ( v967(VarCurr)
    <=> ( v968(VarCurr)
        | v969(VarCurr) ) ) )).

fof(writeUnaryOperator_117,axiom,(
    ! [VarCurr] :
      ( ~ v969(VarCurr)
    <=> v916(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_116,axiom,(
    ! [VarCurr] :
      ( ~ v968(VarCurr)
    <=> v915(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_115,axiom,(
    ! [VarCurr] :
      ( ~ v897(VarCurr)
    <=> v898(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_244,axiom,(
    ! [VarCurr] :
      ( v898(VarCurr)
    <=> ( v899(VarCurr)
        | v964(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_53,axiom,(
    ! [VarCurr] :
      ( v964(VarCurr)
    <=> ( v915(VarCurr,bitIndex8)
        & v916(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_243,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr)
    <=> ( v900(VarCurr)
        & v959(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_242,axiom,(
    ! [VarCurr] :
      ( v959(VarCurr)
    <=> ( v960(VarCurr)
        & v963(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_52,axiom,(
    ! [VarCurr] :
      ( v963(VarCurr)
    <=> ( v915(VarCurr,bitIndex8)
        | v916(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_241,axiom,(
    ! [VarCurr] :
      ( v960(VarCurr)
    <=> ( v961(VarCurr)
        | v962(VarCurr) ) ) )).

fof(writeUnaryOperator_114,axiom,(
    ! [VarCurr] :
      ( ~ v962(VarCurr)
    <=> v916(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_113,axiom,(
    ! [VarCurr] :
      ( ~ v961(VarCurr)
    <=> v915(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_240,axiom,(
    ! [VarCurr] :
      ( v900(VarCurr)
    <=> ( v901(VarCurr)
        | v958(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_51,axiom,(
    ! [VarCurr] :
      ( v958(VarCurr)
    <=> ( v915(VarCurr,bitIndex7)
        & v916(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_239,axiom,(
    ! [VarCurr] :
      ( v901(VarCurr)
    <=> ( v902(VarCurr)
        & v953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_238,axiom,(
    ! [VarCurr] :
      ( v953(VarCurr)
    <=> ( v954(VarCurr)
        & v957(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_50,axiom,(
    ! [VarCurr] :
      ( v957(VarCurr)
    <=> ( v915(VarCurr,bitIndex7)
        | v916(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_237,axiom,(
    ! [VarCurr] :
      ( v954(VarCurr)
    <=> ( v955(VarCurr)
        | v956(VarCurr) ) ) )).

fof(writeUnaryOperator_112,axiom,(
    ! [VarCurr] :
      ( ~ v956(VarCurr)
    <=> v916(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_111,axiom,(
    ! [VarCurr] :
      ( ~ v955(VarCurr)
    <=> v915(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_236,axiom,(
    ! [VarCurr] :
      ( v902(VarCurr)
    <=> ( v903(VarCurr)
        | v952(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_49,axiom,(
    ! [VarCurr] :
      ( v952(VarCurr)
    <=> ( v915(VarCurr,bitIndex6)
        & v916(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_235,axiom,(
    ! [VarCurr] :
      ( v903(VarCurr)
    <=> ( v904(VarCurr)
        & v947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_234,axiom,(
    ! [VarCurr] :
      ( v947(VarCurr)
    <=> ( v948(VarCurr)
        & v951(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_48,axiom,(
    ! [VarCurr] :
      ( v951(VarCurr)
    <=> ( v915(VarCurr,bitIndex6)
        | v916(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_233,axiom,(
    ! [VarCurr] :
      ( v948(VarCurr)
    <=> ( v949(VarCurr)
        | v950(VarCurr) ) ) )).

fof(writeUnaryOperator_110,axiom,(
    ! [VarCurr] :
      ( ~ v950(VarCurr)
    <=> v916(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_109,axiom,(
    ! [VarCurr] :
      ( ~ v949(VarCurr)
    <=> v915(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_232,axiom,(
    ! [VarCurr] :
      ( v904(VarCurr)
    <=> ( v905(VarCurr)
        | v946(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_47,axiom,(
    ! [VarCurr] :
      ( v946(VarCurr)
    <=> ( v915(VarCurr,bitIndex5)
        & v916(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_231,axiom,(
    ! [VarCurr] :
      ( v905(VarCurr)
    <=> ( v906(VarCurr)
        & v941(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_230,axiom,(
    ! [VarCurr] :
      ( v941(VarCurr)
    <=> ( v942(VarCurr)
        & v945(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_46,axiom,(
    ! [VarCurr] :
      ( v945(VarCurr)
    <=> ( v915(VarCurr,bitIndex5)
        | v916(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_229,axiom,(
    ! [VarCurr] :
      ( v942(VarCurr)
    <=> ( v943(VarCurr)
        | v944(VarCurr) ) ) )).

fof(writeUnaryOperator_108,axiom,(
    ! [VarCurr] :
      ( ~ v944(VarCurr)
    <=> v916(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_107,axiom,(
    ! [VarCurr] :
      ( ~ v943(VarCurr)
    <=> v915(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_228,axiom,(
    ! [VarCurr] :
      ( v906(VarCurr)
    <=> ( v907(VarCurr)
        | v940(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_45,axiom,(
    ! [VarCurr] :
      ( v940(VarCurr)
    <=> ( v915(VarCurr,bitIndex4)
        & v916(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_227,axiom,(
    ! [VarCurr] :
      ( v907(VarCurr)
    <=> ( v908(VarCurr)
        & v935(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_226,axiom,(
    ! [VarCurr] :
      ( v935(VarCurr)
    <=> ( v936(VarCurr)
        & v939(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_44,axiom,(
    ! [VarCurr] :
      ( v939(VarCurr)
    <=> ( v915(VarCurr,bitIndex4)
        | v916(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_225,axiom,(
    ! [VarCurr] :
      ( v936(VarCurr)
    <=> ( v937(VarCurr)
        | v938(VarCurr) ) ) )).

fof(writeUnaryOperator_106,axiom,(
    ! [VarCurr] :
      ( ~ v938(VarCurr)
    <=> v916(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_105,axiom,(
    ! [VarCurr] :
      ( ~ v937(VarCurr)
    <=> v915(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_224,axiom,(
    ! [VarCurr] :
      ( v908(VarCurr)
    <=> ( v909(VarCurr)
        | v934(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_43,axiom,(
    ! [VarCurr] :
      ( v934(VarCurr)
    <=> ( v915(VarCurr,bitIndex3)
        & v916(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_223,axiom,(
    ! [VarCurr] :
      ( v909(VarCurr)
    <=> ( v910(VarCurr)
        & v929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_222,axiom,(
    ! [VarCurr] :
      ( v929(VarCurr)
    <=> ( v930(VarCurr)
        & v933(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_42,axiom,(
    ! [VarCurr] :
      ( v933(VarCurr)
    <=> ( v915(VarCurr,bitIndex3)
        | v916(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_221,axiom,(
    ! [VarCurr] :
      ( v930(VarCurr)
    <=> ( v931(VarCurr)
        | v932(VarCurr) ) ) )).

fof(writeUnaryOperator_104,axiom,(
    ! [VarCurr] :
      ( ~ v932(VarCurr)
    <=> v916(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_103,axiom,(
    ! [VarCurr] :
      ( ~ v931(VarCurr)
    <=> v915(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_220,axiom,(
    ! [VarCurr] :
      ( v910(VarCurr)
    <=> ( v911(VarCurr)
        | v928(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_41,axiom,(
    ! [VarCurr] :
      ( v928(VarCurr)
    <=> ( v915(VarCurr,bitIndex2)
        & v916(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_219,axiom,(
    ! [VarCurr] :
      ( v911(VarCurr)
    <=> ( v912(VarCurr)
        & v923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_218,axiom,(
    ! [VarCurr] :
      ( v923(VarCurr)
    <=> ( v924(VarCurr)
        & v927(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_40,axiom,(
    ! [VarCurr] :
      ( v927(VarCurr)
    <=> ( v915(VarCurr,bitIndex2)
        | v916(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_217,axiom,(
    ! [VarCurr] :
      ( v924(VarCurr)
    <=> ( v925(VarCurr)
        | v926(VarCurr) ) ) )).

fof(writeUnaryOperator_102,axiom,(
    ! [VarCurr] :
      ( ~ v926(VarCurr)
    <=> v916(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_101,axiom,(
    ! [VarCurr] :
      ( ~ v925(VarCurr)
    <=> v915(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_216,axiom,(
    ! [VarCurr] :
      ( v912(VarCurr)
    <=> ( v913(VarCurr)
        | v922(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_39,axiom,(
    ! [VarCurr] :
      ( v922(VarCurr)
    <=> ( v915(VarCurr,bitIndex1)
        & v916(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_215,axiom,(
    ! [VarCurr] :
      ( v913(VarCurr)
    <=> ( v914(VarCurr)
        & v917(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_214,axiom,(
    ! [VarCurr] :
      ( v917(VarCurr)
    <=> ( v918(VarCurr)
        & v921(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_38,axiom,(
    ! [VarCurr] :
      ( v921(VarCurr)
    <=> ( v915(VarCurr,bitIndex1)
        | v916(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_213,axiom,(
    ! [VarCurr] :
      ( v918(VarCurr)
    <=> ( v919(VarCurr)
        | v920(VarCurr) ) ) )).

fof(writeUnaryOperator_100,axiom,(
    ! [VarCurr] :
      ( ~ v920(VarCurr)
    <=> v916(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_99,axiom,(
    ! [VarCurr] :
      ( ~ v919(VarCurr)
    <=> v915(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_212,axiom,(
    ! [VarCurr] :
      ( v914(VarCurr)
    <=> ( v915(VarCurr,bitIndex0)
        & v916(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_143,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v916(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_142,axiom,(
    ! [VarCurr] :
      ( ( v916(VarCurr,bitIndex7)
      <=> v892(VarCurr,bitIndex3) )
      & ( v916(VarCurr,bitIndex6)
      <=> v892(VarCurr,bitIndex2) )
      & ( v916(VarCurr,bitIndex5)
      <=> v892(VarCurr,bitIndex1) )
      & ( v916(VarCurr,bitIndex4)
      <=> v892(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_141,axiom,(
    ! [VarCurr] :
      ( ( v916(VarCurr,bitIndex9)
      <=> $false )
      & ( v916(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addAssignment_140,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v915(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_139,axiom,(
    ! [VarCurr,B] :
      ( range_8_4(B)
     => ( v915(VarCurr,B)
      <=> v746(VarCurr,B) ) ) )).

fof(range_axiom_9,axiom,(
    ! [B] :
      ( range_8_4(B)
    <=> ( $false
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_138,axiom,(
    ! [VarCurr] :
      ( v915(VarCurr,bitIndex9)
    <=> $false ) )).

fof(addAssignment_137,axiom,(
    ! [VarCurr] :
      ( v892(VarCurr,bitIndex3)
    <=> v735(VarCurr,bitIndex7) ) )).

fof(addAssignment_136,axiom,(
    ! [VarCurr] :
      ( v892(VarCurr,bitIndex2)
    <=> v735(VarCurr,bitIndex6) ) )).

fof(addAssignment_135,axiom,(
    ! [VarCurr] :
      ( v892(VarCurr,bitIndex1)
    <=> v735(VarCurr,bitIndex5) ) )).

fof(addAssignment_134,axiom,(
    ! [VarCurr] :
      ( v892(VarCurr,bitIndex0)
    <=> v735(VarCurr,bitIndex4) ) )).

fof(addAssignment_133,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex0)
    <=> v884(VarCurr) ) )).

fof(addAssignment_132,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex1)
    <=> v879(VarCurr) ) )).

fof(addAssignment_131,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex2)
    <=> v874(VarCurr) ) )).

fof(addAssignment_130,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex3)
    <=> v869(VarCurr) ) )).

fof(addAssignment_129,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex4)
    <=> v864(VarCurr) ) )).

fof(addAssignment_128,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex5)
    <=> v859(VarCurr) ) )).

fof(addAssignment_127,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex6)
    <=> v854(VarCurr) ) )).

fof(addAssignment_126,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex7)
    <=> v849(VarCurr) ) )).

fof(addAssignment_125,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex8)
    <=> v844(VarCurr) ) )).

fof(addAssignment_124,axiom,(
    ! [VarCurr] :
      ( v765(VarCurr,bitIndex9)
    <=> v768(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_211,axiom,(
    ! [VarCurr] :
      ( v884(VarCurr)
    <=> ( v885(VarCurr)
        & v888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_210,axiom,(
    ! [VarCurr] :
      ( v888(VarCurr)
    <=> ( v788(VarCurr,bitIndex0)
        | v735(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_209,axiom,(
    ! [VarCurr] :
      ( v885(VarCurr)
    <=> ( v886(VarCurr)
        | v887(VarCurr) ) ) )).

fof(writeUnaryOperator_98,axiom,(
    ! [VarCurr] :
      ( ~ v887(VarCurr)
    <=> v735(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_97,axiom,(
    ! [VarCurr] :
      ( ~ v886(VarCurr)
    <=> v788(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_208,axiom,(
    ! [VarCurr] :
      ( v879(VarCurr)
    <=> ( v880(VarCurr)
        & v883(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_207,axiom,(
    ! [VarCurr] :
      ( v883(VarCurr)
    <=> ( v787(VarCurr)
        | v789(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_206,axiom,(
    ! [VarCurr] :
      ( v880(VarCurr)
    <=> ( v881(VarCurr)
        | v882(VarCurr) ) ) )).

fof(writeUnaryOperator_96,axiom,(
    ! [VarCurr] :
      ( ~ v882(VarCurr)
    <=> v789(VarCurr) ) )).

fof(writeUnaryOperator_95,axiom,(
    ! [VarCurr] :
      ( ~ v881(VarCurr)
    <=> v787(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_205,axiom,(
    ! [VarCurr] :
      ( v874(VarCurr)
    <=> ( v875(VarCurr)
        & v878(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_204,axiom,(
    ! [VarCurr] :
      ( v878(VarCurr)
    <=> ( v785(VarCurr)
        | v795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_203,axiom,(
    ! [VarCurr] :
      ( v875(VarCurr)
    <=> ( v876(VarCurr)
        | v877(VarCurr) ) ) )).

fof(writeUnaryOperator_94,axiom,(
    ! [VarCurr] :
      ( ~ v877(VarCurr)
    <=> v795(VarCurr) ) )).

fof(writeUnaryOperator_93,axiom,(
    ! [VarCurr] :
      ( ~ v876(VarCurr)
    <=> v785(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_202,axiom,(
    ! [VarCurr] :
      ( v869(VarCurr)
    <=> ( v870(VarCurr)
        & v873(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_201,axiom,(
    ! [VarCurr] :
      ( v873(VarCurr)
    <=> ( v783(VarCurr)
        | v801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_200,axiom,(
    ! [VarCurr] :
      ( v870(VarCurr)
    <=> ( v871(VarCurr)
        | v872(VarCurr) ) ) )).

fof(writeUnaryOperator_92,axiom,(
    ! [VarCurr] :
      ( ~ v872(VarCurr)
    <=> v801(VarCurr) ) )).

fof(writeUnaryOperator_91,axiom,(
    ! [VarCurr] :
      ( ~ v871(VarCurr)
    <=> v783(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_199,axiom,(
    ! [VarCurr] :
      ( v864(VarCurr)
    <=> ( v865(VarCurr)
        & v868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_198,axiom,(
    ! [VarCurr] :
      ( v868(VarCurr)
    <=> ( v781(VarCurr)
        | v807(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_197,axiom,(
    ! [VarCurr] :
      ( v865(VarCurr)
    <=> ( v866(VarCurr)
        | v867(VarCurr) ) ) )).

fof(writeUnaryOperator_90,axiom,(
    ! [VarCurr] :
      ( ~ v867(VarCurr)
    <=> v807(VarCurr) ) )).

fof(writeUnaryOperator_89,axiom,(
    ! [VarCurr] :
      ( ~ v866(VarCurr)
    <=> v781(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_196,axiom,(
    ! [VarCurr] :
      ( v859(VarCurr)
    <=> ( v860(VarCurr)
        & v863(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_195,axiom,(
    ! [VarCurr] :
      ( v863(VarCurr)
    <=> ( v779(VarCurr)
        | v813(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_194,axiom,(
    ! [VarCurr] :
      ( v860(VarCurr)
    <=> ( v861(VarCurr)
        | v862(VarCurr) ) ) )).

fof(writeUnaryOperator_88,axiom,(
    ! [VarCurr] :
      ( ~ v862(VarCurr)
    <=> v813(VarCurr) ) )).

fof(writeUnaryOperator_87,axiom,(
    ! [VarCurr] :
      ( ~ v861(VarCurr)
    <=> v779(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_193,axiom,(
    ! [VarCurr] :
      ( v854(VarCurr)
    <=> ( v855(VarCurr)
        & v858(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_192,axiom,(
    ! [VarCurr] :
      ( v858(VarCurr)
    <=> ( v777(VarCurr)
        | v819(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_191,axiom,(
    ! [VarCurr] :
      ( v855(VarCurr)
    <=> ( v856(VarCurr)
        | v857(VarCurr) ) ) )).

fof(writeUnaryOperator_86,axiom,(
    ! [VarCurr] :
      ( ~ v857(VarCurr)
    <=> v819(VarCurr) ) )).

fof(writeUnaryOperator_85,axiom,(
    ! [VarCurr] :
      ( ~ v856(VarCurr)
    <=> v777(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_190,axiom,(
    ! [VarCurr] :
      ( v849(VarCurr)
    <=> ( v850(VarCurr)
        & v853(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_189,axiom,(
    ! [VarCurr] :
      ( v853(VarCurr)
    <=> ( v775(VarCurr)
        | v825(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_188,axiom,(
    ! [VarCurr] :
      ( v850(VarCurr)
    <=> ( v851(VarCurr)
        | v852(VarCurr) ) ) )).

fof(writeUnaryOperator_84,axiom,(
    ! [VarCurr] :
      ( ~ v852(VarCurr)
    <=> v825(VarCurr) ) )).

fof(writeUnaryOperator_83,axiom,(
    ! [VarCurr] :
      ( ~ v851(VarCurr)
    <=> v775(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_187,axiom,(
    ! [VarCurr] :
      ( v844(VarCurr)
    <=> ( v845(VarCurr)
        & v848(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_186,axiom,(
    ! [VarCurr] :
      ( v848(VarCurr)
    <=> ( v773(VarCurr)
        | v831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_185,axiom,(
    ! [VarCurr] :
      ( v845(VarCurr)
    <=> ( v846(VarCurr)
        | v847(VarCurr) ) ) )).

fof(writeUnaryOperator_82,axiom,(
    ! [VarCurr] :
      ( ~ v847(VarCurr)
    <=> v831(VarCurr) ) )).

fof(writeUnaryOperator_81,axiom,(
    ! [VarCurr] :
      ( ~ v846(VarCurr)
    <=> v773(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_184,axiom,(
    ! [VarCurr] :
      ( v768(VarCurr)
    <=> ( v769(VarCurr)
        & v843(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_183,axiom,(
    ! [VarCurr] :
      ( v843(VarCurr)
    <=> ( v771(VarCurr)
        | v838(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_182,axiom,(
    ! [VarCurr] :
      ( v769(VarCurr)
    <=> ( v770(VarCurr)
        | v837(VarCurr) ) ) )).

fof(writeUnaryOperator_80,axiom,(
    ! [VarCurr] :
      ( ~ v837(VarCurr)
    <=> v838(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_181,axiom,(
    ! [VarCurr] :
      ( v838(VarCurr)
    <=> ( v839(VarCurr)
        & v842(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_37,axiom,(
    ! [VarCurr] :
      ( v842(VarCurr)
    <=> ( v788(VarCurr,bitIndex9)
        | v735(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_180,axiom,(
    ! [VarCurr] :
      ( v839(VarCurr)
    <=> ( v840(VarCurr)
        | v841(VarCurr) ) ) )).

fof(writeUnaryOperator_79,axiom,(
    ! [VarCurr] :
      ( ~ v841(VarCurr)
    <=> v735(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_78,axiom,(
    ! [VarCurr] :
      ( ~ v840(VarCurr)
    <=> v788(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_77,axiom,(
    ! [VarCurr] :
      ( ~ v770(VarCurr)
    <=> v771(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_179,axiom,(
    ! [VarCurr] :
      ( v771(VarCurr)
    <=> ( v772(VarCurr)
        | v836(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_36,axiom,(
    ! [VarCurr] :
      ( v836(VarCurr)
    <=> ( v788(VarCurr,bitIndex8)
        & v735(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_178,axiom,(
    ! [VarCurr] :
      ( v772(VarCurr)
    <=> ( v773(VarCurr)
        & v831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_177,axiom,(
    ! [VarCurr] :
      ( v831(VarCurr)
    <=> ( v832(VarCurr)
        & v835(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_35,axiom,(
    ! [VarCurr] :
      ( v835(VarCurr)
    <=> ( v788(VarCurr,bitIndex8)
        | v735(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_176,axiom,(
    ! [VarCurr] :
      ( v832(VarCurr)
    <=> ( v833(VarCurr)
        | v834(VarCurr) ) ) )).

fof(writeUnaryOperator_76,axiom,(
    ! [VarCurr] :
      ( ~ v834(VarCurr)
    <=> v735(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_75,axiom,(
    ! [VarCurr] :
      ( ~ v833(VarCurr)
    <=> v788(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_175,axiom,(
    ! [VarCurr] :
      ( v773(VarCurr)
    <=> ( v774(VarCurr)
        | v830(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_34,axiom,(
    ! [VarCurr] :
      ( v830(VarCurr)
    <=> ( v788(VarCurr,bitIndex7)
        & v735(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_174,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr)
    <=> ( v775(VarCurr)
        & v825(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_173,axiom,(
    ! [VarCurr] :
      ( v825(VarCurr)
    <=> ( v826(VarCurr)
        & v829(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_33,axiom,(
    ! [VarCurr] :
      ( v829(VarCurr)
    <=> ( v788(VarCurr,bitIndex7)
        | v735(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_172,axiom,(
    ! [VarCurr] :
      ( v826(VarCurr)
    <=> ( v827(VarCurr)
        | v828(VarCurr) ) ) )).

fof(writeUnaryOperator_74,axiom,(
    ! [VarCurr] :
      ( ~ v828(VarCurr)
    <=> v735(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_73,axiom,(
    ! [VarCurr] :
      ( ~ v827(VarCurr)
    <=> v788(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_171,axiom,(
    ! [VarCurr] :
      ( v775(VarCurr)
    <=> ( v776(VarCurr)
        | v824(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_32,axiom,(
    ! [VarCurr] :
      ( v824(VarCurr)
    <=> ( v788(VarCurr,bitIndex6)
        & v735(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_170,axiom,(
    ! [VarCurr] :
      ( v776(VarCurr)
    <=> ( v777(VarCurr)
        & v819(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_169,axiom,(
    ! [VarCurr] :
      ( v819(VarCurr)
    <=> ( v820(VarCurr)
        & v823(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_31,axiom,(
    ! [VarCurr] :
      ( v823(VarCurr)
    <=> ( v788(VarCurr,bitIndex6)
        | v735(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_168,axiom,(
    ! [VarCurr] :
      ( v820(VarCurr)
    <=> ( v821(VarCurr)
        | v822(VarCurr) ) ) )).

fof(writeUnaryOperator_72,axiom,(
    ! [VarCurr] :
      ( ~ v822(VarCurr)
    <=> v735(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_71,axiom,(
    ! [VarCurr] :
      ( ~ v821(VarCurr)
    <=> v788(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_167,axiom,(
    ! [VarCurr] :
      ( v777(VarCurr)
    <=> ( v778(VarCurr)
        | v818(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_30,axiom,(
    ! [VarCurr] :
      ( v818(VarCurr)
    <=> ( v788(VarCurr,bitIndex5)
        & v735(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_166,axiom,(
    ! [VarCurr] :
      ( v778(VarCurr)
    <=> ( v779(VarCurr)
        & v813(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_165,axiom,(
    ! [VarCurr] :
      ( v813(VarCurr)
    <=> ( v814(VarCurr)
        & v817(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_29,axiom,(
    ! [VarCurr] :
      ( v817(VarCurr)
    <=> ( v788(VarCurr,bitIndex5)
        | v735(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_164,axiom,(
    ! [VarCurr] :
      ( v814(VarCurr)
    <=> ( v815(VarCurr)
        | v816(VarCurr) ) ) )).

fof(writeUnaryOperator_70,axiom,(
    ! [VarCurr] :
      ( ~ v816(VarCurr)
    <=> v735(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_69,axiom,(
    ! [VarCurr] :
      ( ~ v815(VarCurr)
    <=> v788(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_163,axiom,(
    ! [VarCurr] :
      ( v779(VarCurr)
    <=> ( v780(VarCurr)
        | v812(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_28,axiom,(
    ! [VarCurr] :
      ( v812(VarCurr)
    <=> ( v788(VarCurr,bitIndex4)
        & v735(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_162,axiom,(
    ! [VarCurr] :
      ( v780(VarCurr)
    <=> ( v781(VarCurr)
        & v807(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_161,axiom,(
    ! [VarCurr] :
      ( v807(VarCurr)
    <=> ( v808(VarCurr)
        & v811(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_27,axiom,(
    ! [VarCurr] :
      ( v811(VarCurr)
    <=> ( v788(VarCurr,bitIndex4)
        | v735(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_160,axiom,(
    ! [VarCurr] :
      ( v808(VarCurr)
    <=> ( v809(VarCurr)
        | v810(VarCurr) ) ) )).

fof(writeUnaryOperator_68,axiom,(
    ! [VarCurr] :
      ( ~ v810(VarCurr)
    <=> v735(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_67,axiom,(
    ! [VarCurr] :
      ( ~ v809(VarCurr)
    <=> v788(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_159,axiom,(
    ! [VarCurr] :
      ( v781(VarCurr)
    <=> ( v782(VarCurr)
        | v806(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_26,axiom,(
    ! [VarCurr] :
      ( v806(VarCurr)
    <=> ( v788(VarCurr,bitIndex3)
        & v735(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_158,axiom,(
    ! [VarCurr] :
      ( v782(VarCurr)
    <=> ( v783(VarCurr)
        & v801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_157,axiom,(
    ! [VarCurr] :
      ( v801(VarCurr)
    <=> ( v802(VarCurr)
        & v805(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_25,axiom,(
    ! [VarCurr] :
      ( v805(VarCurr)
    <=> ( v788(VarCurr,bitIndex3)
        | v735(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_156,axiom,(
    ! [VarCurr] :
      ( v802(VarCurr)
    <=> ( v803(VarCurr)
        | v804(VarCurr) ) ) )).

fof(writeUnaryOperator_66,axiom,(
    ! [VarCurr] :
      ( ~ v804(VarCurr)
    <=> v735(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_65,axiom,(
    ! [VarCurr] :
      ( ~ v803(VarCurr)
    <=> v788(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_155,axiom,(
    ! [VarCurr] :
      ( v783(VarCurr)
    <=> ( v784(VarCurr)
        | v800(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_24,axiom,(
    ! [VarCurr] :
      ( v800(VarCurr)
    <=> ( v788(VarCurr,bitIndex2)
        & v735(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_154,axiom,(
    ! [VarCurr] :
      ( v784(VarCurr)
    <=> ( v785(VarCurr)
        & v795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_153,axiom,(
    ! [VarCurr] :
      ( v795(VarCurr)
    <=> ( v796(VarCurr)
        & v799(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_23,axiom,(
    ! [VarCurr] :
      ( v799(VarCurr)
    <=> ( v788(VarCurr,bitIndex2)
        | v735(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_152,axiom,(
    ! [VarCurr] :
      ( v796(VarCurr)
    <=> ( v797(VarCurr)
        | v798(VarCurr) ) ) )).

fof(writeUnaryOperator_64,axiom,(
    ! [VarCurr] :
      ( ~ v798(VarCurr)
    <=> v735(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_63,axiom,(
    ! [VarCurr] :
      ( ~ v797(VarCurr)
    <=> v788(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_151,axiom,(
    ! [VarCurr] :
      ( v785(VarCurr)
    <=> ( v786(VarCurr)
        | v794(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_22,axiom,(
    ! [VarCurr] :
      ( v794(VarCurr)
    <=> ( v788(VarCurr,bitIndex1)
        & v735(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_150,axiom,(
    ! [VarCurr] :
      ( v786(VarCurr)
    <=> ( v787(VarCurr)
        & v789(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_149,axiom,(
    ! [VarCurr] :
      ( v789(VarCurr)
    <=> ( v790(VarCurr)
        & v793(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_21,axiom,(
    ! [VarCurr] :
      ( v793(VarCurr)
    <=> ( v788(VarCurr,bitIndex1)
        | v735(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_148,axiom,(
    ! [VarCurr] :
      ( v790(VarCurr)
    <=> ( v791(VarCurr)
        | v792(VarCurr) ) ) )).

fof(writeUnaryOperator_62,axiom,(
    ! [VarCurr] :
      ( ~ v792(VarCurr)
    <=> v735(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_61,axiom,(
    ! [VarCurr] :
      ( ~ v791(VarCurr)
    <=> v788(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_147,axiom,(
    ! [VarCurr] :
      ( v787(VarCurr)
    <=> ( v788(VarCurr,bitIndex0)
        & v735(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_123,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v788(VarCurr,B)
      <=> v746(VarCurr,B) ) ) )).

fof(range_axiom_8,axiom,(
    ! [B] :
      ( range_8_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_122,axiom,(
    ! [VarCurr] :
      ( v788(VarCurr,bitIndex9)
    <=> $false ) )).

fof(addAssignment_121,axiom,(
    ! [VarCurr] :
      ( v746(VarCurr,bitIndex8)
    <=> v748(VarCurr,bitIndex8) ) )).

fof(addAssignment_120,axiom,(
    ! [VarCurr] :
      ( v748(VarCurr,bitIndex8)
    <=> v750(VarCurr,bitIndex9) ) )).

fof(addAssignment_119,axiom,(
    ! [VarCurr] :
      ( v750(VarCurr,bitIndex9)
    <=> v752(VarCurr,bitIndex135) ) )).

fof(addAssignment_118,axiom,(
    ! [VarCurr] :
      ( v746(VarCurr,bitIndex7)
    <=> v748(VarCurr,bitIndex7) ) )).

fof(addAssignment_117,axiom,(
    ! [VarCurr] :
      ( v748(VarCurr,bitIndex7)
    <=> v750(VarCurr,bitIndex8) ) )).

fof(addAssignment_116,axiom,(
    ! [VarCurr] :
      ( v750(VarCurr,bitIndex8)
    <=> v752(VarCurr,bitIndex134) ) )).

fof(addAssignment_115,axiom,(
    ! [VarCurr] :
      ( v746(VarCurr,bitIndex6)
    <=> v748(VarCurr,bitIndex6) ) )).

fof(addAssignment_114,axiom,(
    ! [VarCurr] :
      ( v748(VarCurr,bitIndex6)
    <=> v750(VarCurr,bitIndex7) ) )).

fof(addAssignment_113,axiom,(
    ! [VarCurr] :
      ( v750(VarCurr,bitIndex7)
    <=> v752(VarCurr,bitIndex133) ) )).

fof(addAssignment_112,axiom,(
    ! [VarCurr] :
      ( v746(VarCurr,bitIndex5)
    <=> v748(VarCurr,bitIndex5) ) )).

fof(addAssignment_111,axiom,(
    ! [VarCurr] :
      ( v748(VarCurr,bitIndex5)
    <=> v750(VarCurr,bitIndex6) ) )).

fof(addAssignment_110,axiom,(
    ! [VarCurr] :
      ( v750(VarCurr,bitIndex6)
    <=> v752(VarCurr,bitIndex132) ) )).

fof(addAssignment_109,axiom,(
    ! [VarCurr] :
      ( v746(VarCurr,bitIndex4)
    <=> v748(VarCurr,bitIndex4) ) )).

fof(addAssignment_108,axiom,(
    ! [VarCurr] :
      ( v748(VarCurr,bitIndex4)
    <=> v750(VarCurr,bitIndex5) ) )).

fof(addAssignment_107,axiom,(
    ! [VarCurr] :
      ( v750(VarCurr,bitIndex5)
    <=> v752(VarCurr,bitIndex131) ) )).

fof(addAssignment_106,axiom,(
    ! [VarCurr,B] :
      ( range_7_4(B)
     => ( v754(VarCurr,B)
      <=> v756(VarCurr,B) ) ) )).

fof(addAssignment_105,axiom,(
    ! [VarCurr,B] :
      ( range_7_4(B)
     => ( v756(VarCurr,B)
      <=> v758(VarCurr,B) ) ) )).

fof(range_axiom_7,axiom,(
    ! [B] :
      ( range_7_4(B)
    <=> ( $false
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B ) ) )).

fof(addAssignment_104,axiom,(
    ! [VarCurr] :
      ( ( v758(VarCurr,bitIndex7)
      <=> v760(VarCurr,bitIndex43) )
      & ( v758(VarCurr,bitIndex6)
      <=> v760(VarCurr,bitIndex42) )
      & ( v758(VarCurr,bitIndex5)
      <=> v760(VarCurr,bitIndex41) )
      & ( v758(VarCurr,bitIndex4)
      <=> v760(VarCurr,bitIndex40) ) ) )).

fof(addAssignment_103,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v754(VarCurr,B)
      <=> v756(VarCurr,B) ) ) )).

fof(addAssignment_102,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v756(VarCurr,B)
      <=> v758(VarCurr,B) ) ) )).

fof(addAssignment_101,axiom,(
    ! [VarCurr] :
      ( ( v758(VarCurr,bitIndex3)
      <=> v760(VarCurr,bitIndex39) )
      & ( v758(VarCurr,bitIndex2)
      <=> v760(VarCurr,bitIndex38) )
      & ( v758(VarCurr,bitIndex1)
      <=> v760(VarCurr,bitIndex37) )
      & ( v758(VarCurr,bitIndex0)
      <=> v760(VarCurr,bitIndex36) ) ) )).

fof(addAssignment_100,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v746(VarCurr,B)
      <=> v748(VarCurr,B) ) ) )).

fof(addAssignment_99,axiom,(
    ! [VarCurr] :
      ( ( v748(VarCurr,bitIndex3)
      <=> v750(VarCurr,bitIndex4) )
      & ( v748(VarCurr,bitIndex2)
      <=> v750(VarCurr,bitIndex3) )
      & ( v748(VarCurr,bitIndex1)
      <=> v750(VarCurr,bitIndex2) )
      & ( v748(VarCurr,bitIndex0)
      <=> v750(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_98,axiom,(
    ! [VarCurr] :
      ( ( v750(VarCurr,bitIndex4)
      <=> v752(VarCurr,bitIndex130) )
      & ( v750(VarCurr,bitIndex3)
      <=> v752(VarCurr,bitIndex129) )
      & ( v750(VarCurr,bitIndex2)
      <=> v752(VarCurr,bitIndex128) )
      & ( v750(VarCurr,bitIndex1)
      <=> v752(VarCurr,bitIndex127) ) ) )).

fof(addAssignment_97,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v743(VarCurr,B)
      <=> b0000010000(B) ) ) )).

fof(bitBlastConstant_221,axiom,(
    ~ b0000010000(bitIndex9) )).

fof(bitBlastConstant_220,axiom,(
    ~ b0000010000(bitIndex8) )).

fof(bitBlastConstant_219,axiom,(
    ~ b0000010000(bitIndex7) )).

fof(bitBlastConstant_218,axiom,(
    ~ b0000010000(bitIndex6) )).

fof(bitBlastConstant_217,axiom,(
    ~ b0000010000(bitIndex5) )).

fof(bitBlastConstant_216,axiom,(
    b0000010000(bitIndex4) )).

fof(bitBlastConstant_215,axiom,(
    ~ b0000010000(bitIndex3) )).

fof(bitBlastConstant_214,axiom,(
    ~ b0000010000(bitIndex2) )).

fof(bitBlastConstant_213,axiom,(
    ~ b0000010000(bitIndex1) )).

fof(bitBlastConstant_212,axiom,(
    ~ b0000010000(bitIndex0) )).

fof(addAssignment_96,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v735(VarCurr,B)
      <=> v737(VarCurr,B) ) ) )).

fof(addAssignment_95,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v737(VarCurr,B)
      <=> v739(VarCurr,B) ) ) )).

fof(range_axiom_6,axiom,(
    ! [B] :
      ( range_9_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_94,axiom,(
    ! [VarCurr] :
      ( ( v739(VarCurr,bitIndex9)
      <=> v741(VarCurr,bitIndex39) )
      & ( v739(VarCurr,bitIndex8)
      <=> v741(VarCurr,bitIndex38) )
      & ( v739(VarCurr,bitIndex7)
      <=> v741(VarCurr,bitIndex37) )
      & ( v739(VarCurr,bitIndex6)
      <=> v741(VarCurr,bitIndex36) )
      & ( v739(VarCurr,bitIndex5)
      <=> v741(VarCurr,bitIndex35) )
      & ( v739(VarCurr,bitIndex4)
      <=> v741(VarCurr,bitIndex34) )
      & ( v739(VarCurr,bitIndex3)
      <=> v741(VarCurr,bitIndex33) )
      & ( v739(VarCurr,bitIndex2)
      <=> v741(VarCurr,bitIndex32) )
      & ( v739(VarCurr,bitIndex1)
      <=> v741(VarCurr,bitIndex31) )
      & ( v739(VarCurr,bitIndex0)
      <=> v741(VarCurr,bitIndex30) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_9,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v690(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v668(VarNext,B)
            <=> v668(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_9,axiom,(
    ! [VarNext] :
      ( v690(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v668(VarNext,B)
          <=> v725(VarNext,B) ) ) ) )).

fof(addAssignment_93,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v725(VarNext,B)
          <=> v723(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_20,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v723(VarCurr,B)
          <=> v670(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_20,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v723(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_146,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v690(VarNext)
      <=> ( v691(VarNext)
          & v698(VarNext) ) ) ) )).

fof(addAssignment_92,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v698(VarNext)
      <=> v696(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_145,axiom,(
    ! [VarCurr] :
      ( v696(VarCurr)
    <=> ( v699(VarCurr)
        & v704(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_144,axiom,(
    ! [VarCurr] :
      ( v704(VarCurr)
    <=> ( v705(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_143,axiom,(
    ! [VarCurr] :
      ( v705(VarCurr)
    <=> ( v706(VarCurr)
        & v722(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_142,axiom,(
    ! [VarCurr] :
      ( v722(VarCurr)
    <=> ( v319(VarCurr)
        | v702(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_141,axiom,(
    ! [VarCurr] :
      ( v706(VarCurr)
    <=> ( v707(VarCurr)
        & v709(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_140,axiom,(
    ! [VarCurr] :
      ( v709(VarCurr)
    <=> ( v710(VarCurr)
        | v721(VarCurr) ) ) )).

fof(writeUnaryOperator_60,axiom,(
    ! [VarCurr] :
      ( ~ v721(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_139,axiom,(
    ! [VarCurr] :
      ( v710(VarCurr)
    <=> ( v711(VarCurr)
        & v712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_138,axiom,(
    ! [VarCurr] :
      ( v712(VarCurr)
    <=> ( v713(VarCurr)
        | v720(VarCurr) ) ) )).

fof(writeUnaryOperator_59,axiom,(
    ! [VarCurr] :
      ( ~ v720(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_137,axiom,(
    ! [VarCurr] :
      ( v713(VarCurr)
    <=> ( v714(VarCurr)
        & v719(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_136,axiom,(
    ! [VarCurr] :
      ( v719(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_135,axiom,(
    ! [VarCurr] :
      ( v714(VarCurr)
    <=> ( v715(VarCurr)
        & v717(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_134,axiom,(
    ! [VarCurr] :
      ( v717(VarCurr)
    <=> ( v220(VarCurr)
        | v718(VarCurr) ) ) )).

fof(writeUnaryOperator_58,axiom,(
    ! [VarCurr] :
      ( ~ v718(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_133,axiom,(
    ! [VarCurr] :
      ( v715(VarCurr)
    <=> ( v220(VarCurr)
        | v716(VarCurr) ) ) )).

fof(writeUnaryOperator_57,axiom,(
    ! [VarCurr] :
      ( ~ v716(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeUnaryOperator_56,axiom,(
    ! [VarCurr] :
      ( ~ v711(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_132,axiom,(
    ! [VarCurr] :
      ( v707(VarCurr)
    <=> ( v220(VarCurr)
        | v708(VarCurr) ) ) )).

fof(writeUnaryOperator_55,axiom,(
    ! [VarCurr] :
      ( ~ v708(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_131,axiom,(
    ! [VarCurr] :
      ( v699(VarCurr)
    <=> ( v316(VarCurr)
        | v700(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_130,axiom,(
    ! [VarCurr] :
      ( v700(VarCurr)
    <=> ( v701(VarCurr)
        & v703(VarCurr) ) ) )).

fof(writeUnaryOperator_54,axiom,(
    ! [VarCurr] :
      ( ~ v703(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_129,axiom,(
    ! [VarCurr] :
      ( v701(VarCurr)
    <=> ( v319(VarCurr)
        | v702(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_128,axiom,(
    ! [VarCurr] :
      ( v702(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_127,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v691(VarNext)
      <=> ( v693(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v693(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignmentInitValueVector_1,axiom,(
    ! [B] :
      ( range_6_0(B)
     => ( v668(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_8,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v673(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v670(VarNext,B)
            <=> v670(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_8,axiom,(
    ! [VarNext] :
      ( v673(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v670(VarNext,B)
          <=> v685(VarNext,B) ) ) ) )).

fof(addAssignment_91,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v685(VarNext,B)
          <=> v683(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_10,axiom,(
    ! [VarCurr] :
      ( ~ v682(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v683(VarCurr,B)
          <=> v124(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_10,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v683(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v673(VarNext)
      <=> ( v674(VarNext)
          & v681(VarNext) ) ) ) )).

fof(addAssignment_90,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v681(VarNext)
      <=> v679(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_125,axiom,(
    ! [VarCurr] :
      ( v679(VarCurr)
    <=> ( v75(VarCurr)
        | v682(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_84,axiom,(
    ! [VarCurr] :
      ( v682(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_124,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v674(VarNext)
      <=> ( v675(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v675(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignment_89,axiom,(
    ! [VarCurr] :
      ( v632(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_88,axiom,(
    ! [VarCurr] :
      ( v620(VarCurr)
    <=> v622(VarCurr) ) )).

fof(addAssignment_87,axiom,(
    ! [VarCurr] :
      ( v622(VarCurr)
    <=> v624(VarCurr) ) )).

fof(addAssignment_86,axiom,(
    ! [VarCurr] :
      ( v624(VarCurr)
    <=> v626(VarCurr) ) )).

fof(addAssignment_85,axiom,(
    ! [VarCurr] :
      ( v39(VarCurr)
    <=> v41(VarCurr) ) )).

fof(addAssignment_84,axiom,(
    ! [VarCurr] :
      ( v41(VarCurr)
    <=> v43(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_83,axiom,(
    ! [VarCurr] :
      ( v43(VarCurr)
    <=> ( ( v45(VarCurr,bitIndex4)
        <=> $false )
        & ( v45(VarCurr,bitIndex3)
        <=> $false )
        & ( v45(VarCurr,bitIndex2)
        <=> $false )
        & ( v45(VarCurr,bitIndex1)
        <=> $false )
        & ( v45(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_7,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v604(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v45(VarNext,B)
            <=> v45(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_7,axiom,(
    ! [VarNext] :
      ( v604(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v45(VarNext,B)
          <=> v614(VarNext,B) ) ) ) )).

fof(addAssignment_83,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v614(VarNext,B)
          <=> v612(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_9,axiom,(
    ! [VarCurr] :
      ( ~ v615(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v612(VarCurr,B)
          <=> v48(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_9,axiom,(
    ! [VarCurr] :
      ( v615(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v612(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_51,axiom,(
    ! [VarCurr] :
      ( ~ v615(VarCurr)
    <=> v10(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_123,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v604(VarNext)
      <=> v605(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v605(VarNext)
      <=> ( v606(VarNext)
          & v597(VarNext) ) ) ) )).

fof(writeUnaryOperator_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v606(VarNext)
      <=> v608(VarNext) ) ) )).

fof(addAssignment_82,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v608(VarNext)
      <=> v597(VarCurr) ) ) )).

fof(addAssignment_81,axiom,(
    ! [VarCurr] :
      ( v597(VarCurr)
    <=> v599(VarCurr) ) )).

fof(addAssignment_80,axiom,(
    ! [VarCurr] :
      ( v599(VarCurr)
    <=> v601(VarCurr) ) )).

fof(addAssignment_79,axiom,(
    ! [VarCurr] :
      ( v601(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v522(VarCurr)
        & ~ v524(VarCurr)
        & ~ v565(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v48(VarCurr,B)
          <=> v45(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_6,axiom,(
    ! [VarCurr] :
      ( v565(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v48(VarCurr,B)
          <=> v567(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_19,axiom,(
    ! [VarCurr] :
      ( v524(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v48(VarCurr,B)
          <=> v526(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_19,axiom,(
    ! [VarCurr] :
      ( v522(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v48(VarCurr,B)
          <=> v45(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_82,axiom,(
    ! [VarCurr] :
      ( v594(VarCurr)
    <=> ( ( v595(VarCurr,bitIndex1)
        <=> $true )
        & ( v595(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_211,axiom,(
    b11(bitIndex1) )).

fof(bitBlastConstant_210,axiom,(
    b11(bitIndex0) )).

fof(addAssignment_78,axiom,(
    ! [VarCurr] :
      ( v595(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_77,axiom,(
    ! [VarCurr] :
      ( v595(VarCurr,bitIndex1)
    <=> v50(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_8,axiom,(
    ! [VarCurr] :
      ( ~ v568(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v567(VarCurr,B)
          <=> v569(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_8,axiom,(
    ! [VarCurr] :
      ( v568(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v567(VarCurr,B)
          <=> b01010(B) ) ) ) )).

fof(addAssignment_76,axiom,(
    ! [VarCurr] :
      ( v569(VarCurr,bitIndex0)
    <=> v591(VarCurr) ) )).

fof(addAssignment_75,axiom,(
    ! [VarCurr] :
      ( v569(VarCurr,bitIndex1)
    <=> v589(VarCurr) ) )).

fof(addAssignment_74,axiom,(
    ! [VarCurr] :
      ( v569(VarCurr,bitIndex2)
    <=> v584(VarCurr) ) )).

fof(addAssignment_73,axiom,(
    ! [VarCurr] :
      ( v569(VarCurr,bitIndex3)
    <=> v579(VarCurr) ) )).

fof(addAssignment_72,axiom,(
    ! [VarCurr] :
      ( v569(VarCurr,bitIndex4)
    <=> v571(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_121,axiom,(
    ! [VarCurr] :
      ( v589(VarCurr)
    <=> ( v590(VarCurr)
        & v593(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_20,axiom,(
    ! [VarCurr] :
      ( v593(VarCurr)
    <=> ( v45(VarCurr,bitIndex0)
        | v45(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_120,axiom,(
    ! [VarCurr] :
      ( v590(VarCurr)
    <=> ( v591(VarCurr)
        | v592(VarCurr) ) ) )).

fof(writeUnaryOperator_49,axiom,(
    ! [VarCurr] :
      ( ~ v592(VarCurr)
    <=> v45(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_48,axiom,(
    ! [VarCurr] :
      ( ~ v591(VarCurr)
    <=> v45(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_119,axiom,(
    ! [VarCurr] :
      ( v584(VarCurr)
    <=> ( v585(VarCurr)
        & v588(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_19,axiom,(
    ! [VarCurr] :
      ( v588(VarCurr)
    <=> ( v576(VarCurr)
        | v45(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_118,axiom,(
    ! [VarCurr] :
      ( v585(VarCurr)
    <=> ( v586(VarCurr)
        | v587(VarCurr) ) ) )).

fof(writeUnaryOperator_47,axiom,(
    ! [VarCurr] :
      ( ~ v587(VarCurr)
    <=> v45(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_46,axiom,(
    ! [VarCurr] :
      ( ~ v586(VarCurr)
    <=> v576(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_117,axiom,(
    ! [VarCurr] :
      ( v579(VarCurr)
    <=> ( v580(VarCurr)
        & v583(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_18,axiom,(
    ! [VarCurr] :
      ( v583(VarCurr)
    <=> ( v575(VarCurr)
        | v45(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_116,axiom,(
    ! [VarCurr] :
      ( v580(VarCurr)
    <=> ( v581(VarCurr)
        | v582(VarCurr) ) ) )).

fof(writeUnaryOperator_45,axiom,(
    ! [VarCurr] :
      ( ~ v582(VarCurr)
    <=> v45(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_44,axiom,(
    ! [VarCurr] :
      ( ~ v581(VarCurr)
    <=> v575(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_115,axiom,(
    ! [VarCurr] :
      ( v571(VarCurr)
    <=> ( v572(VarCurr)
        & v578(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_17,axiom,(
    ! [VarCurr] :
      ( v578(VarCurr)
    <=> ( v574(VarCurr)
        | v45(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_114,axiom,(
    ! [VarCurr] :
      ( v572(VarCurr)
    <=> ( v573(VarCurr)
        | v577(VarCurr) ) ) )).

fof(writeUnaryOperator_43,axiom,(
    ! [VarCurr] :
      ( ~ v577(VarCurr)
    <=> v45(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_42,axiom,(
    ! [VarCurr] :
      ( ~ v573(VarCurr)
    <=> v574(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_16,axiom,(
    ! [VarCurr] :
      ( v574(VarCurr)
    <=> ( v575(VarCurr)
        & v45(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_15,axiom,(
    ! [VarCurr] :
      ( v575(VarCurr)
    <=> ( v576(VarCurr)
        & v45(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_14,axiom,(
    ! [VarCurr] :
      ( v576(VarCurr)
    <=> ( v45(VarCurr,bitIndex0)
        & v45(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_81,axiom,(
    ! [VarCurr] :
      ( v568(VarCurr)
    <=> ( ( v45(VarCurr,bitIndex4)
        <=> $false )
        & ( v45(VarCurr,bitIndex3)
        <=> $true )
        & ( v45(VarCurr,bitIndex2)
        <=> $false )
        & ( v45(VarCurr,bitIndex1)
        <=> $true )
        & ( v45(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_80,axiom,(
    ! [VarCurr] :
      ( v565(VarCurr)
    <=> ( ( v566(VarCurr,bitIndex1)
        <=> $true )
        & ( v566(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_71,axiom,(
    ! [VarCurr] :
      ( v566(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_70,axiom,(
    ! [VarCurr] :
      ( v566(VarCurr,bitIndex1)
    <=> v50(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_7,axiom,(
    ! [VarCurr] :
      ( ~ v527(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v526(VarCurr,B)
          <=> v528(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_7,axiom,(
    ! [VarCurr] :
      ( v527(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v526(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_5,axiom,(
    ! [B] :
      ( range_31_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(bitBlastConstant_209,axiom,(
    ~ b00000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_208,axiom,(
    ~ b00000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_207,axiom,(
    ~ b00000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_206,axiom,(
    ~ b00000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_205,axiom,(
    ~ b00000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_204,axiom,(
    ~ b00000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_203,axiom,(
    ~ b00000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_202,axiom,(
    ~ b00000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_201,axiom,(
    ~ b00000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_200,axiom,(
    ~ b00000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_199,axiom,(
    ~ b00000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_198,axiom,(
    ~ b00000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_197,axiom,(
    ~ b00000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_196,axiom,(
    ~ b00000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_195,axiom,(
    ~ b00000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_194,axiom,(
    ~ b00000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_193,axiom,(
    ~ b00000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_192,axiom,(
    ~ b00000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_191,axiom,(
    ~ b00000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_190,axiom,(
    ~ b00000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_189,axiom,(
    ~ b00000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_188,axiom,(
    ~ b00000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_187,axiom,(
    ~ b00000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_186,axiom,(
    ~ b00000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_185,axiom,(
    ~ b00000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_184,axiom,(
    ~ b00000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_183,axiom,(
    ~ b00000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_182,axiom,(
    ~ b00000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_181,axiom,(
    ~ b00000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_180,axiom,(
    ~ b00000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_179,axiom,(
    ~ b00000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_178,axiom,(
    ~ b00000000000000000000000000000000(bitIndex0) )).

fof(addSignExtensionConstraint_25,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex6)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_24,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex7)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_23,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex8)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_22,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex9)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_21,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex10)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_20,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex11)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_19,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex12)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_18,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex13)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_17,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex14)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_16,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex15)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_15,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex16)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_14,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex17)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_13,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex18)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_12,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex19)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_11,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex20)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_10,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex21)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_9,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex22)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_8,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex23)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_7,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex24)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_6,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex25)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_5,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex26)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_4,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex27)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_3,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex28)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_2,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex29)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_1,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex30)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint,axiom,(
    ! [VarCurr] :
      ( v528(VarCurr,bitIndex31)
    <=> v529(VarCurr,bitIndex5) ) )).

fof(addAssignment_69,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v528(VarCurr,B)
      <=> v529(VarCurr,B) ) ) )).

fof(range_axiom_4,axiom,(
    ! [B] :
      ( range_5_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B ) ) )).

fof(addAssignment_68,axiom,(
    ! [VarCurr] :
      ( v529(VarCurr,bitIndex0)
    <=> v563(VarCurr) ) )).

fof(addAssignment_67,axiom,(
    ! [VarCurr] :
      ( v529(VarCurr,bitIndex1)
    <=> v561(VarCurr) ) )).

fof(addAssignment_66,axiom,(
    ! [VarCurr] :
      ( v529(VarCurr,bitIndex2)
    <=> v557(VarCurr) ) )).

fof(addAssignment_65,axiom,(
    ! [VarCurr] :
      ( v529(VarCurr,bitIndex3)
    <=> v553(VarCurr) ) )).

fof(addAssignment_64,axiom,(
    ! [VarCurr] :
      ( v529(VarCurr,bitIndex4)
    <=> v549(VarCurr) ) )).

fof(addAssignment_63,axiom,(
    ! [VarCurr] :
      ( v529(VarCurr,bitIndex5)
    <=> v531(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_113,axiom,(
    ! [VarCurr] :
      ( v561(VarCurr)
    <=> ( v562(VarCurr)
        & v564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_112,axiom,(
    ! [VarCurr] :
      ( v564(VarCurr)
    <=> ( v535(VarCurr,bitIndex0)
        | v543(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_13,axiom,(
    ! [VarCurr] :
      ( v562(VarCurr)
    <=> ( v563(VarCurr)
        | v535(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_41,axiom,(
    ! [VarCurr] :
      ( ~ v563(VarCurr)
    <=> v535(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_111,axiom,(
    ! [VarCurr] :
      ( v557(VarCurr)
    <=> ( v558(VarCurr)
        & v560(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_110,axiom,(
    ! [VarCurr] :
      ( v560(VarCurr)
    <=> ( v541(VarCurr)
        | v544(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_12,axiom,(
    ! [VarCurr] :
      ( v558(VarCurr)
    <=> ( v559(VarCurr)
        | v535(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_40,axiom,(
    ! [VarCurr] :
      ( ~ v559(VarCurr)
    <=> v541(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_109,axiom,(
    ! [VarCurr] :
      ( v553(VarCurr)
    <=> ( v554(VarCurr)
        & v556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_108,axiom,(
    ! [VarCurr] :
      ( v556(VarCurr)
    <=> ( v539(VarCurr)
        | v545(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_11,axiom,(
    ! [VarCurr] :
      ( v554(VarCurr)
    <=> ( v555(VarCurr)
        | v535(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_39,axiom,(
    ! [VarCurr] :
      ( ~ v555(VarCurr)
    <=> v539(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_107,axiom,(
    ! [VarCurr] :
      ( v549(VarCurr)
    <=> ( v550(VarCurr)
        & v552(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_106,axiom,(
    ! [VarCurr] :
      ( v552(VarCurr)
    <=> ( v537(VarCurr)
        | v546(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_10,axiom,(
    ! [VarCurr] :
      ( v550(VarCurr)
    <=> ( v551(VarCurr)
        | v535(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_38,axiom,(
    ! [VarCurr] :
      ( ~ v551(VarCurr)
    <=> v537(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_105,axiom,(
    ! [VarCurr] :
      ( v531(VarCurr)
    <=> ( v532(VarCurr)
        & v547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_104,axiom,(
    ! [VarCurr] :
      ( v547(VarCurr)
    <=> ( v534(VarCurr)
        | v548(VarCurr) ) ) )).

fof(writeUnaryOperator_37,axiom,(
    ! [VarCurr] :
      ( ~ v548(VarCurr)
    <=> v535(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_9,axiom,(
    ! [VarCurr] :
      ( v532(VarCurr)
    <=> ( v533(VarCurr)
        | v535(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_36,axiom,(
    ! [VarCurr] :
      ( ~ v533(VarCurr)
    <=> v534(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_8,axiom,(
    ! [VarCurr] :
      ( v534(VarCurr)
    <=> ( v535(VarCurr,bitIndex4)
        | v536(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_103,axiom,(
    ! [VarCurr] :
      ( v536(VarCurr)
    <=> ( v537(VarCurr)
        & v546(VarCurr) ) ) )).

fof(writeUnaryOperator_35,axiom,(
    ! [VarCurr] :
      ( ~ v546(VarCurr)
    <=> v535(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_7,axiom,(
    ! [VarCurr] :
      ( v537(VarCurr)
    <=> ( v535(VarCurr,bitIndex3)
        | v538(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_102,axiom,(
    ! [VarCurr] :
      ( v538(VarCurr)
    <=> ( v539(VarCurr)
        & v545(VarCurr) ) ) )).

fof(writeUnaryOperator_34,axiom,(
    ! [VarCurr] :
      ( ~ v545(VarCurr)
    <=> v535(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_6,axiom,(
    ! [VarCurr] :
      ( v539(VarCurr)
    <=> ( v535(VarCurr,bitIndex2)
        | v540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_101,axiom,(
    ! [VarCurr] :
      ( v540(VarCurr)
    <=> ( v541(VarCurr)
        & v544(VarCurr) ) ) )).

fof(writeUnaryOperator_33,axiom,(
    ! [VarCurr] :
      ( ~ v544(VarCurr)
    <=> v535(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_5,axiom,(
    ! [VarCurr] :
      ( v541(VarCurr)
    <=> ( v535(VarCurr,bitIndex1)
        | v542(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_100,axiom,(
    ! [VarCurr] :
      ( v542(VarCurr)
    <=> ( v535(VarCurr,bitIndex0)
        & v543(VarCurr) ) ) )).

fof(writeUnaryOperator_32,axiom,(
    ! [VarCurr] :
      ( ~ v543(VarCurr)
    <=> v535(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint,axiom,(
    ! [VarCurr] : ~ v535(VarCurr,bitIndex5) )).

fof(addAssignment_62,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v535(VarCurr,B)
      <=> v45(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_79,axiom,(
    ! [VarCurr] :
      ( v527(VarCurr)
    <=> ( ( v45(VarCurr,bitIndex4)
        <=> $false )
        & ( v45(VarCurr,bitIndex3)
        <=> $false )
        & ( v45(VarCurr,bitIndex2)
        <=> $false )
        & ( v45(VarCurr,bitIndex1)
        <=> $false )
        & ( v45(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_78,axiom,(
    ! [VarCurr] :
      ( v524(VarCurr)
    <=> ( ( v525(VarCurr,bitIndex1)
        <=> $false )
        & ( v525(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_61,axiom,(
    ! [VarCurr] :
      ( v525(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_60,axiom,(
    ! [VarCurr] :
      ( v525(VarCurr,bitIndex1)
    <=> v50(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_77,axiom,(
    ! [VarCurr] :
      ( v522(VarCurr)
    <=> ( ( v523(VarCurr,bitIndex1)
        <=> $false )
        & ( v523(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_59,axiom,(
    ! [VarCurr] :
      ( v523(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_58,axiom,(
    ! [VarCurr] :
      ( v523(VarCurr,bitIndex1)
    <=> v50(VarCurr) ) )).

fof(addAssignment_57,axiom,(
    ! [VarCurr] :
      ( v50(VarCurr)
    <=> v52(VarCurr) ) )).

fof(addAssignment_56,axiom,(
    ! [VarCurr] :
      ( v52(VarCurr)
    <=> v54(VarCurr) ) )).

fof(addAssignment_55,axiom,(
    ! [VarCurr] :
      ( v54(VarCurr)
    <=> v56(VarCurr) ) )).

fof(addAssignment_54,axiom,(
    ! [VarCurr] :
      ( v56(VarCurr)
    <=> v58(VarCurr) ) )).

fof(addAssignment_53,axiom,(
    ! [VarCurr] :
      ( v58(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v506(VarNext)
       => ( v60(VarNext)
        <=> v60(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_6,axiom,(
    ! [VarNext] :
      ( v506(VarNext)
     => ( v60(VarNext)
      <=> v514(VarNext) ) ) )).

fof(addAssignment_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v514(VarNext)
      <=> v512(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_6,axiom,(
    ! [VarCurr] :
      ( ~ v244(VarCurr)
     => ( v512(VarCurr)
      <=> v66(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_6,axiom,(
    ! [VarCurr] :
      ( v244(VarCurr)
     => ( v512(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_99,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v506(VarNext)
      <=> v507(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_98,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v507(VarNext)
      <=> ( v509(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v509(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v222(VarCurr)
        & ~ v226(VarCurr) )
     => ( v66(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_18,axiom,(
    ! [VarCurr] :
      ( v226(VarCurr)
     => ( v66(VarCurr)
      <=> v496(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_18,axiom,(
    ! [VarCurr] :
      ( v222(VarCurr)
     => ( v66(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_17,axiom,(
    ! [VarCurr] :
      ( ~ v497(VarCurr)
     => ( v496(VarCurr)
      <=> v499(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_17,axiom,(
    ! [VarCurr] :
      ( v497(VarCurr)
     => ( v496(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_16,axiom,(
    ! [VarCurr] :
      ( ~ v500(VarCurr)
     => ( v499(VarCurr)
      <=> v502(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_16,axiom,(
    ! [VarCurr] :
      ( v500(VarCurr)
     => ( v499(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_5,axiom,(
    ! [VarCurr] :
      ( ~ v503(VarCurr)
     => ( v502(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_5,axiom,(
    ! [VarCurr] :
      ( v503(VarCurr)
     => ( v502(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_76,axiom,(
    ! [VarCurr] :
      ( v503(VarCurr)
    <=> ( ( v366(VarCurr,bitIndex3)
        <=> v424(VarCurr,bitIndex3) )
        & ( v366(VarCurr,bitIndex2)
        <=> v424(VarCurr,bitIndex2) )
        & ( v366(VarCurr,bitIndex1)
        <=> v424(VarCurr,bitIndex1) )
        & ( v366(VarCurr,bitIndex0)
        <=> v424(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_75,axiom,(
    ! [VarCurr] :
      ( v501(VarCurr)
    <=> ( v268(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_74,axiom,(
    ! [VarCurr] :
      ( v500(VarCurr)
    <=> ( v268(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_73,axiom,(
    ! [VarCurr] :
      ( v498(VarCurr)
    <=> ( v251(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_72,axiom,(
    ! [VarCurr] :
      ( v497(VarCurr)
    <=> ( v251(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges1_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v483(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v68(VarNext,B)
            <=> v68(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_5,axiom,(
    ! [VarNext] :
      ( v483(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v68(VarNext,B)
          <=> v491(VarNext,B) ) ) ) )).

fof(addAssignment_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v491(VarNext,B)
          <=> v489(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_4,axiom,(
    ! [VarCurr] :
      ( ~ v492(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v489(VarCurr,B)
          <=> v71(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_4,axiom,(
    ! [VarCurr] :
      ( v492(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v489(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_71,axiom,(
    ! [VarCurr] :
      ( v492(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_97,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v483(VarNext)
      <=> v484(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_96,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v484(VarNext)
      <=> ( v485(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v485(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v468(VarCurr)
        & ~ v472(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v71(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_15,axiom,(
    ! [VarCurr] :
      ( v472(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v71(VarCurr,B)
          <=> v473(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_15,axiom,(
    ! [VarCurr] :
      ( v468(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v71(VarCurr,B)
          <=> v469(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_14,axiom,(
    ! [VarCurr] :
      ( ~ v474(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v473(VarCurr,B)
          <=> v476(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_14,axiom,(
    ! [VarCurr] :
      ( v474(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v473(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_13,axiom,(
    ! [VarCurr] :
      ( ~ v477(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v476(VarCurr,B)
          <=> v479(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_13,axiom,(
    ! [VarCurr] :
      ( v477(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v476(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_3,axiom,(
    ! [VarCurr] :
      ( ~ v480(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v479(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_3,axiom,(
    ! [VarCurr] :
      ( v480(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v479(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_70,axiom,(
    ! [VarCurr] :
      ( v480(VarCurr)
    <=> ( ( v366(VarCurr,bitIndex3)
        <=> v424(VarCurr,bitIndex3) )
        & ( v366(VarCurr,bitIndex2)
        <=> v424(VarCurr,bitIndex2) )
        & ( v366(VarCurr,bitIndex1)
        <=> v424(VarCurr,bitIndex1) )
        & ( v366(VarCurr,bitIndex0)
        <=> v424(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_69,axiom,(
    ! [VarCurr] :
      ( v478(VarCurr)
    <=> ( v268(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_68,axiom,(
    ! [VarCurr] :
      ( v477(VarCurr)
    <=> ( v268(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_67,axiom,(
    ! [VarCurr] :
      ( v475(VarCurr)
    <=> ( v251(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_66,axiom,(
    ! [VarCurr] :
      ( v474(VarCurr)
    <=> ( v251(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_65,axiom,(
    ! [VarCurr] :
      ( v472(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_12,axiom,(
    ! [VarCurr] :
      ( ~ v470(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v469(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_12,axiom,(
    ! [VarCurr] :
      ( v470(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v469(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_3,axiom,(
    ! [B] :
      ( range_1_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_64,axiom,(
    ! [VarCurr] :
      ( v471(VarCurr)
    <=> ( v73(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_63,axiom,(
    ! [VarCurr] :
      ( v470(VarCurr)
    <=> ( v73(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_62,axiom,(
    ! [VarCurr] :
      ( v468(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v429(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v424(VarNext,B)
            <=> v424(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_4,axiom,(
    ! [VarNext] :
      ( v429(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v424(VarNext,B)
          <=> v464(VarNext,B) ) ) ) )).

fof(addAssignment_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v464(VarNext,B)
          <=> v462(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_11,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v462(VarCurr,B)
          <=> v426(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_11,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v462(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_95,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v429(VarNext)
      <=> ( v430(VarNext)
          & v437(VarNext) ) ) ) )).

fof(addAssignment_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v437(VarNext)
      <=> v435(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_94,axiom,(
    ! [VarCurr] :
      ( v435(VarCurr)
    <=> ( v438(VarCurr)
        & v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_93,axiom,(
    ! [VarCurr] :
      ( v443(VarCurr)
    <=> ( v444(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_92,axiom,(
    ! [VarCurr] :
      ( v444(VarCurr)
    <=> ( v445(VarCurr)
        & v461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_91,axiom,(
    ! [VarCurr] :
      ( v461(VarCurr)
    <=> ( v319(VarCurr)
        | v441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_90,axiom,(
    ! [VarCurr] :
      ( v445(VarCurr)
    <=> ( v446(VarCurr)
        & v448(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_89,axiom,(
    ! [VarCurr] :
      ( v448(VarCurr)
    <=> ( v449(VarCurr)
        | v460(VarCurr) ) ) )).

fof(writeUnaryOperator_29,axiom,(
    ! [VarCurr] :
      ( ~ v460(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_88,axiom,(
    ! [VarCurr] :
      ( v449(VarCurr)
    <=> ( v450(VarCurr)
        & v451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_87,axiom,(
    ! [VarCurr] :
      ( v451(VarCurr)
    <=> ( v452(VarCurr)
        | v459(VarCurr) ) ) )).

fof(writeUnaryOperator_28,axiom,(
    ! [VarCurr] :
      ( ~ v459(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_86,axiom,(
    ! [VarCurr] :
      ( v452(VarCurr)
    <=> ( v453(VarCurr)
        & v458(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_85,axiom,(
    ! [VarCurr] :
      ( v458(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_84,axiom,(
    ! [VarCurr] :
      ( v453(VarCurr)
    <=> ( v454(VarCurr)
        & v456(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_83,axiom,(
    ! [VarCurr] :
      ( v456(VarCurr)
    <=> ( v220(VarCurr)
        | v457(VarCurr) ) ) )).

fof(writeUnaryOperator_27,axiom,(
    ! [VarCurr] :
      ( ~ v457(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_82,axiom,(
    ! [VarCurr] :
      ( v454(VarCurr)
    <=> ( v220(VarCurr)
        | v455(VarCurr) ) ) )).

fof(writeUnaryOperator_26,axiom,(
    ! [VarCurr] :
      ( ~ v455(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeUnaryOperator_25,axiom,(
    ! [VarCurr] :
      ( ~ v450(VarCurr)
    <=> v332(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_81,axiom,(
    ! [VarCurr] :
      ( v446(VarCurr)
    <=> ( v220(VarCurr)
        | v447(VarCurr) ) ) )).

fof(writeUnaryOperator_24,axiom,(
    ! [VarCurr] :
      ( ~ v447(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_80,axiom,(
    ! [VarCurr] :
      ( v438(VarCurr)
    <=> ( v316(VarCurr)
        | v439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_79,axiom,(
    ! [VarCurr] :
      ( v439(VarCurr)
    <=> ( v440(VarCurr)
        & v442(VarCurr) ) ) )).

fof(writeUnaryOperator_23,axiom,(
    ! [VarCurr] :
      ( ~ v442(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_78,axiom,(
    ! [VarCurr] :
      ( v440(VarCurr)
    <=> ( v319(VarCurr)
        | v441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_77,axiom,(
    ! [VarCurr] :
      ( v441(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_76,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v430(VarNext)
      <=> ( v432(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v432(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v373(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v366(VarNext,B)
            <=> v366(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_3,axiom,(
    ! [VarNext] :
      ( v373(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v366(VarNext,B)
          <=> v399(VarNext,B) ) ) ) )).

fof(addAssignment_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v399(VarNext,B)
          <=> v397(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_2,axiom,(
    ! [VarCurr] :
      ( ~ v396(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v397(VarCurr,B)
          <=> v400(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_2,axiom,(
    ! [VarCurr] :
      ( v396(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v397(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_10,axiom,(
    ! [VarCurr] :
      ( ~ v401(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v400(VarCurr,B)
          <=> v402(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_10,axiom,(
    ! [VarCurr] :
      ( v401(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v400(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_47,axiom,(
    ! [VarCurr] :
      ( v402(VarCurr,bitIndex0)
    <=> v418(VarCurr) ) )).

fof(addAssignment_46,axiom,(
    ! [VarCurr] :
      ( v402(VarCurr,bitIndex1)
    <=> v416(VarCurr) ) )).

fof(addAssignment_45,axiom,(
    ! [VarCurr] :
      ( v402(VarCurr,bitIndex2)
    <=> v411(VarCurr) ) )).

fof(addAssignment_44,axiom,(
    ! [VarCurr] :
      ( v402(VarCurr,bitIndex3)
    <=> v404(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_75,axiom,(
    ! [VarCurr] :
      ( v416(VarCurr)
    <=> ( v417(VarCurr)
        & v420(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_4,axiom,(
    ! [VarCurr] :
      ( v420(VarCurr)
    <=> ( v366(VarCurr,bitIndex0)
        | v366(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_74,axiom,(
    ! [VarCurr] :
      ( v417(VarCurr)
    <=> ( v418(VarCurr)
        | v419(VarCurr) ) ) )).

fof(writeUnaryOperator_21,axiom,(
    ! [VarCurr] :
      ( ~ v419(VarCurr)
    <=> v366(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_20,axiom,(
    ! [VarCurr] :
      ( ~ v418(VarCurr)
    <=> v366(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_73,axiom,(
    ! [VarCurr] :
      ( v411(VarCurr)
    <=> ( v412(VarCurr)
        & v415(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_3,axiom,(
    ! [VarCurr] :
      ( v415(VarCurr)
    <=> ( v408(VarCurr)
        | v366(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_72,axiom,(
    ! [VarCurr] :
      ( v412(VarCurr)
    <=> ( v413(VarCurr)
        | v414(VarCurr) ) ) )).

fof(writeUnaryOperator_19,axiom,(
    ! [VarCurr] :
      ( ~ v414(VarCurr)
    <=> v366(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_18,axiom,(
    ! [VarCurr] :
      ( ~ v413(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_71,axiom,(
    ! [VarCurr] :
      ( v404(VarCurr)
    <=> ( v405(VarCurr)
        & v410(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_2,axiom,(
    ! [VarCurr] :
      ( v410(VarCurr)
    <=> ( v407(VarCurr)
        | v366(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_70,axiom,(
    ! [VarCurr] :
      ( v405(VarCurr)
    <=> ( v406(VarCurr)
        | v409(VarCurr) ) ) )).

fof(writeUnaryOperator_17,axiom,(
    ! [VarCurr] :
      ( ~ v409(VarCurr)
    <=> v366(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_16,axiom,(
    ! [VarCurr] :
      ( ~ v406(VarCurr)
    <=> v407(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1,axiom,(
    ! [VarCurr] :
      ( v407(VarCurr)
    <=> ( v408(VarCurr)
        & v366(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
    <=> ( v366(VarCurr,bitIndex0)
        & v366(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_69,axiom,(
    ! [VarCurr] :
      ( v401(VarCurr)
    <=> ( v389(VarCurr)
        | v394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_68,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v373(VarNext)
      <=> ( v374(VarNext)
          & v381(VarNext) ) ) ) )).

fof(addAssignment_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v381(VarNext)
      <=> v379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_67,axiom,(
    ! [VarCurr] :
      ( v379(VarCurr)
    <=> ( v382(VarCurr)
        | v396(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_61,axiom,(
    ! [VarCurr] :
      ( v396(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_66,axiom,(
    ! [VarCurr] :
      ( v382(VarCurr)
    <=> ( v383(VarCurr)
        & v387(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_65,axiom,(
    ! [VarCurr] :
      ( v387(VarCurr)
    <=> ( v388(VarCurr)
        | v385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_64,axiom,(
    ! [VarCurr] :
      ( v388(VarCurr)
    <=> ( v389(VarCurr)
        | v394(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_60,axiom,(
    ! [VarCurr] :
      ( v394(VarCurr)
    <=> ( ( v395(VarCurr,bitIndex2)
        <=> $false )
        & ( v395(VarCurr,bitIndex1)
        <=> $true )
        & ( v395(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_177,axiom,(
    ~ b010(bitIndex2) )).

fof(bitBlastConstant_176,axiom,(
    b010(bitIndex1) )).

fof(bitBlastConstant_175,axiom,(
    ~ b010(bitIndex0) )).

fof(addAssignment_42,axiom,(
    ! [VarCurr] :
      ( v395(VarCurr,bitIndex0)
    <=> v268(VarCurr) ) )).

fof(addAssignment_41,axiom,(
    ! [VarCurr] :
      ( ( v395(VarCurr,bitIndex2)
      <=> v68(VarCurr,bitIndex1) )
      & ( v395(VarCurr,bitIndex1)
      <=> v68(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_63,axiom,(
    ! [VarCurr] :
      ( v389(VarCurr)
    <=> ( v390(VarCurr)
        | v392(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_59,axiom,(
    ! [VarCurr] :
      ( v392(VarCurr)
    <=> ( ( v393(VarCurr,bitIndex2)
        <=> $false )
        & ( v393(VarCurr,bitIndex1)
        <=> $false )
        & ( v393(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_174,axiom,(
    ~ b001(bitIndex2) )).

fof(bitBlastConstant_173,axiom,(
    ~ b001(bitIndex1) )).

fof(bitBlastConstant_172,axiom,(
    b001(bitIndex0) )).

fof(addAssignment_40,axiom,(
    ! [VarCurr] :
      ( v393(VarCurr,bitIndex0)
    <=> v268(VarCurr) ) )).

fof(addAssignment_39,axiom,(
    ! [VarCurr] :
      ( ( v393(VarCurr,bitIndex2)
      <=> v68(VarCurr,bitIndex1) )
      & ( v393(VarCurr,bitIndex1)
      <=> v68(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_58,axiom,(
    ! [VarCurr] :
      ( v390(VarCurr)
    <=> ( ( v391(VarCurr,bitIndex2)
        <=> $false )
        & ( v391(VarCurr,bitIndex1)
        <=> $false )
        & ( v391(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_171,axiom,(
    ~ b000(bitIndex2) )).

fof(bitBlastConstant_170,axiom,(
    ~ b000(bitIndex1) )).

fof(bitBlastConstant_169,axiom,(
    ~ b000(bitIndex0) )).

fof(addAssignment_38,axiom,(
    ! [VarCurr] :
      ( v391(VarCurr,bitIndex0)
    <=> v268(VarCurr) ) )).

fof(addAssignment_37,axiom,(
    ! [VarCurr] :
      ( ( v391(VarCurr,bitIndex2)
      <=> v68(VarCurr,bitIndex1) )
      & ( v391(VarCurr,bitIndex1)
      <=> v68(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_62,axiom,(
    ! [VarCurr] :
      ( v383(VarCurr)
    <=> ( v66(VarCurr)
        | v384(VarCurr) ) ) )).

fof(writeUnaryOperator_15,axiom,(
    ! [VarCurr] :
      ( ~ v384(VarCurr)
    <=> v385(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_57,axiom,(
    ! [VarCurr] :
      ( v385(VarCurr)
    <=> ( ( v386(VarCurr,bitIndex2)
        <=> $false )
        & ( v386(VarCurr,bitIndex1)
        <=> $true )
        & ( v386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_168,axiom,(
    ~ b011(bitIndex2) )).

fof(bitBlastConstant_167,axiom,(
    b011(bitIndex1) )).

fof(bitBlastConstant_166,axiom,(
    b011(bitIndex0) )).

fof(addAssignment_36,axiom,(
    ! [VarCurr] :
      ( v386(VarCurr,bitIndex0)
    <=> v268(VarCurr) ) )).

fof(addAssignment_35,axiom,(
    ! [VarCurr] :
      ( ( v386(VarCurr,bitIndex2)
      <=> v68(VarCurr,bitIndex1) )
      & ( v386(VarCurr,bitIndex1)
      <=> v68(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_61,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v374(VarNext)
      <=> ( v375(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v375(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v306(VarNext)
       => ( v268(VarNext)
        <=> v268(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_2,axiom,(
    ! [VarNext] :
      ( v306(VarNext)
     => ( v268(VarNext)
      <=> v362(VarNext) ) ) )).

fof(addAssignment_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v362(VarNext)
      <=> v360(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_9,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ( v360(VarCurr)
      <=> v270(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_9,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ( v360(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v306(VarNext)
      <=> ( v307(VarNext)
          & v314(VarNext) ) ) ) )).

fof(addAssignment_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v314(VarNext)
      <=> v312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_59,axiom,(
    ! [VarCurr] :
      ( v312(VarCurr)
    <=> ( v315(VarCurr)
        & v324(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_58,axiom,(
    ! [VarCurr] :
      ( v324(VarCurr)
    <=> ( v325(VarCurr)
        | v316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_57,axiom,(
    ! [VarCurr] :
      ( v325(VarCurr)
    <=> ( v326(VarCurr)
        & v359(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_56,axiom,(
    ! [VarCurr] :
      ( v359(VarCurr)
    <=> ( v319(VarCurr)
        | v320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_55,axiom,(
    ! [VarCurr] :
      ( v326(VarCurr)
    <=> ( v327(VarCurr)
        & v329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_54,axiom,(
    ! [VarCurr] :
      ( v329(VarCurr)
    <=> ( v330(VarCurr)
        | v358(VarCurr) ) ) )).

fof(writeUnaryOperator_13,axiom,(
    ! [VarCurr] :
      ( ~ v358(VarCurr)
    <=> v322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_53,axiom,(
    ! [VarCurr] :
      ( v330(VarCurr)
    <=> ( v331(VarCurr)
        & v333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_52,axiom,(
    ! [VarCurr] :
      ( v333(VarCurr)
    <=> ( v334(VarCurr)
        | v357(VarCurr) ) ) )).

fof(writeUnaryOperator_12,axiom,(
    ! [VarCurr] :
      ( ~ v357(VarCurr)
    <=> v321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_51,axiom,(
    ! [VarCurr] :
      ( v334(VarCurr)
    <=> ( v335(VarCurr)
        & v356(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_50,axiom,(
    ! [VarCurr] :
      ( v356(VarCurr)
    <=> ( v338(VarCurr)
        | v351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_49,axiom,(
    ! [VarCurr] :
      ( v335(VarCurr)
    <=> ( v336(VarCurr)
        & v349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_48,axiom,(
    ! [VarCurr] :
      ( v349(VarCurr)
    <=> ( v220(VarCurr)
        | v350(VarCurr) ) ) )).

fof(writeUnaryOperator_11,axiom,(
    ! [VarCurr] :
      ( ~ v350(VarCurr)
    <=> v351(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_47,axiom,(
    ! [VarCurr] :
      ( v351(VarCurr)
    <=> ( v352(VarCurr)
        | v355(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_56,axiom,(
    ! [VarCurr] :
      ( v355(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $true )
        & ( v272(VarCurr,bitIndex1)
        <=> $false )
        & ( v272(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_46,axiom,(
    ! [VarCurr] :
      ( v352(VarCurr)
    <=> ( v353(VarCurr)
        | v354(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_55,axiom,(
    ! [VarCurr] :
      ( v354(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $false )
        & ( v272(VarCurr,bitIndex1)
        <=> $false )
        & ( v272(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_54,axiom,(
    ! [VarCurr] :
      ( v353(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $false )
        & ( v272(VarCurr,bitIndex1)
        <=> $true )
        & ( v272(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_45,axiom,(
    ! [VarCurr] :
      ( v336(VarCurr)
    <=> ( v220(VarCurr)
        | v337(VarCurr) ) ) )).

fof(writeUnaryOperator_10,axiom,(
    ! [VarCurr] :
      ( ~ v337(VarCurr)
    <=> v338(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_44,axiom,(
    ! [VarCurr] :
      ( v338(VarCurr)
    <=> ( v339(VarCurr)
        | v348(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_53,axiom,(
    ! [VarCurr] :
      ( v348(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $false )
        & ( v272(VarCurr,bitIndex1)
        <=> $false )
        & ( v272(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_43,axiom,(
    ! [VarCurr] :
      ( v339(VarCurr)
    <=> ( v340(VarCurr)
        | v347(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_52,axiom,(
    ! [VarCurr] :
      ( v347(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $true )
        & ( v272(VarCurr,bitIndex2)
        <=> $false )
        & ( v272(VarCurr,bitIndex1)
        <=> $false )
        & ( v272(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_42,axiom,(
    ! [VarCurr] :
      ( v340(VarCurr)
    <=> ( v341(VarCurr)
        | v346(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_51,axiom,(
    ! [VarCurr] :
      ( v346(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $true )
        & ( v272(VarCurr,bitIndex1)
        <=> $true )
        & ( v272(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_41,axiom,(
    ! [VarCurr] :
      ( v341(VarCurr)
    <=> ( v342(VarCurr)
        | v345(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_50,axiom,(
    ! [VarCurr] :
      ( v345(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $true )
        & ( v272(VarCurr,bitIndex1)
        <=> $false )
        & ( v272(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_40,axiom,(
    ! [VarCurr] :
      ( v342(VarCurr)
    <=> ( v343(VarCurr)
        | v344(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_49,axiom,(
    ! [VarCurr] :
      ( v344(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $true )
        & ( v272(VarCurr,bitIndex1)
        <=> $true )
        & ( v272(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_48,axiom,(
    ! [VarCurr] :
      ( v343(VarCurr)
    <=> ( ( v272(VarCurr,bitIndex3)
        <=> $false )
        & ( v272(VarCurr,bitIndex2)
        <=> $false )
        & ( v272(VarCurr,bitIndex1)
        <=> $true )
        & ( v272(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeUnaryOperator_9,axiom,(
    ! [VarCurr] :
      ( ~ v331(VarCurr)
    <=> v332(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_47,axiom,(
    ! [VarCurr] :
      ( v332(VarCurr)
    <=> ( v268(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_39,axiom,(
    ! [VarCurr] :
      ( v327(VarCurr)
    <=> ( v220(VarCurr)
        | v328(VarCurr) ) ) )).

fof(writeUnaryOperator_8,axiom,(
    ! [VarCurr] :
      ( ~ v328(VarCurr)
    <=> v319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_38,axiom,(
    ! [VarCurr] :
      ( v315(VarCurr)
    <=> ( v316(VarCurr)
        | v317(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_37,axiom,(
    ! [VarCurr] :
      ( v317(VarCurr)
    <=> ( v318(VarCurr)
        & v323(VarCurr) ) ) )).

fof(writeUnaryOperator_7,axiom,(
    ! [VarCurr] :
      ( ~ v323(VarCurr)
    <=> v316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_36,axiom,(
    ! [VarCurr] :
      ( v318(VarCurr)
    <=> ( v319(VarCurr)
        | v320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_35,axiom,(
    ! [VarCurr] :
      ( v320(VarCurr)
    <=> ( v321(VarCurr)
        & v322(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_46,axiom,(
    ! [VarCurr] :
      ( v322(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_45,axiom,(
    ! [VarCurr] :
      ( v321(VarCurr)
    <=> ( v268(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_44,axiom,(
    ! [VarCurr] :
      ( v319(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_43,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v307(VarNext)
      <=> ( v308(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v308(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v277(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v272(VarNext,B)
            <=> v272(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_1,axiom,(
    ! [VarNext] :
      ( v277(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v272(VarNext,B)
          <=> v301(VarNext,B) ) ) ) )).

fof(addAssignment_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v301(VarNext,B)
          <=> v299(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_8,axiom,(
    ! [VarCurr] :
      ( ~ v287(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v299(VarCurr,B)
          <=> v274(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_8,axiom,(
    ! [VarCurr] :
      ( v287(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v299(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v277(VarNext)
      <=> ( v278(VarNext)
          & v285(VarNext) ) ) ) )).

fof(addAssignment_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v285(VarNext)
      <=> v283(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_32,axiom,(
    ! [VarCurr] :
      ( v283(VarCurr)
    <=> ( v286(VarCurr)
        & v291(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_31,axiom,(
    ! [VarCurr] :
      ( v291(VarCurr)
    <=> ( v292(VarCurr)
        | v287(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_30,axiom,(
    ! [VarCurr] :
      ( v292(VarCurr)
    <=> ( v293(VarCurr)
        & v298(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_29,axiom,(
    ! [VarCurr] :
      ( v298(VarCurr)
    <=> ( v289(VarCurr)
        | v297(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_28,axiom,(
    ! [VarCurr] :
      ( v293(VarCurr)
    <=> ( v294(VarCurr)
        & v296(VarCurr) ) ) )).

fof(writeUnaryOperator_5,axiom,(
    ! [VarCurr] :
      ( ~ v296(VarCurr)
    <=> v297(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_42,axiom,(
    ! [VarCurr] :
      ( v297(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_27,axiom,(
    ! [VarCurr] :
      ( v294(VarCurr)
    <=> ( v220(VarCurr)
        | v295(VarCurr) ) ) )).

fof(writeUnaryOperator_4,axiom,(
    ! [VarCurr] :
      ( ~ v295(VarCurr)
    <=> v289(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_26,axiom,(
    ! [VarCurr] :
      ( v286(VarCurr)
    <=> ( v287(VarCurr)
        | v288(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_25,axiom,(
    ! [VarCurr] :
      ( v288(VarCurr)
    <=> ( v289(VarCurr)
        & v290(VarCurr) ) ) )).

fof(writeUnaryOperator_3,axiom,(
    ! [VarCurr] :
      ( ~ v290(VarCurr)
    <=> v287(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_41,axiom,(
    ! [VarCurr] :
      ( v289(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_40,axiom,(
    ! [VarCurr] :
      ( v287(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v278(VarNext)
      <=> ( v279(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v279(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignment_30,axiom,(
    ! [VarCurr] :
      ( v251(VarCurr)
    <=> v253(VarCurr) ) )).

fof(addAssignment_29,axiom,(
    ! [VarCurr] :
      ( v253(VarCurr)
    <=> v255(VarCurr) ) )).

fof(addAssignment_28,axiom,(
    ! [VarCurr] :
      ( v255(VarCurr)
    <=> v257(VarCurr) ) )).

fof(addAssignment_27,axiom,(
    ! [VarCurr] :
      ( v257(VarCurr)
    <=> v259(VarCurr) ) )).

fof(addAssignment_26,axiom,(
    ! [VarCurr] :
      ( v259(VarCurr)
    <=> v261(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_23,axiom,(
    ! [VarCurr] :
      ( v261(VarCurr)
    <=> ( v265(VarCurr)
        | v266(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_39,axiom,(
    ! [VarCurr] :
      ( v266(VarCurr)
    <=> ( ( v45(VarCurr,bitIndex4)
        <=> $false )
        & ( v45(VarCurr,bitIndex3)
        <=> $true )
        & ( v45(VarCurr,bitIndex2)
        <=> $false )
        & ( v45(VarCurr,bitIndex1)
        <=> $true )
        & ( v45(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_165,axiom,(
    ~ b01010(bitIndex4) )).

fof(bitBlastConstant_164,axiom,(
    b01010(bitIndex3) )).

fof(bitBlastConstant_163,axiom,(
    ~ b01010(bitIndex2) )).

fof(bitBlastConstant_162,axiom,(
    b01010(bitIndex1) )).

fof(bitBlastConstant_161,axiom,(
    ~ b01010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_38,axiom,(
    ! [VarCurr] :
      ( v265(VarCurr)
    <=> ( ( v45(VarCurr,bitIndex4)
        <=> $false )
        & ( v45(VarCurr,bitIndex3)
        <=> $true )
        & ( v45(VarCurr,bitIndex2)
        <=> $false )
        & ( v45(VarCurr,bitIndex1)
        <=> $false )
        & ( v45(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_160,axiom,(
    ~ b01001(bitIndex4) )).

fof(bitBlastConstant_159,axiom,(
    b01001(bitIndex3) )).

fof(bitBlastConstant_158,axiom,(
    ~ b01001(bitIndex2) )).

fof(bitBlastConstant_157,axiom,(
    ~ b01001(bitIndex1) )).

fof(bitBlastConstant_156,axiom,(
    b01001(bitIndex0) )).

fof(addAssignmentInitValueVector,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v45(constB0,B)
      <=> $false ) ) )).

fof(range_axiom_2,axiom,(
    ! [B] :
      ( range_4_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B ) ) )).

fof(bitBlastConstant_155,axiom,(
    ~ b00000(bitIndex4) )).

fof(bitBlastConstant_154,axiom,(
    ~ b00000(bitIndex3) )).

fof(bitBlastConstant_153,axiom,(
    ~ b00000(bitIndex2) )).

fof(bitBlastConstant_152,axiom,(
    ~ b00000(bitIndex1) )).

fof(bitBlastConstant_151,axiom,(
    ~ b00000(bitIndex0) )).

fof(addCaseBooleanConditionEqualRanges1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v233(VarNext)
       => ( v73(VarNext)
        <=> v73(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0,axiom,(
    ! [VarNext] :
      ( v233(VarNext)
     => ( v73(VarNext)
      <=> v243(VarNext) ) ) )).

fof(addAssignment_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v243(VarNext)
      <=> v241(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_1,axiom,(
    ! [VarCurr] :
      ( ~ v244(VarCurr)
     => ( v241(VarCurr)
      <=> v245(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_1,axiom,(
    ! [VarCurr] :
      ( v244(VarCurr)
     => ( v241(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch,axiom,(
    ! [VarCurr] :
      ( ~ v75(VarCurr)
     => ( v245(VarCurr)
      <=> v246(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch,axiom,(
    ! [VarCurr] :
      ( v75(VarCurr)
     => ( v245(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_22,axiom,(
    ! [VarCurr] :
      ( v246(VarCurr)
    <=> ( v247(VarCurr)
        & v73(VarCurr) ) ) )).

fof(writeUnaryOperator_1,axiom,(
    ! [VarCurr] :
      ( ~ v247(VarCurr)
    <=> v220(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_37,axiom,(
    ! [VarCurr] :
      ( v244(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v233(VarNext)
      <=> v234(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v234(VarNext)
      <=> ( v235(VarNext)
          & v228(VarNext) ) ) ) )).

fof(writeUnaryOperator,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v235(VarNext)
      <=> v237(VarNext) ) ) )).

fof(addAssignment_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v237(VarNext)
      <=> v228(VarCurr) ) ) )).

fof(addAssignment_23,axiom,(
    ! [VarCurr] :
      ( v228(VarCurr)
    <=> v230(VarCurr) ) )).

fof(addAssignment_22,axiom,(
    ! [VarCurr] :
      ( v230(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v222(VarCurr)
        & ~ v226(VarCurr) )
     => ( v220(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_7,axiom,(
    ! [VarCurr] :
      ( v226(VarCurr)
     => ( v220(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_7,axiom,(
    ! [VarCurr] :
      ( v222(VarCurr)
     => ( v220(VarCurr)
      <=> v223(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_36,axiom,(
    ! [VarCurr] :
      ( v226(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_6,axiom,(
    ! [VarCurr] :
      ( ~ v224(VarCurr)
     => ( v223(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_6,axiom,(
    ! [VarCurr] :
      ( v224(VarCurr)
     => ( v223(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_35,axiom,(
    ! [VarCurr] :
      ( v225(VarCurr)
    <=> ( v73(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_34,axiom,(
    ! [VarCurr] :
      ( v224(VarCurr)
    <=> ( v73(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_33,axiom,(
    ! [VarCurr] :
      ( v222(VarCurr)
    <=> ( ( v68(VarCurr,bitIndex1)
        <=> $false )
        & ( v68(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v190(VarCurr)
        & ~ v214(VarCurr)
        & ~ v218(VarCurr) )
     => ( v75(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_2,axiom,(
    ! [VarCurr] :
      ( v218(VarCurr)
     => ( v75(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_5,axiom,(
    ! [VarCurr] :
      ( v214(VarCurr)
     => ( v75(VarCurr)
      <=> v215(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_5,axiom,(
    ! [VarCurr] :
      ( v190(VarCurr)
     => ( v75(VarCurr)
      <=> v191(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_32,axiom,(
    ! [VarCurr] :
      ( v218(VarCurr)
    <=> ( ( v77(VarCurr,bitIndex1)
        <=> $true )
        & ( v77(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_150,axiom,(
    b10(bitIndex1) )).

fof(bitBlastConstant_149,axiom,(
    ~ b10(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_4,axiom,(
    ! [VarCurr] :
      ( ~ v216(VarCurr)
     => ( v215(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_4,axiom,(
    ! [VarCurr] :
      ( v216(VarCurr)
     => ( v215(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_31,axiom,(
    ! [VarCurr] :
      ( v217(VarCurr)
    <=> ( v179(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_30,axiom,(
    ! [VarCurr] :
      ( v216(VarCurr)
    <=> ( v179(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_29,axiom,(
    ! [VarCurr] :
      ( v214(VarCurr)
    <=> ( ( v77(VarCurr,bitIndex1)
        <=> $false )
        & ( v77(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_148,axiom,(
    ~ b01(bitIndex1) )).

fof(bitBlastConstant_147,axiom,(
    b01(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_3,axiom,(
    ! [VarCurr] :
      ( ~ v192(VarCurr)
     => ( v191(VarCurr)
      <=> v194(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_3,axiom,(
    ! [VarCurr] :
      ( v192(VarCurr)
     => ( v191(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_2,axiom,(
    ! [VarCurr] :
      ( ~ v195(VarCurr)
     => ( v194(VarCurr)
      <=> v197(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_2,axiom,(
    ! [VarCurr] :
      ( v195(VarCurr)
     => ( v194(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v198(VarCurr)
        & ~ v205(VarCurr) )
     => ( v197(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_1,axiom,(
    ! [VarCurr] :
      ( v205(VarCurr)
     => ( v197(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_1,axiom,(
    ! [VarCurr] :
      ( v198(VarCurr)
     => ( v197(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_19,axiom,(
    ! [VarCurr] :
      ( v205(VarCurr)
    <=> ( v206(VarCurr)
        | v213(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_28,axiom,(
    ! [VarCurr] :
      ( v213(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $true )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_18,axiom,(
    ! [VarCurr] :
      ( v206(VarCurr)
    <=> ( v207(VarCurr)
        | v212(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_27,axiom,(
    ! [VarCurr] :
      ( v212(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_17,axiom,(
    ! [VarCurr] :
      ( v207(VarCurr)
    <=> ( v208(VarCurr)
        | v211(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_26,axiom,(
    ! [VarCurr] :
      ( v211(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_16,axiom,(
    ! [VarCurr] :
      ( v208(VarCurr)
    <=> ( v209(VarCurr)
        | v210(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_25,axiom,(
    ! [VarCurr] :
      ( v210(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_24,axiom,(
    ! [VarCurr] :
      ( v209(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_15,axiom,(
    ! [VarCurr] :
      ( v198(VarCurr)
    <=> ( v199(VarCurr)
        | v204(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_23,axiom,(
    ! [VarCurr] :
      ( v204(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_14,axiom,(
    ! [VarCurr] :
      ( v199(VarCurr)
    <=> ( v200(VarCurr)
        | v203(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_22,axiom,(
    ! [VarCurr] :
      ( v203(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $true )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_13,axiom,(
    ! [VarCurr] :
      ( v200(VarCurr)
    <=> ( v201(VarCurr)
        | v202(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_21,axiom,(
    ! [VarCurr] :
      ( v202(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $false )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_20,axiom,(
    ! [VarCurr] :
      ( v201(VarCurr)
    <=> ( ( v122(VarCurr,bitIndex3)
        <=> $false )
        & ( v122(VarCurr,bitIndex2)
        <=> $false )
        & ( v122(VarCurr,bitIndex1)
        <=> $true )
        & ( v122(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_19,axiom,(
    ! [VarCurr] :
      ( v196(VarCurr)
    <=> ( v73(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_18,axiom,(
    ! [VarCurr] :
      ( v195(VarCurr)
    <=> ( v73(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_17,axiom,(
    ! [VarCurr] :
      ( v193(VarCurr)
    <=> ( v79(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_16,axiom,(
    ! [VarCurr] :
      ( v192(VarCurr)
    <=> ( v79(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_15,axiom,(
    ! [VarCurr] :
      ( v190(VarCurr)
    <=> ( ( v77(VarCurr,bitIndex1)
        <=> $false )
        & ( v77(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_146,axiom,(
    ~ b00(bitIndex1) )).

fof(bitBlastConstant_145,axiom,(
    ~ b00(bitIndex0) )).

fof(addAssignment_21,axiom,(
    ! [VarCurr] :
      ( v179(VarCurr)
    <=> v181(VarCurr) ) )).

fof(addAssignment_20,axiom,(
    ! [VarCurr] :
      ( v181(VarCurr)
    <=> v183(VarCurr) ) )).

fof(addAssignment_19,axiom,(
    ! [VarCurr] :
      ( v183(VarCurr)
    <=> v185(VarCurr) ) )).

fof(addAssignment_18,axiom,(
    ! [VarCurr] :
      ( v185(VarCurr)
    <=> v187(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges9,axiom,(
    ! [VarCurr] :
      ( ( ~ v156(VarCurr)
        & ~ v159(VarCurr)
        & ~ v162(VarCurr)
        & ~ v163(VarCurr)
        & ~ v166(VarCurr)
        & ~ v169(VarCurr)
        & ~ v172(VarCurr)
        & ~ v173(VarCurr)
        & ~ v174(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> $true ) ) ) )).

fof(bitBlastConstant_144,axiom,(
    b1111(bitIndex3) )).

fof(bitBlastConstant_143,axiom,(
    b1111(bitIndex2) )).

fof(bitBlastConstant_142,axiom,(
    b1111(bitIndex1) )).

fof(bitBlastConstant_141,axiom,(
    b1111(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges8,axiom,(
    ! [VarCurr] :
      ( v174(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b0011(B) ) ) ) )).

fof(bitBlastConstant_140,axiom,(
    ~ b0011(bitIndex3) )).

fof(bitBlastConstant_139,axiom,(
    ~ b0011(bitIndex2) )).

fof(bitBlastConstant_138,axiom,(
    b0011(bitIndex1) )).

fof(bitBlastConstant_137,axiom,(
    b0011(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges7,axiom,(
    ! [VarCurr] :
      ( v173(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b0111(B) ) ) ) )).

fof(bitBlastConstant_136,axiom,(
    ~ b0111(bitIndex3) )).

fof(bitBlastConstant_135,axiom,(
    b0111(bitIndex2) )).

fof(bitBlastConstant_134,axiom,(
    b0111(bitIndex1) )).

fof(bitBlastConstant_133,axiom,(
    b0111(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges6,axiom,(
    ! [VarCurr] :
      ( v172(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b1000(B) ) ) ) )).

fof(bitBlastConstant_132,axiom,(
    b1000(bitIndex3) )).

fof(bitBlastConstant_131,axiom,(
    ~ b1000(bitIndex2) )).

fof(bitBlastConstant_130,axiom,(
    ~ b1000(bitIndex1) )).

fof(bitBlastConstant_129,axiom,(
    ~ b1000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges5,axiom,(
    ! [VarCurr] :
      ( v169(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b0101(B) ) ) ) )).

fof(bitBlastConstant_128,axiom,(
    ~ b0101(bitIndex3) )).

fof(bitBlastConstant_127,axiom,(
    b0101(bitIndex2) )).

fof(bitBlastConstant_126,axiom,(
    ~ b0101(bitIndex1) )).

fof(bitBlastConstant_125,axiom,(
    b0101(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges4,axiom,(
    ! [VarCurr] :
      ( v166(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b0110(B) ) ) ) )).

fof(bitBlastConstant_124,axiom,(
    ~ b0110(bitIndex3) )).

fof(bitBlastConstant_123,axiom,(
    b0110(bitIndex2) )).

fof(bitBlastConstant_122,axiom,(
    b0110(bitIndex1) )).

fof(bitBlastConstant_121,axiom,(
    ~ b0110(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges3,axiom,(
    ! [VarCurr] :
      ( v163(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(bitBlastConstant_120,axiom,(
    ~ b0001(bitIndex3) )).

fof(bitBlastConstant_119,axiom,(
    ~ b0001(bitIndex2) )).

fof(bitBlastConstant_118,axiom,(
    ~ b0001(bitIndex1) )).

fof(bitBlastConstant_117,axiom,(
    b0001(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2,axiom,(
    ! [VarCurr] :
      ( v162(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b0100(B) ) ) ) )).

fof(bitBlastConstant_116,axiom,(
    ~ b0100(bitIndex3) )).

fof(bitBlastConstant_115,axiom,(
    b0100(bitIndex2) )).

fof(bitBlastConstant_114,axiom,(
    ~ b0100(bitIndex1) )).

fof(bitBlastConstant_113,axiom,(
    ~ b0100(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1,axiom,(
    ! [VarCurr] :
      ( v159(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_112,axiom,(
    ~ b0000(bitIndex3) )).

fof(bitBlastConstant_111,axiom,(
    ~ b0000(bitIndex2) )).

fof(bitBlastConstant_110,axiom,(
    ~ b0000(bitIndex1) )).

fof(bitBlastConstant_109,axiom,(
    ~ b0000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0,axiom,(
    ! [VarCurr] :
      ( v156(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v122(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(range_axiom_1,axiom,(
    ! [B] :
      ( range_3_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B ) ) )).

fof(bitBlastConstant_108,axiom,(
    ~ b0010(bitIndex3) )).

fof(bitBlastConstant_107,axiom,(
    ~ b0010(bitIndex2) )).

fof(bitBlastConstant_106,axiom,(
    b0010(bitIndex1) )).

fof(bitBlastConstant_105,axiom,(
    ~ b0010(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_12,axiom,(
    ! [VarCurr] :
      ( v174(VarCurr)
    <=> ( v175(VarCurr)
        | v176(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_14,axiom,(
    ! [VarCurr] :
      ( v176(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $true )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $true )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_104,axiom,(
    b1001010(bitIndex6) )).

fof(bitBlastConstant_103,axiom,(
    ~ b1001010(bitIndex5) )).

fof(bitBlastConstant_102,axiom,(
    ~ b1001010(bitIndex4) )).

fof(bitBlastConstant_101,axiom,(
    b1001010(bitIndex3) )).

fof(bitBlastConstant_100,axiom,(
    ~ b1001010(bitIndex2) )).

fof(bitBlastConstant_99,axiom,(
    b1001010(bitIndex1) )).

fof(bitBlastConstant_98,axiom,(
    ~ b1001010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_13,axiom,(
    ! [VarCurr] :
      ( v175(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $false )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $true )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $true )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_97,axiom,(
    ~ b0001010(bitIndex6) )).

fof(bitBlastConstant_96,axiom,(
    ~ b0001010(bitIndex5) )).

fof(bitBlastConstant_95,axiom,(
    ~ b0001010(bitIndex4) )).

fof(bitBlastConstant_94,axiom,(
    b0001010(bitIndex3) )).

fof(bitBlastConstant_93,axiom,(
    ~ b0001010(bitIndex2) )).

fof(bitBlastConstant_92,axiom,(
    b0001010(bitIndex1) )).

fof(bitBlastConstant_91,axiom,(
    ~ b0001010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_12,axiom,(
    ! [VarCurr] :
      ( v173(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $true )
        & ( v124(VarCurr,bitIndex4)
        <=> $true )
        & ( v124(VarCurr,bitIndex3)
        <=> $true )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $true )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_90,axiom,(
    b1111010(bitIndex6) )).

fof(bitBlastConstant_89,axiom,(
    b1111010(bitIndex5) )).

fof(bitBlastConstant_88,axiom,(
    b1111010(bitIndex4) )).

fof(bitBlastConstant_87,axiom,(
    b1111010(bitIndex3) )).

fof(bitBlastConstant_86,axiom,(
    ~ b1111010(bitIndex2) )).

fof(bitBlastConstant_85,axiom,(
    b1111010(bitIndex1) )).

fof(bitBlastConstant_84,axiom,(
    ~ b1111010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_11,axiom,(
    ! [VarCurr] :
      ( v172(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $true )
        & ( v124(VarCurr,bitIndex4)
        <=> $true )
        & ( v124(VarCurr,bitIndex3)
        <=> $true )
        & ( v124(VarCurr,bitIndex2)
        <=> $true )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_83,axiom,(
    b1111100(bitIndex6) )).

fof(bitBlastConstant_82,axiom,(
    b1111100(bitIndex5) )).

fof(bitBlastConstant_81,axiom,(
    b1111100(bitIndex4) )).

fof(bitBlastConstant_80,axiom,(
    b1111100(bitIndex3) )).

fof(bitBlastConstant_79,axiom,(
    b1111100(bitIndex2) )).

fof(bitBlastConstant_78,axiom,(
    ~ b1111100(bitIndex1) )).

fof(bitBlastConstant_77,axiom,(
    ~ b1111100(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_11,axiom,(
    ! [VarCurr] :
      ( v169(VarCurr)
    <=> ( v170(VarCurr)
        | v171(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_10,axiom,(
    ! [VarCurr] :
      ( v171(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $true )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_76,axiom,(
    b1010000(bitIndex6) )).

fof(bitBlastConstant_75,axiom,(
    ~ b1010000(bitIndex5) )).

fof(bitBlastConstant_74,axiom,(
    b1010000(bitIndex4) )).

fof(bitBlastConstant_73,axiom,(
    ~ b1010000(bitIndex3) )).

fof(bitBlastConstant_72,axiom,(
    ~ b1010000(bitIndex2) )).

fof(bitBlastConstant_71,axiom,(
    ~ b1010000(bitIndex1) )).

fof(bitBlastConstant_70,axiom,(
    ~ b1010000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_9,axiom,(
    ! [VarCurr] :
      ( v170(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $true )
        & ( v124(VarCurr,bitIndex4)
        <=> $true )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_69,axiom,(
    b1110000(bitIndex6) )).

fof(bitBlastConstant_68,axiom,(
    b1110000(bitIndex5) )).

fof(bitBlastConstant_67,axiom,(
    b1110000(bitIndex4) )).

fof(bitBlastConstant_66,axiom,(
    ~ b1110000(bitIndex3) )).

fof(bitBlastConstant_65,axiom,(
    ~ b1110000(bitIndex2) )).

fof(bitBlastConstant_64,axiom,(
    ~ b1110000(bitIndex1) )).

fof(bitBlastConstant_63,axiom,(
    ~ b1110000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_10,axiom,(
    ! [VarCurr] :
      ( v166(VarCurr)
    <=> ( v167(VarCurr)
        | v168(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_8,axiom,(
    ! [VarCurr] :
      ( v168(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $true )
        & ( v124(VarCurr,bitIndex3)
        <=> $true )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_62,axiom,(
    b1011000(bitIndex6) )).

fof(bitBlastConstant_61,axiom,(
    ~ b1011000(bitIndex5) )).

fof(bitBlastConstant_60,axiom,(
    b1011000(bitIndex4) )).

fof(bitBlastConstant_59,axiom,(
    b1011000(bitIndex3) )).

fof(bitBlastConstant_58,axiom,(
    ~ b1011000(bitIndex2) )).

fof(bitBlastConstant_57,axiom,(
    ~ b1011000(bitIndex1) )).

fof(bitBlastConstant_56,axiom,(
    ~ b1011000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_7,axiom,(
    ! [VarCurr] :
      ( v167(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $true )
        & ( v124(VarCurr,bitIndex4)
        <=> $true )
        & ( v124(VarCurr,bitIndex3)
        <=> $true )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_55,axiom,(
    b1111000(bitIndex6) )).

fof(bitBlastConstant_54,axiom,(
    b1111000(bitIndex5) )).

fof(bitBlastConstant_53,axiom,(
    b1111000(bitIndex4) )).

fof(bitBlastConstant_52,axiom,(
    b1111000(bitIndex3) )).

fof(bitBlastConstant_51,axiom,(
    ~ b1111000(bitIndex2) )).

fof(bitBlastConstant_50,axiom,(
    ~ b1111000(bitIndex1) )).

fof(bitBlastConstant_49,axiom,(
    ~ b1111000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_9,axiom,(
    ! [VarCurr] :
      ( v163(VarCurr)
    <=> ( v164(VarCurr)
        | v165(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_6,axiom,(
    ! [VarCurr] :
      ( v165(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $true )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_48,axiom,(
    b1100000(bitIndex6) )).

fof(bitBlastConstant_47,axiom,(
    b1100000(bitIndex5) )).

fof(bitBlastConstant_46,axiom,(
    ~ b1100000(bitIndex4) )).

fof(bitBlastConstant_45,axiom,(
    ~ b1100000(bitIndex3) )).

fof(bitBlastConstant_44,axiom,(
    ~ b1100000(bitIndex2) )).

fof(bitBlastConstant_43,axiom,(
    ~ b1100000(bitIndex1) )).

fof(bitBlastConstant_42,axiom,(
    ~ b1100000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_5,axiom,(
    ! [VarCurr] :
      ( v164(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $true )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_41,axiom,(
    b1000000(bitIndex6) )).

fof(bitBlastConstant_40,axiom,(
    ~ b1000000(bitIndex5) )).

fof(bitBlastConstant_39,axiom,(
    ~ b1000000(bitIndex4) )).

fof(bitBlastConstant_38,axiom,(
    ~ b1000000(bitIndex3) )).

fof(bitBlastConstant_37,axiom,(
    ~ b1000000(bitIndex2) )).

fof(bitBlastConstant_36,axiom,(
    ~ b1000000(bitIndex1) )).

fof(bitBlastConstant_35,axiom,(
    ~ b1000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_4,axiom,(
    ! [VarCurr] :
      ( v162(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $false )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $true )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_34,axiom,(
    ~ b0001001(bitIndex6) )).

fof(bitBlastConstant_33,axiom,(
    ~ b0001001(bitIndex5) )).

fof(bitBlastConstant_32,axiom,(
    ~ b0001001(bitIndex4) )).

fof(bitBlastConstant_31,axiom,(
    b0001001(bitIndex3) )).

fof(bitBlastConstant_30,axiom,(
    ~ b0001001(bitIndex2) )).

fof(bitBlastConstant_29,axiom,(
    ~ b0001001(bitIndex1) )).

fof(bitBlastConstant_28,axiom,(
    b0001001(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_8,axiom,(
    ! [VarCurr] :
      ( v159(VarCurr)
    <=> ( v160(VarCurr)
        | v161(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_3,axiom,(
    ! [VarCurr] :
      ( v161(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $false )
        & ( v124(VarCurr,bitIndex5)
        <=> $true )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_27,axiom,(
    ~ b0100001(bitIndex6) )).

fof(bitBlastConstant_26,axiom,(
    b0100001(bitIndex5) )).

fof(bitBlastConstant_25,axiom,(
    ~ b0100001(bitIndex4) )).

fof(bitBlastConstant_24,axiom,(
    ~ b0100001(bitIndex3) )).

fof(bitBlastConstant_23,axiom,(
    ~ b0100001(bitIndex2) )).

fof(bitBlastConstant_22,axiom,(
    ~ b0100001(bitIndex1) )).

fof(bitBlastConstant_21,axiom,(
    b0100001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_2,axiom,(
    ! [VarCurr] :
      ( v160(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $false )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_20,axiom,(
    ~ b0000001(bitIndex6) )).

fof(bitBlastConstant_19,axiom,(
    ~ b0000001(bitIndex5) )).

fof(bitBlastConstant_18,axiom,(
    ~ b0000001(bitIndex4) )).

fof(bitBlastConstant_17,axiom,(
    ~ b0000001(bitIndex3) )).

fof(bitBlastConstant_16,axiom,(
    ~ b0000001(bitIndex2) )).

fof(bitBlastConstant_15,axiom,(
    ~ b0000001(bitIndex1) )).

fof(bitBlastConstant_14,axiom,(
    b0000001(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_7,axiom,(
    ! [VarCurr] :
      ( v156(VarCurr)
    <=> ( v157(VarCurr)
        | v158(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1,axiom,(
    ! [VarCurr] :
      ( v158(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $false )
        & ( v124(VarCurr,bitIndex5)
        <=> $true )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_13,axiom,(
    ~ b0100000(bitIndex6) )).

fof(bitBlastConstant_12,axiom,(
    b0100000(bitIndex5) )).

fof(bitBlastConstant_11,axiom,(
    ~ b0100000(bitIndex4) )).

fof(bitBlastConstant_10,axiom,(
    ~ b0100000(bitIndex3) )).

fof(bitBlastConstant_9,axiom,(
    ~ b0100000(bitIndex2) )).

fof(bitBlastConstant_8,axiom,(
    ~ b0100000(bitIndex1) )).

fof(bitBlastConstant_7,axiom,(
    ~ b0100000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted,axiom,(
    ! [VarCurr] :
      ( v157(VarCurr)
    <=> ( ( v124(VarCurr,bitIndex6)
        <=> $false )
        & ( v124(VarCurr,bitIndex5)
        <=> $false )
        & ( v124(VarCurr,bitIndex4)
        <=> $false )
        & ( v124(VarCurr,bitIndex3)
        <=> $false )
        & ( v124(VarCurr,bitIndex2)
        <=> $false )
        & ( v124(VarCurr,bitIndex1)
        <=> $false )
        & ( v124(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6,axiom,(
    ~ b0000000(bitIndex6) )).

fof(bitBlastConstant_5,axiom,(
    ~ b0000000(bitIndex5) )).

fof(bitBlastConstant_4,axiom,(
    ~ b0000000(bitIndex4) )).

fof(bitBlastConstant_3,axiom,(
    ~ b0000000(bitIndex3) )).

fof(bitBlastConstant_2,axiom,(
    ~ b0000000(bitIndex2) )).

fof(bitBlastConstant_1,axiom,(
    ~ b0000000(bitIndex1) )).

fof(bitBlastConstant,axiom,(
    ~ b0000000(bitIndex0) )).

fof(addAssignment_17,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v124(VarCurr,B)
      <=> v126(VarCurr,B) ) ) )).

fof(addAssignment_16,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v126(VarCurr,B)
      <=> v128(VarCurr,B) ) ) )).

fof(range_axiom,axiom,(
    ! [B] :
      ( range_6_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B ) ) )).

fof(addAssignment_15,axiom,(
    ! [VarCurr] :
      ( ( v128(VarCurr,bitIndex6)
      <=> v130(VarCurr,bitIndex27) )
      & ( v128(VarCurr,bitIndex5)
      <=> v130(VarCurr,bitIndex26) )
      & ( v128(VarCurr,bitIndex4)
      <=> v130(VarCurr,bitIndex25) )
      & ( v128(VarCurr,bitIndex3)
      <=> v130(VarCurr,bitIndex24) )
      & ( v128(VarCurr,bitIndex2)
      <=> v130(VarCurr,bitIndex23) )
      & ( v128(VarCurr,bitIndex1)
      <=> v130(VarCurr,bitIndex22) )
      & ( v128(VarCurr,bitIndex0)
      <=> v130(VarCurr,bitIndex21) ) ) )).

fof(addAssignment_14,axiom,(
    ! [VarCurr] :
      ( v79(VarCurr)
    <=> v81(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6,axiom,(
    ! [VarCurr] :
      ( v81(VarCurr)
    <=> ( v115(VarCurr)
        & v111(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5,axiom,(
    ! [VarCurr] :
      ( v115(VarCurr)
    <=> ( v116(VarCurr)
        & v107(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4,axiom,(
    ! [VarCurr] :
      ( v116(VarCurr)
    <=> ( v117(VarCurr)
        & v103(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3,axiom,(
    ! [VarCurr] :
      ( v117(VarCurr)
    <=> ( v118(VarCurr)
        & v99(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2,axiom,(
    ! [VarCurr] :
      ( v118(VarCurr)
    <=> ( v119(VarCurr)
        & v95(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1,axiom,(
    ! [VarCurr] :
      ( v119(VarCurr)
    <=> ( v120(VarCurr)
        & v91(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits,axiom,(
    ! [VarCurr] :
      ( v120(VarCurr)
    <=> ( v83(VarCurr)
        & v87(VarCurr) ) ) )).

fof(addAssignment_13,axiom,(
    ! [VarCurr] :
      ( v111(VarCurr)
    <=> v113(VarCurr) ) )).

fof(addAssignment_12,axiom,(
    ! [VarCurr] :
      ( v107(VarCurr)
    <=> v109(VarCurr) ) )).

fof(addAssignment_11,axiom,(
    ! [VarCurr] :
      ( v103(VarCurr)
    <=> v105(VarCurr) ) )).

fof(addAssignment_10,axiom,(
    ! [VarCurr] :
      ( v99(VarCurr)
    <=> v101(VarCurr) ) )).

fof(addAssignment_9,axiom,(
    ! [VarCurr] :
      ( v95(VarCurr)
    <=> v97(VarCurr) ) )).

fof(addAssignment_8,axiom,(
    ! [VarCurr] :
      ( v91(VarCurr)
    <=> v93(VarCurr) ) )).

fof(addAssignment_7,axiom,(
    ! [VarCurr] :
      ( v87(VarCurr)
    <=> v89(VarCurr) ) )).

fof(addAssignment_6,axiom,(
    ! [VarCurr] :
      ( v83(VarCurr)
    <=> v85(VarCurr) ) )).

fof(addAssignment_5,axiom,(
    ! [VarCurr] :
      ( v62(VarCurr)
    <=> v64(VarCurr) ) )).

fof(addAssignment_4,axiom,(
    ! [VarCurr] :
      ( v64(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment_3,axiom,(
    ! [VarCurr] :
      ( v10(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_2,axiom,(
    ! [VarCurr] :
      ( v12(VarCurr)
    <=> v14(VarCurr) ) )).

fof(addAssignment_1,axiom,(
    ! [VarCurr] :
      ( v14(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment,axiom,(
    ! [VarCurr] :
      ( v16(VarCurr)
    <=> v18(VarCurr) ) )).

%------------------------------------------------------------------------------
