%------------------------------------------------------------------------------
% File     : NUM925+2 : TPTP v6.1.0. Released v5.3.0.
% Domain   : Number Theory
% Problem  : Sum of two squares line 192, 500 axioms selected
% Version  : Especial.
% English  :

% Refs     : [BN10]  Boehme & Nipkow (2010), Sledgehammer: Judgement Day
%          : [Bla11] Blanchette (2011), Email to Geoff Sutcliffe
% Source   : [Bla11]
% Names    : s2s_500_fofmg_l192 [Bla11]

% Status   : Theorem
% Rating   : 0.28 v6.1.0, 0.33 v6.0.0, 0.26 v5.5.0, 0.56 v5.4.0, 0.54 v5.3.0
% Syntax   : Number of formulae    :  708 ( 259 unit)
%            Number of atoms       : 1444 ( 466 equality)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :  837 ( 101   ~;  19   |;  49   &)
%                                         ( 195 <=>; 473  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :   48 (  22 constant; 0-2 arity)
%            Number of variables   : 1275 (   0 sgn;1263   !;  12   ?)
%            Maximal term depth    :    9 (   3 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : This file was generated by Isabelle (most likely Sledgehammer)
%            2011-08-09 14:29:49
%          : Encoded with monomorphized guards.
%------------------------------------------------------------------------------
%----Explicit typings (5)
fof(gsy_c_fFalse,axiom,(
    is_bool(fFalse) )).

fof(gsy_c_fTrue,axiom,(
    is_bool(fTrue) )).

fof(gsy_c_hAPP_000tc__Int__Oint_000tc__HOL__Obool,axiom,(
    ! [B_1_1,B_2_1] : is_bool(hAPP_int_bool(B_1_1,B_2_1)) )).

fof(gsy_c_hAPP_000tc__Nat__Onat_000tc__HOL__Obool,axiom,(
    ! [B_1_1,B_2_1] : is_bool(hAPP_nat_bool(B_1_1,B_2_1)) )).

fof(gsy_c_hAPP_000tc__RealDef__Oreal_000tc__HOL__Obool,axiom,(
    ! [B_1_1,B_2_1] : is_bool(hAPP_real_bool(B_1_1,B_2_1)) )).

%----Relevant facts (699)
fof(fact_0_n1pos,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(one_one_int),hAPP_nat_int(semiri1621563631at_int,n)))) )).

fof(fact_1_t1,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),t)) )).

fof(fact_2_sum__power2__eq__zero__iff,axiom,(
    ! [Xa,Ya] :
      ( hAPP_int_int(plus_plus_int(hAPP_nat_int(power_power_int(Xa),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_int(power_power_int(Ya),number_number_of_nat(bit0(bit1(pls))))) = zero_zero_int
    <=> ( Xa = zero_zero_int
        & Ya = zero_zero_int ) ) )).

fof(fact_3_sum__power2__eq__zero__iff,axiom,(
    ! [Xa,Ya] :
      ( hAPP_real_real(plus_plus_real(hAPP_nat_real(power_power_real(Xa),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Ya),number_number_of_nat(bit0(bit1(pls))))) = zero_zero_real
    <=> ( Xa = zero_zero_real
        & Ya = zero_zero_real ) ) )).

fof(fact_4_one__power2,axiom,(
    hAPP_nat_int(power_power_int(one_one_int),number_number_of_nat(bit0(bit1(pls)))) = one_one_int )).

fof(fact_5_one__power2,axiom,(
    hAPP_nat_nat(power_power_nat(one_one_nat),number_number_of_nat(bit0(bit1(pls)))) = one_one_nat )).

fof(fact_6_one__power2,axiom,(
    hAPP_nat_real(power_power_real(one_one_real),number_number_of_nat(bit0(bit1(pls)))) = one_one_real )).

fof(fact_7_zero__power2,axiom,(
    hAPP_nat_int(power_power_int(zero_zero_int),number_number_of_nat(bit0(bit1(pls)))) = zero_zero_int )).

fof(fact_8_zero__power2,axiom,(
    hAPP_nat_nat(power_power_nat(zero_zero_nat),number_number_of_nat(bit0(bit1(pls)))) = zero_zero_nat )).

fof(fact_9_zero__power2,axiom,(
    hAPP_nat_real(power_power_real(zero_zero_real),number_number_of_nat(bit0(bit1(pls)))) = zero_zero_real )).

fof(fact_10_zero__eq__power2,axiom,(
    ! [A_24] :
      ( hAPP_nat_int(power_power_int(A_24),number_number_of_nat(bit0(bit1(pls)))) = zero_zero_int
    <=> A_24 = zero_zero_int ) )).

fof(fact_11_zero__eq__power2,axiom,(
    ! [A_24] :
      ( hAPP_nat_real(power_power_real(A_24),number_number_of_nat(bit0(bit1(pls)))) = zero_zero_real
    <=> A_24 = zero_zero_real ) )).

fof(fact_12_add__special_I2_J,axiom,(
    ! [W_8] : hAPP_int_int(plus_plus_int(one_one_int),number_number_of_int(W_8)) = number_number_of_int(hAPP_int_int(plus_plus_int(bit1(pls)),W_8)) )).

fof(fact_13_add__special_I2_J,axiom,(
    ! [W_8] : hAPP_real_real(plus_plus_real(one_one_real),number267125858f_real(W_8)) = number267125858f_real(hAPP_int_int(plus_plus_int(bit1(pls)),W_8)) )).

fof(fact_14_add__special_I3_J,axiom,(
    ! [V_11] : hAPP_int_int(plus_plus_int(number_number_of_int(V_11)),one_one_int) = number_number_of_int(hAPP_int_int(plus_plus_int(V_11),bit1(pls))) )).

fof(fact_15_add__special_I3_J,axiom,(
    ! [V_11] : hAPP_real_real(plus_plus_real(number267125858f_real(V_11)),one_one_real) = number267125858f_real(hAPP_int_int(plus_plus_int(V_11),bit1(pls))) )).

fof(fact_16_one__add__one__is__two,axiom,(
    hAPP_int_int(plus_plus_int(one_one_int),one_one_int) = number_number_of_int(bit0(bit1(pls))) )).

fof(fact_17_one__add__one__is__two,axiom,(
    hAPP_real_real(plus_plus_real(one_one_real),one_one_real) = number267125858f_real(bit0(bit1(pls))) )).

fof(fact_18_semiring__one__add__one__is__two,axiom,(
    hAPP_int_int(plus_plus_int(one_one_int),one_one_int) = number_number_of_int(bit0(bit1(pls))) )).

fof(fact_19_semiring__one__add__one__is__two,axiom,(
    hAPP_nat_nat(plus_plus_nat(one_one_nat),one_one_nat) = number_number_of_nat(bit0(bit1(pls))) )).

fof(fact_20_semiring__one__add__one__is__two,axiom,(
    hAPP_real_real(plus_plus_real(one_one_real),one_one_real) = number267125858f_real(bit0(bit1(pls))) )).

fof(fact_21_quartic__square__square,axiom,(
    ! [X] : hAPP_nat_int(power_power_int(hAPP_nat_int(power_power_int(X),number_number_of_nat(bit0(bit1(pls))))),number_number_of_nat(bit0(bit1(pls)))) = hAPP_nat_int(power_power_int(X),number_number_of_nat(bit0(bit0(bit1(pls))))) )).

fof(fact_22_power__0__left__number__of,axiom,(
    ! [W_7] :
      ( ( number_number_of_nat(W_7) = zero_zero_nat
       => hAPP_nat_int(power_power_int(zero_zero_int),number_number_of_nat(W_7)) = one_one_int )
      & ( number_number_of_nat(W_7) != zero_zero_nat
       => hAPP_nat_int(power_power_int(zero_zero_int),number_number_of_nat(W_7)) = zero_zero_int ) ) )).

fof(fact_23_power__0__left__number__of,axiom,(
    ! [W_7] :
      ( ( number_number_of_nat(W_7) = zero_zero_nat
       => hAPP_nat_nat(power_power_nat(zero_zero_nat),number_number_of_nat(W_7)) = one_one_nat )
      & ( number_number_of_nat(W_7) != zero_zero_nat
       => hAPP_nat_nat(power_power_nat(zero_zero_nat),number_number_of_nat(W_7)) = zero_zero_nat ) ) )).

fof(fact_24_power__0__left__number__of,axiom,(
    ! [W_7] :
      ( ( number_number_of_nat(W_7) = zero_zero_nat
       => hAPP_nat_real(power_power_real(zero_zero_real),number_number_of_nat(W_7)) = one_one_real )
      & ( number_number_of_nat(W_7) != zero_zero_nat
       => hAPP_nat_real(power_power_real(zero_zero_real),number_number_of_nat(W_7)) = zero_zero_real ) ) )).

fof(fact_25_semiring__norm_I110_J,axiom,(
    one_one_int = number_number_of_int(bit1(pls)) )).

fof(fact_26_semiring__norm_I110_J,axiom,(
    one_one_real = number267125858f_real(bit1(pls)) )).

fof(fact_27_numeral__1__eq__1,axiom,(
    number_number_of_int(bit1(pls)) = one_one_int )).

fof(fact_28_numeral__1__eq__1,axiom,(
    number267125858f_real(bit1(pls)) = one_one_real )).

fof(fact_29_n0,axiom,(
    hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),n)) )).

fof(fact_30_zless__linear,axiom,(
    ! [X,Y] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,X),Y))
      | X = Y
      | hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Y),X)) ) )).

fof(fact_31_less__number__of__int__code,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,number_number_of_int(K_2)),number_number_of_int(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),L_1)) ) )).

fof(fact_32_plus__numeral__code_I9_J,axiom,(
    ! [V_6,W] : hAPP_int_int(plus_plus_int(number_number_of_int(V_6)),number_number_of_int(W)) = number_number_of_int(hAPP_int_int(plus_plus_int(V_6),W)) )).

fof(fact_33_less__number__of,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,number_number_of_int(Xa)),number_number_of_int(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Xa),Ya)) ) )).

fof(fact_34_less__number__of,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,number267125858f_real(Xa)),number267125858f_real(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Xa),Ya)) ) )).

fof(fact_35_zero__is__num__zero,axiom,(
    zero_zero_int = number_number_of_int(pls) )).

fof(fact_36_zpower__int,axiom,(
    ! [M_1,N_1] : hAPP_nat_int(power_power_int(hAPP_nat_int(semiri1621563631at_int,M_1)),N_1) = hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(power_power_nat(M_1),N_1)) )).

fof(fact_37_int__power,axiom,(
    ! [M_1,N_1] : hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(power_power_nat(M_1),N_1)) = hAPP_nat_int(power_power_int(hAPP_nat_int(semiri1621563631at_int,M_1)),N_1) )).

fof(fact_38_zadd__int__left,axiom,(
    ! [M_1,N_1,Z_2] : hAPP_int_int(plus_plus_int(hAPP_nat_int(semiri1621563631at_int,M_1)),hAPP_int_int(plus_plus_int(hAPP_nat_int(semiri1621563631at_int,N_1)),Z_2)) = hAPP_int_int(plus_plus_int(hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(plus_plus_nat(M_1),N_1))),Z_2) )).

fof(fact_39_zadd__int,axiom,(
    ! [M_1,N_1] : hAPP_int_int(plus_plus_int(hAPP_nat_int(semiri1621563631at_int,M_1)),hAPP_nat_int(semiri1621563631at_int,N_1)) = hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(plus_plus_nat(M_1),N_1)) )).

fof(fact_40_int__1,axiom,(
    hAPP_nat_int(semiri1621563631at_int,one_one_nat) = one_one_int )).

fof(fact_41_nat__number__of__Pls,axiom,(
    number_number_of_nat(pls) = zero_zero_nat )).

fof(fact_42_semiring__norm_I113_J,axiom,(
    zero_zero_nat = number_number_of_nat(pls) )).

fof(fact_43_int__eq__0__conv,axiom,(
    ! [Na] :
      ( hAPP_nat_int(semiri1621563631at_int,Na) = zero_zero_int
    <=> Na = zero_zero_nat ) )).

fof(fact_44_int__0,axiom,(
    hAPP_nat_int(semiri1621563631at_int,zero_zero_nat) = zero_zero_int )).

fof(fact_45_nat__1__add__1,axiom,(
    hAPP_nat_nat(plus_plus_nat(one_one_nat),one_one_nat) = number_number_of_nat(bit0(bit1(pls))) )).

fof(fact_46_less__int__code_I16_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(K1)),bit1(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K1),K2)) ) )).

fof(fact_47_rel__simps_I17_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(K_2)),bit1(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),L_1)) ) )).

fof(fact_48_rel__simps_I2_J,axiom,(
    ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),pls)) )).

fof(fact_49_less__int__code_I13_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit0(K1)),bit0(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K1),K2)) ) )).

fof(fact_50_rel__simps_I14_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit0(K_2)),bit0(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),L_1)) ) )).

fof(fact_51_zadd__strict__right__mono,axiom,(
    ! [K,I_2,J_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,I_2),J_2))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(I_2),K)),hAPP_int_int(plus_plus_int(J_2),K))) ) )).

fof(fact_52_add__nat__number__of,axiom,(
    ! [V_10,V_6] :
      ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_6),pls))
       => hAPP_nat_nat(plus_plus_nat(number_number_of_nat(V_6)),number_number_of_nat(V_10)) = number_number_of_nat(V_10) )
      & ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_6),pls))
       => ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_10),pls))
           => hAPP_nat_nat(plus_plus_nat(number_number_of_nat(V_6)),number_number_of_nat(V_10)) = number_number_of_nat(V_6) )
          & ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_10),pls))
           => hAPP_nat_nat(plus_plus_nat(number_number_of_nat(V_6)),number_number_of_nat(V_10)) = number_number_of_nat(hAPP_int_int(plus_plus_int(V_6),V_10)) ) ) ) ) )).

fof(fact_53_one__is__num__one,axiom,(
    one_one_int = number_number_of_int(bit1(pls)) )).

fof(fact_54_nat__numeral__1__eq__1,axiom,(
    number_number_of_nat(bit1(pls)) = one_one_nat )).

fof(fact_55_Numeral1__eq1__nat,axiom,(
    one_one_nat = number_number_of_nat(bit1(pls)) )).

fof(fact_56_eq__number__of,axiom,(
    ! [Xa,Ya] :
      ( number_number_of_int(Xa) = number_number_of_int(Ya)
    <=> Xa = Ya ) )).

fof(fact_57_eq__number__of,axiom,(
    ! [Xa,Ya] :
      ( number267125858f_real(Xa) = number267125858f_real(Ya)
    <=> Xa = Ya ) )).

fof(fact_58_number__of__reorient,axiom,(
    ! [Wa,Xa] :
      ( number_number_of_nat(Wa) = Xa
    <=> Xa = number_number_of_nat(Wa) ) )).

fof(fact_59_number__of__reorient,axiom,(
    ! [Wa,Xa] :
      ( number_number_of_int(Wa) = Xa
    <=> Xa = number_number_of_int(Wa) ) )).

fof(fact_60_number__of__reorient,axiom,(
    ! [Wa,Xa] :
      ( number267125858f_real(Wa) = Xa
    <=> Xa = number267125858f_real(Wa) ) )).

fof(fact_61_rel__simps_I51_J,axiom,(
    ! [K_2,L_1] :
      ( bit1(K_2) = bit1(L_1)
    <=> K_2 = L_1 ) )).

fof(fact_62_rel__simps_I48_J,axiom,(
    ! [K_2,L_1] :
      ( bit0(K_2) = bit0(L_1)
    <=> K_2 = L_1 ) )).

fof(fact_63_even__less__0__iff,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_24),A_24)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_24),zero_zero_int)) ) )).

fof(fact_64_even__less__0__iff,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_24),A_24)),zero_zero_real))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_24),zero_zero_real)) ) )).

fof(fact_65_zadd__assoc,axiom,(
    ! [Z1,Z2,Z3] : hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(Z1),Z2)),Z3) = hAPP_int_int(plus_plus_int(Z1),hAPP_int_int(plus_plus_int(Z2),Z3)) )).

fof(fact_66_zadd__left__commute,axiom,(
    ! [X,Y,Z_2] : hAPP_int_int(plus_plus_int(X),hAPP_int_int(plus_plus_int(Y),Z_2)) = hAPP_int_int(plus_plus_int(Y),hAPP_int_int(plus_plus_int(X),Z_2)) )).

fof(fact_67_zadd__commute,axiom,(
    ! [Z_2,W] : hAPP_int_int(plus_plus_int(Z_2),W) = hAPP_int_int(plus_plus_int(W),Z_2) )).

fof(fact_68_int__int__eq,axiom,(
    ! [Ma,Na] :
      ( hAPP_nat_int(semiri1621563631at_int,Ma) = hAPP_nat_int(semiri1621563631at_int,Na)
    <=> Ma = Na ) )).

fof(fact_69_less__special_I3_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,number_number_of_int(Xa)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Xa),pls)) ) )).

fof(fact_70_less__special_I3_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,number267125858f_real(Xa)),zero_zero_real))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Xa),pls)) ) )).

fof(fact_71_less__special_I1_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),number_number_of_int(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),Ya)) ) )).

fof(fact_72_less__special_I1_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),number267125858f_real(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),Ya)) ) )).

fof(fact_73_rel__simps_I12_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(K_2)),pls))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),pls)) ) )).

fof(fact_74_less__int__code_I15_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(K1)),bit0(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K1),K2)) ) )).

fof(fact_75_rel__simps_I16_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(K_2)),bit0(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),L_1)) ) )).

fof(fact_76_rel__simps_I10_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit0(K_2)),pls))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),pls)) ) )).

fof(fact_77_rel__simps_I4_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),bit0(K_2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),K_2)) ) )).

fof(fact_78_bin__less__0__simps_I4_J,axiom,(
    ! [Wa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(Wa)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Wa),zero_zero_int)) ) )).

fof(fact_79_bin__less__0__simps_I1_J,axiom,(
    ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),zero_zero_int)) )).

fof(fact_80_bin__less__0__simps_I3_J,axiom,(
    ! [Wa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit0(Wa)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Wa),zero_zero_int)) ) )).

fof(fact_81_int__0__less__1,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),one_one_int)) )).

fof(fact_82_zless__add1__eq,axiom,(
    ! [Wa,Z_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Wa),hAPP_int_int(plus_plus_int(Z_3),one_one_int)))
    <=> ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Wa),Z_3))
        | Wa = Z_3 ) ) )).

fof(fact_83_int__less__0__conv,axiom,(
    ! [K] : ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,K)),zero_zero_int)) )).

fof(fact_84_less__special_I4_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,number_number_of_int(Xa)),one_one_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Xa),bit1(pls))) ) )).

fof(fact_85_less__special_I4_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,number267125858f_real(Xa)),one_one_real))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Xa),bit1(pls))) ) )).

fof(fact_86_less__special_I2_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),number_number_of_int(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(pls)),Ya)) ) )).

fof(fact_87_less__special_I2_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),number267125858f_real(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit1(pls)),Ya)) ) )).

fof(fact_88_odd__less__0,axiom,(
    ! [Z_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(one_one_int),Z_3)),Z_3)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Z_3),zero_zero_int)) ) )).

fof(fact_89_double__eq__0__iff,axiom,(
    ! [A_24] :
      ( hAPP_int_int(plus_plus_int(A_24),A_24) = zero_zero_int
    <=> A_24 = zero_zero_int ) )).

fof(fact_90_double__eq__0__iff,axiom,(
    ! [A_24] :
      ( hAPP_real_real(plus_plus_real(A_24),A_24) = zero_zero_real
    <=> A_24 = zero_zero_real ) )).

fof(fact_91_rel__simps_I46_J,axiom,(
    ! [K] : bit1(K) != pls )).

fof(fact_92_rel__simps_I39_J,axiom,(
    ! [L] : pls != bit1(L) )).

fof(fact_93_rel__simps_I50_J,axiom,(
    ! [K,L] : bit1(K) != bit0(L) )).

fof(fact_94_rel__simps_I49_J,axiom,(
    ! [K,L] : bit0(K) != bit1(L) )).

fof(fact_95_rel__simps_I44_J,axiom,(
    ! [K_2] :
      ( bit0(K_2) = pls
    <=> K_2 = pls ) )).

fof(fact_96_rel__simps_I38_J,axiom,(
    ! [L_1] :
      ( pls = bit0(L_1)
    <=> pls = L_1 ) )).

fof(fact_97_Bit0__Pls,axiom,(
    bit0(pls) = pls )).

fof(fact_98_Pls__def,axiom,(
    pls = zero_zero_int )).

fof(fact_99_int__0__neq__1,axiom,(
    zero_zero_int != one_one_int )).

fof(fact_100_add__Pls__right,axiom,(
    ! [K] : hAPP_int_int(plus_plus_int(K),pls) = K )).

fof(fact_101_add__Pls,axiom,(
    ! [K] : hAPP_int_int(plus_plus_int(pls),K) = K )).

fof(fact_102_add__Bit0__Bit0,axiom,(
    ! [K,L] : hAPP_int_int(plus_plus_int(bit0(K)),bit0(L)) = bit0(hAPP_int_int(plus_plus_int(K),L)) )).

fof(fact_103_Bit0__def,axiom,(
    ! [K] : bit0(K) = hAPP_int_int(plus_plus_int(K),K) )).

fof(fact_104_zadd__0__right,axiom,(
    ! [Z_2] : hAPP_int_int(plus_plus_int(Z_2),zero_zero_int) = Z_2 )).

fof(fact_105_zadd__0,axiom,(
    ! [Z_2] : hAPP_int_int(plus_plus_int(zero_zero_int),Z_2) = Z_2 )).

fof(fact_106_semiring__numeral__0__eq__0,axiom,(
    number_number_of_int(pls) = zero_zero_int )).

fof(fact_107_semiring__numeral__0__eq__0,axiom,(
    number_number_of_nat(pls) = zero_zero_nat )).

fof(fact_108_semiring__numeral__0__eq__0,axiom,(
    number267125858f_real(pls) = zero_zero_real )).

fof(fact_109_number__of__Pls,axiom,(
    number_number_of_int(pls) = zero_zero_int )).

fof(fact_110_number__of__Pls,axiom,(
    number267125858f_real(pls) = zero_zero_real )).

fof(fact_111_semiring__norm_I112_J,axiom,(
    zero_zero_int = number_number_of_int(pls) )).

fof(fact_112_semiring__norm_I112_J,axiom,(
    zero_zero_real = number267125858f_real(pls) )).

fof(fact_113_add__numeral__0,axiom,(
    ! [A_68] : hAPP_int_int(plus_plus_int(number_number_of_int(pls)),A_68) = A_68 )).

fof(fact_114_add__numeral__0,axiom,(
    ! [A_68] : hAPP_real_real(plus_plus_real(number267125858f_real(pls)),A_68) = A_68 )).

fof(fact_115_add__numeral__0__right,axiom,(
    ! [A_67] : hAPP_int_int(plus_plus_int(A_67),number_number_of_int(pls)) = A_67 )).

fof(fact_116_add__numeral__0__right,axiom,(
    ! [A_67] : hAPP_real_real(plus_plus_real(A_67),number267125858f_real(pls)) = A_67 )).

fof(fact_117_power__eq__0__iff__number__of,axiom,(
    ! [A_24,Wa] :
      ( hAPP_nat_int(power_power_int(A_24),number_number_of_nat(Wa)) = zero_zero_int
    <=> ( A_24 = zero_zero_int
        & number_number_of_nat(Wa) != zero_zero_nat ) ) )).

fof(fact_118_power__eq__0__iff__number__of,axiom,(
    ! [A_24,Wa] :
      ( hAPP_nat_nat(power_power_nat(A_24),number_number_of_nat(Wa)) = zero_zero_nat
    <=> ( A_24 = zero_zero_nat
        & number_number_of_nat(Wa) != zero_zero_nat ) ) )).

fof(fact_119_power__eq__0__iff__number__of,axiom,(
    ! [A_24,Wa] :
      ( hAPP_nat_real(power_power_real(A_24),number_number_of_nat(Wa)) = zero_zero_real
    <=> ( A_24 = zero_zero_real
        & number_number_of_nat(Wa) != zero_zero_nat ) ) )).

fof(fact_120_add__number__of__left,axiom,(
    ! [V_9,W_6,Z_5] : hAPP_int_int(plus_plus_int(number_number_of_int(V_9)),hAPP_int_int(plus_plus_int(number_number_of_int(W_6)),Z_5)) = hAPP_int_int(plus_plus_int(number_number_of_int(hAPP_int_int(plus_plus_int(V_9),W_6))),Z_5) )).

fof(fact_121_add__number__of__left,axiom,(
    ! [V_9,W_6,Z_5] : hAPP_real_real(plus_plus_real(number267125858f_real(V_9)),hAPP_real_real(plus_plus_real(number267125858f_real(W_6)),Z_5)) = hAPP_real_real(plus_plus_real(number267125858f_real(hAPP_int_int(plus_plus_int(V_9),W_6))),Z_5) )).

fof(fact_122_add__number__of__eq,axiom,(
    ! [V_8,W_5] : hAPP_int_int(plus_plus_int(number_number_of_int(V_8)),number_number_of_int(W_5)) = number_number_of_int(hAPP_int_int(plus_plus_int(V_8),W_5)) )).

fof(fact_123_add__number__of__eq,axiom,(
    ! [V_8,W_5] : hAPP_real_real(plus_plus_real(number267125858f_real(V_8)),number267125858f_real(W_5)) = number267125858f_real(hAPP_int_int(plus_plus_int(V_8),W_5)) )).

fof(fact_124_number__of__add,axiom,(
    ! [V_7,W_4] : number_number_of_int(hAPP_int_int(plus_plus_int(V_7),W_4)) = hAPP_int_int(plus_plus_int(number_number_of_int(V_7)),number_number_of_int(W_4)) )).

fof(fact_125_number__of__add,axiom,(
    ! [V_7,W_4] : number267125858f_real(hAPP_int_int(plus_plus_int(V_7),W_4)) = hAPP_real_real(plus_plus_real(number267125858f_real(V_7)),number267125858f_real(W_4)) )).

fof(fact_126_add__Bit1__Bit0,axiom,(
    ! [K,L] : hAPP_int_int(plus_plus_int(bit1(K)),bit0(L)) = bit1(hAPP_int_int(plus_plus_int(K),L)) )).

fof(fact_127_add__Bit0__Bit1,axiom,(
    ! [K,L] : hAPP_int_int(plus_plus_int(bit0(K)),bit1(L)) = bit1(hAPP_int_int(plus_plus_int(K),L)) )).

fof(fact_128_Bit1__def,axiom,(
    ! [K] : bit1(K) = hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(one_one_int),K)),K) )).

fof(fact_129_odd__nonzero,axiom,(
    ! [Z_2] : hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(one_one_int),Z_2)),Z_2) != zero_zero_int )).

fof(fact_130_number__of__int,axiom,(
    ! [N_29] : number_number_of_nat(hAPP_nat_int(semiri1621563631at_int,N_29)) = hAPP_nat_nat(semiri984289939at_nat,N_29) )).

fof(fact_131_number__of__int,axiom,(
    ! [N_29] : number_number_of_int(hAPP_nat_int(semiri1621563631at_int,N_29)) = hAPP_nat_int(semiri1621563631at_int,N_29) )).

fof(fact_132_number__of__int,axiom,(
    ! [N_29] : number267125858f_real(hAPP_nat_int(semiri1621563631at_int,N_29)) = hAPP_nat_real(semiri132038758t_real,N_29) )).

fof(fact_133_zero__less__power2,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_nat_int(power_power_int(A_24),number_number_of_nat(bit0(bit1(pls))))))
    <=> A_24 != zero_zero_int ) )).

fof(fact_134_zero__less__power2,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_nat_real(power_power_real(A_24),number_number_of_nat(bit0(bit1(pls))))))
    <=> A_24 != zero_zero_real ) )).

fof(fact_135_power2__less__0,axiom,(
    ! [A_66] : ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(A_66),number_number_of_nat(bit0(bit1(pls))))),zero_zero_int)) )).

fof(fact_136_power2__less__0,axiom,(
    ! [A_66] : ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(A_66),number_number_of_nat(bit0(bit1(pls))))),zero_zero_real)) )).

fof(fact_137_sum__power2__gt__zero__iff,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(hAPP_nat_int(power_power_int(Xa),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_int(power_power_int(Ya),number_number_of_nat(bit0(bit1(pls)))))))
    <=> ( Xa != zero_zero_int
        | Ya != zero_zero_int ) ) )).

fof(fact_138_sum__power2__gt__zero__iff,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_real_real(plus_plus_real(hAPP_nat_real(power_power_real(Xa),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Ya),number_number_of_nat(bit0(bit1(pls)))))))
    <=> ( Xa != zero_zero_real
        | Ya != zero_zero_real ) ) )).

fof(fact_139_not__sum__power2__lt__zero,axiom,(
    ! [X_16,Y_13] : ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(hAPP_nat_int(power_power_int(X_16),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_int(power_power_int(Y_13),number_number_of_nat(bit0(bit1(pls)))))),zero_zero_int)) )).

fof(fact_140_not__sum__power2__lt__zero,axiom,(
    ! [X_16,Y_13] : ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(hAPP_nat_real(power_power_real(X_16),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Y_13),number_number_of_nat(bit0(bit1(pls)))))),zero_zero_real)) )).

fof(fact_141_number__of__Bit0,axiom,(
    ! [W_3] : number_number_of_int(bit0(W_3)) = hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(zero_zero_int),number_number_of_int(W_3))),number_number_of_int(W_3)) )).

fof(fact_142_number__of__Bit0,axiom,(
    ! [W_3] : number267125858f_real(bit0(W_3)) = hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(zero_zero_real),number267125858f_real(W_3))),number267125858f_real(W_3)) )).

fof(fact_143_number__of__Bit1,axiom,(
    ! [W_2] : number_number_of_int(bit1(W_2)) = hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(one_one_int),number_number_of_int(W_2))),number_number_of_int(W_2)) )).

fof(fact_144_number__of__Bit1,axiom,(
    ! [W_2] : number267125858f_real(bit1(W_2)) = hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(one_one_real),number267125858f_real(W_2))),number267125858f_real(W_2)) )).

fof(fact_145_semiring__numeral__1__eq__1,axiom,(
    number_number_of_int(bit1(pls)) = one_one_int )).

fof(fact_146_semiring__numeral__1__eq__1,axiom,(
    number_number_of_nat(bit1(pls)) = one_one_nat )).

fof(fact_147_semiring__numeral__1__eq__1,axiom,(
    number267125858f_real(bit1(pls)) = one_one_real )).

fof(fact_148_mn,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,m1),hAPP_int_int(plus_plus_int(one_one_int),hAPP_nat_int(semiri1621563631at_int,n)))) )).

fof(fact_149_of__nat__less__two__power,axiom,(
    ! [N_28] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,N_28)),hAPP_nat_int(power_power_int(number_number_of_int(bit0(bit1(pls)))),N_28))) )).

fof(fact_150_of__nat__less__two__power,axiom,(
    ! [N_28] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(semiri132038758t_real,N_28)),hAPP_nat_real(power_power_real(number267125858f_real(bit0(bit1(pls)))),N_28))) )).

fof(fact_151_transfer__int__nat__numerals_I3_J,axiom,(
    number_number_of_int(bit0(bit1(pls))) = hAPP_nat_int(semiri1621563631at_int,number_number_of_nat(bit0(bit1(pls)))) )).

fof(fact_152_transfer__int__nat__numerals_I4_J,axiom,(
    number_number_of_int(bit1(bit1(pls))) = hAPP_nat_int(semiri1621563631at_int,number_number_of_nat(bit1(bit1(pls)))) )).

fof(fact_153_realpow__two__sum__zero__iff,axiom,(
    ! [Xa,Ya] :
      ( hAPP_real_real(plus_plus_real(hAPP_nat_real(power_power_real(Xa),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Ya),number_number_of_nat(bit0(bit1(pls))))) = zero_zero_real
    <=> ( Xa = zero_zero_real
        & Ya = zero_zero_real ) ) )).

fof(fact_154_of__nat__0__less__iff,axiom,(
    ! [Na] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_nat_int(semiri1621563631at_int,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Na)) ) )).

fof(fact_155_of__nat__0__less__iff,axiom,(
    ! [Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(semiri984289939at_nat,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Na)) ) )).

fof(fact_156_of__nat__0__less__iff,axiom,(
    ! [Na] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_nat_real(semiri132038758t_real,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Na)) ) )).

fof(fact_157_one__less__power,axiom,(
    ! [N_27,A_65] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),A_65))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_27))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),hAPP_nat_int(power_power_int(A_65),N_27))) ) ) )).

fof(fact_158_one__less__power,axiom,(
    ! [N_27,A_65] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),A_65))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_27))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),hAPP_nat_nat(power_power_nat(A_65),N_27))) ) ) )).

fof(fact_159_one__less__power,axiom,(
    ! [N_27,A_65] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),A_65))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_27))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),hAPP_nat_real(power_power_real(A_65),N_27))) ) ) )).

fof(fact_160_power__0__left,axiom,(
    ! [N_26] :
      ( ( N_26 = zero_zero_nat
       => hAPP_nat_int(power_power_int(zero_zero_int),N_26) = one_one_int )
      & ( N_26 != zero_zero_nat
       => hAPP_nat_int(power_power_int(zero_zero_int),N_26) = zero_zero_int ) ) )).

fof(fact_161_power__0__left,axiom,(
    ! [N_26] :
      ( ( N_26 = zero_zero_nat
       => hAPP_nat_nat(power_power_nat(zero_zero_nat),N_26) = one_one_nat )
      & ( N_26 != zero_zero_nat
       => hAPP_nat_nat(power_power_nat(zero_zero_nat),N_26) = zero_zero_nat ) ) )).

fof(fact_162_power__0__left,axiom,(
    ! [N_26] :
      ( ( N_26 = zero_zero_nat
       => hAPP_nat_real(power_power_real(zero_zero_real),N_26) = one_one_real )
      & ( N_26 != zero_zero_nat
       => hAPP_nat_real(power_power_real(zero_zero_real),N_26) = zero_zero_real ) ) )).

fof(fact_163_power__strict__decreasing,axiom,(
    ! [A_64,N_25,N_24] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_25),N_24))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),A_64))
       => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_64),one_one_int))
         => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(A_64),N_24)),hAPP_nat_int(power_power_int(A_64),N_25))) ) ) ) )).

fof(fact_164_power__strict__decreasing,axiom,(
    ! [A_64,N_25,N_24] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_25),N_24))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),A_64))
       => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_64),one_one_nat))
         => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(A_64),N_24)),hAPP_nat_nat(power_power_nat(A_64),N_25))) ) ) ) )).

fof(fact_165_power__strict__decreasing,axiom,(
    ! [A_64,N_25,N_24] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_25),N_24))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A_64))
       => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_64),one_one_real))
         => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(A_64),N_24)),hAPP_nat_real(power_power_real(A_64),N_25))) ) ) ) )).

fof(fact_166_zero__less__two,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(one_one_int),one_one_int))) )).

fof(fact_167_zero__less__two,axiom,(
    hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(plus_plus_nat(one_one_nat),one_one_nat))) )).

fof(fact_168_zero__less__two,axiom,(
    hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_real_real(plus_plus_real(one_one_real),one_one_real))) )).

fof(fact_169_int__gr__induct,axiom,(
    ! [P_1,K_2,I] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),I))
     => ( hBOOL(hAPP_int_bool(P_1,hAPP_int_int(plus_plus_int(K_2),one_one_int)))
       => ( ! [I_1] :
              ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),I_1))
             => ( hBOOL(hAPP_int_bool(P_1,I_1))
               => hBOOL(hAPP_int_bool(P_1,hAPP_int_int(plus_plus_int(I_1),one_one_int))) ) )
         => hBOOL(hAPP_int_bool(P_1,I)) ) ) ) )).

fof(fact_170_tn0,axiom,(
    hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),tn)) )).

fof(fact_171_less__zeroE,axiom,(
    ! [N_1] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_1),zero_zero_nat)) )).

fof(fact_172_real__zero__not__eq__one,axiom,(
    zero_zero_real != one_one_real )).

fof(fact_173_less__not__refl,axiom,(
    ! [N_1] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_1),N_1)) )).

fof(fact_174_not__add__less1,axiom,(
    ! [I_2,J_2] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(I_2),J_2)),I_2)) )).

fof(fact_175_not__add__less2,axiom,(
    ! [J_2,I_2] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(J_2),I_2)),I_2)) )).

fof(fact_176_number__of__is__id,axiom,(
    ! [K] : number_number_of_int(K) = K )).

fof(fact_177_nat__neq__iff,axiom,(
    ! [Ma,Na] :
      ( Ma != Na
    <=> ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na))
        | hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Na),Ma)) ) ) )).

fof(fact_178_nat__add__commute,axiom,(
    ! [M_1,N_1] : hAPP_nat_nat(plus_plus_nat(M_1),N_1) = hAPP_nat_nat(plus_plus_nat(N_1),M_1) )).

fof(fact_179_nat__add__left__commute,axiom,(
    ! [X,Y,Z_2] : hAPP_nat_nat(plus_plus_nat(X),hAPP_nat_nat(plus_plus_nat(Y),Z_2)) = hAPP_nat_nat(plus_plus_nat(Y),hAPP_nat_nat(plus_plus_nat(X),Z_2)) )).

fof(fact_180_nat__add__assoc,axiom,(
    ! [M_1,N_1,K] : hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(M_1),N_1)),K) = hAPP_nat_nat(plus_plus_nat(M_1),hAPP_nat_nat(plus_plus_nat(N_1),K)) )).

fof(fact_181_nat__add__left__cancel,axiom,(
    ! [K_2,Ma,Na] :
      ( hAPP_nat_nat(plus_plus_nat(K_2),Ma) = hAPP_nat_nat(plus_plus_nat(K_2),Na)
    <=> Ma = Na ) )).

fof(fact_182_nat__add__right__cancel,axiom,(
    ! [Ma,K_2,Na] :
      ( hAPP_nat_nat(plus_plus_nat(Ma),K_2) = hAPP_nat_nat(plus_plus_nat(Na),K_2)
    <=> Ma = Na ) )).

fof(fact_183_nat__add__left__cancel__less,axiom,(
    ! [K_2,Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(K_2),Ma)),hAPP_nat_nat(plus_plus_nat(K_2),Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na)) ) )).

fof(fact_184_linorder__neqE__nat,axiom,(
    ! [X,Y] :
      ( X != Y
     => ( ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,X),Y))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Y),X)) ) ) )).

fof(fact_185_less__irrefl__nat,axiom,(
    ! [N_1] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_1),N_1)) )).

fof(fact_186_less__not__refl2,axiom,(
    ! [N_1,M_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_1),M_1))
     => M_1 != N_1 ) )).

fof(fact_187_less__not__refl3,axiom,(
    ! [S,T] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,S),T))
     => S != T ) )).

fof(fact_188_trans__less__add1,axiom,(
    ! [M_1,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),J_2))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),hAPP_nat_nat(plus_plus_nat(J_2),M_1))) ) )).

fof(fact_189_trans__less__add2,axiom,(
    ! [M_1,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),J_2))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),hAPP_nat_nat(plus_plus_nat(M_1),J_2))) ) )).

fof(fact_190_add__less__mono1,axiom,(
    ! [K,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),J_2))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(I_2),K)),hAPP_nat_nat(plus_plus_nat(J_2),K))) ) )).

fof(fact_191_add__less__mono,axiom,(
    ! [K,L,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),J_2))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,K),L))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(I_2),K)),hAPP_nat_nat(plus_plus_nat(J_2),L))) ) ) )).

fof(fact_192_less__add__eq__less,axiom,(
    ! [M_1,N_1,K,L] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,K),L))
     => ( hAPP_nat_nat(plus_plus_nat(M_1),L) = hAPP_nat_nat(plus_plus_nat(K),N_1)
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_1),N_1)) ) ) )).

fof(fact_193_add__lessD1,axiom,(
    ! [I_2,J_2,K] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(I_2),J_2)),K))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),K)) ) )).

fof(fact_194_nat__less__cases,axiom,(
    ! [P_1,Ma,Na] :
      ( ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(P_1,Na),Ma)) )
     => ( ( Ma = Na
         => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(P_1,Na),Ma)) )
       => ( ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Na),Ma))
           => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(P_1,Na),Ma)) )
         => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(P_1,Na),Ma)) ) ) ) )).

fof(fact_195_gr0I,axiom,(
    ! [N_1] :
      ( N_1 != zero_zero_nat
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_1)) ) )).

fof(fact_196_gr__implies__not0,axiom,(
    ! [M_1,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_1),N_1))
     => N_1 != zero_zero_nat ) )).

fof(fact_197_nat__power__less__imp__less,axiom,(
    ! [M_1,N_1,I_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),I_2))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(I_2),M_1)),hAPP_nat_nat(power_power_nat(I_2),N_1)))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_1),N_1)) ) ) )).

fof(fact_198_less__nat__zero__code,axiom,(
    ! [N_1] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_1),zero_zero_nat)) )).

fof(fact_199_nat__zero__less__power__iff,axiom,(
    ! [Xa,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(power_power_nat(Xa),Na)))
    <=> ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Xa))
        | Na = zero_zero_nat ) ) )).

fof(fact_200_add__gr__0,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(plus_plus_nat(Ma),Na)))
    <=> ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Ma))
        | hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Na)) ) ) )).

fof(fact_201_neq0__conv,axiom,(
    ! [Na] :
      ( Na != zero_zero_nat
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Na)) ) )).

fof(fact_202_not__less0,axiom,(
    ! [N_1] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_1),zero_zero_nat)) )).

fof(fact_203_zero__less__power__nat__eq,axiom,(
    ! [Xa,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(power_power_nat(Xa),Na)))
    <=> ( Na = zero_zero_nat
        | hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Xa)) ) ) )).

fof(fact_204_Nat__Transfer_Otransfer__int__nat__relations_I2_J,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,Xa)),hAPP_nat_int(semiri1621563631at_int,Ya)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Xa),Ya)) ) )).

fof(fact_205_zero__less__power__nat__eq__number__of,axiom,(
    ! [Xa,Wa] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(power_power_nat(Xa),number_number_of_nat(Wa))))
    <=> ( number_number_of_nat(Wa) = zero_zero_nat
        | hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Xa)) ) ) )).

fof(fact_206_zless__int,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,Ma)),hAPP_nat_int(semiri1621563631at_int,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na)) ) )).

fof(fact_207_less__nat__number__of,axiom,(
    ! [Va,V] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,number_number_of_nat(Va)),number_number_of_nat(V)))
    <=> ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Va),V))
         => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),V)) )
        & hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Va),V)) ) ) )).

fof(fact_208_linorder__neqE__linordered__idom,axiom,(
    ! [X_15,Y_12] :
      ( X_15 != Y_12
     => ( ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,X_15),Y_12))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,Y_12),X_15)) ) ) )).

fof(fact_209_linorder__neqE__linordered__idom,axiom,(
    ! [X_15,Y_12] :
      ( X_15 != Y_12
     => ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,X_15),Y_12))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Y_12),X_15)) ) ) )).

fof(fact_210_add__eq__self__zero,axiom,(
    ! [M_1,N_1] :
      ( hAPP_nat_nat(plus_plus_nat(M_1),N_1) = M_1
     => N_1 = zero_zero_nat ) )).

fof(fact_211_add__is__0,axiom,(
    ! [Ma,Na] :
      ( hAPP_nat_nat(plus_plus_nat(Ma),Na) = zero_zero_nat
    <=> ( Ma = zero_zero_nat
        & Na = zero_zero_nat ) ) )).

fof(fact_212_Nat_Oadd__0__right,axiom,(
    ! [M_1] : hAPP_nat_nat(plus_plus_nat(M_1),zero_zero_nat) = M_1 )).

fof(fact_213_plus__nat_Oadd__0,axiom,(
    ! [N_1] : hAPP_nat_nat(plus_plus_nat(zero_zero_nat),N_1) = N_1 )).

fof(fact_214_power__one__right,axiom,(
    ! [A_63] : hAPP_nat_real(power_power_real(A_63),one_one_nat) = A_63 )).

fof(fact_215_power__one__right,axiom,(
    ! [A_63] : hAPP_nat_nat(power_power_nat(A_63),one_one_nat) = A_63 )).

fof(fact_216_power__one__right,axiom,(
    ! [A_63] : hAPP_nat_int(power_power_int(A_63),one_one_nat) = A_63 )).

fof(fact_217_of__nat__eq__iff,axiom,(
    ! [Ma,Na] :
      ( hAPP_nat_real(semiri132038758t_real,Ma) = hAPP_nat_real(semiri132038758t_real,Na)
    <=> Ma = Na ) )).

fof(fact_218_of__nat__eq__iff,axiom,(
    ! [Ma,Na] :
      ( hAPP_nat_nat(semiri984289939at_nat,Ma) = hAPP_nat_nat(semiri984289939at_nat,Na)
    <=> Ma = Na ) )).

fof(fact_219_of__nat__eq__iff,axiom,(
    ! [Ma,Na] :
      ( hAPP_nat_int(semiri1621563631at_int,Ma) = hAPP_nat_int(semiri1621563631at_int,Na)
    <=> Ma = Na ) )).

fof(fact_220_Nat__Transfer_Otransfer__int__nat__relations_I1_J,axiom,(
    ! [Xa,Ya] :
      ( hAPP_nat_int(semiri1621563631at_int,Xa) = hAPP_nat_int(semiri1621563631at_int,Ya)
    <=> Xa = Ya ) )).

fof(fact_221_int__if__cong,axiom,(
    ! [Xa,Ya,P_1] :
      ( ( hBOOL(P_1)
       => hAPP_nat_int(semiri1621563631at_int,Xa) = hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(if_nat(P_1,Xa),Ya)) )
      & ( ~ hBOOL(P_1)
       => hAPP_nat_int(semiri1621563631at_int,Ya) = hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(if_nat(P_1,Xa),Ya)) ) ) )).

fof(fact_222_less__0__number__of,axiom,(
    ! [Va] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),number_number_of_nat(Va)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),Va)) ) )).

fof(fact_223_zero__less__int__conv,axiom,(
    ! [Na] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_nat_int(semiri1621563631at_int,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),Na)) ) )).

fof(fact_224_one__neq__zero,axiom,(
    one_one_real != zero_zero_real )).

fof(fact_225_one__neq__zero,axiom,(
    one_one_nat != zero_zero_nat )).

fof(fact_226_one__neq__zero,axiom,(
    one_one_int != zero_zero_int )).

fof(fact_227_zero__neq__one,axiom,(
    zero_zero_real != one_one_real )).

fof(fact_228_zero__neq__one,axiom,(
    zero_zero_nat != one_one_nat )).

fof(fact_229_zero__neq__one,axiom,(
    zero_zero_int != one_one_int )).

fof(fact_230_field__power__not__zero,axiom,(
    ! [N_23,A_62] :
      ( A_62 != zero_zero_real
     => hAPP_nat_real(power_power_real(A_62),N_23) != zero_zero_real ) )).

fof(fact_231_field__power__not__zero,axiom,(
    ! [N_23,A_62] :
      ( A_62 != zero_zero_int
     => hAPP_nat_int(power_power_int(A_62),N_23) != zero_zero_int ) )).

fof(fact_232_power__one,axiom,(
    ! [N_22] : hAPP_nat_real(power_power_real(one_one_real),N_22) = one_one_real )).

fof(fact_233_power__one,axiom,(
    ! [N_22] : hAPP_nat_nat(power_power_nat(one_one_nat),N_22) = one_one_nat )).

fof(fact_234_power__one,axiom,(
    ! [N_22] : hAPP_nat_int(power_power_int(one_one_int),N_22) = one_one_int )).

fof(fact_235_of__nat__less__iff,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(semiri132038758t_real,Ma)),hAPP_nat_real(semiri132038758t_real,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na)) ) )).

fof(fact_236_of__nat__less__iff,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(semiri984289939at_nat,Ma)),hAPP_nat_nat(semiri984289939at_nat,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na)) ) )).

fof(fact_237_of__nat__less__iff,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,Ma)),hAPP_nat_int(semiri1621563631at_int,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na)) ) )).

fof(fact_238_less__imp__of__nat__less,axiom,(
    ! [M_9,N_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_9),N_21))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(semiri132038758t_real,M_9)),hAPP_nat_real(semiri132038758t_real,N_21))) ) )).

fof(fact_239_less__imp__of__nat__less,axiom,(
    ! [M_9,N_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_9),N_21))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(semiri984289939at_nat,M_9)),hAPP_nat_nat(semiri984289939at_nat,N_21))) ) )).

fof(fact_240_less__imp__of__nat__less,axiom,(
    ! [M_9,N_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_9),N_21))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,M_9)),hAPP_nat_int(semiri1621563631at_int,N_21))) ) )).

fof(fact_241_of__nat__less__imp__less,axiom,(
    ! [M_8,N_20] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(semiri132038758t_real,M_8)),hAPP_nat_real(semiri132038758t_real,N_20)))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_8),N_20)) ) )).

fof(fact_242_of__nat__less__imp__less,axiom,(
    ! [M_8,N_20] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(semiri984289939at_nat,M_8)),hAPP_nat_nat(semiri984289939at_nat,N_20)))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_8),N_20)) ) )).

fof(fact_243_of__nat__less__imp__less,axiom,(
    ! [M_8,N_20] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,M_8)),hAPP_nat_int(semiri1621563631at_int,N_20)))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_8),N_20)) ) )).

fof(fact_244_of__nat__add,axiom,(
    ! [M_7,N_19] : hAPP_nat_real(semiri132038758t_real,hAPP_nat_nat(plus_plus_nat(M_7),N_19)) = hAPP_real_real(plus_plus_real(hAPP_nat_real(semiri132038758t_real,M_7)),hAPP_nat_real(semiri132038758t_real,N_19)) )).

fof(fact_245_of__nat__add,axiom,(
    ! [M_7,N_19] : hAPP_nat_nat(semiri984289939at_nat,hAPP_nat_nat(plus_plus_nat(M_7),N_19)) = hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(semiri984289939at_nat,M_7)),hAPP_nat_nat(semiri984289939at_nat,N_19)) )).

fof(fact_246_of__nat__add,axiom,(
    ! [M_7,N_19] : hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(plus_plus_nat(M_7),N_19)) = hAPP_int_int(plus_plus_int(hAPP_nat_int(semiri1621563631at_int,M_7)),hAPP_nat_int(semiri1621563631at_int,N_19)) )).

fof(fact_247_of__nat__1,axiom,(
    hAPP_nat_real(semiri132038758t_real,one_one_nat) = one_one_real )).

fof(fact_248_of__nat__1,axiom,(
    hAPP_nat_nat(semiri984289939at_nat,one_one_nat) = one_one_nat )).

fof(fact_249_of__nat__1,axiom,(
    hAPP_nat_int(semiri1621563631at_int,one_one_nat) = one_one_int )).

fof(fact_250_of__nat__power,axiom,(
    ! [M_6,N_18] : hAPP_nat_real(semiri132038758t_real,hAPP_nat_nat(power_power_nat(M_6),N_18)) = hAPP_nat_real(power_power_real(hAPP_nat_real(semiri132038758t_real,M_6)),N_18) )).

fof(fact_251_of__nat__power,axiom,(
    ! [M_6,N_18] : hAPP_nat_nat(semiri984289939at_nat,hAPP_nat_nat(power_power_nat(M_6),N_18)) = hAPP_nat_nat(power_power_nat(hAPP_nat_nat(semiri984289939at_nat,M_6)),N_18) )).

fof(fact_252_of__nat__power,axiom,(
    ! [M_6,N_18] : hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(power_power_nat(M_6),N_18)) = hAPP_nat_int(power_power_int(hAPP_nat_int(semiri1621563631at_int,M_6)),N_18) )).

fof(fact_253_transfer__int__nat__numerals_I2_J,axiom,(
    one_one_int = hAPP_nat_int(semiri1621563631at_int,one_one_nat) )).

fof(fact_254_Nat__Transfer_Otransfer__int__nat__functions_I1_J,axiom,(
    ! [X,Y] : hAPP_int_int(plus_plus_int(hAPP_nat_int(semiri1621563631at_int,X)),hAPP_nat_int(semiri1621563631at_int,Y)) = hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(plus_plus_nat(X),Y)) )).

fof(fact_255_Nat__Transfer_Otransfer__int__nat__functions_I4_J,axiom,(
    ! [X,N_1] : hAPP_nat_int(power_power_int(hAPP_nat_int(semiri1621563631at_int,X)),N_1) = hAPP_nat_int(semiri1621563631at_int,hAPP_nat_nat(power_power_nat(X),N_1)) )).

fof(fact_256_pos__add__strict,axiom,(
    ! [B_41,C_31,A_61] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A_61))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,B_41),C_31))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,B_41),hAPP_real_real(plus_plus_real(A_61),C_31))) ) ) )).

fof(fact_257_pos__add__strict,axiom,(
    ! [B_41,C_31,A_61] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),A_61))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,B_41),C_31))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,B_41),hAPP_nat_nat(plus_plus_nat(A_61),C_31))) ) ) )).

fof(fact_258_pos__add__strict,axiom,(
    ! [B_41,C_31,A_61] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),A_61))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,B_41),C_31))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,B_41),hAPP_int_int(plus_plus_int(A_61),C_31))) ) ) )).

fof(fact_259_not__one__less__zero,axiom,(
    ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),zero_zero_real)) )).

fof(fact_260_not__one__less__zero,axiom,(
    ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),zero_zero_nat)) )).

fof(fact_261_not__one__less__zero,axiom,(
    ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),zero_zero_int)) )).

fof(fact_262_zero__less__one,axiom,(
    hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),one_one_real)) )).

fof(fact_263_zero__less__one,axiom,(
    hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),one_one_nat)) )).

fof(fact_264_zero__less__one,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),one_one_int)) )).

fof(fact_265_zero__less__power,axiom,(
    ! [N_17,A_60] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A_60))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_nat_real(power_power_real(A_60),N_17))) ) )).

fof(fact_266_zero__less__power,axiom,(
    ! [N_17,A_60] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),A_60))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(power_power_nat(A_60),N_17))) ) )).

fof(fact_267_zero__less__power,axiom,(
    ! [N_17,A_60] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),A_60))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_nat_int(power_power_int(A_60),N_17))) ) )).

fof(fact_268_less__add__one,axiom,(
    ! [A_59] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_59),hAPP_real_real(plus_plus_real(A_59),one_one_real))) )).

fof(fact_269_less__add__one,axiom,(
    ! [A_59] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_59),hAPP_nat_nat(plus_plus_nat(A_59),one_one_nat))) )).

fof(fact_270_less__add__one,axiom,(
    ! [A_59] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_59),hAPP_int_int(plus_plus_int(A_59),one_one_int))) )).

fof(fact_271_power__inject__exp,axiom,(
    ! [Ma,Na,A_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),A_24))
     => ( hAPP_nat_real(power_power_real(A_24),Ma) = hAPP_nat_real(power_power_real(A_24),Na)
      <=> Ma = Na ) ) )).

fof(fact_272_power__inject__exp,axiom,(
    ! [Ma,Na,A_24] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),A_24))
     => ( hAPP_nat_nat(power_power_nat(A_24),Ma) = hAPP_nat_nat(power_power_nat(A_24),Na)
      <=> Ma = Na ) ) )).

fof(fact_273_power__inject__exp,axiom,(
    ! [Ma,Na,A_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),A_24))
     => ( hAPP_nat_int(power_power_int(A_24),Ma) = hAPP_nat_int(power_power_int(A_24),Na)
      <=> Ma = Na ) ) )).

fof(fact_274_power__strict__increasing__iff,axiom,(
    ! [Xa,Ya,B_21] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),B_21))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(B_21),Xa)),hAPP_nat_real(power_power_real(B_21),Ya)))
      <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Xa),Ya)) ) ) )).

fof(fact_275_power__strict__increasing__iff,axiom,(
    ! [Xa,Ya,B_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),B_21))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(B_21),Xa)),hAPP_nat_nat(power_power_nat(B_21),Ya)))
      <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Xa),Ya)) ) ) )).

fof(fact_276_power__strict__increasing__iff,axiom,(
    ! [Xa,Ya,B_21] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),B_21))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(B_21),Xa)),hAPP_nat_int(power_power_int(B_21),Ya)))
      <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Xa),Ya)) ) ) )).

fof(fact_277_power__less__imp__less__exp,axiom,(
    ! [M_5,N_16,A_58] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),A_58))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(A_58),M_5)),hAPP_nat_real(power_power_real(A_58),N_16)))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_5),N_16)) ) ) )).

fof(fact_278_power__less__imp__less__exp,axiom,(
    ! [M_5,N_16,A_58] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),A_58))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(A_58),M_5)),hAPP_nat_nat(power_power_nat(A_58),N_16)))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_5),N_16)) ) ) )).

fof(fact_279_power__less__imp__less__exp,axiom,(
    ! [M_5,N_16,A_58] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),A_58))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(A_58),M_5)),hAPP_nat_int(power_power_int(A_58),N_16)))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_5),N_16)) ) ) )).

fof(fact_280_power__strict__increasing,axiom,(
    ! [A_57,N_15,N_14] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_15),N_14))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),A_57))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(A_57),N_15)),hAPP_nat_real(power_power_real(A_57),N_14))) ) ) )).

fof(fact_281_power__strict__increasing,axiom,(
    ! [A_57,N_15,N_14] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_15),N_14))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),A_57))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(A_57),N_15)),hAPP_nat_nat(power_power_nat(A_57),N_14))) ) ) )).

fof(fact_282_power__strict__increasing,axiom,(
    ! [A_57,N_15,N_14] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,N_15),N_14))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),A_57))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(A_57),N_15)),hAPP_nat_int(power_power_int(A_57),N_14))) ) ) )).

fof(fact_283_power__eq__0__iff,axiom,(
    ! [A_24,Na] :
      ( hAPP_nat_real(power_power_real(A_24),Na) = zero_zero_real
    <=> ( A_24 = zero_zero_real
        & Na != zero_zero_nat ) ) )).

fof(fact_284_power__eq__0__iff,axiom,(
    ! [A_24,Na] :
      ( hAPP_nat_nat(power_power_nat(A_24),Na) = zero_zero_nat
    <=> ( A_24 = zero_zero_nat
        & Na != zero_zero_nat ) ) )).

fof(fact_285_power__eq__0__iff,axiom,(
    ! [A_24,Na] :
      ( hAPP_nat_int(power_power_int(A_24),Na) = zero_zero_int
    <=> ( A_24 = zero_zero_int
        & Na != zero_zero_nat ) ) )).

fof(fact_286_of__nat__less__0__iff,axiom,(
    ! [M_4] : ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(semiri132038758t_real,M_4)),zero_zero_real)) )).

fof(fact_287_of__nat__less__0__iff,axiom,(
    ! [M_4] : ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(semiri984289939at_nat,M_4)),zero_zero_nat)) )).

fof(fact_288_of__nat__less__0__iff,axiom,(
    ! [M_4] : ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(semiri1621563631at_int,M_4)),zero_zero_int)) )).

fof(fact_289_power__0,axiom,(
    ! [A_56] : hAPP_nat_real(power_power_real(A_56),zero_zero_nat) = one_one_real )).

fof(fact_290_power__0,axiom,(
    ! [A_56] : hAPP_nat_nat(power_power_nat(A_56),zero_zero_nat) = one_one_nat )).

fof(fact_291_power__0,axiom,(
    ! [A_56] : hAPP_nat_int(power_power_int(A_56),zero_zero_nat) = one_one_int )).

fof(fact_292_of__nat__0,axiom,(
    hAPP_nat_real(semiri132038758t_real,zero_zero_nat) = zero_zero_real )).

fof(fact_293_of__nat__0,axiom,(
    hAPP_nat_nat(semiri984289939at_nat,zero_zero_nat) = zero_zero_nat )).

fof(fact_294_of__nat__0,axiom,(
    hAPP_nat_int(semiri1621563631at_int,zero_zero_nat) = zero_zero_int )).

fof(fact_295_transfer__int__nat__numerals_I1_J,axiom,(
    zero_zero_int = hAPP_nat_int(semiri1621563631at_int,zero_zero_nat) )).

fof(fact_296_pos2,axiom,(
    hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),number_number_of_nat(bit0(bit1(pls))))) )).

fof(fact_297_zero__less__imp__eq__int,axiom,(
    ! [K] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),K))
     => ? [N] :
          ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N))
          & K = hAPP_nat_int(semiri1621563631at_int,N) ) ) )).

fof(fact_298_less__imp__add__positive,axiom,(
    ! [I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_2),J_2))
     => ? [K_1] :
          ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),K_1))
          & hAPP_nat_nat(plus_plus_nat(I_2),K_1) = J_2 ) ) )).

fof(fact_299_exp__eq__1,axiom,(
    ! [Xa,Na] :
      ( hAPP_nat_nat(power_power_nat(Xa),Na) = one_one_nat
    <=> ( Xa = one_one_nat
        | Na = zero_zero_nat ) ) )).

fof(fact_300_comm__semiring__1__class_Onormalizing__semiring__rules_I32_J,axiom,(
    ! [X_14] : hAPP_nat_real(power_power_real(X_14),zero_zero_nat) = one_one_real )).

fof(fact_301_comm__semiring__1__class_Onormalizing__semiring__rules_I32_J,axiom,(
    ! [X_14] : hAPP_nat_nat(power_power_nat(X_14),zero_zero_nat) = one_one_nat )).

fof(fact_302_comm__semiring__1__class_Onormalizing__semiring__rules_I32_J,axiom,(
    ! [X_14] : hAPP_nat_int(power_power_int(X_14),zero_zero_nat) = one_one_int )).

fof(fact_303_zero__less__double__add__iff__zero__less__single__add,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_real_real(plus_plus_real(A_24),A_24)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A_24)) ) )).

fof(fact_304_zero__less__double__add__iff__zero__less__single__add,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(A_24),A_24)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),A_24)) ) )).

fof(fact_305_double__add__less__zero__iff__single__add__less__zero,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_24),A_24)),zero_zero_real))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_24),zero_zero_real)) ) )).

fof(fact_306_double__add__less__zero__iff__single__add__less__zero,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_24),A_24)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_24),zero_zero_int)) ) )).

fof(fact_307_zero__reorient,axiom,(
    ! [Xa] :
      ( zero_zero_real = Xa
    <=> Xa = zero_zero_real ) )).

fof(fact_308_zero__reorient,axiom,(
    ! [Xa] :
      ( zero_zero_nat = Xa
    <=> Xa = zero_zero_nat ) )).

fof(fact_309_zero__reorient,axiom,(
    ! [Xa] :
      ( zero_zero_int = Xa
    <=> Xa = zero_zero_int ) )).

fof(fact_310_add__right__imp__eq,axiom,(
    ! [B_40,A_55,C_30] :
      ( hAPP_real_real(plus_plus_real(B_40),A_55) = hAPP_real_real(plus_plus_real(C_30),A_55)
     => B_40 = C_30 ) )).

fof(fact_311_add__right__imp__eq,axiom,(
    ! [B_40,A_55,C_30] :
      ( hAPP_nat_nat(plus_plus_nat(B_40),A_55) = hAPP_nat_nat(plus_plus_nat(C_30),A_55)
     => B_40 = C_30 ) )).

fof(fact_312_add__right__imp__eq,axiom,(
    ! [B_40,A_55,C_30] :
      ( hAPP_int_int(plus_plus_int(B_40),A_55) = hAPP_int_int(plus_plus_int(C_30),A_55)
     => B_40 = C_30 ) )).

fof(fact_313_add__imp__eq,axiom,(
    ! [A_54,B_39,C_29] :
      ( hAPP_real_real(plus_plus_real(A_54),B_39) = hAPP_real_real(plus_plus_real(A_54),C_29)
     => B_39 = C_29 ) )).

fof(fact_314_add__imp__eq,axiom,(
    ! [A_54,B_39,C_29] :
      ( hAPP_nat_nat(plus_plus_nat(A_54),B_39) = hAPP_nat_nat(plus_plus_nat(A_54),C_29)
     => B_39 = C_29 ) )).

fof(fact_315_add__imp__eq,axiom,(
    ! [A_54,B_39,C_29] :
      ( hAPP_int_int(plus_plus_int(A_54),B_39) = hAPP_int_int(plus_plus_int(A_54),C_29)
     => B_39 = C_29 ) )).

fof(fact_316_add__left__imp__eq,axiom,(
    ! [A_53,B_38,C_28] :
      ( hAPP_real_real(plus_plus_real(A_53),B_38) = hAPP_real_real(plus_plus_real(A_53),C_28)
     => B_38 = C_28 ) )).

fof(fact_317_add__left__imp__eq,axiom,(
    ! [A_53,B_38,C_28] :
      ( hAPP_nat_nat(plus_plus_nat(A_53),B_38) = hAPP_nat_nat(plus_plus_nat(A_53),C_28)
     => B_38 = C_28 ) )).

fof(fact_318_add__left__imp__eq,axiom,(
    ! [A_53,B_38,C_28] :
      ( hAPP_int_int(plus_plus_int(A_53),B_38) = hAPP_int_int(plus_plus_int(A_53),C_28)
     => B_38 = C_28 ) )).

fof(fact_319_comm__semiring__1__class_Onormalizing__semiring__rules_I20_J,axiom,(
    ! [A_52,B_37,C_27,D_6] : hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(A_52),B_37)),hAPP_real_real(plus_plus_real(C_27),D_6)) = hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(A_52),C_27)),hAPP_real_real(plus_plus_real(B_37),D_6)) )).

fof(fact_320_comm__semiring__1__class_Onormalizing__semiring__rules_I20_J,axiom,(
    ! [A_52,B_37,C_27,D_6] : hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(A_52),B_37)),hAPP_nat_nat(plus_plus_nat(C_27),D_6)) = hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(A_52),C_27)),hAPP_nat_nat(plus_plus_nat(B_37),D_6)) )).

fof(fact_321_comm__semiring__1__class_Onormalizing__semiring__rules_I20_J,axiom,(
    ! [A_52,B_37,C_27,D_6] : hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(A_52),B_37)),hAPP_int_int(plus_plus_int(C_27),D_6)) = hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(A_52),C_27)),hAPP_int_int(plus_plus_int(B_37),D_6)) )).

fof(fact_322_add__right__cancel,axiom,(
    ! [B_21,A_24,C_15] :
      ( hAPP_real_real(plus_plus_real(B_21),A_24) = hAPP_real_real(plus_plus_real(C_15),A_24)
    <=> B_21 = C_15 ) )).

fof(fact_323_add__right__cancel,axiom,(
    ! [B_21,A_24,C_15] :
      ( hAPP_nat_nat(plus_plus_nat(B_21),A_24) = hAPP_nat_nat(plus_plus_nat(C_15),A_24)
    <=> B_21 = C_15 ) )).

fof(fact_324_add__right__cancel,axiom,(
    ! [B_21,A_24,C_15] :
      ( hAPP_int_int(plus_plus_int(B_21),A_24) = hAPP_int_int(plus_plus_int(C_15),A_24)
    <=> B_21 = C_15 ) )).

fof(fact_325_add__left__cancel,axiom,(
    ! [A_24,B_21,C_15] :
      ( hAPP_real_real(plus_plus_real(A_24),B_21) = hAPP_real_real(plus_plus_real(A_24),C_15)
    <=> B_21 = C_15 ) )).

fof(fact_326_add__left__cancel,axiom,(
    ! [A_24,B_21,C_15] :
      ( hAPP_nat_nat(plus_plus_nat(A_24),B_21) = hAPP_nat_nat(plus_plus_nat(A_24),C_15)
    <=> B_21 = C_15 ) )).

fof(fact_327_add__left__cancel,axiom,(
    ! [A_24,B_21,C_15] :
      ( hAPP_int_int(plus_plus_int(A_24),B_21) = hAPP_int_int(plus_plus_int(A_24),C_15)
    <=> B_21 = C_15 ) )).

fof(fact_328_comm__semiring__1__class_Onormalizing__semiring__rules_I23_J,axiom,(
    ! [A_51,B_36,C_26] : hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(A_51),B_36)),C_26) = hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(A_51),C_26)),B_36) )).

fof(fact_329_comm__semiring__1__class_Onormalizing__semiring__rules_I23_J,axiom,(
    ! [A_51,B_36,C_26] : hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(A_51),B_36)),C_26) = hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(A_51),C_26)),B_36) )).

fof(fact_330_comm__semiring__1__class_Onormalizing__semiring__rules_I23_J,axiom,(
    ! [A_51,B_36,C_26] : hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(A_51),B_36)),C_26) = hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(A_51),C_26)),B_36) )).

fof(fact_331_ab__semigroup__add__class_Oadd__ac_I1_J,axiom,(
    ! [A_50,B_35,C_25] : hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(A_50),B_35)),C_25) = hAPP_real_real(plus_plus_real(A_50),hAPP_real_real(plus_plus_real(B_35),C_25)) )).

fof(fact_332_ab__semigroup__add__class_Oadd__ac_I1_J,axiom,(
    ! [A_50,B_35,C_25] : hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(A_50),B_35)),C_25) = hAPP_nat_nat(plus_plus_nat(A_50),hAPP_nat_nat(plus_plus_nat(B_35),C_25)) )).

fof(fact_333_ab__semigroup__add__class_Oadd__ac_I1_J,axiom,(
    ! [A_50,B_35,C_25] : hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(A_50),B_35)),C_25) = hAPP_int_int(plus_plus_int(A_50),hAPP_int_int(plus_plus_int(B_35),C_25)) )).

fof(fact_334_comm__semiring__1__class_Onormalizing__semiring__rules_I21_J,axiom,(
    ! [A_49,B_34,C_24] : hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(A_49),B_34)),C_24) = hAPP_real_real(plus_plus_real(A_49),hAPP_real_real(plus_plus_real(B_34),C_24)) )).

fof(fact_335_comm__semiring__1__class_Onormalizing__semiring__rules_I21_J,axiom,(
    ! [A_49,B_34,C_24] : hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(A_49),B_34)),C_24) = hAPP_nat_nat(plus_plus_nat(A_49),hAPP_nat_nat(plus_plus_nat(B_34),C_24)) )).

fof(fact_336_comm__semiring__1__class_Onormalizing__semiring__rules_I21_J,axiom,(
    ! [A_49,B_34,C_24] : hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(A_49),B_34)),C_24) = hAPP_int_int(plus_plus_int(A_49),hAPP_int_int(plus_plus_int(B_34),C_24)) )).

fof(fact_337_comm__semiring__1__class_Onormalizing__semiring__rules_I25_J,axiom,(
    ! [A_48,C_23,D_5] : hAPP_real_real(plus_plus_real(A_48),hAPP_real_real(plus_plus_real(C_23),D_5)) = hAPP_real_real(plus_plus_real(hAPP_real_real(plus_plus_real(A_48),C_23)),D_5) )).

fof(fact_338_comm__semiring__1__class_Onormalizing__semiring__rules_I25_J,axiom,(
    ! [A_48,C_23,D_5] : hAPP_nat_nat(plus_plus_nat(A_48),hAPP_nat_nat(plus_plus_nat(C_23),D_5)) = hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(plus_plus_nat(A_48),C_23)),D_5) )).

fof(fact_339_comm__semiring__1__class_Onormalizing__semiring__rules_I25_J,axiom,(
    ! [A_48,C_23,D_5] : hAPP_int_int(plus_plus_int(A_48),hAPP_int_int(plus_plus_int(C_23),D_5)) = hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(A_48),C_23)),D_5) )).

fof(fact_340_comm__semiring__1__class_Onormalizing__semiring__rules_I22_J,axiom,(
    ! [A_47,C_22,D_4] : hAPP_real_real(plus_plus_real(A_47),hAPP_real_real(plus_plus_real(C_22),D_4)) = hAPP_real_real(plus_plus_real(C_22),hAPP_real_real(plus_plus_real(A_47),D_4)) )).

fof(fact_341_comm__semiring__1__class_Onormalizing__semiring__rules_I22_J,axiom,(
    ! [A_47,C_22,D_4] : hAPP_nat_nat(plus_plus_nat(A_47),hAPP_nat_nat(plus_plus_nat(C_22),D_4)) = hAPP_nat_nat(plus_plus_nat(C_22),hAPP_nat_nat(plus_plus_nat(A_47),D_4)) )).

fof(fact_342_comm__semiring__1__class_Onormalizing__semiring__rules_I22_J,axiom,(
    ! [A_47,C_22,D_4] : hAPP_int_int(plus_plus_int(A_47),hAPP_int_int(plus_plus_int(C_22),D_4)) = hAPP_int_int(plus_plus_int(C_22),hAPP_int_int(plus_plus_int(A_47),D_4)) )).

fof(fact_343_comm__semiring__1__class_Onormalizing__semiring__rules_I24_J,axiom,(
    ! [A_46,C_21] : hAPP_real_real(plus_plus_real(A_46),C_21) = hAPP_real_real(plus_plus_real(C_21),A_46) )).

fof(fact_344_comm__semiring__1__class_Onormalizing__semiring__rules_I24_J,axiom,(
    ! [A_46,C_21] : hAPP_nat_nat(plus_plus_nat(A_46),C_21) = hAPP_nat_nat(plus_plus_nat(C_21),A_46) )).

fof(fact_345_comm__semiring__1__class_Onormalizing__semiring__rules_I24_J,axiom,(
    ! [A_46,C_21] : hAPP_int_int(plus_plus_int(A_46),C_21) = hAPP_int_int(plus_plus_int(C_21),A_46) )).

fof(fact_346_one__reorient,axiom,(
    ! [Xa] :
      ( one_one_real = Xa
    <=> Xa = one_one_real ) )).

fof(fact_347_one__reorient,axiom,(
    ! [Xa] :
      ( one_one_nat = Xa
    <=> Xa = one_one_nat ) )).

fof(fact_348_one__reorient,axiom,(
    ! [Xa] :
      ( one_one_int = Xa
    <=> Xa = one_one_int ) )).

fof(fact_349_add__0__iff,axiom,(
    ! [B_21,A_24] :
      ( B_21 = hAPP_real_real(plus_plus_real(B_21),A_24)
    <=> A_24 = zero_zero_real ) )).

fof(fact_350_add__0__iff,axiom,(
    ! [B_21,A_24] :
      ( B_21 = hAPP_nat_nat(plus_plus_nat(B_21),A_24)
    <=> A_24 = zero_zero_nat ) )).

fof(fact_351_add__0__iff,axiom,(
    ! [B_21,A_24] :
      ( B_21 = hAPP_int_int(plus_plus_int(B_21),A_24)
    <=> A_24 = zero_zero_int ) )).

fof(fact_352_add_Ocomm__neutral,axiom,(
    ! [A_45] : hAPP_real_real(plus_plus_real(A_45),zero_zero_real) = A_45 )).

fof(fact_353_add_Ocomm__neutral,axiom,(
    ! [A_45] : hAPP_nat_nat(plus_plus_nat(A_45),zero_zero_nat) = A_45 )).

fof(fact_354_add_Ocomm__neutral,axiom,(
    ! [A_45] : hAPP_int_int(plus_plus_int(A_45),zero_zero_int) = A_45 )).

fof(fact_355_comm__semiring__1__class_Onormalizing__semiring__rules_I6_J,axiom,(
    ! [A_44] : hAPP_real_real(plus_plus_real(A_44),zero_zero_real) = A_44 )).

fof(fact_356_comm__semiring__1__class_Onormalizing__semiring__rules_I6_J,axiom,(
    ! [A_44] : hAPP_nat_nat(plus_plus_nat(A_44),zero_zero_nat) = A_44 )).

fof(fact_357_comm__semiring__1__class_Onormalizing__semiring__rules_I6_J,axiom,(
    ! [A_44] : hAPP_int_int(plus_plus_int(A_44),zero_zero_int) = A_44 )).

fof(fact_358_add__0__right,axiom,(
    ! [A_43] : hAPP_real_real(plus_plus_real(A_43),zero_zero_real) = A_43 )).

fof(fact_359_add__0__right,axiom,(
    ! [A_43] : hAPP_nat_nat(plus_plus_nat(A_43),zero_zero_nat) = A_43 )).

fof(fact_360_add__0__right,axiom,(
    ! [A_43] : hAPP_int_int(plus_plus_int(A_43),zero_zero_int) = A_43 )).

fof(fact_361_double__zero__sym,axiom,(
    ! [A_24] :
      ( zero_zero_real = hAPP_real_real(plus_plus_real(A_24),A_24)
    <=> A_24 = zero_zero_real ) )).

fof(fact_362_double__zero__sym,axiom,(
    ! [A_24] :
      ( zero_zero_int = hAPP_int_int(plus_plus_int(A_24),A_24)
    <=> A_24 = zero_zero_int ) )).

fof(fact_363_add__0,axiom,(
    ! [A_42] : hAPP_real_real(plus_plus_real(zero_zero_real),A_42) = A_42 )).

fof(fact_364_add__0,axiom,(
    ! [A_42] : hAPP_nat_nat(plus_plus_nat(zero_zero_nat),A_42) = A_42 )).

fof(fact_365_add__0,axiom,(
    ! [A_42] : hAPP_int_int(plus_plus_int(zero_zero_int),A_42) = A_42 )).

fof(fact_366_comm__semiring__1__class_Onormalizing__semiring__rules_I5_J,axiom,(
    ! [A_41] : hAPP_real_real(plus_plus_real(zero_zero_real),A_41) = A_41 )).

fof(fact_367_comm__semiring__1__class_Onormalizing__semiring__rules_I5_J,axiom,(
    ! [A_41] : hAPP_nat_nat(plus_plus_nat(zero_zero_nat),A_41) = A_41 )).

fof(fact_368_comm__semiring__1__class_Onormalizing__semiring__rules_I5_J,axiom,(
    ! [A_41] : hAPP_int_int(plus_plus_int(zero_zero_int),A_41) = A_41 )).

fof(fact_369_add__0__left,axiom,(
    ! [A_40] : hAPP_real_real(plus_plus_real(zero_zero_real),A_40) = A_40 )).

fof(fact_370_add__0__left,axiom,(
    ! [A_40] : hAPP_nat_nat(plus_plus_nat(zero_zero_nat),A_40) = A_40 )).

fof(fact_371_add__0__left,axiom,(
    ! [A_40] : hAPP_int_int(plus_plus_int(zero_zero_int),A_40) = A_40 )).

fof(fact_372_add__less__imp__less__left,axiom,(
    ! [C_20,A_39,B_33] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(C_20),A_39)),hAPP_real_real(plus_plus_real(C_20),B_33)))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_39),B_33)) ) )).

fof(fact_373_add__less__imp__less__left,axiom,(
    ! [C_20,A_39,B_33] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(C_20),A_39)),hAPP_nat_nat(plus_plus_nat(C_20),B_33)))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_39),B_33)) ) )).

fof(fact_374_add__less__imp__less__left,axiom,(
    ! [C_20,A_39,B_33] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(C_20),A_39)),hAPP_int_int(plus_plus_int(C_20),B_33)))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_39),B_33)) ) )).

fof(fact_375_add__less__imp__less__right,axiom,(
    ! [A_38,C_19,B_32] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_38),C_19)),hAPP_real_real(plus_plus_real(B_32),C_19)))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_38),B_32)) ) )).

fof(fact_376_add__less__imp__less__right,axiom,(
    ! [A_38,C_19,B_32] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_38),C_19)),hAPP_nat_nat(plus_plus_nat(B_32),C_19)))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_38),B_32)) ) )).

fof(fact_377_add__less__imp__less__right,axiom,(
    ! [A_38,C_19,B_32] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_38),C_19)),hAPP_int_int(plus_plus_int(B_32),C_19)))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_38),B_32)) ) )).

fof(fact_378_add__strict__mono,axiom,(
    ! [C_18,D_3,A_37,B_31] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_37),B_31))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,C_18),D_3))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_37),C_18)),hAPP_real_real(plus_plus_real(B_31),D_3))) ) ) )).

fof(fact_379_add__strict__mono,axiom,(
    ! [C_18,D_3,A_37,B_31] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_37),B_31))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,C_18),D_3))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_37),C_18)),hAPP_nat_nat(plus_plus_nat(B_31),D_3))) ) ) )).

fof(fact_380_add__strict__mono,axiom,(
    ! [C_18,D_3,A_37,B_31] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_37),B_31))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,C_18),D_3))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_37),C_18)),hAPP_int_int(plus_plus_int(B_31),D_3))) ) ) )).

fof(fact_381_add__strict__left__mono,axiom,(
    ! [C_17,A_36,B_30] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_36),B_30))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(C_17),A_36)),hAPP_real_real(plus_plus_real(C_17),B_30))) ) )).

fof(fact_382_add__strict__left__mono,axiom,(
    ! [C_17,A_36,B_30] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_36),B_30))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(C_17),A_36)),hAPP_nat_nat(plus_plus_nat(C_17),B_30))) ) )).

fof(fact_383_add__strict__left__mono,axiom,(
    ! [C_17,A_36,B_30] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_36),B_30))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(C_17),A_36)),hAPP_int_int(plus_plus_int(C_17),B_30))) ) )).

fof(fact_384_add__strict__right__mono,axiom,(
    ! [C_16,A_35,B_29] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_35),B_29))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_35),C_16)),hAPP_real_real(plus_plus_real(B_29),C_16))) ) )).

fof(fact_385_add__strict__right__mono,axiom,(
    ! [C_16,A_35,B_29] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_35),B_29))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_35),C_16)),hAPP_nat_nat(plus_plus_nat(B_29),C_16))) ) )).

fof(fact_386_add__strict__right__mono,axiom,(
    ! [C_16,A_35,B_29] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_35),B_29))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_35),C_16)),hAPP_int_int(plus_plus_int(B_29),C_16))) ) )).

fof(fact_387_add__less__cancel__left,axiom,(
    ! [C_15,A_24,B_21] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(C_15),A_24)),hAPP_real_real(plus_plus_real(C_15),B_21)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_24),B_21)) ) )).

fof(fact_388_add__less__cancel__left,axiom,(
    ! [C_15,A_24,B_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(C_15),A_24)),hAPP_nat_nat(plus_plus_nat(C_15),B_21)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_24),B_21)) ) )).

fof(fact_389_add__less__cancel__left,axiom,(
    ! [C_15,A_24,B_21] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(C_15),A_24)),hAPP_int_int(plus_plus_int(C_15),B_21)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_24),B_21)) ) )).

fof(fact_390_add__less__cancel__right,axiom,(
    ! [A_24,C_15,B_21] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_24),C_15)),hAPP_real_real(plus_plus_real(B_21),C_15)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_24),B_21)) ) )).

fof(fact_391_add__less__cancel__right,axiom,(
    ! [A_24,C_15,B_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_24),C_15)),hAPP_nat_nat(plus_plus_nat(B_21),C_15)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_24),B_21)) ) )).

fof(fact_392_add__less__cancel__right,axiom,(
    ! [A_24,C_15,B_21] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_24),C_15)),hAPP_int_int(plus_plus_int(B_21),C_15)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_24),B_21)) ) )).

fof(fact_393_comm__semiring__1__class_Onormalizing__semiring__rules_I33_J,axiom,(
    ! [X_13] : hAPP_nat_real(power_power_real(X_13),one_one_nat) = X_13 )).

fof(fact_394_comm__semiring__1__class_Onormalizing__semiring__rules_I33_J,axiom,(
    ! [X_13] : hAPP_nat_nat(power_power_nat(X_13),one_one_nat) = X_13 )).

fof(fact_395_comm__semiring__1__class_Onormalizing__semiring__rules_I33_J,axiom,(
    ! [X_13] : hAPP_nat_int(power_power_int(X_13),one_one_nat) = X_13 )).

fof(fact_396_nat__power__eq__0__iff,axiom,(
    ! [Ma,Na] :
      ( hAPP_nat_nat(power_power_nat(Ma),Na) = zero_zero_nat
    <=> ( Na != zero_zero_nat
        & Ma = zero_zero_nat ) ) )).

fof(fact_397_add__neg__neg,axiom,(
    ! [B_28,A_34] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_34),zero_zero_real))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,B_28),zero_zero_real))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_34),B_28)),zero_zero_real)) ) ) )).

fof(fact_398_add__neg__neg,axiom,(
    ! [B_28,A_34] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_34),zero_zero_nat))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,B_28),zero_zero_nat))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_34),B_28)),zero_zero_nat)) ) ) )).

fof(fact_399_add__neg__neg,axiom,(
    ! [B_28,A_34] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_34),zero_zero_int))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,B_28),zero_zero_int))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_34),B_28)),zero_zero_int)) ) ) )).

fof(fact_400_add__pos__pos,axiom,(
    ! [B_27,A_33] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A_33))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),B_27))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_real_real(plus_plus_real(A_33),B_27))) ) ) )).

fof(fact_401_add__pos__pos,axiom,(
    ! [B_27,A_33] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),A_33))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),B_27))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(plus_plus_nat(A_33),B_27))) ) ) )).

fof(fact_402_add__pos__pos,axiom,(
    ! [B_27,A_33] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),A_33))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),B_27))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(A_33),B_27))) ) ) )).

fof(fact_403_realpow__pos__nth__unique,axiom,(
    ! [A,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_1))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A))
       => ? [X_12] :
            ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),X_12))
            & hAPP_nat_real(power_power_real(X_12),N_1) = A
            & ! [Y_11] :
                ( ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),Y_11))
                  & hAPP_nat_real(power_power_real(Y_11),N_1) = A )
               => Y_11 = X_12 ) ) ) ) )).

fof(fact_404_realpow__pos__nth,axiom,(
    ! [A,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_1))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A))
       => ? [R] :
            ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),R))
            & hAPP_nat_real(power_power_real(R),N_1) = A ) ) ) )).

fof(fact_405_tpos,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,one_one_int),t)) )).

fof(fact_406_nat__number__of__add__1,axiom,(
    ! [V_6] :
      ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_6),pls))
       => hAPP_nat_nat(plus_plus_nat(number_number_of_nat(V_6)),one_one_nat) = one_one_nat )
      & ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_6),pls))
       => hAPP_nat_nat(plus_plus_nat(number_number_of_nat(V_6)),one_one_nat) = number_number_of_nat(succ(V_6)) ) ) )).

fof(fact_407_nat__1__add__number__of,axiom,(
    ! [V_6] :
      ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_6),pls))
       => hAPP_nat_nat(plus_plus_nat(one_one_nat),number_number_of_nat(V_6)) = one_one_nat )
      & ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,V_6),pls))
       => hAPP_nat_nat(plus_plus_nat(one_one_nat),number_number_of_nat(V_6)) = number_number_of_nat(succ(V_6)) ) ) )).

fof(fact_408_add__le__cancel__right,axiom,(
    ! [A_24,C_15,B_21] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(A_24),C_15)),hAPP_real_real(plus_plus_real(B_21),C_15)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_24),B_21)) ) )).

fof(fact_409_add__le__cancel__right,axiom,(
    ! [A_24,C_15,B_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(A_24),C_15)),hAPP_nat_nat(plus_plus_nat(B_21),C_15)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_24),B_21)) ) )).

fof(fact_410_add__le__cancel__right,axiom,(
    ! [A_24,C_15,B_21] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(A_24),C_15)),hAPP_int_int(plus_plus_int(B_21),C_15)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_24),B_21)) ) )).

fof(fact_411_add__le__cancel__left,axiom,(
    ! [C_15,A_24,B_21] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(C_15),A_24)),hAPP_real_real(plus_plus_real(C_15),B_21)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_24),B_21)) ) )).

fof(fact_412_add__le__cancel__left,axiom,(
    ! [C_15,A_24,B_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(C_15),A_24)),hAPP_nat_nat(plus_plus_nat(C_15),B_21)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_24),B_21)) ) )).

fof(fact_413_add__le__cancel__left,axiom,(
    ! [C_15,A_24,B_21] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(C_15),A_24)),hAPP_int_int(plus_plus_int(C_15),B_21)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_24),B_21)) ) )).

fof(fact_414_add__right__mono,axiom,(
    ! [C_14,A_32,B_26] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_32),B_26))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(A_32),C_14)),hAPP_real_real(plus_plus_real(B_26),C_14))) ) )).

fof(fact_415_add__right__mono,axiom,(
    ! [C_14,A_32,B_26] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_32),B_26))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(A_32),C_14)),hAPP_nat_nat(plus_plus_nat(B_26),C_14))) ) )).

fof(fact_416_add__right__mono,axiom,(
    ! [C_14,A_32,B_26] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_32),B_26))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(A_32),C_14)),hAPP_int_int(plus_plus_int(B_26),C_14))) ) )).

fof(fact_417_add__left__mono,axiom,(
    ! [C_13,A_31,B_25] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_31),B_25))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(C_13),A_31)),hAPP_real_real(plus_plus_real(C_13),B_25))) ) )).

fof(fact_418_add__left__mono,axiom,(
    ! [C_13,A_31,B_25] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_31),B_25))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(C_13),A_31)),hAPP_nat_nat(plus_plus_nat(C_13),B_25))) ) )).

fof(fact_419_add__left__mono,axiom,(
    ! [C_13,A_31,B_25] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_31),B_25))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(C_13),A_31)),hAPP_int_int(plus_plus_int(C_13),B_25))) ) )).

fof(fact_420_add__mono,axiom,(
    ! [C_12,D_2,A_30,B_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_30),B_24))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,C_12),D_2))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(A_30),C_12)),hAPP_real_real(plus_plus_real(B_24),D_2))) ) ) )).

fof(fact_421_add__mono,axiom,(
    ! [C_12,D_2,A_30,B_24] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_30),B_24))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,C_12),D_2))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(A_30),C_12)),hAPP_nat_nat(plus_plus_nat(B_24),D_2))) ) ) )).

fof(fact_422_add__mono,axiom,(
    ! [C_12,D_2,A_30,B_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_30),B_24))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,C_12),D_2))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(A_30),C_12)),hAPP_int_int(plus_plus_int(B_24),D_2))) ) ) )).

fof(fact_423_add__le__imp__le__right,axiom,(
    ! [A_29,C_11,B_23] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(A_29),C_11)),hAPP_real_real(plus_plus_real(B_23),C_11)))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_29),B_23)) ) )).

fof(fact_424_add__le__imp__le__right,axiom,(
    ! [A_29,C_11,B_23] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(A_29),C_11)),hAPP_nat_nat(plus_plus_nat(B_23),C_11)))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_29),B_23)) ) )).

fof(fact_425_add__le__imp__le__right,axiom,(
    ! [A_29,C_11,B_23] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(A_29),C_11)),hAPP_int_int(plus_plus_int(B_23),C_11)))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_29),B_23)) ) )).

fof(fact_426_add__le__imp__le__left,axiom,(
    ! [C_10,A_28,B_22] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(C_10),A_28)),hAPP_real_real(plus_plus_real(C_10),B_22)))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_28),B_22)) ) )).

fof(fact_427_add__le__imp__le__left,axiom,(
    ! [C_10,A_28,B_22] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(C_10),A_28)),hAPP_nat_nat(plus_plus_nat(C_10),B_22)))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_28),B_22)) ) )).

fof(fact_428_add__le__imp__le__left,axiom,(
    ! [C_10,A_28,B_22] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(C_10),A_28)),hAPP_int_int(plus_plus_int(C_10),B_22)))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_28),B_22)) ) )).

fof(fact_429_power__increasing,axiom,(
    ! [A_27,N_13,N_12] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_13),N_12))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,one_one_real),A_27))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_nat_real(power_power_real(A_27),N_13)),hAPP_nat_real(power_power_real(A_27),N_12))) ) ) )).

fof(fact_430_power__increasing,axiom,(
    ! [A_27,N_13,N_12] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_13),N_12))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,one_one_nat),A_27))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(power_power_nat(A_27),N_13)),hAPP_nat_nat(power_power_nat(A_27),N_12))) ) ) )).

fof(fact_431_power__increasing,axiom,(
    ! [A_27,N_13,N_12] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_13),N_12))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,one_one_int),A_27))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(power_power_int(A_27),N_13)),hAPP_nat_int(power_power_int(A_27),N_12))) ) ) )).

fof(fact_432_less__eq__int__code_I16_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit1(K1)),bit1(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K1),K2)) ) )).

fof(fact_433_rel__simps_I34_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit1(K_2)),bit1(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),L_1)) ) )).

fof(fact_434_rel__simps_I19_J,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),pls)) )).

fof(fact_435_less__eq__int__code_I13_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit0(K1)),bit0(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K1),K2)) ) )).

fof(fact_436_rel__simps_I31_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit0(K_2)),bit0(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),L_1)) ) )).

fof(fact_437_Nat__Transfer_Otransfer__nat__int__function__closures_I5_J,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),zero_zero_int)) )).

fof(fact_438_zle__refl,axiom,(
    ! [W] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,W),W)) )).

fof(fact_439_zle__linear,axiom,(
    ! [Z_2,W] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Z_2),W))
      | hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,W),Z_2)) ) )).

fof(fact_440_zle__trans,axiom,(
    ! [K,I_2,J_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,I_2),J_2))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,J_2),K))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,I_2),K)) ) ) )).

fof(fact_441_zle__antisym,axiom,(
    ! [Z_2,W] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Z_2),W))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,W),Z_2))
       => Z_2 = W ) ) )).

fof(fact_442_le__number__of,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,number267125858f_real(Xa)),number267125858f_real(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Xa),Ya)) ) )).

fof(fact_443_le__number__of,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,number_number_of_int(Xa)),number_number_of_int(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Xa),Ya)) ) )).

fof(fact_444_of__nat__le__iff,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_nat_real(semiri132038758t_real,Ma)),hAPP_nat_real(semiri132038758t_real,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na)) ) )).

fof(fact_445_of__nat__le__iff,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(semiri984289939at_nat,Ma)),hAPP_nat_nat(semiri984289939at_nat,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na)) ) )).

fof(fact_446_of__nat__le__iff,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(semiri1621563631at_int,Ma)),hAPP_nat_int(semiri1621563631at_int,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na)) ) )).

fof(fact_447_zless__le,axiom,(
    ! [Z_3,Wa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Z_3),Wa))
    <=> ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Z_3),Wa))
        & Z_3 != Wa ) ) )).

fof(fact_448_zadd__left__mono,axiom,(
    ! [K,I_2,J_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,I_2),J_2))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(K),I_2)),hAPP_int_int(plus_plus_int(K),J_2))) ) )).

fof(fact_449_less__eq__number__of__int__code,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,number_number_of_int(K_2)),number_number_of_int(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),L_1)) ) )).

fof(fact_450_le__special_I1_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),number267125858f_real(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),Ya)) ) )).

fof(fact_451_le__special_I1_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),Ya)) ) )).

fof(fact_452_le__special_I3_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,number267125858f_real(Xa)),zero_zero_real))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Xa),pls)) ) )).

fof(fact_453_le__special_I3_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,number_number_of_int(Xa)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Xa),pls)) ) )).

fof(fact_454_power__decreasing,axiom,(
    ! [A_26,N_11,N_10] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_11),N_10))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_26))
       => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_26),one_one_real))
         => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_nat_real(power_power_real(A_26),N_10)),hAPP_nat_real(power_power_real(A_26),N_11))) ) ) ) )).

fof(fact_455_power__decreasing,axiom,(
    ! [A_26,N_11,N_10] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_11),N_10))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_26))
       => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_26),one_one_nat))
         => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(power_power_nat(A_26),N_10)),hAPP_nat_nat(power_power_nat(A_26),N_11))) ) ) ) )).

fof(fact_456_power__decreasing,axiom,(
    ! [A_26,N_11,N_10] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_11),N_10))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_26))
       => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_26),one_one_int))
         => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(power_power_int(A_26),N_10)),hAPP_nat_int(power_power_int(A_26),N_11))) ) ) ) )).

fof(fact_457_power__increasing__iff,axiom,(
    ! [Xa,Ya,B_21] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),B_21))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_nat_real(power_power_real(B_21),Xa)),hAPP_nat_real(power_power_real(B_21),Ya)))
      <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Xa),Ya)) ) ) )).

fof(fact_458_power__increasing__iff,axiom,(
    ! [Xa,Ya,B_21] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),B_21))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(power_power_nat(B_21),Xa)),hAPP_nat_nat(power_power_nat(B_21),Ya)))
      <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Xa),Ya)) ) ) )).

fof(fact_459_power__increasing__iff,axiom,(
    ! [Xa,Ya,B_21] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),B_21))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(power_power_int(B_21),Xa)),hAPP_nat_int(power_power_int(B_21),Ya)))
      <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Xa),Ya)) ) ) )).

fof(fact_460_power__le__imp__le__exp,axiom,(
    ! [M_3,N_9,A_25] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),A_25))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_nat_real(power_power_real(A_25),M_3)),hAPP_nat_real(power_power_real(A_25),N_9)))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_3),N_9)) ) ) )).

fof(fact_461_power__le__imp__le__exp,axiom,(
    ! [M_3,N_9,A_25] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,one_one_nat),A_25))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(power_power_nat(A_25),M_3)),hAPP_nat_nat(power_power_nat(A_25),N_9)))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_3),N_9)) ) ) )).

fof(fact_462_power__le__imp__le__exp,axiom,(
    ! [M_3,N_9,A_25] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,one_one_int),A_25))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(power_power_int(A_25),M_3)),hAPP_nat_int(power_power_int(A_25),N_9)))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_3),N_9)) ) ) )).

fof(fact_463_le__special_I2_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,one_one_real),number267125858f_real(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit1(pls)),Ya)) ) )).

fof(fact_464_le__special_I2_J,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,one_one_int),number_number_of_int(Ya)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit1(pls)),Ya)) ) )).

fof(fact_465_le__special_I4_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,number267125858f_real(Xa)),one_one_real))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Xa),bit1(pls))) ) )).

fof(fact_466_le__special_I4_J,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,number_number_of_int(Xa)),one_one_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Xa),bit1(pls))) ) )).

fof(fact_467_zero__le__double__add__iff__zero__le__single__add,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),hAPP_real_real(plus_plus_real(A_24),A_24)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_24)) ) )).

fof(fact_468_zero__le__double__add__iff__zero__le__single__add,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_int_int(plus_plus_int(A_24),A_24)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_24)) ) )).

fof(fact_469_double__add__le__zero__iff__single__add__le__zero,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(A_24),A_24)),zero_zero_real))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_24),zero_zero_real)) ) )).

fof(fact_470_double__add__le__zero__iff__single__add__le__zero,axiom,(
    ! [A_24] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(A_24),A_24)),zero_zero_int))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_24),zero_zero_int)) ) )).

fof(fact_471_add__nonneg__nonneg,axiom,(
    ! [B_20,A_23] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_23))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),B_20))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),hAPP_real_real(plus_plus_real(A_23),B_20))) ) ) )).

fof(fact_472_add__nonneg__nonneg,axiom,(
    ! [B_20,A_23] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_23))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),B_20))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),hAPP_nat_nat(plus_plus_nat(A_23),B_20))) ) ) )).

fof(fact_473_add__nonneg__nonneg,axiom,(
    ! [B_20,A_23] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_23))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),B_20))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_int_int(plus_plus_int(A_23),B_20))) ) ) )).

fof(fact_474_add__nonneg__eq__0__iff,axiom,(
    ! [Ya,Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),Xa))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),Ya))
       => ( hAPP_real_real(plus_plus_real(Xa),Ya) = zero_zero_real
        <=> ( Xa = zero_zero_real
            & Ya = zero_zero_real ) ) ) ) )).

fof(fact_475_add__nonneg__eq__0__iff,axiom,(
    ! [Ya,Xa] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),Xa))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),Ya))
       => ( hAPP_nat_nat(plus_plus_nat(Xa),Ya) = zero_zero_nat
        <=> ( Xa = zero_zero_nat
            & Ya = zero_zero_nat ) ) ) ) )).

fof(fact_476_add__nonneg__eq__0__iff,axiom,(
    ! [Ya,Xa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Xa))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Ya))
       => ( hAPP_int_int(plus_plus_int(Xa),Ya) = zero_zero_int
        <=> ( Xa = zero_zero_int
            & Ya = zero_zero_int ) ) ) ) )).

fof(fact_477_add__increasing,axiom,(
    ! [B_19,C_9,A_22] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_22))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_19),C_9))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_19),hAPP_real_real(plus_plus_real(A_22),C_9))) ) ) )).

fof(fact_478_add__increasing,axiom,(
    ! [B_19,C_9,A_22] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_22))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_19),C_9))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_19),hAPP_nat_nat(plus_plus_nat(A_22),C_9))) ) ) )).

fof(fact_479_add__increasing,axiom,(
    ! [B_19,C_9,A_22] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_22))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_19),C_9))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_19),hAPP_int_int(plus_plus_int(A_22),C_9))) ) ) )).

fof(fact_480_add__increasing2,axiom,(
    ! [B_18,A_21,C_8] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),C_8))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_18),A_21))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_18),hAPP_real_real(plus_plus_real(A_21),C_8))) ) ) )).

fof(fact_481_add__increasing2,axiom,(
    ! [B_18,A_21,C_8] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),C_8))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_18),A_21))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_18),hAPP_nat_nat(plus_plus_nat(A_21),C_8))) ) ) )).

fof(fact_482_add__increasing2,axiom,(
    ! [B_18,A_21,C_8] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),C_8))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_18),A_21))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_18),hAPP_int_int(plus_plus_int(A_21),C_8))) ) ) )).

fof(fact_483_add__nonpos__nonpos,axiom,(
    ! [B_17,A_20] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_20),zero_zero_real))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_17),zero_zero_real))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(A_20),B_17)),zero_zero_real)) ) ) )).

fof(fact_484_add__nonpos__nonpos,axiom,(
    ! [B_17,A_20] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_20),zero_zero_nat))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_17),zero_zero_nat))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(A_20),B_17)),zero_zero_nat)) ) ) )).

fof(fact_485_add__nonpos__nonpos,axiom,(
    ! [B_17,A_20] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_20),zero_zero_int))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_17),zero_zero_int))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(A_20),B_17)),zero_zero_int)) ) ) )).

fof(fact_486_add__less__le__mono,axiom,(
    ! [C_7,D_1,A_19,B_16] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_19),B_16))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,C_7),D_1))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_19),C_7)),hAPP_real_real(plus_plus_real(B_16),D_1))) ) ) )).

fof(fact_487_add__less__le__mono,axiom,(
    ! [C_7,D_1,A_19,B_16] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_19),B_16))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,C_7),D_1))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_19),C_7)),hAPP_nat_nat(plus_plus_nat(B_16),D_1))) ) ) )).

fof(fact_488_add__less__le__mono,axiom,(
    ! [C_7,D_1,A_19,B_16] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_19),B_16))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,C_7),D_1))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_19),C_7)),hAPP_int_int(plus_plus_int(B_16),D_1))) ) ) )).

fof(fact_489_add__le__less__mono,axiom,(
    ! [C_6,D,A_18,B_15] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_18),B_15))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,C_6),D))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_18),C_6)),hAPP_real_real(plus_plus_real(B_15),D))) ) ) )).

fof(fact_490_add__le__less__mono,axiom,(
    ! [C_6,D,A_18,B_15] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_18),B_15))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,C_6),D))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_18),C_6)),hAPP_nat_nat(plus_plus_nat(B_15),D))) ) ) )).

fof(fact_491_add__le__less__mono,axiom,(
    ! [C_6,D,A_18,B_15] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_18),B_15))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,C_6),D))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_18),C_6)),hAPP_int_int(plus_plus_int(B_15),D))) ) ) )).

fof(fact_492_not__one__le__zero,axiom,(
    ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,one_one_real),zero_zero_real)) )).

fof(fact_493_not__one__le__zero,axiom,(
    ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,one_one_nat),zero_zero_nat)) )).

fof(fact_494_not__one__le__zero,axiom,(
    ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,one_one_int),zero_zero_int)) )).

fof(fact_495_zero__le__one,axiom,(
    hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),one_one_real)) )).

fof(fact_496_zero__le__one,axiom,(
    hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),one_one_nat)) )).

fof(fact_497_zero__le__one,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),one_one_int)) )).

fof(fact_498_le__number__of__eq__not__less,axiom,(
    ! [Va,Wa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,number267125858f_real(Va)),number267125858f_real(Wa)))
    <=> ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,number267125858f_real(Wa)),number267125858f_real(Va))) ) )).

fof(fact_499_le__number__of__eq__not__less,axiom,(
    ! [Va,Wa] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,number_number_of_nat(Va)),number_number_of_nat(Wa)))
    <=> ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,number_number_of_nat(Wa)),number_number_of_nat(Va))) ) )).

fof(fact_500_le__number__of__eq__not__less,axiom,(
    ! [Va,Wa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,number_number_of_int(Va)),number_number_of_int(Wa)))
    <=> ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,number_number_of_int(Wa)),number_number_of_int(Va))) ) )).

fof(fact_501_zero__le__power,axiom,(
    ! [N_8,A_17] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_17))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),hAPP_nat_real(power_power_real(A_17),N_8))) ) )).

fof(fact_502_zero__le__power,axiom,(
    ! [N_8,A_17] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_17))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),hAPP_nat_nat(power_power_nat(A_17),N_8))) ) )).

fof(fact_503_zero__le__power,axiom,(
    ! [N_8,A_17] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_17))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_nat_int(power_power_int(A_17),N_8))) ) )).

fof(fact_504_power__mono,axiom,(
    ! [N_7,A_16,B_14] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_16),B_14))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_16))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_nat_real(power_power_real(A_16),N_7)),hAPP_nat_real(power_power_real(B_14),N_7))) ) ) )).

fof(fact_505_power__mono,axiom,(
    ! [N_7,A_16,B_14] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_16),B_14))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_16))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(power_power_nat(A_16),N_7)),hAPP_nat_nat(power_power_nat(B_14),N_7))) ) ) )).

fof(fact_506_power__mono,axiom,(
    ! [N_7,A_16,B_14] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_16),B_14))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_16))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(power_power_int(A_16),N_7)),hAPP_nat_int(power_power_int(B_14),N_7))) ) ) )).

fof(fact_507_one__le__power,axiom,(
    ! [N_6,A_15] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,one_one_real),A_15))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,one_one_real),hAPP_nat_real(power_power_real(A_15),N_6))) ) )).

fof(fact_508_one__le__power,axiom,(
    ! [N_6,A_15] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,one_one_nat),A_15))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,one_one_nat),hAPP_nat_nat(power_power_nat(A_15),N_6))) ) )).

fof(fact_509_one__le__power,axiom,(
    ! [N_6,A_15] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,one_one_int),A_15))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,one_one_int),hAPP_nat_int(power_power_int(A_15),N_6))) ) )).

fof(fact_510_zero__le__imp__of__nat,axiom,(
    ! [M_2] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),hAPP_nat_real(semiri132038758t_real,M_2))) )).

fof(fact_511_zero__le__imp__of__nat,axiom,(
    ! [M_2] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),hAPP_nat_nat(semiri984289939at_nat,M_2))) )).

fof(fact_512_zero__le__imp__of__nat,axiom,(
    ! [M_2] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_nat_int(semiri1621563631at_int,M_2))) )).

fof(fact_513_of__nat__0__le__iff,axiom,(
    ! [N_5] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),hAPP_nat_real(semiri132038758t_real,N_5))) )).

fof(fact_514_of__nat__0__le__iff,axiom,(
    ! [N_5] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),hAPP_nat_nat(semiri984289939at_nat,N_5))) )).

fof(fact_515_of__nat__0__le__iff,axiom,(
    ! [N_5] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_nat_int(semiri1621563631at_int,N_5))) )).

fof(fact_516_rel__simps_I22_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),bit1(K_2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),K_2)) ) )).

fof(fact_517_rel__simps_I32_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit0(K_2)),bit1(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),L_1)) ) )).

fof(fact_518_less__eq__int__code_I14_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit0(K1)),bit1(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K1),K2)) ) )).

fof(fact_519_rel__simps_I21_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),bit0(K_2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),K_2)) ) )).

fof(fact_520_rel__simps_I27_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit0(K_2)),pls))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),pls)) ) )).

fof(fact_521_Nat__Transfer_Otransfer__nat__int__function__closures_I6_J,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),one_one_int)) )).

fof(fact_522_Nat__Transfer_Otransfer__nat__int__function__closures_I1_J,axiom,(
    ! [Y,X] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),X))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Y))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_int_int(plus_plus_int(X),Y))) ) ) )).

fof(fact_523_zadd__zless__mono,axiom,(
    ! [Z_4,Z_2,W_1,W] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,W_1),W))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Z_4),Z_2))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(W_1),Z_4)),hAPP_int_int(plus_plus_int(W),Z_2))) ) ) )).

fof(fact_524_Nat__Transfer_Otransfer__nat__int__function__closures_I9_J,axiom,(
    ! [Z_2] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_nat_int(semiri1621563631at_int,Z_2))) )).

fof(fact_525_transfer__int__nat__quantifiers_I2_J,axiom,(
    ! [P_1] :
      ( ? [X_12] :
          ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),X_12))
          & hBOOL(hAPP_int_bool(P_1,X_12)) )
    <=> ? [X_12] : hBOOL(hAPP_int_bool(P_1,hAPP_nat_int(semiri1621563631at_int,X_12))) ) )).

fof(fact_526_transfer__int__nat__quantifiers_I1_J,axiom,(
    ! [P_1] :
      ( ! [X_12] :
          ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),X_12))
         => hBOOL(hAPP_int_bool(P_1,X_12)) )
    <=> ! [X_12] : hBOOL(hAPP_int_bool(P_1,hAPP_nat_int(semiri1621563631at_int,X_12))) ) )).

fof(fact_527_zero__zle__int,axiom,(
    ! [N_1] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_nat_int(semiri1621563631at_int,N_1))) )).

fof(fact_528_Nat__Transfer_Otransfer__nat__int__function__closures_I4_J,axiom,(
    ! [N_1,X] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),X))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_nat_int(power_power_int(X),N_1))) ) )).

fof(fact_529_zle__iff__zadd,axiom,(
    ! [Wa,Z_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Wa),Z_3))
    <=> ? [N] : Z_3 = hAPP_int_int(plus_plus_int(Wa),hAPP_nat_int(semiri1621563631at_int,N)) ) )).

fof(fact_530_semiring__1__add__number__of,axiom,(
    ! [V_5] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_5))
     => hAPP_real_real(plus_plus_real(one_one_real),number267125858f_real(V_5)) = number267125858f_real(succ(V_5)) ) )).

fof(fact_531_semiring__1__add__number__of,axiom,(
    ! [V_5] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_5))
     => hAPP_nat_nat(plus_plus_nat(one_one_nat),number_number_of_nat(V_5)) = number_number_of_nat(succ(V_5)) ) )).

fof(fact_532_semiring__1__add__number__of,axiom,(
    ! [V_5] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_5))
     => hAPP_int_int(plus_plus_int(one_one_int),number_number_of_int(V_5)) = number_number_of_int(succ(V_5)) ) )).

fof(fact_533_semiring__number__of__add__1,axiom,(
    ! [V_4] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_4))
     => hAPP_real_real(plus_plus_real(number267125858f_real(V_4)),one_one_real) = number267125858f_real(succ(V_4)) ) )).

fof(fact_534_semiring__number__of__add__1,axiom,(
    ! [V_4] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_4))
     => hAPP_nat_nat(plus_plus_nat(number_number_of_nat(V_4)),one_one_nat) = number_number_of_nat(succ(V_4)) ) )).

fof(fact_535_semiring__number__of__add__1,axiom,(
    ! [V_4] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_4))
     => hAPP_int_int(plus_plus_int(number_number_of_int(V_4)),one_one_int) = number_number_of_int(succ(V_4)) ) )).

fof(fact_536_add__pos__nonneg,axiom,(
    ! [B_13,A_14] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A_14))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),B_13))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_real_real(plus_plus_real(A_14),B_13))) ) ) )).

fof(fact_537_add__pos__nonneg,axiom,(
    ! [B_13,A_14] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),A_14))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),B_13))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(plus_plus_nat(A_14),B_13))) ) ) )).

fof(fact_538_add__pos__nonneg,axiom,(
    ! [B_13,A_14] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),A_14))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),B_13))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(A_14),B_13))) ) ) )).

fof(fact_539_add__nonneg__pos,axiom,(
    ! [B_12,A_13] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_13))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),B_12))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),hAPP_real_real(plus_plus_real(A_13),B_12))) ) ) )).

fof(fact_540_add__nonneg__pos,axiom,(
    ! [B_12,A_13] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_13))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),B_12))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),hAPP_nat_nat(plus_plus_nat(A_13),B_12))) ) ) )).

fof(fact_541_add__nonneg__pos,axiom,(
    ! [B_12,A_13] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_13))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),B_12))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(A_13),B_12))) ) ) )).

fof(fact_542_add__strict__increasing,axiom,(
    ! [B_11,C_5,A_12] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),A_12))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_11),C_5))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,B_11),hAPP_real_real(plus_plus_real(A_12),C_5))) ) ) )).

fof(fact_543_add__strict__increasing,axiom,(
    ! [B_11,C_5,A_12] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),A_12))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_11),C_5))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,B_11),hAPP_nat_nat(plus_plus_nat(A_12),C_5))) ) ) )).

fof(fact_544_add__strict__increasing,axiom,(
    ! [B_11,C_5,A_12] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),A_12))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_11),C_5))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,B_11),hAPP_int_int(plus_plus_int(A_12),C_5))) ) ) )).

fof(fact_545_add__strict__increasing2,axiom,(
    ! [B_10,C_4,A_11] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_11))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,B_10),C_4))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,B_10),hAPP_real_real(plus_plus_real(A_11),C_4))) ) ) )).

fof(fact_546_add__strict__increasing2,axiom,(
    ! [B_10,C_4,A_11] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_11))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,B_10),C_4))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,B_10),hAPP_nat_nat(plus_plus_nat(A_11),C_4))) ) ) )).

fof(fact_547_add__strict__increasing2,axiom,(
    ! [B_10,C_4,A_11] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_11))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,B_10),C_4))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,B_10),hAPP_int_int(plus_plus_int(A_11),C_4))) ) ) )).

fof(fact_548_add__neg__nonpos,axiom,(
    ! [B_9,A_10] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_10),zero_zero_real))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_9),zero_zero_real))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_10),B_9)),zero_zero_real)) ) ) )).

fof(fact_549_add__neg__nonpos,axiom,(
    ! [B_9,A_10] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_10),zero_zero_nat))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_9),zero_zero_nat))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_10),B_9)),zero_zero_nat)) ) ) )).

fof(fact_550_add__neg__nonpos,axiom,(
    ! [B_9,A_10] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_10),zero_zero_int))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_9),zero_zero_int))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_10),B_9)),zero_zero_int)) ) ) )).

fof(fact_551_add__nonpos__neg,axiom,(
    ! [B_8,A_9] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_9),zero_zero_real))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,B_8),zero_zero_real))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_real_real(plus_plus_real(A_9),B_8)),zero_zero_real)) ) ) )).

fof(fact_552_add__nonpos__neg,axiom,(
    ! [B_8,A_9] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_9),zero_zero_nat))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,B_8),zero_zero_nat))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(plus_plus_nat(A_9),B_8)),zero_zero_nat)) ) ) )).

fof(fact_553_add__nonpos__neg,axiom,(
    ! [B_8,A_9] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_9),zero_zero_int))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,B_8),zero_zero_int))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_int_int(plus_plus_int(A_9),B_8)),zero_zero_int)) ) ) )).

fof(fact_554_power__less__imp__less__base,axiom,(
    ! [A_8,N_4,B_7] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(A_8),N_4)),hAPP_nat_real(power_power_real(B_7),N_4)))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),B_7))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_8),B_7)) ) ) )).

fof(fact_555_power__less__imp__less__base,axiom,(
    ! [A_8,N_4,B_7] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(A_8),N_4)),hAPP_nat_nat(power_power_nat(B_7),N_4)))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),B_7))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_8),B_7)) ) ) )).

fof(fact_556_power__less__imp__less__base,axiom,(
    ! [A_8,N_4,B_7] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(A_8),N_4)),hAPP_nat_int(power_power_int(B_7),N_4)))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),B_7))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_8),B_7)) ) ) )).

fof(fact_557_eq__0__number__of,axiom,(
    ! [Va] :
      ( zero_zero_nat = number_number_of_nat(Va)
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Va),pls)) ) )).

fof(fact_558_eq__number__of__0,axiom,(
    ! [Va] :
      ( number_number_of_nat(Va) = zero_zero_nat
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Va),pls)) ) )).

fof(fact_559_rel__simps_I5_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,pls),bit1(K_2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),K_2)) ) )).

fof(fact_560_rel__simps_I29_J,axiom,(
    ! [K_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit1(K_2)),pls))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),pls)) ) )).

fof(fact_561_rel__simps_I15_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit0(K_2)),bit1(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),L_1)) ) )).

fof(fact_562_less__int__code_I14_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,bit0(K1)),bit1(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K1),K2)) ) )).

fof(fact_563_rel__simps_I33_J,axiom,(
    ! [K_2,L_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit1(K_2)),bit0(L_1)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K_2),L_1)) ) )).

fof(fact_564_less__eq__int__code_I15_J,axiom,(
    ! [K1,K2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,bit1(K1)),bit0(K2)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,K1),K2)) ) )).

fof(fact_565_int__one__le__iff__zero__less,axiom,(
    ! [Z_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,one_one_int),Z_3))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),Z_3)) ) )).

fof(fact_566_int__le__0__conv,axiom,(
    ! [Na] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(semiri1621563631at_int,Na)),zero_zero_int))
    <=> Na = zero_zero_nat ) )).

fof(fact_567_succ__Pls,axiom,(
    succ(pls) = bit1(pls) )).

fof(fact_568_succ__Bit0,axiom,(
    ! [K] : succ(bit0(K)) = bit1(K) )).

fof(fact_569_succ__Bit1,axiom,(
    ! [K] : succ(bit1(K)) = bit0(succ(K)) )).

fof(fact_570_zle__add1__eq__le,axiom,(
    ! [Wa,Z_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Wa),hAPP_int_int(plus_plus_int(Z_3),one_one_int)))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Wa),Z_3)) ) )).

fof(fact_571_add1__zle__eq,axiom,(
    ! [Wa,Z_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(Wa),one_one_int)),Z_3))
    <=> hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,Wa),Z_3)) ) )).

fof(fact_572_zless__imp__add1__zle,axiom,(
    ! [W,Z_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,W),Z_2))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(W),one_one_int)),Z_2)) ) )).

fof(fact_573_succ__def,axiom,(
    ! [K] : succ(K) = hAPP_int_int(plus_plus_int(K),one_one_int) )).

fof(fact_574_power__eq__imp__eq__base,axiom,(
    ! [A_7,N_3,B_6] :
      ( hAPP_nat_real(power_power_real(A_7),N_3) = hAPP_nat_real(power_power_real(B_6),N_3)
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_7))
       => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),B_6))
         => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_3))
           => A_7 = B_6 ) ) ) ) )).

fof(fact_575_power__eq__imp__eq__base,axiom,(
    ! [A_7,N_3,B_6] :
      ( hAPP_nat_nat(power_power_nat(A_7),N_3) = hAPP_nat_nat(power_power_nat(B_6),N_3)
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_7))
       => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),B_6))
         => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_3))
           => A_7 = B_6 ) ) ) ) )).

fof(fact_576_power__eq__imp__eq__base,axiom,(
    ! [A_7,N_3,B_6] :
      ( hAPP_nat_int(power_power_int(A_7),N_3) = hAPP_nat_int(power_power_int(B_6),N_3)
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_7))
       => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),B_6))
         => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_3))
           => A_7 = B_6 ) ) ) ) )).

fof(fact_577_semiring__add__number__of,axiom,(
    ! [V_3,V_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_2))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_3))
       => hAPP_real_real(plus_plus_real(number267125858f_real(V_2)),number267125858f_real(V_3)) = number267125858f_real(hAPP_int_int(plus_plus_int(V_2),V_3)) ) ) )).

fof(fact_578_semiring__add__number__of,axiom,(
    ! [V_3,V_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_2))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_3))
       => hAPP_nat_nat(plus_plus_nat(number_number_of_nat(V_2)),number_number_of_nat(V_3)) = number_number_of_nat(hAPP_int_int(plus_plus_int(V_2),V_3)) ) ) )).

fof(fact_579_semiring__add__number__of,axiom,(
    ! [V_3,V_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_2))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,pls),V_3))
       => hAPP_int_int(plus_plus_int(number_number_of_int(V_2)),number_number_of_int(V_3)) = number_number_of_int(hAPP_int_int(plus_plus_int(V_2),V_3)) ) ) )).

fof(fact_580_Nat__Transfer_Otransfer__nat__int__function__closures_I8_J,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(bit1(bit1(pls))))) )).

fof(fact_581_le__imp__0__less,axiom,(
    ! [Z_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Z_2))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,zero_zero_int),hAPP_int_int(plus_plus_int(one_one_int),Z_2))) ) )).

fof(fact_582_number__of__succ,axiom,(
    ! [K_3] : number267125858f_real(succ(K_3)) = hAPP_real_real(plus_plus_real(one_one_real),number267125858f_real(K_3)) )).

fof(fact_583_number__of__succ,axiom,(
    ! [K_3] : number_number_of_int(succ(K_3)) = hAPP_int_int(plus_plus_int(one_one_int),number_number_of_int(K_3)) )).

fof(fact_584_add__Bit1__Bit1,axiom,(
    ! [K,L] : hAPP_int_int(plus_plus_int(bit1(K)),bit1(L)) = bit0(hAPP_int_int(plus_plus_int(K),succ(L))) )).

fof(fact_585_power__strict__mono,axiom,(
    ! [N_2,A_6,B_5] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,A_6),B_5))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),A_6))
       => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_2))
         => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(A_6),N_2)),hAPP_nat_real(power_power_real(B_5),N_2))) ) ) ) )).

fof(fact_586_power__strict__mono,axiom,(
    ! [N_2,A_6,B_5] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,A_6),B_5))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),A_6))
       => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_2))
         => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(A_6),N_2)),hAPP_nat_nat(power_power_nat(B_5),N_2))) ) ) ) )).

fof(fact_587_power__strict__mono,axiom,(
    ! [N_2,A_6,B_5] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,A_6),B_5))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),A_6))
       => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,zero_zero_nat),N_2))
         => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(A_6),N_2)),hAPP_nat_int(power_power_int(B_5),N_2))) ) ) ) )).

fof(fact_588_Nat__Transfer_Otransfer__nat__int__function__closures_I7_J,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(bit0(bit1(pls))))) )).

fof(fact_589_power2__ge__self,axiom,(
    ! [X] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X),hAPP_nat_int(power_power_int(X),number_number_of_nat(bit0(bit1(pls)))))) )).

fof(fact_590_zero__le__power2,axiom,(
    ! [A_5] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),hAPP_nat_real(power_power_real(A_5),number_number_of_nat(bit0(bit1(pls)))))) )).

fof(fact_591_zero__le__power2,axiom,(
    ! [A_5] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_nat_int(power_power_int(A_5),number_number_of_nat(bit0(bit1(pls)))))) )).

fof(fact_592_power2__le__imp__le,axiom,(
    ! [X_11,Y_10] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_nat_real(power_power_real(X_11),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Y_10),number_number_of_nat(bit0(bit1(pls))))))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),Y_10))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X_11),Y_10)) ) ) )).

fof(fact_593_power2__le__imp__le,axiom,(
    ! [X_11,Y_10] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(power_power_nat(X_11),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_nat(power_power_nat(Y_10),number_number_of_nat(bit0(bit1(pls))))))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),Y_10))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,X_11),Y_10)) ) ) )).

fof(fact_594_power2__le__imp__le,axiom,(
    ! [X_11,Y_10] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(power_power_int(X_11),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_int(power_power_int(Y_10),number_number_of_nat(bit0(bit1(pls))))))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Y_10))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_11),Y_10)) ) ) )).

fof(fact_595_power2__eq__imp__eq,axiom,(
    ! [X_10,Y_9] :
      ( hAPP_nat_real(power_power_real(X_10),number_number_of_nat(bit0(bit1(pls)))) = hAPP_nat_real(power_power_real(Y_9),number_number_of_nat(bit0(bit1(pls))))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),X_10))
       => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),Y_9))
         => X_10 = Y_9 ) ) ) )).

fof(fact_596_power2__eq__imp__eq,axiom,(
    ! [X_10,Y_9] :
      ( hAPP_nat_nat(power_power_nat(X_10),number_number_of_nat(bit0(bit1(pls)))) = hAPP_nat_nat(power_power_nat(Y_9),number_number_of_nat(bit0(bit1(pls))))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),X_10))
       => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),Y_9))
         => X_10 = Y_9 ) ) ) )).

fof(fact_597_power2__eq__imp__eq,axiom,(
    ! [X_10,Y_9] :
      ( hAPP_nat_int(power_power_int(X_10),number_number_of_nat(bit0(bit1(pls)))) = hAPP_nat_int(power_power_int(Y_9),number_number_of_nat(bit0(bit1(pls))))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),X_10))
       => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Y_9))
         => X_10 = Y_9 ) ) ) )).

fof(fact_598_of__nat__number__of__lemma,axiom,(
    ! [V_1] :
      ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(V_1)))
       => hAPP_nat_real(semiri132038758t_real,number_number_of_nat(V_1)) = number267125858f_real(V_1) )
      & ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(V_1)))
       => hAPP_nat_real(semiri132038758t_real,number_number_of_nat(V_1)) = zero_zero_real ) ) )).

fof(fact_599_of__nat__number__of__lemma,axiom,(
    ! [V_1] :
      ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(V_1)))
       => hAPP_nat_int(semiri1621563631at_int,number_number_of_nat(V_1)) = number_number_of_int(V_1) )
      & ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(V_1)))
       => hAPP_nat_int(semiri1621563631at_int,number_number_of_nat(V_1)) = zero_zero_int ) ) )).

fof(fact_600_power2__less__imp__less,axiom,(
    ! [X_9,Y_8] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,hAPP_nat_real(power_power_real(X_9),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Y_8),number_number_of_nat(bit0(bit1(pls))))))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),Y_8))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,X_9),Y_8)) ) ) )).

fof(fact_601_power2__less__imp__less,axiom,(
    ! [X_9,Y_8] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(power_power_nat(X_9),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_nat(power_power_nat(Y_8),number_number_of_nat(bit0(bit1(pls))))))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),Y_8))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,X_9),Y_8)) ) ) )).

fof(fact_602_power2__less__imp__less,axiom,(
    ! [X_9,Y_8] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,hAPP_nat_int(power_power_int(X_9),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_int(power_power_int(Y_8),number_number_of_nat(bit0(bit1(pls))))))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Y_8))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,X_9),Y_8)) ) ) )).

fof(fact_603_sum__power2__ge__zero,axiom,(
    ! [X_8,Y_7] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),hAPP_real_real(plus_plus_real(hAPP_nat_real(power_power_real(X_8),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Y_7),number_number_of_nat(bit0(bit1(pls))))))) )).

fof(fact_604_sum__power2__ge__zero,axiom,(
    ! [X_8,Y_7] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),hAPP_int_int(plus_plus_int(hAPP_nat_int(power_power_int(X_8),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_int(power_power_int(Y_7),number_number_of_nat(bit0(bit1(pls))))))) )).

fof(fact_605_sum__power2__le__zero__iff,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(hAPP_nat_real(power_power_real(Xa),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Ya),number_number_of_nat(bit0(bit1(pls)))))),zero_zero_real))
    <=> ( Xa = zero_zero_real
        & Ya = zero_zero_real ) ) )).

fof(fact_606_sum__power2__le__zero__iff,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_int_int(plus_plus_int(hAPP_nat_int(power_power_int(Xa),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_int(power_power_int(Ya),number_number_of_nat(bit0(bit1(pls)))))),zero_zero_int))
    <=> ( Xa = zero_zero_int
        & Ya = zero_zero_int ) ) )).

fof(fact_607_int__pos__lt__two__imp__zero__or__one,axiom,(
    ! [X] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),X))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_int,X),number_number_of_int(bit0(bit1(pls)))))
       => ( X = zero_zero_int
          | X = one_one_int ) ) ) )).

fof(fact_608_number__of1,axiom,(
    ! [N_1] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(N_1)))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(bit0(N_1))))
        & hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(bit1(N_1)))) ) ) )).

fof(fact_609_number__of2,axiom,(
    hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),number_number_of_int(pls))) )).

fof(fact_610_zero__le__imp__eq__int,axiom,(
    ! [K] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),K))
     => ? [N] : K = hAPP_nat_int(semiri1621563631at_int,N) ) )).

fof(fact_611_nonneg__int__cases,axiom,(
    ! [K] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),K))
     => ~ ! [N] : K != hAPP_nat_int(semiri1621563631at_int,N) ) )).

fof(fact_612_le0,axiom,(
    ! [N_1] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),N_1)) )).

fof(fact_613_less__eq__nat_Osimps_I1_J,axiom,(
    ! [N_1] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,zero_zero_nat),N_1)) )).

fof(fact_614_le__0__eq,axiom,(
    ! [Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Na),zero_zero_nat))
    <=> Na = zero_zero_nat ) )).

fof(fact_615_less__or__eq__imp__le,axiom,(
    ! [M_1,N_1] :
      ( ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_1),N_1))
        | M_1 = N_1 )
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1)) ) )).

fof(fact_616_le__neq__implies__less,axiom,(
    ! [M_1,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1))
     => ( M_1 != N_1
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_1),N_1)) ) ) )).

fof(fact_617_less__imp__le__nat,axiom,(
    ! [M_1,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M_1),N_1))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1)) ) )).

fof(fact_618_le__eq__less__or__eq,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na))
    <=> ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na))
        | Ma = Na ) ) )).

fof(fact_619_nat__less__le,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,Ma),Na))
    <=> ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na))
        & Ma != Na ) ) )).

fof(fact_620_le__refl,axiom,(
    ! [N_1] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_1),N_1)) )).

fof(fact_621_nat__le__linear,axiom,(
    ! [M_1,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1))
      | hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_1),M_1)) ) )).

fof(fact_622_eq__imp__le,axiom,(
    ! [M_1,N_1] :
      ( M_1 = N_1
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1)) ) )).

fof(fact_623_le__trans,axiom,(
    ! [K,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),J_2))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,J_2),K))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),K)) ) ) )).

fof(fact_624_le__antisym,axiom,(
    ! [M_1,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_1),M_1))
       => M_1 = N_1 ) ) )).

fof(fact_625_less__eq__real__def,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Xa),Ya))
    <=> ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,Xa),Ya))
        | Xa = Ya ) ) )).

fof(fact_626_real__less__def,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,Xa),Ya))
    <=> ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Xa),Ya))
        & Xa != Ya ) ) )).

fof(fact_627_le__add2,axiom,(
    ! [N_1,M_1] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_1),hAPP_nat_nat(plus_plus_nat(M_1),N_1))) )).

fof(fact_628_le__add1,axiom,(
    ! [N_1,M_1] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,N_1),hAPP_nat_nat(plus_plus_nat(N_1),M_1))) )).

fof(fact_629_le__iff__add,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na))
    <=> ? [K_1] : Na = hAPP_nat_nat(plus_plus_nat(Ma),K_1) ) )).

fof(fact_630_nat__add__left__cancel__le,axiom,(
    ! [K_2,Ma,Na] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(K_2),Ma)),hAPP_nat_nat(plus_plus_nat(K_2),Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na)) ) )).

fof(fact_631_trans__le__add1,axiom,(
    ! [M_1,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),J_2))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),hAPP_nat_nat(plus_plus_nat(J_2),M_1))) ) )).

fof(fact_632_trans__le__add2,axiom,(
    ! [M_1,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),J_2))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),hAPP_nat_nat(plus_plus_nat(M_1),J_2))) ) )).

fof(fact_633_add__le__mono1,axiom,(
    ! [K,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),J_2))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(I_2),K)),hAPP_nat_nat(plus_plus_nat(J_2),K))) ) )).

fof(fact_634_add__le__mono,axiom,(
    ! [K,L,I_2,J_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_2),J_2))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,K),L))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(I_2),K)),hAPP_nat_nat(plus_plus_nat(J_2),L))) ) ) )).

fof(fact_635_add__leD2,axiom,(
    ! [M_1,K,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(M_1),K)),N_1))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,K),N_1)) ) )).

fof(fact_636_add__leD1,axiom,(
    ! [M_1,K,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(M_1),K)),N_1))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1)) ) )).

fof(fact_637_add__leE,axiom,(
    ! [M_1,K,N_1] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(M_1),K)),N_1))
     => ~ ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,M_1),N_1))
         => ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,K),N_1)) ) ) )).

fof(fact_638_real__add__left__mono,axiom,(
    ! [Z_2,X,Y] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X),Y))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,hAPP_real_real(plus_plus_real(Z_2),X)),hAPP_real_real(plus_plus_real(Z_2),Y))) ) )).

fof(fact_639_Nat__Transfer_Otransfer__int__nat__relations_I3_J,axiom,(
    ! [Xa,Ya] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(semiri1621563631at_int,Xa)),hAPP_nat_int(semiri1621563631at_int,Ya)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Xa),Ya)) ) )).

fof(fact_640_zle__int,axiom,(
    ! [Ma,Na] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,hAPP_nat_int(semiri1621563631at_int,Ma)),hAPP_nat_int(semiri1621563631at_int,Na)))
    <=> hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ma),Na)) ) )).

fof(fact_641_le__nat__number__of,axiom,(
    ! [Va,V] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,number_number_of_nat(Va)),number_number_of_nat(V)))
    <=> ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Va),V))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Va),pls)) ) ) )).

fof(fact_642_two__realpow__ge__one,axiom,(
    ! [N_1] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,one_one_real),hAPP_nat_real(power_power_real(number267125858f_real(bit0(bit1(pls)))),N_1))) )).

fof(fact_643_conj__le__cong,axiom,(
    ! [P_2,P_1,Xa] :
      ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Xa))
       => ( hBOOL(P_1)
        <=> hBOOL(P_2) ) )
     => ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Xa))
          & hBOOL(P_1) )
      <=> ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Xa))
          & hBOOL(P_2) ) ) ) )).

fof(fact_644_imp__le__cong,axiom,(
    ! [P_2,P_1,Xa] :
      ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Xa))
       => ( hBOOL(P_1)
        <=> hBOOL(P_2) ) )
     => ( ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Xa))
         => hBOOL(P_1) )
      <=> ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Xa))
         => hBOOL(P_2) ) ) ) )).

fof(fact_645_ex__least__nat__less,axiom,(
    ! [Na,P_1] :
      ( ~ hBOOL(hAPP_nat_bool(P_1,zero_zero_nat))
     => ( hBOOL(hAPP_nat_bool(P_1,Na))
       => ? [K_1] :
            ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,K_1),Na))
            & ! [I_1] :
                ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I_1),K_1))
               => ~ hBOOL(hAPP_nat_bool(P_1,I_1)) )
            & hBOOL(hAPP_nat_bool(P_1,hAPP_nat_nat(plus_plus_nat(K_1),one_one_nat))) ) ) ) )).

fof(fact_646_nonneg__eq__int,axiom,(
    ! [Z_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,zero_zero_int),Z_2))
     => ~ ! [M] : Z_2 != hAPP_nat_int(semiri1621563631at_int,M) ) )).

fof(fact_647_mono__nat__linear__lb,axiom,(
    ! [Ma,K_2,F] :
      ( ! [M,N] :
          ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,M),N))
         => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(F,M)),hAPP_nat_nat(F,N))) )
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(plus_plus_nat(hAPP_nat_nat(F,Ma)),K_2)),hAPP_nat_nat(F,hAPP_nat_nat(plus_plus_nat(Ma),K_2)))) ) )).

fof(fact_648_real__le__refl,axiom,(
    ! [W] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,W),W)) )).

fof(fact_649_real__le__linear,axiom,(
    ! [Z_2,W] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Z_2),W))
      | hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,W),Z_2)) ) )).

fof(fact_650_real__le__trans,axiom,(
    ! [K,I_2,J_2] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,I_2),J_2))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,J_2),K))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,I_2),K)) ) ) )).

fof(fact_651_real__le__antisym,axiom,(
    ! [Z_2,W] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Z_2),W))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,W),Z_2))
       => Z_2 = W ) ) )).

fof(fact_652_int__ge__induct,axiom,(
    ! [P_1,K_2,I] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),I))
     => ( hBOOL(hAPP_int_bool(P_1,K_2))
       => ( ! [I_1] :
              ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,K_2),I_1))
             => ( hBOOL(hAPP_int_bool(P_1,I_1))
               => hBOOL(hAPP_int_bool(P_1,hAPP_int_int(plus_plus_int(I_1),one_one_int))) ) )
         => hBOOL(hAPP_int_bool(P_1,I)) ) ) ) )).

fof(fact_653_ex__least__nat__le,axiom,(
    ! [Na,P_1] :
      ( ~ hBOOL(hAPP_nat_bool(P_1,zero_zero_nat))
     => ( hBOOL(hAPP_nat_bool(P_1,Na))
       => ? [K_1] :
            ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,K_1),Na))
            & ! [I_1] :
                ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_1),K_1))
               => ~ hBOOL(hAPP_nat_bool(P_1,I_1)) )
            & hBOOL(hAPP_nat_bool(P_1,K_1)) ) ) ) )).

fof(fact_654_less__mono__imp__le__mono,axiom,(
    ! [I,J,F] :
      ( ! [I_1,J_1] :
          ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,I_1),J_1))
         => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_nat,hAPP_nat_nat(F,I_1)),hAPP_nat_nat(F,J_1))) )
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,I),J))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,hAPP_nat_nat(F,I)),hAPP_nat_nat(F,J))) ) ) )).

fof(fact_655_order__refl,axiom,(
    ! [X_7] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X_7),X_7)) )).

fof(fact_656_order__refl,axiom,(
    ! [X_7] : hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,X_7),X_7)) )).

fof(fact_657_order__refl,axiom,(
    ! [X_7] : hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_7),X_7)) )).

fof(fact_658_linorder__le__cases,axiom,(
    ! [X_6,Y_6] :
      ( ~ hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X_6),Y_6))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Y_6),X_6)) ) )).

fof(fact_659_linorder__le__cases,axiom,(
    ! [X_6,Y_6] :
      ( ~ hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,X_6),Y_6))
     => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Y_6),X_6)) ) )).

fof(fact_660_linorder__le__cases,axiom,(
    ! [X_6,Y_6] :
      ( ~ hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_6),Y_6))
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Y_6),X_6)) ) )).

fof(fact_661_xt1_I6_J,axiom,(
    ! [Z_1,Y_5,X_5] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Y_5),X_5))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Z_1),Y_5))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Z_1),X_5)) ) ) )).

fof(fact_662_xt1_I6_J,axiom,(
    ! [Z_1,Y_5,X_5] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Y_5),X_5))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Z_1),Y_5))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Z_1),X_5)) ) ) )).

fof(fact_663_xt1_I6_J,axiom,(
    ! [Z_1,Y_5,X_5] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Y_5),X_5))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Z_1),Y_5))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Z_1),X_5)) ) ) )).

fof(fact_664_xt1_I5_J,axiom,(
    ! [Y_4,X_4] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Y_4),X_4))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X_4),Y_4))
       => X_4 = Y_4 ) ) )).

fof(fact_665_xt1_I5_J,axiom,(
    ! [Y_4,X_4] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Y_4),X_4))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,X_4),Y_4))
       => X_4 = Y_4 ) ) )).

fof(fact_666_xt1_I5_J,axiom,(
    ! [Y_4,X_4] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Y_4),X_4))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_4),Y_4))
       => X_4 = Y_4 ) ) )).

fof(fact_667_order__trans,axiom,(
    ! [Z,X_3,Y_3] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X_3),Y_3))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Y_3),Z))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X_3),Z)) ) ) )).

fof(fact_668_order__trans,axiom,(
    ! [Z,X_3,Y_3] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,X_3),Y_3))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Y_3),Z))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,X_3),Z)) ) ) )).

fof(fact_669_order__trans,axiom,(
    ! [Z,X_3,Y_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_3),Y_3))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Y_3),Z))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_3),Z)) ) ) )).

fof(fact_670_order__antisym,axiom,(
    ! [X_2,Y_2] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,X_2),Y_2))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Y_2),X_2))
       => X_2 = Y_2 ) ) )).

fof(fact_671_order__antisym,axiom,(
    ! [X_2,Y_2] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,X_2),Y_2))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Y_2),X_2))
       => X_2 = Y_2 ) ) )).

fof(fact_672_order__antisym,axiom,(
    ! [X_2,Y_2] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_2),Y_2))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Y_2),X_2))
       => X_2 = Y_2 ) ) )).

fof(fact_673_xt1_I4_J,axiom,(
    ! [C_3,B_4,A_4] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_4),A_4))
     => ( B_4 = C_3
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,C_3),A_4)) ) ) )).

fof(fact_674_xt1_I4_J,axiom,(
    ! [C_3,B_4,A_4] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_4),A_4))
     => ( B_4 = C_3
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,C_3),A_4)) ) ) )).

fof(fact_675_xt1_I4_J,axiom,(
    ! [C_3,B_4,A_4] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_4),A_4))
     => ( B_4 = C_3
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,C_3),A_4)) ) ) )).

fof(fact_676_ord__le__eq__trans,axiom,(
    ! [C_2,A_3,B_3] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_3),B_3))
     => ( B_3 = C_2
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_3),C_2)) ) ) )).

fof(fact_677_ord__le__eq__trans,axiom,(
    ! [C_2,A_3,B_3] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_3),B_3))
     => ( B_3 = C_2
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_3),C_2)) ) ) )).

fof(fact_678_ord__le__eq__trans,axiom,(
    ! [C_2,A_3,B_3] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_3),B_3))
     => ( B_3 = C_2
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_3),C_2)) ) ) )).

fof(fact_679_xt1_I3_J,axiom,(
    ! [C_1,A_2,B_2] :
      ( A_2 = B_2
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,C_1),B_2))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,C_1),A_2)) ) ) )).

fof(fact_680_xt1_I3_J,axiom,(
    ! [C_1,A_2,B_2] :
      ( A_2 = B_2
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,C_1),B_2))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,C_1),A_2)) ) ) )).

fof(fact_681_xt1_I3_J,axiom,(
    ! [C_1,A_2,B_2] :
      ( A_2 = B_2
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,C_1),B_2))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,C_1),A_2)) ) ) )).

fof(fact_682_ord__eq__le__trans,axiom,(
    ! [C,A_1,B_1] :
      ( A_1 = B_1
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,B_1),C))
       => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,A_1),C)) ) ) )).

fof(fact_683_ord__eq__le__trans,axiom,(
    ! [C,A_1,B_1] :
      ( A_1 = B_1
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,B_1),C))
       => hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,A_1),C)) ) ) )).

fof(fact_684_ord__eq__le__trans,axiom,(
    ! [C,A_1,B_1] :
      ( A_1 = B_1
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,B_1),C))
       => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,A_1),C)) ) ) )).

fof(fact_685_order__antisym__conv,axiom,(
    ! [Ya,Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Ya),Xa))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,Xa),Ya))
      <=> Xa = Ya ) ) )).

fof(fact_686_order__antisym__conv,axiom,(
    ! [Ya,Xa] :
      ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Ya),Xa))
     => ( hBOOL(hAPP_nat_bool(hAPP_n1699378549t_bool(ord_less_eq_nat,Xa),Ya))
      <=> Xa = Ya ) ) )).

fof(fact_687_order__antisym__conv,axiom,(
    ! [Ya,Xa] :
      ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Ya),Xa))
     => ( hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,Xa),Ya))
      <=> Xa = Ya ) ) )).

fof(fact_688_order__eq__refl,axiom,(
    ! [X_1,Y_1] :
      ( X_1 = Y_1
     => hBOOL(hAPP_int_bool(hAPP_i1948725293t_bool(ord_less_eq_int,X_1),Y_1)) ) )).

fof(fact_689_real__lbound__gt__zero,axiom,(
    ! [D2,D1] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),D1))
     => ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),D2))
       => ? [E] :
            ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),E))
            & hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,E),D1))
            & hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,E),D2)) ) ) ) )).

fof(fact_690_real__sqrt__sum__squares__ge__zero,axiom,(
    ! [X,Y] : hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_eq_real,zero_zero_real),sqrt(hAPP_real_real(plus_plus_real(hAPP_nat_real(power_power_real(X),number_number_of_nat(bit0(bit1(pls))))),hAPP_nat_real(power_power_real(Y),number_number_of_nat(bit0(bit1(pls)))))))) )).

fof(fact_691_zadd__power2,axiom,(
    ! [A,B] : hAPP_nat_int(power_power_int(hAPP_int_int(plus_plus_int(A),B)),number_number_of_nat(bit0(bit1(pls)))) = hAPP_int_int(plus_plus_int(hAPP_int_int(plus_plus_int(hAPP_nat_int(power_power_int(A),number_number_of_nat(bit0(bit1(pls))))),times_times_int(times_times_int(number_number_of_int(bit0(bit1(pls))),A),B))),hAPP_nat_int(power_power_int(B),number_number_of_nat(bit0(bit1(pls))))) )).

fof(fact_692_mult__Bit1,axiom,(
    ! [K,L] : times_times_int(bit1(K),L) = hAPP_int_int(plus_plus_int(bit0(times_times_int(K,L))),L) )).

fof(fact_693_real__sqrt__gt__zero,axiom,(
    ! [X] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),X))
     => hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),sqrt(X))) ) )).

fof(fact_694_real__sqrt__not__eq__zero,axiom,(
    ! [X] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),X))
     => sqrt(X) != zero_zero_real ) )).

fof(fact_695_real__sqrt__lt__0__iff,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,sqrt(Xa)),zero_zero_real))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,Xa),zero_zero_real)) ) )).

fof(fact_696_real__sqrt__gt__0__iff,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),sqrt(Ya)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,zero_zero_real),Ya)) ) )).

fof(fact_697_real__sqrt__lt__1__iff,axiom,(
    ! [Xa] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,sqrt(Xa)),one_one_real))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,Xa),one_one_real)) ) )).

fof(fact_698_real__sqrt__gt__1__iff,axiom,(
    ! [Ya] :
      ( hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),sqrt(Ya)))
    <=> hBOOL(hAPP_real_bool(hAPP_r1134773055l_bool(ord_less_real,one_one_real),Ya)) ) )).

%----Helper facts (3)
fof(help_If_1_1_If_000tc__Nat__Onat_T,axiom,(
    ! [X,Y] : hAPP_nat_nat(if_nat(fTrue,X),Y) = X )).

fof(help_If_2_1_If_000tc__Nat__Onat_T,axiom,(
    ! [X,Y] : hAPP_nat_nat(if_nat(fFalse,X),Y) = Y )).

fof(help_If_3_1_If_000tc__Nat__Onat_T,axiom,(
    ! [P] :
      ( is_bool(P)
     => ( P = fTrue
        | P = fFalse ) ) )).

%----Conjectures (1)
fof(conj_0,conjecture,(
    hAPP_nat_int(power_power_int(hAPP_int_int(plus_plus_int(one_one_int),hAPP_nat_int(semiri1621563631at_int,n))),number_number_of_nat(bit0(bit1(pls)))) != zero_zero_int )).

%------------------------------------------------------------------------------
