%------------------------------------------------------------------------------
% File     : SCT150+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Social Choice Theory
% Problem  : Arrow's Impossibility Theorem 433285, 500 axioms selected
% Version  : Especial.
% English  :

% Refs     : [BN10]  Boehme & Nipkow (2010), Sledgehammer: Judgement Day
%          : [Bla11] Blanchette (2011), Email to Geoff Sutcliffe
% Source   : [Bla11]
% Names    : arrow_433285.500.p [Bla11]

% Status   : Theorem
% Rating   : 0.96 v6.1.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :  532 ( 154 unit)
%            Number of atoms       : 1283 ( 371 equality)
%            Maximal formula depth :   19 (   6 average)
%            Number of connectives :  901 ( 150   ~;  22   |;  48   &)
%                                         (  91 <=>; 590  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   43 (   0 propositional; 1-6 arity)
%            Number of functors    :   59 (  14 constant; 0-6 arity)
%            Number of variables   : 1910 (   0 sgn;1893   !;  17   ?)
%            Maximal term depth    :    7 (   2 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : This file was generated by Isabelle (most likely Sledgehammer)
%            2011-03-01 11:21:37
%          : Renamed from SWW152+1 
%------------------------------------------------------------------------------
%----Relevant facts (493)
fof(fact_ext,axiom,(
    ! [V_g_2,V_f_2] :
      ( ! [B_x] : hAPP(V_f_2,B_x) = hAPP(V_g_2,B_x)
     => V_f_2 = V_g_2 ) )).

fof(fact_A_I4_J,axiom,(
    c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),v_P____,c_Arrow__Order__Mirabelle_OProf) )).

fof(fact_A_I5_J,axiom,(
    c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),v_P_H____,c_Arrow__Order__Mirabelle_OProf) )).

fof(fact_A_I3_J,axiom,(
    v_a____ != v_c____ )).

fof(fact_assms_I3_J,axiom,(
    c_Arrow__Order__Mirabelle_OIIA(v_F) )).

fof(fact_u,axiom,(
    c_Arrow__Order__Mirabelle_Ounanimity(v_F) )).

fof(fact_equalityCE,axiom,(
    ! [V_ca_2,T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
     => ( ( c_member(T_a,V_ca_2,V_A_2)
         => ~ c_member(T_a,V_ca_2,V_B_2) )
       => ~ ( ~ c_member(T_a,V_ca_2,V_A_2)
           => c_member(T_a,V_ca_2,V_B_2) ) ) ) )).

fof(fact_A_I1_J,axiom,(
    v_a____ != v_b____ )).

fof(fact_A_I2_J,axiom,(
    v_b____ != v_c____ )).

fof(fact_dictator__def,axiom,(
    ! [V_i_2,V_Fa_2] :
      ( c_Arrow__Order__Mirabelle_Odictator(V_Fa_2,V_i_2)
    <=> ! [B_x] :
          ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),B_x,c_Arrow__Order__Mirabelle_OProf)
         => hAPP(V_Fa_2,B_x) = hAPP(B_x,V_i_2) ) ) )).

fof(fact_converse__converse,axiom,(
    ! [V_r_2,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),hAPP(c_Relation_Oconverse(T_a,T_b),V_r_2)) = V_r_2 )).

fof(fact_o__assoc,axiom,(
    ! [V_h_2,V_g_2,T_d,V_f_2,T_a,T_b,T_c] : c_Fun_Ocomp(T_c,T_b,T_a,V_f_2,c_Fun_Ocomp(T_d,T_c,T_a,V_g_2,V_h_2)) = c_Fun_Ocomp(T_d,T_b,T_a,c_Fun_Ocomp(T_c,T_b,T_d,V_f_2,V_g_2),V_h_2) )).

fof(fact_o__apply,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_c,T_a,T_b] : hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2,V_g_2),V_x_2) = hAPP(V_f_2,hAPP(V_g_2,V_x_2)) )).

fof(fact_comp__cong,axiom,(
    ! [T_e,T_d,T_c,T_a,T_b,V_x_H_2,V_g_H_2,V_f_H_2,V_x_2,V_g_2,V_f_2] :
      ( hAPP(V_f_2,hAPP(V_g_2,V_x_2)) = hAPP(V_f_H_2,hAPP(V_g_H_2,V_x_H_2))
     => hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2,V_g_2),V_x_2) = hAPP(c_Fun_Ocomp(T_d,T_a,T_e,V_f_H_2,V_g_H_2),V_x_H_2) ) )).

fof(fact_o__eq__dest__lhs,axiom,(
    ! [V_v_2,V_ca_2,V_ba_2,V_aa_2,T_a,T_b,T_c] :
      ( c_Fun_Ocomp(T_c,T_b,T_a,V_aa_2,V_ba_2) = V_ca_2
     => hAPP(V_aa_2,hAPP(V_ba_2,V_v_2)) = hAPP(V_ca_2,V_v_2) ) )).

fof(fact_o__eq__dest,axiom,(
    ! [V_v_2,V_d_2,V_ca_2,T_d,V_ba_2,V_aa_2,T_a,T_b,T_c] :
      ( c_Fun_Ocomp(T_c,T_b,T_a,V_aa_2,V_ba_2) = c_Fun_Ocomp(T_d,T_b,T_a,V_ca_2,V_d_2)
     => hAPP(V_aa_2,hAPP(V_ba_2,V_v_2)) = hAPP(V_ca_2,hAPP(V_d_2,V_v_2)) ) )).

fof(fact_o__eq__elim,axiom,(
    ! [V_d_2,V_ca_2,T_d,V_ba_2,V_aa_2,T_a,T_b,T_c] :
      ( c_Fun_Ocomp(T_c,T_b,T_a,V_aa_2,V_ba_2) = c_Fun_Ocomp(T_d,T_b,T_a,V_ca_2,V_d_2)
     => ! [B_v] : hAPP(V_aa_2,hAPP(V_ba_2,B_v)) = hAPP(V_ca_2,hAPP(V_d_2,B_v)) ) )).

fof(fact_mem__def,axiom,(
    ! [V_A_2,V_x_2,T_a] :
      ( c_member(T_a,V_x_2,V_A_2)
    <=> hBOOL(hAPP(V_A_2,V_x_2)) ) )).

fof(fact_iff,axiom,(
    ! [B_i] :
      ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,v_a____,v_b____),hAPP(v_P____,B_i))
    <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,v_b____,v_c____),hAPP(v_P_H____,B_i)) ) )).

fof(fact_eq__mem__trans,axiom,(
    ! [V_A_2,T_a,V_ba_2,V_aa_2] :
      ( V_aa_2 = V_ba_2
     => ( c_member(T_a,V_ba_2,V_A_2)
       => c_member(T_a,V_aa_2,V_A_2) ) ) )).

fof(fact_eqelem__imp__iff,axiom,(
    ! [V_A_2,T_a,V_y_2,V_x_2] :
      ( V_x_2 = V_y_2
     => ( c_member(T_a,V_x_2,V_A_2)
      <=> c_member(T_a,V_y_2,V_A_2) ) ) )).

fof(fact_eqset__imp__iff,axiom,(
    ! [V_x_2,T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
     => ( c_member(T_a,V_x_2,V_A_2)
      <=> c_member(T_a,V_x_2,V_B_2) ) ) )).

fof(fact_calculation,axiom,(
    ! [B_i] :
      ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,v_b____,v_a____),hAPP(c_Fun_Ocomp(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),tc_Arrow__Order__Mirabelle_Oindi,c_Relation_Oconverse(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),v_P____),B_i))
    <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,v_b____,v_c____),hAPP(v_P_H____,B_i)) ) )).

fof(fact__C3_C,axiom,(
    ! [V_P_Ha_2,V_Pa_2,V_ba_2,V_aa_2] :
      ( V_aa_2 != V_ba_2
     => ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),V_Pa_2,c_Arrow__Order__Mirabelle_OProf)
       => ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),V_P_Ha_2,c_Arrow__Order__Mirabelle_OProf)
         => ( ! [B_i] :
                ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),hAPP(V_Pa_2,B_i))
              <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_ba_2,V_aa_2),hAPP(V_P_Ha_2,B_i)) )
           => ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),hAPP(v_F,V_Pa_2))
            <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_ba_2,V_aa_2),hAPP(v_F,V_P_Ha_2)) ) ) ) ) ) )).

fof(fact__C1_C,axiom,(
    ! [V_P_Ha_2,V_Pa_2,V_b_H_2,V_a_H_2,V_ba_2,V_aa_2] :
      ( V_aa_2 != V_ba_2
     => ( V_a_H_2 != V_b_H_2
       => ( V_aa_2 != V_b_H_2
         => ( V_ba_2 != V_a_H_2
           => ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),V_Pa_2,c_Arrow__Order__Mirabelle_OProf)
             => ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),V_P_Ha_2,c_Arrow__Order__Mirabelle_OProf)
               => ( ! [B_i] :
                      ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),hAPP(V_Pa_2,B_i))
                    <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_a_H_2,V_b_H_2),hAPP(V_P_Ha_2,B_i)) )
                 => ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),hAPP(v_F,V_Pa_2))
                   => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_a_H_2,V_b_H_2),hAPP(v_F,V_P_Ha_2)) ) ) ) ) ) ) ) ) )).

fof(fact__C2_C,axiom,(
    ! [V_P_Ha_2,V_Pa_2,V_b_H_2,V_a_H_2,V_ba_2,V_aa_2] :
      ( V_aa_2 != V_ba_2
     => ( V_a_H_2 != V_b_H_2
       => ( V_aa_2 != V_b_H_2
         => ( V_ba_2 != V_a_H_2
           => ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),V_Pa_2,c_Arrow__Order__Mirabelle_OProf)
             => ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),V_P_Ha_2,c_Arrow__Order__Mirabelle_OProf)
               => ( ! [B_i] :
                      ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),hAPP(V_Pa_2,B_i))
                    <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_a_H_2,V_b_H_2),hAPP(V_P_Ha_2,B_i)) )
                 => ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),hAPP(v_F,V_Pa_2))
                  <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_a_H_2,V_b_H_2),hAPP(v_F,V_P_Ha_2)) ) ) ) ) ) ) ) ) )).

fof(fact_converse__in__Lin,axiom,(
    ! [V_L_2] :
      ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),hAPP(c_Relation_Oconverse(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),V_L_2),c_Arrow__Order__Mirabelle_OLin)
    <=> c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin) ) )).

fof(fact_eq__mem,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( c_member(T_a,V_x_2,c_fequal(V_y_2))
    <=> V_x_2 = V_y_2 ) )).

fof(fact_override__on__apply__in,axiom,(
    ! [V_g_2,V_f_2,T_b,V_A_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,V_A_2)
     => hAPP(c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,V_A_2),V_aa_2) = hAPP(V_g_2,V_aa_2) ) )).

fof(fact_override__on__apply__notin,axiom,(
    ! [V_g_2,V_f_2,T_b,V_A_2,V_aa_2,T_a] :
      ( ~ c_member(T_a,V_aa_2,V_A_2)
     => hAPP(c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,V_A_2),V_aa_2) = hAPP(V_f_2,V_aa_2) ) )).

fof(fact_total__on__converse,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Ototal__on(T_a,V_A_2,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
    <=> c_Relation_Ototal__on(T_a,V_A_2,V_r_2) ) )).

fof(fact_converse__inv__image,axiom,(
    ! [V_f_2,V_R_2,T_b,T_a] : hAPP(c_Relation_Oconverse(T_a,T_a),hAPP(c_Relation_Oinv__image(T_b,T_a,V_R_2),V_f_2)) = hAPP(c_Relation_Oinv__image(T_b,T_a,hAPP(c_Relation_Oconverse(T_b,T_b),V_R_2)),V_f_2) )).

fof(fact_antisym__converse,axiom,(
    ! [V_r_2,T_a] :
      ( c_Relation_Oantisym(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
    <=> c_Relation_Oantisym(T_a,V_r_2) ) )).

fof(fact_in__inv__image,axiom,(
    ! [V_f_2,V_r_2,T_b,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),hAPP(c_Relation_Oinv__image(T_b,T_a,V_r_2),V_f_2))
    <=> c_member(tc_prod(T_b,T_b),c_Product__Type_OPair(T_b,T_b,hAPP(V_f_2,V_x_2),hAPP(V_f_2,V_y_2)),V_r_2) ) )).

fof(fact_antisym__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Relation_Oantisym(T_a,V_r_2)
    <=> ! [B_x,B_y] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_y),V_r_2)
         => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,B_x),V_r_2)
           => B_x = B_y ) ) ) )).

fof(fact_antisymD,axiom,(
    ! [V_ba_2,V_aa_2,V_r_2,T_a] :
      ( c_Relation_Oantisym(T_a,V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)
       => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_aa_2),V_r_2)
         => V_aa_2 = V_ba_2 ) ) ) )).

fof(fact_notin__Lin__iff,axiom,(
    ! [V_y_2,V_x_2,V_L_2] :
      ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
     => ( V_x_2 != V_y_2
       => ( ~ c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),V_L_2)
        <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_y_2,V_x_2),V_L_2) ) ) ) )).

fof(fact_Lin__irrefl,axiom,(
    ! [V_ba_2,V_aa_2,V_L_2] :
      ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
     => ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),V_L_2)
       => ~ c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_ba_2,V_aa_2),V_L_2) ) ) )).

fof(fact_total__on__def,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Ototal__on(T_a,V_A_2,V_r_2)
    <=> ! [B_x] :
          ( c_member(T_a,B_x,V_A_2)
         => ! [B_xa] :
              ( c_member(T_a,B_xa,V_A_2)
             => ( B_x != B_xa
               => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_xa),V_r_2)
                  | c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_xa,B_x),V_r_2) ) ) ) ) ) )).

fof(fact_converseD,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_b,T_a] :
      ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2))
     => c_member(tc_prod(T_b,T_a),c_Product__Type_OPair(T_b,T_a,V_ba_2,V_aa_2),V_r_2) ) )).

fof(fact_converseI,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_b,T_a] :
      ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2),V_r_2)
     => c_member(tc_prod(T_b,T_a),c_Product__Type_OPair(T_b,T_a,V_ba_2,V_aa_2),hAPP(c_Relation_Oconverse(T_a,T_b),V_r_2)) ) )).

fof(fact_converse__iff,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_b,T_a] :
      ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2))
    <=> c_member(tc_prod(T_b,T_a),c_Product__Type_OPair(T_b,T_a,V_ba_2,V_aa_2),V_r_2) ) )).

fof(fact_in__rel__def,axiom,(
    ! [V_y_2,V_x_2,V_R_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_FunDef_Oin__rel(T_a,T_b,V_R_2),V_x_2),V_y_2))
    <=> c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_x_2,V_y_2),V_R_2) ) )).

fof(fact_in__above,axiom,(
    ! [V_y_2,V_x_2,V_L_2,V_ba_2,V_aa_2] :
      ( V_aa_2 != V_ba_2
     => ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
       => ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),c_Arrow__Order__Mirabelle_Oabove(V_L_2,V_aa_2,V_ba_2))
        <=> ( V_x_2 != V_y_2
            & ( V_x_2 = V_ba_2
             => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_y_2),V_L_2) )
            & ( V_x_2 != V_ba_2
             => ( ( V_y_2 = V_ba_2
                 => ( V_x_2 = V_aa_2
                    | c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_aa_2),V_L_2) ) )
                & ( V_y_2 != V_ba_2
                 => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),V_L_2) ) ) ) ) ) ) ) )).

fof(fact_in__below,axiom,(
    ! [V_y_2,V_x_2,V_L_2,V_ba_2,V_aa_2] :
      ( V_aa_2 != V_ba_2
     => ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
       => ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),c_Arrow__Order__Mirabelle_Obelow(V_L_2,V_aa_2,V_ba_2))
        <=> ( V_x_2 != V_y_2
            & ( V_y_2 = V_aa_2
             => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_ba_2),V_L_2) )
            & ( V_y_2 != V_aa_2
             => ( ( V_x_2 = V_aa_2
                 => ( V_y_2 = V_ba_2
                    | c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_ba_2,V_y_2),V_L_2) ) )
                & ( V_x_2 != V_aa_2
                 => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),V_L_2) ) ) ) ) ) ) ) )).

fof(fact_above__Lin,axiom,(
    ! [V_L_2,V_y_2,V_x_2] :
      ( V_x_2 != V_y_2
     => ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
       => c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),c_Arrow__Order__Mirabelle_Oabove(V_L_2,V_x_2,V_y_2),c_Arrow__Order__Mirabelle_OLin) ) ) )).

fof(fact_below__Lin,axiom,(
    ! [V_L_2,V_y_2,V_x_2] :
      ( V_x_2 != V_y_2
     => ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
       => c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),c_Arrow__Order__Mirabelle_Obelow(V_L_2,V_x_2,V_y_2),c_Arrow__Order__Mirabelle_OLin) ) ) )).

fof(fact_mkbot__Lin,axiom,(
    ! [V_x_2,V_L_2] :
      ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
     => c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),c_Arrow__Order__Mirabelle_Omkbot(V_L_2,V_x_2),c_Arrow__Order__Mirabelle_OLin) ) )).

fof(fact_mktop__Lin,axiom,(
    ! [V_x_2,V_L_2] :
      ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),V_L_2,c_Arrow__Order__Mirabelle_OLin)
     => c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),c_Arrow__Order__Mirabelle_Omktop(V_L_2,V_x_2),c_Arrow__Order__Mirabelle_OLin) ) )).

fof(fact_in__mkbot,axiom,(
    ! [V_z_2,V_L_2,V_y_2,V_x_2] :
      ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),c_Arrow__Order__Mirabelle_Omkbot(V_L_2,V_z_2))
    <=> ( V_y_2 != V_z_2
        & ( V_x_2 = V_z_2
         => V_x_2 != V_y_2 )
        & ( V_x_2 != V_z_2
         => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),V_L_2) ) ) ) )).

fof(fact_in__mktop,axiom,(
    ! [V_z_2,V_L_2,V_y_2,V_x_2] :
      ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),c_Arrow__Order__Mirabelle_Omktop(V_L_2,V_z_2))
    <=> ( V_x_2 != V_z_2
        & ( V_y_2 = V_z_2
         => V_x_2 != V_y_2 )
        & ( V_y_2 != V_z_2
         => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_x_2,V_y_2),V_L_2) ) ) ) )).

fof(fact_irrefl__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Relation_Oirrefl(T_a,V_r_2)
    <=> ! [B_x] : ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_x),V_r_2) ) )).

fof(fact_unanimity__def,axiom,(
    ! [V_Fa_2] :
      ( c_Arrow__Order__Mirabelle_Ounanimity(V_Fa_2)
    <=> ! [B_x] :
          ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),B_x,c_Arrow__Order__Mirabelle_OProf)
         => ! [B_a,B_b] :
              ( ! [B_i] : c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,B_a,B_b),hAPP(B_x,B_i))
             => c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,B_a,B_b),hAPP(V_Fa_2,B_x)) ) ) ) )).

fof(fact_IIA__def,axiom,(
    ! [V_Fa_2] :
      ( c_Arrow__Order__Mirabelle_OIIA(V_Fa_2)
    <=> ! [B_x] :
          ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),B_x,c_Arrow__Order__Mirabelle_OProf)
         => ! [B_xa] :
              ( c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),B_xa,c_Arrow__Order__Mirabelle_OProf)
             => ! [B_a,B_b] :
                  ( ! [B_i] :
                      ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,B_a,B_b),hAPP(B_x,B_i))
                    <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,B_a,B_b),hAPP(B_xa,B_i)) )
                 => ( c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,B_a,B_b),hAPP(V_Fa_2,B_x))
                  <=> c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,B_a,B_b),hAPP(V_Fa_2,B_xa)) ) ) ) ) ) )).

fof(fact_converseE,axiom,(
    ! [V_r_2,V_yx_2,T_b,T_a] :
      ( c_member(tc_prod(T_a,T_b),V_yx_2,hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2))
     => ~ ! [B_x,B_y] :
            ( V_yx_2 = c_Product__Type_OPair(T_a,T_b,B_y,B_x)
           => ~ c_member(tc_prod(T_b,T_a),c_Product__Type_OPair(T_b,T_a,B_x,B_y),V_r_2) ) ) )).

fof(fact_same__fstI,axiom,(
    ! [T_a,V_R_2,V_y_2,V_y_H_2,T_b,V_x_2,V_Pa_2] :
      ( hBOOL(hAPP(V_Pa_2,V_x_2))
     => ( c_member(tc_prod(T_b,T_b),c_Product__Type_OPair(T_b,T_b,V_y_H_2,V_y_2),hAPP(V_R_2,V_x_2))
       => c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_x_2,V_y_H_2),c_Product__Type_OPair(T_a,T_b,V_x_2,V_y_2)),c_Recdef_Osame__fst(T_a,T_b,V_Pa_2,V_R_2)) ) ) )).

fof(fact_RangeI,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_b,T_a] :
      ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2),V_r_2)
     => c_member(T_b,V_ba_2,c_Relation_ORange(T_a,T_b,V_r_2)) ) )).

fof(fact_Id__on__iff,axiom,(
    ! [V_A_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Relation_OId__on(T_a,V_A_2))
    <=> ( V_x_2 = V_y_2
        & c_member(T_a,V_x_2,V_A_2) ) ) )).

fof(fact_Id__on__eqI,axiom,(
    ! [V_A_2,T_a,V_ba_2,V_aa_2] :
      ( V_aa_2 = V_ba_2
     => ( c_member(T_a,V_aa_2,V_A_2)
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Relation_OId__on(T_a,V_A_2)) ) ) )).

fof(fact_complete__Lin,axiom,(
    ! [V_ba_2,V_aa_2] :
      ( V_aa_2 != V_ba_2
     => ? [B_x] :
          ( c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),B_x,c_Arrow__Order__Mirabelle_OLin)
          & c_member(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),c_Product__Type_OPair(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt,V_aa_2,V_ba_2),B_x) ) ) )).

fof(fact_DomainI,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_b,T_a] :
      ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2),V_r_2)
     => c_member(T_a,V_aa_2,c_Relation_ODomain(T_a,T_b,V_r_2)) ) )).

fof(fact_Range__Id__on,axiom,(
    ! [V_A_2,T_a] : c_Relation_ORange(T_a,T_a,c_Relation_OId__on(T_a,V_A_2)) = V_A_2 )).

fof(fact_Domain__Id__on,axiom,(
    ! [V_A_2,T_a] : c_Relation_ODomain(T_a,T_a,c_Relation_OId__on(T_a,V_A_2)) = V_A_2 )).

fof(fact_Range__def,axiom,(
    ! [V_r_2,T_a,T_b] : c_Relation_ORange(T_b,T_a,V_r_2) = c_Relation_ODomain(T_a,T_b,hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)) )).

fof(fact_Domain__converse,axiom,(
    ! [V_r_2,T_b,T_a] : c_Relation_ODomain(T_a,T_b,hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)) = c_Relation_ORange(T_b,T_a,V_r_2) )).

fof(fact_Range__converse,axiom,(
    ! [V_r_2,T_a,T_b] : c_Relation_ORange(T_b,T_a,hAPP(c_Relation_Oconverse(T_a,T_b),V_r_2)) = c_Relation_ODomain(T_a,T_b,V_r_2) )).

fof(fact_converse__Id__on,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Relation_Oconverse(T_a,T_a),c_Relation_OId__on(T_a,V_A_2)) = c_Relation_OId__on(T_a,V_A_2) )).

fof(fact_antisym__Id__on,axiom,(
    ! [V_A_2,T_a] : c_Relation_Oantisym(T_a,c_Relation_OId__on(T_a,V_A_2)) )).

fof(fact_Domain__iff,axiom,(
    ! [V_r_2,T_b,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,c_Relation_ODomain(T_a,T_b,V_r_2))
    <=> ? [B_y] : c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,B_y),V_r_2) ) )).

fof(fact_Range__iff,axiom,(
    ! [V_r_2,T_b,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,c_Relation_ORange(T_b,T_a,V_r_2))
    <=> ? [B_y] : c_member(tc_prod(T_b,T_a),c_Product__Type_OPair(T_b,T_a,B_y,V_aa_2),V_r_2) ) )).

fof(fact_in__lex__prod,axiom,(
    ! [V_s_2,V_r_2,V_b_H_2,V_a_H_2,V_ba_2,V_aa_2,T_b,T_a] :
      ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2),c_Product__Type_OPair(T_a,T_b,V_a_H_2,V_b_H_2)),c_Wellfounded_Olex__prod(T_a,T_b,V_r_2,V_s_2))
    <=> ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_a_H_2),V_r_2)
        | ( V_aa_2 = V_a_H_2
          & c_member(tc_prod(T_b,T_b),c_Product__Type_OPair(T_b,T_b,V_ba_2,V_b_H_2),V_s_2) ) ) ) )).

fof(fact_Id__onE,axiom,(
    ! [V_A_2,V_ca_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),V_ca_2,c_Relation_OId__on(T_a,V_A_2))
     => ~ ! [B_x] :
            ( c_member(T_a,B_x,V_A_2)
           => V_ca_2 != c_Product__Type_OPair(T_a,T_a,B_x,B_x) ) ) )).

fof(fact_RangeE,axiom,(
    ! [V_r_2,T_b,V_ba_2,T_a] :
      ( c_member(T_a,V_ba_2,c_Relation_ORange(T_b,T_a,V_r_2))
     => ~ ! [B_x] : ~ c_member(tc_prod(T_b,T_a),c_Product__Type_OPair(T_b,T_a,B_x,V_ba_2),V_r_2) ) )).

fof(fact_DomainE,axiom,(
    ! [V_r_2,T_b,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,c_Relation_ODomain(T_a,T_b,V_r_2))
     => ~ ! [B_y] : ~ c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,B_y),V_r_2) ) )).

fof(fact_Nitpick_Orefl_H__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Nitpick_Orefl_H(T_a,V_r_2)
    <=> ! [B_x] : c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_x),V_r_2) ) )).

fof(fact_antisymI,axiom,(
    ! [V_r_2,T_a] :
      ( ! [B_x,B_y] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_y),V_r_2)
         => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,B_x),V_r_2)
           => B_x = B_y ) )
     => c_Relation_Oantisym(T_a,V_r_2) ) )).

fof(fact_refl__onD2,axiom,(
    ! [V_y_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),V_r_2)
       => c_member(T_a,V_y_2,V_A_2) ) ) )).

fof(fact_refl__onD1,axiom,(
    ! [V_y_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),V_r_2)
       => c_member(T_a,V_x_2,V_A_2) ) ) )).

fof(fact_refl__onD,axiom,(
    ! [V_aa_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( c_member(T_a,V_aa_2,V_A_2)
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_aa_2),V_r_2) ) ) )).

fof(fact_refl__on__converse,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
    <=> c_Relation_Orefl__on(T_a,V_A_2,V_r_2) ) )).

fof(fact_refl__on__Id__on,axiom,(
    ! [V_A_2,T_a] : c_Relation_Orefl__on(T_a,V_A_2,c_Relation_OId__on(T_a,V_A_2)) )).

fof(fact_acc__downward,axiom,(
    ! [V_aa_2,V_r_2,V_ba_2,T_a] :
      ( c_member(T_a,V_ba_2,c_Wellfounded_Oacc(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)
       => c_member(T_a,V_aa_2,c_Wellfounded_Oacc(T_a,V_r_2)) ) ) )).

fof(fact_acc_Osimps,axiom,(
    ! [V_r_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,c_Wellfounded_Oacc(T_a,V_r_2))
    <=> ! [B_x] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,V_aa_2),V_r_2)
         => c_member(T_a,B_x,c_Wellfounded_Oacc(T_a,V_r_2)) ) ) )).

fof(fact_wfrec__rel_Oequations,axiom,(
    ! [V_a2_2,V_a1_2,V_Fa_2,V_R_2,T_b,T_a] :
      ( c_Recdef_Owfrec__rel(T_a,T_b,V_R_2,V_Fa_2,V_a1_2,hAPP(hAPP(V_Fa_2,V_a2_2),V_a1_2))
    <=> ? [B_g] :
          ( hAPP(hAPP(V_Fa_2,V_a2_2),V_a1_2) = hAPP(hAPP(V_Fa_2,B_g),V_a1_2)
          & ! [B_z] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_z,V_a1_2),V_R_2)
             => c_Recdef_Owfrec__rel(T_a,T_b,V_R_2,V_Fa_2,B_z,hAPP(B_g,B_z)) ) ) ) )).

fof(fact_single__valuedD,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_r_2,T_b,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_b,V_r_2)
     => ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_x_2,V_y_2),V_r_2)
       => ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_x_2,V_z_2),V_r_2)
         => V_y_2 = V_z_2 ) ) ) )).

fof(fact_single__valued__def,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_b,V_r_2)
    <=> ! [B_x,B_y] :
          ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_x,B_y),V_r_2)
         => ! [B_z] :
              ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_x,B_z),V_r_2)
             => B_y = B_z ) ) ) )).

fof(fact_cut__apply,axiom,(
    ! [V_f_2,T_b,V_r_2,V_aa_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_aa_2),V_r_2)
     => hAPP(c_Recdef_Ocut(T_a,T_b,V_f_2,V_r_2,V_aa_2),V_x_2) = hAPP(V_f_2,V_x_2) ) )).

fof(fact_cuts__eq,axiom,(
    ! [V_g_2,V_x_2,V_r_2,V_f_2,T_b,T_a] :
      ( c_Recdef_Ocut(T_a,T_b,V_f_2,V_r_2,V_x_2) = c_Recdef_Ocut(T_a,T_b,V_g_2,V_r_2,V_x_2)
    <=> ! [B_y] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,V_x_2),V_r_2)
         => hAPP(V_f_2,B_y) = hAPP(V_g_2,B_y) ) ) )).

fof(fact_tfl__cut__apply,axiom,(
    ! [T_b,V_aa_2,V_x_2,T_a,B_f,B_R] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_aa_2),B_R)
     => hAPP(c_Recdef_Ocut(T_a,T_b,B_f,B_R,V_aa_2),V_x_2) = hAPP(B_f,V_x_2) ) )).

fof(fact_single__valued__Id__on,axiom,(
    ! [V_A_2,T_a] : c_Relation_Osingle__valued(T_a,T_a,c_Relation_OId__on(T_a,V_A_2)) )).

fof(fact_acc_OaccI,axiom,(
    ! [V_r_2,V_x_2,T_a] :
      ( ! [B_y] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,V_x_2),V_r_2)
         => c_member(T_a,B_y,c_Wellfounded_Oacc(T_a,V_r_2)) )
     => c_member(T_a,V_x_2,c_Wellfounded_Oacc(T_a,V_r_2)) ) )).

fof(fact_not__acc__down,axiom,(
    ! [V_R_2,V_x_2,T_a] :
      ( ~ c_member(T_a,V_x_2,c_Wellfounded_Oacc(T_a,V_R_2))
     => ~ ! [B_z] :
            ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_z,V_x_2),V_R_2)
           => c_member(T_a,B_z,c_Wellfounded_Oacc(T_a,V_R_2)) ) ) )).

fof(fact_wfrec__rel_Osimps,axiom,(
    ! [V_a2_2,V_a1_2,V_Fa_2,V_R_2,T_b,T_a] :
      ( c_Recdef_Owfrec__rel(T_a,T_b,V_R_2,V_Fa_2,V_a1_2,V_a2_2)
    <=> ? [B_g] :
          ( V_a2_2 = hAPP(hAPP(V_Fa_2,B_g),V_a1_2)
          & ! [B_z] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_z,V_a1_2),V_R_2)
             => c_Recdef_Owfrec__rel(T_a,T_b,V_R_2,V_Fa_2,B_z,hAPP(B_g,B_z)) ) ) ) )).

fof(fact_wfrec__rel_Ointros,axiom,(
    ! [V_g_2,V_Fa_2,T_b,V_R_2,V_x_2,T_a] :
      ( ! [B_z] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_z,V_x_2),V_R_2)
         => c_Recdef_Owfrec__rel(T_a,T_b,V_R_2,V_Fa_2,B_z,hAPP(V_g_2,B_z)) )
     => c_Recdef_Owfrec__rel(T_a,T_b,V_R_2,V_Fa_2,V_x_2,hAPP(hAPP(V_Fa_2,V_g_2),V_x_2)) ) )).

fof(fact_single__valuedI,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( ! [B_x,B_y] :
          ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_x,B_y),V_r_2)
         => ! [B_z] :
              ( c_member(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_x,B_z),V_r_2)
             => B_y = B_z ) )
     => c_Relation_Osingle__valued(T_a,T_b,V_r_2) ) )).

fof(fact_acc__downwards,axiom,(
    ! [V_ba_2,V_r_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,c_Wellfounded_Oacc(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_aa_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
       => c_member(T_a,V_ba_2,c_Wellfounded_Oacc(T_a,V_r_2)) ) ) )).

fof(fact_acc__downwards__aux,axiom,(
    ! [V_r_2,V_aa_2,V_ba_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_aa_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( c_member(T_a,V_aa_2,c_Wellfounded_Oacc(T_a,V_r_2))
       => c_member(T_a,V_ba_2,c_Wellfounded_Oacc(T_a,V_r_2)) ) ) )).

fof(fact_Nitpick_Owf__wfrec_H__def,axiom,(
    ! [V_x_2,V_Fa_2,V_R_2,T_a,T_b] : c_Nitpick_Owf__wfrec_H(T_b,T_a,V_R_2,V_Fa_2,V_x_2) = hAPP(hAPP(V_Fa_2,c_Recdef_Ocut(T_b,T_a,c_Nitpick_Owf__wfrec(T_b,T_a,V_R_2,V_Fa_2),V_R_2,V_x_2)),V_x_2) )).

fof(fact_rtrancl_Ortrancl__refl,axiom,(
    ! [V_r_2,V_aa_2,T_a] : c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_aa_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) )).

fof(fact_r__into__rtrancl,axiom,(
    ! [V_r_2,V_p_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),V_p_2,V_r_2)
     => c_member(tc_prod(T_a,T_a),V_p_2,c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) )).

fof(fact_Not__Domain__rtrancl,axiom,(
    ! [V_y_2,V_R_2,V_x_2,T_a] :
      ( ~ c_member(T_a,V_x_2,c_Relation_ODomain(T_a,T_a,V_R_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2))
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_single__valued__confluent,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_r_2,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_a,V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
       => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_z_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
         => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_y_2,V_z_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
            | c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_z_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) ) ) ) )).

fof(fact_rtrancl__converseD,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)))
     => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_y_2,V_x_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) )).

fof(fact_rtrancl__converseI,axiom,(
    ! [V_r_2,V_x_2,V_y_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_y_2,V_x_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))) ) )).

fof(fact_rtrancl__trans,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) ) )).

fof(fact_rtrancl__idemp,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_rtrancl__converse,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) = hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) )).

fof(fact_converse__rtrancl__into__rtrancl,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) ) )).

fof(fact_rtrancl_Ortrancl__into__rtrancl,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),V_r_2)
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) ) )).

fof(fact_rtrancl__induct2,axiom,(
    ! [V_Pa_2,V_r_2,V_by_2,V_bx_2,V_ay_2,V_ax_2,T_b,T_a] :
      ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_ax_2,V_ay_2),c_Product__Type_OPair(T_a,T_b,V_bx_2,V_by_2)),c_Transitive__Closure_Ortrancl(tc_prod(T_a,T_b),V_r_2))
     => ( hBOOL(hAPP(hAPP(V_Pa_2,V_ax_2),V_ay_2))
       => ( ! [B_a,B_b] :
              ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_ax_2,V_ay_2),c_Product__Type_OPair(T_a,T_b,B_a,B_b)),c_Transitive__Closure_Ortrancl(tc_prod(T_a,T_b),V_r_2))
             => ! [B_aa,B_ba] :
                  ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_a,B_b),c_Product__Type_OPair(T_a,T_b,B_aa,B_ba)),V_r_2)
                 => ( hBOOL(hAPP(hAPP(V_Pa_2,B_a),B_b))
                   => hBOOL(hAPP(hAPP(V_Pa_2,B_aa),B_ba)) ) ) )
         => hBOOL(hAPP(hAPP(V_Pa_2,V_bx_2),V_by_2)) ) ) ) )).

fof(fact_converse__rtrancl__induct2,axiom,(
    ! [V_Pa_2,V_r_2,V_by_2,V_bx_2,V_ay_2,V_ax_2,T_b,T_a] :
      ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_ax_2,V_ay_2),c_Product__Type_OPair(T_a,T_b,V_bx_2,V_by_2)),c_Transitive__Closure_Ortrancl(tc_prod(T_a,T_b),V_r_2))
     => ( hBOOL(hAPP(hAPP(V_Pa_2,V_bx_2),V_by_2))
       => ( ! [B_a,B_b,B_aa,B_ba] :
              ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_a,B_b),c_Product__Type_OPair(T_a,T_b,B_aa,B_ba)),V_r_2)
             => ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_aa,B_ba),c_Product__Type_OPair(T_a,T_b,V_bx_2,V_by_2)),c_Transitive__Closure_Ortrancl(tc_prod(T_a,T_b),V_r_2))
               => ( hBOOL(hAPP(hAPP(V_Pa_2,B_aa),B_ba))
                 => hBOOL(hAPP(hAPP(V_Pa_2,B_a),B_b)) ) ) )
         => hBOOL(hAPP(hAPP(V_Pa_2,V_ax_2),V_ay_2)) ) ) ) )).

fof(fact_converse__rtranclE2,axiom,(
    ! [V_r_2,V_zb_2,V_za_2,V_xb_2,V_xa_2,T_b,T_a] :
      ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_xa_2,V_xb_2),c_Product__Type_OPair(T_a,T_b,V_za_2,V_zb_2)),c_Transitive__Closure_Ortrancl(tc_prod(T_a,T_b),V_r_2))
     => ( c_Product__Type_OPair(T_a,T_b,V_xa_2,V_xb_2) != c_Product__Type_OPair(T_a,T_b,V_za_2,V_zb_2)
       => ~ ! [B_a,B_b] :
              ( c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_xa_2,V_xb_2),c_Product__Type_OPair(T_a,T_b,B_a,B_b)),V_r_2)
             => ~ c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,B_a,B_b),c_Product__Type_OPair(T_a,T_b,V_za_2,V_zb_2)),c_Transitive__Closure_Ortrancl(tc_prod(T_a,T_b),V_r_2)) ) ) ) )).

fof(fact_rtranclE,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( V_aa_2 != V_ba_2
       => ~ ! [B_y] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,B_y),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
             => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,V_ba_2),V_r_2) ) ) ) )).

fof(fact_converse__rtranclE,axiom,(
    ! [V_r_2,V_z_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_z_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( V_x_2 != V_z_2
       => ~ ! [B_y] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,B_y),V_r_2)
             => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,V_z_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) ) ) )).

fof(fact_converse__rtrancl__induct,axiom,(
    ! [V_Pa_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( hBOOL(hAPP(V_Pa_2,V_ba_2))
       => ( ! [B_y,B_z] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,B_z),V_r_2)
             => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_z,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
               => ( hBOOL(hAPP(V_Pa_2,B_z))
                 => hBOOL(hAPP(V_Pa_2,B_y)) ) ) )
         => hBOOL(hAPP(V_Pa_2,V_aa_2)) ) ) ) )).

fof(fact_rtrancl__induct,axiom,(
    ! [V_Pa_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( hBOOL(hAPP(V_Pa_2,V_aa_2))
       => ( ! [B_y] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,B_y),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
             => ! [B_z] :
                  ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,B_z),V_r_2)
                 => ( hBOOL(hAPP(V_Pa_2,B_y))
                   => hBOOL(hAPP(V_Pa_2,B_z)) ) ) )
         => hBOOL(hAPP(V_Pa_2,V_ba_2)) ) ) ) )).

fof(fact_acyclic__impl__antisym__rtrancl,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,V_r_2)
     => c_Relation_Oantisym(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) )).

fof(fact_trancl__into__rtrancl,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) )).

fof(fact_IdI,axiom,(
    ! [V_aa_2,T_a] : c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_aa_2),c_Relation_OId(T_a)) )).

fof(fact_linear__alt,axiom,(
    ? [B_L] : c_member(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),B_L,c_Arrow__Order__Mirabelle_OLin) )).

fof(fact_split__paired__All,axiom,(
    ! [T_b,T_a,V_Pa_2] :
      ( ! [B_x1] : hBOOL(hAPP(V_Pa_2,B_x1))
    <=> ! [B_a,B_b] : hBOOL(hAPP(V_Pa_2,c_Product__Type_OPair(T_a,T_b,B_a,B_b))) ) )).

fof(fact_Pair__eq,axiom,(
    ! [V_b_H_2,V_a_H_2,V_ba_2,V_aa_2,T_b,T_a] :
      ( c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2) = c_Product__Type_OPair(T_a,T_b,V_a_H_2,V_b_H_2)
    <=> ( V_aa_2 = V_a_H_2
        & V_ba_2 = V_b_H_2 ) ) )).

fof(fact_Pair__inject,axiom,(
    ! [V_b_H,V_a_H,V_b,V_a,T_b,T_a] :
      ( c_Product__Type_OPair(T_a,T_b,V_a,V_b) = c_Product__Type_OPair(T_a,T_b,V_a_H,V_b_H)
     => ~ ( V_a = V_a_H
         => V_b != V_b_H ) ) )).

fof(fact_trancl_Or__into__trancl,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)
     => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) )).

fof(fact_r__into__trancl_H,axiom,(
    ! [V_r_2,V_p_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),V_p_2,V_r_2)
     => c_member(tc_prod(T_a,T_a),V_p_2,c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) )).

fof(fact_acyclic__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,V_r_2)
    <=> ! [B_x] : ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_x),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) )).

fof(fact_rtrancl__trancl__absorb,axiom,(
    ! [V_R_2,T_a] : c_Transitive__Closure_Otrancl(T_a,c_Transitive__Closure_Ortrancl(T_a,V_R_2)) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_trancl__rtrancl__absorb,axiom,(
    ! [V_R_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Transitive__Closure_Otrancl(T_a,V_R_2)) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_trancl__converse,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Otrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) = hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2)) )).

fof(fact_trancl__domain,axiom,(
    ! [V_r_2,T_a] : c_Relation_ODomain(T_a,T_a,c_Transitive__Closure_Otrancl(T_a,V_r_2)) = c_Relation_ODomain(T_a,T_a,V_r_2) )).

fof(fact_trancl__range,axiom,(
    ! [V_r_2,T_a] : c_Relation_ORange(T_a,T_a,c_Transitive__Closure_Otrancl(T_a,V_r_2)) = c_Relation_ORange(T_a,T_a,V_r_2) )).

fof(fact_converse__Id,axiom,(
    ! [T_a] : hAPP(c_Relation_Oconverse(T_a,T_a),c_Relation_OId(T_a)) = c_Relation_OId(T_a) )).

fof(fact_antisym__Id,axiom,(
    ! [T_a] : c_Relation_Oantisym(T_a,c_Relation_OId(T_a)) )).

fof(fact_single__valued__Id,axiom,(
    ! [T_a] : c_Relation_Osingle__valued(T_a,T_a,c_Relation_OId(T_a)) )).

fof(fact_acyclic__converse,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
    <=> c_Wellfounded_Oacyclic(T_a,V_r_2) ) )).

fof(fact_r__r__into__trancl,axiom,(
    ! [V_ca_2,V_R_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_R_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),V_R_2)
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_R_2)) ) ) )).

fof(fact_trancl__into__trancl2,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) )).

fof(fact_Transitive__Closure_Otrancl__into__trancl,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),V_r_2)
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) )).

fof(fact_trancl__trans,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) )).

fof(fact_pair__in__Id__conv,axiom,(
    ! [V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Relation_OId(T_a))
    <=> V_aa_2 = V_ba_2 ) )).

fof(fact_rtrancl__trancl__trancl,axiom,(
    ! [V_z_2,V_r_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_y_2,V_z_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_z_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) )).

fof(fact_trancl__rtrancl__trancl,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) )).

fof(fact_rtrancl__into__trancl1,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),V_r_2)
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) )).

fof(fact_rtranclD,axiom,(
    ! [V_R_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2))
     => ( V_aa_2 = V_ba_2
        | ( V_aa_2 != V_ba_2
          & c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Otrancl(T_a,V_R_2)) ) ) ) )).

fof(fact_rtrancl__into__trancl2,axiom,(
    ! [V_ca_2,V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_ba_2,V_ca_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ca_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) )).

fof(fact_rtrancl__eq__or__trancl,axiom,(
    ! [V_R_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2))
    <=> ( V_x_2 = V_y_2
        | ( V_x_2 != V_y_2
          & c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Otrancl(T_a,V_R_2)) ) ) ) )).

fof(fact_trancl__converseI,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
     => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Otrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))) ) )).

fof(fact_trancl__converseD,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Otrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)))
     => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) )).

fof(fact_prod_Orecs,axiom,(
    ! [V_ba_2,V_aa_2,V_f1_2,T_a,T_c,T_b] : c_Product__Type_Oprod_Oprod__rec(T_b,T_c,T_a,V_f1_2,c_Product__Type_OPair(T_b,T_c,V_aa_2,V_ba_2)) = hAPP(hAPP(V_f1_2,V_aa_2),V_ba_2) )).

fof(fact_acyclicI,axiom,(
    ! [V_r_2,T_a] :
      ( ! [B_x] : ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_x),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => c_Wellfounded_Oacyclic(T_a,V_r_2) ) )).

fof(fact_tranclD2,axiom,(
    ! [V_R_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Otrancl(T_a,V_R_2))
     => ? [B_z] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,B_z),c_Transitive__Closure_Ortrancl(T_a,V_R_2))
          & c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_z,V_y_2),V_R_2) ) ) )).

fof(fact_tranclD,axiom,(
    ! [V_R_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Otrancl(T_a,V_R_2))
     => ? [B_z] :
          ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,B_z),V_R_2)
          & c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_z,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2)) ) ) )).

fof(fact_IdE,axiom,(
    ! [V_p_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),V_p_2,c_Relation_OId(T_a))
     => ~ ! [B_x] : V_p_2 != c_Product__Type_OPair(T_a,T_a,B_x,B_x) ) )).

fof(fact_internal__split__conv,axiom,(
    ! [V_ba_2,V_aa_2,V_ca_2,T_a,T_c,T_b] : c_Product__Type_Ointernal__split(T_b,T_c,T_a,V_ca_2,c_Product__Type_OPair(T_b,T_c,V_aa_2,V_ba_2)) = hAPP(hAPP(V_ca_2,V_aa_2),V_ba_2) )).

fof(fact_acyclic__insert,axiom,(
    ! [V_r_2,V_x_2,V_y_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,c_Set_Oinsert(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_y_2,V_x_2),V_r_2))
    <=> ( c_Wellfounded_Oacyclic(T_a,V_r_2)
        & ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) ) )).

fof(fact_insertCI,axiom,(
    ! [V_ba_2,V_B_2,V_aa_2,T_a] :
      ( ( ~ c_member(T_a,V_aa_2,V_B_2)
       => V_aa_2 = V_ba_2 )
     => c_member(T_a,V_aa_2,c_Set_Oinsert(T_a,V_ba_2,V_B_2)) ) )).

fof(fact_insertE,axiom,(
    ! [V_A_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,c_Set_Oinsert(T_a,V_ba_2,V_A_2))
     => ( V_aa_2 != V_ba_2
       => c_member(T_a,V_aa_2,V_A_2) ) ) )).

fof(fact_insert__code,axiom,(
    ! [V_x_2,V_A_2,V_y_2,T_a] :
      ( hBOOL(hAPP(c_Set_Oinsert(T_a,V_y_2,V_A_2),V_x_2))
    <=> ( V_y_2 = V_x_2
        | hBOOL(hAPP(V_A_2,V_x_2)) ) ) )).

fof(fact_insert__commute,axiom,(
    ! [V_A_2,V_y_2,V_x_2,T_a] : c_Set_Oinsert(T_a,V_x_2,c_Set_Oinsert(T_a,V_y_2,V_A_2)) = c_Set_Oinsert(T_a,V_y_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) )).

fof(fact_insert__absorb2,axiom,(
    ! [V_A_2,V_x_2,T_a] : c_Set_Oinsert(T_a,V_x_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = c_Set_Oinsert(T_a,V_x_2,V_A_2) )).

fof(fact_Domain__insert,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_b,T_a] : c_Relation_ODomain(T_a,T_b,c_Set_Oinsert(tc_prod(T_a,T_b),c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2),V_r_2)) = c_Set_Oinsert(T_a,V_aa_2,c_Relation_ODomain(T_a,T_b,V_r_2)) )).

fof(fact_Range__insert,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_a,T_b] : c_Relation_ORange(T_b,T_a,c_Set_Oinsert(tc_prod(T_b,T_a),c_Product__Type_OPair(T_b,T_a,V_aa_2,V_ba_2),V_r_2)) = c_Set_Oinsert(T_a,V_ba_2,c_Relation_ORange(T_b,T_a,V_r_2)) )).

fof(fact_insert__absorb,axiom,(
    ! [V_A_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,V_A_2)
     => c_Set_Oinsert(T_a,V_aa_2,V_A_2) = V_A_2 ) )).

fof(fact_insertI2,axiom,(
    ! [V_ba_2,V_B_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,V_B_2)
     => c_member(T_a,V_aa_2,c_Set_Oinsert(T_a,V_ba_2,V_B_2)) ) )).

fof(fact_insert__ident,axiom,(
    ! [V_B_2,V_A_2,V_x_2,T_a] :
      ( ~ c_member(T_a,V_x_2,V_A_2)
     => ( ~ c_member(T_a,V_x_2,V_B_2)
       => ( c_Set_Oinsert(T_a,V_x_2,V_A_2) = c_Set_Oinsert(T_a,V_x_2,V_B_2)
        <=> V_A_2 = V_B_2 ) ) ) )).

fof(fact_insert__iff,axiom,(
    ! [V_A_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,c_Set_Oinsert(T_a,V_ba_2,V_A_2))
    <=> ( V_aa_2 = V_ba_2
        | c_member(T_a,V_aa_2,V_A_2) ) ) )).

fof(fact_insertI1,axiom,(
    ! [V_B_2,V_aa_2,T_a] : c_member(T_a,V_aa_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) )).

fof(fact_wf__insert,axiom,(
    ! [V_r_2,V_x_2,V_y_2,T_a] :
      ( c_Wellfounded_Owf(T_a,c_Set_Oinsert(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_y_2,V_x_2),V_r_2))
    <=> ( c_Wellfounded_Owf(T_a,V_r_2)
        & ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) ) ) )).

fof(fact_irrefl__trancl__rD,axiom,(
    ! [V_y_2,V_x_2,V_r_2,T_a] :
      ( ! [B_x] : ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_x),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),V_r_2)
       => V_x_2 != V_y_2 ) ) )).

fof(fact_converse__tranclE,axiom,(
    ! [V_r_2,V_z_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_z_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => ( ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_z_2),V_r_2)
       => ~ ! [B_y] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,B_y),V_r_2)
             => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,V_z_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) ) ) )).

fof(fact_tranclE,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))
     => ( ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)
       => ~ ! [B_c] :
              ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,B_c),c_Transitive__Closure_Otrancl(T_a,V_r_2))
             => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_c,V_ba_2),V_r_2) ) ) ) )).

fof(fact_curryI,axiom,(
    ! [V_ba_2,V_aa_2,T_b,T_a,V_f_2] :
      ( hBOOL(hAPP(V_f_2,c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2)))
     => hBOOL(c_Product__Type_Ocurry(T_a,T_b,tc_HOL_Obool,V_f_2,V_aa_2,V_ba_2)) ) )).

fof(fact_reflcl__trancl,axiom,(
    ! [V_r_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),c_Transitive__Closure_Otrancl(T_a,V_r_2),c_Relation_OId(T_a)) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_sup1E,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2))
     => ( ~ hBOOL(hAPP(V_A_2,V_x_2))
       => hBOOL(hAPP(V_B_2,V_x_2)) ) ) )).

fof(fact_sup1CI,axiom,(
    ! [T_a,V_A_2,V_x_2,V_B_2] :
      ( ( ~ hBOOL(hAPP(V_B_2,V_x_2))
       => hBOOL(hAPP(V_A_2,V_x_2)) )
     => hBOOL(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2)) ) )).

fof(fact_UnE,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => ( ~ c_member(T_a,V_ca_2,V_A_2)
       => c_member(T_a,V_ca_2,V_B_2) ) ) )).

fof(fact_UnCI,axiom,(
    ! [V_A_2,V_B_2,V_ca_2,T_a] :
      ( ( ~ c_member(T_a,V_ca_2,V_B_2)
       => c_member(T_a,V_ca_2,V_A_2) )
     => c_member(T_a,V_ca_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) )).

fof(fact_wf__inv__image,axiom,(
    ! [V_f_2,T_b,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_b,hAPP(c_Relation_Oinv__image(T_a,T_b,V_r_2),V_f_2)) ) )).

fof(fact_wf__lex__prod,axiom,(
    ! [V_rb_2,T_b,V_ra_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_ra_2)
     => ( c_Wellfounded_Owf(T_b,V_rb_2)
       => c_Wellfounded_Owf(tc_prod(T_a,T_b),c_Wellfounded_Olex__prod(T_a,T_b,V_ra_2,V_rb_2)) ) ) )).

fof(fact_refl__on__Un,axiom,(
    ! [V_s_2,V_B_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( c_Relation_Orefl__on(T_a,V_B_2,V_s_2)
       => c_Relation_Orefl__on(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,V_s_2)) ) ) )).

fof(fact_Un__absorb,axiom,(
    ! [V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_A_2) = V_A_2 )).

fof(fact_Un__commute,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2) )).

fof(fact_Un__left__absorb,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) )).

fof(fact_Un__left__commute,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2)) )).

fof(fact_Un__assoc,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_C_2) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) )).

fof(fact_bex__Un,axiom,(
    ! [V_Pa_2,V_B_2,V_A_2,T_a] :
      ( ? [B_x] :
          ( c_member(T_a,B_x,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
          & hBOOL(hAPP(V_Pa_2,B_x)) )
    <=> ( ? [B_x] :
            ( c_member(T_a,B_x,V_A_2)
            & hBOOL(hAPP(V_Pa_2,B_x)) )
        | ? [B_x] :
            ( c_member(T_a,B_x,V_B_2)
            & hBOOL(hAPP(V_Pa_2,B_x)) ) ) ) )).

fof(fact_ball__Un,axiom,(
    ! [V_Pa_2,V_B_2,V_A_2,T_a] :
      ( ! [B_x] :
          ( c_member(T_a,B_x,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
         => hBOOL(hAPP(V_Pa_2,B_x)) )
    <=> ( ! [B_x] :
            ( c_member(T_a,B_x,V_A_2)
           => hBOOL(hAPP(V_Pa_2,B_x)) )
        & ! [B_x] :
            ( c_member(T_a,B_x,V_B_2)
           => hBOOL(hAPP(V_Pa_2,B_x)) ) ) ) )).

fof(fact_sup1I1,axiom,(
    ! [V_B_2,T_a,V_x_2,V_A_2] :
      ( hBOOL(hAPP(V_A_2,V_x_2))
     => hBOOL(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2)) ) )).

fof(fact_sup1I2,axiom,(
    ! [V_A_2,T_a,V_x_2,V_B_2] :
      ( hBOOL(hAPP(V_B_2,V_x_2))
     => hBOOL(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2)) ) )).

fof(fact_Domain__Un__eq,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : c_Relation_ODomain(T_a,T_b,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),V_A_2,V_B_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Relation_ODomain(T_a,T_b,V_A_2),c_Relation_ODomain(T_a,T_b,V_B_2)) )).

fof(fact_Range__Un__eq,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : c_Relation_ORange(T_b,T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),V_A_2,V_B_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Relation_ORange(T_b,T_a,V_A_2),c_Relation_ORange(T_b,T_a,V_B_2)) )).

fof(fact_Un__iff,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
    <=> ( c_member(T_a,V_ca_2,V_A_2)
        | c_member(T_a,V_ca_2,V_B_2) ) ) )).

fof(fact_UnI1,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,V_A_2)
     => c_member(T_a,V_ca_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) )).

fof(fact_UnI2,axiom,(
    ! [V_A_2,V_B_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,V_B_2)
     => c_member(T_a,V_ca_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) )).

fof(fact_Un__insert__right,axiom,(
    ! [V_B_2,V_aa_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Set_Oinsert(T_a,V_aa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) )).

fof(fact_Un__insert__left,axiom,(
    ! [V_C_2,V_B_2,V_aa_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,V_B_2),V_C_2) = c_Set_Oinsert(T_a,V_aa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) )).

fof(fact_rtrancl__Un__rtrancl,axiom,(
    ! [V_S_2,V_R_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),c_Transitive__Closure_Ortrancl(T_a,V_R_2),c_Transitive__Closure_Ortrancl(T_a,V_S_2))) = c_Transitive__Closure_Ortrancl(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_R_2,V_S_2)) )).

fof(fact_wf__trancl,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_a,c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) )).

fof(fact_converse__Un,axiom,(
    ! [V_s_2,V_r_2,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),V_r_2,V_s_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2),hAPP(c_Relation_Oconverse(T_b,T_a),V_s_2)) )).

fof(fact_wf__acyclic,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Oacyclic(T_a,V_r_2) ) )).

fof(fact_wf__not__refl,axiom,(
    ! [V_aa_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_aa_2),V_r_2) ) )).

fof(fact_wf__not__sym,axiom,(
    ! [V_x_2,V_aa_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_x_2),V_r_2)
       => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_aa_2),V_r_2) ) ) )).

fof(fact_wf__asym,axiom,(
    ! [V_x_2,V_aa_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_x_2),V_r_2)
       => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_aa_2),V_r_2) ) ) )).

fof(fact_wf__irrefl,axiom,(
    ! [V_aa_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_aa_2),V_r_2) ) )).

fof(fact_in__rtrancl__UnI,axiom,(
    ! [V_S_2,V_R_2,V_x_2,T_a] :
      ( ( c_member(tc_prod(T_a,T_a),V_x_2,c_Transitive__Closure_Ortrancl(T_a,V_R_2))
        | c_member(tc_prod(T_a,T_a),V_x_2,c_Transitive__Closure_Ortrancl(T_a,V_S_2)) )
     => c_member(tc_prod(T_a,T_a),V_x_2,c_Transitive__Closure_Ortrancl(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_R_2,V_S_2))) ) )).

fof(fact_wf__acc__iff,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
    <=> ! [B_x] : c_member(T_a,B_x,c_Wellfounded_Oacc(T_a,V_r_2)) ) )).

fof(fact_acc__wfD,axiom,(
    ! [V_x_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_member(T_a,V_x_2,c_Wellfounded_Oacc(T_a,V_r_2)) ) )).

fof(fact_wf__converse__trancl,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
     => c_Wellfounded_Owf(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) )).

fof(fact_curryE,axiom,(
    ! [V_ba_2,V_aa_2,V_f_2,T_b,T_a] :
      ( hBOOL(c_Product__Type_Ocurry(T_a,T_b,tc_HOL_Obool,V_f_2,V_aa_2,V_ba_2))
     => hBOOL(hAPP(V_f_2,c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2))) ) )).

fof(fact_curryD,axiom,(
    ! [V_ba_2,V_aa_2,V_f_2,T_b,T_a] :
      ( hBOOL(c_Product__Type_Ocurry(T_a,T_b,tc_HOL_Obool,V_f_2,V_aa_2,V_ba_2))
     => hBOOL(hAPP(V_f_2,c_Product__Type_OPair(T_a,T_b,V_aa_2,V_ba_2))) ) )).

fof(fact_rtrancl__reflcl,axiom,(
    ! [V_R_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_R_2,c_Relation_OId(T_a))) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_rtrancl__reflcl__absorb,axiom,(
    ! [V_R_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),c_Transitive__Closure_Ortrancl(T_a,V_R_2),c_Relation_OId(T_a)) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_antisym__reflcl,axiom,(
    ! [V_r_2,T_a] :
      ( c_Relation_Oantisym(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,c_Relation_OId(T_a)))
    <=> c_Relation_Oantisym(T_a,V_r_2) ) )).

fof(fact_curry__conv,axiom,(
    ! [V_ba_2,V_aa_2,V_f_2,T_a,T_c,T_b] : c_Product__Type_Ocurry(T_b,T_c,T_a,V_f_2,V_aa_2,V_ba_2) = hAPP(V_f_2,c_Product__Type_OPair(T_b,T_c,V_aa_2,V_ba_2)) )).

fof(fact_trancl__reflcl,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Otrancl(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,c_Relation_OId(T_a))) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_wf__measure,axiom,(
    ! [V_f_2,T_a] : c_Wellfounded_Owf(T_a,hAPP(c_Wellfounded_Omeasure(T_a),V_f_2)) )).

fof(fact_sup__apply,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,T_a),V_f_2,V_g_2),V_x_2) = c_Lattices_Osemilattice__sup__class_Osup(T_a,hAPP(V_f_2,V_x_2),hAPP(V_g_2,V_x_2)) ) )).

fof(fact_def__wfrec,axiom,(
    ! [V_aa_2,V_H_2,V_r_2,T_b,T_a,V_f_2] :
      ( V_f_2 = c_Recdef_Owfrec(T_a,T_b,V_r_2,V_H_2)
     => ( c_Wellfounded_Owf(T_a,V_r_2)
       => hAPP(V_f_2,V_aa_2) = hAPP(hAPP(V_H_2,c_Recdef_Ocut(T_a,T_b,V_f_2,V_r_2,V_aa_2)),V_aa_2) ) ) )).

fof(fact_wfrec,axiom,(
    ! [V_aa_2,V_H_2,T_b,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => hAPP(c_Recdef_Owfrec(T_a,T_b,V_r_2,V_H_2),V_aa_2) = hAPP(hAPP(V_H_2,c_Recdef_Ocut(T_a,T_b,c_Recdef_Owfrec(T_a,T_b,V_r_2,V_H_2),V_r_2,V_aa_2)),V_aa_2) ) )).

fof(fact_tfl__wfrec,axiom,(
    ! [T_b,T_a,B_M,B_R] :
      ( c_Wellfounded_Owf(T_a,B_R)
     => ! [B_x] : hAPP(c_Recdef_Owfrec(T_a,T_b,B_R,B_M),B_x) = hAPP(hAPP(B_M,c_Recdef_Ocut(T_a,T_b,c_Recdef_Owfrec(T_a,T_b,B_R,B_M),B_R,B_x)),B_x) ) )).

fof(fact_sup_Oidem,axiom,(
    ! [V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_a) = V_a ) )).

fof(fact_sup__idem,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_x) = V_x ) )).

fof(fact_sup_Ocommute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_b) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_b,V_a) ) )).

fof(fact_inf__sup__aci_I5_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_x) ) )).

fof(fact_sup__commute,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_x) ) )).

fof(fact_sup_Oleft__idem,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_b)) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_b) ) )).

fof(fact_inf__sup__aci_I8_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y)) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y) ) )).

fof(fact_sup__left__idem,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y)) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y) ) )).

fof(fact_sup_Oleft__commute,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_b,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_c)) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_b,V_c)) ) )).

fof(fact_inf__sup__aci_I7_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_z)) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_z)) ) )).

fof(fact_sup__left__commute,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_z)) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_z)) ) )).

fof(fact_sup_Oassoc,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_b),V_c) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_b,V_c)) ) )).

fof(fact_inf__sup__aci_I6_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y),V_z) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_z)) ) )).

fof(fact_sup__assoc,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y),V_z) = c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_z)) ) )).

fof(fact_wf__same__fst,axiom,(
    ! [T_a,V_R_2,T_b,V_Pa_2] :
      ( ! [B_x] :
          ( hBOOL(hAPP(V_Pa_2,B_x))
         => c_Wellfounded_Owf(T_b,hAPP(V_R_2,B_x)) )
     => c_Wellfounded_Owf(tc_prod(T_a,T_b),c_Recdef_Osame__fst(T_a,T_b,V_Pa_2,V_R_2)) ) )).

fof(fact_rtrancl__Un__separatorE,axiom,(
    ! [V_Q_2,V_Pa_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_Pa_2,V_Q_2)))
     => ( ! [B_x] :
            ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,B_x),c_Transitive__Closure_Ortrancl(T_a,V_Pa_2))
           => ! [B_y] :
                ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_y),V_Q_2)
               => B_x = B_y ) )
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_Pa_2)) ) ) )).

fof(fact_rtrancl__Un__separator__converseE,axiom,(
    ! [V_Q_2,V_Pa_2,V_ba_2,V_aa_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_Pa_2,V_Q_2)))
     => ( ! [B_x] :
            ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_Pa_2))
           => ! [B_y] :
                ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,B_x),V_Q_2)
               => B_y = B_x ) )
       => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),c_Transitive__Closure_Ortrancl(T_a,V_Pa_2)) ) ) )).

fof(fact_wf__eq__minimal,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
    <=> ! [B_Q] :
          ( ? [B_x] : c_member(T_a,B_x,B_Q)
         => ? [B_x] :
              ( c_member(T_a,B_x,B_Q)
              & ! [B_y] :
                  ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_y,B_x),V_r_2)
                 => ~ c_member(T_a,B_y,B_Q) ) ) ) ) )).

fof(fact_wf__in__rel,axiom,(
    ! [V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
     => c_Wellfounded_OwfP(T_a,c_FunDef_Oin__rel(T_a,T_a,V_R_2)) ) )).

fof(fact_acc__wfI,axiom,(
    ! [V_r_2,T_a] :
      ( ! [B_x] : c_member(T_a,B_x,c_Wellfounded_Oacc(T_a,V_r_2))
     => c_Wellfounded_Owf(T_a,V_r_2) ) )).

fof(fact_Field__def,axiom,(
    ! [V_r_2,T_a] : c_Relation_OField(T_a,V_r_2) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Relation_ODomain(T_a,T_a,V_r_2),c_Relation_ORange(T_a,T_a,V_r_2)) )).

fof(fact_in__measure,axiom,(
    ! [V_f_2,V_y_2,V_x_2,T_a] :
      ( c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),hAPP(c_Wellfounded_Omeasure(T_a),V_f_2))
    <=> c_Orderings_Oord__class_Oless(tc_Nat_Onat,hAPP(V_f_2,V_x_2),hAPP(V_f_2,V_y_2)) ) )).

fof(fact_less__supI1,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_a)
       => c_Orderings_Oord__class_Oless(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_b)) ) ) )).

fof(fact_less__supI2,axiom,(
    ! [V_a,V_b,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_b)
       => c_Orderings_Oord__class_Oless(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_a,V_b)) ) ) )).

fof(fact_Field__converse,axiom,(
    ! [V_r_2,T_a] : c_Relation_OField(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) = c_Relation_OField(T_a,V_r_2) )).

fof(fact_Field__Un,axiom,(
    ! [V_s_2,V_r_2,T_a] : c_Relation_OField(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,V_s_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Relation_OField(T_a,V_r_2),c_Relation_OField(T_a,V_s_2)) )).

fof(fact_mlex__less,axiom,(
    ! [V_R_2,T_a,V_y_2,V_x_2,V_f_2] :
      ( c_Orderings_Oord__class_Oless(tc_Nat_Onat,hAPP(V_f_2,V_x_2),hAPP(V_f_2,V_y_2))
     => c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_y_2),c_Wellfounded_Omlex__prod(T_a,V_f_2,V_R_2)) ) )).

fof(fact_Field__insert,axiom,(
    ! [V_r_2,V_ba_2,V_aa_2,T_a] : c_Relation_OField(T_a,c_Set_Oinsert(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_aa_2,V_ba_2),V_r_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,c_Set_Oinsert(T_a,V_ba_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),c_Relation_OField(T_a,V_r_2)) )).

fof(fact_measure__def,axiom,(
    ! [T_a] : c_Wellfounded_Omeasure(T_a) = c_Relation_Oinv__image(tc_Nat_Onat,T_a,c_Wellfounded_Oless__than) )).

fof(fact_finite__acyclic__wf__converse,axiom,(
    ! [V_r_2,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_a),V_r_2)
     => ( c_Wellfounded_Oacyclic(T_a,V_r_2)
       => c_Wellfounded_Owf(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) ) ) )).

fof(fact_wf__empty,axiom,(
    ! [T_a] : c_Wellfounded_Owf(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) )).

fof(fact_wf__less__than,axiom,(
    c_Wellfounded_Owf(tc_Nat_Onat,c_Wellfounded_Oless__than) )).

fof(fact_emptyE,axiom,(
    ! [V_aa_2,T_a] : ~ c_member(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_finite__Field,axiom,(
    ! [V_r_2,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_a),V_r_2)
     => c_Finite__Set_Ofinite(T_a,c_Relation_OField(T_a,V_r_2)) ) )).

fof(fact_Field__empty,axiom,(
    ! [T_a] : c_Relation_OField(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_not__psubset__empty,axiom,(
    ! [V_A_2,T_a] : ~ c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_psubsetD,axiom,(
    ! [V_ca_2,V_B_2,V_A_2,T_a] :
      ( c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)
     => ( c_member(T_a,V_ca_2,V_A_2)
       => c_member(T_a,V_ca_2,V_B_2) ) ) )).

fof(fact_equals0D,axiom,(
    ! [V_aa_2,T_a,V_A_2] :
      ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
     => ~ c_member(T_a,V_aa_2,V_A_2) ) )).

fof(fact_empty__iff,axiom,(
    ! [V_ca_2,T_a] : ~ c_member(T_a,V_ca_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_ex__in__conv,axiom,(
    ! [V_A_2,T_a] :
      ( ? [B_x] : c_member(T_a,B_x,V_A_2)
    <=> V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_all__not__in__conv,axiom,(
    ! [V_A_2,T_a] :
      ( ! [B_x] : ~ c_member(T_a,B_x,V_A_2)
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_singleton__inject,axiom,(
    ! [V_ba_2,V_aa_2,T_a] :
      ( c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Set_Oinsert(T_a,V_ba_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))
     => V_aa_2 = V_ba_2 ) )).

fof(fact_doubleton__eq__iff,axiom,(
    ! [V_d_2,V_ca_2,V_ba_2,V_aa_2,T_a] :
      ( c_Set_Oinsert(T_a,V_aa_2,c_Set_Oinsert(T_a,V_ba_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Set_Oinsert(T_a,V_ca_2,c_Set_Oinsert(T_a,V_d_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
    <=> ( ( V_aa_2 = V_ca_2
          & V_ba_2 = V_d_2 )
        | ( V_aa_2 = V_d_2
          & V_ba_2 = V_ca_2 ) ) ) )).

fof(fact_insert__not__empty,axiom,(
    ! [V_A_2,V_aa_2,T_a] : c_Set_Oinsert(T_a,V_aa_2,V_A_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_empty__not__insert,axiom,(
    ! [V_A_2,V_aa_2,T_a] : c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) != c_Set_Oinsert(T_a,V_aa_2,V_A_2) )).

fof(fact_Un__empty,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        & V_B_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_Un__empty__right,axiom,(
    ! [V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = V_A_2 )).

fof(fact_Un__empty__left,axiom,(
    ! [V_B_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_B_2) = V_B_2 )).

fof(fact_finite__trancl,axiom,(
    ! [V_r_2,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2))
    <=> c_Finite__Set_Ofinite(tc_prod(T_a,T_a),V_r_2) ) )).

fof(fact_trancl__empty,axiom,(
    ! [T_a] : c_Transitive__Closure_Otrancl(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)) )).

fof(fact_refl__on__empty,axiom,(
    ! [T_a] : c_Relation_Orefl__on(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) )).

fof(fact_Domain__empty__iff,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( c_Relation_ODomain(T_a,T_b,V_r_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_r_2 = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)) ) )).

fof(fact_Domain__empty,axiom,(
    ! [T_b,T_a] : c_Relation_ODomain(T_a,T_b,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_finite__Domain,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_b),V_r_2)
     => c_Finite__Set_Ofinite(T_a,c_Relation_ODomain(T_a,T_b,V_r_2)) ) )).

fof(fact_Range__empty__iff,axiom,(
    ! [V_r_2,T_a,T_b] :
      ( c_Relation_ORange(T_b,T_a,V_r_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_r_2 = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)) ) )).

fof(fact_Range__empty,axiom,(
    ! [T_a,T_b] : c_Relation_ORange(T_b,T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_finite__Range,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_b),V_r_2)
     => c_Finite__Set_Ofinite(T_b,c_Relation_ORange(T_a,T_b,V_r_2)) ) )).

fof(fact_Id__on__empty,axiom,(
    ! [T_a] : c_Relation_OId__on(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)) )).

fof(fact_finite__converse,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_b),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2))
    <=> c_Finite__Set_Ofinite(tc_prod(T_b,T_a),V_r_2) ) )).

fof(fact_antisym__empty,axiom,(
    ! [T_a] : c_Relation_Oantisym(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) )).

fof(fact_total__on__empty,axiom,(
    ! [V_r_2,T_a] : c_Relation_Ototal__on(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_r_2) )).

fof(fact_sup__bot__left,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,c_Orderings_Obot__class_Obot(T_a),V_x) = V_x ) )).

fof(fact_sup__bot__right,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Orderings_Obot__class_Obot(T_a)) = V_x ) )).

fof(fact_sup__eq__bot__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => ( c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x_2,V_y_2) = c_Orderings_Obot__class_Obot(T_a)
      <=> ( V_x_2 = c_Orderings_Obot__class_Obot(T_a)
          & V_y_2 = c_Orderings_Obot__class_Obot(T_a) ) ) ) )).

fof(fact_override__on__emptyset,axiom,(
    ! [V_g_2,V_f_2,T_b,T_a] : c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = V_f_2 )).

fof(fact_singleton__iff,axiom,(
    ! [V_aa_2,V_ba_2,T_a] :
      ( c_member(T_a,V_ba_2,c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
    <=> V_ba_2 = V_aa_2 ) )).

fof(fact_singletonE,axiom,(
    ! [V_aa_2,V_ba_2,T_a] :
      ( c_member(T_a,V_ba_2,c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
     => V_ba_2 = V_aa_2 ) )).

fof(fact_insert__is__Un,axiom,(
    ! [V_A_2,V_aa_2,T_a] : c_Set_Oinsert(T_a,V_aa_2,V_A_2) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_A_2) )).

fof(fact_less__than__iff,axiom,(
    ! [V_y_2,V_x_2] :
      ( c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat,V_x_2,V_y_2),c_Wellfounded_Oless__than)
    <=> c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_x_2,V_y_2) ) )).

fof(fact_rtrancl__empty,axiom,(
    ! [T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) = c_Relation_OId(T_a) )).

fof(fact_finite__acyclic__wf,axiom,(
    ! [V_r_2,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_a),V_r_2)
     => ( c_Wellfounded_Oacyclic(T_a,V_r_2)
       => c_Wellfounded_Owf(T_a,V_r_2) ) ) )).

fof(fact_wf__iff__acyclic__if__finite,axiom,(
    ! [V_r_2,T_a] :
      ( c_Finite__Set_Ofinite(tc_prod(T_a,T_a),V_r_2)
     => ( c_Wellfounded_Owf(T_a,V_r_2)
      <=> c_Wellfounded_Oacyclic(T_a,V_r_2) ) ) )).

fof(fact_wf__mlex,axiom,(
    ! [V_f_2,V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
     => c_Wellfounded_Owf(T_a,c_Wellfounded_Omlex__prod(T_a,V_f_2,V_R_2)) ) )).

fof(fact_finite_OinsertI,axiom,(
    ! [V_aa_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => c_Finite__Set_Ofinite(T_a,c_Set_Oinsert(T_a,V_aa_2,V_A_2)) ) )).

fof(fact_finite_OemptyI,axiom,(
    ! [T_a] : c_Finite__Set_Ofinite(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_Nitpick_Owf_H__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Nitpick_Owf_H(T_a,V_r_2)
    <=> ( c_Wellfounded_Oacyclic(T_a,V_r_2)
        & ( c_Finite__Set_Ofinite(tc_prod(T_a,T_a),V_r_2)
          | c_Nitpick_Ounknown(tc_HOL_Obool) ) ) ) )).

fof(fact_the__elem__eq,axiom,(
    ! [V_x_2,T_a] : c_Set_Othe__elem(T_a,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 )).

fof(fact_psubset__trans,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)
     => ( c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)
       => c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2) ) ) )).

fof(fact_finite,axiom,(
    ! [V_A_2,T_a] :
      ( class_Finite__Set_Ofinite(T_a)
     => c_Finite__Set_Ofinite(T_a,V_A_2) ) )).

fof(fact_finite__code,axiom,(
    ! [V_A_2,T_a] :
      ( class_Finite__Set_Ofinite(T_a)
     => c_Finite__Set_Ofinite(T_a,V_A_2) ) )).

fof(fact_finite_Oequations_I1_J,axiom,(
    ! [T_a] : c_Finite__Set_Ofinite(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_finite__insert,axiom,(
    ! [V_A_2,V_aa_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,c_Set_Oinsert(T_a,V_aa_2,V_A_2))
    <=> c_Finite__Set_Ofinite(T_a,V_A_2) ) )).

fof(fact_finite__Un,axiom,(
    ! [V_G_2,V_Fa_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_Fa_2,V_G_2))
    <=> ( c_Finite__Set_Ofinite(T_a,V_Fa_2)
        & c_Finite__Set_Ofinite(T_a,V_G_2) ) ) )).

fof(fact_finite__UnI,axiom,(
    ! [V_G_2,V_Fa_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_G_2)
       => c_Finite__Set_Ofinite(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_Fa_2,V_G_2)) ) ) )).

fof(fact_less__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat,V_m_2,V_n_2),c_Transitive__Closure_Otrancl(tc_Nat_Onat,c_Wellfounded_Opred__nat))
    <=> c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_m_2,V_n_2) ) )).

fof(fact_folding__one_Oinsert,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( ~ c_member(T_a,V_x_2,V_A_2)
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,V_A_2)) ) ) ) ) )).

fof(fact_bot__apply,axiom,(
    ! [V_x_2,T_b,T_a] :
      ( class_Orderings_Obot(T_a)
     => hAPP(c_Orderings_Obot__class_Obot(tc_fun(T_b,T_a)),V_x_2) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_linorder__cases,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => ( V_x != V_y
         => c_Orderings_Oord__class_Oless(T_a,V_y,V_x) ) ) ) )).

fof(fact_order__less__asym,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => ~ c_Orderings_Oord__class_Oless(T_a,V_y,V_x) ) ) )).

fof(fact_xt1_I10_J,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_y,V_x)
       => ( c_Orderings_Oord__class_Oless(T_a,V_z,V_y)
         => c_Orderings_Oord__class_Oless(T_a,V_z,V_x) ) ) ) )).

fof(fact_order__less__trans,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => ( c_Orderings_Oord__class_Oless(T_a,V_y,V_z)
         => c_Orderings_Oord__class_Oless(T_a,V_x,V_z) ) ) ) )).

fof(fact_xt1_I2_J,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_b,V_a)
       => ( V_b = V_c
         => c_Orderings_Oord__class_Oless(T_a,V_c,V_a) ) ) ) )).

fof(fact_ord__less__eq__trans,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_a,V_b)
       => ( V_b = V_c
         => c_Orderings_Oord__class_Oless(T_a,V_a,V_c) ) ) ) )).

fof(fact_xt1_I1_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( V_a = V_b
       => ( c_Orderings_Oord__class_Oless(T_a,V_c,V_b)
         => c_Orderings_Oord__class_Oless(T_a,V_c,V_a) ) ) ) )).

fof(fact_ord__eq__less__trans,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( V_a = V_b
       => ( c_Orderings_Oord__class_Oless(T_a,V_b,V_c)
         => c_Orderings_Oord__class_Oless(T_a,V_a,V_c) ) ) ) )).

fof(fact_xt1_I9_J,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_b,V_a)
       => ~ c_Orderings_Oord__class_Oless(T_a,V_a,V_b) ) ) )).

fof(fact_order__less__asym_H,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_a,V_b)
       => ~ c_Orderings_Oord__class_Oless(T_a,V_b,V_a) ) ) )).

fof(fact_order__less__imp__not__eq2,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => V_y != V_x ) ) )).

fof(fact_order__less__imp__not__eq,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => V_x != V_y ) ) )).

fof(fact_order__less__imp__not__less,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => ~ c_Orderings_Oord__class_Oless(T_a,V_y,V_x) ) ) )).

fof(fact_order__less__not__sym,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => ~ c_Orderings_Oord__class_Oless(T_a,V_y,V_x) ) ) )).

fof(fact_less__imp__neq,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
       => V_x != V_y ) ) )).

fof(fact_linorder__neqE,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( V_x != V_y
       => ( ~ c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
         => c_Orderings_Oord__class_Oless(T_a,V_y,V_x) ) ) ) )).

fof(fact_linorder__antisym__conv3,axiom,(
    ! [V_x_2,V_y_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ c_Orderings_Oord__class_Oless(T_a,V_y_2,V_x_2)
       => ( ~ c_Orderings_Oord__class_Oless(T_a,V_x_2,V_y_2)
        <=> V_x_2 = V_y_2 ) ) ) )).

fof(fact_linorder__less__linear,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_x,V_y)
        | V_x = V_y
        | c_Orderings_Oord__class_Oless(T_a,V_y,V_x) ) ) )).

fof(fact_not__less__iff__gr__or__eq,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ c_Orderings_Oord__class_Oless(T_a,V_x_2,V_y_2)
      <=> ( c_Orderings_Oord__class_Oless(T_a,V_y_2,V_x_2)
          | V_x_2 = V_y_2 ) ) ) )).

fof(fact_linorder__neq__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( V_x_2 != V_y_2
      <=> ( c_Orderings_Oord__class_Oless(T_a,V_x_2,V_y_2)
          | c_Orderings_Oord__class_Oless(T_a,V_y_2,V_x_2) ) ) ) )).

fof(fact_order__less__irrefl,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ~ c_Orderings_Oord__class_Oless(T_a,V_x,V_x) ) )).

fof(fact_folding__one_Osingleton,axiom,(
    ! [V_x_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_less__than__def,axiom,(
    c_Wellfounded_Oless__than = c_Transitive__Closure_Otrancl(tc_Nat_Onat,c_Wellfounded_Opred__nat) )).

fof(fact_wf__pred__nat,axiom,(
    c_Wellfounded_Owf(tc_Nat_Onat,c_Wellfounded_Opred__nat) )).

fof(fact_folding__idem_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_Finite__Set_Ofinite(T_a,V_B_2)
         => hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_in__finite__psubset,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Wellfounded_Ofinite__psubset(T_a))
    <=> ( c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)
        & c_Finite__Set_Ofinite(T_a,V_B_2) ) ) )).

fof(fact_folding__idem_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_f_2,V_x_2)) ) ) )).

fof(fact_wf__finite__psubset,axiom,(
    ! [T_a] : c_Wellfounded_Owf(tc_fun(T_a,tc_HOL_Obool),c_Wellfounded_Ofinite__psubset(T_a)) )).

fof(fact_folding__idem_Oidem__comp,axiom,(
    ! [V_x_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2),hAPP(V_f_2,V_x_2)) = hAPP(V_f_2,V_x_2) ) )).

fof(fact_folding__idem_Oidem__left__comp,axiom,(
    ! [V_g_2,V_x_2,T_c,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2),c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2),V_g_2)) = c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2),V_g_2) ) )).

fof(fact_folding__idem_Oin__comp__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_member(T_a,V_x_2,V_A_2)
         => c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_f_2,V_x_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) )).

fof(fact_folding__one_Oclosed,axiom,(
    ! [V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : c_member(T_a,hAPP(hAPP(V_f_2,B_x),B_y),c_Set_Oinsert(T_a,B_x,c_Set_Oinsert(T_a,B_y,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))
           => c_member(T_a,hAPP(V_Fa_2,V_A_2),V_A_2) ) ) ) ) )).

fof(fact_irrefl__tranclI,axiom,(
    ! [V_x_2,V_r_2,T_a] :
      ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
     => ~ c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,V_x_2,V_x_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) )).

fof(fact_folding__one__idem_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( c_Finite__Set_Ofinite(T_a,V_B_2)
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) ) )).

fof(fact_inf1I,axiom,(
    ! [T_a,V_B_2,V_x_2,V_A_2] :
      ( hBOOL(hAPP(V_A_2,V_x_2))
     => ( hBOOL(hAPP(V_B_2,V_x_2))
       => hBOOL(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2)) ) ) )).

fof(fact_inf1E,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2))
     => ~ ( hBOOL(hAPP(V_A_2,V_x_2))
         => ~ hBOOL(hAPP(V_B_2,V_x_2)) ) ) )).

fof(fact_IntE,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => ~ ( c_member(T_a,V_ca_2,V_A_2)
         => ~ c_member(T_a,V_ca_2,V_B_2) ) ) )).

fof(fact_IntI,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,V_A_2)
     => ( c_member(T_a,V_ca_2,V_B_2)
       => c_member(T_a,V_ca_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) ) )).

fof(fact_finite__Int,axiom,(
    ! [V_G_2,V_Fa_2,T_a] :
      ( ( c_Finite__Set_Ofinite(T_a,V_Fa_2)
        | c_Finite__Set_Ofinite(T_a,V_G_2) )
     => c_Finite__Set_Ofinite(T_a,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_Fa_2,V_G_2)) ) )).

fof(fact_IntD2,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => c_member(T_a,V_ca_2,V_B_2) ) )).

fof(fact_IntD1,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => c_member(T_a,V_ca_2,V_A_2) ) )).

fof(fact_Int__iff,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
    <=> ( c_member(T_a,V_ca_2,V_A_2)
        & c_member(T_a,V_ca_2,V_B_2) ) ) )).

fof(fact_Int__insert__left__if1,axiom,(
    ! [V_B_2,V_C_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,V_C_2)
     => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,V_B_2),V_C_2) = c_Set_Oinsert(T_a,V_aa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) ) )).

fof(fact_Int__insert__right__if1,axiom,(
    ! [V_B_2,V_A_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,V_A_2)
     => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Set_Oinsert(T_a,V_aa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) )).

fof(fact_Int__insert__left__if0,axiom,(
    ! [V_B_2,V_C_2,V_aa_2,T_a] :
      ( ~ c_member(T_a,V_aa_2,V_C_2)
     => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,V_B_2),V_C_2) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2) ) )).

fof(fact_Int__insert__right__if0,axiom,(
    ! [V_B_2,V_A_2,V_aa_2,T_a] :
      ( ~ c_member(T_a,V_aa_2,V_A_2)
     => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) ) )).

fof(fact_Int__insert__left,axiom,(
    ! [V_B_2,V_C_2,V_aa_2,T_a] :
      ( ( c_member(T_a,V_aa_2,V_C_2)
       => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,V_B_2),V_C_2) = c_Set_Oinsert(T_a,V_aa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) )
      & ( ~ c_member(T_a,V_aa_2,V_C_2)
       => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,V_B_2),V_C_2) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2) ) ) )).

fof(fact_Int__insert__right,axiom,(
    ! [V_B_2,V_A_2,V_aa_2,T_a] :
      ( ( c_member(T_a,V_aa_2,V_A_2)
       => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Set_Oinsert(T_a,V_aa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) )
      & ( ~ c_member(T_a,V_aa_2,V_A_2)
       => c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) ) ) )).

fof(fact_less__infI2,axiom,(
    ! [V_a,V_x,V_b,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_b,V_x)
       => c_Orderings_Oord__class_Oless(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_b),V_x) ) ) )).

fof(fact_less__infI1,axiom,(
    ! [V_b,V_x,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( c_Orderings_Oord__class_Oless(T_a,V_a,V_x)
       => c_Orderings_Oord__class_Oless(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_b),V_x) ) ) )).

fof(fact_folding__one__idem_Oidem,axiom,(
    ! [V_x_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => hAPP(hAPP(V_f_2,V_x_2),V_x_2) = V_x_2 ) )).

fof(fact_wf__Int1,axiom,(
    ! [V_r_H_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_a,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,V_r_H_2)) ) )).

fof(fact_wf__Int2,axiom,(
    ! [V_r_H_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_a,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_H_2,V_r_2)) ) )).

fof(fact_sup__inf__distrib2,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_z),V_x) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_x),c_Lattices_Osemilattice__sup__class_Osup(T_a,V_z,V_x)) ) )).

fof(fact_inf__sup__distrib2,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_z),V_x) = c_Lattices_Osemilattice__sup__class_Osup(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_x),c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_z,V_x)) ) )).

fof(fact_sup__inf__distrib1,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_z)) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y),c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_z)) ) )).

fof(fact_inf__sup__distrib1,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_y,V_z)) = c_Lattices_Osemilattice__sup__class_Osup(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y),c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_z)) ) )).

fof(fact_sup__inf__absorb,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y)) = V_x ) )).

fof(fact_inf__sup__absorb,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__sup__class_Osup(T_a,V_x,V_y)) = V_x ) )).

fof(fact_inf_Oidem,axiom,(
    ! [V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_a) = V_a ) )).

fof(fact_inf__idem,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_x) = V_x ) )).

fof(fact_inf_Ocommute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_b) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_b,V_a) ) )).

fof(fact_inf__sup__aci_I1_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_x) ) )).

fof(fact_inf__commute,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_x) ) )).

fof(fact_inf_Oleft__idem,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_b)) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_b) ) )).

fof(fact_inf__sup__aci_I4_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y)) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y) ) )).

fof(fact_inf__left__idem,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y)) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y) ) )).

fof(fact_inf_Oleft__commute,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_b,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_c)) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_b,V_c)) ) )).

fof(fact_inf__sup__aci_I3_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_z)) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_z)) ) )).

fof(fact_inf__left__commute,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_z)) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_z)) ) )).

fof(fact_inf_Oassoc,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,V_b),V_c) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_b,V_c)) ) )).

fof(fact_inf__sup__aci_I2_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y),V_z) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_z)) ) )).

fof(fact_inf__assoc,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,V_y),V_z) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_y,V_z)) ) )).

fof(fact_inf__apply,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,T_a),V_f_2,V_g_2),V_x_2) = c_Lattices_Osemilattice__inf__class_Oinf(T_a,hAPP(V_f_2,V_x_2),hAPP(V_g_2,V_x_2)) ) )).

fof(fact_insert__inter__insert,axiom,(
    ! [V_B_2,V_A_2,V_aa_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_aa_2,V_A_2),c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Set_Oinsert(T_a,V_aa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) )).

fof(fact_Un__Int__crazy,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_C_2,V_A_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_C_2,V_A_2)) )).

fof(fact_Un__Int__distrib2,axiom,(
    ! [V_A_2,V_C_2,V_B_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2),V_A_2) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_C_2,V_A_2)) )).

fof(fact_Int__Un__distrib2,axiom,(
    ! [V_A_2,V_C_2,V_B_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2),V_A_2) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_C_2,V_A_2)) )).

fof(fact_Un__Int__distrib,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2)) )).

fof(fact_Int__Un__distrib,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2)) )).

fof(fact_converse__Int,axiom,(
    ! [V_s_2,V_r_2,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),V_r_2,V_s_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2),hAPP(c_Relation_Oconverse(T_b,T_a),V_s_2)) )).

fof(fact_refl__on__Int,axiom,(
    ! [V_s_2,V_B_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( c_Relation_Orefl__on(T_a,V_B_2,V_s_2)
       => c_Relation_Orefl__on(T_a,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,V_s_2)) ) ) )).

fof(fact_Int__absorb,axiom,(
    ! [V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_A_2) = V_A_2 )).

fof(fact_Int__commute,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2) )).

fof(fact_Int__left__absorb,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) )).

fof(fact_Int__left__commute,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2)) )).

fof(fact_Int__assoc,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_C_2) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) )).

fof(fact_inf1D1,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2))
     => hBOOL(hAPP(V_A_2,V_x_2)) ) )).

fof(fact_inf1D2,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_x_2))
     => hBOOL(hAPP(V_B_2,V_x_2)) ) )).

fof(fact_disjoint__iff__not__equal,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> ! [B_x] :
          ( c_member(T_a,B_x,V_A_2)
         => ! [B_xa] :
              ( c_member(T_a,B_xa,V_B_2)
             => B_x != B_xa ) ) ) )).

fof(fact_Int__empty__right,axiom,(
    ! [V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Int__empty__left,axiom,(
    ! [V_B_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_inf__bot__right,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,V_x,c_Orderings_Obot__class_Obot(T_a)) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_inf__bot__left,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a,c_Orderings_Obot__class_Obot(T_a),V_x) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_folding__one__idem_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_member(T_a,V_x_2,V_A_2)
         => hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,V_A_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) )).

fof(fact_folding__one_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_Finite__Set_Ofinite(T_a,V_B_2)
         => ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(V_f_2,hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))),hAPP(V_Fa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) )).

fof(fact_folding__one_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( c_Finite__Set_Ofinite(T_a,V_B_2)
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) ) ) )).

fof(fact_wf__Un,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( c_Wellfounded_Owf(T_a,V_s_2)
       => ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Relation_ODomain(T_a,T_a,V_r_2),c_Relation_ORange(T_a,T_a,V_s_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Wellfounded_Owf(T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,V_s_2)) ) ) ) )).

fof(fact_folding__one__idem_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,V_A_2)) ) ) ) )).

fof(fact_min__ext__wf,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(tc_fun(T_a,tc_HOL_Obool),c_Wellfounded_Omin__ext(T_a,V_r_2)) ) )).

fof(fact_folding_Ounion,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_Finite__Set_Ofinite(T_a,V_B_2)
         => ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_Fa_2,V_B_2)) ) ) ) ) )).

fof(fact_folding__image__simple_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_b,V_A_2)
       => ( c_Finite__Set_Ofinite(T_b,V_B_2)
         => ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool),V_A_2,V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))
           => hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool),V_A_2,V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) )).

fof(fact_folding__image__simple_Oempty,axiom,(
    ! [V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => hAPP(V_Fa_2,c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = V_z_2 ) )).

fof(fact_folding_Ocommute__left__comp,axiom,(
    ! [V_g_2,V_x_2,V_y_2,T_c,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_y_2),c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2),V_g_2)) = c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2),c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_y_2),V_g_2)) ) )).

fof(fact_folding_Ocommute__comp,axiom,(
    ! [V_x_2,V_y_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_y_2),hAPP(V_f_2,V_x_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2),hAPP(V_f_2,V_y_2)) ) )).

fof(fact_folding_Ocommute__comps_I1_J,axiom,(
    ! [V_h_2,V_g_2,T_f,V_f_2,T_c,T_d,T_e,V_Fa_2,V_fa_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_fa_2,V_Fa_2)
     => c_Fun_Ocomp(T_e,T_d,T_c,V_f_2,c_Fun_Ocomp(T_f,T_e,T_c,V_g_2,V_h_2)) = c_Fun_Ocomp(T_f,T_d,T_c,c_Fun_Ocomp(T_e,T_d,T_f,V_f_2,V_g_2),V_h_2) ) )).

fof(fact_folding_Ocommute__left__comp_H_H,axiom,(
    ! [V_g_2,T_c,V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_Finite__Set_Ofinite(T_a,V_B_2)
         => c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_B_2),c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2),V_g_2)) = c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2),c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_B_2),V_g_2)) ) ) ) )).

fof(fact_folding_Ocommute__comp_H_H,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_Finite__Set_Ofinite(T_a,V_B_2)
         => c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_B_2),hAPP(V_Fa_2,V_A_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_folding_Ocommute__left__comp_H,axiom,(
    ! [V_g_2,V_x_2,T_c,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2),c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2),V_g_2)) = c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2),c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2),V_g_2)) ) ) )).

fof(fact_folding_Ocommute__comp_H,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,V_A_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_f_2,V_x_2)) ) ) )).

fof(fact_folding__image__simple_Oinsert,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_b,V_A_2)
       => ( ~ c_member(T_b,V_x_2,V_A_2)
         => hAPP(V_Fa_2,c_Set_Oinsert(T_b,V_x_2,V_A_2)) = hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,V_A_2)) ) ) ) )).

fof(fact_folding__image__simple_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_b,V_A_2)
       => ( c_Finite__Set_Ofinite(T_b,V_B_2)
         => hAPP(hAPP(V_f_2,hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool),V_A_2,V_B_2))),hAPP(V_Fa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool),V_A_2,V_B_2))) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_folding_Oinsert,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( ~ c_member(T_a,V_x_2,V_A_2)
         => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_f_2,V_x_2)) ) ) ) )).

fof(fact_folding_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_Finite__Set_Ofinite(T_a,V_B_2)
         => c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)),hAPP(V_Fa_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_max__ext__additive,axiom,(
    ! [V_D_2,V_C_2,V_R_2,V_B_2,V_A_2,T_a] :
      ( c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Wellfounded_Omax__ext(T_a,V_R_2))
     => ( c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),V_C_2,V_D_2),c_Wellfounded_Omax__ext(T_a,V_R_2))
       => c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_D_2)),c_Wellfounded_Omax__ext(T_a,V_R_2)) ) ) )).

fof(fact_folding_Oremove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_member(T_a,V_x_2,V_A_2)
         => hAPP(V_Fa_2,V_A_2) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(V_f_2,V_x_2)) ) ) ) )).

fof(fact_DiffE,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => ~ ( c_member(T_a,V_ca_2,V_A_2)
         => c_member(T_a,V_ca_2,V_B_2) ) ) )).

fof(fact_DiffI,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,V_A_2)
     => ( ~ c_member(T_a,V_ca_2,V_B_2)
       => c_member(T_a,V_ca_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) ) )).

fof(fact_finite__Diff,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => c_Finite__Set_Ofinite(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) )).

fof(fact_Diff__Int,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2)) )).

fof(fact_Diff__Un,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2)) )).

fof(fact_Un__Diff__Int,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = V_A_2 )).

fof(fact_Diff__Int__distrib,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_C_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_C_2,V_A_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_C_2,V_B_2)) )).

fof(fact_Int__Diff,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_C_2) = c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) )).

fof(fact_Diff__Int__distrib2,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_C_2) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) )).

fof(fact_Diff__Int2,axiom,(
    ! [V_B_2,V_C_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2),V_B_2) )).

fof(fact_Diff__triv,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
     => c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) = V_A_2 ) )).

fof(fact_Diff__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_rtrancl__r__diff__Id,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,c_Relation_OId(T_a))) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_total__on__diff__Id,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Ototal__on(T_a,V_A_2,c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,c_Relation_OId(T_a)))
    <=> c_Relation_Ototal__on(T_a,V_A_2,V_r_2) ) )).

fof(fact_DiffD2,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => ~ c_member(T_a,V_ca_2,V_B_2) ) )).

fof(fact_DiffD1,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => c_member(T_a,V_ca_2,V_A_2) ) )).

fof(fact_Diff__iff,axiom,(
    ! [V_B_2,V_A_2,V_ca_2,T_a] :
      ( c_member(T_a,V_ca_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
    <=> ( c_member(T_a,V_ca_2,V_A_2)
        & ~ c_member(T_a,V_ca_2,V_B_2) ) ) )).

fof(fact_insert__Diff1,axiom,(
    ! [V_A_2,V_B_2,V_x_2,T_a] :
      ( c_member(T_a,V_x_2,V_B_2)
     => c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_x_2,V_A_2),V_B_2) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) ) )).

fof(fact_insert__Diff__if,axiom,(
    ! [V_A_2,V_B_2,V_x_2,T_a] :
      ( ( c_member(T_a,V_x_2,V_B_2)
       => c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_x_2,V_A_2),V_B_2) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) )
      & ( ~ c_member(T_a,V_x_2,V_B_2)
       => c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_x_2,V_A_2),V_B_2) = c_Set_Oinsert(T_a,V_x_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) ) )).

fof(fact_insert__Diff__single,axiom,(
    ! [V_A_2,V_aa_2,T_a] : c_Set_Oinsert(T_a,V_aa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = c_Set_Oinsert(T_a,V_aa_2,V_A_2) )).

fof(fact_Diff__insert2,axiom,(
    ! [V_B_2,V_aa_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_B_2) )).

fof(fact_Diff__insert,axiom,(
    ! [V_B_2,V_aa_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_finite__Diff__insert,axiom,(
    ! [V_B_2,V_aa_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2)))
    <=> c_Finite__Set_Ofinite(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) ) )).

fof(fact_finite__Diff2,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_B_2)
     => ( c_Finite__Set_Ofinite(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
      <=> c_Finite__Set_Ofinite(T_a,V_A_2) ) ) )).

fof(fact_minus__apply,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_b,T_a] :
      ( class_Groups_Ominus(T_a)
     => hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,T_a),V_A_2,V_B_2),V_x_2) = c_Groups_Ominus__class_Ominus(T_a,hAPP(V_A_2,V_x_2),hAPP(V_B_2,V_x_2)) ) )).

fof(fact_Un__Diff,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_C_2) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_C_2),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_C_2)) )).

fof(fact_Un__Diff__cancel2,axiom,(
    ! [V_A_2,V_B_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2),V_A_2) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2) )).

fof(fact_Un__Diff__cancel,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_B_2,V_A_2)) = c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) )).

fof(fact_Diff__idemp,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2),V_B_2) = c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2) )).

fof(fact_Diff__cancel,axiom,(
    ! [V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Diff__empty,axiom,(
    ! [V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = V_A_2 )).

fof(fact_empty__Diff,axiom,(
    ! [V_A_2,T_a] : c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_insert__Diff,axiom,(
    ! [V_A_2,V_aa_2,T_a] :
      ( c_member(T_a,V_aa_2,V_A_2)
     => c_Set_Oinsert(T_a,V_aa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = V_A_2 ) )).

fof(fact_Diff__insert__absorb,axiom,(
    ! [V_A_2,V_x_2,T_a] :
      ( ~ c_member(T_a,V_x_2,V_A_2)
     => c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a,V_x_2,V_A_2),c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_A_2 ) )).

fof(fact_irrefl__diff__Id,axiom,(
    ! [V_r_2,T_a] : c_Relation_Oirrefl(T_a,c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_r_2,c_Relation_OId(T_a))) )).

fof(fact_folding__one_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( ( c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = V_x_2 )
          & ( c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_folding__image__simple_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_b,V_A_2)
       => hAPP(V_Fa_2,c_Set_Oinsert(T_b,V_x_2,V_A_2)) = hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_b,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))))) ) ) )).

fof(fact_folding_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => hAPP(V_Fa_2,c_Set_Oinsert(T_a,V_x_2,V_A_2)) = c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(V_f_2,V_x_2)) ) ) )).

fof(fact_folding__one_Oremove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_a,V_A_2)
       => ( c_member(T_a,V_x_2,V_A_2)
         => ( ( c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(V_Fa_2,V_A_2) = V_x_2 )
            & ( c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(V_Fa_2,V_A_2) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_folding__image__simple_Oremove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( c_Finite__Set_Ofinite(T_b,V_A_2)
       => ( c_member(T_b,V_x_2,V_A_2)
         => hAPP(V_Fa_2,V_A_2) = hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_b,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))))) ) ) ) )).

fof(fact_max__ext__wf,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(tc_fun(T_a,tc_HOL_Obool),c_Wellfounded_Omax__ext(T_a,V_r_2)) ) )).

fof(fact_fold__graph_H_Ointros_I2_J,axiom,(
    ! [V_y_2,V_z_2,V_f_2,T_b,V_A_2,V_x_2,T_a] :
      ( c_member(T_a,V_x_2,V_A_2)
     => ( c_Nitpick_Ofold__graph_H(T_a,T_b,V_f_2,V_z_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_y_2)
       => c_Nitpick_Ofold__graph_H(T_a,T_b,V_f_2,V_z_2,V_A_2,hAPP(hAPP(V_f_2,V_x_2),V_y_2)) ) ) )).

fof(fact_diff__eq__diff__less,axiom,(
    ! [V_d_2,V_ca_2,V_ba_2,V_aa_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( c_Groups_Ominus__class_Ominus(T_a,V_aa_2,V_ba_2) = c_Groups_Ominus__class_Ominus(T_a,V_ca_2,V_d_2)
       => ( c_Orderings_Oord__class_Oless(T_a,V_aa_2,V_ba_2)
        <=> c_Orderings_Oord__class_Oless(T_a,V_ca_2,V_d_2) ) ) ) )).

fof(fact_fold__graph_H_Oequations_I1_J,axiom,(
    ! [V_a2_2,V_a1_2,T_b,T_a] : c_Nitpick_Ofold__graph_H(T_a,T_b,V_a1_2,V_a2_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_a2_2) )).

fof(fact_fold__graph_H_Ointros_I1_J,axiom,(
    ! [V_z_2,V_f_2,T_b,T_a] : c_Nitpick_Ofold__graph_H(T_a,T_b,V_f_2,V_z_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_z_2) )).

fof(fact_diff__eq__diff__eq,axiom,(
    ! [V_d_2,V_ca_2,V_ba_2,V_aa_2,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => ( c_Groups_Ominus__class_Ominus(T_a,V_aa_2,V_ba_2) = c_Groups_Ominus__class_Ominus(T_a,V_ca_2,V_d_2)
       => ( V_aa_2 = V_ba_2
        <=> V_ca_2 = V_d_2 ) ) ) )).

fof(fact_fold__graph_H_Oequations_I2_J,axiom,(
    ! [V_a5_2,V_a1_2,V_a2_2,V_a4_2,V_a3_2,T_b,T_a] :
      ( c_Nitpick_Ofold__graph_H(T_a,T_b,V_a3_2,V_a4_2,V_a2_2,hAPP(hAPP(V_a3_2,V_a1_2),V_a5_2))
    <=> ( ( V_a2_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
          & hAPP(hAPP(V_a3_2,V_a1_2),V_a5_2) = V_a4_2 )
        | ? [B_x,B_y] :
            ( hAPP(hAPP(V_a3_2,V_a1_2),V_a5_2) = hAPP(hAPP(V_a3_2,B_x),B_y)
            & c_member(T_a,B_x,V_a2_2)
            & c_Nitpick_Ofold__graph_H(T_a,T_b,V_a3_2,V_a4_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_a2_2,c_Set_Oinsert(T_a,B_x,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),B_y) ) ) ) )).

fof(fact_finite__empty__induct,axiom,(
    ! [V_Pa_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => ( hBOOL(hAPP(V_Pa_2,V_A_2))
       => ( ! [B_a,B_A] :
              ( c_Finite__Set_Ofinite(T_a,B_A)
             => ( c_member(T_a,B_a,B_A)
               => ( hBOOL(hAPP(V_Pa_2,B_A))
                 => hBOOL(hAPP(V_Pa_2,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),B_A,c_Set_Oinsert(T_a,B_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )
         => hBOOL(hAPP(V_Pa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) ) ) ) )).

fof(fact_max__ext_Ointros,axiom,(
    ! [V_R_2,V_Y_2,V_X_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_X_2)
     => ( c_Finite__Set_Ofinite(T_a,V_Y_2)
       => ( V_Y_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x] :
                ( c_member(T_a,B_x,V_X_2)
               => ? [B_xa] :
                    ( c_member(T_a,B_xa,V_Y_2)
                    & c_member(tc_prod(T_a,T_a),c_Product__Type_OPair(T_a,T_a,B_x,B_xa),V_R_2) ) )
           => c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),V_X_2,V_Y_2),c_Wellfounded_Omax__ext(T_a,V_R_2)) ) ) ) ) )).

fof(fact_card__Diff2__less,axiom,(
    ! [V_y_2,V_x_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => ( c_member(T_a,V_x_2,V_A_2)
       => ( c_member(T_a,V_y_2,V_A_2)
         => c_Orderings_Oord__class_Oless(tc_Nat_Onat,c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),c_Set_Oinsert(T_a,V_y_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),c_Finite__Set_Ocard(T_a,V_A_2)) ) ) ) )).

fof(fact_psubset__card__mono,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_B_2)
     => ( c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)
       => c_Orderings_Oord__class_Oless(tc_Nat_Onat,c_Finite__Set_Ocard(T_a,V_A_2),c_Finite__Set_Ocard(T_a,V_B_2)) ) ) )).

fof(fact_card__Diff__subset__Int,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))
     => c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)) = c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Finite__Set_Ocard(T_a,V_A_2),c_Finite__Set_Ocard(T_a,c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2))) ) )).

fof(fact_card__Diff1__less,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => ( c_member(T_a,V_x_2,V_A_2)
       => c_Orderings_Oord__class_Oless(tc_Nat_Onat,c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),c_Finite__Set_Ocard(T_a,V_A_2)) ) ) )).

fof(fact_card__Diff__singleton__if,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => ( ( c_member(T_a,V_x_2,V_A_2)
         => c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Finite__Set_Ocard(T_a,V_A_2),c_Groups_Oone__class_Oone(tc_Nat_Onat)) )
        & ( ~ c_member(T_a,V_x_2,V_A_2)
         => c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = c_Finite__Set_Ocard(T_a,V_A_2) ) ) ) )).

fof(fact_card__Diff__singleton,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => ( c_member(T_a,V_x_2,V_A_2)
       => c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Finite__Set_Ocard(T_a,V_A_2),c_Groups_Oone__class_Oone(tc_Nat_Onat)) ) ) )).

fof(fact_one__reorient,axiom,(
    ! [V_x_2,T_a] :
      ( class_Groups_Oone(T_a)
     => ( c_Groups_Oone__class_Oone(T_a) = V_x_2
      <=> V_x_2 = c_Groups_Oone__class_Oone(T_a) ) ) )).

fof(fact_card__Diff__insert,axiom,(
    ! [V_B_2,V_aa_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => ( c_member(T_a,V_aa_2,V_A_2)
       => ( ~ c_member(T_a,V_aa_2,V_B_2)
         => c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_aa_2,V_B_2))) = c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,V_B_2)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) ) ) ) )).

fof(fact_card_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( c_Finite__Set_Ofinite(T_a,V_A_2)
     => ( c_member(T_a,V_x_2,V_A_2)
       => c_Finite__Set_Ocard(T_a,V_A_2) = c_Groups_Oplus__class_Oplus(tc_Nat_Onat,c_Groups_Oone__class_Oone(tc_Nat_Onat),c_Finite__Set_Ocard(T_a,c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool),V_A_2,c_Set_Oinsert(T_a,V_x_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_diff__less__mono2,axiom,(
    ! [V_l,V_n,V_m] :
      ( c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_m,V_n)
     => ( c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_m,V_l)
       => c_Orderings_Oord__class_Oless(tc_Nat_Onat,c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_l,V_n),c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_l,V_m)) ) ) )).

fof(fact_less__diff__conv,axiom,(
    ! [V_k_2,V_j_2,V_i_2] :
      ( c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_i_2,c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_j_2,V_k_2))
    <=> c_Orderings_Oord__class_Oless(tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_i_2,V_k_2),V_j_2) ) )).

fof(fact_add__diff__inverse,axiom,(
    ! [V_n,V_m] :
      ( ~ c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_m,V_n)
     => c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_n,c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_m,V_n)) = V_m ) )).

fof(fact_diff__cancel2,axiom,(
    ! [V_n,V_k,V_m] : c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_m,V_k),c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_n,V_k)) = c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_m,V_n) )).

fof(fact_diff__cancel,axiom,(
    ! [V_n,V_m,V_k] : c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_k,V_m),c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_k,V_n)) = c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_m,V_n) )).

fof(fact_diff__diff__left,axiom,(
    ! [V_k,V_j,V_i] : c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_i,V_j),V_k) = c_Groups_Ominus__class_Ominus(tc_Nat_Onat,V_i,c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_j,V_k)) )).

fof(fact_diff__add__inverse,axiom,(
    ! [V_m,V_n] : c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_n,V_m),V_n) = V_m )).

fof(fact_diff__add__inverse2,axiom,(
    ! [V_n,V_m] : c_Groups_Ominus__class_Ominus(tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat,V_m,V_n),V_n) = V_m )).

fof(fact_add__diff__cancel,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => c_Groups_Ominus__class_Ominus(T_a,c_Groups_Oplus__class_Oplus(T_a,V_a,V_b),V_b) = V_a ) )).

fof(fact_diff__add__cancel,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => c_Groups_Oplus__class_Oplus(T_a,c_Groups_Ominus__class_Ominus(T_a,V_a,V_b),V_b) = V_a ) )).

fof(fact_nat__less__cases,axiom,(
    ! [V_Pa_2,V_n_2,V_m_2] :
      ( ( c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_m_2,V_n_2)
       => hBOOL(hAPP(hAPP(V_Pa_2,V_n_2),V_m_2)) )
     => ( ( V_m_2 = V_n_2
         => hBOOL(hAPP(hAPP(V_Pa_2,V_n_2),V_m_2)) )
       => ( ( c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_n_2,V_m_2)
           => hBOOL(hAPP(hAPP(V_Pa_2,V_n_2),V_m_2)) )
         => hBOOL(hAPP(hAPP(V_Pa_2,V_n_2),V_m_2)) ) ) ) )).

fof(fact_less__not__refl3,axiom,(
    ! [V_t,V_s] :
      ( c_Orderings_Oord__class_Oless(tc_Nat_Onat,V_s,V_t)
     => V_s != V_t ) )).

%----Arity declarations (36)
fof(arity_HOL__Obool__Lattices_Obounded__lattice,axiom,(
    class_Lattices_Obounded__lattice(tc_HOL_Obool) )).

fof(arity_fun__Lattices_Obounded__lattice,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Obounded__lattice(T_1)
     => class_Lattices_Obounded__lattice(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Obounded__lattice__bot,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Obounded__lattice(T_1)
     => class_Lattices_Obounded__lattice__bot(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Osemilattice__sup,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Olattice(T_1)
     => class_Lattices_Osemilattice__sup(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Osemilattice__inf,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Olattice(T_1)
     => class_Lattices_Osemilattice__inf(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Odistrib__lattice,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Odistrib__lattice(T_1)
     => class_Lattices_Odistrib__lattice(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Opreorder,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Opreorder(T_1)
     => class_Orderings_Opreorder(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Finite__Set_Ofinite,axiom,(
    ! [T_1,T_2] :
      ( ( class_Finite__Set_Ofinite(T_2)
        & class_Finite__Set_Ofinite(T_1) )
     => class_Finite__Set_Ofinite(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Olattice,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Olattice(T_1)
     => class_Lattices_Olattice(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Oorder,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Oorder(T_1)
     => class_Orderings_Oorder(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Oord,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Oord(T_1)
     => class_Orderings_Oord(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Obot,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Obot(T_1)
     => class_Orderings_Obot(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Groups_Ominus,axiom,(
    ! [T_2,T_1] :
      ( class_Groups_Ominus(T_1)
     => class_Groups_Ominus(tc_fun(T_2,T_1)) ) )).

fof(arity_Nat__Onat__Lattices_Osemilattice__sup,axiom,(
    class_Lattices_Osemilattice__sup(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Lattices_Osemilattice__inf,axiom,(
    class_Lattices_Osemilattice__inf(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Lattices_Odistrib__lattice,axiom,(
    class_Lattices_Odistrib__lattice(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Opreorder,axiom,(
    class_Orderings_Opreorder(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Olinorder,axiom,(
    class_Orderings_Olinorder(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Lattices_Olattice,axiom,(
    class_Lattices_Olattice(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Oorder,axiom,(
    class_Orderings_Oorder(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Oord,axiom,(
    class_Orderings_Oord(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Obot,axiom,(
    class_Orderings_Obot(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Ominus,axiom,(
    class_Groups_Ominus(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oone,axiom,(
    class_Groups_Oone(tc_Nat_Onat) )).

fof(arity_HOL__Obool__Lattices_Obounded__lattice__bot,axiom,(
    class_Lattices_Obounded__lattice__bot(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Osemilattice__sup,axiom,(
    class_Lattices_Osemilattice__sup(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Osemilattice__inf,axiom,(
    class_Lattices_Osemilattice__inf(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Odistrib__lattice,axiom,(
    class_Lattices_Odistrib__lattice(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Opreorder,axiom,(
    class_Orderings_Opreorder(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Finite__Set_Ofinite,axiom,(
    class_Finite__Set_Ofinite(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Olattice,axiom,(
    class_Lattices_Olattice(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Oorder,axiom,(
    class_Orderings_Oorder(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Oord,axiom,(
    class_Orderings_Oord(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Obot,axiom,(
    class_Orderings_Obot(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Groups_Ominus,axiom,(
    class_Groups_Ominus(tc_HOL_Obool) )).

fof(arity_prod__Finite__Set_Ofinite,axiom,(
    ! [T_1,T_2] :
      ( ( class_Finite__Set_Ofinite(T_2)
        & class_Finite__Set_Ofinite(T_1) )
     => class_Finite__Set_Ofinite(tc_prod(T_2,T_1)) ) )).

%----Helper facts (2)
fof(help_c__fequal__1,axiom,(
    ! [V_y_2,V_x_2] :
      ( ~ hBOOL(hAPP(c_fequal(V_x_2),V_y_2))
      | V_x_2 = V_y_2 ) )).

fof(help_c__fequal__2,axiom,(
    ! [V_y_2,V_x_2] :
      ( V_x_2 != V_y_2
      | hBOOL(hAPP(c_fequal(V_x_2),V_y_2)) ) )).

%----Conjectures (1)
fof(conj_0,conjecture,(
    c_member(tc_fun(tc_Arrow__Order__Mirabelle_Oindi,tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool)),c_Fun_Ocomp(tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),tc_fun(tc_prod(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),tc_HOL_Obool),tc_Arrow__Order__Mirabelle_Oindi,c_Relation_Oconverse(tc_Arrow__Order__Mirabelle_Oalt,tc_Arrow__Order__Mirabelle_Oalt),v_P____),c_Arrow__Order__Mirabelle_OProf) )).

%------------------------------------------------------------------------------
