%------------------------------------------------------------------------------
% File     : SWW380+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Software Verification
% Problem  : Hoare's Logic with Procedures 435603, 5000 axioms selected
% Version  : Especial.
% English  :

% Refs     : [BN10]  Boehme & Nipkow (2010), Sledgehammer: Judgement Day
%          : [Bla11] Blanchette (2011), Email to Geoff Sutcliffe
% Source   : [Bla11]
% Names    : hoare_435603.5000.p [Bla11]

% Status   : Theorem
% Rating   : 0.92 v6.1.0, 0.93 v6.0.0, 0.91 v5.5.0, 0.93 v5.4.0, 0.96 v5.3.0, 1.00 v5.2.0
% Syntax   : Number of formulae    : 5242 (1729 unit)
%            Number of atoms       : 12613 (4521 equality)
%            Maximal formula depth :   22 (   6 average)
%            Number of connectives : 8380 (1009   ~; 155   |; 720   &)
%                                         ( 896 <=>;5600  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :  144 (   2 propositional; 0-6 arity)
%            Number of functors    :  382 (  54 constant; 0-7 arity)
%            Number of variables   : 16651 (   0 sgn;16506   !; 145   ?)
%            Maximal term depth    :   19 (   3 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : This file was generated by Isabelle (most likely Sledgehammer)
%            2011-03-01 12:55:02
%------------------------------------------------------------------------------
%----Relevant facts (4986)
fof(fact_ext,axiom,(
    ! [V_g_2,V_f_2] :
      ( ! [B_x] : hAPP(V_f_2,B_x) = hAPP(V_g_2,B_x)
     => V_f_2 = V_g_2 ) )).

fof(fact_asm,axiom,(
    ! [V_G_2,V_ts_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)),V_ts_2),V_G_2))
     => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_2) ) )).

fof(fact_weaken,axiom,(
    ! [V_ts_2,V_ts_H_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_H_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)),V_ts_2),V_ts_H_2))
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_2) ) ) )).

fof(fact_thin,axiom,(
    ! [V_G_2,V_ts_2,V_G_H_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_H_2,V_ts_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)),V_G_H_2),V_G_2))
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_2) ) ) )).

fof(fact_cut,axiom,(
    ! [V_G_2,V_ts_2,V_G_H_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_H_2,V_ts_2)
     => ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_G_H_2)
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_2) ) ) )).

fof(fact_finite__imageI,axiom,(
    ! [V_h_2,T_b,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(c_Set_Oimage(T_a,T_b,V_h_2),V_Fa_2))) ) )).

fof(fact_finite__surj,axiom,(
    ! [V_f_2,V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),V_B_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2)) ) ) )).

fof(fact_equalityI,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
       => V_A_2 = V_B_2 ) ) )).

fof(fact_order__refl,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_x)) ) )).

fof(fact_subset__image__iff,axiom,(
    ! [V_A_2,V_f_2,T_b,V_B_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)))
    <=> ? [B_AA] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),B_AA),V_A_2))
          & V_B_2 = hAPP(c_Set_Oimage(T_b,T_a,V_f_2),B_AA) ) ) )).

fof(fact_image__mono,axiom,(
    ! [V_f_2,T_b,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2))) ) )).

fof(fact_rev__finite__subset,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) ) )).

fof(fact_finite__subset,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) ) )).

fof(fact_le__fun__def,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Oord(T_b)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,T_b)),V_f_2),V_g_2))
      <=> ! [B_x] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_f_2,B_x)),hAPP(V_g_2,B_x))) ) ) )).

fof(fact_le__funD,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Oord(T_b)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,T_b)),V_f_2),V_g_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_f_2,V_x_2)),hAPP(V_g_2,V_x_2))) ) ) )).

fof(fact_le__funE,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Oord(T_b)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,T_b)),V_f_2),V_g_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_f_2,V_x_2)),hAPP(V_g_2,V_x_2))) ) ) )).

fof(fact_image__image,axiom,(
    ! [V_A_2,V_g_2,T_c,V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_Set_Oimage(T_c,T_b,V_g_2),V_A_2)) = hAPP(c_Set_Oimage(T_c,T_a,hAPP(hAPP(c_COMBB(T_b,T_a,T_c),V_f_2),V_g_2)),V_A_2) )).

fof(fact_linorder__le__cases,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x)) ) ) )).

fof(fact_xt1_I6_J,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z),V_x)) ) ) ) )).

fof(fact_xt1_I5_J,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
         => V_x = V_y ) ) ) )).

fof(fact_order__trans,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_z))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_z)) ) ) ) )).

fof(fact_order__antisym,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
         => V_x = V_y ) ) ) )).

fof(fact_xt1_I4_J,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_a))
       => ( V_b = V_c
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_a)) ) ) ) )).

fof(fact_ord__le__eq__trans,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( V_b = V_c
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_c)) ) ) ) )).

fof(fact_xt1_I3_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( V_a = V_b
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_a)) ) ) ) )).

fof(fact_ord__eq__le__trans,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( V_a = V_b
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_c)) ) ) ) )).

fof(fact_order__antisym__conv,axiom,(
    ! [V_x_2,V_y_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_x_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
        <=> V_x_2 = V_y_2 ) ) ) )).

fof(fact_order__eq__refl,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( V_x = V_y
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y)) ) ) )).

fof(fact_order__eq__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( V_x_2 = V_y_2
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_x_2)) ) ) ) )).

fof(fact_linorder__linear,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
        | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x)) ) ) )).

fof(fact_finite__code,axiom,(
    ! [V_A_2,T_a] :
      ( class_Finite__Set_Ofinite(T_a)
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_finite,axiom,(
    ! [V_A_2,T_a] :
      ( class_Finite__Set_Ofinite(T_a)
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_equalityE,axiom,(
    ! [T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
     => ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
         => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)) ) ) )).

fof(fact_subset__trans,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) ) ) )).

fof(fact_equalityD2,axiom,(
    ! [T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)) ) )).

fof(fact_equalityD1,axiom,(
    ! [T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_set__eq__subset,axiom,(
    ! [T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)) ) ) )).

fof(fact_subset__refl,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_A_2)) )).

fof(fact_finite__dom__body,axiom,(
    hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Com_Opname),c_Map_Odom(tc_Com_Opname,tc_Com_Ocom,c_Com_Obody))) )).

fof(fact_MGT__Body,axiom,(
    ! [V_Procs_2,V_G_2] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)),V_G_2),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),hAPP(hAPP(c_COMBB(tc_Com_Ocom,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_Com_Opname),c_Hoare__Mirabelle_OMGT),c_Com_Ocom_OBODY)),V_Procs_2)),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),hAPP(hAPP(c_COMBB(tc_Com_Ocom,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_Com_Opname),c_Hoare__Mirabelle_OMGT),hAPP(hAPP(c_COMBB(tc_Option_Ooption(tc_Com_Ocom),tc_Com_Ocom,tc_Com_Opname),c_Option_Othe(tc_Com_Ocom)),c_Com_Obody))),V_Procs_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Com_Opname),V_Procs_2))
       => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),hAPP(hAPP(c_COMBB(tc_Com_Ocom,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_Com_Opname),c_Hoare__Mirabelle_OMGT),c_Com_Ocom_OBODY)),V_Procs_2)) ) ) )).

fof(fact_folding__image__simple__idem_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple__idem(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),V_B_2),V_A_2))
         => hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_B_2)),hAPP(V_Fa_2,V_A_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) )).

fof(fact_image__ident,axiom,(
    ! [V_Y_2,T_a] : hAPP(c_Set_Oimage(T_a,T_a,c_COMBI(T_a)),V_Y_2) = V_Y_2 )).

fof(fact_finite__subset__image,axiom,(
    ! [V_A_2,V_f_2,T_b,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)))
       => ? [B_C] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),B_C),V_A_2))
            & hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),B_C))
            & V_B_2 = hAPP(c_Set_Oimage(T_b,T_a,V_f_2),B_C) ) ) ) )).

fof(fact_com_Osimps_I6_J,axiom,(
    ! [V_pname_H_2,V_pname_2] :
      ( hAPP(c_Com_Ocom_OBODY,V_pname_2) = hAPP(c_Com_Ocom_OBODY,V_pname_H_2)
    <=> V_pname_2 = V_pname_H_2 ) )).

fof(fact_predicate1D,axiom,(
    ! [V_x_2,V_Q_2,V_P_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_P_2),V_Q_2))
     => ( hBOOL(hAPP(V_P_2,V_x_2))
       => hBOOL(hAPP(V_Q_2,V_x_2)) ) ) )).

fof(fact_rev__predicate1D,axiom,(
    ! [V_Q_2,T_a,V_x_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_x_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_P_2),V_Q_2))
       => hBOOL(hAPP(V_Q_2,V_x_2)) ) ) )).

fof(fact_MGT__BodyN,axiom,(
    ! [V_G_2,V_pn_2] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,hAPP(c_Com_Ocom_OBODY,V_pn_2))),V_G_2),hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_pn_2)))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool))))
     => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,hAPP(c_Com_Ocom_OBODY,V_pn_2))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)))) ) )).

fof(fact_hoare__derivs_OBody,axiom,(
    ! [V_Procs_2,V_Q_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)),V_G_2),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),c_Com_Ocom_OBODY)),V_Q_2)),V_Procs_2)),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),hAPP(hAPP(c_COMBB(tc_Option_Ooption(tc_Com_Ocom),tc_Com_Ocom,tc_Com_Opname),c_Option_Othe(tc_Com_Ocom)),c_Com_Obody))),V_Q_2)),V_Procs_2))
     => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),c_Com_Ocom_OBODY)),V_Q_2)),V_Procs_2)) ) )).

fof(fact_evalc_OBody,axiom,(
    ! [V_s1,V_s0,V_pn] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_pn))),V_s0),V_s1))
     => hBOOL(hAPP(hAPP(c_Natural_Oevalc(hAPP(c_Com_Ocom_OBODY,V_pn)),V_s0),V_s1)) ) )).

fof(fact_evalc__elim__cases_I6_J,axiom,(
    ! [V_s1,V_s,V_P] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(hAPP(c_Com_Ocom_OBODY,V_P)),V_s),V_s1))
     => hBOOL(hAPP(hAPP(c_Natural_Oevalc(hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_P))),V_s),V_s1)) ) )).

fof(fact_sup1CI,axiom,(
    ! [T_a,V_A_2,V_x_2,V_B_2] :
      ( ( ~ hBOOL(hAPP(V_B_2,V_x_2))
       => hBOOL(hAPP(V_A_2,V_x_2)) )
     => hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2)) ) )).

fof(fact_sup1E,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2))
     => ( ~ hBOOL(hAPP(V_A_2,V_x_2))
       => hBOOL(hAPP(V_B_2,V_x_2)) ) ) )).

fof(fact_finite_OemptyI,axiom,(
    ! [T_a] : hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_finite_OinsertI,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2))) ) )).

fof(fact_empty__subsetI,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_A_2)) )).

fof(fact_empty__not__insert,axiom,(
    ! [V_A_2,V_a_2,T_a] : c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) != hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2) )).

fof(fact_insert__not__empty,axiom,(
    ! [V_A_2,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_bot__fun__def,axiom,(
    ! [V_x_2,T_b,T_a] :
      ( class_Orderings_Obot(T_a)
     => hAPP(c_Orderings_Obot__class_Obot(tc_fun(T_b,T_a)),V_x_2) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_bot__apply,axiom,(
    ! [V_x_2,T_b,T_a] :
      ( class_Orderings_Obot(T_a)
     => hAPP(c_Orderings_Obot__class_Obot(tc_fun(T_b,T_a)),V_x_2) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_Un__empty__left,axiom,(
    ! [V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_B_2) = V_B_2 )).

fof(fact_Un__empty__right,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = V_A_2 )).

fof(fact_Un__absorb,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_A_2) = V_A_2 )).

fof(fact_Un__commute,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2) )).

fof(fact_insert__is__Un,axiom,(
    ! [V_A_2,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_A_2) )).

fof(fact_insert__absorb2,axiom,(
    ! [V_A_2,V_x_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2) )).

fof(fact_Un__left__absorb,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_insert__commute,axiom,(
    ! [V_A_2,V_y_2,V_x_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),V_A_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) )).

fof(fact_Un__insert__right,axiom,(
    ! [V_B_2,V_a_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) )).

fof(fact_Un__left__commute,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) )).

fof(fact_Un__empty,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        & V_B_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_Un__insert__left,axiom,(
    ! [V_C_2,V_B_2,V_a_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) )).

fof(fact_Un__assoc,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) )).

fof(fact_bex__Un,axiom,(
    ! [V_P_2,V_B_2,V_A_2,T_a] :
      ( ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
          & hBOOL(hAPP(V_P_2,B_x)) )
    <=> ( ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
            & hBOOL(hAPP(V_P_2,B_x)) )
        | ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_B_2))
            & hBOOL(hAPP(V_P_2,B_x)) ) ) ) )).

fof(fact_ball__Un,axiom,(
    ! [V_P_2,V_B_2,V_A_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
         => hBOOL(hAPP(V_P_2,B_x)) )
    <=> ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(V_P_2,B_x)) )
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_B_2))
           => hBOOL(hAPP(V_P_2,B_x)) ) ) ) )).

fof(fact_doubleton__eq__iff,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = hAPP(hAPP(c_Set_Oinsert(T_a),V_c_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_d_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
    <=> ( ( V_a_2 = V_c_2
          & V_b_2 = V_d_2 )
        | ( V_a_2 = V_d_2
          & V_b_2 = V_c_2 ) ) ) )).

fof(fact_insert__code,axiom,(
    ! [V_x_2,V_A_2,V_y_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),V_A_2),V_x_2))
    <=> ( V_y_2 = V_x_2
        | hBOOL(hAPP(V_A_2,V_x_2)) ) ) )).

fof(fact_singleton__inject,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))
     => V_a_2 = V_b_2 ) )).

fof(fact_com__det,axiom,(
    ! [V_u,V_t,V_s,V_c] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c),V_s),V_t))
     => ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c),V_s),V_u))
       => V_u = V_t ) ) )).

fof(fact_sup1I2,axiom,(
    ! [V_A_2,T_a,V_x_2,V_B_2] :
      ( hBOOL(hAPP(V_B_2,V_x_2))
     => hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2)) ) )).

fof(fact_sup1I1,axiom,(
    ! [V_B_2,T_a,V_x_2,V_A_2] :
      ( hBOOL(hAPP(V_A_2,V_x_2))
     => hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2)) ) )).

fof(fact_triple_Oinject,axiom,(
    ! [V_fun2_H_2,V_com_H_2,V_fun1_H_2,V_fun2_2,V_com_2,V_fun1_2,T_a] :
      ( hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_fun1_2),V_com_2),V_fun2_2) = hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_fun1_H_2),V_com_H_2),V_fun2_H_2)
    <=> ( V_fun1_2 = V_fun1_H_2
        & V_com_2 = V_com_H_2
        & V_fun2_2 = V_fun2_H_2 ) ) )).

fof(fact_subset__singletonD,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))
     => ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        | V_A_2 = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) ) ) )).

fof(fact_hoare__derivs_Oinsert,axiom,(
    ! [V_ts_2,V_t_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),V_t_2),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_2)
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),V_t_2),V_ts_2)) ) ) )).

fof(fact_derivs__insertD,axiom,(
    ! [V_ts_2,V_t_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),V_t_2),V_ts_2))
     => ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),V_t_2),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
        & c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_2) ) ) )).

fof(fact_folding__image__simple__idem_Oidem,axiom,(
    ! [V_x_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple__idem(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => hAPP(hAPP(V_f_2,V_x_2),V_x_2) = V_x_2 ) )).

fof(fact_image__constant__conv,axiom,(
    ! [V_c_2,T_b,T_a,V_A_2] :
      ( ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(T_a,T_b,hAPP(c_COMBK(T_b,T_a),V_c_2)),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(T_a,T_b,hAPP(c_COMBK(T_b,T_a),V_c_2)),V_A_2) = hAPP(hAPP(c_Set_Oinsert(T_b),V_c_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) ) ) )).

fof(fact_folding__image__simple__idem_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple__idem(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
         => hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_folding__image__simple__idem_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple__idem(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,V_A_2)) ) ) )).

fof(fact_MGT__def,axiom,(
    ! [V_c_2] : hAPP(c_Hoare__Mirabelle_OMGT,V_c_2) = hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(tc_Com_Ostate),c_fequal),V_c_2),c_Natural_Oevalc(V_c_2)) )).

fof(fact_finite__Un,axiom,(
    ! [V_G_2,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_Fa_2),V_G_2)))
    <=> ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_G_2)) ) ) )).

fof(fact_finite__UnI,axiom,(
    ! [V_G_2,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_G_2))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_Fa_2),V_G_2))) ) ) )).

fof(fact_finite__insert,axiom,(
    ! [V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)))
    <=> hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_Un__upper1,axiom,(
    ! [V_B_2,V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) )).

fof(fact_Un__upper2,axiom,(
    ! [V_A_2,V_B_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) )).

fof(fact_subset__Un__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
    <=> hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = V_B_2 ) )).

fof(fact_Un__absorb1,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = V_B_2 ) )).

fof(fact_Un__absorb2,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = V_A_2 ) )).

fof(fact_Un__least,axiom,(
    ! [V_B_2,V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2)) ) ) )).

fof(fact_Un__mono,axiom,(
    ! [V_D_2,V_B_2,V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_D_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_D_2))) ) ) )).

fof(fact_subset__insertI,axiom,(
    ! [V_a_2,V_B_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2))) )).

fof(fact_subset__insertI2,axiom,(
    ! [V_b_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),V_B_2))) ) )).

fof(fact_insert__mono,axiom,(
    ! [V_a_2,V_D_2,V_C_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_D_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_C_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_D_2))) ) )).

fof(fact_image__Un,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_B_2)) )).

fof(fact_image__insert,axiom,(
    ! [V_B_2,V_a_2,V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),hAPP(V_f_2,V_a_2)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_B_2)) )).

fof(fact_finite_Oequations_I1_J,axiom,(
    ! [T_a] : hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_subset__empty,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_empty__is__image,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) ) )).

fof(fact_image__empty,axiom,(
    ! [V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_image__is__empty,axiom,(
    ! [V_A_2,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) ) )).

fof(fact_empty,axiom,(
    ! [V_G_2,T_a] : c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))) )).

fof(fact_hoare__derivs_Oequations_I1_J,axiom,(
    ! [V_a_2,T_a] : c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_a_2,c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))) )).

fof(fact_weak__Body,axiom,(
    ! [V_Q_2,V_pn_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_pn_2))),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Com_Ocom_OBODY,V_pn_2)),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) )).

fof(fact_BodyN,axiom,(
    ! [V_G_2,V_Q_2,V_pn_2,V_P_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Com_Ocom_OBODY,V_pn_2)),V_Q_2)),V_G_2),hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_pn_2))),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Com_Ocom_OBODY,V_pn_2)),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) )).

fof(fact_bot__least,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Obot(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Orderings_Obot__class_Obot(T_a)),V_x)) ) )).

fof(fact_evalc_Oequations_I9_J,axiom,(
    ! [V_a3_2,V_a2_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(hAPP(c_Com_Ocom_OBODY,V_a1_2)),V_a2_2),V_a3_2))
    <=> hBOOL(hAPP(hAPP(c_Natural_Oevalc(hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_a1_2))),V_a2_2),V_a3_2)) ) )).

fof(fact_Body__sound__lemma,axiom,(
    ! [V_Procs_2,V_Q_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__valids(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)),V_G_2),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),c_Com_Ocom_OBODY)),V_Q_2)),V_Procs_2)),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),hAPP(hAPP(c_COMBB(tc_Option_Ooption(tc_Com_Ocom),tc_Com_Ocom,tc_Com_Opname),c_Option_Othe(tc_Com_Ocom)),c_Com_Obody))),V_Q_2)),V_Procs_2))
     => c_Hoare__Mirabelle_Ohoare__valids(T_a,V_G_2,hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),c_Com_Ocom_OBODY)),V_Q_2)),V_Procs_2)) ) )).

fof(fact_Body1,axiom,(
    ! [V_pn_2,V_Procs_2,V_Q_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)),V_G_2),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),c_Com_Ocom_OBODY)),V_Q_2)),V_Procs_2)),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(T_a),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(c_COMBS(tc_Com_Opname,tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_a))),tc_Com_Opname),c_Hoare__Mirabelle_Otriple_Otriple(T_a)),V_P_2)),hAPP(hAPP(c_COMBB(tc_Option_Ooption(tc_Com_Ocom),tc_Com_Ocom,tc_Com_Opname),c_Option_Othe(tc_Com_Ocom)),c_Com_Obody))),V_Q_2)),V_Procs_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Com_Opname),V_pn_2),V_Procs_2))
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),hAPP(V_P_2,V_pn_2)),hAPP(c_Com_Ocom_OBODY,V_pn_2)),hAPP(V_Q_2,V_pn_2))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) ) )).

fof(fact_MGF__complete,axiom,(
    ! [V_Q_2,V_P_2,V_c_2] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,V_c_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool))))
     => ( c_Hoare__Mirabelle_Ohoare__valids(tc_Com_Ostate,c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(tc_Com_Ostate),V_P_2),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool))))
       => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(tc_Com_Ostate),V_P_2),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)))) ) ) )).

fof(fact_MGF,axiom,(
    ! [V_c_2] :
      ( c_Hoare__Mirabelle_Ostate__not__singleton
     => ( c_Com_OWT__bodies
       => ( hBOOL(hAPP(c_Com_OWT,V_c_2))
         => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,V_c_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)))) ) ) ) )).

fof(fact_finite__pointwise,axiom,(
    ! [V_Q_2,V_P_2,V_Q_H_2,V_c0_2,V_P_H_2,V_G_2,T_b,V_U_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_U_2))
     => ( ! [B_p] :
            ( c_Hoare__Mirabelle_Ohoare__derivs(T_b,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_b)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_b),hAPP(V_P_H_2,B_p)),hAPP(V_c0_2,B_p)),hAPP(V_Q_H_2,B_p))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_b),tc_HOL_Obool))))
           => c_Hoare__Mirabelle_Ohoare__derivs(T_b,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_b)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_b),hAPP(V_P_2,B_p)),hAPP(V_c0_2,B_p)),hAPP(V_Q_2,B_p))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_b),tc_HOL_Obool)))) )
       => ( c_Hoare__Mirabelle_Ohoare__derivs(T_b,V_G_2,hAPP(c_Set_Oimage(T_a,tc_Hoare__Mirabelle_Otriple(T_b),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_b)),hAPP(hAPP(c_COMBS(T_a,tc_Com_Ocom,tc_fun(tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_b))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_b))),T_a),c_Hoare__Mirabelle_Otriple_Otriple(T_b)),V_P_H_2)),V_c0_2)),V_Q_H_2)),V_U_2))
         => c_Hoare__Mirabelle_Ohoare__derivs(T_b,V_G_2,hAPP(c_Set_Oimage(T_a,tc_Hoare__Mirabelle_Otriple(T_b),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_b)),hAPP(hAPP(c_COMBS(T_a,tc_Com_Ocom,tc_fun(tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_b))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_b,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Hoare__Mirabelle_Otriple(T_b))),T_a),c_Hoare__Mirabelle_Otriple_Otriple(T_b)),V_P_2)),V_c0_2)),V_Q_2)),V_U_2)) ) ) ) )).

fof(fact_the__elem__eq,axiom,(
    ! [V_x_2,T_a] : c_Set_Othe__elem(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 )).

fof(fact_MGT__alternD,axiom,(
    ! [V_c_2,V_G_2] :
      ( c_Hoare__Mirabelle_Ostate__not__singleton
     => ( c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(tc_Com_Ostate),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_Com_Ostate),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_HOL_Obool,tc_Com_Ostate),c_HOL_OAll(tc_Com_Ostate))),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Com_Ostate),hAPP(c_COMBC(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Com_Ostate),c_COMBS(tc_Com_Ostate,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_Com_Ostate),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Com_Ostate),c_fimplies)),c_Natural_Oevalc(V_c_2))))),c_fequal))),V_c_2),c_fequal)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool))))
       => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,V_c_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)))) ) ) )).

fof(fact_sup__fun__def,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,T_a)),V_f_2),V_g_2),V_x_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(V_f_2,V_x_2)),hAPP(V_g_2,V_x_2)) ) )).

fof(fact_triple_Osimps_I2_J,axiom,(
    ! [V_fun2_2,V_com_2,V_fun1_2,V_f1_2,T_a,T_b] : c_Hoare__Mirabelle_Otriple_Otriple__case(T_b,T_a,V_f1_2,hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_b),V_fun1_2),V_com_2),V_fun2_2)) = hAPP(hAPP(hAPP(V_f1_2,V_fun1_2),V_com_2),V_fun2_2) )).

fof(fact_triple_Orecs,axiom,(
    ! [V_fun2_2,V_com_2,V_fun1_2,V_f1_2,T_a,T_b] : c_Hoare__Mirabelle_Otriple_Otriple__rec(T_b,T_a,V_f1_2,hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_b),V_fun1_2),V_com_2),V_fun2_2)) = hAPP(hAPP(hAPP(V_f1_2,V_fun1_2),V_com_2),V_fun2_2) )).

fof(fact_sup__apply,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,T_a)),V_f_2),V_g_2),V_x_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(V_f_2,V_x_2)),hAPP(V_g_2,V_x_2)) ) )).

fof(fact_MGT__alternI,axiom,(
    ! [V_c_2,V_G_2] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,V_c_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool))))
     => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(tc_Com_Ostate),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_Com_Ostate),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_HOL_Obool,tc_Com_Ostate),c_HOL_OAll(tc_Com_Ostate))),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Com_Ostate),hAPP(c_COMBC(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Com_Ostate),c_COMBS(tc_Com_Ostate,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_Com_Ostate),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Com_Ostate),c_fimplies)),c_Natural_Oevalc(V_c_2))))),c_fequal))),V_c_2),c_fequal)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)))) ) )).

fof(fact_equalityCE,axiom,(
    ! [V_c_2,T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
     => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
         => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) )
       => ~ ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
           => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) ) )).

fof(fact_emptyE,axiom,(
    ! [V_a_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_insertCI,axiom,(
    ! [V_b_2,V_B_2,V_a_2,T_a] :
      ( ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_B_2))
       => V_a_2 = V_b_2 )
     => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),V_B_2))) ) )).

fof(fact_insertE,axiom,(
    ! [V_A_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),V_A_2)))
     => ( V_a_2 != V_b_2
       => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) ) )).

fof(fact_subsetD,axiom,(
    ! [V_c_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_image__eqI,axiom,(
    ! [T_a,V_A_2,T_b,V_x_2,V_f_2,V_b_2] :
      ( V_b_2 = hAPP(V_f_2,V_x_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2))) ) ) )).

fof(fact_UnCI,axiom,(
    ! [V_A_2,V_B_2,V_c_2,T_a] :
      ( ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2)) )
     => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) )).

fof(fact_UnE,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_eq__mem,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_fequal,V_y_2)))
    <=> V_x_2 = V_y_2 ) )).

fof(fact_eq__mem__trans,axiom,(
    ! [V_A_2,T_a,V_b_2,V_a_2] :
      ( V_a_2 = V_b_2
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) ) )).

fof(fact_eqelem__imp__iff,axiom,(
    ! [V_A_2,T_a,V_y_2,V_x_2] :
      ( V_x_2 = V_y_2
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
      <=> hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2)) ) ) )).

fof(fact_eqset__imp__iff,axiom,(
    ! [V_x_2,T_a,V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
      <=> hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2)) ) ) )).

fof(fact_mem__def,axiom,(
    ! [V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
    <=> hBOOL(hAPP(V_A_2,V_x_2)) ) )).

fof(fact_pred__equals__eq,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_R_2) = hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_S_2)
    <=> V_R_2 = V_S_2 ) )).

fof(fact_equals0D,axiom,(
    ! [V_a_2,T_a,V_A_2] :
      ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
     => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) )).

fof(fact_empty__iff,axiom,(
    ! [V_c_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_ex__in__conv,axiom,(
    ! [V_A_2,T_a] :
      ( ? [B_x] : hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
    <=> V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_all__not__in__conv,axiom,(
    ! [V_A_2,T_a] :
      ( ! [B_x] : ~ hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_insert__absorb,axiom,(
    ! [V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2) = V_A_2 ) )).

fof(fact_insertI2,axiom,(
    ! [V_b_2,V_B_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),V_B_2))) ) )).

fof(fact_insert__ident,axiom,(
    ! [V_B_2,V_A_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2))
       => ( hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_B_2)
        <=> V_A_2 = V_B_2 ) ) ) )).

fof(fact_insert__iff,axiom,(
    ! [V_A_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),V_A_2)))
    <=> ( V_a_2 = V_b_2
        | hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) ) )).

fof(fact_insertI1,axiom,(
    ! [V_B_2,V_a_2,T_a] : hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2))) )).

fof(fact_set__mp,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2)) ) ) )).

fof(fact_set__rev__mp,axiom,(
    ! [V_B_2,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2)) ) ) )).

fof(fact_in__mono,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2)) ) ) )).

fof(fact_rev__image__eqI,axiom,(
    ! [T_b,V_f_2,V_b_2,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => ( V_b_2 = hAPP(V_f_2,V_x_2)
       => hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2))) ) ) )).

fof(fact_imageI,axiom,(
    ! [V_f_2,T_b,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_member(T_b),hAPP(V_f_2,V_x_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2))) ) )).

fof(fact_image__iff,axiom,(
    ! [V_A_2,V_f_2,T_b,V_z_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_z_2),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)))
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
          & V_z_2 = hAPP(V_f_2,B_x) ) ) )).

fof(fact_UnI2,axiom,(
    ! [V_A_2,V_B_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) )).

fof(fact_UnI1,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) )).

fof(fact_Un__iff,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
        | hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_bot__empty__eq,axiom,(
    ! [V_x_2,T_a] :
      ( hBOOL(hAPP(c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) ) )).

fof(fact_pred__subset__eq,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_R_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_S_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_R_2),V_S_2)) ) )).

fof(fact_sup__Un__eq,axiom,(
    ! [V_x_2,V_S_2,V_R_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_R_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_S_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_R_2),V_S_2))) ) )).

fof(fact_singletonE,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))
     => V_b_2 = V_a_2 ) )).

fof(fact_singleton__iff,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))
    <=> V_b_2 = V_a_2 ) )).

fof(fact_insert__subset,axiom,(
    ! [V_B_2,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)),V_B_2))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_subset__insert,axiom,(
    ! [V_B_2,V_A_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_B_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_insert__image,axiom,(
    ! [V_f_2,T_b,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hAPP(hAPP(c_Set_Oinsert(T_b),hAPP(V_f_2,V_x_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)) = hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2) ) )).

fof(fact_folding__image__simple__idem_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple__idem(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),V_A_2))
         => hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,V_A_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) )).

fof(fact_hoare__sound,axiom,(
    ! [V_ts_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,V_ts_2)
     => c_Hoare__Mirabelle_Ohoare__valids(T_a,V_G_2,V_ts_2) ) )).

fof(fact_sup_Oidem,axiom,(
    ! [V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_a) = V_a ) )).

fof(fact_sup__idem,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_x) = V_x ) )).

fof(fact_sup_Ocommute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_b),V_a) ) )).

fof(fact_inf__sup__aci_I5_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_x) ) )).

fof(fact_sup__commute,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_x) ) )).

fof(fact_sup_Oleft__idem,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b) ) )).

fof(fact_inf__sup__aci_I8_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y) ) )).

fof(fact_sup__left__idem,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y) ) )).

fof(fact_sup_Oleft__commute,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_b),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_c)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_b),V_c)) ) )).

fof(fact_inf__sup__aci_I7_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_z)) ) )).

fof(fact_sup__left__commute,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_z)) ) )).

fof(fact_sup_Oassoc,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_b),V_c)) ) )).

fof(fact_inf__sup__aci_I6_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)) ) )).

fof(fact_sup__assoc,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)) ) )).

fof(fact_image__constant,axiom,(
    ! [V_c_2,T_b,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hAPP(c_Set_Oimage(T_a,T_b,hAPP(c_COMBK(T_b,T_a),V_c_2)),V_A_2) = hAPP(hAPP(c_Set_Oinsert(T_b),V_c_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) ) )).

fof(fact_le__supE,axiom,(
    ! [V_x,V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b)),V_x))
       => ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_x))
           => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_x)) ) ) ) )).

fof(fact_sup__mono,axiom,(
    ! [V_d,V_b,V_c,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_c))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_c),V_d))) ) ) ) )).

fof(fact_sup__least,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z),V_x))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)),V_x)) ) ) ) )).

fof(fact_le__supI,axiom,(
    ! [V_b,V_x,V_a,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_x))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b)),V_x)) ) ) ) )).

fof(fact_sup__absorb1,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y) = V_x ) ) )).

fof(fact_sup__absorb2,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y) = V_y ) ) )).

fof(fact_le__supI2,axiom,(
    ! [V_a,V_b,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b))) ) ) )).

fof(fact_le__supI1,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b))) ) ) )).

fof(fact_le__sup__iff,axiom,(
    ! [V_z_2,V_y_2,V_x_2,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),V_y_2)),V_z_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_z_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_z_2)) ) ) ) )).

fof(fact_le__iff__sup,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
      <=> hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),V_y_2) = V_y_2 ) ) )).

fof(fact_sup__ge2,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y))) ) )).

fof(fact_inf__sup__ord_I4_J,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y))) ) )).

fof(fact_sup__ge1,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y))) ) )).

fof(fact_inf__sup__ord_I3_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y))) ) )).

fof(fact_sup__bot__left,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Orderings_Obot__class_Obot(T_a)),V_x) = V_x ) )).

fof(fact_sup__bot__right,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),c_Orderings_Obot__class_Obot(T_a)) = V_x ) )).

fof(fact_sup__eq__bot__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => ( hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),V_y_2) = c_Orderings_Obot__class_Obot(T_a)
      <=> ( V_x_2 = c_Orderings_Obot__class_Obot(T_a)
          & V_y_2 = c_Orderings_Obot__class_Obot(T_a) ) ) ) )).

fof(fact_MGF__lemma1,axiom,(
    ! [V_c_2,V_G_2] :
      ( c_Hoare__Mirabelle_Ostate__not__singleton
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_Com_Opname),B_x),c_Map_Odom(tc_Com_Opname,tc_Com_Ocom,c_Com_Obody)))
           => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,hAPP(c_Com_Ocom_OBODY,B_x))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)))) )
       => ( hBOOL(hAPP(c_Com_OWT,V_c_2))
         => c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),hAPP(c_Hoare__Mirabelle_OMGT,V_c_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)))) ) ) ) )).

fof(fact_folding__one_Oinsert,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,V_A_2)) ) ) ) ) )).

fof(fact_folding__one__idem_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) ) )).

fof(fact_folding__one__idem_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
           => hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_B_2)),hAPP(V_Fa_2,V_A_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) ) )).

fof(fact_finite__subset__induct,axiom,(
    ! [V_P_2,V_A_2,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_Fa_2),V_A_2))
       => ( hBOOL(hAPP(V_P_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
         => ( ! [B_a,B_F] :
                ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),B_F))
               => ( hBOOL(hAPP(hAPP(c_member(T_a),B_a),V_A_2))
                 => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),B_a),B_F))
                   => ( hBOOL(hAPP(V_P_2,B_F))
                     => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Set_Oinsert(T_a),B_a),B_F))) ) ) ) )
           => hBOOL(hAPP(V_P_2,V_Fa_2)) ) ) ) ) )).

fof(fact_folding__one__idem_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,V_A_2)) ) ) ) )).

fof(fact_escape,axiom,(
    ! [V_Q_2,V_c_2,V_G_2,T_a,V_P_2] :
      ( ! [B_Z,B_s] :
          ( hBOOL(hAPP(hAPP(V_P_2,B_Z),B_s))
         => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),hAPP(c_COMBK(tc_fun(tc_Com_Ostate,tc_HOL_Obool),T_a),hAPP(hAPP(c_COMBC(tc_Com_Ostate,tc_Com_Ostate,tc_HOL_Obool),c_fequal),B_s))),V_c_2),hAPP(c_COMBK(tc_fun(tc_Com_Ostate,tc_HOL_Obool),T_a),hAPP(V_Q_2,B_Z)))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) )
     => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) )).

fof(fact_hoare__derivs_Oequations_I7_J,axiom,(
    ! [V_a2_2,V_a1_2,T_a] : c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_a1_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_a2_2),c_Com_Ocom_OSKIP),V_a2_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) )).

fof(fact_hoare__derivs_OSkip,axiom,(
    ! [V_P_2,V_G_2,T_a] : c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),c_Com_Ocom_OSKIP),V_P_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) )).

fof(fact_the__elem__def,axiom,(
    ! [V_X_2,T_a] : c_Set_Othe__elem(T_a,V_X_2) = c_HOL_OThe(T_a,hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),hAPP(c_fequal,V_X_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) )).

fof(fact_conseq1,axiom,(
    ! [V_P_2,V_Q_2,V_c_2,V_P_H_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_H_2),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => ( ! [B_Z,B_s] :
            ( hBOOL(hAPP(hAPP(V_P_2,B_Z),B_s))
           => hBOOL(hAPP(hAPP(V_P_H_2,B_Z),B_s)) )
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) ) )).

fof(fact_evalc__elim__cases_I1_J,axiom,(
    ! [V_t,V_s] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OSKIP),V_s),V_t))
     => V_t = V_s ) )).

fof(fact_evalc_OSkip,axiom,(
    ! [V_s] : hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OSKIP),V_s),V_s)) )).

fof(fact_folding__one__idem_Oidem,axiom,(
    ! [V_x_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => hAPP(hAPP(V_f_2,V_x_2),V_x_2) = V_x_2 ) )).

fof(fact_evalc_Oequations_I1_J,axiom,(
    ! [V_a] : hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OSKIP),V_a),V_a)) )).

fof(fact_com_Osimps_I18_J,axiom,(
    ! [V_pname_H] : c_Com_Ocom_OSKIP != hAPP(c_Com_Ocom_OBODY,V_pname_H) )).

fof(fact_com_Osimps_I19_J,axiom,(
    ! [V_pname_H] : hAPP(c_Com_Ocom_OBODY,V_pname_H) != c_Com_Ocom_OSKIP )).

fof(fact_WT_OSkip,axiom,(
    hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OSKIP)) )).

fof(fact_WT_Oequations_I1_J,axiom,(
    hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OSKIP)) )).

fof(fact_folding__one_Osingleton,axiom,(
    ! [V_x_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_folding__one__idem_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,V_A_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) )).

fof(fact_folding__one_Oclosed,axiom,(
    ! [V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(V_f_2,B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(V_Fa_2,V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_conseq2,axiom,(
    ! [V_Q_2,V_Q_H_2,V_c_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),V_c_2),V_Q_H_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => ( ! [B_Z,B_s] :
            ( hBOOL(hAPP(hAPP(V_Q_H_2,B_Z),B_s))
           => hBOOL(hAPP(hAPP(V_Q_2,B_Z),B_s)) )
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) ) )).

fof(fact_folding__one__idem_Ohom__commute,axiom,(
    ! [V_N_2,V_h_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(V_f_2,B_x),B_y)) = hAPP(hAPP(V_f_2,hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,hAPP(V_Fa_2,V_N_2)) = hAPP(V_Fa_2,hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_Comp,axiom,(
    ! [V_R_2,V_d_2,V_Q_2,V_c_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_Q_2),V_d_2),V_R_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),c_Com_Ocom_OSemi(V_c_2,V_d_2)),V_R_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) ) )).

fof(fact_folding__image__simple_Oinsert,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),V_A_2))
         => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,V_A_2)) ) ) ) )).

fof(fact_the__eq__trivial,axiom,(
    ! [V_a_2,T_a] : c_HOL_OThe(T_a,hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2)) = V_a_2 )).

fof(fact_the__sym__eq__trivial,axiom,(
    ! [V_x_2,T_a] : c_HOL_OThe(T_a,hAPP(c_fequal,V_x_2)) = V_x_2 )).

fof(fact_LoopF,axiom,(
    ! [V_c_2,V_b_2,V_P_2,V_G_2,T_a] : c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),T_a),c_COMBS(tc_Com_Ostate,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Com_Ostate),c_fconj)),V_P_2))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Com_Ostate),c_fNot),V_b_2))),c_Com_Ocom_OWhile(V_b_2,V_c_2)),V_P_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) )).

fof(fact_folding__one_Oremove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(V_Fa_2,V_A_2) = V_x_2 )
            & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(V_Fa_2,V_A_2) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_finite__induct,axiom,(
    ! [V_P_2,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
     => ( hBOOL(hAPP(V_P_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
       => ( ! [B_x,B_F] :
              ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),B_F))
             => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),B_x),B_F))
               => ( hBOOL(hAPP(V_P_2,B_F))
                 => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Set_Oinsert(T_a),B_x),B_F))) ) ) )
         => hBOOL(hAPP(V_P_2,V_Fa_2)) ) ) ) )).

fof(fact_folding__one_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(V_f_2,hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) )).

fof(fact_inf1E,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2))
     => ~ ( hBOOL(hAPP(V_A_2,V_x_2))
         => ~ hBOOL(hAPP(V_B_2,V_x_2)) ) ) )).

fof(fact_inf1I,axiom,(
    ! [T_a,V_B_2,V_x_2,V_A_2] :
      ( hBOOL(hAPP(V_A_2,V_x_2))
     => ( hBOOL(hAPP(V_B_2,V_x_2))
       => hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2)) ) ) )).

fof(fact_IntE,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => ~ ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
         => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_IntI,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) )).

fof(fact_DiffE,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => ~ ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_DiffI,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) )).

fof(fact_finite__Int,axiom,(
    ! [V_G_2,V_Fa_2,T_a] :
      ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
        | hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_G_2)) )
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_Fa_2),V_G_2))) ) )).

fof(fact_finite__Diff,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) )).

fof(fact_evalc_OWhileFalse,axiom,(
    ! [V_c_2,V_s_2,V_b_2] :
      ( ~ hBOOL(hAPP(V_b_2,V_s_2))
     => hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OWhile(V_b_2,V_c_2)),V_s_2),V_s_2)) ) )).

fof(fact_evalc_OWhileTrue,axiom,(
    ! [V_s2_2,V_s1_2,V_c_2,V_s0_2,V_b_2] :
      ( hBOOL(hAPP(V_b_2,V_s0_2))
     => ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c_2),V_s0_2),V_s1_2))
       => ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OWhile(V_b_2,V_c_2)),V_s1_2),V_s2_2))
         => hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OWhile(V_b_2,V_c_2)),V_s0_2),V_s2_2)) ) ) ) )).

fof(fact_WTs__elim__cases_I6_J,axiom,(
    ! [V_c_2,V_b_2] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OWhile(V_b_2,V_c_2)))
     => hBOOL(hAPP(c_Com_OWT,V_c_2)) ) )).

fof(fact_evalc_OSemi,axiom,(
    ! [V_s2,V_c1,V_s1,V_s0,V_c0] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c0),V_s0),V_s1))
     => ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c1),V_s1),V_s2))
       => hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OSemi(V_c0,V_c1)),V_s0),V_s2)) ) ) )).

fof(fact_WTs__elim__cases_I4_J,axiom,(
    ! [V_c2,V_c1] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OSemi(V_c1,V_c2)))
     => ~ ( hBOOL(hAPP(c_Com_OWT,V_c1))
         => ~ hBOOL(hAPP(c_Com_OWT,V_c2)) ) ) )).

fof(fact_inf1D2,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2))
     => hBOOL(hAPP(V_B_2,V_x_2)) ) )).

fof(fact_inf1D1,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),V_x_2))
     => hBOOL(hAPP(V_A_2,V_x_2)) ) )).

fof(fact_com_Osimps_I5_J,axiom,(
    ! [V_com_H_2,V_fun_H_2,V_com_2,V_fun_2] :
      ( c_Com_Ocom_OWhile(V_fun_2,V_com_2) = c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2)
    <=> ( V_fun_2 = V_fun_H_2
        & V_com_2 = V_com_H_2 ) ) )).

fof(fact_com_Osimps_I3_J,axiom,(
    ! [V_com2_H_2,V_com1_H_2,V_com2_2,V_com1_2] :
      ( c_Com_Ocom_OSemi(V_com1_2,V_com2_2) = c_Com_Ocom_OSemi(V_com1_H_2,V_com2_H_2)
    <=> ( V_com1_2 = V_com1_H_2
        & V_com2_2 = V_com2_H_2 ) ) )).

fof(fact_com_Osimps_I47_J,axiom,(
    ! [V_com2_2,V_com1_2,V_com_H_2,V_fun_H_2] : c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) != c_Com_Ocom_OSemi(V_com1_2,V_com2_2) )).

fof(fact_com_Osimps_I46_J,axiom,(
    ! [V_com_H_2,V_fun_H_2,V_com2_2,V_com1_2] : c_Com_Ocom_OSemi(V_com1_2,V_com2_2) != c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) )).

fof(fact_Diff__Int2,axiom,(
    ! [V_B_2,V_C_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)),V_B_2) )).

fof(fact_Diff__Int__distrib2,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) )).

fof(fact_Int__assoc,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) )).

fof(fact_Int__Diff,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) )).

fof(fact_Diff__idemp,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_B_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_Diff__Int__distrib,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) )).

fof(fact_Int__left__commute,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) )).

fof(fact_Int__left__absorb,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_Int__commute,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2) )).

fof(fact_Int__absorb,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_A_2) = V_A_2 )).

fof(fact_inf__apply,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,T_a)),V_f_2),V_g_2),V_x_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(V_f_2,V_x_2)),hAPP(V_g_2,V_x_2)) ) )).

fof(fact_minus__apply,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_b,T_a] :
      ( class_Groups_Ominus(T_a)
     => hAPP(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,T_a)),V_A_2),V_B_2),V_x_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(V_A_2,V_x_2)),hAPP(V_B_2,V_x_2)) ) )).

fof(fact_inf__assoc,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z)) ) )).

fof(fact_inf__sup__aci_I2_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z)) ) )).

fof(fact_inf_Oassoc,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_b),V_c)) ) )).

fof(fact_inf__left__commute,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_z)) ) )).

fof(fact_inf__sup__aci_I3_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_z)) ) )).

fof(fact_inf_Oleft__commute,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_b),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_c)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_b),V_c)) ) )).

fof(fact_inf__left__idem,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y) ) )).

fof(fact_inf__sup__aci_I4_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y) ) )).

fof(fact_inf_Oleft__idem,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b) ) )).

fof(fact_inf__commute,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_x) ) )).

fof(fact_inf__sup__aci_I1_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_x) ) )).

fof(fact_inf_Ocommute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_b),V_a) ) )).

fof(fact_inf__fun__def,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,T_a)),V_f_2),V_g_2),V_x_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(V_f_2,V_x_2)),hAPP(V_g_2,V_x_2)) ) )).

fof(fact_fun__diff__def,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_b,T_a] :
      ( class_Groups_Ominus(T_a)
     => hAPP(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,T_a)),V_A_2),V_B_2),V_x_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(V_A_2,V_x_2)),hAPP(V_B_2,V_x_2)) ) )).

fof(fact_inf__idem,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_x) = V_x ) )).

fof(fact_inf_Oidem,axiom,(
    ! [V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_a) = V_a ) )).

fof(fact_Diff__triv,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = V_A_2 ) )).

fof(fact_Diff__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Un__Diff__Int,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = V_A_2 )).

fof(fact_Diff__Un,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) )).

fof(fact_Diff__Int,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) )).

fof(fact_le__infE,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)))
       => ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_a))
           => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_b)) ) ) ) )).

fof(fact_inf__mono,axiom,(
    ! [V_d,V_b,V_c,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_c))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_c),V_d))) ) ) ) )).

fof(fact_inf__greatest,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_z))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z))) ) ) ) )).

fof(fact_le__infI,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b))) ) ) ) )).

fof(fact_inf__absorb2,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y) = V_y ) ) )).

fof(fact_inf__absorb1,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y) = V_x ) ) )).

fof(fact_le__infI2,axiom,(
    ! [V_a,V_x,V_b,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_le__infI1,axiom,(
    ! [V_b,V_x,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_le__inf__iff,axiom,(
    ! [V_z_2,V_y_2,V_x_2,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y_2),V_z_2)))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_z_2)) ) ) ) )).

fof(fact_le__iff__inf,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
      <=> hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),V_y_2) = V_x_2 ) ) )).

fof(fact_inf__le2,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),V_y)) ) )).

fof(fact_inf__sup__ord_I2_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),V_y)) ) )).

fof(fact_inf__le1,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),V_x)) ) )).

fof(fact_inf__sup__ord_I1_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),V_x)) ) )).

fof(fact_inf__bot__left,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Orderings_Obot__class_Obot(T_a)),V_x) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_inf__bot__right,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__bot(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),c_Orderings_Obot__class_Obot(T_a)) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_inf__sup__absorb,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)) = V_x ) )).

fof(fact_sup__inf__absorb,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)) = V_x ) )).

fof(fact_inf__sup__distrib1,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_z)) ) )).

fof(fact_sup__inf__distrib1,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_z)) ) )).

fof(fact_inf__sup__distrib2,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)),V_x) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_x)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_z),V_x)) ) )).

fof(fact_sup__inf__distrib2,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z)),V_x) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_x)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_z),V_x)) ) )).

fof(fact_DiffD2,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) )).

fof(fact_DiffD1,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2)) ) )).

fof(fact_Diff__iff,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
        & ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_IntD2,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) )).

fof(fact_IntD1,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2)) ) )).

fof(fact_Int__iff,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
        & hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_Diff__cancel,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Diff__empty,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = V_A_2 )).

fof(fact_empty__Diff,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_finite__Diff2,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
      <=> hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) ) )).

fof(fact_disjoint__iff__not__equal,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_B_2))
             => B_x != B_xa ) ) ) )).

fof(fact_Int__empty__right,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Int__empty__left,axiom,(
    ! [V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_double__diff,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)) = V_A_2 ) ) )).

fof(fact_Diff__mono,axiom,(
    ! [V_B_2,V_D_2,V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_D_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_D_2))) ) ) )).

fof(fact_Diff__subset,axiom,(
    ! [V_B_2,V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_A_2)) )).

fof(fact_insert__inter__insert,axiom,(
    ! [V_B_2,V_A_2,V_a_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) )).

fof(fact_Un__Diff,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) )).

fof(fact_Un__Diff__cancel2,axiom,(
    ! [V_A_2,V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)),V_A_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2) )).

fof(fact_Un__Diff__cancel,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_Int__mono,axiom,(
    ! [V_D_2,V_B_2,V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_D_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_D_2))) ) ) )).

fof(fact_Int__greatest,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) )).

fof(fact_Int__absorb1,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = V_B_2 ) )).

fof(fact_Int__absorb2,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = V_A_2 ) )).

fof(fact_Int__lower2,axiom,(
    ! [V_B_2,V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_B_2)) )).

fof(fact_Int__lower1,axiom,(
    ! [V_B_2,V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_A_2)) )).

fof(fact_Un__Int__crazy,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)) )).

fof(fact_Un__Int__distrib2,axiom,(
    ! [V_A_2,V_C_2,V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)),V_A_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)) )).

fof(fact_Int__Un__distrib2,axiom,(
    ! [V_A_2,V_C_2,V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)),V_A_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)) )).

fof(fact_Un__Int__distrib,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) )).

fof(fact_Int__Un__distrib,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) )).

fof(fact_folding__image__simple_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
         => hAPP(hAPP(V_f_2,hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_evalc_Oequations_I7_J,axiom,(
    ! [V_a2_2,V_a3_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),V_a2_2),V_a2_2))
    <=> ( hBOOL(hAPP(V_a1_2,V_a2_2))
       => ? [B_s1] :
            ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a3_2),V_a2_2),B_s1))
            & hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),B_s1),V_a2_2)) ) ) ) )).

fof(fact_evalc_Oequations_I8_J,axiom,(
    ! [V_a5_2,V_a2_2,V_a3_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),V_a2_2),V_a5_2))
    <=> ( ( V_a5_2 = V_a2_2
          & ~ hBOOL(hAPP(V_a1_2,V_a2_2)) )
        | ( hBOOL(hAPP(V_a1_2,V_a2_2))
          & ? [B_s1] :
              ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a3_2),V_a2_2),B_s1))
              & hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),B_s1),V_a5_2)) ) ) ) ) )).

fof(fact_com_Osimps_I58_J,axiom,(
    ! [V_pname_H_2,V_com_2,V_fun_2] : c_Com_Ocom_OWhile(V_fun_2,V_com_2) != hAPP(c_Com_Ocom_OBODY,V_pname_H_2) )).

fof(fact_com_Osimps_I59_J,axiom,(
    ! [V_com_2,V_fun_2,V_pname_H_2] : hAPP(c_Com_Ocom_OBODY,V_pname_H_2) != c_Com_Ocom_OWhile(V_fun_2,V_com_2) )).

fof(fact_While,axiom,(
    ! [V_b_2,V_c_2] :
      ( hBOOL(hAPP(c_Com_OWT,V_c_2))
     => hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OWhile(V_b_2,V_c_2))) ) )).

fof(fact_WT_Oequations_I6_J,axiom,(
    ! [V_a1_2,V_a2_2] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OWhile(V_a2_2,V_a1_2)))
    <=> hBOOL(hAPP(c_Com_OWT,V_a1_2)) ) )).

fof(fact_inf__Int__eq,axiom,(
    ! [V_x_2,V_S_2,V_R_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_R_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_S_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_R_2),V_S_2))) ) )).

fof(fact_com_Osimps_I17_J,axiom,(
    ! [V_com_H_2,V_fun_H_2] : c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) != c_Com_Ocom_OSKIP )).

fof(fact_com_Osimps_I16_J,axiom,(
    ! [V_com_H_2,V_fun_H_2] : c_Com_Ocom_OSKIP != c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) )).

fof(fact_evalc_Oequations_I4_J,axiom,(
    ! [V_a5_2,V_a2_2,V_a4_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OSemi(V_a1_2,V_a4_2)),V_a2_2),V_a5_2))
    <=> ? [B_s1] :
          ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a1_2),V_a2_2),B_s1))
          & hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a4_2),B_s1),V_a5_2)) ) ) )).

fof(fact_com_Osimps_I48_J,axiom,(
    ! [V_pname_H,V_com2,V_com1] : c_Com_Ocom_OSemi(V_com1,V_com2) != hAPP(c_Com_Ocom_OBODY,V_pname_H) )).

fof(fact_com_Osimps_I49_J,axiom,(
    ! [V_com2,V_com1,V_pname_H] : hAPP(c_Com_Ocom_OBODY,V_pname_H) != c_Com_Ocom_OSemi(V_com1,V_com2) )).

fof(fact_WT_OSemi,axiom,(
    ! [V_c1,V_c0] :
      ( hBOOL(hAPP(c_Com_OWT,V_c0))
     => ( hBOOL(hAPP(c_Com_OWT,V_c1))
       => hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OSemi(V_c0,V_c1))) ) ) )).

fof(fact_WT_Oequations_I4_J,axiom,(
    ! [V_a2_2,V_a1_2] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OSemi(V_a1_2,V_a2_2)))
    <=> ( hBOOL(hAPP(c_Com_OWT,V_a1_2))
        & hBOOL(hAPP(c_Com_OWT,V_a2_2)) ) ) )).

fof(fact_com_Osimps_I13_J,axiom,(
    ! [V_com2_H,V_com1_H] : c_Com_Ocom_OSemi(V_com1_H,V_com2_H) != c_Com_Ocom_OSKIP )).

fof(fact_com_Osimps_I12_J,axiom,(
    ! [V_com2_H,V_com1_H] : c_Com_Ocom_OSKIP != c_Com_Ocom_OSemi(V_com1_H,V_com2_H) )).

fof(fact_folding__image__simple_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))))) ) ) )).

fof(fact_folding__image__simple_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))
           => hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) )).

fof(fact_distrib__inf__le,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_z))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_y),V_z)))) ) )).

fof(fact_distrib__sup__le,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_y),V_z))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_z)))) ) )).

fof(fact_insert__Diff1,axiom,(
    ! [V_A_2,V_B_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) ) )).

fof(fact_insert__Diff__if,axiom,(
    ! [V_A_2,V_B_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_insert__Diff__single,axiom,(
    ! [V_A_2,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2) )).

fof(fact_Diff__insert2,axiom,(
    ! [V_B_2,V_a_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_B_2) )).

fof(fact_Diff__insert,axiom,(
    ! [V_B_2,V_a_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_finite__Diff__insert,axiom,(
    ! [V_B_2,V_a_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2))))
    <=> hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) )).

fof(fact_Int__insert__left__if1,axiom,(
    ! [V_B_2,V_C_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_C_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) ) )).

fof(fact_Int__insert__right__if1,axiom,(
    ! [V_B_2,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_Int__insert__left__if0,axiom,(
    ! [V_B_2,V_C_2,V_a_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_C_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2) ) )).

fof(fact_Int__insert__right__if0,axiom,(
    ! [V_B_2,V_A_2,V_a_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) ) )).

fof(fact_Int__insert__left,axiom,(
    ! [V_B_2,V_C_2,V_a_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_C_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2)) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_C_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2) ) ) )).

fof(fact_Int__insert__right,axiom,(
    ! [V_B_2,V_A_2,V_a_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) ) ) )).

fof(fact_image__diff__subset,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_B_2))),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)))) )).

fof(fact_Diff__subset__conv,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))) ) )).

fof(fact_Diff__partition,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)) = V_B_2 ) )).

fof(fact_image__Int__subset,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_B_2)))) )).

fof(fact_Un__Int__assoc__eq,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)) ) )).

fof(fact_folding__image__simple_Oempty,axiom,(
    ! [V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => hAPP(V_Fa_2,c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = V_z_2 ) )).

fof(fact_folding__image__simple_Oremove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),V_A_2))
         => hAPP(V_Fa_2,V_A_2) = hAPP(hAPP(V_f_2,hAPP(V_g_2,V_x_2)),hAPP(V_Fa_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))))) ) ) ) )).

fof(fact_insert__Diff,axiom,(
    ! [V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = V_A_2 ) )).

fof(fact_Diff__insert__absorb,axiom,(
    ! [V_A_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_A_2 ) )).

fof(fact_diff__single__insert,axiom,(
    ! [V_B_2,V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_B_2))) ) ) )).

fof(fact_subset__insert__iff,axiom,(
    ! [V_B_2,V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_B_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_B_2)) )
        & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) ) )).

fof(fact_folding__one_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = V_x_2 )
          & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(V_Fa_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_folding__one_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) ) ) )).

fof(fact_flat__lub__def,axiom,(
    ! [V_b_2,V_A_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))
       => c_Partial__Function_Oflat__lub(T_a,V_b_2,V_A_2) = V_b_2 )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))
       => c_Partial__Function_Oflat__lub(T_a,V_b_2,V_A_2) = c_HOL_OThe(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_diff__eq__diff__less__eq,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_c_2),V_d_2)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c_2),V_d_2)) ) ) ) )).

fof(fact_fun__upd__image,axiom,(
    ! [V_y_2,V_f_2,T_b,V_A_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Set_Oimage(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2)),V_A_2) = hAPP(hAPP(c_Set_Oinsert(T_b),V_y_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Set_Oimage(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2)),V_A_2) = hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2) ) ) )).

fof(fact_finite__empty__induct,axiom,(
    ! [V_P_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(V_P_2,V_A_2))
       => ( ! [B_a,B_A] :
              ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),B_A))
             => ( hBOOL(hAPP(hAPP(c_member(T_a),B_a),B_A))
               => ( hBOOL(hAPP(V_P_2,B_A))
                 => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),B_A),hAPP(hAPP(c_Set_Oinsert(T_a),B_a),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )
         => hBOOL(hAPP(V_P_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) ) ) ) )).

fof(fact_folding__image__simple_Ounion__inter__neutral,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)))
               => hAPP(V_g_2,B_x) = V_z_2 )
           => hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(V_f_2,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) )).

fof(fact_fun__left__comm__idem__remove,axiom,(
    ! [T_a] : c_Finite__Set_Ofun__left__comm__idem(T_a,tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) )).

fof(fact_psubset__insert__iff,axiom,(
    ! [V_B_2,V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_B_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) )
        & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_B_2))
         => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_B_2)) )
            & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) ) ) ) )).

fof(fact_fold__graph_H_Ointros_I2_J,axiom,(
    ! [V_y_2,V_z_2,V_f_2,T_b,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => ( c_Nitpick_Ofold__graph_H(T_a,T_b,V_f_2,V_z_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_y_2)
       => c_Nitpick_Ofold__graph_H(T_a,T_b,V_f_2,V_z_2,V_A_2,hAPP(hAPP(V_f_2,V_x_2),V_y_2)) ) ) )).

fof(fact_Inf__fin_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2) = V_x_2 )
            & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_Sup__fin_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2) = V_x_2 )
            & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_Diff1__fold__graph,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_z_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_y_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),hAPP(hAPP(V_f_2,V_x_2),V_y_2))) ) ) )).

fof(fact_fun__upd__triv,axiom,(
    ! [V_x_2,V_f_2,T_b,T_a] : hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),hAPP(V_f_2,V_x_2)) = V_f_2 )).

fof(fact_order__less__irrefl,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_x)) ) )).

fof(fact_linorder__neq__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( V_x_2 != V_y_2
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y_2),V_x_2)) ) ) ) )).

fof(fact_not__less__iff__gr__or__eq,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y_2),V_x_2))
          | V_x_2 = V_y_2 ) ) ) )).

fof(fact_linorder__less__linear,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
        | V_x = V_y
        | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) )).

fof(fact_linorder__antisym__conv3,axiom,(
    ! [V_x_2,V_y_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y_2),V_x_2))
       => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
        <=> V_x_2 = V_y_2 ) ) ) )).

fof(fact_linorder__neqE,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( V_x != V_y
       => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) ) )).

fof(fact_less__imp__neq,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => V_x != V_y ) ) )).

fof(fact_order__less__not__sym,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) )).

fof(fact_order__less__imp__not__less,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) )).

fof(fact_order__less__imp__not__eq,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => V_x != V_y ) ) )).

fof(fact_order__less__imp__not__eq2,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => V_y != V_x ) ) )).

fof(fact_order__less__asym_H,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a)) ) ) )).

fof(fact_xt1_I9_J,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a))
       => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) )).

fof(fact_ord__eq__less__trans,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( V_a = V_b
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_c)) ) ) ) )).

fof(fact_xt1_I1_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( V_a = V_b
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_a)) ) ) ) )).

fof(fact_psubset__trans,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) ) ) )).

fof(fact_ord__less__eq__trans,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( V_b = V_c
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_c)) ) ) ) )).

fof(fact_xt1_I2_J,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a))
       => ( V_b = V_c
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_a)) ) ) ) )).

fof(fact_order__less__trans,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_z))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_z)) ) ) ) )).

fof(fact_xt1_I10_J,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z),V_x)) ) ) ) )).

fof(fact_order__less__asym,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) )).

fof(fact_linorder__cases,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => ( V_x != V_y
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) ) )).

fof(fact_fun__upd__idem__iff,axiom,(
    ! [V_y_2,V_x_2,V_f_2,T_b,T_a] :
      ( hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2) = V_f_2
    <=> hAPP(V_f_2,V_x_2) = V_y_2 ) )).

fof(fact_fun__upd__upd,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_f_2,T_b,T_a] : hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2)),V_x_2),V_z_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_z_2) )).

fof(fact_fun__upd__same,axiom,(
    ! [V_y_2,V_x_2,V_f_2,T_a,T_b] : hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,T_a),V_f_2),V_x_2),V_y_2),V_x_2) = V_y_2 )).

fof(fact_fun__upd__apply,axiom,(
    ! [V_y_2,V_f_2,T_b,T_a,V_x_2,V_z_2] :
      ( ( V_z_2 = V_x_2
       => hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2),V_z_2) = V_y_2 )
      & ( V_z_2 != V_x_2
       => hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2),V_z_2) = hAPP(V_f_2,V_z_2) ) ) )).

fof(fact_fun__upd__twist,axiom,(
    ! [V_d_2,V_b_2,V_m_2,T_b,T_a,V_c_2,V_a_2] :
      ( V_a_2 != V_c_2
     => hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_m_2),V_a_2),V_b_2)),V_c_2),V_d_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_m_2),V_c_2),V_d_2)),V_a_2),V_b_2) ) )).

fof(fact_fun__upd__other,axiom,(
    ! [V_y_2,V_f_2,T_b,T_a,V_x_2,V_z_2] :
      ( V_z_2 != V_x_2
     => hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2),V_z_2) = hAPP(V_f_2,V_z_2) ) )).

fof(fact_fun__upd__idem,axiom,(
    ! [T_a,T_b,V_y_2,V_x_2,V_f_2] :
      ( hAPP(V_f_2,V_x_2) = V_y_2
     => hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,T_a),V_f_2),V_x_2),V_y_2) = V_f_2 ) )).

fof(fact_fun__left__comm__idem_Ofun__left__idem,axiom,(
    ! [V_z_2,V_x_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm__idem(T_a,T_b,V_f_2)
     => hAPP(hAPP(V_f_2,V_x_2),hAPP(hAPP(V_f_2,V_x_2),V_z_2)) = hAPP(hAPP(V_f_2,V_x_2),V_z_2) ) )).

fof(fact_diff__eq__diff__less,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_c_2),V_d_2)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),V_d_2)) ) ) ) )).

fof(fact_fun__upd__def,axiom,(
    ! [V_b_2,V_f_2,T_b,T_a,V_a_2,V_x_2] :
      ( ( V_x_2 = V_a_2
       => hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_a_2),V_b_2),V_x_2) = V_b_2 )
      & ( V_x_2 != V_a_2
       => hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_a_2),V_b_2),V_x_2) = hAPP(V_f_2,V_x_2) ) ) )).

fof(fact_fun__left__comm__idem_Ofun__left__comm__idem__apply,axiom,(
    ! [V_g_2,T_c,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm__idem(T_a,T_b,V_f_2)
     => c_Finite__Set_Ofun__left__comm__idem(T_c,T_b,hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,T_b),T_c),V_f_2),V_g_2)) ) )).

fof(fact_fold__graph_H_Ointros_I1_J,axiom,(
    ! [V_z_2,V_f_2,T_b,T_a] : c_Nitpick_Ofold__graph_H(T_a,T_b,V_f_2,V_z_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_z_2) )).

fof(fact_fold__graph_H_Oequations_I1_J,axiom,(
    ! [V_a2_2,V_a1_2,T_b,T_a] : c_Nitpick_Ofold__graph_H(T_a,T_b,V_a1_2,V_a2_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_a2_2) )).

fof(fact_less__fun__def,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Oord(T_b)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,T_b)),V_f_2),V_g_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,T_b)),V_f_2),V_g_2))
          & ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,T_b)),V_g_2),V_f_2)) ) ) ) )).

fof(fact_linorder__not__less,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_x_2)) ) ) )).

fof(fact_linorder__not__le,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y_2),V_x_2)) ) ) )).

fof(fact_linorder__le__less__linear,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
        | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) )).

fof(fact_order__less__le,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
          & V_x_2 != V_y_2 ) ) ) )).

fof(fact_less__le__not__le,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
          & ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_x_2)) ) ) ) )).

fof(fact_order__le__less,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
          | V_x_2 = V_y_2 ) ) ) )).

fof(fact_leI,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x)) ) ) )).

fof(fact_not__leE,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y)) ) ) )).

fof(fact_linorder__antisym__conv1,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
        <=> V_x_2 = V_y_2 ) ) ) )).

fof(fact_order__neq__le__trans,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( V_a != V_b
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) ) )).

fof(fact_xt1_I12_J,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( V_a != V_b
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a)) ) ) ) )).

fof(fact_leD,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y)) ) ) )).

fof(fact_order__less__imp__le,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y)) ) ) )).

fof(fact_linorder__antisym__conv2,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
       => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_y_2))
        <=> V_x_2 = V_y_2 ) ) ) )).

fof(fact_order__le__imp__less__or__eq,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
          | V_x = V_y ) ) ) )).

fof(fact_order__le__neq__trans,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( V_a != V_b
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) ) )).

fof(fact_xt1_I11_J,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_a))
       => ( V_a != V_b
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a)) ) ) ) )).

fof(fact_order__less__le__trans,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_z))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_z)) ) ) ) )).

fof(fact_xt1_I7_J,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z),V_x)) ) ) ) )).

fof(fact_order__le__less__trans,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Opreorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_z))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_z)) ) ) ) )).

fof(fact_xt1_I8_J,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z),V_x)) ) ) ) )).

fof(fact_psubsetD,axiom,(
    ! [V_c_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_B_2)) ) ) )).

fof(fact_not__psubset__empty,axiom,(
    ! [V_A_2,T_a] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_less__supI2,axiom,(
    ! [V_a,V_b,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b))) ) ) )).

fof(fact_less__supI1,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a),V_b))) ) ) )).

fof(fact_less__infI1,axiom,(
    ! [V_b,V_x,V_a,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_less__infI2,axiom,(
    ! [V_a,V_x,V_b,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_psubset__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
        & V_A_2 != V_B_2 ) ) )).

fof(fact_subset__iff__psubset__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
        | V_A_2 = V_B_2 ) ) )).

fof(fact_psubset__imp__subset,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_psubset__subset__trans,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) ) ) )).

fof(fact_subset__psubset__trans,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)) ) ) )).

fof(fact_Inf__le__Sup,axiom,(
    ! [V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2))) ) ) ) )).

fof(fact_fold__graph_Oequations_I1_J,axiom,(
    ! [V_z_2,V_f_2,T_b,T_a] : hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_z_2)) )).

fof(fact_fold__graph_OemptyI,axiom,(
    ! [V_z_2,V_f_2,T_b,T_a] : hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_z_2)) )).

fof(fact_empty__fold__graphE,axiom,(
    ! [V_x_2,V_z_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_x_2))
     => V_x_2 = V_z_2 ) )).

fof(fact_fold__graph__imp__finite,axiom,(
    ! [V_x_2,V_A_2,V_z_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),V_x_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_Sup__fin_Osingleton,axiom,(
    ! [V_x_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_Inf__fin_Osingleton,axiom,(
    ! [V_x_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_fun__left__comm__idem__insert,axiom,(
    ! [T_a] : c_Finite__Set_Ofun__left__comm__idem(T_a,tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a)) )).

fof(fact_fun__left__comm__idem__sup,axiom,(
    ! [T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => c_Finite__Set_Ofun__left__comm__idem(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)) ) )).

fof(fact_fun__left__comm__idem__inf,axiom,(
    ! [T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => c_Finite__Set_Ofun__left__comm__idem(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)) ) )).

fof(fact_sup__Inf__absorb,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a_2),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)) = V_a_2 ) ) ) )).

fof(fact_Sup__fin_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)) = c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2) ) ) ) )).

fof(fact_Inf__fin_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)) = c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2) ) ) ) )).

fof(fact_inf__Sup__absorb,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a_2),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)) = V_a_2 ) ) ) )).

fof(fact_fold__graph_OinsertI,axiom,(
    ! [V_y_2,V_z_2,V_f_2,T_b,V_A_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),V_y_2))
       => hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)),hAPP(hAPP(V_f_2,V_x_2),V_y_2))) ) ) )).

fof(fact_Sup__fin_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)) ) ) ) )).

fof(fact_Inf__fin_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)) ) ) ) )).

fof(fact_Sup__fin_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
           => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_B_2)),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)) = c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2) ) ) ) ) )).

fof(fact_Inf__fin_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
           => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_B_2)),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)) = c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2) ) ) ) ) )).

fof(fact_Sup__fin_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_B_2)) ) ) ) ) ) )).

fof(fact_Inf__fin_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_B_2)) ) ) ) ) ) )).

fof(fact_diff__eq__diff__eq,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_c_2),V_d_2)
       => ( V_a_2 = V_b_2
        <=> V_c_2 = V_d_2 ) ) ) )).

fof(fact_Sup__fin_Oidem,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_x) = V_x ) )).

fof(fact_Inf__fin_Oidem,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Olattice(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_x) = V_x ) )).

fof(fact_Sup__fin_Oinsert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)) ) ) ) ) )).

fof(fact_Inf__fin_Oinsert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)) ) ) ) ) )).

fof(fact_Sup__fin_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = V_x_2 )
          & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_Inf__fin_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = V_x_2 )
          & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_Sup__fin_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_B_2)) ) ) ) ) )).

fof(fact_Sup__fin_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_B_2)) ) ) ) ) ) ) )).

fof(fact_Inf__fin_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_B_2)) ) ) ) ) )).

fof(fact_Inf__fin_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_B_2)) ) ) ) ) ) ) )).

fof(fact_fold1Set_Ointros,axiom,(
    ! [V_x_2,V_A_2,V_a_2,V_f_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_a,V_f_2,V_a_2,V_A_2),V_x_2))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hBOOL(hAPP(c_Finite__Set_Ofold1Set(T_a,V_f_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)),V_x_2)) ) ) )).

fof(fact_Inf__fin_Oclosed,axiom,(
    ! [V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_Sup__fin_Oclosed,axiom,(
    ! [V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_fold__graph_H_Oequations_I2_J,axiom,(
    ! [V_a5_2,V_a1_2,V_a2_2,V_a4_2,V_a3_2,T_b,T_a] :
      ( c_Nitpick_Ofold__graph_H(T_a,T_b,V_a3_2,V_a4_2,V_a2_2,hAPP(hAPP(V_a3_2,V_a1_2),V_a5_2))
    <=> ( ( V_a2_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
          & hAPP(hAPP(V_a3_2,V_a1_2),V_a5_2) = V_a4_2 )
        | ? [B_x,B_y] :
            ( hAPP(hAPP(V_a3_2,V_a1_2),V_a5_2) = hAPP(hAPP(V_a3_2,B_x),B_y)
            & hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_a2_2))
            & c_Nitpick_Ofold__graph_H(T_a,T_b,V_a3_2,V_a4_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_a2_2),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),B_y) ) ) ) )).

fof(fact_Inf__fin_Ohom__commute,axiom,(
    ! [V_N_2,V_h_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),B_x),B_y)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,c_Big__Operators_Olattice__class_OInf__fin(T_a,V_N_2)) = c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_Sup__fin_Ohom__commute,axiom,(
    ! [V_N_2,V_h_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),B_x),B_y)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,c_Big__Operators_Olattice__class_OSup__fin(T_a,V_N_2)) = c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_image__eq__fold__image,axiom,(
    ! [V_f_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(tc_fun(T_b,tc_HOL_Obool),T_a,c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(T_b,tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Set_Oinsert(T_b)),V_f_2)),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))),V_A_2) ) )).

fof(fact_setsum__diff1,axiom,(
    ! [V_f_2,V_a_2,V_A_2,T_a,T_b] :
      ( class_Groups_Oab__group__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(V_f_2,V_a_2)) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2) ) ) ) ) )).

fof(fact_setsum__diff1__ring,axiom,(
    ! [V_f_2,V_a_2,V_A_2,T_a,T_b] :
      ( class_Rings_Oring(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(V_f_2,V_a_2)) ) ) ) )).

fof(fact_fold__graph__permute__diff,axiom,(
    ! [V_a_2,V_x_2,V_A_2,V_b_2,T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a),V_b_2,V_A_2),V_x_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),V_A_2))
           => hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a),V_a_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),V_x_2)) ) ) ) ) )).

fof(fact_setsum__product,axiom,(
    ! [V_B_2,V_g_2,T_c,V_A_2,V_f_2,T_b,T_a] :
      ( class_Rings_Osemiring__0(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_c,T_a),V_g_2),V_B_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_HOL_Obool),T_a),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_a),tc_fun(tc_fun(T_c,tc_HOL_Obool),T_a),T_b),c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_c,T_a)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,T_a),tc_fun(T_c,T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,T_a),tc_fun(tc_fun(T_c,T_a),tc_fun(T_c,T_a)),T_b),c_COMBB(T_a,T_a,T_c)),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Otimes__class_Otimes(T_a)),V_f_2))),V_g_2))),V_B_2)),V_A_2) ) )).

fof(fact_setsum__left__distrib,axiom,(
    ! [V_r_2,V_A_2,V_f_2,T_b,T_a] :
      ( class_Rings_Osemiring__0(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2)),V_r_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Otimes__class_Otimes(T_a)),V_f_2)),V_r_2)),V_A_2) ) )).

fof(fact_ab__semigroup__mult__class_Omult__ac_I1_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)) ) )).

fof(fact_setsum__commute,axiom,(
    ! [V_A_2,V_B_2,V_f_2,T_c,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_HOL_Obool),T_a),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_a),tc_fun(tc_fun(T_c,tc_HOL_Obool),T_a),T_b),c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_c,T_a)),V_f_2)),V_B_2)),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_c,T_a),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_a),tc_fun(tc_fun(T_b,tc_HOL_Obool),T_a),T_c),c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a)),hAPP(c_COMBC(T_b,T_c,T_a),V_f_2))),V_A_2)),V_B_2) ) )).

fof(fact_setsum__right__distrib,axiom,(
    ! [V_A_2,V_f_2,T_b,V_r_2,T_a] :
      ( class_Rings_Osemiring__0(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_r_2),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),hAPP(c_Groups_Otimes__class_Otimes(T_a),V_r_2)),V_f_2)),V_A_2) ) )).

fof(fact_mult__left__idem,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b) ) )).

fof(fact_mult__idem,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_x) = V_x ) )).

fof(fact_times_Oidem,axiom,(
    ! [V_a,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_a) = V_a ) )).

fof(fact_fold__image__empty,axiom,(
    ! [V_z_2,V_g_2,V_f_2,T_b,T_a] : hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_a,T_b,V_f_2),V_g_2),V_z_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = V_z_2 )).

fof(fact_setsum__subtractf,axiom,(
    ! [V_A_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBS(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Ominus__class_Ominus(T_a)),V_f_2)),V_g_2)),V_A_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_g_2),V_A_2)) ) )).

fof(fact_fun__left__comm__idem,axiom,(
    ! [T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => c_Finite__Set_Ofun__left__comm__idem(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a)) ) )).

fof(fact_fold__image__insert,axiom,(
    ! [V_z_2,V_g_2,V_a_2,V_A_2,T_a,T_b] :
      ( class_Groups_Oab__semigroup__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),V_z_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(V_g_2,V_a_2)),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),V_z_2),V_A_2)) ) ) ) )).

fof(fact_fold1Set__nonempty,axiom,(
    ! [V_x_2,V_A_2,V_f_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold1Set(T_a,V_f_2,V_A_2),V_x_2))
     => V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_empty__fold1SetE,axiom,(
    ! [V_x_2,V_f_2,T_a] : ~ hBOOL(hAPP(c_Finite__Set_Ofold1Set(T_a,V_f_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_x_2)) )).

fof(fact_folding__image__simple_Oeq__fold__g,axiom,(
    ! [V_A_2,V_Fa_2,V_g_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image__simple(T_a,T_b,V_f_2,V_z_2,V_g_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => hAPP(V_Fa_2,V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_a,T_b,V_f_2),V_g_2),V_z_2),V_A_2) ) ) )).

fof(fact_setsum__diff__nat,axiom,(
    ! [V_f_2,V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_B_2)) ) ) )).

fof(fact_fold__graph__insert__swap,axiom,(
    ! [V_z_2,V_y_2,V_A_2,V_b_2,T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a),V_b_2,V_A_2),V_y_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),V_A_2))
         => hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a),V_z_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),V_A_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z_2),V_y_2))) ) ) ) )).

fof(fact_setsum__diff1__nat,axiom,(
    ! [V_f_2,V_A_2,V_a_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2)),hAPP(V_f_2,V_a_2)) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2) ) ) )).

fof(fact_setsum__diff,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Oab__group__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_B_2)) ) ) ) )).

fof(fact_fold1Set__sing,axiom,(
    ! [V_b_2,V_a_2,V_f_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold1Set(T_a,V_f_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_b_2))
    <=> V_a_2 = V_b_2 ) )).

fof(fact_comm__monoid__big_OF__eq,axiom,(
    ! [V_g_2,V_A_2,V_Fa_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Big__Operators_Ocomm__monoid__big(T_a,T_b,V_f_2,V_z_2,V_Fa_2)
     => ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
         => hAPP(hAPP(V_Fa_2,V_g_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_a,T_b,V_f_2),V_g_2),V_z_2),V_A_2) )
        & ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
         => hAPP(hAPP(V_Fa_2,V_g_2),V_A_2) = V_z_2 ) ) ) )).

fof(fact_fold__Un__disjoint,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),V_A_2)),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),V_B_2)) ) ) ) ) )).

fof(fact_setsum__strict__mono,axiom,(
    ! [V_g_2,V_f_2,V_A_2,T_a,T_b] :
      ( ( class_Groups_Ocomm__monoid__add(T_b)
        & class_Groups_Oordered__cancel__ab__semigroup__add(T_b) )
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_b),hAPP(V_f_2,B_x)),hAPP(V_g_2,B_x))) )
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2))) ) ) ) ) )).

fof(fact_setsum_Oremove,axiom,(
    ! [V_g_2,V_x_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(V_g_2,V_x_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) )).

fof(fact_setsum__diff1_H,axiom,(
    ! [V_f_2,V_a_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(V_f_2,V_a_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) )).

fof(fact_fold1Set_Oequations,axiom,(
    ! [V_a3_2,V_a2_2,V_a1_2,V_f_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold1Set(T_a,V_f_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a1_2),V_a2_2)),V_a3_2))
    <=> ? [B_a,B_A] :
          ( hAPP(hAPP(c_Set_Oinsert(T_a),V_a1_2),V_a2_2) = hAPP(hAPP(c_Set_Oinsert(T_a),B_a),B_A)
          & hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_a,V_f_2,B_a,B_A),V_a3_2))
          & ~ hBOOL(hAPP(hAPP(c_member(T_a),B_a),B_A)) ) ) )).

fof(fact_insert__fold1SetE,axiom,(
    ! [V_x_2,V_X_2,V_a_2,V_f_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofold1Set(T_a,V_f_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_X_2)),V_x_2))
     => ~ ! [B_a,B_A] :
            ( hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_X_2) = hAPP(hAPP(c_Set_Oinsert(T_a),B_a),B_A)
           => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_a,V_f_2,B_a,B_A),V_x_2))
             => hBOOL(hAPP(hAPP(c_member(T_a),B_a),B_A)) ) ) ) )).

fof(fact_fold1__Un,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_A_2)),hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_B_2)) ) ) ) ) ) ) )).

fof(fact_fold1__insert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
           => hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_A_2)) ) ) ) ) )).

fof(fact_one__reorient,axiom,(
    ! [V_x_2,T_a] :
      ( class_Groups_Oone(T_a)
     => ( c_Groups_Oone__class_Oone(T_a) = V_x_2
      <=> V_x_2 = c_Groups_Oone__class_Oone(T_a) ) ) )).

fof(fact_ab__semigroup__add__class_Oadd__ac_I1_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oab__semigroup__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_c)) ) )).

fof(fact_add__left__cancel,axiom,(
    ! [V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Groups_Ocancel__semigroup__add(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_b_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_c_2)
      <=> V_b_2 = V_c_2 ) ) )).

fof(fact_add__right__cancel,axiom,(
    ! [V_c_2,V_a_2,V_b_2,T_a] :
      ( class_Groups_Ocancel__semigroup__add(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b_2),V_a_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c_2),V_a_2)
      <=> V_b_2 = V_c_2 ) ) )).

fof(fact_add__left__imp__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Ocancel__semigroup__add(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)
       => V_b = V_c ) ) )).

fof(fact_add__imp__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Ocancel__ab__semigroup__add(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)
       => V_b = V_c ) ) )).

fof(fact_add__right__imp__eq,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Groups_Ocancel__semigroup__add(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_a) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_a)
       => V_b = V_c ) ) )).

fof(fact_add__le__cancel__right,axiom,(
    ! [V_b_2,V_c_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_c_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b_2),V_c_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_add__le__cancel__left,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c_2),V_a_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c_2),V_b_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_add__right__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_c))) ) ) )).

fof(fact_add__left__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_b))) ) ) )).

fof(fact_add__mono,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_d))) ) ) ) )).

fof(fact_add__le__imp__le__right,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_c)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b)) ) ) )).

fof(fact_add__le__imp__le__left,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_b)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b)) ) ) )).

fof(fact_add__less__imp__less__left,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_b)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) )).

fof(fact_add__less__imp__less__right,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_c)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) )).

fof(fact_add__strict__mono,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__cancel__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_d))) ) ) ) )).

fof(fact_add__strict__left__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__cancel__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_b))) ) ) )).

fof(fact_add__strict__right__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__cancel__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_c))) ) ) )).

fof(fact_add__less__cancel__left,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c_2),V_a_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c_2),V_b_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_add__less__cancel__right,axiom,(
    ! [V_b_2,V_c_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_c_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b_2),V_c_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_add__diff__cancel,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_b) = V_a ) )).

fof(fact_diff__add__cancel,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b)),V_b) = V_a ) )).

fof(fact_mult__1__left,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Groups_Oone__class_Oone(T_a)),V_a) = V_a ) )).

fof(fact_mult__1,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Groups_Oone__class_Oone(T_a)),V_a) = V_a ) )).

fof(fact_mult__1__right,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),c_Groups_Oone__class_Oone(T_a)) = V_a ) )).

fof(fact_mult_Ocomm__neutral,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),c_Groups_Oone__class_Oone(T_a)) = V_a ) )).

fof(fact_setsum__addf,axiom,(
    ! [V_A_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBS(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Oplus__class_Oplus(T_a)),V_f_2)),V_g_2)),V_A_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_g_2),V_A_2)) ) )).

fof(fact_add__less__le__mono,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__cancel__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_d))) ) ) ) )).

fof(fact_add__le__less__mono,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__cancel__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_d))) ) ) ) )).

fof(fact_fold1__singleton,axiom,(
    ! [V_a_2,V_f_2,T_a] : hAPP(c_Finite__Set_Ofold1(T_a,V_f_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_a_2 )).

fof(fact_fold1__singleton__def,axiom,(
    ! [V_a_2,V_f_2,T_a,V_g_2] :
      ( V_g_2 = c_Finite__Set_Ofold1(T_a,V_f_2)
     => hAPP(V_g_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_a_2 ) )).

fof(fact_setsum_Odistrib,axiom,(
    ! [V_h_2,V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,T_b),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Groups_Oplus__class_Oplus(T_b)),V_g_2)),V_h_2)),V_A_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_h_2),V_A_2)) ) ) )).

fof(fact_folding__one_Oeq__fold,axiom,(
    ! [V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(V_Fa_2,V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,V_f_2),V_A_2) ) ) )).

fof(fact_setsum__Un__nat,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_B_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) )).

fof(fact_fold1__def,axiom,(
    ! [V_A_2,V_f_2,T_a] : hAPP(c_Finite__Set_Ofold1(T_a,V_f_2),V_A_2) = c_HOL_OThe(T_a,c_Finite__Set_Ofold1Set(T_a,V_f_2,V_A_2)) )).

fof(fact_fold__image__distrib,axiom,(
    ! [V_h_2,V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),hAPP(hAPP(c_COMBS(T_a,T_b,T_b),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Groups_Otimes__class_Otimes(T_b)),V_g_2)),V_h_2)),c_Groups_Oone__class_Oone(T_b)),V_A_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),V_A_2)),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_h_2),c_Groups_Oone__class_Oone(T_b)),V_A_2)) ) ) )).

fof(fact_Sup__fin_OF__eq,axiom,(
    ! [V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_A_2) ) ) )).

fof(fact_Inf__fin_OF__eq,axiom,(
    ! [V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_A_2) ) ) )).

fof(fact_setsum_Oinsert,axiom,(
    ! [V_g_2,V_x_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(V_g_2,V_x_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2)) ) ) ) )).

fof(fact_setsum__insert,axiom,(
    ! [V_f_2,V_a_2,V_Fa_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_Fa_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_Fa_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(V_f_2,V_a_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_Fa_2)) ) ) ) )).

fof(fact_setsum__Un__Int,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_B_2)) ) ) ) )).

fof(fact_fold1__belowI,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_A_2)),V_a_2)) ) ) ) )).

fof(fact_below__fold1__iff,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),hAPP(c_Finite__Set_Ofold1(T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_A_2)))
          <=> ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),B_x)) ) ) ) ) ) )).

fof(fact_fold1__insert__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_A_2)) ) ) ) )).

fof(fact_fold1__Un2,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_A_2)),hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_B_2)) ) ) ) ) ) )).

fof(fact_comm__monoid__big_Oinfinite,axiom,(
    ! [V_g_2,V_A_2,V_Fa_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Big__Operators_Ocomm__monoid__big(T_a,T_b,V_f_2,V_z_2,V_Fa_2)
     => ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => hAPP(hAPP(V_Fa_2,V_g_2),V_A_2) = V_z_2 ) ) )).

fof(fact_setsum_Oinsert__remove,axiom,(
    ! [V_x_2,V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(V_g_2,V_x_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_setsum__Un__disjoint,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_B_2)) ) ) ) ) )).

fof(fact_setsum__Un,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Oab__group__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_B_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) ) )).

fof(fact_fold__image__Un__Int,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),V_A_2)),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),V_B_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) ) )).

fof(fact_semilattice__big_OF__eq,axiom,(
    ! [V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Big__Operators_Osemilattice__big(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(V_Fa_2,V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,V_f_2),V_A_2) ) ) )).

fof(fact_less__add__iff2,axiom,(
    ! [V_d_2,V_b_2,V_c_2,V_e_2,V_a_2,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_e_2)),V_c_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_e_2)),V_d_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_b_2),V_a_2)),V_e_2)),V_d_2))) ) ) )).

fof(fact_less__add__iff1,axiom,(
    ! [V_d_2,V_b_2,V_c_2,V_e_2,V_a_2,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_e_2)),V_c_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_e_2)),V_d_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2)),V_e_2)),V_c_2)),V_d_2)) ) ) )).

fof(fact_le__add__iff2,axiom,(
    ! [V_d_2,V_b_2,V_c_2,V_e_2,V_a_2,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_e_2)),V_c_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_e_2)),V_d_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_b_2),V_a_2)),V_e_2)),V_d_2))) ) ) )).

fof(fact_le__add__iff1,axiom,(
    ! [V_d_2,V_b_2,V_c_2,V_e_2,V_a_2,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_e_2)),V_c_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_e_2)),V_d_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2)),V_e_2)),V_c_2)),V_d_2)) ) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I4_J,axiom,(
    ! [V_m,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_m),V_m) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a))),V_m) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I3_J,axiom,(
    ! [V_a,V_m,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_m)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Groups_Oone__class_Oone(T_a))),V_m) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I2_J,axiom,(
    ! [V_m,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_m)),V_m) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Groups_Oone__class_Oone(T_a))),V_m) ) )).

fof(fact_eq__add__iff1,axiom,(
    ! [V_d_2,V_b_2,V_c_2,V_e_2,V_a_2,T_a] :
      ( class_Rings_Oring(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_e_2)),V_c_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_e_2)),V_d_2)
      <=> hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2)),V_e_2)),V_c_2) = V_d_2 ) ) )).

fof(fact_linorder__neqE__linordered__idom,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( V_x != V_y
       => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_x)) ) ) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I24_J,axiom,(
    ! [V_c,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_a) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I22_J,axiom,(
    ! [V_d,V_c,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_d)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_d)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I25_J,axiom,(
    ! [V_d,V_c,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_d)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),V_d) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I21_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_c)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I23_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),V_b) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I20_J,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_d)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_d)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I7_J,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_a) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I19_J,axiom,(
    ! [V_ry,V_rx,V_lx,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),V_ry)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_ry)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I18_J,axiom,(
    ! [V_ry,V_rx,V_lx,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),V_ry)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_rx)),V_ry) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I17_J,axiom,(
    ! [V_rx,V_ly,V_lx,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_ly)),V_rx) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_ly),V_rx)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I16_J,axiom,(
    ! [V_rx,V_ly,V_lx,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_ly)),V_rx) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_rx)),V_ly) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I14_J,axiom,(
    ! [V_ry,V_rx,V_ly,V_lx,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_ly)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),V_ry)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_ly),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),V_ry))) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I15_J,axiom,(
    ! [V_ry,V_rx,V_ly,V_lx,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_ly)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),V_ry)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_ly)),V_ry)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I13_J,axiom,(
    ! [V_ry,V_rx,V_ly,V_lx,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_ly)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_rx),V_ry)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_lx),V_rx)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_ly),V_ry)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I34_J,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_y),V_z)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_y)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_z)) ) )).

fof(fact_crossproduct__noteq,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct(T_a)
     => ( ( V_a_2 != V_b_2
          & V_c_2 != V_d_2 )
      <=> hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_d_2)) != hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_d_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_c_2)) ) ) )).

fof(fact_comm__semiring__class_Odistrib,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Ocomm__semiring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I8_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I1_J,axiom,(
    ! [V_b,V_m,V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_m)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_m)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_m) ) )).

fof(fact_combine__common__factor,axiom,(
    ! [V_c,V_b,V_e,V_a,T_a] :
      ( class_Rings_Osemiring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_e)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_e)),V_c)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_e)),V_c) ) )).

fof(fact_crossproduct__eq,axiom,(
    ! [V_z_2,V_x_2,V_y_2,V_w_2,T_a] :
      ( class_Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_w_2),V_y_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),V_z_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_w_2),V_z_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),V_y_2))
      <=> ( V_w_2 = V_x_2
          | V_y_2 = V_z_2 ) ) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I11_J,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Groups_Oone__class_Oone(T_a)),V_a) = V_a ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I12_J,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),c_Groups_Oone__class_Oone(T_a)) = V_a ) )).

fof(fact_less__add__one,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Groups_Oone__class_Oone(T_a)))) ) )).

fof(fact_less__1__mult,axiom,(
    ! [V_n,V_m,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_m))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_n))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_m),V_n))) ) ) ) )).

fof(fact_eq__add__iff2,axiom,(
    ! [V_d_2,V_b_2,V_c_2,V_e_2,V_a_2,T_a] :
      ( class_Rings_Oring(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_e_2)),V_c_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_e_2)),V_d_2)
      <=> V_c_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_b_2),V_a_2)),V_e_2)),V_d_2) ) ) )).

fof(fact_fold__image__Un__one,axiom,(
    ! [V_f_2,V_T_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_T_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2)))
               => hAPP(V_f_2,B_x) = c_Groups_Oone__class_Oone(T_b) )
           => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_f_2),c_Groups_Oone__class_Oone(T_b)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_f_2),c_Groups_Oone__class_Oone(T_b)),V_S_2)),hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_f_2),c_Groups_Oone__class_Oone(T_b)),V_T_2)) ) ) ) ) )).

fof(fact_fold1__in,axiom,(
    ! [V_A_2,T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_diff__add__inverse2,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)),V_n) = V_m )).

fof(fact_diff__add__inverse,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m)),V_n) = V_m )).

fof(fact_diff__diff__left,axiom,(
    ! [V_k,V_j,V_i] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i),V_j)),V_k) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_k)) )).

fof(fact_diff__cancel,axiom,(
    ! [V_n,V_m,V_k] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k),V_m)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n) )).

fof(fact_diff__cancel2,axiom,(
    ! [V_n,V_k,V_m] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_k)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_k)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n) )).

fof(fact_diff__add__assoc2,axiom,(
    ! [V_i,V_j,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_j))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_i)),V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_k)),V_i) ) )).

fof(fact_add__diff__assoc2,axiom,(
    ! [V_i,V_j,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_j))
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_k)),V_i) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_i)),V_k) ) )).

fof(fact_nat__less__le,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
        & V_m_2 != V_n_2 ) ) )).

fof(fact_le__eq__less__or__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
        | V_m_2 = V_n_2 ) ) )).

fof(fact_less__imp__le__nat,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_le__neq__implies__less,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => ( V_m != V_n
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) ) )).

fof(fact_less__or__eq__imp__le,axiom,(
    ! [V_n,V_m] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
        | V_m = V_n )
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_mult__le__mono,axiom,(
    ! [V_l,V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_l))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i),V_k)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j),V_l))) ) ) )).

fof(fact_mult__le__mono2,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_i)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_j))) ) )).

fof(fact_mult__le__mono1,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i),V_k)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j),V_k))) ) )).

fof(fact_le__cube,axiom,(
    ! [V_m] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_m)))) )).

fof(fact_le__square,axiom,(
    ! [V_m] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_m))) )).

fof(fact_le__refl,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_n)) )).

fof(fact_nat__le__linear,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
      | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m)) ) )).

fof(fact_eq__imp__le,axiom,(
    ! [V_n,V_m] :
      ( V_m = V_n
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_le__trans,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_k)) ) ) )).

fof(fact_le__antisym,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
       => V_m = V_n ) ) )).

fof(fact_nat__add__commute,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m) )).

fof(fact_nat__add__left__commute,axiom,(
    ! [V_z,V_y,V_x] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),V_z)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_x),V_z)) )).

fof(fact_nat__add__assoc,axiom,(
    ! [V_k,V_n,V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)),V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_k)) )).

fof(fact_nat__add__left__cancel,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),V_m_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),V_n_2)
    <=> V_m_2 = V_n_2 ) )).

fof(fact_nat__add__right__cancel,axiom,(
    ! [V_n_2,V_k_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_k_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),V_k_2)
    <=> V_m_2 = V_n_2 ) )).

fof(fact_add__leE,axiom,(
    ! [V_n,V_k,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_k)),V_n))
     => ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
         => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_n)) ) ) )).

fof(fact_add__leD1,axiom,(
    ! [V_n,V_k,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_k)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_add__leD2,axiom,(
    ! [V_n,V_k,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_k)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_n)) ) )).

fof(fact_add__le__mono,axiom,(
    ! [V_l,V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_l))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_k)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_l))) ) ) )).

fof(fact_add__le__mono1,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_k)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_k))) ) )).

fof(fact_trans__le__add2,axiom,(
    ! [V_m,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_j))) ) )).

fof(fact_trans__le__add1,axiom,(
    ! [V_m,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_m))) ) )).

fof(fact_nat__add__left__cancel__le,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),V_m_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_le__iff__add,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
    <=> ? [B_k] : V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),B_k) ) )).

fof(fact_le__add1,axiom,(
    ! [V_m,V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m))) )).

fof(fact_le__add2,axiom,(
    ! [V_m,V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n))) )).

fof(fact_add__mult__distrib,axiom,(
    ! [V_k,V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)),V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_k)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_k)) )).

fof(fact_add__mult__distrib2,axiom,(
    ! [V_n,V_m,V_k] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_m)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)) )).

fof(fact_not__add__less1,axiom,(
    ! [V_j,V_i] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_j)),V_i)) )).

fof(fact_not__add__less2,axiom,(
    ! [V_i,V_j] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_i)),V_i)) )).

fof(fact_nat__add__left__cancel__less,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),V_m_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_trans__less__add1,axiom,(
    ! [V_m,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_m))) ) )).

fof(fact_trans__less__add2,axiom,(
    ! [V_m,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_j))) ) )).

fof(fact_add__less__mono1,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_k)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_k))) ) )).

fof(fact_add__less__mono,axiom,(
    ! [V_l,V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_k),V_l))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_k)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_l))) ) ) )).

fof(fact_less__add__eq__less,axiom,(
    ! [V_n,V_m,V_l,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_k),V_l))
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_l) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k),V_n)
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) ) )).

fof(fact_add__lessD1,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_j)),V_k))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_k)) ) )).

fof(fact_diff__mult__distrib2,axiom,(
    ! [V_n,V_m,V_k] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_m)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)) )).

fof(fact_diff__mult__distrib,axiom,(
    ! [V_k,V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_k) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_k)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_k)) )).

fof(fact_less__imp__diff__less,axiom,(
    ! [V_n,V_k,V_j] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j),V_k))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_n)),V_k)) ) )).

fof(fact_diff__less__mono2,axiom,(
    ! [V_l,V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_l))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_l),V_n)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_l),V_m))) ) ) )).

fof(fact_less__diff__iff,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),V_m_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),V_n_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m_2),V_k_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),V_k_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) ) ) )).

fof(fact_diff__less__mono,axiom,(
    ! [V_c,V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_a),V_b))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_c),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_a),V_c)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_b),V_c))) ) ) )).

fof(fact_diff__le__self,axiom,(
    ! [V_n,V_m] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_m)) )).

fof(fact_diff__le__mono2,axiom,(
    ! [V_l,V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_l),V_n)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_l),V_m))) ) )).

fof(fact_diff__le__mono,axiom,(
    ! [V_l,V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_l)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),V_l))) ) )).

fof(fact_diff__diff__cancel,axiom,(
    ! [V_n,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_n))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),V_i)) = V_i ) )).

fof(fact_eq__diff__iff,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),V_m_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),V_n_2))
       => ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m_2),V_k_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),V_k_2)
        <=> V_m_2 = V_n_2 ) ) ) )).

fof(fact_Nat_Odiff__diff__eq,axiom,(
    ! [V_n,V_m,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_m))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_n))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_k)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),V_k)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n) ) ) )).

fof(fact_le__diff__iff,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),V_m_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),V_n_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m_2),V_k_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),V_k_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) ) ) )).

fof(fact_diff__commute,axiom,(
    ! [V_k,V_j,V_i] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i),V_j)),V_k) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i),V_k)),V_j) )).

fof(fact_less__diff__conv,axiom,(
    ! [V_k_2,V_j_2,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j_2),V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),V_k_2)),V_j_2)) ) )).

fof(fact_add__diff__inverse,axiom,(
    ! [V_n,V_m] :
      ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)) = V_m ) )).

fof(fact_diff__diff__right,axiom,(
    ! [V_i,V_j,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_j))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_k)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_k)),V_j) ) )).

fof(fact_le__diff__conv,axiom,(
    ! [V_i_2,V_k_2,V_j_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j_2),V_k_2)),V_i_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),V_k_2))) ) )).

fof(fact_le__add__diff,axiom,(
    ! [V_m,V_n,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m)),V_k))) ) )).

fof(fact_le__add__diff__inverse,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)) = V_m ) )).

fof(fact_add__diff__assoc,axiom,(
    ! [V_i,V_j,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_j))
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_k)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_j)),V_k) ) )).

fof(fact_le__diff__conv2,axiom,(
    ! [V_i_2,V_j_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),V_j_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j_2),V_k_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),V_k_2)),V_j_2)) ) ) )).

fof(fact_le__add__diff__inverse2,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_n) = V_m ) )).

fof(fact_le__imp__diff__is__add,axiom,(
    ! [V_k_2,V_j_2,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i_2),V_j_2))
     => ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j_2),V_i_2) = V_k_2
      <=> V_j_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),V_i_2) ) ) )).

fof(fact_diff__add__assoc,axiom,(
    ! [V_i,V_j,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_j))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_j)),V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_k)) ) )).

fof(fact_nat__le__add__iff1,axiom,(
    ! [V_n_2,V_m_2,V_u_2,V_i_2,V_j_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j_2),V_i_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i_2),V_u_2)),V_m_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j_2),V_u_2)),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i_2),V_j_2)),V_u_2)),V_m_2)),V_n_2)) ) ) )).

fof(fact_nat__less__add__iff1,axiom,(
    ! [V_n_2,V_m_2,V_u_2,V_i_2,V_j_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j_2),V_i_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i_2),V_u_2)),V_m_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j_2),V_u_2)),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i_2),V_j_2)),V_u_2)),V_m_2)),V_n_2)) ) ) )).

fof(fact_nat__diff__add__eq1,axiom,(
    ! [V_n,V_m,V_u,V_i,V_j] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j),V_i))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i),V_u)),V_m)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j),V_u)),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i),V_j)),V_u)),V_m)),V_n) ) )).

fof(fact_nat__eq__add__iff1,axiom,(
    ! [V_n_2,V_m_2,V_u_2,V_i_2,V_j_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j_2),V_i_2))
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i_2),V_u_2)),V_m_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j_2),V_u_2)),V_n_2)
      <=> hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_i_2),V_j_2)),V_u_2)),V_m_2) = V_n_2 ) ) )).

fof(fact_nat__le__add__iff2,axiom,(
    ! [V_n_2,V_m_2,V_u_2,V_j_2,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i_2),V_j_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i_2),V_u_2)),V_m_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j_2),V_u_2)),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j_2),V_i_2)),V_u_2)),V_n_2))) ) ) )).

fof(fact_nat__less__add__iff2,axiom,(
    ! [V_n_2,V_m_2,V_u_2,V_j_2,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i_2),V_j_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i_2),V_u_2)),V_m_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j_2),V_u_2)),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j_2),V_i_2)),V_u_2)),V_n_2))) ) ) )).

fof(fact_nat__diff__add__eq2,axiom,(
    ! [V_n,V_m,V_u,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i),V_u)),V_m)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j),V_u)),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_i)),V_u)),V_n)) ) )).

fof(fact_nat__eq__add__iff2,axiom,(
    ! [V_n_2,V_m_2,V_u_2,V_j_2,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i_2),V_j_2))
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i_2),V_u_2)),V_m_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j_2),V_u_2)),V_n_2)
      <=> V_m_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j_2),V_i_2)),V_u_2)),V_n_2) ) ) )).

fof(fact_termination__basic__simps_I4_J,axiom,(
    ! [V_y,V_z,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_x),V_z))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),V_z))) ) )).

fof(fact_nat__less__cases,axiom,(
    ! [V_P_2,V_n_2,V_m_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
       => hBOOL(hAPP(hAPP(V_P_2,V_n_2),V_m_2)) )
     => ( ( V_m_2 = V_n_2
         => hBOOL(hAPP(hAPP(V_P_2,V_n_2),V_m_2)) )
       => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),V_m_2))
           => hBOOL(hAPP(hAPP(V_P_2,V_n_2),V_m_2)) )
         => hBOOL(hAPP(hAPP(V_P_2,V_n_2),V_m_2)) ) ) ) )).

fof(fact_less__not__refl3,axiom,(
    ! [V_t,V_s] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_s),V_t))
     => V_s != V_t ) )).

fof(fact_less__not__refl2,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),V_m))
     => V_m != V_n ) )).

fof(fact_less__irrefl__nat,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),V_n)) )).

fof(fact_linorder__neqE__nat,axiom,(
    ! [V_y,V_x] :
      ( V_x != V_y
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_y),V_x)) ) ) )).

fof(fact_nat__neq__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( V_m_2 != V_n_2
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
        | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),V_m_2)) ) ) )).

fof(fact_less__not__refl,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),V_n)) )).

fof(fact_nat__mult__commute,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_m) )).

fof(fact_nat__mult__assoc,axiom,(
    ! [V_k,V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)),V_k) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_k)) )).

fof(fact_nat__mult__eq__1__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_n_2) = c_Groups_Oone__class_Oone(tc_Nat_Onat)
    <=> ( V_m_2 = c_Groups_Oone__class_Oone(tc_Nat_Onat)
        & V_n_2 = c_Groups_Oone__class_Oone(tc_Nat_Onat) ) ) )).

fof(fact_nat__mult__1__right,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = V_n )).

fof(fact_nat__1__eq__mult__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( c_Groups_Oone__class_Oone(tc_Nat_Onat) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_n_2)
    <=> ( V_m_2 = c_Groups_Oone__class_Oone(tc_Nat_Onat)
        & V_n_2 = c_Groups_Oone__class_Oone(tc_Nat_Onat) ) ) )).

fof(fact_nat__mult__1,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_n) = V_n )).

fof(fact_termination__basic__simps_I2_J,axiom,(
    ! [V_y,V_z,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x),V_z))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),V_z))) ) )).

fof(fact_termination__basic__simps_I1_J,axiom,(
    ! [V_z,V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x),V_y))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),V_z))) ) )).

fof(fact_left__add__mult__distrib,axiom,(
    ! [V_k,V_j,V_u,V_i] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i),V_u)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j),V_u)),V_k)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_j)),V_u)),V_k) )).

fof(fact_termination__basic__simps_I5_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x),V_y))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_x),V_y)) ) )).

fof(fact_termination__basic__simps_I3_J,axiom,(
    ! [V_z,V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_x),V_y))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),V_z))) ) )).

fof(fact_hom__fold1__commute,axiom,(
    ! [V_N_2,V_h_2,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),B_x),B_y)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),V_N_2)) = hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_card__Diff__singleton,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) ) ) )).

fof(fact_card__Diff__singleton__if,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) )
        & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(c_Finite__Set_Ocard(T_a),V_A_2) ) ) ) )).

fof(fact_card_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_card__Diff2__less,axiom,(
    ! [V_y_2,V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),hAPP(c_Finite__Set_Ocard(T_a),V_A_2))) ) ) ) )).

fof(fact_card__Diff1__less,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),hAPP(c_Finite__Set_Ocard(T_a),V_A_2))) ) ) )).

fof(fact_setprod_Oremove,axiom,(
    ! [V_g_2,V_x_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(V_g_2,V_x_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) )).

fof(fact_convex__bound__lt,axiom,(
    ! [V_v,V_u,V_y,V_a,V_x,T_a] :
      ( class_Rings_Olinordered__semiring__1__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),V_a))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_u))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_v))
             => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_u),V_v) = c_Groups_Oone__class_Oone(T_a)
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_u),V_x)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_v),V_y))),V_a)) ) ) ) ) ) ) )).

fof(fact_fold__image__1,axiom,(
    ! [V_f_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_S_2))
             => hAPP(V_f_2,B_x) = c_Groups_Oone__class_Oone(T_b) )
         => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_f_2),c_Groups_Oone__class_Oone(T_b)),V_S_2) = c_Groups_Oone__class_Oone(T_b) ) ) ) )).

fof(fact_less__zeroE,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_le0,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n)) )).

fof(fact_card__infinite,axiom,(
    ! [V_A_2,T_a] :
      ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_card_Oempty,axiom,(
    ! [T_a] : hAPP(c_Finite__Set_Ocard(T_a),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_setprod__zero__iff,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( ( class_Rings_Ocomm__semiring__1(T_b)
        & class_Rings_Ono__zero__divisors(T_b) )
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2) = c_Groups_Ozero__class_Ozero(T_b)
        <=> ? [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
              & hAPP(V_f_2,B_x) = c_Groups_Ozero__class_Ozero(T_b) ) ) ) ) )).

fof(fact_setprod__zero,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Rings_Ocomm__semiring__1(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ? [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
              & hAPP(V_f_2,B_x) = c_Groups_Ozero__class_Ozero(T_b) )
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) ) )).

fof(fact_zero__reorient,axiom,(
    ! [V_x_2,T_a] :
      ( class_Groups_Ozero(T_a)
     => ( c_Groups_Ozero__class_Ozero(T_a) = V_x_2
      <=> V_x_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_setprod__pos__nat__iff,axiom,(
    ! [V_f_2,V_S_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Nat_Onat),V_f_2),V_S_2)))
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_S_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(V_f_2,B_x))) ) ) ) )).

fof(fact_card__eq__0__iff,axiom,(
    ! [V_A_2,T_a] :
      ( hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        | ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) ) )).

fof(fact_card__ge__0__finite,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_setprod__eq__1__iff,axiom,(
    ! [V_f_2,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
     => ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Nat_Onat),V_f_2),V_Fa_2) = c_Groups_Oone__class_Oone(tc_Nat_Onat)
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_Fa_2))
           => hAPP(V_f_2,B_x) = c_Groups_Oone__class_Oone(tc_Nat_Onat) ) ) ) )).

fof(fact_card__def,axiom,(
    ! [V_A_2,T_a] :
      ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(tc_Nat_Onat,T_a,c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),hAPP(c_COMBK(tc_Nat_Onat,T_a),c_Groups_Oone__class_Oone(tc_Nat_Onat))),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_A_2) )
      & ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_card_Oeq__fold__g,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(tc_Nat_Onat,T_a,c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),hAPP(c_COMBK(tc_Nat_Onat,T_a),c_Groups_Oone__class_Oone(tc_Nat_Onat))),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_A_2) ) )).

fof(fact_add__0__left,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = V_a ) )).

fof(fact_add__0,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = V_a ) )).

fof(fact_double__zero__sym,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( c_Groups_Ozero__class_Ozero(T_a) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_add__0__right,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = V_a ) )).

fof(fact_add_Ocomm__neutral,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = V_a ) )).

fof(fact_add__0__iff,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( class_Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct(T_a)
     => ( V_b_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b_2),V_a_2)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I6_J,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = V_a ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I5_J,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = V_a ) )).

fof(fact_divisors__zero,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Ono__zero__divisors(T_a)
     => ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b) = c_Groups_Ozero__class_Ozero(T_a)
       => ( V_a = c_Groups_Ozero__class_Ozero(T_a)
          | V_b = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_no__zero__divisors,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Ono__zero__divisors(T_a)
     => ( V_a != c_Groups_Ozero__class_Ozero(T_a)
       => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
         => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b) != c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_mult__eq__0__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Oring__no__zero__divisors(T_a)
     => ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_b_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> ( V_a_2 = c_Groups_Ozero__class_Ozero(T_a)
          | V_b_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I10_J,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_mult__zero__right,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Omult__zero(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I9_J,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_mult__zero__left,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Omult__zero(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_right__minus__eq,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> V_a_2 = V_b_2 ) ) )).

fof(fact_eq__iff__diff__eq__0,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => ( V_a_2 = V_b_2
      <=> hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2) = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_diff__self,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_diff__0__right,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = V_a ) )).

fof(fact_zero__neq__one,axiom,(
    ! [T_a] :
      ( class_Rings_Ozero__neq__one(T_a)
     => c_Groups_Ozero__class_Ozero(T_a) != c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_one__neq__zero,axiom,(
    ! [T_a] :
      ( class_Rings_Ozero__neq__one(T_a)
     => c_Groups_Oone__class_Oone(T_a) != c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_not__less0,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_neq0__conv,axiom,(
    ! [V_n_2] :
      ( V_n_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)) ) )).

fof(fact_less__nat__zero__code,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_gr__implies__not0,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_gr0I,axiom,(
    ! [V_n] :
      ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n)) ) )).

fof(fact_plus__nat_Oadd__0,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n) = V_n )).

fof(fact_Nat_Oadd__0__right,axiom,(
    ! [V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = V_m )).

fof(fact_add__is__0,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_n_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> ( V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        & V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_add__eq__self__zero,axiom,(
    ! [V_n,V_m] :
      ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n) = V_m
     => V_n = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_less__eq__nat_Osimps_I1_J,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n)) )).

fof(fact_le__0__eq,axiom,(
    ! [V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))
    <=> V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_setprod__timesf,axiom,(
    ! [V_A_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),hAPP(hAPP(c_COMBS(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Otimes__class_Otimes(T_a)),V_f_2)),V_g_2)),V_A_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),V_g_2),V_A_2)) ) )).

fof(fact_diffs0__imp__equal,axiom,(
    ! [V_n,V_m] :
      ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
     => ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),V_m) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => V_m = V_n ) ) )).

fof(fact_diff__self__eq__0,axiom,(
    ! [V_m] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_m) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_minus__nat_Odiff__0,axiom,(
    ! [V_m] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = V_m )).

fof(fact_diff__0__eq__0,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_nat__mult__eq__cancel__disj,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_m_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_n_2)
    <=> ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        | V_m_2 = V_n_2 ) ) )).

fof(fact_mult__eq__self__implies__10,axiom,(
    ! [V_n,V_m] :
      ( V_m = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)
     => ( V_n = c_Groups_Oone__class_Oone(tc_Nat_Onat)
        | V_m = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_mult__cancel2,axiom,(
    ! [V_n_2,V_k_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_k_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),V_k_2)
    <=> ( V_m_2 = V_n_2
        | V_k_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_mult__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_m_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_n_2)
    <=> ( V_m_2 = V_n_2
        | V_k_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_mult__is__0,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_n_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> ( V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        | V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_mult__0__right,axiom,(
    ! [V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_mult__0,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_setprod__1,axiom,(
    ! [V_A_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),hAPP(c_COMBK(T_a,T_b),c_Groups_Oone__class_Oone(T_a))),V_A_2) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_card__gt__0__iff,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)))
    <=> ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) ) )).

fof(fact_card__eq__setsum,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),hAPP(c_COMBK(tc_Nat_Onat,T_a),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_A_2) )).

fof(fact_setsum__0,axiom,(
    ! [V_A_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(c_COMBK(T_a,T_b),c_Groups_Ozero__class_Ozero(T_a))),V_A_2) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_setprod__empty,axiom,(
    ! [V_f_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),V_f_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_setprod_Oempty,axiom,(
    ! [V_g_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),V_g_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_setprod__infinite,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2) = c_Groups_Oone__class_Oone(T_b) ) ) )).

fof(fact_setprod_Oinfinite,axiom,(
    ! [V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2) = c_Groups_Oone__class_Oone(T_b) ) ) )).

fof(fact_setprod_Odistrib,axiom,(
    ! [V_h_2,V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,T_b),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Groups_Otimes__class_Otimes(T_b)),V_g_2)),V_h_2)),V_A_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_h_2),V_A_2)) ) ) )).

fof(fact_add__nonpos__nonpos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_add__increasing2,axiom,(
    ! [V_a,V_b,V_c,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c))) ) ) ) )).

fof(fact_add__increasing,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c))) ) ) ) )).

fof(fact_add__nonneg__eq__0__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y_2))
         => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x_2),V_y_2) = c_Groups_Ozero__class_Ozero(T_a)
          <=> ( V_x_2 = c_Groups_Ozero__class_Ozero(T_a)
              & V_y_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) ) ) )).

fof(fact_add__nonneg__nonneg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b))) ) ) ) )).

fof(fact_double__add__le__zero__iff__single__add__le__zero,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_zero__le__double__add__iff__zero__le__single__add,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_zero__le__square,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__ring(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_a))) ) )).

fof(fact_zero__le__mult__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_b_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b_2)) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) )).

fof(fact_mult__le__0__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_b_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),c_Groups_Ozero__class_Ozero(T_a))) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b_2)) ) ) ) ) )).

fof(fact_mult__nonneg__nonneg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__cancel__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b))) ) ) ) )).

fof(fact_mult__nonneg__nonpos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__cancel__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_mult__nonneg__nonpos2,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__cancel__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_a)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_mult__nonpos__nonneg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__cancel__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_mult__nonpos__nonpos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b))) ) ) ) )).

fof(fact_mult__right__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Oordered__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c))) ) ) ) )).

fof(fact_mult__left__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Oordered__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b))) ) ) ) )).

fof(fact_comm__mult__left__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Oordered__comm__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b))) ) ) ) )).

fof(fact_mult__right__mono__neg,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c))) ) ) ) )).

fof(fact_mult__left__mono__neg,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b))) ) ) ) )).

fof(fact_mult__mono_H,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Rings_Oordered__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_d))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_d))) ) ) ) ) ) )).

fof(fact_mult__mono,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Rings_Oordered__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_d))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_d))) ) ) ) ) ) )).

fof(fact_split__mult__pos__le,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__ring(T_a)
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b)) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a))) ) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b))) ) ) )).

fof(fact_split__mult__neg__le,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__cancel__semiring(T_a)
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a))) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b)) ) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_add__neg__neg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_add__pos__pos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b))) ) ) ) )).

fof(fact_double__add__less__zero__iff__single__add__less__zero,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_zero__less__double__add__iff__zero__less__single__add,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_pos__add__strict,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c))) ) ) ) )).

fof(fact_not__square__less__zero,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__ring(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_a)),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_mult__less__cancel__right__disj,axiom,(
    ! [V_b_2,V_c_2,V_a_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_c_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),V_a_2)) ) ) ) ) )).

fof(fact_mult__less__cancel__left__disj,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_a_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_b_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),V_a_2)) ) ) ) ) )).

fof(fact_mult__less__cancel__left__pos,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_a_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_b_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) ) ) ) )).

fof(fact_mult__pos__pos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b))) ) ) ) )).

fof(fact_mult__pos__neg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_mult__pos__neg2,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_a)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_zero__less__mult__pos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b)) ) ) ) )).

fof(fact_zero__less__mult__pos2,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b)) ) ) ) )).

fof(fact_mult__less__cancel__left__neg,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_a_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_b_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),V_a_2)) ) ) ) )).

fof(fact_mult__neg__pos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_mult__neg__neg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b))) ) ) ) )).

fof(fact_mult__strict__right__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c))) ) ) ) )).

fof(fact_mult__strict__left__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b))) ) ) ) )).

fof(fact_comm__mult__strict__left__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__comm__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b))) ) ) ) )).

fof(fact_mult__strict__right__mono__neg,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c))) ) ) ) )).

fof(fact_mult__strict__left__mono__neg,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b))) ) ) ) )).

fof(fact_le__iff__diff__le__0,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2)),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_less__iff__diff__less__0,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2)),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_add__scale__eq__noteq,axiom,(
    ! [V_d,V_c,V_b,V_a,V_r,T_a] :
      ( class_Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct(T_a)
     => ( V_r != c_Groups_Ozero__class_Ozero(T_a)
       => ( ( V_a = V_b
            & V_c != V_d )
         => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_r),V_c)) != hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_r),V_d)) ) ) ) )).

fof(fact_not__one__le__zero,axiom,(
    ! [T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_zero__le__one,axiom,(
    ! [T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),c_Groups_Oone__class_Oone(T_a))) ) )).

fof(fact_zero__less__one,axiom,(
    ! [T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),c_Groups_Oone__class_Oone(T_a))) ) )).

fof(fact_not__one__less__zero,axiom,(
    ! [T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_setsum__empty,axiom,(
    ! [V_f_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_setsum_Oempty,axiom,(
    ! [V_g_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_g_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_setsum__infinite,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) )).

fof(fact_setsum_Oinfinite,axiom,(
    ! [V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) )).

fof(fact_add__gr__0,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m_2))
        | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)) ) ) )).

fof(fact_zero__less__diff,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),V_m_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_diff__less,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_m)) ) ) )).

fof(fact_nat__mult__less__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_m_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_nat__mult__eq__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2))
     => ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_m_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_n_2)
      <=> V_m_2 = V_n_2 ) ) )).

fof(fact_nat__0__less__mult__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)) ) ) )).

fof(fact_mult__less__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_m_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_mult__less__cancel2,axiom,(
    ! [V_n_2,V_k_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_k_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),V_k_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_mult__less__mono1,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_i),V_k)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_j),V_k))) ) ) )).

fof(fact_mult__less__mono2,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_i)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_j))) ) ) )).

fof(fact_diff__add__0,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_diff__is__0__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m_2),V_n_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_diff__is__0__eq_H,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_setsum__eq__1__iff,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2) = c_Groups_Oone__class_Oone(tc_Nat_Onat)
      <=> ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
            & hAPP(V_f_2,B_x) = c_Groups_Oone__class_Oone(tc_Nat_Onat)
            & ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_A_2))
               => ( B_x != B_xa
                 => hAPP(V_f_2,B_xa) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) ) ) ) )).

fof(fact_setsum__eq__0__iff,axiom,(
    ! [V_f_2,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
     => ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_Fa_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_Fa_2))
           => hAPP(V_f_2,B_x) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) ) )).

fof(fact_card__insert__le,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)))) ) )).

fof(fact_card__mono,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2))) ) ) )).

fof(fact_card__seteq,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_B_2)),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)))
         => V_A_2 = V_B_2 ) ) ) )).

fof(fact_card__image__le,axiom,(
    ! [V_f_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_b),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2))),hAPP(c_Finite__Set_Ocard(T_a),V_A_2))) ) )).

fof(fact_setprod__delta,axiom,(
    ! [V_b_2,V_a_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_b_2)),c_Groups_Oone__class_Oone(T_b))),V_S_2) = hAPP(V_b_2,V_a_2) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_b_2)),c_Groups_Oone__class_Oone(T_b))),V_S_2) = c_Groups_Oone__class_Oone(T_b) ) ) ) ) )).

fof(fact_setprod__delta_H,axiom,(
    ! [V_b_2,V_a_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(c_fequal,V_a_2))),V_b_2)),c_Groups_Oone__class_Oone(T_b))),V_S_2) = hAPP(V_b_2,V_a_2) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(c_fequal,V_a_2))),V_b_2)),c_Groups_Oone__class_Oone(T_b))),V_S_2) = c_Groups_Oone__class_Oone(T_b) ) ) ) ) )).

fof(fact_psubset__card__mono,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2))) ) ) )).

fof(fact_add__pos__nonneg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b))) ) ) ) )).

fof(fact_add__nonneg__pos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b))) ) ) ) )).

fof(fact_add__strict__increasing,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c))) ) ) ) )).

fof(fact_add__strict__increasing2,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c))) ) ) ) )).

fof(fact_add__neg__nonpos,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_add__nonpos__neg,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__comm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_mult__le__cancel__left__pos,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_a_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_b_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2)) ) ) ) )).

fof(fact_mult__le__cancel__left__neg,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_a_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),V_b_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),V_a_2)) ) ) ) )).

fof(fact_mult__strict__mono,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_d))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_d))) ) ) ) ) ) )).

fof(fact_mult__strict__mono_H,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_d))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_d))) ) ) ) ) ) )).

fof(fact_mult__less__le__imp__less,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),V_d))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_d))) ) ) ) ) ) )).

fof(fact_mult__le__less__imp__less,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),V_d))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_d))) ) ) ) ) ) )).

fof(fact_mult__right__less__imp__less,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Rings_Olinordered__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) ) )).

fof(fact_mult__less__imp__less__right,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) ) )).

fof(fact_mult__left__less__imp__less,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Rings_Olinordered__semiring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) ) )).

fof(fact_mult__less__imp__less__left,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) ) )).

fof(fact_mult__right__le__imp__le,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b)) ) ) ) )).

fof(fact_mult__left__le__imp__le,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Rings_Olinordered__semiring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b)) ) ) ) )).

fof(fact_mult__right__le__one__le,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),c_Groups_Oone__class_Oone(T_a)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_y)),V_x)) ) ) ) ) )).

fof(fact_mult__left__le__one__le,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),c_Groups_Oone__class_Oone(T_a)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y),V_x)),V_x)) ) ) ) ) )).

fof(fact_zero__less__two,axiom,(
    ! [T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a)))) ) )).

fof(fact_nat__diff__split__asm,axiom,(
    ! [V_b_2,V_a_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_a_2),V_b_2)))
    <=> ~ ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_a_2),V_b_2))
            & ~ hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )
          | ? [B_d] :
              ( V_a_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_b_2),B_d)
              & ~ hBOOL(hAPP(V_P_2,B_d)) ) ) ) )).

fof(fact_nat__diff__split,axiom,(
    ! [V_b_2,V_a_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_a_2),V_b_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_a_2),V_b_2))
         => hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )
        & ! [B_d] :
            ( V_a_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_b_2),B_d)
           => hBOOL(hAPP(V_P_2,B_d)) ) ) ) )).

fof(fact_mult__le__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_m_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_mult__le__cancel2,axiom,(
    ! [V_n_2,V_k_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_k_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),V_k_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_nat__mult__le__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_m_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_setprod__insert,axiom,(
    ! [V_f_2,V_a_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(V_f_2,V_a_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2)) ) ) ) )).

fof(fact_setprod_Oinsert,axiom,(
    ! [V_g_2,V_x_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(V_g_2,V_x_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)) ) ) ) )).

fof(fact_setprod_Ounion__inter,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_B_2)) ) ) ) )).

fof(fact_setprod__Un__Int,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_B_2)) ) ) ) )).

fof(fact_setsum__delta,axiom,(
    ! [V_b_2,V_a_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_b_2)),c_Groups_Ozero__class_Ozero(T_b))),V_S_2) = hAPP(V_b_2,V_a_2) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_b_2)),c_Groups_Ozero__class_Ozero(T_b))),V_S_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) ) ) )).

fof(fact_setsum__delta_H,axiom,(
    ! [V_b_2,V_a_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(c_fequal,V_a_2))),V_b_2)),c_Groups_Ozero__class_Ozero(T_b))),V_S_2) = hAPP(V_b_2,V_a_2) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(c_fequal,V_a_2))),V_b_2)),c_Groups_Ozero__class_Ozero(T_b))),V_S_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) ) ) )).

fof(fact_setprod_OF__eq,axiom,(
    ! [V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),V_A_2) )
        & ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2) = c_Groups_Oone__class_Oone(T_b) ) ) ) )).

fof(fact_setprod_Oeq__fold,axiom,(
    ! [V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),c_Groups_Oone__class_Oone(T_b)),V_A_2) ) ) )).

fof(fact_card_Oinsert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)) ) ) )).

fof(fact_card__Un__Int,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) )).

fof(fact_card_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2)) ) ) )).

fof(fact_card__Diff__subset,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
       => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2)) ) ) )).

fof(fact_card__Diff__subset__Int,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) )).

fof(fact_diff__card__le__card__Diff,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2))),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))) ) )).

fof(fact_card__psubset,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) ) )).

fof(fact_convex__bound__le,axiom,(
    ! [V_v,V_u,V_y,V_a,V_x,T_a] :
      ( class_Rings_Olinordered__semiring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_a))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_u))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_v))
             => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_u),V_v) = c_Groups_Oone__class_Oone(T_a)
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_u),V_x)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_v),V_y))),V_a)) ) ) ) ) ) ) )).

fof(fact_setprod_Oinsert__remove,axiom,(
    ! [V_x_2,V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(V_g_2,V_x_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_setprod__Un__disjoint,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_B_2)) ) ) ) ) )).

fof(fact_setprod_Ounion__disjoint,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_B_2)) ) ) ) ) )).

fof(fact_setsum_OF__eq,axiom,(
    ! [V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Oplus__class_Oplus(T_b)),V_g_2),c_Groups_Ozero__class_Ozero(T_b)),V_A_2) )
        & ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) ) )).

fof(fact_setsum_Oeq__fold,axiom,(
    ! [V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Oplus__class_Oplus(T_b)),V_g_2),c_Groups_Ozero__class_Ozero(T_b)),V_A_2) ) ) )).

fof(fact_setsum__restrict__set,axiom,(
    ! [V_B_2,V_f_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))),V_f_2)),c_Groups_Ozero__class_Ozero(T_b))),V_A_2) ) ) )).

fof(fact_card__Diff__insert,axiom,(
    ! [V_B_2,V_a_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_B_2))
         => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),c_Groups_Oone__class_Oone(tc_Nat_Onat)) ) ) ) )).

fof(fact_card_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) )).

fof(fact_card__Un__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2)) ) ) ) )).

fof(fact_card__Diff1__le,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),hAPP(c_Finite__Set_Ocard(T_a),V_A_2))) ) )).

fof(fact_mult__eq__if,axiom,(
    ! [V_n,V_m] :
      ( ( V_m = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( V_m != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_n)) ) ) )).

fof(fact_not__sum__squares__lt__zero,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__ring(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_x)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y),V_y))),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_sum__squares__gt__zero__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),V_x_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y_2),V_y_2))))
      <=> ( V_x_2 != c_Groups_Ozero__class_Ozero(T_a)
          | V_y_2 != c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_sum__squares__ge__zero,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__ring(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_x)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y),V_y)))) ) )).

fof(fact_sum__squares__le__zero__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),V_x_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y_2),V_y_2))),c_Groups_Ozero__class_Ozero(T_a)))
      <=> ( V_x_2 = c_Groups_Ozero__class_Ozero(T_a)
          & V_y_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_sum__squares__eq__zero__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Rings_Olinordered__ring__strict(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),V_x_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y_2),V_y_2)) = c_Groups_Ozero__class_Ozero(T_a)
      <=> ( V_x_2 = c_Groups_Ozero__class_Ozero(T_a)
          & V_y_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_even__less__0__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_setsum__mono2,axiom,(
    ! [V_f_2,V_A_2,V_B_2,T_a,T_b] :
      ( class_Groups_Oordered__comm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
         => ( ! [B_b] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_b),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(V_f_2,B_b))) )
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_B_2))) ) ) ) ) )).

fof(fact_triple_Osize_I1_J,axiom,(
    ! [V_fun2_2,V_com_2,V_fun1_2,V_fa_2,T_a] : c_Hoare__Mirabelle_Otriple_Otriple__size(T_a,V_fa_2,hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_fun1_2),V_com_2),V_fun2_2)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_bot__nat__def,axiom,(
    c_Orderings_Obot__class_Obot(tc_Nat_Onat) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_double__eq__0__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_triple_Osize_I2_J,axiom,(
    ! [V_fun2_2,V_com_2,V_fun1_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_fun1_2),V_com_2),V_fun2_2)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_card_Ounion__inter__neutral,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => ( ( ? [B_x] : hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
           => c_Groups_Oone__class_Oone(tc_Nat_Onat) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
         => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_a),V_B_2)) ) ) ) )).

fof(fact_setprod__Un__one,axiom,(
    ! [V_f_2,V_T_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_T_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2)))
               => hAPP(V_f_2,B_x) = c_Groups_Oone__class_Oone(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_S_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_T_2)) ) ) ) ) )).

fof(fact_setprod_Ounion__inter__neutral,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
               => hAPP(V_g_2,B_x) = c_Groups_Oone__class_Oone(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_B_2)) ) ) ) ) )).

fof(fact_setsum__Un__zero,axiom,(
    ! [V_f_2,V_T_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_T_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2)))
               => hAPP(V_f_2,B_x) = c_Groups_Ozero__class_Ozero(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_S_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_T_2)) ) ) ) ) )).

fof(fact_setsum_Ounion__inter__neutral,axiom,(
    ! [V_g_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
               => hAPP(V_g_2,B_x) = c_Groups_Ozero__class_Ozero(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_B_2)) ) ) ) ) )).

fof(fact_setsum__mono3,axiom,(
    ! [V_f_2,V_A_2,V_B_2,T_a,T_b] :
      ( ( class_Groups_Ocomm__monoid__add(T_b)
        & class_Groups_Oordered__ab__semigroup__add(T_b) )
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(V_f_2,B_x))) )
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_B_2))) ) ) ) ) )).

fof(fact_setprod__gen__delta,axiom,(
    ! [V_c_2,V_b_2,V_a_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_b_2)),V_c_2)),V_S_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(V_b_2,V_a_2)),hAPP(hAPP(c_Power_Opower__class_Opower(T_b),V_c_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_S_2)),c_Groups_Oone__class_Oone(tc_Nat_Onat)))) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_S_2))
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_b_2)),V_c_2)),V_S_2) = hAPP(hAPP(c_Power_Opower__class_Opower(T_b),V_c_2),hAPP(c_Finite__Set_Ocard(T_a),V_S_2)) ) ) ) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I30_J,axiom,(
    ! [V_q,V_y,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_y)),V_q) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_q)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),V_q)) ) )).

fof(fact_zpower__zadd__distrib,axiom,(
    ! [V_z,V_y,V_x] : hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),V_z)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),V_y)),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),V_z)) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I31_J,axiom,(
    ! [V_q,V_p,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_p)),V_q) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_p),V_q)) ) )).

fof(fact_zpower__zpower,axiom,(
    ! [V_z,V_y,V_x] : hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),V_y)),V_z) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_y),V_z)) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I33_J,axiom,(
    ! [V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = V_x ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I32_J,axiom,(
    ! [V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I26_J,axiom,(
    ! [V_q,V_p,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_p)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_q)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_p),V_q)) ) )).

fof(fact_setprod__constant,axiom,(
    ! [V_y_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(c_COMBK(T_b,T_a),V_y_2)),V_A_2) = hAPP(hAPP(c_Power_Opower__class_Opower(T_b),V_y_2),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)) ) ) )).

fof(fact_power__eq__if,axiom,(
    ! [V_p,V_m] :
      ( ( V_m = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_p),V_m) = c_Groups_Oone__class_Oone(tc_Nat_Onat) )
      & ( V_m != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_p),V_m) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_p),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_p),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),c_Groups_Oone__class_Oone(tc_Nat_Onat)))) ) ) )).

fof(fact_power__strict__mono,axiom,(
    ! [V_n,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),V_n))) ) ) ) ) )).

fof(fact_one__less__power,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))) ) ) ) )).

fof(fact_power__increasing__iff,axiom,(
    ! [V_y_2,V_x_2,V_b_2,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_b_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b_2),V_x_2)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b_2),V_y_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_x_2),V_y_2)) ) ) ) )).

fof(fact_power__le__imp__le__exp,axiom,(
    ! [V_n,V_m,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_m)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n)) ) ) ) )).

fof(fact_power__decreasing,axiom,(
    ! [V_a,V_N,V_n,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_N))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Oone__class_Oone(T_a)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_N)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))) ) ) ) ) )).

fof(fact_power__strict__decreasing,axiom,(
    ! [V_a,V_N,V_n,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),V_N))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Oone__class_Oone(T_a)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_N)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))) ) ) ) ) )).

fof(fact_power__eq__imp__eq__base,axiom,(
    ! [V_b,V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),V_n)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
             => V_a = V_b ) ) ) ) ) )).

fof(fact_power__Suc__less,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Oone__class_Oone(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))) ) ) ) )).

fof(fact_zdiff__zmult__distrib2,axiom,(
    ! [V_z2,V_z1,V_w] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_z1),V_z2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),V_z1)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),V_z2)) )).

fof(fact_zdiff__zmult__distrib,axiom,(
    ! [V_w,V_z2,V_z1] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_z1),V_z2)),V_w) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z1),V_w)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z2),V_w)) )).

fof(fact_zmult__assoc,axiom,(
    ! [V_z3,V_z2,V_z1] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z1),V_z2)),V_z3) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z1),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z2),V_z3)) )).

fof(fact_zmult__commute,axiom,(
    ! [V_w,V_z] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z),V_w) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),V_z) )).

fof(fact_zadd__zmult__distrib,axiom,(
    ! [V_w,V_z2,V_z1] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z1),V_z2)),V_w) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z1),V_w)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z2),V_w)) )).

fof(fact_zadd__zmult__distrib2,axiom,(
    ! [V_z2,V_z1,V_w] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z1),V_z2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),V_z1)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),V_z2)) )).

fof(fact_zmult__zless__mono2,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k),V_i)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k),V_j))) ) ) )).

fof(fact_zmult__1__right,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z),c_Groups_Oone__class_Oone(tc_Int_Oint)) = V_z )).

fof(fact_zmult__1,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_z) = V_z )).

fof(fact_pos__zmult__eq__1__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_m_2))
     => ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_m_2),V_n_2) = c_Groups_Oone__class_Oone(tc_Int_Oint)
      <=> ( V_m_2 = c_Groups_Oone__class_Oone(tc_Int_Oint)
          & V_n_2 = c_Groups_Oone__class_Oone(tc_Int_Oint) ) ) ) )).

fof(fact_field__power__not__zero,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Oring__1__no__zero__divisors(T_a)
     => ( V_a != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n) != c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_nat__zero__less__power__iff,axiom,(
    ! [V_n_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_x_2),V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_x_2))
        | V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_nat__power__less__imp__less,axiom,(
    ! [V_n,V_m,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_i))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_i),V_m)),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_i),V_n)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) ) )).

fof(fact_power__commutes,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),V_a) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) ) )).

fof(fact_power__mult__distrib,axiom,(
    ! [V_n,V_b,V_a,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),V_n) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),V_n)) ) )).

fof(fact_power__one,axiom,(
    ! [V_n,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),c_Groups_Oone__class_Oone(T_a)),V_n) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_power__mult,axiom,(
    ! [V_n,V_m,V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_m)),V_n) ) )).

fof(fact_power__one__right,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = V_a ) )).

fof(fact_zero__le__power,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))) ) ) )).

fof(fact_power__mono,axiom,(
    ! [V_n,V_b,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),V_n))) ) ) ) )).

fof(fact_zero__less__power,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))) ) ) )).

fof(fact_power__eq__0__iff,axiom,(
    ! [V_n_2,V_a_2,T_a] :
      ( ( class_Power_Opower(T_a)
        & class_Rings_Omult__zero(T_a)
        & class_Rings_Ono__zero__divisors(T_a)
        & class_Rings_Ozero__neq__one(T_a) )
     => ( hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a_2),V_n_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> ( V_a_2 = c_Groups_Ozero__class_Ozero(T_a)
          & V_n_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) ) )).

fof(fact_one__le__power,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n))) ) ) )).

fof(fact_power__inject__exp,axiom,(
    ! [V_n_2,V_m_2,V_a_2,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a_2))
       => ( hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a_2),V_m_2) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a_2),V_n_2)
        <=> V_m_2 = V_n_2 ) ) ) )).

fof(fact_power__0,axiom,(
    ! [V_a,T_a] :
      ( class_Power_Opower(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_power__add,axiom,(
    ! [V_n,V_m,V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_m)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) ) )).

fof(fact_power__less__imp__less__base,axiom,(
    ! [V_b,V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),V_n)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b)) ) ) ) )).

fof(fact_power__less__power__Suc,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)))) ) ) )).

fof(fact_power__gt1__lemma,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)))) ) ) )).

fof(fact_power__0__left,axiom,(
    ! [V_n,T_a] :
      ( ( class_Power_Opower(T_a)
        & class_Rings_Osemiring__0(T_a) )
     => ( ( V_n = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_n) = c_Groups_Oone__class_Oone(T_a) )
        & ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_n) = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_power__strict__increasing__iff,axiom,(
    ! [V_y_2,V_x_2,V_b_2,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_b_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b_2),V_x_2)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b_2),V_y_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x_2),V_y_2)) ) ) ) )).

fof(fact_power__less__imp__less__exp,axiom,(
    ! [V_n,V_m,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_m)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) ) ) )).

fof(fact_power__strict__increasing,axiom,(
    ! [V_a,V_N,V_n,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),V_N))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_N))) ) ) ) )).

fof(fact_power__increasing,axiom,(
    ! [V_a,V_N,V_n,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_N))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_N))) ) ) ) )).

fof(fact_power__power__power,axiom,(
    ! [T_a] :
      ( class_Power_Opower(T_a)
     => c_Power_Opower__class_Opower(T_a) = c_Power_Opower_Opower(T_a,c_Groups_Oone__class_Oone(T_a),c_Groups_Otimes__class_Otimes(T_a)) ) )).

fof(fact_Ints__odd__less__0,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),V_a_2)),V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_card__Plus__conv__if,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
          & hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2)) )
       => hAPP(c_Finite__Set_Ocard(tc_sum(T_a,T_b)),c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_b),V_B_2)) )
      & ( ~ ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
            & hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2)) )
       => hAPP(c_Finite__Set_Ocard(tc_sum(T_a,T_b)),c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_setprod__diff1,axiom,(
    ! [V_a_2,V_f_2,V_A_2,T_a,T_b] :
      ( class_Fields_Ofield(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hAPP(V_f_2,V_a_2) != c_Groups_Ozero__class_Ozero(T_b)
         => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
             => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2)),hAPP(V_f_2,V_a_2)) )
            & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
             => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2) ) ) ) ) ) )).

fof(fact_setsum__nonneg__0,axiom,(
    ! [V_i_2,V_f_2,V_s_2,T_a,T_b] :
      ( class_Groups_Oordered__ab__group__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_s_2))
       => ( ! [B_i] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_i),V_s_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(V_f_2,B_i))) )
         => ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_s_2) = c_Groups_Ozero__class_Ozero(T_b)
           => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),V_s_2))
             => hAPP(V_f_2,V_i_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) ) ) ) )).

fof(fact_setsum__nonneg__leq__bound,axiom,(
    ! [V_i_2,V_B_2,V_f_2,V_s_2,T_a,T_b] :
      ( class_Groups_Oordered__ab__group__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_s_2))
       => ( ! [B_i] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_i),V_s_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(V_f_2,B_i))) )
         => ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_s_2) = V_B_2
           => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),V_s_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_f_2,V_i_2)),V_B_2)) ) ) ) ) ) )).

fof(fact_ex__least__nat__less,axiom,(
    ! [V_n_2,V_P_2] :
      ( ~ hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))
     => ( hBOOL(hAPP(V_P_2,V_n_2))
       => ? [B_k] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_k),V_n_2))
            & ! [B_i] :
                ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_i),B_k))
               => ~ hBOOL(hAPP(V_P_2,B_i)) )
            & hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),B_k),c_Groups_Oone__class_Oone(tc_Nat_Onat)))) ) ) ) )).

fof(fact_setprod__mono__one__left,axiom,(
    ! [V_f_2,V_S_2,V_T_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_T_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_T_2),V_S_2)))
               => hAPP(V_f_2,B_x) = c_Groups_Oone__class_Oone(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_S_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_T_2) ) ) ) ) )).

fof(fact_zle__add1__eq__le,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z_2),c_Groups_Oone__class_Oone(tc_Int_Oint))))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w_2),V_z_2)) ) )).

fof(fact_add1__zle__eq,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_z_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2)) ) )).

fof(fact_le__imp__0__less,axiom,(
    ! [V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_z))) ) )).

fof(fact_zless__imp__add1__zle,axiom,(
    ! [V_z,V_w] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w),V_z))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_z)) ) )).

fof(fact_int__one__le__iff__zero__less,axiom,(
    ! [V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_z_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2)) ) )).

fof(fact_zle__diff1__eq,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_z_2),c_Groups_Oone__class_Oone(tc_Int_Oint))))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2)) ) )).

fof(fact_less__bin__lemma,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),V_l_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k_2),V_l_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_int__0__less__1,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_zless__add1__eq,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z_2),c_Groups_Oone__class_Oone(tc_Int_Oint))))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2))
        | V_w_2 = V_z_2 ) ) )).

fof(fact_odd__less__0,axiom,(
    ! [V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_z_2)),V_z_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_z_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_zadd__0__right,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) = V_z )).

fof(fact_zadd__0,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z) = V_z )).

fof(fact_odd__nonzero,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_z)),V_z) != c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_int__0__neq__1,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Int_Oint) != c_Groups_Oone__class_Oone(tc_Int_Oint) )).

fof(fact_zadd__left__mono,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),V_i)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),V_j))) ) )).

fof(fact_zadd__commute,axiom,(
    ! [V_w,V_z] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z),V_w) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w),V_z) )).

fof(fact_zadd__left__commute,axiom,(
    ! [V_z,V_y,V_x] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_y),V_z)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_y),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x),V_z)) )).

fof(fact_zadd__assoc,axiom,(
    ! [V_z3,V_z2,V_z1] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z1),V_z2)),V_z3) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z1),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z2),V_z3)) )).

fof(fact_zadd__strict__right__mono,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_i),V_j))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i),V_k)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_j),V_k))) ) )).

fof(fact_zless__linear,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_x),V_y))
      | V_x = V_y
      | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_y),V_x)) ) )).

fof(fact_zless__le,axiom,(
    ! [V_w_2,V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_z_2),V_w_2))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z_2),V_w_2))
        & V_z_2 != V_w_2 ) ) )).

fof(fact_zadd__zless__mono,axiom,(
    ! [V_z,V_z_H,V_w,V_w_H] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_H),V_w))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z_H),V_z))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w_H),V_z_H)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w),V_z))) ) ) )).

fof(fact_divide__zero__left,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_divide__zero,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Odivision__ring__inverse__zero(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_add__divide__distrib,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_c)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c)) ) )).

fof(fact_times__divide__eq__right,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),V_c) ) )).

fof(fact_diff__divide__distrib,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_c)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c)) ) )).

fof(fact_divide__1,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),c_Groups_Oone__class_Oone(T_a)) = V_a ) )).

fof(fact_power__divide,axiom,(
    ! [V_n,V_b,V_a,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b)),V_n) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),V_n)) ) )).

fof(fact_setsum__divide__distrib,axiom,(
    ! [V_r_2,V_A_2,V_f_2,T_b,T_a] :
      ( class_Fields_Ofield(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2)),V_r_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Rings_Oinverse__class_Odivide(T_a)),V_f_2)),V_r_2)),V_A_2) ) )).

fof(fact_nonzero__eq__divide__eq,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_c_2 != c_Groups_Ozero__class_Ozero(T_a)
       => ( V_a_2 = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)
        <=> hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2) = V_b_2 ) ) ) )).

fof(fact_nonzero__divide__eq__eq,axiom,(
    ! [V_a_2,V_b_2,V_c_2,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_c_2 != c_Groups_Ozero__class_Ozero(T_a)
       => ( hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2) = V_a_2
        <=> V_b_2 = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2) ) ) ) )).

fof(fact_divide__eq__imp,axiom,(
    ! [V_a,V_b,V_c,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_c != c_Groups_Ozero__class_Ozero(T_a)
       => ( V_b = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)
         => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c) = V_a ) ) ) )).

fof(fact_eq__divide__imp,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_c != c_Groups_Ozero__class_Ozero(T_a)
       => ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c) = V_b
         => V_a = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c) ) ) ) )).

fof(fact_finite__Plus__iff,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_sum(T_a,T_b)),c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2)))
    <=> ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2)) ) ) )).

fof(fact_finite__Plus,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_sum(T_a,T_b)),c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2))) ) ) )).

fof(fact_finite__PlusD_I1_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_sum(T_a,T_b)),c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2)))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_finite__PlusD_I2_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_sum(T_a,T_b)),c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2)))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2)) ) )).

fof(fact_right__inverse__eq,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_b_2 != c_Groups_Ozero__class_Ozero(T_a)
       => ( hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a_2),V_b_2) = c_Groups_Oone__class_Oone(T_a)
        <=> V_a_2 = V_b_2 ) ) ) )).

fof(fact_divide__self,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_a != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_a) = c_Groups_Oone__class_Oone(T_a) ) ) )).

fof(fact_divide__self__if,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Odivision__ring__inverse__zero(T_a)
     => ( ( V_a = c_Groups_Ozero__class_Ozero(T_a)
         => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_a) = c_Groups_Ozero__class_Ozero(T_a) )
        & ( V_a != c_Groups_Ozero__class_Ozero(T_a)
         => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_a) = c_Groups_Oone__class_Oone(T_a) ) ) ) )).

fof(fact_nonzero__power__divide,axiom,(
    ! [V_n,V_a,V_b,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b)),V_n) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),V_n)) ) ) )).

fof(fact_power__one__over,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),c_Groups_Oone__class_Oone(T_a)),V_a)),V_n) ) )).

fof(fact_setprod__dividef,axiom,(
    ! [V_g_2,V_f_2,V_A_2,T_a,T_b] :
      ( class_Fields_Ofield__inverse__zero(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,T_b),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Rings_Oinverse__class_Odivide(T_b)),V_f_2)),V_g_2)),V_A_2) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),V_A_2)) ) ) )).

fof(fact_Ints__0,axiom,(
    ! [T_a] :
      ( class_Rings_Oring__1(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),c_Groups_Ozero__class_Ozero(T_a)),c_Int_Oring__1__class_OInts(T_a))) ) )).

fof(fact_Ints__add,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Int_Oring__1__class_OInts(T_a)))
         => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_b_2)),c_Int_Oring__1__class_OInts(T_a))) ) ) ) )).

fof(fact_Ints__mult,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Int_Oring__1__class_OInts(T_a)))
         => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_b_2)),c_Int_Oring__1__class_OInts(T_a))) ) ) ) )).

fof(fact_Ints__diff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Int_Oring__1__class_OInts(T_a)))
         => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_2),V_b_2)),c_Int_Oring__1__class_OInts(T_a))) ) ) ) )).

fof(fact_Ints__1,axiom,(
    ! [T_a] :
      ( class_Rings_Oring__1(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),c_Groups_Oone__class_Oone(T_a)),c_Int_Oring__1__class_OInts(T_a))) ) )).

fof(fact_Ints__power,axiom,(
    ! [V_n_2,V_a_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a_2),V_n_2)),c_Int_Oring__1__class_OInts(T_a))) ) ) )).

fof(fact_power_Opower_Opower__0,axiom,(
    ! [V_a_2,V_times_2,V_one_2,T_a] : hAPP(hAPP(c_Power_Opower_Opower(T_a,V_one_2,V_times_2),V_a_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = V_one_2 )).

fof(fact_power__diff,axiom,(
    ! [V_m,V_n,V_a,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_a != c_Groups_Ozero__class_Ozero(T_a)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
         => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_m)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) ) ) ) )).

fof(fact_Ints__double__eq__0__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Int_Oring__char__0(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_a_2) = c_Groups_Ozero__class_Ozero(T_a)
        <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_card__Plus,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
       => hAPP(c_Finite__Set_Ocard(tc_sum(T_a,T_b)),c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_b),V_B_2)) ) ) )).

fof(fact_Ints__odd__nonzero,axiom,(
    ! [V_a_2,T_a] :
      ( class_Int_Oring__char__0(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),V_a_2)),V_a_2) != c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_self__quotient__aux2,axiom,(
    ! [V_q,V_r,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( V_a = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_r),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_q))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_q),c_Groups_Oone__class_Oone(tc_Int_Oint))) ) ) ) )).

fof(fact_self__quotient__aux1,axiom,(
    ! [V_q,V_r,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( V_a = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_r),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_q))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r),V_a))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_q)) ) ) ) )).

fof(fact_divide__left__mono__neg,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_b))) ) ) ) ) )).

fof(fact_divide__left__mono,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_b))) ) ) ) ) )).

fof(fact_neg__divide__le__eq,axiom,(
    ! [V_a_2,V_b_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),V_a_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) ) ) ) )).

fof(fact_neg__le__divide__eq,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) ) ) ) )).

fof(fact_mult__imp__le__div__pos,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y)),V_x))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y))) ) ) ) )).

fof(fact_zle__antisym,axiom,(
    ! [V_w,V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z),V_w))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w),V_z))
       => V_z = V_w ) ) )).

fof(fact_zle__trans,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_j),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i),V_k)) ) ) )).

fof(fact_zle__linear,axiom,(
    ! [V_w,V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z),V_w))
      | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w),V_z)) ) )).

fof(fact_zle__refl,axiom,(
    ! [V_w] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w),V_w)) )).

fof(fact_times__divide__times__eq,axiom,(
    ! [V_w,V_z,V_y,V_x,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_z),V_w)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_z)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y),V_w)) ) )).

fof(fact_zero__le__divide__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a_2),V_b_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b_2)) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) )).

fof(fact_divide__le__0__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a_2),V_b_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),c_Groups_Ozero__class_Ozero(T_a))) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b_2)) ) ) ) ) )).

fof(fact_divide__right__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_c)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c))) ) ) ) )).

fof(fact_divide__right__mono__neg,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_c))) ) ) ) )).

fof(fact_divide__strict__right__mono__neg,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_c)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c))) ) ) ) )).

fof(fact_divide__strict__right__mono,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_c)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b),V_c))) ) ) ) )).

fof(fact_divide__neg__neg,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y))) ) ) ) )).

fof(fact_divide__neg__pos,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_divide__pos__neg,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_divide__pos__pos,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y))) ) ) ) )).

fof(fact_divide__less__0__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a_2),V_b_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),c_Groups_Ozero__class_Ozero(T_a))) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b_2)) ) ) ) ) )).

fof(fact_zero__less__divide__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a_2),V_b_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b_2)) )
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a)))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) )).

fof(fact_eq__divide__eq,axiom,(
    ! [V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => ( V_a_2 = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)
      <=> ( ( V_c_2 != c_Groups_Ozero__class_Ozero(T_a)
           => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2) = V_b_2 )
          & ( V_c_2 = c_Groups_Ozero__class_Ozero(T_a)
           => V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) ) )).

fof(fact_divide__eq__eq,axiom,(
    ! [V_a_2,V_c_2,V_b_2,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => ( hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2) = V_a_2
      <=> ( ( V_c_2 != c_Groups_Ozero__class_Ozero(T_a)
           => V_b_2 = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2) )
          & ( V_c_2 = c_Groups_Ozero__class_Ozero(T_a)
           => V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) ) )).

fof(fact_mult__divide__mult__cancel__right,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => ( V_c != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b) ) ) )).

fof(fact_mult__divide__mult__cancel__left,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => ( V_c != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b) ) ) )).

fof(fact_frac__eq__eq,axiom,(
    ! [V_w_2,V_x_2,V_z_2,V_y_2,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_y_2 != c_Groups_Ozero__class_Ozero(T_a)
       => ( V_z_2 != c_Groups_Ozero__class_Ozero(T_a)
         => ( hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x_2),V_y_2) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_w_2),V_z_2)
          <=> hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),V_z_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_w_2),V_y_2) ) ) ) ) )).

fof(fact_divide__nonpos__neg,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y))) ) ) ) )).

fof(fact_divide__nonpos__pos,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_frac__le,axiom,(
    ! [V_z,V_w,V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_w))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_w),V_z))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_z)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_y),V_w))) ) ) ) ) ) )).

fof(fact_frac__less,axiom,(
    ! [V_z,V_w,V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_w))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_w),V_z))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_z)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_y),V_w))) ) ) ) ) ) )).

fof(fact_frac__less2,axiom,(
    ! [V_z,V_w,V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_w))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_w),V_z))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_z)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_y),V_w))) ) ) ) ) ) )).

fof(fact_divide__nonneg__neg,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y),c_Groups_Ozero__class_Ozero(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) )).

fof(fact_divide__nonneg__pos,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y))) ) ) ) )).

fof(fact_divide__strict__left__mono__neg,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c),c_Groups_Ozero__class_Ozero(T_a)))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_b))) ) ) ) ) )).

fof(fact_divide__strict__left__mono,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_c),V_b))) ) ) ) ) )).

fof(fact_neg__divide__less__eq,axiom,(
    ! [V_a_2,V_b_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),V_a_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) ) ) ) )).

fof(fact_neg__less__divide__eq,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) ) ) ) )).

fof(fact_mult__imp__less__div__pos,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y)),V_x))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y))) ) ) ) )).

fof(fact_mult__imp__div__pos__less,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),V_z)) ) ) ) )).

fof(fact_pos__divide__less__eq,axiom,(
    ! [V_a_2,V_b_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),V_a_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) ) ) ) )).

fof(fact_pos__less__divide__eq,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) ) ) ) )).

fof(fact_divide__less__eq,axiom,(
    ! [V_a_2,V_c_2,V_b_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),V_a_2))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) ) ) ) ) )).

fof(fact_less__divide__eq,axiom,(
    ! [V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) ) ) )).

fof(fact_add__frac__eq,axiom,(
    ! [V_w,V_x,V_z,V_y,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_y != c_Groups_Ozero__class_Ozero(T_a)
       => ( V_z != c_Groups_Ozero__class_Ozero(T_a)
         => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_w),V_z)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_z)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_w),V_y))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y),V_z)) ) ) ) )).

fof(fact_divide__add__eq__iff,axiom,(
    ! [V_y,V_x,V_z,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_z != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_z)),V_y) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y))),V_z) ) ) )).

fof(fact_add__frac__num,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => ( V_y != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y))),V_y) ) ) )).

fof(fact_add__divide__eq__iff,axiom,(
    ! [V_y,V_x,V_z,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_z != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_y),V_z)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_x)),V_y)),V_z) ) ) )).

fof(fact_add__num__frac,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => ( V_y != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_z),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y))),V_y) ) ) )).

fof(fact_diff__divide__eq__iff,axiom,(
    ! [V_y,V_x,V_z,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_z != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_y),V_z)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_x)),V_y)),V_z) ) ) )).

fof(fact_divide__diff__eq__iff,axiom,(
    ! [V_y,V_x,V_z,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_z != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_z)),V_y) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y))),V_z) ) ) )).

fof(fact_diff__frac__eq,axiom,(
    ! [V_w,V_x,V_z,V_y,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_y != c_Groups_Ozero__class_Ozero(T_a)
       => ( V_z != c_Groups_Ozero__class_Ozero(T_a)
         => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_w),V_z)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_z)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_w),V_y))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y),V_z)) ) ) ) )).

fof(fact_less__half__sum,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a))))) ) ) )).

fof(fact_gt__half__sum,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a)))),V_b)) ) ) )).

fof(fact_zdiv__mono2__neg__lemma,axiom,(
    ! [V_r_H,V_q_H,V_b_H,V_r,V_q,V_b] :
      ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_q)),V_r) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_H),V_q_H)),V_r_H)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_H),V_q_H)),V_r_H)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r),V_b))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r_H))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_H))
             => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_H),V_b))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_q_H),V_q)) ) ) ) ) ) ) )).

fof(fact_unique__quotient__lemma__neg,axiom,(
    ! [V_r,V_q,V_r_H,V_q_H,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_q_H)),V_r_H)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_q)),V_r)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_r),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),V_r))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),V_r_H))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_q),V_q_H)) ) ) ) ) )).

fof(fact_zdiv__mono2__lemma,axiom,(
    ! [V_r_H,V_q_H,V_b_H,V_r,V_q,V_b] :
      ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_q)),V_r) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_H),V_q_H)),V_r_H)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_H),V_q_H)),V_r_H)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r_H),V_b_H))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_H))
             => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_H),V_b))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_q),V_q_H)) ) ) ) ) ) ) )).

fof(fact_unique__quotient__lemma,axiom,(
    ! [V_r,V_q,V_r_H,V_q_H,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_q_H)),V_r_H)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_q)),V_r)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r_H))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r_H),V_b))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r),V_b))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_q_H),V_q)) ) ) ) ) )).

fof(fact_q__neg__lemma,axiom,(
    ! [V_r_H,V_q_H,V_b_H] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_H),V_q_H)),V_r_H)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r_H))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_H))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_q_H),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) ) )).

fof(fact_q__pos__lemma,axiom,(
    ! [V_r_H,V_q_H,V_b_H] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_H),V_q_H)),V_r_H)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r_H),V_b_H))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_H))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_q_H)) ) ) ) )).

fof(fact_le__divide__eq,axiom,(
    ! [V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) ) ) )).

fof(fact_divide__le__eq,axiom,(
    ! [V_a_2,V_c_2,V_b_2,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),V_a_2))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) ) ) ) ) )).

fof(fact_pos__le__divide__eq,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2)),V_b_2)) ) ) ) )).

fof(fact_pos__divide__le__eq,axiom,(
    ! [V_a_2,V_b_2,V_c_2,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),V_a_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_c_2))) ) ) ) )).

fof(fact_mult__imp__div__pos__le,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),V_y)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)),V_z)) ) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I4_J,axiom,(
    ! [V_n,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),V_n))) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I2_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_x),V_y))) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I6_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I1_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x),V_y))) ) ) )).

fof(fact_setprod__Un,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Fields_Ofield(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
               => hAPP(V_f_2,B_x) != c_Groups_Ozero__class_Ozero(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_b),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_B_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) ) ) )).

fof(fact_Plus__eq__empty__conv,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( c_Sum__Type_OPlus(T_a,T_b,V_A_2,V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_sum(T_a,T_b),tc_HOL_Obool))
    <=> ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        & V_B_2 = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I5_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_tsub__def,axiom,(
    ! [V_x,V_y] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_y),V_x))
       => c_Nat__Transfer_Otsub(V_x,V_y) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),V_y) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_y),V_x))
       => c_Nat__Transfer_Otsub(V_x,V_y) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) ) )).

fof(fact_setprod__mono__one__right,axiom,(
    ! [V_f_2,V_S_2,V_T_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_T_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_T_2),V_S_2)))
               => hAPP(V_f_2,B_x) = c_Groups_Oone__class_Oone(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_T_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_S_2) ) ) ) ) )).

fof(fact_setsum__mono__zero__right,axiom,(
    ! [V_f_2,V_S_2,V_T_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_T_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_T_2),V_S_2)))
               => hAPP(V_f_2,B_x) = c_Groups_Ozero__class_Ozero(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_T_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_S_2) ) ) ) ) )).

fof(fact_setsum__mono__zero__left,axiom,(
    ! [V_f_2,V_S_2,V_T_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_T_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_S_2),V_T_2))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_T_2),V_S_2)))
               => hAPP(V_f_2,B_x) = c_Groups_Ozero__class_Ozero(T_b) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_S_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_T_2) ) ) ) ) )).

fof(fact_field__le__mult__one__interval,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( ! [B_z] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),B_z))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),B_z),c_Groups_Oone__class_Oone(T_a)))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),B_z),V_x)),V_y)) ) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y)) ) ) )).

fof(fact_card__Suc__Diff1,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Nat_OSuc,hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) = hAPP(c_Finite__Set_Ocard(T_a),V_A_2) ) ) )).

fof(fact_Body__triple__valid__0,axiom,(
    ! [V_Q_2,V_pn_2,V_P_2,T_a] : c_Hoare__Mirabelle_Otriple__valid(T_a,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Com_Ocom_OBODY,V_pn_2)),V_Q_2)) )).

fof(fact_Suc__mono,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),hAPP(c_Nat_OSuc,V_n))) ) )).

fof(fact_lessI,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_OSuc,V_n))) )).

fof(fact_zero__less__Suc,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Nat_OSuc,V_n))) )).

fof(fact_Suc__inject,axiom,(
    ! [V_y,V_x] :
      ( hAPP(c_Nat_OSuc,V_x) = hAPP(c_Nat_OSuc,V_y)
     => V_x = V_y ) )).

fof(fact_nat_Oinject,axiom,(
    ! [V_nat_H_2,V_nat_2] :
      ( hAPP(c_Nat_OSuc,V_nat_2) = hAPP(c_Nat_OSuc,V_nat_H_2)
    <=> V_nat_2 = V_nat_H_2 ) )).

fof(fact_Suc__n__not__n,axiom,(
    ! [V_n] : hAPP(c_Nat_OSuc,V_n) != V_n )).

fof(fact_n__not__Suc__n,axiom,(
    ! [V_n] : V_n != hAPP(c_Nat_OSuc,V_n) )).

fof(fact_triple__valid__Suc,axiom,(
    ! [V_t,V_n,T_a] :
      ( c_Hoare__Mirabelle_Otriple__valid(T_a,hAPP(c_Nat_OSuc,V_n),V_t)
     => c_Hoare__Mirabelle_Otriple__valid(T_a,V_n,V_t) ) )).

fof(fact_Zero__not__Suc,axiom,(
    ! [V_m] : c_Groups_Ozero__class_Ozero(tc_Nat_Onat) != hAPP(c_Nat_OSuc,V_m) )).

fof(fact_nat_Osimps_I2_J,axiom,(
    ! [V_nat_H] : c_Groups_Ozero__class_Ozero(tc_Nat_Onat) != hAPP(c_Nat_OSuc,V_nat_H) )).

fof(fact_Suc__not__Zero,axiom,(
    ! [V_m] : hAPP(c_Nat_OSuc,V_m) != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_nat_Osimps_I3_J,axiom,(
    ! [V_nat_H_1] : hAPP(c_Nat_OSuc,V_nat_H_1) != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_Zero__neq__Suc,axiom,(
    ! [V_m] : c_Groups_Ozero__class_Ozero(tc_Nat_Onat) != hAPP(c_Nat_OSuc,V_m) )).

fof(fact_Suc__neq__Zero,axiom,(
    ! [V_m] : hAPP(c_Nat_OSuc,V_m) != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_Suc__less__SucD,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),hAPP(c_Nat_OSuc,V_n)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_Suc__lessD,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_less__SucE,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n)))
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
       => V_m = V_n ) ) )).

fof(fact_less__trans__Suc,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_i)),V_k)) ) ) )).

fof(fact_Suc__lessI,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => ( hAPP(c_Nat_OSuc,V_m) != V_n
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n)) ) ) )).

fof(fact_less__SucI,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n))) ) )).

fof(fact_less__antisym,axiom,(
    ! [V_m,V_n] :
      ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),V_m))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_OSuc,V_m)))
       => V_m = V_n ) ) )).

fof(fact_not__less__less__Suc__eq,axiom,(
    ! [V_m_2,V_n_2] :
      ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),V_m_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_OSuc,V_m_2)))
      <=> V_n_2 = V_m_2 ) ) )).

fof(fact_Suc__less__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m_2)),hAPP(c_Nat_OSuc,V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_less__Suc__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
        | V_m_2 = V_n_2 ) ) )).

fof(fact_not__less__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_OSuc,V_m_2))) ) )).

fof(fact_add__Suc__shift,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n)) )).

fof(fact_add__Suc,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_add__Suc__right,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n)) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_Suc__leD,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_le__SucE,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n)))
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
       => V_m = hAPP(c_Nat_OSuc,V_n) ) ) )).

fof(fact_le__SucI,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n))) ) )).

fof(fact_Suc__le__mono,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),hAPP(c_Nat_OSuc,V_m_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2),V_m_2)) ) )).

fof(fact_le__Suc__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
        | V_m_2 = hAPP(c_Nat_OSuc,V_n_2) ) ) )).

fof(fact_not__less__eq__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),V_m_2)) ) )).

fof(fact_Suc__n__not__le__n,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n)),V_n)) )).

fof(fact_diff__Suc__Suc,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),hAPP(c_Nat_OSuc,V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n) )).

fof(fact_Suc__diff__diff,axiom,(
    ! [V_k,V_n,V_m] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n)),hAPP(c_Nat_OSuc,V_k)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_k) )).

fof(fact_Suc__mult__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),V_m_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),V_n_2)
    <=> V_m_2 = V_n_2 ) )).

fof(fact_power_Opower_Opower__Suc,axiom,(
    ! [V_n_2,V_a_2,V_times_2,V_one_2,T_a] : hAPP(hAPP(c_Power_Opower_Opower(T_a,V_one_2,V_times_2),V_a_2),hAPP(c_Nat_OSuc,V_n_2)) = hAPP(hAPP(V_times_2,V_a_2),hAPP(hAPP(c_Power_Opower_Opower(T_a,V_one_2,V_times_2),V_a_2),V_n_2)) )).

fof(fact_power__0__Suc,axiom,(
    ! [V_n,T_a] :
      ( ( class_Power_Opower(T_a)
        & class_Rings_Osemiring__0(T_a) )
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Nat_OSuc,V_n)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_gr0__conv__Suc,axiom,(
    ! [V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2))
    <=> ? [B_m] : V_n_2 = hAPP(c_Nat_OSuc,B_m) ) )).

fof(fact_less__Suc0,axiom,(
    ! [V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))))
    <=> V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_less__Suc__eq__0__disj,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)))
    <=> ( V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        | ? [B_j] :
            ( V_m_2 = hAPP(c_Nat_OSuc,B_j)
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_j),V_n_2)) ) ) ) )).

fof(fact_power__Suc,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Power_Opower(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,V_n)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) ) )).

fof(fact_power__Suc2,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,V_n)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),V_a) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I28_J,axiom,(
    ! [V_q,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_q)),V_x) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Nat_OSuc,V_q)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I27_J,axiom,(
    ! [V_q,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_q)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Nat_OSuc,V_q)) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I35_J,axiom,(
    ! [V_q,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Nat_OSuc,V_q)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_q)) ) )).

fof(fact_add__is__1,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_n_2) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
    <=> ( ( V_m_2 = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
          & V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
        | ( V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
          & V_n_2 = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) ) ) ) )).

fof(fact_one__is__add,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_n_2)
    <=> ( ( V_m_2 = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
          & V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
        | ( V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
          & V_n_2 = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) ) ) ) )).

fof(fact_less__iff__Suc__add,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
    <=> ? [B_k] : V_n_2 = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),B_k)) ) )).

fof(fact_less__add__Suc2,axiom,(
    ! [V_m,V_i] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_i)))) )).

fof(fact_less__add__Suc1,axiom,(
    ! [V_m,V_i] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_m)))) )).

fof(fact_Suc__le__lessD,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_le__less__Suc__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_OSuc,V_m_2)))
      <=> V_n_2 = V_m_2 ) ) )).

fof(fact_Suc__leI,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n)) ) )).

fof(fact_le__imp__less__Suc,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n))) ) )).

fof(fact_Suc__le__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m_2)),V_n_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_less__Suc__eq__le,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_less__eq__Suc__le,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),V_m_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),V_m_2)) ) )).

fof(fact_mult__eq__1__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_n_2) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
    <=> ( V_m_2 = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
        & V_n_2 = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) ) ) )).

fof(fact_diff__less__Suc,axiom,(
    ! [V_n,V_m] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),hAPP(c_Nat_OSuc,V_m))) )).

fof(fact_Suc__mult__less__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),V_m_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_mult__Suc__right,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_mult__Suc,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_Suc__diff__le,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_Suc__mult__le__cancel1,axiom,(
    ! [V_n_2,V_m_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),V_m_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_One__nat__def,axiom,(
    c_Groups_Oone__class_Oone(tc_Nat_Onat) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_Suc__eq__plus1__left,axiom,(
    ! [V_n] : hAPP(c_Nat_OSuc,V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_n) )).

fof(fact_Suc__eq__plus1,axiom,(
    ! [V_n] : hAPP(c_Nat_OSuc,V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat)) )).

fof(fact_diff__Suc__eq__diff__pred,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_n) )).

fof(fact_diff__Suc__1,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = V_n )).

fof(fact_nat__power__eq__Suc__0__iff,axiom,(
    ! [V_m_2,V_x_2] :
      ( hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_x_2),V_m_2) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
    <=> ( V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        | V_x_2 = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) ) ) )).

fof(fact_power__Suc__0,axiom,(
    ! [V_n] : hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_n) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_less__eq__Suc__le__raw,axiom,(
    ! [V_n_2] : hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2) = hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)) )).

fof(fact_Body__triple__valid__Suc,axiom,(
    ! [V_Q_2,V_pn_2,V_P_2,V_n_2,T_a] :
      ( c_Hoare__Mirabelle_Otriple__valid(T_a,V_n_2,hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_pn_2))),V_Q_2))
    <=> c_Hoare__Mirabelle_Otriple__valid(T_a,hAPP(c_Nat_OSuc,V_n_2),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),hAPP(c_Com_Ocom_OBODY,V_pn_2)),V_Q_2)) ) )).

fof(fact_power__le__imp__le__base,axiom,(
    ! [V_b,V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,V_n))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),hAPP(c_Nat_OSuc,V_n))))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b)) ) ) ) )).

fof(fact_power__inject__base,axiom,(
    ! [V_b,V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_b),hAPP(c_Nat_OSuc,V_n))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
           => V_a = V_b ) ) ) ) )).

fof(fact_power__gt1,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,V_n)))) ) ) )).

fof(fact_diff__Suc__less,axiom,(
    ! [V_i,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(c_Nat_OSuc,V_i))),V_n)) ) )).

fof(fact_Suc__pred,axiom,(
    ! [V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))) = V_n ) )).

fof(fact_one__less__mult,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_m))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n))) ) ) )).

fof(fact_n__less__n__mult__m,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_m))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_m))) ) ) )).

fof(fact_n__less__m__mult__n,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_m))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n))) ) ) )).

fof(fact_one__le__mult__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_n_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_m_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_n_2)) ) ) )).

fof(fact_diff__Suc__diff__eq2,axiom,(
    ! [V_m,V_j,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_j))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_k))),V_m) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_j)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k),V_m)) ) )).

fof(fact_diff__Suc__diff__eq1,axiom,(
    ! [V_m,V_j,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),V_j))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_k))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_k)),hAPP(c_Nat_OSuc,V_j)) ) )).

fof(fact_setsum__eq__Suc0__iff,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
      <=> ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
            & hAPP(V_f_2,B_x) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
            & ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_A_2))
               => ( B_x != B_xa
                 => hAPP(V_f_2,B_xa) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) ) ) ) )).

fof(fact_nat__one__le__power,axiom,(
    ! [V_n,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_i))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_i),V_n))) ) )).

fof(fact_power__Suc__less__one,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Oone__class_Oone(T_a)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,V_n))),c_Groups_Oone__class_Oone(T_a))) ) ) ) )).

fof(fact_card__insert__disjoint,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(c_Nat_OSuc,hAPP(c_Finite__Set_Ocard(T_a),V_A_2)) ) ) )).

fof(fact_card__insert__if,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(c_Finite__Set_Ocard(T_a),V_A_2) )
        & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(c_Nat_OSuc,hAPP(c_Finite__Set_Ocard(T_a),V_A_2)) ) ) ) )).

fof(fact_Suc__pred_H,axiom,(
    ! [V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => V_n = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))) ) )).

fof(fact_Suc__diff__1,axiom,(
    ! [V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))) = V_n ) )).

fof(fact_add__eq__if,axiom,(
    ! [V_n,V_m] :
      ( ( V_m = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n) = V_n )
      & ( V_m != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_n)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I3_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Nat__Transfer_Otsub(V_x,V_y))) ) ) )).

fof(fact_tsub__eq,axiom,(
    ! [V_x,V_y] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_y),V_x))
     => c_Nat__Transfer_Otsub(V_x,V_y) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),V_y) ) )).

fof(fact_card__insert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(c_Nat_OSuc,hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) )).

fof(fact_card__Suc__eq,axiom,(
    ! [V_k_2,V_A_2,T_a] :
      ( hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = hAPP(c_Nat_OSuc,V_k_2)
    <=> ? [B_b,B_B] :
          ( V_A_2 = hAPP(hAPP(c_Set_Oinsert(T_a),B_b),B_B)
          & ~ hBOOL(hAPP(hAPP(c_member(T_a),B_b),B_B))
          & hAPP(c_Finite__Set_Ocard(T_a),B_B) = V_k_2
          & ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
           => B_B = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) ) )).

fof(fact_int__power__div__base,axiom,(
    ! [V_k,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_k),V_m)),V_k) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_k),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))) ) ) )).

fof(fact_com_Osize_I4_J,axiom,(
    ! [V_com2,V_com1] : c_Com_Ocom_Ocom__size(c_Com_Ocom_OSemi(V_com1,V_com2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Com_Ocom_Ocom__size(V_com1)),c_Com_Ocom_Ocom__size(V_com2))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_com_Osize_I6_J,axiom,(
    ! [V_com_2,V_fun_2] : c_Com_Ocom_Ocom__size(c_Com_Ocom_OWhile(V_fun_2,V_com_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Com_Ocom_Ocom__size(V_com_2)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_com_Osize_I12_J,axiom,(
    ! [V_com2,V_com1] : hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),c_Com_Ocom_OSemi(V_com1,V_com2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),V_com1)),hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),V_com2))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_com_Osize_I14_J,axiom,(
    ! [V_com_2,V_fun_2] : hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),c_Com_Ocom_OWhile(V_fun_2,V_com_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),V_com_2)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_card__Pow,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(c_Finite__Set_Ocard(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OPow(T_a),V_A_2)) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)) ) )).

fof(fact_PowI,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_OPow(T_a),V_B_2))) ) )).

fof(fact_Cantors__paradox,axiom,(
    ! [V_A_2,T_a] :
      ~ ? [B_f] : hAPP(c_Set_Oimage(T_a,tc_fun(T_a,tc_HOL_Obool),B_f),V_A_2) = hAPP(c_Set_OPow(T_a),V_A_2) )).

fof(fact_Pow__top,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_OPow(T_a),V_A_2))) )).

fof(fact_Pow__not__empty,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Set_OPow(T_a),V_A_2) != c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)) )).

fof(fact_zdiv__zero,axiom,(
    ! [V_b] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_div__0,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_div__by__0,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_div__by__1,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),c_Groups_Oone__class_Oone(T_a)) = V_a ) )).

fof(fact_Pow__bottom,axiom,(
    ! [V_B_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),hAPP(c_Set_OPow(T_a),V_B_2))) )).

fof(fact_Pow__empty,axiom,(
    ! [T_a] : hAPP(c_Set_OPow(T_a),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))) )).

fof(fact_finite__Pow__iff,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OPow(T_a),V_A_2)))
    <=> hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_Pow__insert,axiom,(
    ! [V_A_2,V_a_2,T_a] : hAPP(c_Set_OPow(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(c_Set_OPow(T_a),V_A_2)),hAPP(c_Set_Oimage(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oinsert(T_a),V_a_2)),hAPP(c_Set_OPow(T_a),V_A_2))) )).

fof(fact_PowD,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_OPow(T_a),V_B_2)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_Pow__iff,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_OPow(T_a),V_B_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_Pow__mono,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(c_Set_OPow(T_a),V_A_2)),hAPP(c_Set_OPow(T_a),V_B_2))) ) )).

fof(fact_image__Pow__surj,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2) = V_B_2
     => hAPP(c_Set_Oimage(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),c_Set_Oimage(T_b,T_a,V_f_2)),hAPP(c_Set_OPow(T_b),V_A_2)) = hAPP(c_Set_OPow(T_a),V_B_2) ) )).

fof(fact_Un__Pow__subset,axiom,(
    ! [V_B_2,V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(c_Set_OPow(T_a),V_A_2)),hAPP(c_Set_OPow(T_a),V_B_2))),hAPP(c_Set_OPow(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))) )).

fof(fact_Pow__Int__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(c_Set_OPow(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(c_Set_OPow(T_a),V_A_2)),hAPP(c_Set_OPow(T_a),V_B_2)) )).

fof(fact_Divides_Otransfer__nat__int__function__closures_I1_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_x),V_y))) ) ) )).

fof(fact_pos__imp__zdiv__neg__iff,axiom,(
    ! [V_a_2,V_b_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_2),V_b_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )).

fof(fact_neg__imp__zdiv__neg__iff,axiom,(
    ! [V_a_2,V_b_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_2),V_b_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a_2)) ) ) )).

fof(fact_div__neg__pos__less0,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )).

fof(fact_zdiv__self,axiom,(
    ! [V_a] :
      ( V_a != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_a) = c_Groups_Oone__class_Oone(tc_Int_Oint) ) )).

fof(fact_div__mult__mult1,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_c != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b) ) ) )).

fof(fact_div__mult__mult2,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_c != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b) ) ) )).

fof(fact_div__mult__self1__is__id,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_a)),V_b) = V_a ) ) )).

fof(fact_div__mult__self2__is__id,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)),V_b) = V_a ) ) )).

fof(fact_div__mult__mult1__if,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( ( V_c = c_Groups_Ozero__class_Ozero(T_a)
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)) = c_Groups_Ozero__class_Ozero(T_a) )
        & ( V_c != c_Groups_Ozero__class_Ozero(T_a)
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b) ) ) ) )).

fof(fact_div__self,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_a != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_a) = c_Groups_Oone__class_Oone(T_a) ) ) )).

fof(fact_image__Pow__mono,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),c_Set_Oimage(T_b,T_a,V_f_2)),hAPP(c_Set_OPow(T_b),V_A_2))),hAPP(c_Set_OPow(T_a),V_B_2))) ) )).

fof(fact_zdiv__eq__0__iff,axiom,(
    ! [V_k_2,V_i_2] :
      ( hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_i_2),V_k_2) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
    <=> ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
        | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_i_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_i_2),V_k_2)) )
        | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),V_i_2)) ) ) ) )).

fof(fact_pos__imp__zdiv__nonneg__iff,axiom,(
    ! [V_a_2,V_b_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_2),V_b_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a_2)) ) ) )).

fof(fact_pos__imp__zdiv__pos__iff,axiom,(
    ! [V_i_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_i_2),V_k_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),V_i_2)) ) ) )).

fof(fact_nonneg1__imp__zdiv__pos__iff,axiom,(
    ! [V_b_2,V_a_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_2),V_b_2)))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_2),V_a_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_2)) ) ) ) )).

fof(fact_zdiv__mono2,axiom,(
    ! [V_b,V_b_H,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_H))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_H),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b_H))) ) ) ) )).

fof(fact_div__nonneg__neg__le0,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )).

fof(fact_div__pos__pos__trivial,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),V_b))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) ) )).

fof(fact_neg__imp__zdiv__nonneg__iff,axiom,(
    ! [V_a_2,V_b_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_2),V_b_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )).

fof(fact_div__nonpos__pos__le0,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )).

fof(fact_zdiv__mono2__neg,axiom,(
    ! [V_b,V_b_H,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_H))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_H),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b_H)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b))) ) ) ) )).

fof(fact_div__neg__neg__trivial,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),V_a))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) ) )).

fof(fact_zdiv__mono1,axiom,(
    ! [V_b,V_a_H,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a),V_a_H))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_H),V_b))) ) ) )).

fof(fact_zdiv__mono1__neg,axiom,(
    ! [V_b,V_a_H,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a),V_a_H))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_H),V_b)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b))) ) ) )).

fof(fact_int__div__less__self,axiom,(
    ! [V_k,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_x),V_k)),V_x)) ) ) )).

fof(fact_zdiv__zmult2__eq,axiom,(
    ! [V_b,V_a,V_c] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_c))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_c)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),V_c) ) )).

fof(fact_div__mult__self2,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c))),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)) ) ) )).

fof(fact_div__mult__self1,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b))),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)) ) ) )).

fof(fact_div__add__self1,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_a)),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)),c_Groups_Oone__class_Oone(T_a)) ) ) )).

fof(fact_div__add__self2,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)),c_Groups_Oone__class_Oone(T_a)) ) ) )).

fof(fact_com_Osize_I15_J,axiom,(
    ! [V_pname] : hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),hAPP(c_Com_Ocom_OBODY,V_pname)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_com_Osize_I7_J,axiom,(
    ! [V_pname] : c_Com_Ocom_Ocom__size(hAPP(c_Com_Ocom_OBODY,V_pname)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_com_Osize_I9_J,axiom,(
    hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),c_Com_Ocom_OSKIP) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_com_Osize_I1_J,axiom,(
    c_Com_Ocom_Ocom__size(c_Com_Ocom_OSKIP) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_divmod__int__rel__div__eq,axiom,(
    ! [V_r_1,V_y,V_b_1,V_a_1] :
      ( V_a_1 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_1),V_y)),V_r_1)
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_1))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r_1))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r_1),V_b_1)) ) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_1))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_1),V_r_1))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_r_1),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )
       => ( V_b_1 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_1),V_b_1) = V_y ) ) ) )).

fof(fact_split__zdiv,axiom,(
    ! [V_k_2,V_n_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_n_2),V_k_2)))
    <=> ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
        & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2))
         => ! [B_i] :
              ( ? [B_j] :
                  ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_j))
                  & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_j),V_k_2))
                  & V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),B_i)),B_j) )
             => hBOOL(hAPP(V_P_2,B_i)) ) )
        & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => ! [B_i] :
              ( ? [B_j] :
                  ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),B_j))
                  & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_j),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
                  & V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),B_i)),B_j) )
             => hBOOL(hAPP(V_P_2,B_i)) ) ) ) ) )).

fof(fact_Powp__Pow__eq,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Predicate_OPowp(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_x_2),hAPP(c_Set_OPow(T_a),V_A_2))) ) )).

fof(fact_split__neg__lemma,axiom,(
    ! [V_n_2,V_P_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(V_P_2,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_n_2),V_k_2)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_n_2,V_k_2)))
      <=> ! [B_i,B_j] :
            ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),B_j))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_j),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
              & V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),B_i)),B_j) )
           => hBOOL(hAPP(hAPP(V_P_2,B_i),B_j)) ) ) ) )).

fof(fact_split__pos__lemma,axiom,(
    ! [V_n_2,V_P_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2))
     => ( hBOOL(hAPP(hAPP(V_P_2,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_n_2),V_k_2)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_n_2,V_k_2)))
      <=> ! [B_i,B_j] :
            ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_j))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_j),V_k_2))
              & V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),B_i)),B_j) )
           => hBOOL(hAPP(hAPP(V_P_2,B_i),B_j)) ) ) ) )).

fof(fact_diff__Suc,axiom,(
    ! [V_n_2,V_m_2] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)) = c_Nat_Onat_Onat__case(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),c_COMBI(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m_2),V_n_2)) )).

fof(fact_setprod__pos__nat,axiom,(
    ! [V_f_2,V_S_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_S_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(V_f_2,B_x))) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Nat_Onat),V_f_2),V_S_2))) ) ) )).

fof(fact_evaln_OBody,axiom,(
    ! [V_s1,V_n,V_s0,V_pn] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_pn))),V_s0),V_n),V_s1))
     => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,hAPP(c_Com_Ocom_OBODY,V_pn)),V_s0),hAPP(c_Nat_OSuc,V_n)),V_s1)) ) )).

fof(fact_arith__series__nat,axiom,(
    ! [V_n_2,V_d_2,V_a_2] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_a_2)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Otimes__class_Otimes(tc_Nat_Onat)),V_d_2))),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_a_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_a_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_d_2)))) )).

fof(fact_finite__lessThan,axiom,(
    ! [V_k_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_k_2))) )).

fof(fact_evaln_OWhileTrue,axiom,(
    ! [V_s2_2,V_s1_2,V_n_2,V_c_2,V_s0_2,V_b_2] :
      ( hBOOL(hAPP(V_b_2,V_s0_2))
     => ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c_2),V_s0_2),V_n_2),V_s1_2))
       => ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OWhile(V_b_2,V_c_2)),V_s1_2),V_n_2),V_s2_2))
         => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OWhile(V_b_2,V_c_2)),V_s0_2),V_n_2),V_s2_2)) ) ) ) )).

fof(fact_evaln_OWhileFalse,axiom,(
    ! [V_n_2,V_c_2,V_s_2,V_b_2] :
      ( ~ hBOOL(hAPP(V_b_2,V_s_2))
     => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OWhile(V_b_2,V_c_2)),V_s_2),V_n_2),V_s_2)) ) )).

fof(fact_evaln_OSemi,axiom,(
    ! [V_s2,V_c1,V_s1,V_n,V_s0,V_c0] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c0),V_s0),V_n),V_s1))
     => ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c1),V_s1),V_n),V_s2))
       => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OSemi(V_c0,V_c1)),V_s0),V_n),V_s2)) ) ) )).

fof(fact_evaln__elim__cases_I1_J,axiom,(
    ! [V_t,V_n,V_s] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OSKIP),V_s),V_n),V_t))
     => V_t = V_s ) )).

fof(fact_evaln_OSkip,axiom,(
    ! [V_n,V_s] : hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OSKIP),V_s),V_n),V_s)) )).

fof(fact_card__lessThan,axiom,(
    ! [V_u_2] : hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_u_2)) = V_u_2 )).

fof(fact_lessThan__0,axiom,(
    hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) )).

fof(fact_lessThan__eq__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_x_2) = hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_mod__mod__trivial,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,c_Divides_Odiv__class_Omod(T_a,V_a,V_b),V_b) = c_Divides_Odiv__class_Omod(T_a,V_a,V_b) ) )).

fof(fact_lessThan__Suc,axiom,(
    ! [V_k_2] : hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),V_k_2),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_k_2)) )).

fof(fact_mod__self,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,V_a,V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_mod__by__0,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,V_a,c_Groups_Ozero__class_Ozero(T_a)) = V_a ) )).

fof(fact_mod__0,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,c_Groups_Ozero__class_Ozero(T_a),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_mod__add__cong,axiom,(
    ! [V_b_H,V_b,V_a_H,V_c,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( c_Divides_Odiv__class_Omod(T_a,V_a,V_c) = c_Divides_Odiv__class_Omod(T_a,V_a_H,V_c)
       => ( c_Divides_Odiv__class_Omod(T_a,V_b,V_c) = c_Divides_Odiv__class_Omod(T_a,V_b_H,V_c)
         => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_H),V_b_H),V_c) ) ) ) )).

fof(fact_zmod__simps_I1_J,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b),V_c) ) )).

fof(fact_zmod__simps_I2_J,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Divides_Odiv__class_Omod(T_a,V_b,V_c)),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b),V_c) ) )).

fof(fact_mod__add__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),c_Divides_Odiv__class_Omod(T_a,V_b,V_c)),V_c) ) )).

fof(fact_mod__add__left__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),V_b),V_c) ) )).

fof(fact_mod__add__right__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),c_Divides_Odiv__class_Omod(T_a,V_b,V_c)),V_c) ) )).

fof(fact_mod__add__self1,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_b),V_a),V_b) = c_Divides_Odiv__class_Omod(T_a,V_a,V_b) ) )).

fof(fact_mod__add__self2,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b),V_b) = c_Divides_Odiv__class_Omod(T_a,V_a,V_b) ) )).

fof(fact_mod__mult__cong,axiom,(
    ! [V_b_H,V_b,V_a_H,V_c,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => ( c_Divides_Odiv__class_Omod(T_a,V_a,V_c) = c_Divides_Odiv__class_Omod(T_a,V_a_H,V_c)
       => ( c_Divides_Odiv__class_Omod(T_a,V_b,V_c) = c_Divides_Odiv__class_Omod(T_a,V_b_H,V_c)
         => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_H),V_b_H),V_c) ) ) ) )).

fof(fact_zmod__simps_I4_J,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b),V_c) ) )).

fof(fact_mod__mult__mult2,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_c),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)),V_c) ) )).

fof(fact_mod__mult__mult1,axiom,(
    ! [V_b,V_a,V_c,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)) ) )).

fof(fact_mod__mult__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),c_Divides_Odiv__class_Omod(T_a,V_b,V_c)),V_c) ) )).

fof(fact_mod__mult__left__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),V_b),V_c) ) )).

fof(fact_mod__mult__right__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),c_Divides_Odiv__class_Omod(T_a,V_b,V_c)),V_c) ) )).

fof(fact_mod__diff__cong,axiom,(
    ! [V_b_H,V_b,V_a_H,V_c,V_a,T_a] :
      ( class_Divides_Oring__div(T_a)
     => ( c_Divides_Odiv__class_Omod(T_a,V_a,V_c) = c_Divides_Odiv__class_Omod(T_a,V_a_H,V_c)
       => ( c_Divides_Odiv__class_Omod(T_a,V_b,V_c) = c_Divides_Odiv__class_Omod(T_a,V_b_H,V_c)
         => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a_H),V_b_H),V_c) ) ) ) )).

fof(fact_mod__diff__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Oring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),c_Divides_Odiv__class_Omod(T_a,V_b,V_c)),V_c) ) )).

fof(fact_mod__diff__left__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Oring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_c)),V_b),V_c) ) )).

fof(fact_mod__diff__right__eq,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Oring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),c_Divides_Odiv__class_Omod(T_a,V_b,V_c)),V_c) ) )).

fof(fact_div__le__dividend,axiom,(
    ! [V_n,V_m] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n)),V_m)) )).

fof(fact_div__le__mono,axiom,(
    ! [V_k,V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_k)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_n),V_k))) ) )).

fof(fact_div__mult2__eq,axiom,(
    ! [V_c,V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_b),V_c)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_a),V_b)),V_c) )).

fof(fact_zmod__self,axiom,(
    ! [V_a] : c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_a) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_zmod__zero,axiom,(
    ! [V_b] : c_Divides_Odiv__class_Omod(tc_Int_Oint,c_Groups_Ozero__class_Ozero(tc_Int_Oint),V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_evaln__Suc,axiom,(
    ! [V_s_H,V_n,V_s,V_c] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c),V_s),V_n),V_s_H))
     => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c),V_s),hAPP(c_Nat_OSuc,V_n)),V_s_H)) ) )).

fof(fact_zmod__simps_I3_J,axiom,(
    ! [V_c,V_b,V_a] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_b,V_c)),V_c) = c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_b),V_c) )).

fof(fact_zmod__zmult1__eq,axiom,(
    ! [V_c,V_b,V_a] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_b),V_c) = c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_b,V_c)),V_c) )).

fof(fact_evaln__nonstrict,axiom,(
    ! [V_m,V_t,V_n,V_s,V_c] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c),V_s),V_n),V_t))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
       => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c),V_s),V_m),V_t)) ) ) )).

fof(fact_zdiff__zmod__right,axiom,(
    ! [V_m,V_y,V_x] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_y,V_m)),V_m) = c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),V_y),V_m) )).

fof(fact_zdiff__zmod__left,axiom,(
    ! [V_y,V_m,V_x] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_x,V_m)),V_y),V_m) = c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),V_y),V_m) )).

fof(fact_eval__eq,axiom,(
    ! [V_t_2,V_s_2,V_c_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c_2),V_s_2),V_t_2))
    <=> ? [B_n] : hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c_2),V_s_2),B_n),V_t_2)) ) )).

fof(fact_evaln__evalc,axiom,(
    ! [V_t,V_n,V_s,V_c] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c),V_s),V_n),V_t))
     => hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c),V_s),V_t)) ) )).

fof(fact_evaln_Oequations_I8_J,axiom,(
    ! [V_a6_2,V_a4_2,V_a2_2,V_a3_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),V_a2_2),V_a4_2),V_a6_2))
    <=> ( ( V_a6_2 = V_a2_2
          & ~ hBOOL(hAPP(V_a1_2,V_a2_2)) )
        | ( hBOOL(hAPP(V_a1_2,V_a2_2))
          & ? [B_s1] :
              ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a3_2),V_a2_2),V_a4_2),B_s1))
              & hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),B_s1),V_a4_2),V_a6_2)) ) ) ) ) )).

fof(fact_evaln_Oequations_I7_J,axiom,(
    ! [V_a4_2,V_a2_2,V_a3_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),V_a2_2),V_a4_2),V_a2_2))
    <=> ( hBOOL(hAPP(V_a1_2,V_a2_2))
       => ? [B_s1] :
            ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a3_2),V_a2_2),V_a4_2),B_s1))
            & hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OWhile(V_a1_2,V_a3_2)),B_s1),V_a4_2),V_a2_2)) ) ) ) )).

fof(fact_zpower__zmod,axiom,(
    ! [V_y,V_m,V_x] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_x,V_m)),V_y),V_m) = c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),V_y),V_m) )).

fof(fact_evaln_Oequations_I4_J,axiom,(
    ! [V_a6_2,V_a3_2,V_a2_2,V_a5_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OSemi(V_a1_2,V_a5_2)),V_a2_2),V_a3_2),V_a6_2))
    <=> ? [B_s1] :
          ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a1_2),V_a2_2),V_a3_2),B_s1))
          & hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a5_2),B_s1),V_a3_2),V_a6_2)) ) ) )).

fof(fact_evaln_Oequations_I1_J,axiom,(
    ! [V_a2,V_a1] : hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OSKIP),V_a1),V_a2),V_a1)) )).

fof(fact_lessThan__Suc__eq__insert__0,axiom,(
    ! [V_n_2] : hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,c_Nat_OSuc),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2))) )).

fof(fact_lessThan__iff,axiom,(
    ! [V_k_2,V_i_2,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_k_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_i_2),V_k_2)) ) ) )).

fof(fact_lessThan__subset__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_x_2)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2)) ) ) )).

fof(fact_setsum__lessThan__Suc,axiom,(
    ! [V_n_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2))),hAPP(V_f_2,V_n_2)) ) )).

fof(fact_mod__mult__self2__is__0,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b),V_b) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_mod__mult__self1__is__0,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_a),V_b) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_mod__mult__self1,axiom,(
    ! [V_b,V_c,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_b)),V_b) = c_Divides_Odiv__class_Omod(T_a,V_a,V_b) ) )).

fof(fact_mod__mult__self2,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),V_c)),V_b) = c_Divides_Odiv__class_Omod(T_a,V_a,V_b) ) )).

fof(fact_mod__by__1,axiom,(
    ! [V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,V_a,c_Groups_Oone__class_Oone(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_mod__div__trivial,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)),V_b) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_div__1,axiom,(
    ! [V_m] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) = V_m )).

fof(fact_lessThan__strict__subset__iff,axiom,(
    ! [V_n_2,V_m_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_m_2)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_m_2),V_n_2)) ) ) )).

fof(fact_div__less,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_nat__mult__div__cancel__disj,axiom,(
    ! [V_n,V_m,V_k] :
      ( ( V_k = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_m)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( V_k != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_m)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) ) ) )).

fof(fact_Divides_Otransfer__nat__int__function__closures_I2_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_x,V_y))) ) ) )).

fof(fact_zmod__le__nonneg__dividend,axiom,(
    ! [V_k,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_m))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_m,V_k)),V_m)) ) )).

fof(fact_neg__mod__bound,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b))) ) )).

fof(fact_pos__mod__bound,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)),V_b)) ) )).

fof(fact_zmod__eq__0__iff,axiom,(
    ! [V_d_2,V_m_2] :
      ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_m_2,V_d_2) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
    <=> ? [B_q] : V_m_2 = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_d_2),B_q) ) )).

fof(fact_DIVISION__BY__ZERO,axiom,(
    ! [V_a] :
      ( hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
      & c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,c_Groups_Ozero__class_Ozero(tc_Int_Oint)) = V_a ) )).

fof(fact_zmod__zdiv__trivial,axiom,(
    ! [V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)),V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_zdiv__zadd1__eq,axiom,(
    ! [V_c,V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_c)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_b),V_c))),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_c)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_b,V_c))),V_c)) )).

fof(fact_triple__valid__def2,axiom,(
    ! [V_Q_2,V_c_2,V_P_2,V_n_2,T_a] :
      ( c_Hoare__Mirabelle_Otriple__valid(T_a,V_n_2,hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),V_c_2),V_Q_2))
    <=> ! [B_Z,B_s] :
          ( hBOOL(hAPP(hAPP(V_P_2,B_Z),B_s))
         => ! [B_s_H] :
              ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c_2),B_s),V_n_2),B_s_H))
             => hBOOL(hAPP(hAPP(V_Q_2,B_Z),B_s_H)) ) ) ) )).

fof(fact_nat__case__0,axiom,(
    ! [V_f2_2,V_f1_2,T_a] : c_Nat_Onat_Onat__case(T_a,V_f1_2,V_f2_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = V_f1_2 )).

fof(fact_nat__case__Suc,axiom,(
    ! [V_nat_2,V_f2_2,V_f1_2,T_a] : c_Nat_Onat_Onat__case(T_a,V_f1_2,V_f2_2,hAPP(c_Nat_OSuc,V_nat_2)) = hAPP(V_f2_2,V_nat_2) )).

fof(fact_single__Diff__lessThan,axiom,(
    ! [V_k_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_k_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_k_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_k_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) ) )).

fof(fact_semiring__div__class_Omod__div__equality_H,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)),V_b)) = V_a ) )).

fof(fact_mod__div__equality2,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b))),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)) = V_a ) )).

fof(fact_mod__div__equality,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)),V_b)),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)) = V_a ) )).

fof(fact_div__mod__equality2,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b))),c_Divides_Odiv__class_Omod(T_a,V_a,V_b))),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c) ) )).

fof(fact_div__mod__equality,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)),V_b)),c_Divides_Odiv__class_Omod(T_a,V_a,V_b))),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_c) ) )).

fof(fact_div__le__mono2,axiom,(
    ! [V_k,V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m),V_n))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_k),V_n)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_k),V_m))) ) ) )).

fof(fact_div__mult__self__is__m,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)),V_n) = V_m ) )).

fof(fact_div__mult__self1__is__m,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_m)),V_n) = V_m ) )).

fof(fact_nat__mult__div__cancel1,axiom,(
    ! [V_n,V_m,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_m)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) ) )).

fof(fact_div__less__dividend,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n)),V_m)) ) ) )).

fof(fact_mod__neg__neg__trivial,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),V_a))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = V_a ) ) )).

fof(fact_neg__mod__conj,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b))) ) ) )).

fof(fact_neg__mod__sign,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_mod__pos__pos__trivial,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),V_b))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = V_a ) ) )).

fof(fact_pos__mod__conj,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)),V_b)) ) ) )).

fof(fact_pos__mod__sign,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b))) ) )).

fof(fact_zmod__zdiv__equality,axiom,(
    ! [V_b,V_a] : V_a = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b))),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)) )).

fof(fact_zdiv__zmult1__eq,axiom,(
    ! [V_c,V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_b),V_c))),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_b,V_c))),V_c)) )).

fof(fact_zdiv__zmod__equality,axiom,(
    ! [V_k,V_a,V_b] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b))),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b))),V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_k) )).

fof(fact_zdiv__zmod__equality2,axiom,(
    ! [V_k,V_b,V_a] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),V_b)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b))),V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_k) )).

fof(fact_zmult__div__cancel,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_n),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_m),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_m),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_m,V_n)) )).

fof(fact_zmod__zdiv__equality_H,axiom,(
    ! [V_n,V_m] : c_Divides_Odiv__class_Omod(tc_Int_Oint,V_m,V_n) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_m),V_n)),V_n)) )).

fof(fact_Powp__mono,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),c_Predicate_OPowp(T_a,V_A_2)),c_Predicate_OPowp(T_a,V_B_2))) ) )).

fof(fact_finite__nat__set__iff__bounded,axiom,(
    ! [V_N_2] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),V_N_2))
    <=> ? [B_m] :
        ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),V_N_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_x),B_m)) ) ) )).

fof(fact_finite__nat__set__iff__bounded__le,axiom,(
    ! [V_N_2] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),V_N_2))
    <=> ? [B_m] :
        ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),V_N_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_x),B_m)) ) ) )).

fof(fact_div__geq,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_n)) ) ) )).

fof(fact_div__if,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_n)) ) ) ) )).

fof(fact_split__div,axiom,(
    ! [V_k_2,V_n_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_n_2),V_k_2)))
    <=> ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )
        & ( V_k_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => ! [B_i,B_j] :
              ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_j),V_k_2))
             => ( V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),B_i)),B_j)
               => hBOOL(hAPP(V_P_2,B_i)) ) ) ) ) ) )).

fof(fact_mod__pos__neg__trivial,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b) ) ) )).

fof(fact_triple__valid__def,axiom,(
    ! [V_t_2,V_n_2,T_a] :
      ( c_Hoare__Mirabelle_Otriple__valid(T_a,V_n_2,V_t_2)
    <=> hBOOL(c_Hoare__Mirabelle_Otriple_Otriple__case(T_a,tc_HOL_Obool,hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool))),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_HOL_Obool),tc_Com_Ocom),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),c_HOL_OAll(T_a)))),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),tc_Com_Ocom),hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(tc_Com_Ostate))))),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),tc_fun(tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),tc_fun(tc_Com_Ocom,tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))))),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),c_COMBB(tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_Com_Ocom)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),c_COMBS(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),T_a),c_COMBS(tc_Com_Ostate,tc_HOL_Obool,tc_HOL_Obool))),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Com_Ostate),c_fimplies))))))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_Com_Ocom),hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ostate,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_HOL_Obool,tc_Com_Ostate),c_HOL_OAll(tc_Com_Ostate))))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)))),tc_Com_Ocom),c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),T_a)),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_Com_Ocom),c_COMBC(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(tc_Com_Ostate,tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_Com_Ocom),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_Com_Ostate),c_COMBS(tc_Com_Ostate,tc_HOL_Obool,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool)),tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_Com_Ocom),hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_HOL_Obool),tc_fun(tc_Com_Ostate,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_Com_Ostate),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Com_Ostate),c_fimplies))),hAPP(hAPP(c_COMBC(tc_Com_Ocom,tc_Nat_Onat,tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_Com_Ostate,tc_fun(tc_Nat_Onat,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_fun(tc_Nat_Onat,tc_fun(tc_Com_Ostate,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),tc_Com_Ocom),c_COMBC(tc_Com_Ostate,tc_Nat_Onat,tc_fun(tc_Com_Ostate,tc_HOL_Obool))),c_Natural_Oevaln)),V_n_2))))))))),V_t_2)) ) )).

fof(fact_evaln_Oequations_I9_J,axiom,(
    ! [V_a4_2,V_a3_2,V_a2_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,hAPP(c_Com_Ocom_OBODY,V_a1_2)),V_a2_2),hAPP(c_Nat_OSuc,V_a3_2)),V_a4_2))
    <=> hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_a1_2))),V_a2_2),V_a3_2),V_a4_2)) ) )).

fof(fact_le__div__geq,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_n)) ) ) )).

fof(fact_split__div_H,axiom,(
    ! [V_n_2,V_m_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m_2),V_n_2)))
    <=> ( ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
          & hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )
        | ? [B_q] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),B_q)),V_m_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),hAPP(c_Nat_OSuc,B_q))))
            & hBOOL(hAPP(V_P_2,B_q)) ) ) ) )).

fof(fact_split__div__lemma,axiom,(
    ! [V_m_2,V_q_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),V_q_2)),V_m_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n_2),hAPP(c_Nat_OSuc,V_q_2)))) )
      <=> V_q_2 = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m_2),V_n_2) ) ) )).

fof(fact_split__zmod,axiom,(
    ! [V_k_2,V_n_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,c_Divides_Odiv__class_Omod(tc_Int_Oint,V_n_2,V_k_2)))
    <=> ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hBOOL(hAPP(V_P_2,V_n_2)) )
        & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2))
         => ! [B_i,B_j] :
              ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_j))
                & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_j),V_k_2))
                & V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),B_i)),B_j) )
             => hBOOL(hAPP(V_P_2,B_j)) ) )
        & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => ! [B_i,B_j] :
              ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),B_j))
                & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_j),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
                & V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),B_i)),B_j) )
             => hBOOL(hAPP(V_P_2,B_j)) ) ) ) ) )).

fof(fact_zmult2__lemma__aux3,axiom,(
    ! [V_q,V_b,V_r,V_c] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_c))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_q,V_c))),V_r))) ) ) ) )).

fof(fact_zmult2__lemma__aux4,axiom,(
    ! [V_q,V_b,V_r,V_c] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_c))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_q,V_c))),V_r)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_c))) ) ) ) )).

fof(fact_zmult2__lemma__aux1,axiom,(
    ! [V_q,V_r,V_b,V_c] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_c))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),V_r))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_r),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_q,V_c))),V_r))) ) ) ) )).

fof(fact_zmult2__lemma__aux2,axiom,(
    ! [V_q,V_r,V_b,V_c] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_c))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),V_r))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_r),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_q,V_c))),V_r)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) ) )).

fof(fact_divmod__int__rel__mod__eq,axiom,(
    ! [V_y,V_q_1,V_b_1,V_a_1] :
      ( V_a_1 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_1),V_q_1)),V_y)
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_1))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_y),V_b_1)) ) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_1))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_1),V_y))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_y),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )
       => ( V_b_1 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a_1,V_b_1) = V_y ) ) ) )).

fof(fact_zmod__zmult2__eq,axiom,(
    ! [V_b,V_a,V_c] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_c))
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_c)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b),V_c))),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)) ) )).

fof(fact_evaln__elim__cases_I6_J,axiom,(
    ! [V_s1,V_n,V_s,V_P] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,hAPP(c_Com_Ocom_OBODY,V_P)),V_s),V_n),V_s1))
     => ~ ! [B_n] :
            ( V_n = hAPP(c_Nat_OSuc,B_n)
           => ~ hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,hAPP(c_Option_Othe(tc_Com_Ocom),hAPP(c_Com_Obody,V_P))),V_s),B_n),V_s1)) ) ) )).

fof(fact_arith__series__general,axiom,(
    ! [V_n_2,V_d_2,V_a_2,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,tc_Nat_Onat),hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),tc_Nat_Onat),c_Groups_Otimes__class_Otimes(T_a)),c_Nat_Osemiring__1__class_Oof__nat(T_a))),V_d_2))),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),c_Groups_Oone__class_Oone(tc_Nat_Onat)))),V_d_2)))) ) )).

fof(fact_ord_OatMost__iff,axiom,(
    ! [V_k_2,V_less__eq_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OatMost(T_a,V_less__eq_2,V_k_2)))
    <=> hBOOL(hAPP(hAPP(V_less__eq_2,V_i_2),V_k_2)) ) )).

fof(fact_ord_OatLeast__iff,axiom,(
    ! [V_k_2,V_less__eq_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OatLeast(T_a,V_less__eq_2,V_k_2)))
    <=> hBOOL(hAPP(hAPP(V_less__eq_2,V_k_2),V_i_2)) ) )).

fof(fact_ord_OlessThan__iff,axiom,(
    ! [V_k_2,V_less_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OlessThan(T_a,V_less_2,V_k_2)))
    <=> hBOOL(hAPP(hAPP(V_less_2,V_i_2),V_k_2)) ) )).

fof(fact_ord_OgreaterThan__iff,axiom,(
    ! [V_k_2,V_less_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OgreaterThan(T_a,V_less_2,V_k_2)))
    <=> hBOOL(hAPP(hAPP(V_less_2,V_k_2),V_i_2)) ) )).

fof(fact_ord_OatLeastAtMost__iff,axiom,(
    ! [V_u_2,V_l_2,V_less__eq_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OatLeastAtMost(T_a,V_less__eq_2,V_l_2,V_u_2)))
    <=> ( hBOOL(hAPP(hAPP(V_less__eq_2,V_l_2),V_i_2))
        & hBOOL(hAPP(hAPP(V_less__eq_2,V_i_2),V_u_2)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__set__functions_I1_J,axiom,(
    ! [V_A_2] : hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),V_A_2) = hAPP(c_Finite__Set_Ocard(tc_Int_Oint),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)) )).

fof(fact_transfer__nat__int__set__relations_I1_J,axiom,(
    ! [V_A_2] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),V_A_2))
    <=> hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2))) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__functions_I2_J,axiom,(
    c_Orderings_Obot__class_Obot(tc_fun(tc_Int_Oint,tc_HOL_Obool)) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) )).

fof(fact_Divides_Otransfer__int__nat__functions_I2_J,axiom,(
    ! [V_y,V_x] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_x,V_y)) )).

fof(fact_zmod__int,axiom,(
    ! [V_b,V_a] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_a,V_b)) = c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_b)) )).

fof(fact_of__nat__eq__iff,axiom,(
    ! [V_n_2,V_m_2,T_a] :
      ( class_Nat_Osemiring__char__0(T_a)
     => ( hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m_2) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)
      <=> V_m_2 = V_n_2 ) ) )).

fof(fact_mod__Suc__eq__Suc__mod,axiom,(
    ! [V_n,V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m),V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)),V_n) )).

fof(fact_mod__less,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = V_m ) )).

fof(fact_div__add1__eq,axiom,(
    ! [V_c,V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_a),V_c)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_b),V_c))),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_a,V_c)),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_b,V_c))),V_c)) )).

fof(fact_mod__less__eq__dividend,axiom,(
    ! [V_n,V_m] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)),V_m)) )).

fof(fact_mod__mult__distrib2,axiom,(
    ! [V_n,V_m,V_k] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)) )).

fof(fact_mod__mult__distrib,axiom,(
    ! [V_k,V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)),V_k) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_k),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_k)) )).

fof(fact_Divides_Otransfer__int__nat__functions_I1_J,axiom,(
    ! [V_y,V_x] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_x),V_y)) )).

fof(fact_zdiv__int,axiom,(
    ! [V_b,V_a] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_a),V_b)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_a)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_b)) )).

fof(fact_int__setsum,axiom,(
    ! [V_A_2,V_f_2,T_a] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Int_Oint,T_a),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_f_2)),V_A_2) )).

fof(fact_int__setprod,axiom,(
    ! [V_A_2,V_f_2,T_a] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Nat_Onat),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Int_Oint,T_a),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_f_2)),V_A_2) )).

fof(fact_mod__Suc,axiom,(
    ! [V_n,V_m] :
      ( ( hAPP(c_Nat_OSuc,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)) = V_n
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( hAPP(c_Nat_OSuc,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)) != V_n
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m),V_n) = hAPP(c_Nat_OSuc,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)) ) ) )).

fof(fact_mod__1,axiom,(
    ! [V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_mod__less__divisor,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)),V_n)) ) )).

fof(fact_transfer__int__nat__numerals_I1_J,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Int_Oint) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_int__0,axiom,(
    hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_int__eq__0__conv,axiom,(
    ! [V_n_2] :
      ( hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
    <=> V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_mod__eq__0__iff,axiom,(
    ! [V_d_2,V_m_2] :
      ( c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m_2,V_d_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> ? [B_q] : V_m_2 = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_d_2),B_q) ) )).

fof(fact_mod__geq,axiom,(
    ! [V_n,V_m] :
      ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n),V_n) ) )).

fof(fact_mod__if,axiom,(
    ! [V_n,V_m] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = V_m )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n),V_n) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I9_J,axiom,(
    ! [V_z] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_z))) )).

fof(fact_transfer__int__nat__quantifiers_I2_J,axiom,(
    ! [V_P_2] :
      ( ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x))
          & hBOOL(hAPP(V_P_2,B_x)) )
    <=> ? [B_x] : hBOOL(hAPP(V_P_2,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),B_x))) ) )).

fof(fact_transfer__int__nat__quantifiers_I1_J,axiom,(
    ! [V_P_2] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x))
         => hBOOL(hAPP(V_P_2,B_x)) )
    <=> ! [B_x] : hBOOL(hAPP(V_P_2,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),B_x))) ) )).

fof(fact_zero__zle__int,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n))) )).

fof(fact_int__less__0__conv,axiom,(
    ! [V_k] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_k)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_mod__mult__self3,axiom,(
    ! [V_m,V_n,V_k] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)),V_m),V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) )).

fof(fact_div__mult1__eq,axiom,(
    ! [V_c,V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_a),V_b)),V_c) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_b),V_c))),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_a),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_b,V_c))),V_c)) )).

fof(fact_mod__mult2__eq,axiom,(
    ! [V_c,V_b,V_a] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_b),V_c)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_b),c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_a),V_b),V_c))),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_a,V_b)) )).

fof(fact_transfer__int__nat__relations_I2_J,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x_2),V_y_2)) ) )).

fof(fact_zless__int,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_le__mod__geq,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
     => c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n),V_n) ) )).

fof(fact_transfer__int__nat__relations_I3_J,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_x_2),V_y_2)) ) )).

fof(fact_zle__int,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_Divides_Omod__div__equality_H,axiom,(
    ! [V_n,V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n)),V_n)) )).

fof(fact_mult__div__cancel,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)) )).

fof(fact_div__mod__equality_H,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n)),V_n) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__functions_I1_J,axiom,(
    ! [V_y,V_x] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_x),V_y)) )).

fof(fact_zadd__int__left,axiom,(
    ! [V_z,V_n,V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)),V_z)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n))),V_z) )).

fof(fact_zadd__int,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_zle__iff__zadd,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w_2),V_z_2))
    <=> ? [B_n] : V_z_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w_2),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),B_n)) ) )).

fof(fact_of__nat__0__le__iff,axiom,(
    ! [V_n,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n))) ) )).

fof(fact_zero__le__imp__of__nat,axiom,(
    ! [V_m,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m))) ) )).

fof(fact_of__nat__less__0__iff,axiom,(
    ! [V_m,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__functions_I2_J,axiom,(
    ! [V_y,V_x] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_x),V_y)) )).

fof(fact_zmult__int,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_int__mult,axiom,(
    ! [V_n,V_m] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)) )).

fof(fact_of__nat__0,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_of__nat__less__iff,axiom,(
    ! [V_n_2,V_m_2,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_less__imp__of__nat__less,axiom,(
    ! [V_n,V_m,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n))) ) ) )).

fof(fact_of__nat__less__imp__less,axiom,(
    ! [V_n,V_m,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n)) ) ) )).

fof(fact_transfer__int__nat__numerals_I2_J,axiom,(
    c_Groups_Oone__class_Oone(tc_Int_Oint) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Nat_Onat)) )).

fof(fact_int__1,axiom,(
    hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = c_Groups_Oone__class_Oone(tc_Int_Oint) )).

fof(fact_of__nat__le__iff,axiom,(
    ! [V_n_2,V_m_2,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) ) )).

fof(fact_of__nat__add,axiom,(
    ! [V_n,V_m,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n)) ) )).

fof(fact_of__nat__mult,axiom,(
    ! [V_n,V_m,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n)) ) )).

fof(fact_of__nat__1,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_Ints__of__nat,axiom,(
    ! [V_n_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)),c_Int_Oring__1__class_OInts(T_a))) ) )).

fof(fact_of__nat__power,axiom,(
    ! [V_n,V_m,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)),V_n) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__functions_I4_J,axiom,(
    ! [V_n,V_x] : hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x)),V_n) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_x),V_n)) )).

fof(fact_zpower__int,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)),V_n) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_int__power,axiom,(
    ! [V_n,V_m] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)),V_n) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__functions_I3_J,axiom,(
    ! [V_y,V_x] : c_Nat__Transfer_Otsub(hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_x),V_y)) )).

fof(fact_of__nat__setsum,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,tc_Nat_Onat),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,T_b),c_Nat_Osemiring__1__class_Oof__nat(T_a)),V_f_2)),V_A_2) ) )).

fof(fact_mod__le__divisor,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)),V_n)) ) )).

fof(fact_mod__mult__self4,axiom,(
    ! [V_m,V_n,V_k] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_n)),V_m)),V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m),V_n) )).

fof(fact_int__le__0__conv,axiom,(
    ! [V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
    <=> V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_int__Suc0__eq__1,axiom,(
    hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) = c_Groups_Oone__class_Oone(tc_Int_Oint) )).

fof(fact_zless__iff__Suc__zadd,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2))
    <=> ? [B_n] : V_z_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w_2),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,B_n))) ) )).

fof(fact_int__Suc,axiom,(
    ! [V_m] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,V_m)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)) )).

fof(fact_zdiff__int,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)) ) )).

fof(fact_of__nat__setprod,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( ( class_Groups_Ocomm__monoid__mult(T_a)
        & class_Rings_Osemiring__1(T_a) )
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,tc_Nat_Onat),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,T_b),c_Nat_Osemiring__1__class_Oof__nat(T_a)),V_f_2)),V_A_2) ) )).

fof(fact_of__nat__Suc,axiom,(
    ! [V_m,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Nat_OSuc,V_m)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)) ) )).

fof(fact_of__nat__diff,axiom,(
    ! [V_m,V_n,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
       => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_m)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n)) ) ) )).

fof(fact_setsum__constant,axiom,(
    ! [V_A_2,V_y_2,T_b,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(c_COMBK(T_a,T_b),V_y_2)),V_A_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Finite__Set_Ocard(T_b),V_A_2))),V_y_2) ) )).

fof(fact_mod__lemma,axiom,(
    ! [V_q,V_b,V_r,V_c] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_c))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_r),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_b),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_q,V_c))),V_r)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_b),V_c))) ) ) )).

fof(fact_split__mod,axiom,(
    ! [V_k_2,V_n_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_n_2,V_k_2)))
    <=> ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => hBOOL(hAPP(V_P_2,V_n_2)) )
        & ( V_k_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => ! [B_i,B_j] :
              ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_j),V_k_2))
             => ( V_n_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),B_i)),B_j)
               => hBOOL(hAPP(V_P_2,B_j)) ) ) ) ) ) )).

fof(fact_zero__less__int__conv,axiom,(
    ! [V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)) ) )).

fof(fact_Suc__times__mod__eq,axiom,(
    ! [V_m,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_k))
     => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k),V_m)),V_k) = c_Groups_Oone__class_Oone(tc_Nat_Onat) ) )).

fof(fact_zmult__zless__mono2__lemma,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_i),V_j))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_k)),V_i)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_k)),V_j))) ) ) )).

fof(fact_of__nat__0__less__iff,axiom,(
    ! [V_n_2,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)) ) ) )).

fof(fact_less__eq__nat_Osimps_I2_J,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m_2)),V_n_2))
    <=> hBOOL(c_Nat_Onat_Onat__case(tc_HOL_Obool,c_fFalse,hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_zdiff__int__split,axiom,(
    ! [V_y_2,V_x_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_x_2),V_y_2))))
    <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_y_2),V_x_2))
         => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y_2)))) )
        & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x_2),V_y_2))
         => hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) ) )).

fof(fact_semiring__1__class_Oof__nat__code,axiom,(
    ! [V_n_2,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2) = c_Nat_Osemiring__1__class_Oof__nat__aux(T_a,hAPP(hAPP(c_COMBC(T_a,T_a,T_a),c_Groups_Oplus__class_Oplus(T_a)),c_Groups_Oone__class_Oone(T_a)),V_n_2,c_Groups_Ozero__class_Ozero(T_a)) ) )).

fof(fact_setsum__bounded,axiom,(
    ! [V_K_2,V_f_2,V_A_2,T_a,T_b] :
      ( ( class_Groups_Oordered__ab__semigroup__add(T_b)
        & class_Rings_Osemiring__1(T_b) )
     => ( ! [B_i] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_i),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_f_2,B_i)),V_K_2)) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_A_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_b),hAPP(c_Finite__Set_Ocard(T_a),V_A_2))),V_K_2))) ) ) )).

fof(fact_ord_OgreaterThanAtMost__iff,axiom,(
    ! [V_u_2,V_l_2,V_less_2,V_less__eq_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OgreaterThanAtMost(T_a,V_less__eq_2,V_less_2,V_l_2,V_u_2)))
    <=> ( hBOOL(hAPP(hAPP(V_less_2,V_l_2),V_i_2))
        & hBOOL(hAPP(hAPP(V_less__eq_2,V_i_2),V_u_2)) ) ) )).

fof(fact_ord_OatLeastLessThan__iff,axiom,(
    ! [V_u_2,V_l_2,V_less_2,V_less__eq_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OatLeastLessThan(T_a,V_less__eq_2,V_less_2,V_l_2,V_u_2)))
    <=> ( hBOOL(hAPP(hAPP(V_less__eq_2,V_l_2),V_i_2))
        & hBOOL(hAPP(hAPP(V_less_2,V_i_2),V_u_2)) ) ) )).

fof(fact_ord_OgreaterThanLessThan__iff,axiom,(
    ! [V_u_2,V_l_2,V_less_2,V_i_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),c_SetInterval_Oord_OgreaterThanLessThan(T_a,V_less_2,V_l_2,V_u_2)))
    <=> ( hBOOL(hAPP(hAPP(V_less_2,V_l_2),V_i_2))
        & hBOOL(hAPP(hAPP(V_less_2,V_i_2),V_u_2)) ) ) )).

fof(fact_transfer__nat__int__set__relations_I5_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),V_A_2),V_B_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Int_Oint,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_B_2))) ) )).

fof(fact_transfer__nat__int__set__relations_I3_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( V_A_2 = V_B_2
    <=> hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_B_2) ) )).

fof(fact_transfer__nat__int__set__relations_I2_J,axiom,(
    ! [V_A_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),V_x_2),V_A_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x_2)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2))) ) )).

fof(fact_transfer__nat__int__set__relations_I4_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),V_A_2),V_B_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(tc_Int_Oint,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_B_2))) ) )).

fof(fact_int__int__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)
    <=> V_m_2 = V_n_2 ) )).

fof(fact_transfer__int__nat__relations_I1_J,axiom,(
    ! [V_y_2,V_x_2] :
      ( hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_x_2) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_y_2)
    <=> V_x_2 = V_y_2 ) )).

fof(fact_of__nat__aux_Osimps_I1_J,axiom,(
    ! [V_i_2,V_inc_2,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => c_Nat_Osemiring__1__class_Oof__nat__aux(T_a,V_inc_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_i_2) = V_i_2 ) )).

fof(fact_of__nat__aux_Osimps_I2_J,axiom,(
    ! [V_i_2,V_n_2,V_inc_2,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => c_Nat_Osemiring__1__class_Oof__nat__aux(T_a,V_inc_2,hAPP(c_Nat_OSuc,V_n_2),V_i_2) = c_Nat_Osemiring__1__class_Oof__nat__aux(T_a,V_inc_2,V_n_2,hAPP(V_inc_2,V_i_2)) ) )).

fof(fact_image__minus__const__atLeastLessThan__nat,axiom,(
    ! [V_x_2,V_y_2,V_c_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_c_2),V_y_2))
       => hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ominus__class_Ominus(tc_Nat_Onat)),V_c_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_x_2),V_y_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_x_2),V_c_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_y_2),V_c_2)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_c_2),V_y_2))
       => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x_2),V_y_2))
           => hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ominus__class_Ominus(tc_Nat_Onat)),V_c_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_x_2),V_y_2)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x_2),V_y_2))
           => hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ominus__class_Ominus(tc_Nat_Onat)),V_c_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_x_2),V_y_2)) = c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) ) ) ) ) )).

fof(fact_sum__diff__distrib,axiom,(
    ! [V_n_2,V_P_2,V_Q_2] :
      ( ! [B_x] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(V_Q_2,B_x)),hAPP(V_P_2,B_x)))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,tc_Nat_Onat),V_P_2),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,tc_Nat_Onat),V_Q_2),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Nat_Onat),c_Groups_Ominus__class_Ominus(tc_Nat_Onat)),V_P_2)),V_Q_2)),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2)) ) )).

fof(fact_setsum__natinterval__difff,axiom,(
    ! [V_f_2,V_n_2,V_m_2,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBS(tc_Nat_Onat,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),tc_Nat_Onat),c_Groups_Ominus__class_Ominus(T_a)),V_f_2)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_Groups_Oone__class_Oone(tc_Nat_Onat))))),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(V_f_2,V_m_2)),hAPP(V_f_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),c_Groups_Oone__class_Oone(tc_Nat_Onat)))) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBS(tc_Nat_Onat,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),tc_Nat_Onat),c_Groups_Ominus__class_Ominus(T_a)),V_f_2)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_Groups_Oone__class_Oone(tc_Nat_Onat))))),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2)) = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_gauss__sum,axiom,(
    ! [V_n_2,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),c_Nat_Osemiring__1__class_Oof__nat(T_a)),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,c_Groups_Oone__class_Oone(tc_Nat_Onat),V_n_2))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)),c_Groups_Oone__class_Oone(T_a))) ) )).

fof(fact_decr__mult__lemma,axiom,(
    ! [V_k_2,V_P_2,V_d_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_d_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(V_P_2,B_x))
           => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),V_d_2))) )
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2))
         => ! [B_x] :
              ( hBOOL(hAPP(V_P_2,B_x))
             => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),V_d_2)))) ) ) ) ) )).

fof(fact_incr__mult__lemma,axiom,(
    ! [V_k_2,V_P_2,V_d_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_d_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(V_P_2,B_x))
           => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_x),V_d_2))) )
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2))
         => ! [B_x] :
              ( hBOOL(hAPP(V_P_2,B_x))
             => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k_2),V_d_2)))) ) ) ) ) )).

fof(fact_finite__atLeastLessThan,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_l_2),V_u_2))) )).

fof(fact_finite__atLeastAtMost,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_l_2,V_u_2))) )).

fof(fact_atLeastLessThanSuc__atLeastAtMost,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_l_2),hAPP(c_Nat_OSuc,V_u_2)) = c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_l_2,V_u_2) )).

fof(fact_ivl__disj__un_I21_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_m_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_m_2,V_u_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2) ) ) ) )).

fof(fact_ivl__disj__int_I15_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_m_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_m_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_atLeastLessThan__inj_I2_J,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_c_2),V_d_2)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),V_d_2))
           => V_b_2 = V_d_2 ) ) ) ) )).

fof(fact_atLeastLessThan__inj_I1_J,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_c_2),V_d_2)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),V_d_2))
           => V_a_2 = V_c_2 ) ) ) ) )).

fof(fact_atLeastLessThan__eq__iff,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),V_d_2))
         => ( hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_c_2),V_d_2)
          <=> ( V_a_2 = V_c_2
              & V_b_2 = V_d_2 ) ) ) ) ) )).

fof(fact_atLeastLessThan__add__Un,axiom,(
    ! [V_k_2,V_j_2,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i_2),V_j_2))
     => hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_i_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j_2),V_k_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_i_2),V_j_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_j_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j_2),V_k_2))) ) )).

fof(fact_atLeastLessThan0,axiom,(
    ! [V_m_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) )).

fof(fact_atLeast0LessThan,axiom,(
    ! [V_n_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2) = hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2) )).

fof(fact_ivl__disj__un_I6_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_u_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2) ) ) )).

fof(fact_subset__card__intvl__is__intvl,axiom,(
    ! [V_k_2,V_A_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),V_A_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_k_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),V_A_2)))))
     => V_A_2 = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_k_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_k_2),hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),V_A_2))) ) )).

fof(fact_card__atLeastLessThan,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_l_2),V_u_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_u_2),V_l_2) )).

fof(fact_atLeastatMost__empty__iff2,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2)
      <=> ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_atLeastatMost__empty__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
      <=> ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_atLeastatMost__empty,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),V_a_2))
       => c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_atLeastatMost__subset__iff,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_c_2,V_d_2)))
      <=> ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2))
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c_2),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),V_d_2)) ) ) ) ) )).

fof(fact_image__Suc__atLeastLessThan,axiom,(
    ! [V_j_2,V_i_2] : hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,c_Nat_OSuc),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_i_2),V_j_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_i_2)),hAPP(c_Nat_OSuc,V_j_2)) )).

fof(fact_atLeastLessThan__empty,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),V_a_2))
       => hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_atLeastAtMost__singleton_H,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( V_a_2 = V_b_2
       => c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) ) ) )).

fof(fact_atLeastAtMost__singleton__iff,axiom,(
    ! [V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_c_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))
      <=> ( V_a_2 = V_b_2
          & V_b_2 = V_c_2 ) ) ) )).

fof(fact_atLeastAtMost__singleton,axiom,(
    ! [V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_a_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) ) )).

fof(fact_atLeastLessThan__empty__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
      <=> ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_atLeastLessThan__empty__iff2,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2)
      <=> ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_atLeastLessThan__subset__iff,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_c_2),V_d_2)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),V_a_2))
          | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c_2),V_a_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),V_d_2)) ) ) ) ) )).

fof(fact_setsum__shift__bounds__Suc__ivl,axiom,(
    ! [V_n_2,V_m_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m_2)),hAPP(c_Nat_OSuc,V_n_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Nat_Onat),V_f_2),c_Nat_OSuc)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2)) ) )).

fof(fact_ivl__disj__un_I17_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_m_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_m_2),V_u_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2) ) ) ) )).

fof(fact_setsum__shift__bounds__nat__ivl,axiom,(
    ! [V_n_2,V_k_2,V_m_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_k_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),V_k_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),V_k_2))),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2)) ) )).

fof(fact_ivl__diff,axiom,(
    ! [V_m_2,V_n_2,V_i_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_i_2),V_n_2))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_i_2),V_m_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_i_2),V_n_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_n_2),V_m_2) ) ) )).

fof(fact_ivl__disj__int_I11_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_m_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_m_2),V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_image__Suc__atLeastAtMost,axiom,(
    ! [V_j_2,V_i_2] : hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,c_Nat_OSuc),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_i_2,V_j_2)) = c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_i_2),hAPP(c_Nat_OSuc,V_j_2)) )).

fof(fact_setsum__shift__bounds__cl__Suc__ivl,axiom,(
    ! [V_n_2,V_m_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m_2),hAPP(c_Nat_OSuc,V_n_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Nat_Onat),V_f_2),c_Nat_OSuc)),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2)) ) )).

fof(fact_setsum__shift__bounds__cl__nat__ivl,axiom,(
    ! [V_n_2,V_k_2,V_m_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_k_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),V_k_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Nat_Onat),V_f_2),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),V_k_2))),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2)) ) )).

fof(fact_image__add__atLeastLessThan,axiom,(
    ! [V_j_2,V_i_2,V_k_2] : hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),V_k_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_i_2),V_j_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),V_k_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j_2),V_k_2)) )).

fof(fact_image__add__atLeastAtMost,axiom,(
    ! [V_j_2,V_i_2,V_k_2] : hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),V_k_2)),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_i_2,V_j_2)) = c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),V_k_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j_2),V_k_2)) )).

fof(fact_setsum__add__nat__ivl,axiom,(
    ! [V_f_2,V_p_2,V_n_2,V_m_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2),V_p_2))
         => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_n_2),V_p_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_p_2)) ) ) ) )).

fof(fact_setsum__diff__nat__ivl,axiom,(
    ! [V_f_2,V_p_2,V_n_2,V_m_2,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2),V_p_2))
         => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_p_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_n_2),V_p_2)) ) ) ) )).

fof(fact_card__atLeastAtMost,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_l_2,V_u_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_u_2)),V_l_2) )).

fof(fact_atLeastAtMostSuc__conv,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)))
     => c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,hAPP(c_Nat_OSuc,V_n_2)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2)) ) )).

fof(fact_atLeastLessThan__singleton,axiom,(
    ! [V_m_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),hAPP(c_Nat_OSuc,V_m_2)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),V_m_2),c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) )).

fof(fact_setsum__shift__lb__Suc0__0,axiom,(
    ! [V_k_2,V_f_2] :
      ( hAPP(V_f_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,tc_Nat_Onat),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,tc_Nat_Onat),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_k_2)) ) )).

fof(fact_atLeastatMost__psubset__iff,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_c_2,V_d_2)))
      <=> ( ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2))
            | ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c_2),V_a_2))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),V_d_2))
              & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),V_a_2))
                | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),V_d_2)) ) ) )
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c_2),V_d_2)) ) ) ) )).

fof(fact_ivl__disj__int_I4_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_l_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_ivl__disj__un_I8_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_l_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2)) = hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_u_2) ) ) )).

fof(fact_ivl__disj__int_I2_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_l_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_setsum__shift__lb__Suc0__0__upt,axiom,(
    ! [V_k_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( hAPP(V_f_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_k_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_k_2)) ) ) )).

fof(fact_setsum__head__upt__Suc,axiom,(
    ! [V_f_2,V_n_2,V_m_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(V_f_2,V_m_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m_2)),V_n_2))) ) ) )).

fof(fact_setsum__head__Suc,axiom,(
    ! [V_f_2,V_n_2,V_m_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(V_f_2,V_m_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_m_2),V_n_2))) ) ) )).

fof(fact_atLeastLessThanSuc,axiom,(
    ! [V_n_2,V_m_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
       => hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),hAPP(c_Nat_OSuc,V_n_2)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),V_n_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
       => hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),hAPP(c_Nat_OSuc,V_n_2)) = c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) ) ) )).

fof(fact_setsum__op__ivl__Suc,axiom,(
    ! [V_f_2,V_m_2,V_n_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),V_m_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),hAPP(c_Nat_OSuc,V_n_2))) = c_Groups_Ozero__class_Ozero(T_a) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),V_m_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),hAPP(c_Nat_OSuc,V_n_2))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2))),hAPP(V_f_2,V_n_2)) ) ) ) )).

fof(fact_setsum__cl__ivl__Suc,axiom,(
    ! [V_f_2,V_m_2,V_n_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),V_m_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,hAPP(c_Nat_OSuc,V_n_2))) = c_Groups_Ozero__class_Ozero(T_a) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),V_m_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,hAPP(c_Nat_OSuc,V_n_2))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2))),hAPP(V_f_2,hAPP(c_Nat_OSuc,V_n_2))) ) ) ) )).

fof(fact_setsum__ub__add__nat,axiom,(
    ! [V_p_2,V_f_2,V_n_2,V_m_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),c_Groups_Oone__class_Oone(tc_Nat_Onat))))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),V_p_2))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),V_p_2)))) ) ) )).

fof(fact_geometric__sum,axiom,(
    ! [V_n_2,V_x_2,T_a] :
      ( class_Fields_Ofield(T_a)
     => ( V_x_2 != c_Groups_Oone__class_Oone(T_a)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(c_Power_Opower__class_Opower(T_a),V_x_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x_2),V_n_2)),c_Groups_Oone__class_Oone(T_a))),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x_2),c_Groups_Oone__class_Oone(T_a))) ) ) )).

fof(fact_ex__nat__less,axiom,(
    ! [V_P_2,V_n_2] :
      ( ? [B_m] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_m),V_n_2))
          & hBOOL(hAPP(V_P_2,B_m)) )
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_n_2)))
          & hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_all__nat__less,axiom,(
    ! [V_P_2,V_n_2] :
      ( ! [B_m] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_m),V_n_2))
         => hBOOL(hAPP(V_P_2,B_m)) )
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_n_2)))
         => hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_all__nat__less__eq,axiom,(
    ! [V_P_2,V_n_2] :
      ( ! [B_m] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_m),V_n_2))
         => hBOOL(hAPP(V_P_2,B_m)) )
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)))
         => hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_ex__nat__less__eq,axiom,(
    ! [V_P_2,V_n_2] :
      ( ? [B_m] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_m),V_n_2))
          & hBOOL(hAPP(V_P_2,B_m)) )
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2)))
          & hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_ivl__disj__un_I18_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_m_2,V_u_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2) ) ) ) )).

fof(fact_ivl__disj__un_I3_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_l_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2) ) ) )).

fof(fact_finite__greaterThanLessThan,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Nat_Onat,V_l_2,V_u_2))) )).

fof(fact_finite__atLeastAtMost__int,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_l_2,V_u_2))) )).

fof(fact_finite__atLeastLessThan__int,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,V_l_2),V_u_2))) )).

fof(fact_finite__greaterThanLessThan__int,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Int_Oint,V_l_2,V_u_2))) )).

fof(fact_atLeastLessThanPlusOne__atLeastAtMost__int,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,V_l_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_u_2),c_Groups_Oone__class_Oone(tc_Int_Oint))) = c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_l_2,V_u_2) )).

fof(fact_atLeastPlusOneLessThan__greaterThanLessThan__int,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_l_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_u_2) = c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Int_Oint,V_l_2,V_u_2) )).

fof(fact_finite__atLeastZeroLessThan__int,axiom,(
    ! [V_u_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_u_2))) )).

fof(fact_greaterThanLessThan__empty,axiom,(
    ! [V_k_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_k_2))
       => c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_k_2,V_l_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_atLeastSucLessThan__greaterThanLessThan,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_l_2)),V_u_2) = c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Nat_Onat,V_l_2,V_u_2) )).

fof(fact_image__add__int__atLeastLessThan,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Set_Oimage(tc_Int_Oint,tc_Int_Oint,hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),c_Groups_Oplus__class_Oplus(tc_Int_Oint)),V_l_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_u_2),V_l_2))) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,V_l_2),V_u_2) )).

fof(fact_ivl__disj__int_I12_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_m_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_ivl__disj__int_I13_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_m_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_ivl__disj__int_I9_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_m_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_m_2),V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_card__greaterThanLessThan,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Nat_Onat,V_l_2,V_u_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_u_2),hAPP(c_Nat_OSuc,V_l_2)) )).

fof(fact_simp__from__to,axiom,(
    ! [V_i_2,V_j_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_j_2),V_i_2))
       => c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_i_2,V_j_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_Int_Oint,tc_HOL_Obool)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_j_2),V_i_2))
       => c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_i_2,V_j_2) = hAPP(hAPP(c_Set_Oinsert(tc_Int_Oint),V_i_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i_2),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_j_2)) ) ) )).

fof(fact_ivl__disj__un_I15_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_m_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_m_2),V_u_2)) = c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2) ) ) ) )).

fof(fact_bset_I8_J,axiom,(
    ! [V_B_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_t_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_B_2))
       => ! [B_x] :
            ( ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
               => ! [B_xb] :
                    ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_B_2))
                   => B_x != hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_xb),B_xa) ) )
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_t_2),B_x))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_t_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),V_D_2))) ) ) ) ) )).

fof(fact_aset_I6_J,axiom,(
    ! [V_A_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_t_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_A_2))
       => ! [B_x] :
            ( ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
               => ! [B_xb] :
                    ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_A_2))
                   => B_x != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_xb),B_xa) ) )
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_x),V_t_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_x),V_D_2)),V_t_2)) ) ) ) ) )).

fof(fact_aset_I4_J,axiom,(
    ! [V_A_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),V_t_2),V_A_2))
       => ! [B_x] :
            ( ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
               => ! [B_xb] :
                    ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_A_2))
                   => B_x != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_xb),B_xa) ) )
           => ( B_x != V_t_2
             => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_x),V_D_2) != V_t_2 ) ) ) ) )).

fof(fact_bset_I4_J,axiom,(
    ! [V_B_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),V_t_2),V_B_2))
       => ! [B_x] :
            ( ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
               => ! [B_xb] :
                    ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_B_2))
                   => B_x != hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_xb),B_xa) ) )
           => ( B_x != V_t_2
             => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),V_D_2) != V_t_2 ) ) ) ) )).

fof(fact_bset_I7_J,axiom,(
    ! [V_B_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),V_t_2),V_B_2))
       => ! [B_x] :
            ( ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
               => ! [B_xb] :
                    ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_B_2))
                   => B_x != hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_xb),B_xa) ) )
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_t_2),B_x))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_t_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),V_D_2))) ) ) ) ) )).

fof(fact_aset_I5_J,axiom,(
    ! [V_A_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),V_t_2),V_A_2))
       => ! [B_x] :
            ( ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
               => ! [B_xb] :
                    ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_A_2))
                   => B_x != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_xb),B_xa) ) )
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_x),V_t_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_x),V_D_2)),V_t_2)) ) ) ) ) )).

fof(fact_bset_I3_J,axiom,(
    ! [V_B_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_t_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_B_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_x),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
             => ! [B_xa] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),V_B_2))
                 => V_t_2 != hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_xa),B_x) ) )
         => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_t_2),V_D_2) = V_t_2 ) ) ) )).

fof(fact_aset_I3_J,axiom,(
    ! [V_A_2,V_t_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_t_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_x),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
             => ! [B_xa] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),V_A_2))
                 => V_t_2 != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_xa),B_x) ) )
         => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_t_2),V_D_2) = V_t_2 ) ) ) )).

fof(fact_bset_I6_J,axiom,(
    ! [V_t_2,V_B_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ! [B_x] :
          ( ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
             => ! [B_xb] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_B_2))
                 => B_x != hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_xb),B_xa) ) )
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_x),V_t_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),V_D_2)),V_t_2)) ) ) ) )).

fof(fact_aset_I8_J,axiom,(
    ! [V_t_2,V_A_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ! [B_x] :
          ( ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
             => ! [B_xb] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_A_2))
                 => B_x != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_xb),B_xa) ) )
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_t_2),B_x))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_t_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_x),V_D_2))) ) ) ) )).

fof(fact_periodic__finite__ex,axiom,(
    ! [V_P_2,V_d_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_d_2))
     => ( ! [B_x,B_k] :
            ( hBOOL(hAPP(V_P_2,B_x))
          <=> hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),B_k),V_d_2)))) )
       => ( ? [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
        <=> ? [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_x),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_d_2)))
              & hBOOL(hAPP(V_P_2,B_x)) ) ) ) ) )).

fof(fact_bset_I5_J,axiom,(
    ! [V_t_2,V_B_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ! [B_x] :
          ( ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
             => ! [B_xb] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_B_2))
                 => B_x != hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_xb),B_xa) ) )
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_x),V_t_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_x),V_D_2)),V_t_2)) ) ) ) )).

fof(fact_aset_I7_J,axiom,(
    ! [V_t_2,V_A_2,V_D_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_D_2))
     => ! [B_x] :
          ( ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xa),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),V_D_2)))
             => ! [B_xb] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_xb),V_A_2))
                 => B_x != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),B_xb),B_xa) ) )
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_t_2),B_x))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_t_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_x),V_D_2))) ) ) ) )).

fof(fact_ivl__disj__un_I19_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_m_2,V_u_2)) = c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2) ) ) ) )).

fof(fact_ivl__disj__un_I4_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_u_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2) ) ) )).

fof(fact_ivl__disj__un_I5_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_l_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2) ) ) )).

fof(fact_image__atLeastZeroLessThan__int,axiom,(
    ! [V_u_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_u_2))
     => hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_u_2) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),hAPP(c_Int_Onat,V_u_2))) ) )).

fof(fact_zero__less__imp__eq__int,axiom,(
    ! [V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k))
     => ? [B_n] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),B_n))
          & V_k = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),B_n) ) ) )).

fof(fact_finite__greaterThanAtMost,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Nat_Onat,V_l_2,V_u_2))) )).

fof(fact_finite__greaterThanAtMost__int,axiom,(
    ! [V_u_2,V_l_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Int_Oint,V_l_2,V_u_2))) )).

fof(fact_nat__int,axiom,(
    ! [V_n] : hAPP(c_Int_Onat,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)) = V_n )).

fof(fact_card__greaterThanAtMost__int,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Int_Oint),c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Int_Oint,V_l_2,V_u_2)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_u_2),V_l_2)) )).

fof(fact_transfer__nat__int__numerals_I1_J,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Nat_Onat) = hAPP(c_Int_Onat,c_Groups_Ozero__class_Ozero(tc_Int_Oint)) )).

fof(fact_nat__0,axiom,(
    hAPP(c_Int_Onat,c_Groups_Ozero__class_Ozero(tc_Int_Oint)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_ex__nat,axiom,(
    ! [V_P_2] :
      ( ? [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x))
          & hBOOL(hAPP(V_P_2,hAPP(c_Int_Onat,B_x))) ) ) )).

fof(fact_all__nat,axiom,(
    ! [V_P_2] :
      ( ! [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x))
         => hBOOL(hAPP(V_P_2,hAPP(c_Int_Onat,B_x))) ) ) )).

fof(fact_transfer__nat__int__relations_I1_J,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y_2))
       => ( hAPP(c_Int_Onat,V_x_2) = hAPP(c_Int_Onat,V_y_2)
        <=> V_x_2 = V_y_2 ) ) ) )).

fof(fact_eq__nat__nat__iff,axiom,(
    ! [V_z_H_2,V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_H_2))
       => ( hAPP(c_Int_Onat,V_z_2) = hAPP(c_Int_Onat,V_z_H_2)
        <=> V_z_2 = V_z_H_2 ) ) ) )).

fof(fact_transfer__nat__int__numerals_I2_J,axiom,(
    c_Groups_Oone__class_Oone(tc_Nat_Onat) = hAPP(c_Int_Onat,c_Groups_Oone__class_Oone(tc_Int_Oint)) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__set__functions_I4_J,axiom,(
    ! [V_B_2,V_A_2] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_Int_Oint,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_B_2))) )).

fof(fact_transfer__int__nat__set__return__embed,axiom,(
    ! [V_A_2] : hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)) = V_A_2 )).

fof(fact_transfer__nat__int__sum__prod_I2_J,axiom,(
    ! [V_A_2,V_f_2,T_a] :
      ( ( class_Groups_Ocomm__monoid__add(T_a)
        & class_Groups_Ocomm__monoid__mult(T_a) )
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_Nat_Onat,T_a),V_f_2),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_Int_Oint,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Int_Oint),V_f_2),c_Int_Onat)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)) ) )).

fof(fact_greaterThanAtMost__empty,axiom,(
    ! [V_k_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_k_2))
       => c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_k_2,V_l_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_greaterThanAtMost__empty__iff,axiom,(
    ! [V_l_2,V_k_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_k_2,V_l_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
      <=> ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_k_2),V_l_2)) ) ) )).

fof(fact_greaterThanAtMost__empty__iff2,axiom,(
    ! [V_l_2,V_k_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_k_2,V_l_2)
      <=> ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_k_2),V_l_2)) ) ) )).

fof(fact_ivl__disj__un_I20_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_m_2,V_u_2)) = c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2) ) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__set__functions_I2_J,axiom,(
    c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) = hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),c_Orderings_Obot__class_Obot(tc_fun(tc_Int_Oint,tc_HOL_Obool))) )).

fof(fact_ivl__disj__int_I14_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_m_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_atLeastSucAtMost__greaterThanAtMost,axiom,(
    ! [V_u_2,V_l_2] : c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_l_2),V_u_2) = c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Nat_Onat,V_l_2,V_u_2) )).

fof(fact_nat__0__iff,axiom,(
    ! [V_i_2] :
      ( hAPP(c_Int_Onat,V_i_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_nat__le__0,axiom,(
    ! [V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => hAPP(c_Int_Onat,V_z) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_nat__mono__iff,axiom,(
    ! [V_w_2,V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onat,V_w_2)),hAPP(c_Int_Onat,V_z_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2)) ) ) )).

fof(fact_zless__nat__conj,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onat,V_w_2)),hAPP(c_Int_Onat,V_z_2)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2)) ) ) )).

fof(fact_transfer__nat__int__relations_I3_J,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Int_Onat,V_x_2)),hAPP(c_Int_Onat,V_y_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_x_2),V_y_2)) ) ) ) )).

fof(fact_nat__1,axiom,(
    hAPP(c_Int_Onat,c_Groups_Oone__class_Oone(tc_Int_Oint)) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_int__nat__eq,axiom,(
    ! [V_z] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
       => hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onat,V_z)) = V_z )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
       => hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onat,V_z)) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) ) )).

fof(fact_int__eq__iff,axiom,(
    ! [V_z_2,V_m_2] :
      ( hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2) = V_z_2
    <=> ( V_m_2 = hAPP(c_Int_Onat,V_z_2)
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2)) ) ) )).

fof(fact_nat__0__le,axiom,(
    ! [V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onat,V_z)) = V_z ) )).

fof(fact_zless__nat__eq__int__zless,axiom,(
    ! [V_z_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),hAPP(c_Int_Onat,V_z_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2)),V_z_2)) ) )).

fof(fact_card__greaterThanAtMost,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Nat_Onat,V_l_2,V_u_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_u_2),V_l_2) )).

fof(fact_SetInterval_Otransfer__nat__int__set__functions_I2_J,axiom,(
    ! [V_n_2,V_m_2] : c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2) = hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2))) )).

fof(fact_transfer__nat__int__sum__prod_I1_J,axiom,(
    ! [V_A_2,V_f_2,T_a] :
      ( ( class_Groups_Ocomm__monoid__add(T_a)
        & class_Groups_Ocomm__monoid__mult(T_a) )
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Int_Oint,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Int_Oint),V_f_2),c_Int_Onat)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)) ) )).

fof(fact_card__atLeastZeroLessThan__int,axiom,(
    ! [V_u_2] : hAPP(c_Finite__Set_Ocard(tc_Int_Oint),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_u_2)) = hAPP(c_Int_Onat,V_u_2) )).

fof(fact_card__atLeastLessThan__int,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Int_Oint),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,V_l_2),V_u_2)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_u_2),V_l_2)) )).

fof(fact_zero__less__nat__eq,axiom,(
    ! [V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Int_Onat,V_z_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2)) ) )).

fof(fact_transfer__nat__int__relations_I2_J,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onat,V_x_2)),hAPP(c_Int_Onat,V_y_2)))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_x_2),V_y_2)) ) ) ) )).

fof(fact_nat__less__eq__zless,axiom,(
    ! [V_z_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_w_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onat,V_w_2)),hAPP(c_Int_Onat,V_z_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2)) ) ) )).

fof(fact_nat__eq__iff,axiom,(
    ! [V_m_2,V_w_2] :
      ( hAPP(c_Int_Onat,V_w_2) = V_m_2
    <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_w_2))
         => V_w_2 = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_w_2))
         => V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) ) )).

fof(fact_nat__eq__iff2,axiom,(
    ! [V_w_2,V_m_2] :
      ( V_m_2 = hAPP(c_Int_Onat,V_w_2)
    <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_w_2))
         => V_w_2 = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_w_2))
         => V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) ) )).

fof(fact_nat__le__eq__zle,axiom,(
    ! [V_z_2,V_w_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_w_2))
        | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2)) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Int_Onat,V_w_2)),hAPP(c_Int_Onat,V_z_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w_2),V_z_2)) ) ) )).

fof(fact_split__nat,axiom,(
    ! [V_i_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,hAPP(c_Int_Onat,V_i_2)))
    <=> ( ! [B_n] :
            ( V_i_2 = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),B_n)
           => hBOOL(hAPP(V_P_2,B_n)) )
        & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_i_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) ) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__functions_I1_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onat,V_x)),hAPP(c_Int_Onat,V_y)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x),V_y)) ) ) )).

fof(fact_nat__add__distrib,axiom,(
    ! [V_z_H,V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_H))
       => hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z),V_z_H)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onat,V_z)),hAPP(c_Int_Onat,V_z_H)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__functions_I2_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onat,V_x)),hAPP(c_Int_Onat,V_y)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_x),V_y)) ) ) )).

fof(fact_nat__mult__distrib,axiom,(
    ! [V_z_H,V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
     => hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z),V_z_H)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onat,V_z)),hAPP(c_Int_Onat,V_z_H)) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__set__functions_I3_J,axiom,(
    ! [V_B_2,V_A_2] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Int_Oint,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_A_2)),hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_B_2))) )).

fof(fact_nat__diff__distrib,axiom,(
    ! [V_z,V_z_H] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_H))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z_H),V_z))
       => hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_z),V_z_H)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onat,V_z)),hAPP(c_Int_Onat,V_z_H)) ) ) )).

fof(fact_transfer__nat__int__sum__prod2_I1_J,axiom,(
    ! [V_A_2,V_f_2,T_a] : hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2) = hAPP(c_Int_Onat,hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Int_Oint,T_a),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_f_2)),V_A_2)) )).

fof(fact_Divides_Otransfer__nat__int__functions_I2_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Int_Onat,V_x),hAPP(c_Int_Onat,V_y)) = hAPP(c_Int_Onat,c_Divides_Odiv__class_Omod(tc_Int_Oint,V_x,V_y)) ) ) )).

fof(fact_nat__mod__distrib,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hAPP(c_Int_Onat,c_Divides_Odiv__class_Omod(tc_Int_Oint,V_x,V_y)) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Int_Onat,V_x),hAPP(c_Int_Onat,V_y)) ) ) )).

fof(fact_Divides_Otransfer__nat__int__functions_I1_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Int_Onat,V_x)),hAPP(c_Int_Onat,V_y)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_x),V_y)) ) ) )).

fof(fact_nat__div__distrib,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => hAPP(c_Int_Onat,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_x),V_y)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Int_Onat,V_x)),hAPP(c_Int_Onat,V_y)) ) )).

fof(fact_ivl__disj__un_I22_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_m_2,V_u_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2) ) ) ) )).

fof(fact_atLeastPlusOneAtMost__greaterThanAtMost__int,axiom,(
    ! [V_u_2,V_l_2] : c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_l_2),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_u_2) = c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Int_Oint,V_l_2,V_u_2) )).

fof(fact_ivl__disj__int_I16_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_m_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__functions_I4_J,axiom,(
    ! [V_n,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Int_Onat,V_x)),V_n) = hAPP(c_Int_Onat,hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),V_n)) ) )).

fof(fact_nat__power__eq,axiom,(
    ! [V_n,V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
     => hAPP(c_Int_Onat,hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_z),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Int_Onat,V_z)),V_n) ) )).

fof(fact_transfer__nat__int__sum__prod2_I2_J,axiom,(
    ! [V_A_2,V_f_2,T_a] : hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Nat_Onat),V_f_2),V_A_2) = hAPP(c_Int_Onat,hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Int_Oint,T_a),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_f_2)),V_A_2)) )).

fof(fact_ivl__disj__int_I10_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_m_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__functions_I3_J,axiom,(
    ! [V_y,V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_y))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onat,V_x)),hAPP(c_Int_Onat,V_y)) = hAPP(c_Int_Onat,c_Nat__Transfer_Otsub(V_x,V_y)) ) ) )).

fof(fact_one__less__nat__eq,axiom,(
    ! [V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),hAPP(c_Int_Onat,V_z_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_z_2)) ) )).

fof(fact_nat__less__iff,axiom,(
    ! [V_m_2,V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_w_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onat,V_w_2)),V_m_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2))) ) ) )).

fof(fact_Suc__nat__eq__nat__zadd1,axiom,(
    ! [V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
     => hAPP(c_Nat_OSuc,hAPP(c_Int_Onat,V_z)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_z)) ) )).

fof(fact_card__atLeastAtMost__int,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Int_Oint),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_l_2,V_u_2)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_u_2),V_l_2)),c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_ivl__disj__un_I16_J,axiom,(
    ! [V_u_2,V_m_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_m_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_m_2),V_u_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_m_2)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_m_2,V_u_2)) = c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2) ) ) ) )).

fof(fact_setsum__head,axiom,(
    ! [V_P_2,V_n_2,V_m_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_P_2),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_m_2,V_n_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(V_P_2,V_m_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_P_2),c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Nat_Onat,V_m_2,V_n_2))) ) ) )).

fof(fact_card__greaterThanLessThan__int,axiom,(
    ! [V_u_2,V_l_2] : hAPP(c_Finite__Set_Ocard(tc_Int_Oint),c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Int_Oint,V_l_2,V_u_2)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_u_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_l_2),c_Groups_Oone__class_Oone(tc_Int_Oint)))) )).

fof(fact_nat__aux__def,axiom,(
    ! [V_n,V_i] : c_Int_Onat__aux(V_i,V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onat,V_i)),V_n) )).

fof(fact_transfer__morphism__nat__int,axiom,(
    c_Nat__Transfer_Otransfer__morphism(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat,hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_SetInterval_Otransfer__int__nat__set__functions,axiom,(
    ! [V_n_2,V_m_2] :
      ( c_Nat__Transfer_Ois__nat(V_m_2)
     => ( c_Nat__Transfer_Ois__nat(V_n_2)
       => c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_m_2,V_n_2) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,hAPP(c_Int_Onat,V_m_2),hAPP(c_Int_Onat,V_n_2))) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__functions_I3_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( c_Nat__Transfer_Onat__set(V_B_2)
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Int_Oint,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_B_2))) ) ) )).

fof(fact_transfer__int__nat__set__relations_I4_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( c_Nat__Transfer_Onat__set(V_B_2)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(tc_Int_Oint,tc_HOL_Obool)),V_A_2),V_B_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_B_2))) ) ) ) )).

fof(fact_ivl__disj__un_I7_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_l_2)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2)) = hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_u_2) ) ) )).

fof(fact_finite__atMost,axiom,(
    ! [V_k_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_k_2))) )).

fof(fact_SetInterval_Otransfer__int__nat__set__function__closures,axiom,(
    ! [V_y_2,V_x_2] :
      ( c_Nat__Transfer_Ois__nat(V_x_2)
     => c_Nat__Transfer_Onat__set(c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_x_2,V_y_2)) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__function__closures_I6_J,axiom,(
    ! [V_x_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),V_x_2),V_A_2))
       => c_Nat__Transfer_Ois__nat(V_x_2) ) ) )).

fof(fact_atMost__eq__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_x_2) = hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__function__closures_I3_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( c_Nat__Transfer_Onat__set(V_B_2)
       => c_Nat__Transfer_Onat__set(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_Int_Oint,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__function__closures_I2_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( c_Nat__Transfer_Onat__set(V_B_2)
       => c_Nat__Transfer_Onat__set(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_Int_Oint,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_transfer__int__nat__set__relations_I3_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( c_Nat__Transfer_Onat__set(V_B_2)
       => ( V_A_2 = V_B_2
        <=> hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2) = hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_B_2) ) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I5_J,axiom,(
    c_Nat__Transfer_Ois__nat(c_Groups_Ozero__class_Ozero(tc_Int_Oint)) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I1_J,axiom,(
    ! [V_y,V_x] :
      ( c_Nat__Transfer_Ois__nat(V_x)
     => ( c_Nat__Transfer_Ois__nat(V_y)
       => c_Nat__Transfer_Ois__nat(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x),V_y)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I9_J,axiom,(
    ! [V_z] : c_Nat__Transfer_Ois__nat(hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_z)) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I6_J,axiom,(
    c_Nat__Transfer_Ois__nat(c_Groups_Oone__class_Oone(tc_Int_Oint)) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I2_J,axiom,(
    ! [V_y,V_x] :
      ( c_Nat__Transfer_Ois__nat(V_x)
     => ( c_Nat__Transfer_Ois__nat(V_y)
       => c_Nat__Transfer_Ois__nat(hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_x),V_y)) ) ) )).

fof(fact_Divides_Otransfer__int__nat__function__closures_I2_J,axiom,(
    ! [V_y,V_x] :
      ( c_Nat__Transfer_Ois__nat(V_x)
     => ( c_Nat__Transfer_Ois__nat(V_y)
       => c_Nat__Transfer_Ois__nat(c_Divides_Odiv__class_Omod(tc_Int_Oint,V_x,V_y)) ) ) )).

fof(fact_Divides_Otransfer__int__nat__function__closures_I1_J,axiom,(
    ! [V_y,V_x] :
      ( c_Nat__Transfer_Ois__nat(V_x)
     => ( c_Nat__Transfer_Ois__nat(V_y)
       => c_Nat__Transfer_Ois__nat(hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_x),V_y)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I4_J,axiom,(
    ! [V_n,V_x] :
      ( c_Nat__Transfer_Ois__nat(V_x)
     => c_Nat__Transfer_Ois__nat(hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_x),V_n)) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I3_J,axiom,(
    ! [V_y,V_x] :
      ( c_Nat__Transfer_Ois__nat(V_x)
     => ( c_Nat__Transfer_Ois__nat(V_y)
       => c_Nat__Transfer_Ois__nat(c_Nat__Transfer_Otsub(V_x,V_y)) ) ) )).

fof(fact_transfer__int__nat__set__relations_I2_J,axiom,(
    ! [V_A_2,V_x_2] :
      ( c_Nat__Transfer_Ois__nat(V_x_2)
     => ( c_Nat__Transfer_Onat__set(V_A_2)
       => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),V_x_2),V_A_2))
        <=> hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),hAPP(c_Int_Onat,V_x_2)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2))) ) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__function__closures_I1_J,axiom,(
    c_Nat__Transfer_Onat__set(c_Orderings_Obot__class_Obot(tc_fun(tc_Int_Oint,tc_HOL_Obool))) )).

fof(fact_nat__set__def,axiom,(
    ! [V_S_2] :
      ( c_Nat__Transfer_Onat__set(V_S_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),B_x),V_S_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x)) ) ) )).

fof(fact_atLeast0AtMost,axiom,(
    ! [V_n_2] : c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_n_2) = hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_n_2) )).

fof(fact_is__nat__def,axiom,(
    ! [V_x_2] :
      ( c_Nat__Transfer_Ois__nat(V_x_2)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x_2)) ) )).

fof(fact_lessThan__Suc__atMost,axiom,(
    ! [V_k_2] : hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)) = hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_k_2) )).

fof(fact_card__atMost,axiom,(
    ! [V_u_2] : hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_u_2)) = hAPP(c_Nat_OSuc,V_u_2) )).

fof(fact_atMost__Suc,axiom,(
    ! [V_k_2] : hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_k_2)) )).

fof(fact_atMost__iff,axiom,(
    ! [V_k_2,V_i_2,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_k_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_i_2),V_k_2)) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__function__closures_I5_J,axiom,(
    ! [V_C_2] : c_Nat__Transfer_Onat__set(hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_C_2)) )).

fof(fact_atMost__subset__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_x_2)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2)) ) ) )).

fof(fact_transfer__int__nat__sum__prod_I2_J,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( ( class_Groups_Ocomm__monoid__add(T_a)
        & class_Groups_Ocomm__monoid__mult(T_a) )
     => ( c_Nat__Transfer_Onat__set(V_A_2)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_Int_Oint,T_a),V_f_2),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(tc_Int_Oint,T_a,tc_Nat_Onat),V_f_2),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint))),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)) ) ) )).

fof(fact_SetInterval_Otransfer__nat__int__set__function__closures,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x_2))
     => c_Nat__Transfer_Onat__set(c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_x_2,V_y_2)) ) )).

fof(fact_transfer__nat__int__set__return__embed,axiom,(
    ! [V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)) = V_A_2 ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__functions_I4_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( c_Nat__Transfer_Onat__set(V_B_2)
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_Int_Oint,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_B_2))) ) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__set__function__closures_I6_J,axiom,(
    ! [V_x_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_Int_Oint),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x_2)) ) ) )).

fof(fact_setsum__atMost__Suc,axiom,(
    ! [V_n_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_n_2))),hAPP(V_f_2,hAPP(c_Nat_OSuc,V_n_2))) ) )).

fof(fact_atMost__0,axiom,(
    hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) )).

fof(fact_transfer__int__nat__sum__prod_I1_J,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( ( class_Groups_Ocomm__monoid__add(T_a)
        & class_Groups_Ocomm__monoid__mult(T_a) )
     => ( c_Nat__Transfer_Onat__set(V_A_2)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Int_Oint,T_a),V_f_2),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(tc_Int_Oint,T_a,tc_Nat_Onat),V_f_2),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint))),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)) ) ) )).

fof(fact_ivl__disj__un_I9_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_l_2)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2)) = hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_u_2) ) ) )).

fof(fact_ivl__disj__int_I3_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_l_2)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_ivl__disj__int_I1_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_l_2)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_transfer__int__nat__set__relations_I1_J,axiom,(
    ! [V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),V_A_2))
      <=> hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2))) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__functions_I1_J,axiom,(
    ! [V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => hAPP(c_Finite__Set_Ocard(tc_Int_Oint),V_A_2) = hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)) ) )).

fof(fact_SetInterval_Otransfer__nat__int__set__functions_I1_J,axiom,(
    ! [V_n_2] : hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_n_2) = hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,c_Groups_Ozero__class_Ozero(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2))) )).

fof(fact_ivl__disj__un_I2_J,axiom,(
    ! [V_u_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_u_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_u_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_u_2) ) )).

fof(fact_ivl__disj__un_I10_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_l_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2)) = hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_u_2) ) ) )).

fof(fact_transfer__int__nat__set__relations_I5_J,axiom,(
    ! [V_B_2,V_A_2] :
      ( c_Nat__Transfer_Onat__set(V_A_2)
     => ( c_Nat__Transfer_Onat__set(V_B_2)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Int_Oint,tc_HOL_Obool)),V_A_2),V_B_2))
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_A_2)),hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),V_B_2))) ) ) ) )).

fof(fact_transfer__int__nat__sum__prod2_I2_J,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => c_Nat__Transfer_Ois__nat(hAPP(V_f_2,B_x)) )
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Int_Oint),V_f_2),V_A_2) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_Nat_Onat,T_a),c_Int_Onat),V_f_2)),V_A_2)) ) )).

fof(fact_transfer__int__nat__sum__prod2_I1_J,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => c_Nat__Transfer_Ois__nat(hAPP(V_f_2,B_x)) )
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Int_Oint),V_f_2),V_A_2) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_Nat_Onat,T_a),c_Int_Onat),V_f_2)),V_A_2)) ) )).

fof(fact_atMost__Int__atLeast,axiom,(
    ! [V_n_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_n_2)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_n_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_n_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) ) )).

fof(fact_transfer__nat__int__sum__prod__cong_I2_J,axiom,(
    ! [V_g_2,V_f_2,V_B_2,V_A_2,T_a] :
      ( ( class_Groups_Ocomm__monoid__add(T_a)
        & class_Groups_Ocomm__monoid__mult(T_a) )
     => ( V_A_2 = V_B_2
       => ( c_Nat__Transfer_Onat__set(V_B_2)
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x))
               => hAPP(V_f_2,B_x) = hAPP(V_g_2,B_x) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_Int_Oint,T_a),V_f_2),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_Int_Oint,T_a),V_g_2),V_B_2) ) ) ) ) )).

fof(fact_decr__lemma,axiom,(
    ! [V_z,V_x,V_d] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_d))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),V_z))),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_d))),V_z)) ) )).

fof(fact_setsum__abs,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),c_Groups_Oabs__class_Oabs(T_a)),V_f_2)),V_A_2))) ) )).

fof(fact_setsum__abs__ge__zero,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),c_Groups_Oabs__class_Oabs(T_a)),V_f_2)),V_A_2))) ) )).

fof(fact_abs__add__abs,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)) ) )).

fof(fact_abs__mult__self,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_a) ) )).

fof(fact_abs__mult,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)) ) )).

fof(fact_abs__minus__commute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b)) = hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_b),V_a)) ) )).

fof(fact_abs__one,axiom,(
    ! [T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),c_Groups_Oone__class_Oone(T_a)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_atLeast__eq__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_x_2) = hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_abs__idempotent,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)) = hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) ) )).

fof(fact_abs__eq__0,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_abs__zero,axiom,(
    ! [T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),c_Groups_Ozero__class_Ozero(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_abs__le__D1,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b)) ) ) )).

fof(fact_abs__ge__self,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a))) ) )).

fof(fact_abs__of__nat,axiom,(
    ! [V_n,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n) ) )).

fof(fact_power__abs,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),V_n) ) )).

fof(fact_abs__divide,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)) ) )).

fof(fact_abs__int__eq,axiom,(
    ! [V_m] : hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m) )).

fof(fact_abs__setsum__abs,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),c_Groups_Oabs__class_Oabs(T_a)),V_f_2)),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),c_Groups_Oabs__class_Oabs(T_a)),V_f_2)),V_A_2) ) )).

fof(fact_abs__setprod,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),c_Groups_Oabs__class_Oabs(T_a)),V_f_2)),V_A_2) ) )).

fof(fact_abs__ge__zero,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a))) ) )).

fof(fact_abs__le__zero__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_abs__of__nonneg,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) = V_a ) ) )).

fof(fact_abs__not__less__zero,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_zero__less__abs__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a_2)))
      <=> V_a_2 != c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_abs__of__pos,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) = V_a ) ) )).

fof(fact_abs__triangle__ineq,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b))),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)))) ) )).

fof(fact_abs__mult__less,axiom,(
    ! [V_d,V_b,V_c,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),V_c))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c),V_d))) ) ) ) )).

fof(fact_abs__triangle__ineq3,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)))),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b)))) ) )).

fof(fact_abs__triangle__ineq2,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b))),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b)))) ) )).

fof(fact_abs__triangle__ineq2__sym,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b))),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_b),V_a)))) ) )).

fof(fact_nonzero__abs__divide,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Fields_Olinordered__field(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)) ) ) )).

fof(fact_abs__zmult__eq__1,axiom,(
    ! [V_n,V_m] :
      ( hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_m),V_n)) = c_Groups_Oone__class_Oone(tc_Int_Oint)
     => hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_m) = c_Groups_Oone__class_Oone(tc_Int_Oint) ) )).

fof(fact_abs__mult__pos,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_y)),V_x) = hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_y),V_x)) ) ) )).

fof(fact_abs__eq__mult,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oordered__ring__abs(T_a)
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a))) )
          & ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_b))
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),c_Groups_Ozero__class_Ozero(T_a))) ) )
       => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)) ) ) )).

fof(fact_abs__triangle__ineq4,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b))),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_b)))) ) )).

fof(fact_abs__diff__triangle__ineq,axiom,(
    ! [V_d,V_c,V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_c),V_d)))),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_c))),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_b),V_d))))) ) )).

fof(fact_zero__le__power__abs,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),V_n))) ) )).

fof(fact_abs__div__pos,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Fields_Olinordered__field__inverse__zero(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
       => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_x)),V_y) = hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),V_y)) ) ) )).

fof(fact_atLeast__iff,axiom,(
    ! [V_k_2,V_i_2,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_k_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_k_2),V_i_2)) ) ) )).

fof(fact_zabs__less__one__iff,axiom,(
    ! [V_z_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_z_2)),c_Groups_Oone__class_Oone(tc_Int_Oint)))
    <=> V_z_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) )).

fof(fact_nat__abs__mult__distrib,axiom,(
    ! [V_z,V_w] : hAPP(c_Int_Onat,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),V_z))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onat,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_w))),hAPP(c_Int_Onat,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_z))) )).

fof(fact_atLeast__subset__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_x_2)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_x_2)) ) ) )).

fof(fact_zero__le__zpower__abs,axiom,(
    ! [V_n,V_x] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_x)),V_n))) )).

fof(fact_zero__less__zpower__abs__iff,axiom,(
    ! [V_n_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_x_2)),V_n_2)))
    <=> ( V_x_2 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
        | V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_ivl__disj__un_I14_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_u_2)) = hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_l_2) ) ) )).

fof(fact_ivl__disj__int_I8_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_l_2),V_u_2)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_ivl__disj__int_I6_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_atLeast__Suc,axiom,(
    ! [V_k_2] : hAPP(c_SetInterval_Oord__class_OatLeast(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeast(tc_Nat_Onat),V_k_2)),hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),V_k_2),c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)))) )).

fof(fact_incr__lemma,axiom,(
    ! [V_x,V_z,V_d] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_d))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_z),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_x),V_z))),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_d)))) ) )).

fof(fact_ivl__disj__un_I12_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_l_2,V_u_2)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_u_2)) = hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_l_2) ) ) )).

fof(fact_Nitpick_Oint__lcm__def,axiom,(
    ! [V_y,V_x] : c_Nitpick_Oint__lcm(V_x,V_y) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Nitpick_Onat__lcm(hAPP(c_Int_Onat,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_x)),hAPP(c_Int_Onat,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_y)))) )).

fof(fact_ivl__disj__un_I13_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_u_2)) = hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_l_2) ) ) )).

fof(fact_ivl__disj__un_I1_J,axiom,(
    ! [V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_l_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_l_2)) = hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_l_2) ) )).

fof(fact_transfer__nat__int__sum__prod__cong_I1_J,axiom,(
    ! [V_g_2,V_f_2,V_B_2,V_A_2,T_a] :
      ( ( class_Groups_Ocomm__monoid__add(T_a)
        & class_Groups_Ocomm__monoid__mult(T_a) )
     => ( V_A_2 = V_B_2
       => ( c_Nat__Transfer_Onat__set(V_B_2)
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x))
               => hAPP(V_f_2,B_x) = hAPP(V_g_2,B_x) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Int_Oint,T_a),V_f_2),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Int_Oint,T_a),V_g_2),V_B_2) ) ) ) ) )).

fof(fact_greaterThan__eq__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_x_2) = hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_atLeast__Suc__greaterThan,axiom,(
    ! [V_k_2] : hAPP(c_SetInterval_Oord__class_OatLeast(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)) = hAPP(c_SetInterval_Oord__class_OgreaterThan(tc_Nat_Onat),V_k_2) )).

fof(fact_greaterThan__iff,axiom,(
    ! [V_k_2,V_i_2,T_a] :
      ( class_Orderings_Oord(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_k_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_k_2),V_i_2)) ) ) )).

fof(fact_greaterThan__subset__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_x_2)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_x_2)) ) ) )).

fof(fact_ivl__disj__int_I7_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_l_2,V_u_2)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_ivl__disj__un_I11_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_l_2),V_u_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_u_2)) = hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_l_2) ) ) )).

fof(fact_ivl__disj__int_I5_J,axiom,(
    ! [V_u_2,V_l_2,T_a] :
      ( class_Orderings_Oorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_l_2,V_u_2)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_u_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_greaterThan__Suc,axiom,(
    ! [V_k_2] : hAPP(c_SetInterval_Oord__class_OgreaterThan(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OgreaterThan(tc_Nat_Onat),V_k_2)),hAPP(hAPP(c_Set_Oinsert(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_k_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)))) )).

fof(fact_Nitpick_Onat__lcm__def,axiom,(
    ! [V_y,V_x] : c_Nitpick_Onat__lcm(V_x,V_y) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_x),V_y)),c_Nitpick_Onat__gcd(V_x,V_y)) )).

fof(fact_int__val__lemma,axiom,(
    ! [V_k_2,V_f_2,V_n_2] :
      ( ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),V_n_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(V_f_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),B_i),c_Groups_Oone__class_Oone(tc_Nat_Onat)))),hAPP(V_f_2,B_i)))),c_Groups_Oone__class_Oone(tc_Int_Oint))) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(V_f_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_k_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),hAPP(V_f_2,V_n_2)))
         => ? [B_i] :
              ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_i),V_n_2))
              & hAPP(V_f_2,B_i) = V_k_2 ) ) ) ) )).

fof(fact_nat0__intermed__int__val,axiom,(
    ! [V_k_2,V_f_2,V_n_2] :
      ( ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),V_n_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(V_f_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),B_i),c_Groups_Oone__class_Oone(tc_Nat_Onat)))),hAPP(V_f_2,B_i)))),c_Groups_Oone__class_Oone(tc_Int_Oint))) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(V_f_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_k_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),hAPP(V_f_2,V_n_2)))
         => ? [B_i] :
              ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_i),V_n_2))
              & hAPP(V_f_2,B_i) = V_k_2 ) ) ) ) )).

fof(fact_card__less__Suc2,axiom,(
    ! [V_i_2,V_M_2] :
      ( ~ hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_M_2))
     => hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),tc_Nat_Onat),c_member(tc_Nat_Onat)),c_Nat_OSuc)),V_M_2))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),V_i_2)))) = hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),c_member(tc_Nat_Onat)),V_M_2))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(c_Nat_OSuc,V_i_2))))) ) )).

fof(fact_card__less,axiom,(
    ! [V_i_2,V_M_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_M_2))
     => hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),c_member(tc_Nat_Onat)),V_M_2))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(c_Nat_OSuc,V_i_2))))) != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_CollectI,axiom,(
    ! [T_a,V_a_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_a_2))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Set_OCollect(T_a),V_P_2))) ) )).

fof(fact_finite__Collect__conjI,axiom,(
    ! [V_Q_2,V_P_2,T_a] :
      ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),V_P_2)))
        | hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),V_Q_2))) )
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2)),V_Q_2)))) ) )).

fof(fact_finite__Collect__less__nat,axiom,(
    ! [V_k_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),V_k_2)))) )).

fof(fact_finite__Collect__le__nat,axiom,(
    ! [V_k_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat)),V_k_2)))) )).

fof(fact_Collect__empty__eq,axiom,(
    ! [V_P_2,T_a] :
      ( hAPP(c_Set_OCollect(T_a),V_P_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> ! [B_x] : ~ hBOOL(hAPP(V_P_2,B_x)) ) )).

fof(fact_empty__Collect__eq,axiom,(
    ! [V_P_2,T_a] :
      ( c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = hAPP(c_Set_OCollect(T_a),V_P_2)
    <=> ! [B_x] : ~ hBOOL(hAPP(V_P_2,B_x)) ) )).

fof(fact_Collect__def,axiom,(
    ! [V_P_2,T_a] : hAPP(c_Set_OCollect(T_a),V_P_2) = V_P_2 )).

fof(fact_Collect__mem__eq,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)) = V_A_2 )).

fof(fact_mem__Collect__eq,axiom,(
    ! [V_P_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Set_OCollect(T_a),V_P_2)))
    <=> hBOOL(hAPP(V_P_2,V_a_2)) ) )).

fof(fact_CollectD,axiom,(
    ! [V_P_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Set_OCollect(T_a),V_P_2)))
     => hBOOL(hAPP(V_P_2,V_a_2)) ) )).

fof(fact_CollectE,axiom,(
    ! [V_P_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Set_OCollect(T_a),V_P_2)))
     => hBOOL(hAPP(V_P_2,V_a_2)) ) )).

fof(fact_empty__def,axiom,(
    ! [T_a] : c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = hAPP(c_Set_OCollect(T_a),hAPP(c_COMBK(tc_HOL_Obool,T_a),c_fFalse)) )).

fof(fact_finite__Collect__disjI,axiom,(
    ! [V_Q_2,V_P_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fdisj),V_P_2)),V_Q_2))))
    <=> ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),V_P_2)))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),V_Q_2))) ) ) )).

fof(fact_insert__Collect,axiom,(
    ! [V_P_2,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(c_Set_OCollect(T_a),V_P_2)) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fimplies),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2)))),V_P_2)) )).

fof(fact_Collect__disj__eq,axiom,(
    ! [V_Q_2,V_P_2,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fdisj),V_P_2)),V_Q_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(T_a),V_P_2)),hAPP(c_Set_OCollect(T_a),V_Q_2)) )).

fof(fact_Collect__conj__eq,axiom,(
    ! [V_Q_2,V_P_2,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2)),V_Q_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(T_a),V_P_2)),hAPP(c_Set_OCollect(T_a),V_Q_2)) )).

fof(fact_insert__compr,axiom,(
    ! [V_B_2,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fdisj),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))) )).

fof(fact_insert__compr__raw,axiom,(
    ! [V_B_2,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fdisj),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))) )).

fof(fact_Un__def,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fdisj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))) )).

fof(fact_Int__def,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))) )).

fof(fact_Int__Collect,axiom,(
    ! [V_P_2,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_OCollect(T_a),V_P_2))))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
        & hBOOL(hAPP(V_P_2,V_x_2)) ) ) )).

fof(fact_singleton__conv2,axiom,(
    ! [V_a_2,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(c_fequal,V_a_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_singleton__conv,axiom,(
    ! [V_a_2,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_Collect__conv__if2,axiom,(
    ! [T_a,V_a_2,V_P_2] :
      ( ( hBOOL(hAPP(V_P_2,V_a_2))
       => hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(c_fequal,V_a_2))),V_P_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )
      & ( ~ hBOOL(hAPP(V_P_2,V_a_2))
       => hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(c_fequal,V_a_2))),V_P_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_Collect__conv__if,axiom,(
    ! [T_a,V_a_2,V_P_2] :
      ( ( hBOOL(hAPP(V_P_2,V_a_2))
       => hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_P_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )
      & ( ~ hBOOL(hAPP(V_P_2,V_a_2))
       => hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_P_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_set__diff__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2)))) )).

fof(fact_insert__def,axiom,(
    ! [V_B_2,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_B_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_a_2))),V_B_2) )).

fof(fact_finite__M__bounded__by__nat,axiom,(
    ! [V_i_2,V_P_2] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),V_P_2)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),V_i_2))))) )).

fof(fact_setsum__setsum__restrict,axiom,(
    ! [V_R_2,V_f_2,V_T_2,T_b,V_S_2,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__add(T_c)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_T_2))
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_c),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),T_c),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_c),tc_fun(tc_fun(T_b,tc_HOL_Obool),T_c),T_a),c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_c)),V_f_2)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),c_Set_OCollect(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_b,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_b),c_fconj),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_T_2)))),V_R_2)))),V_S_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_c),hAPP(hAPP(c_COMBS(T_b,tc_fun(T_a,tc_HOL_Obool),T_c),hAPP(hAPP(c_COMBB(tc_fun(T_a,T_c),tc_fun(tc_fun(T_a,tc_HOL_Obool),T_c),T_b),c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_c)),hAPP(c_COMBC(T_a,T_b,T_c),V_f_2))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),c_Set_OCollect(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_S_2)))),hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),V_R_2))))),V_T_2) ) ) ) )).

fof(fact_if__image__distrib,axiom,(
    ! [V_S_2,V_g_2,V_f_2,V_P_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,hAPP(hAPP(c_COMBS(T_b,T_a,T_a),hAPP(hAPP(c_COMBS(T_b,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),T_b),c_If(T_a)),V_P_2)),V_f_2)),V_g_2)),V_S_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_S_2),hAPP(c_Set_OCollect(T_b),V_P_2)))),hAPP(c_Set_Oimage(T_b,T_a,V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_S_2),hAPP(c_Set_OCollect(T_b),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b),c_fNot),V_P_2))))) )).

fof(fact_nat__seg__image__imp__finite,axiom,(
    ! [V_n_2,V_f_2,T_a,V_A_2] :
      ( V_A_2 = hAPP(c_Set_Oimage(tc_Nat_Onat,T_a,V_f_2),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),V_n_2)))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) )).

fof(fact_setsum__restrict__set_H,axiom,(
    ! [V_B_2,V_f_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2)))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBC(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))),V_f_2)),c_Groups_Ozero__class_Ozero(T_b))),V_A_2) ) ) )).

fof(fact_setsum__image__gen,axiom,(
    ! [V_f_2,T_c,V_g_2,V_S_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),V_S_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_c,T_b),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),T_b,T_c),hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),c_Set_OCollect(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_S_2)))),hAPP(c_COMBC(T_a,T_c,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_c,tc_fun(T_c,tc_HOL_Obool),T_a),c_fequal),V_f_2)))))),hAPP(c_Set_Oimage(T_a,T_c,V_f_2),V_S_2)) ) ) )).

fof(fact_nat__gcd_Osimps,axiom,(
    ! [V_x,V_y] :
      ( ( V_y = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => c_Nitpick_Onat__gcd(V_x,V_y) = V_x )
      & ( V_y != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => c_Nitpick_Onat__gcd(V_x,V_y) = c_Nitpick_Onat__gcd(V_y,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_x,V_y)) ) ) )).

fof(fact_card__less__Suc,axiom,(
    ! [V_i_2,V_M_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_M_2))
     => hAPP(c_Nat_OSuc,hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),tc_Nat_Onat),c_member(tc_Nat_Onat)),c_Nat_OSuc)),V_M_2))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),V_i_2))))) = hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),c_member(tc_Nat_Onat)),V_M_2))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(c_Nat_OSuc,V_i_2))))) ) )).

fof(fact_dom__if,axiom,(
    ! [V_g_2,V_f_2,V_P_2,T_b,T_a] : c_Map_Odom(T_a,T_b,hAPP(hAPP(c_COMBS(T_a,tc_Option_Ooption(T_b),tc_Option_Ooption(T_b)),hAPP(hAPP(c_COMBS(T_a,tc_Option_Ooption(T_b),tc_fun(tc_Option_Ooption(T_b),tc_Option_Ooption(T_b))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Option_Ooption(T_b),tc_fun(tc_Option_Ooption(T_b),tc_Option_Ooption(T_b))),T_a),c_If(tc_Option_Ooption(T_b))),V_P_2)),V_f_2)),V_g_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Map_Odom(T_a,T_b,V_f_2)),hAPP(c_Set_OCollect(T_a),V_P_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Map_Odom(T_a,T_b,V_g_2)),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),V_P_2)))) )).

fof(fact_Nitpick_Oint__gcd__def,axiom,(
    ! [V_y,V_x] : hAPP(hAPP(c_Nitpick_Oint__gcd,V_x),V_y) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Nitpick_Onat__gcd(hAPP(c_Int_Onat,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_x)),hAPP(c_Int_Onat,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_y)))) )).

fof(fact_dom__override__on,axiom,(
    ! [V_A_2,V_g_2,V_f_2,T_b,T_a] : c_Map_Odom(T_a,T_b,c_Fun_Ooverride__on(T_a,tc_Option_Ooption(T_b),V_f_2,V_g_2,V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),c_Map_Odom(T_a,T_b,V_f_2)),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Map_Odom(T_a,T_b,V_g_2)))))),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Map_Odom(T_a,T_b,V_g_2))))) )).

fof(fact_setsum__multicount,axiom,(
    ! [V_k_2,V_R_2,V_T_2,T_b,V_S_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_T_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_T_2))
             => hAPP(c_Finite__Set_Ocard(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_S_2))),hAPP(hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),V_R_2),B_x)))) = V_k_2 )
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_Nat_Onat,T_a),c_Finite__Set_Ocard(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),c_Set_OCollect(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_b,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_b),c_fconj),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_T_2)))),V_R_2)))),V_S_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),hAPP(c_Finite__Set_Ocard(T_b),V_T_2)) ) ) ) )).

fof(fact_setsum__multicount__gen,axiom,(
    ! [V_k_2,V_R_2,V_t_2,T_b,V_s_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_s_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_t_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_t_2))
             => hAPP(c_Finite__Set_Ocard(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_s_2))),hAPP(hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),V_R_2),B_x)))) = hAPP(V_k_2,B_x) )
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_Nat_Onat,T_a),c_Finite__Set_Ocard(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),c_Set_OCollect(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_b,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_b),c_fconj),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_t_2)))),V_R_2)))),V_s_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,tc_Nat_Onat),V_k_2),V_t_2) ) ) ) )).

fof(fact_finite__Collect__subsets,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool))),V_A_2)))) ) )).

fof(fact_Pow__def,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Set_OPow(T_a),V_A_2) = hAPP(c_Set_OCollect(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool))),V_A_2)) )).

fof(fact_override__on__apply__in,axiom,(
    ! [V_g_2,V_f_2,T_b,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hAPP(c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,V_A_2),V_a_2) = hAPP(V_g_2,V_a_2) ) )).

fof(fact_override__on__apply__notin,axiom,(
    ! [V_g_2,V_f_2,T_b,V_A_2,V_a_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hAPP(c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,V_A_2),V_a_2) = hAPP(V_f_2,V_a_2) ) )).

fof(fact_override__on__emptyset,axiom,(
    ! [V_g_2,V_f_2,T_b,T_a] : c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = V_f_2 )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__function__closures_I4_J,axiom,(
    ! [V_P_2] : c_Nat__Transfer_Onat__set(hAPP(c_Set_OCollect(tc_Int_Oint),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))),V_P_2))) )).

fof(fact_override__on__def,axiom,(
    ! [V_g_2,V_f_2,T_b,V_A_2,V_a_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hAPP(c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,V_A_2),V_a_2) = hAPP(V_g_2,V_a_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hAPP(c_Fun_Ooverride__on(T_a,T_b,V_f_2,V_g_2,V_A_2),V_a_2) = hAPP(V_f_2,V_a_2) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__set__functions_I5_J,axiom,(
    ! [V_P_2] : hAPP(c_Set_OCollect(tc_Int_Oint),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))),V_P_2)) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_HOL_Obool,tc_Nat_Onat),V_P_2),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)))) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__set__functions_I5_J,axiom,(
    ! [V_P_2] : hAPP(c_Set_OCollect(tc_Nat_Onat),V_P_2) = hAPP(c_Set_Oimage(tc_Int_Oint,tc_Nat_Onat,c_Int_Onat),hAPP(c_Set_OCollect(tc_Int_Oint),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_Int_Oint),V_P_2),c_Int_Onat)))) )).

fof(fact_inf__Sup1__distrib,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)) = c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal)),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))))) ) ) ) )).

fof(fact_inf__Sup2__distrib,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OSup__fin(T_a,V_B_2)) = c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBS(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBB(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool),T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal))),c_Lattices_Osemilattice__inf__class_Oinf(T_a)))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))))))) ) ) ) ) ) )).

fof(fact_sup__Inf2__distrib,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_B_2)) = c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBS(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBB(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool),T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal))),c_Lattices_Osemilattice__sup__class_Osup(T_a)))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))))))) ) ) ) ) ) )).

fof(fact_sup__Inf1__distrib,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Odistrib__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2)) = c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal)),hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))))) ) ) ) )).

fof(fact_finite__conv__nat__seg__image,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
    <=> ? [B_n,B_f] : V_A_2 = hAPP(c_Set_Oimage(tc_Nat_Onat,T_a,B_f),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),B_n))) ) )).

fof(fact_finite__Collect__bounded__ex,axiom,(
    ! [V_Q_2,T_b,V_P_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),V_P_2)))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(c_Set_OCollect(T_b),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_b),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2))),V_Q_2)))))
      <=> ! [B_y] :
            ( hBOOL(hAPP(V_P_2,B_y))
           => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(c_Set_OCollect(T_b),hAPP(hAPP(c_COMBC(T_b,T_a,tc_HOL_Obool),V_Q_2),B_y)))) ) ) ) )).

fof(fact_finite__image__set,axiom,(
    ! [V_f_2,T_b,V_P_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),V_P_2)))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(c_Set_OCollect(T_b),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_b),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_b),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,T_b),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_b),tc_fun(T_a,tc_HOL_Obool)),T_b),c_COMBB(T_b,tc_HOL_Obool,T_a)),c_fequal)),V_f_2)))),V_P_2))))) ) )).

fof(fact_add__Min__commute,axiom,(
    ! [V_k_2,V_N_2,T_a] :
      ( class_Groups_Olinordered__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
       => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_k_2),c_Big__Operators_Olinorder__class_OMin(T_a,V_N_2)) = c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal)),hAPP(c_Groups_Oplus__class_Oplus(T_a),V_k_2))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_N_2))))) ) ) ) )).

fof(fact_add__Max__commute,axiom,(
    ! [V_k_2,V_N_2,T_a] :
      ( class_Groups_Olinordered__ab__semigroup__add(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
       => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_k_2),c_Big__Operators_Olinorder__class_OMax(T_a,V_N_2)) = c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal)),hAPP(c_Groups_Oplus__class_Oplus(T_a),V_k_2))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_N_2))))) ) ) ) )).

fof(fact_pigeonhole__infinite,axiom,(
    ! [V_f_2,T_b,V_A_2,T_a] :
      ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))
       => ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
            & ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))),hAPP(hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_fequal),V_f_2)),hAPP(V_f_2,B_x)))))) ) ) ) )).

fof(fact_UN__le__eq__Un0,axiom,(
    ! [V_M_2,V_n_2,T_a] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_n_2)),V_M_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,c_Groups_Oone__class_Oone(tc_Nat_Onat),V_n_2)),V_M_2)),hAPP(V_M_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_greaterThan__0,axiom,(
    hAPP(c_SetInterval_Oord__class_OgreaterThan(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = hAPP(c_Set_Oimage(tc_Nat_Onat,tc_Nat_Onat,c_Nat_OSuc),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) )).

fof(fact_top1I,axiom,(
    ! [V_x_2,T_a] : hBOOL(hAPP(c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),V_x_2)) )).

fof(fact_UNIV__I,axiom,(
    ! [V_x_2,T_a] : hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_SUP1__I,axiom,(
    ! [T_b,V_b_2,V_B_2,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(V_B_2,V_a_2),V_b_2))
       => hBOOL(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2),V_b_2)) ) ) )).

fof(fact_UN__atMost__UNIV,axiom,(
    hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),c_SetInterval_Oord__class_OatMost(tc_Nat_Onat)) = c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) )).

fof(fact_finite__UN,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)))
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_B_2,B_x))) ) ) ) )).

fof(fact_SUP__UN__eq,axiom,(
    ! [V_x_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b))),V_r_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_r_2))) ) )).

fof(fact_UN__lessThan__UNIV,axiom,(
    hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat)) = c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) )).

fof(fact_SUP1__iff,axiom,(
    ! [V_b_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2),V_b_2))
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
          & hBOOL(hAPP(hAPP(V_B_2,B_x),V_b_2)) ) ) )).

fof(fact_Pow__UNIV,axiom,(
    ! [T_a] : hAPP(c_Set_OPow(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)) )).

fof(fact_UNIV__Plus__UNIV,axiom,(
    ! [T_b,T_a] : c_Sum__Type_OPlus(T_a,T_b,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(tc_sum(T_a,T_b),tc_HOL_Obool)) )).

fof(fact_top__apply,axiom,(
    ! [V_x_2,T_b,T_a] :
      ( class_Orderings_Otop(T_a)
     => hAPP(c_Orderings_Otop__class_Otop(tc_fun(T_b,T_a)),V_x_2) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_finite__option__UNIV,axiom,(
    ! [T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Option_Ooption(T_a)),c_Orderings_Otop__class_Otop(tc_fun(tc_Option_Ooption(T_a),tc_HOL_Obool))))
    <=> hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) ) )).

fof(fact_finite__Prod__UNIV,axiom,(
    ! [T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),c_Orderings_Otop__class_Otop(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)))) ) ) )).

fof(fact_UN__atLeast__UNIV,axiom,(
    hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),c_SetInterval_Oord__class_OatLeast(tc_Nat_Onat)) = c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) )).

fof(fact_finite__fun__UNIVD2,axiom,(
    ! [T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,T_b)),c_Orderings_Otop__class_Otop(tc_fun(tc_fun(T_a,T_b),tc_HOL_Obool))))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))) ) )).

fof(fact_UN__UN__finite__eq,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_fun(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),tc_Nat_Onat),c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool))),c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),V_A_2) )).

fof(fact_UNIV__not__empty,axiom,(
    ! [T_a] : c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_finite__UNIV,axiom,(
    ! [T_a] :
      ( class_Finite__Set_Ofinite(T_a)
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) ) )).

fof(fact_subset__UNIV,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_Un__UNIV__right,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Un__UNIV__left,axiom,(
    ! [V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_B_2) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Int__UNIV__right,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = V_A_2 )).

fof(fact_Int__UNIV__left,axiom,(
    ! [V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_B_2) = V_B_2 )).

fof(fact_finite__Plus__UNIV__iff,axiom,(
    ! [T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_sum(T_a,T_b)),c_Orderings_Otop__class_Otop(tc_fun(tc_sum(T_a,T_b),tc_HOL_Obool))))
    <=> ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))) ) ) )).

fof(fact_infinite__UNIV__nat,axiom,(
    ~ hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool)))) )).

fof(fact_UNIV__def,axiom,(
    ! [T_a] : c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) = hAPP(c_Set_OCollect(T_a),hAPP(c_COMBK(tc_HOL_Obool,T_a),c_fTrue)) )).

fof(fact_range__composition,axiom,(
    ! [V_g_2,V_f_2,T_c,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,hAPP(hAPP(c_COMBB(T_c,T_a,T_b),V_f_2),V_g_2)),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = hAPP(c_Set_Oimage(T_c,T_a,V_f_2),hAPP(c_Set_Oimage(T_b,T_c,V_g_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))) )).

fof(fact_top__greatest,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Otop(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),c_Orderings_Otop__class_Otop(T_a))) ) )).

fof(fact_sup__top__left,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__top(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Orderings_Otop__class_Otop(T_a)),V_x) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_sup__top__right,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__top(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),c_Orderings_Otop__class_Otop(T_a)) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_inf__eq__top__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Lattices_Obounded__lattice__top(T_a)
     => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),V_y_2) = c_Orderings_Otop__class_Otop(T_a)
      <=> ( V_x_2 = c_Orderings_Otop__class_Otop(T_a)
          & V_y_2 = c_Orderings_Otop__class_Otop(T_a) ) ) ) )).

fof(fact_inf__top__right,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__top(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),c_Orderings_Otop__class_Otop(T_a)) = V_x ) )).

fof(fact_inf__top__left,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Obounded__lattice__top(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Orderings_Otop__class_Otop(T_a)),V_x) = V_x ) )).

fof(fact_rangeI,axiom,(
    ! [T_b,V_x_2,V_f_2,T_a] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(V_f_2,V_x_2)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))) )).

fof(fact_range__eqI,axiom,(
    ! [T_b,T_a,V_x_2,V_f_2,V_b_2] :
      ( V_b_2 = hAPP(V_f_2,V_x_2)
     => hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))) ) )).

fof(fact_Diff__UNIV,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_card__eq__UNIV__imp__eq__UNIV,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
     => ( hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = hAPP(c_Finite__Set_Ocard(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
       => V_A_2 = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_Max_Osingleton,axiom,(
    ! [V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_Min_Osingleton,axiom,(
    ! [V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_finite__Collect__not,axiom,(
    ! [V_P_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),V_P_2)))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),V_P_2))))
      <=> hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) ) ) )).

fof(fact_finite__range__imageI,axiom,(
    ! [V_f_2,T_c,V_g_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_Oimage(T_b,T_a,V_g_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_c),hAPP(c_Set_Oimage(T_b,T_c,hAPP(hAPP(c_COMBB(T_a,T_c,T_b),V_f_2),V_g_2)),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))) ) )).

fof(fact_atLeast__0,axiom,(
    hAPP(c_SetInterval_Oord__class_OatLeast(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) )).

fof(fact_Min__le,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)),V_x_2)) ) ) ) )).

fof(fact_Max__ge,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2))) ) ) ) )).

fof(fact_Min__in,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)),V_A_2)) ) ) ) )).

fof(fact_Max__in,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)),V_A_2)) ) ) ) )).

fof(fact_UN__le__add__shift,axiom,(
    ! [V_k_2,V_M_2,V_n_2,T_a] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_n_2)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool),tc_Nat_Onat),V_M_2),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),V_k_2))) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_k_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),V_k_2))),V_M_2) )).

fof(fact_finite__UNIV__card__ge__0,axiom,(
    ! [T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Finite__Set_Ocard(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))) ) )).

fof(fact_Min__antimono,axiom,(
    ! [V_N_2,V_M_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_M_2),V_N_2))
       => ( V_M_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_N_2)),c_Big__Operators_Olinorder__class_OMin(T_a,V_M_2))) ) ) ) ) )).

fof(fact_Max__mono,axiom,(
    ! [V_N_2,V_M_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_M_2),V_N_2))
       => ( V_M_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_M_2)),c_Big__Operators_Olinorder__class_OMax(T_a,V_N_2))) ) ) ) ) )).

fof(fact_finite__fun__UNIVD1,axiom,(
    ! [T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,T_b)),c_Orderings_Otop__class_Otop(tc_fun(tc_fun(T_a,T_b),tc_HOL_Obool))))
     => ( hAPP(c_Finite__Set_Ocard(T_b),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) != hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) ) ) )).

fof(fact_UN__I,axiom,(
    ! [V_B_2,V_b_2,T_b,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(V_B_2,V_a_2)))
       => hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) )).

fof(fact_image__eq__UN,axiom,(
    ! [V_A_2,V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Set_Oinsert(T_a)),V_f_2)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_UN__Pow__subset,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),T_b),c_Set_OPow(T_a)),V_B_2))),hAPP(c_Set_OPow(T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))) )).

fof(fact_UN__insert,axiom,(
    ! [V_B_2,V_A_2,V_a_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(V_B_2,V_a_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) )).

fof(fact_card__UNIV__unit,axiom,(
    hAPP(c_Finite__Set_Ocard(tc_Product__Type_Ounit),c_Orderings_Otop__class_Otop(tc_fun(tc_Product__Type_Ounit,tc_HOL_Obool))) = c_Groups_Oone__class_Oone(tc_Nat_Onat) )).

fof(fact_infinite__UNIV__int,axiom,(
    ~ hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Int_Oint),c_Orderings_Otop__class_Otop(tc_fun(tc_Int_Oint,tc_HOL_Obool)))) )).

fof(fact_ball__UN,axiom,(
    ! [V_P_2,V_B_2,V_A_2,T_b,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
         => hBOOL(hAPP(V_P_2,B_x)) )
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
         => ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),hAPP(V_B_2,B_x)))
             => hBOOL(hAPP(V_P_2,B_xa)) ) ) ) )).

fof(fact_SUP__commute,axiom,(
    ! [V_f_2,V_B_2,T_c,V_A_2,T_b,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,T_a),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_a),T_a,T_b),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,T_a),V_B_2)),V_f_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,T_a),V_B_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_a),T_a,T_c),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,T_a),V_A_2)),hAPP(c_COMBC(T_b,T_c,T_a),V_f_2))) ) )).

fof(fact_UN__extend__simps_I9_J,axiom,(
    ! [V_C_2,V_B_2,T_c,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_fun(tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool))),V_B_2)),V_C_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_c,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) )).

fof(fact_UN__simps_I9_J,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_c,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),T_c),c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool))),V_B_2)),V_C_2)) )).

fof(fact_UN__UN__flatten,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_c,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),T_c),c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool))),V_B_2)),V_C_2)) )).

fof(fact_SUP__le__iff,axiom,(
    ! [V_u_2,V_M_2,V_A_2,T_b,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,T_a),V_A_2),V_M_2)),V_u_2))
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(V_M_2,B_x)),V_u_2)) ) ) ) )).

fof(fact_less__SUP__iff,axiom,(
    ! [V_f_2,V_A_2,T_b,V_a_2,T_a] :
      ( ( class_Complete__Lattice_Ocomplete__lattice(T_a)
        & class_Orderings_Olinorder(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,T_a),V_A_2),V_f_2)))
      <=> ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(V_f_2,B_x))) ) ) ) )).

fof(fact_UN__iff,axiom,(
    ! [V_B_2,V_A_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
          & hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(V_B_2,B_x))) ) ) )).

fof(fact_SUP__const,axiom,(
    ! [V_M_2,T_a,V_A_2,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,T_b),V_A_2),hAPP(c_COMBK(T_b,T_a),V_M_2)) = V_M_2 ) ) )).

fof(fact_UNION__empty__conv_I2_J,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] :
      ( hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
         => hAPP(V_B_2,B_x) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_UN__constant,axiom,(
    ! [V_c_2,T_b,T_a,V_A_2] :
      ( ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_c_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_c_2)) = V_c_2 ) ) )).

fof(fact_UN__empty2,axiom,(
    ! [V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_UNION__empty__conv_I1_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
         => hAPP(V_B_2,B_x) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_UN__subset__iff,axiom,(
    ! [V_B_2,V_A_2,V_I_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)),V_B_2))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_I_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(V_A_2,B_x)),V_B_2)) ) ) )).

fof(fact_UN__simps_I10_J,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_c,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_c,T_b,V_f_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_a,tc_HOL_Obool),T_c),V_B_2),V_f_2)) )).

fof(fact_image__UN,axiom,(
    ! [V_B_2,V_A_2,T_c,V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),c_Set_Oimage(T_b,T_a,V_f_2)),V_B_2)) )).

fof(fact_UN__extend__simps_I10_J,axiom,(
    ! [V_f_2,V_B_2,T_c,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(T_c,tc_fun(T_a,tc_HOL_Obool),T_b),V_B_2),V_f_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_c,V_f_2),V_A_2)),V_B_2) )).

fof(fact_UN__Un__distrib,axiom,(
    ! [V_B_2,V_A_2,V_I_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBS(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_B_2)) )).

fof(fact_UN__Un,axiom,(
    ! [V_M_2,V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)),V_M_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_M_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_M_2)) )).

fof(fact_Int__UN__distrib2,axiom,(
    ! [V_B_2,V_J_2,T_c,V_A_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_J_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_J_2)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool))),T_b),c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool))),V_A_2))),V_B_2))) )).

fof(fact_UN__extend__simps_I4_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_b,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) )).

fof(fact_Int__UN__distrib,axiom,(
    ! [V_A_2,V_I_2,T_b,V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2)),V_A_2)) )).

fof(fact_UN__extend__simps_I5_J,axiom,(
    ! [V_B_2,V_C_2,T_b,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_B_2)) )).

fof(fact_UN__simps_I4_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) )).

fof(fact_UN__simps_I5_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) )).

fof(fact_SUPR__apply,axiom,(
    ! [V_x_2,V_f_2,V_A_2,T_c,T_b,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_c,T_a)),V_A_2),V_f_2),V_x_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,T_a),V_A_2),hAPP(hAPP(c_COMBC(T_b,T_c,T_a),V_f_2),V_x_2)) ) )).

fof(fact_UN__simps_I6_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) )).

fof(fact_UN__extend__simps_I6_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_b,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) )).

fof(fact_SUP__subset,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,T_b),V_A_2),V_f_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,T_b),V_B_2),V_f_2))) ) ) )).

fof(fact_le__SUPI,axiom,(
    ! [V_M_2,V_A_2,V_i_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_M_2,V_i_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,T_b),V_A_2),V_M_2))) ) ) )).

fof(fact_UN__insert__distrib,axiom,(
    ! [V_B_2,V_a_2,T_b,V_A_2,V_u_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_u_2),V_A_2))
     => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Set_Oinsert(T_b),V_a_2)),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_UN__upper,axiom,(
    ! [V_B_2,T_b,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(V_B_2,V_a_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))) ) )).

fof(fact_UN__absorb,axiom,(
    ! [V_A_2,T_b,V_I_2,V_k_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_k_2),V_I_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),hAPP(V_A_2,V_k_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_I_2),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_I_2),V_A_2) ) )).

fof(fact_UN__extend__simps_I1_J,axiom,(
    ! [V_B_2,V_a_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Set_Oinsert(T_b),V_a_2)),V_B_2)) ) ) )).

fof(fact_UN__singleton,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_A_2 )).

fof(fact_UN__simps_I1_J,axiom,(
    ! [V_B_2,V_a_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Set_Oinsert(T_b),V_a_2)),V_B_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Set_Oinsert(T_b),V_a_2)),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) ) ) )).

fof(fact_UN__extend__simps_I2_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = V_B_2 )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) ) ) )).

fof(fact_UN__extend__simps_I3_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = V_A_2 )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) ) ) )).

fof(fact_UN__simps_I2_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) ) ) )).

fof(fact_UN__simps_I3_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) ) ) )).

fof(fact_UN__finite2__subset,axiom,(
    ! [V_B_2,V_k_2,V_A_2,T_a] :
      ( ! [B_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),B_n)),V_A_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),B_n),V_k_2))),V_B_2)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),V_A_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),V_B_2))) ) )).

fof(fact_UN__finite2__eq,axiom,(
    ! [V_B_2,V_k_2,V_A_2,T_a] :
      ( ! [B_n] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),B_n)),V_A_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),B_n),V_k_2))),V_B_2)
     => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),V_A_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),V_B_2) ) )).

fof(fact_UN__finite__subset,axiom,(
    ! [V_C_2,V_A_2,T_a] :
      ( ! [B_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),B_n)),V_A_2)),V_C_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),V_A_2)),V_C_2)) ) )).

fof(fact_iso__tuple__UNIV__I,axiom,(
    ! [V_x_2,T_a] : hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_Min_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2) = V_x_2 )
            & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_SUP2__I,axiom,(
    ! [T_c,T_b,V_c_2,V_b_2,V_B_2,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(hAPP(V_B_2,V_a_2),V_b_2),V_c_2))
       => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),V_A_2),V_B_2),V_b_2),V_c_2)) ) ) )).

fof(fact_min__add__distrib__left,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),V_z)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_y),V_z)) ) )).

fof(fact_Min_Oidem,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_x) = V_x ) )).

fof(fact_min__max_Oinf__assoc,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_z)) ) )).

fof(fact_min__max_Oinf_Oassoc,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b),V_c)) ) )).

fof(fact_min__max_Oinf__left__commute,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_z)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_z)) ) )).

fof(fact_min__max_Oinf_Oleft__commute,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_c)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b),V_c)) ) )).

fof(fact_min__max_Oinf__left__idem,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y) ) )).

fof(fact_min__max_Oinf_Oleft__idem,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b) ) )).

fof(fact_min__max_Oinf__commute,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_x) ) )).

fof(fact_min__max_Oinf_Ocommute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b),V_a) ) )).

fof(fact_min__max_Oinf_Oidem,axiom,(
    ! [V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_a) = V_a ) )).

fof(fact_min__max_Oless__infI1,axiom,(
    ! [V_b,V_x,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_min__max_Oless__infI2,axiom,(
    ! [V_a,V_x,V_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_min__less__iff__conj,axiom,(
    ! [V_y_2,V_x_2,V_z_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z_2),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),V_y_2)))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z_2),V_x_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z_2),V_y_2)) ) ) ) )).

fof(fact_min__less__iff__disj,axiom,(
    ! [V_z_2,V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),V_y_2)),V_z_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_z_2))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y_2),V_z_2)) ) ) ) )).

fof(fact_min__le__iff__disj,axiom,(
    ! [V_z_2,V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),V_y_2)),V_z_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_z_2))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_z_2)) ) ) ) )).

fof(fact_min__max_Oinf__le1,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)),V_x)) ) )).

fof(fact_min__max_Oinf__le2,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)),V_y)) ) )).

fof(fact_min__max_Ole__iff__inf,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
      <=> hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),V_y_2) = V_x_2 ) ) )).

fof(fact_min__max_Ole__inf__iff,axiom,(
    ! [V_z_2,V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y_2),V_z_2)))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_z_2)) ) ) ) )).

fof(fact_min__max_Ole__infI1,axiom,(
    ! [V_b,V_x,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_min__max_Ole__infI2,axiom,(
    ! [V_a,V_x,V_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_x))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)),V_x)) ) ) )).

fof(fact_min__max_Oinf__absorb1,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y) = V_x ) ) )).

fof(fact_min__max_Oinf__absorb2,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y) = V_y ) ) )).

fof(fact_min__max_Ole__infI,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_a))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b))) ) ) ) )).

fof(fact_min__max_Oinf__greatest,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_z))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_z))) ) ) ) )).

fof(fact_min__max_Oinf__mono,axiom,(
    ! [V_d,V_b,V_c,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_c))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_c),V_d))) ) ) ) )).

fof(fact_min__max_Ole__infE,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a),V_b)))
       => ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_a))
           => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_b)) ) ) ) )).

fof(fact_min__Suc__Suc,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),hAPP(c_Nat_OSuc,V_n)) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_min__0R,axiom,(
    ! [V_n] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_n),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_min__0L,axiom,(
    ! [V_n] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_inf__min,axiom,(
    ! [T_a] :
      ( ( class_Lattices_Osemilattice__inf(T_a)
        & class_Orderings_Olinorder(T_a) )
     => c_Lattices_Osemilattice__inf__class_Oinf(T_a) = c_Orderings_Oord__class_Omin(T_a) ) )).

fof(fact_min__diff__distrib__left,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x),V_z)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_y),V_z)) ) )).

fof(fact_min__diff,axiom,(
    ! [V_n,V_i,V_m] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_i)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),V_i)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_m),V_n)),V_i) )).

fof(fact_min__max_Ofun__left__comm__idem__inf,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Finite__Set_Ofun__left__comm__idem(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)) ) )).

fof(fact_Min_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)) = c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2) ) ) ) )).

fof(fact_Int__atLeastAtMostL1,axiom,(
    ! [V_d_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_d_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b_2),V_d_2)) ) )).

fof(fact_Int__atLeastAtMostR1,axiom,(
    ! [V_d_2,V_c_2,V_b_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_b_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_c_2,V_d_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_c_2,hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b_2),V_d_2)) ) )).

fof(fact_Min_OF__eq,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2) ) ) )).

fof(fact_min__Suc2,axiom,(
    ! [V_n_2,V_m_2] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)) = c_Nat_Onat_Onat__case(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Nat_OSuc),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Orderings_Oord__class_Omin(tc_Nat_Onat)),V_n_2)),V_m_2) )).

fof(fact_min__Suc1,axiom,(
    ! [V_m_2,V_n_2] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),V_m_2) = c_Nat_Onat_Onat__case(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Nat_OSuc),hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_n_2)),V_m_2) )).

fof(fact_min__max_Ofold1__belowI,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2)),V_a_2)) ) ) ) )).

fof(fact_fold1__below__iff,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2)),V_x_2))
          <=> ? [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
                & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),B_x),V_x_2)) ) ) ) ) ) )).

fof(fact_min__max_Obelow__fold1__iff,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2)))
          <=> ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),B_x)) ) ) ) ) ) )).

fof(fact_strict__below__fold1__iff,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2)))
          <=> ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),B_x)) ) ) ) ) ) )).

fof(fact_fold1__strict__below__iff,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2)),V_x_2))
          <=> ? [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
                & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),B_x),V_x_2)) ) ) ) ) ) )).

fof(fact_Min__insert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)) ) ) ) )).

fof(fact_Min_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
           => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_B_2)),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)) = c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2) ) ) ) ) )).

fof(fact_Min__Un,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)),c_Big__Operators_Olinorder__class_OMin(T_a,V_B_2)) ) ) ) ) ) )).

fof(fact_Min_Oinsert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)) ) ) ) ) )).

fof(fact_fold1__antimono,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_B_2)),hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2))) ) ) ) ) )).

fof(fact_Min_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = V_x_2 )
          & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_Min_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)),c_Big__Operators_Olinorder__class_OMin(T_a,V_B_2)) ) ) ) ) ) ) )).

fof(fact_Min_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)),c_Big__Operators_Olinorder__class_OMin(T_a,V_B_2)) ) ) ) ) )).

fof(fact_dual__max,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Orderings_Oord_Omax(T_a,hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_Orderings_Oord__class_Oless__eq(T_a))) = c_Orderings_Oord__class_Omin(T_a) ) )).

fof(fact_min__ord__min,axiom,(
    ! [T_a] :
      ( class_Orderings_Oord(T_a)
     => c_Orderings_Oord__class_Omin(T_a) = c_Orderings_Oord_Omin(T_a,c_Orderings_Oord__class_Oless__eq(T_a)) ) )).

fof(fact_Min_Oclosed,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2) = V_x_2 )
            & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_Min_Ohom__commute,axiom,(
    ! [V_N_2,V_h_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),B_x),B_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,c_Big__Operators_Olinorder__class_OMin(T_a,V_N_2)) = c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_SUP2__iff,axiom,(
    ! [V_c_2,V_b_2,V_B_2,V_A_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),V_A_2),V_B_2),V_b_2),V_c_2))
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
          & hBOOL(hAPP(hAPP(hAPP(V_B_2,B_x),V_b_2),V_c_2)) ) ) )).

fof(fact_inf__nat__def,axiom,(
    c_Lattices_Osemilattice__inf__class_Oinf(tc_Nat_Onat) = c_Orderings_Oord__class_Omin(tc_Nat_Onat) )).

fof(fact_min__max_OInf__fin_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)) = c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2) ) ) ) )).

fof(fact_min__max_OInf__fin_Osingleton,axiom,(
    ! [V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_min__max_OInf__fin_OF__eq,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omin(T_a)),V_A_2) ) ) )).

fof(fact_min__max_OInf__fin_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)) ) ) ) )).

fof(fact_min__max_OInf__fin_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
           => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_B_2)),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)) = c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_B_2)) ) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Oinsert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = V_x_2 )
          & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_B_2)) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_B_2)) ) ) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Oclosed,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_min__max_Osup__Inf1__distrib,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)) = c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal)),hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))))) ) ) ) )).

fof(fact_min__max_Osup__Inf2__distrib,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_B_2)) = c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBS(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBB(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool),T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal))),c_Orderings_Oord__class_Omax(T_a)))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))))))) ) ) ) ) ) )).

fof(fact_min__max_OInf__fin_Ohom__commute,axiom,(
    ! [V_N_2,V_h_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),B_x),B_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_N_2)) = c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_Max_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2) = V_x_2 )
            & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_min__max_Oinf__sup__distrib2,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_z)),V_x) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_x)),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_z),V_x)) ) )).

fof(fact_min__max_Osup__inf__distrib2,axiom,(
    ! [V_x,V_z,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_z)),V_x) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_x)),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_z),V_x)) ) )).

fof(fact_min__max_Oinf__sup__distrib1,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_z)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_z)) ) )).

fof(fact_min__max_Osup__inf__distrib1,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_z)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_z)) ) )).

fof(fact_min__max_Oinf__sup__absorb,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)) = V_x ) )).

fof(fact_min__max_Osup__inf__absorb,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)) = V_x ) )).

fof(fact_max__add__distrib__left,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Groups_Oordered__ab__semigroup__add__imp__le(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),V_z)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_y),V_z)) ) )).

fof(fact_Max_Oidem,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_x) = V_x ) )).

fof(fact_min__max_Osup__assoc,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_z)) ) )).

fof(fact_min__max_Osup_Oassoc,axiom,(
    ! [V_c,V_b,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b)),V_c) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_b),V_c)) ) )).

fof(fact_min__max_Osup__left__commute,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_z)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_z)) ) )).

fof(fact_min__max_Osup_Oleft__commute,axiom,(
    ! [V_c,V_a,V_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_b),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_c)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_b),V_c)) ) )).

fof(fact_min__max_Osup__left__idem,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y) ) )).

fof(fact_min__max_Osup_Oleft__idem,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b) ) )).

fof(fact_min__max_Osup__commute,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_x) ) )).

fof(fact_min__max_Osup_Ocommute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_b),V_a) ) )).

fof(fact_min__max_Osup_Oidem,axiom,(
    ! [V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_a) = V_a ) )).

fof(fact_min__max_Oless__supI1,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b))) ) ) )).

fof(fact_min__max_Oless__supI2,axiom,(
    ! [V_a,V_b,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b))) ) ) )).

fof(fact_less__max__iff__disj,axiom,(
    ! [V_y_2,V_x_2,V_z_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z_2),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),V_y_2)))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z_2),V_x_2))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_z_2),V_y_2)) ) ) ) )).

fof(fact_max__less__iff__conj,axiom,(
    ! [V_z_2,V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),V_y_2)),V_z_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x_2),V_z_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_y_2),V_z_2)) ) ) ) )).

fof(fact_le__max__iff__disj,axiom,(
    ! [V_y_2,V_x_2,V_z_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z_2),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),V_y_2)))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z_2),V_x_2))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z_2),V_y_2)) ) ) ) )).

fof(fact_le__maxI1,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y))) ) )).

fof(fact_le__maxI2,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y))) ) )).

fof(fact_min__max_Ole__iff__sup,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
      <=> hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),V_y_2) = V_y_2 ) ) )).

fof(fact_min__max_Ole__sup__iff,axiom,(
    ! [V_z_2,V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),V_y_2)),V_z_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_z_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_z_2)) ) ) ) )).

fof(fact_min__max_Ole__supI1,axiom,(
    ! [V_b,V_a,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_a))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b))) ) ) )).

fof(fact_min__max_Ole__supI2,axiom,(
    ! [V_a,V_b,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b))) ) ) )).

fof(fact_min__max_Osup__absorb2,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y) = V_y ) ) )).

fof(fact_min__max_Osup__absorb1,axiom,(
    ! [V_x,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y) = V_x ) ) )).

fof(fact_min__max_Ole__supI,axiom,(
    ! [V_b,V_x,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_x))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b)),V_x)) ) ) ) )).

fof(fact_min__max_Osup__least,axiom,(
    ! [V_z,V_x,V_y,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y),V_x))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_z),V_x))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_z)),V_x)) ) ) ) )).

fof(fact_min__max_Osup__mono,axiom,(
    ! [V_d,V_b,V_c,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_c))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_d))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b)),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_c),V_d))) ) ) ) )).

fof(fact_min__max_Ole__supE,axiom,(
    ! [V_x,V_b,V_a,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a),V_b)),V_x))
       => ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_x))
           => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b),V_x)) ) ) ) )).

fof(fact_max__Suc__Suc,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),hAPP(c_Nat_OSuc,V_n)) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),V_m),V_n)) )).

fof(fact_max__0R,axiom,(
    ! [V_n] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),V_n),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = V_n )).

fof(fact_max__0L,axiom,(
    ! [V_n] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n) = V_n )).

fof(fact_sup__max,axiom,(
    ! [T_a] :
      ( ( class_Lattices_Osemilattice__sup(T_a)
        & class_Orderings_Olinorder(T_a) )
     => c_Lattices_Osemilattice__sup__class_Osup(T_a) = c_Orderings_Oord__class_Omax(T_a) ) )).

fof(fact_max__diff__distrib__left,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)),V_z) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x),V_z)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_y),V_z)) ) )).

fof(fact_min__max_Ofun__left__comm__idem__sup,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Finite__Set_Ofun__left__comm__idem(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)) ) )).

fof(fact_min__max_Odistrib__sup__le,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_y),V_z))),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_z)))) ) )).

fof(fact_min__max_Odistrib__inf__le,axiom,(
    ! [V_z,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_z))),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_y),V_z)))) ) )).

fof(fact_nat__minus__add__max,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),V_m)),V_m) = hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),V_n),V_m) )).

fof(fact_max__Suc1,axiom,(
    ! [V_m_2,V_n_2] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),V_m_2) = c_Nat_Onat_Onat__case(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_n_2),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Nat_OSuc),hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),V_n_2)),V_m_2) )).

fof(fact_max__Suc2,axiom,(
    ! [V_n_2,V_m_2] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),V_m_2),hAPP(c_Nat_OSuc,V_n_2)) = c_Nat_Onat_Onat__case(tc_Nat_Onat,hAPP(c_Nat_OSuc,V_n_2),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Nat_OSuc),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Orderings_Oord__class_Omax(tc_Nat_Onat)),V_n_2)),V_m_2) )).

fof(fact_max__ord__max,axiom,(
    ! [T_a] :
      ( class_Orderings_Oord(T_a)
     => c_Orderings_Oord__class_Omax(T_a) = c_Orderings_Oord_Omax(T_a,c_Orderings_Oord__class_Oless__eq(T_a)) ) )).

fof(fact_Max_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)) = c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2) ) ) ) )).

fof(fact_Int__atLeastAtMost,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_c_2,V_d_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),V_c_2),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b_2),V_d_2)) ) )).

fof(fact_Int__atLeastLessThan,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_c_2),V_d_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),V_c_2)),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b_2),V_d_2)) ) )).

fof(fact_Int__greaterThanAtMost,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_a_2,V_b_2)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_c_2,V_d_2)) = c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),V_c_2),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b_2),V_d_2)) ) )).

fof(fact_Int__greaterThanLessThan,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_a_2,V_b_2)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_c_2,V_d_2)) = c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),V_c_2),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b_2),V_d_2)) ) )).

fof(fact_Int__atLeastAtMostL2,axiom,(
    ! [V_c_2,V_b_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_a_2,V_b_2)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_c_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),V_c_2),V_b_2) ) )).

fof(fact_Int__atLeastAtMostR2,axiom,(
    ! [V_d_2,V_c_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_a_2)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_c_2,V_d_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),V_c_2),V_d_2) ) )).

fof(fact_Max_OF__eq,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omax(T_a)),V_A_2) ) ) )).

fof(fact_dual__min,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Orderings_Oord_Omin(T_a,hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_Orderings_Oord__class_Oless__eq(T_a))) = c_Orderings_Oord__class_Omax(T_a) ) )).

fof(fact_Max__insert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)) ) ) ) )).

fof(fact_Max_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
           => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_B_2)),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)) = c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2) ) ) ) ) )).

fof(fact_min__max_Osup__Inf__absorb,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)) = V_a_2 ) ) ) )).

fof(fact_Max__Un,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)),c_Big__Operators_Olinorder__class_OMax(T_a,V_B_2)) ) ) ) ) ) )).

fof(fact_Max_Oinsert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)) ) ) ) ) )).

fof(fact_Max_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = V_x_2 )
          & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_Max_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)),c_Big__Operators_Olinorder__class_OMax(T_a,V_B_2)) ) ) ) ) ) ) )).

fof(fact_Max_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)),c_Big__Operators_Olinorder__class_OMax(T_a,V_B_2)) ) ) ) ) )).

fof(fact_min__max_Oinf__Sup2__distrib,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_B_2)) = c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBS(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),T_a),c_COMBB(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool),T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal))),c_Orderings_Oord__class_Omin(T_a)))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))))))) ) ) ) ) ) )).

fof(fact_min__max_Oinf__Sup1__distrib,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)) = c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal)),hAPP(c_Orderings_Oord__class_Omin(T_a),V_x_2))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))))) ) ) ) )).

fof(fact_Max_Oclosed,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_min__max_OInf__le__Sup,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),V_A_2)),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2))) ) ) ) )).

fof(fact_min__max_OSup__fin_Oremove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2) = V_x_2 )
            & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) ) )).

fof(fact_sup__nat__def,axiom,(
    c_Lattices_Osemilattice__sup__class_Osup(tc_Nat_Onat) = c_Orderings_Oord__class_Omax(tc_Nat_Onat) )).

fof(fact_min__max_OSup__fin_Oin__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)) = c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2) ) ) ) )).

fof(fact_min__max_OSup__fin_Osingleton,axiom,(
    ! [V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_x_2 ) )).

fof(fact_min__max_OSup__fin_OF__eq,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2) = hAPP(c_Finite__Set_Ofold1(T_a,c_Orderings_Oord__class_Omax(T_a)),V_A_2) ) ) )).

fof(fact_min__max_OSup__fin_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)) ) ) ) )).

fof(fact_min__max_OSup__fin_Osubset__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
           => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_B_2)),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)) = c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2) ) ) ) ) )).

fof(fact_min__max_Oinf__Sup__absorb,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a_2),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)) = V_a_2 ) ) ) )).

fof(fact_min__max_OSup__fin_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_B_2)) ) ) ) ) ) )).

fof(fact_min__max_OSup__fin_Oinsert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)) ) ) ) ) )).

fof(fact_min__max_OSup__fin_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = V_x_2 )
          & ( hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x_2),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) ) )).

fof(fact_min__max_OSup__fin_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_B_2)) ) ) ) ) )).

fof(fact_min__max_OSup__fin_Ounion__disjoint,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
           => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
             => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
               => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_B_2)) ) ) ) ) ) ) )).

fof(fact_min__max_OSup__fin_Oclosed,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x,B_y] : hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),B_x),B_y)),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),hAPP(hAPP(c_Set_Oinsert(T_a),B_y),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
           => hBOOL(hAPP(hAPP(c_member(T_a),c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_A_2)),V_A_2)) ) ) ) ) )).

fof(fact_min__max_OSup__fin_Ohom__commute,axiom,(
    ! [V_N_2,V_h_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),B_x),B_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),V_N_2)) = c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_Max_Ohom__commute,axiom,(
    ! [V_N_2,V_h_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ! [B_x,B_y] : hAPP(V_h_2,hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),B_x),B_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(V_h_2,B_x)),hAPP(V_h_2,B_y))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_N_2))
         => ( V_N_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_h_2,c_Big__Operators_Olinorder__class_OMax(T_a,V_N_2)) = c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_N_2)) ) ) ) ) )).

fof(fact_finite__UN__I,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ! [B_a] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_a),V_A_2))
           => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_B_2,B_a))) )
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))) ) ) )).

fof(fact_diff__nat__eq__if,axiom,(
    ! [V_z_2,V_z_H_2] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,V_z_H_2))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onat,V_z_2)),hAPP(c_Int_Onat,V_z_H_2)) = hAPP(c_Int_Onat,V_z_2) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,V_z_H_2))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onat,V_z_2)),hAPP(c_Int_Onat,V_z_H_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_z_2),V_z_H_2)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),tc_Int_Oint),c_If(tc_Nat_Onat)),c_Nat__Numeral_Oneg)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),c_Int_Onat)) ) ) )).

fof(fact_not__neg__0,axiom,(
    ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_not__neg__int,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n))) )).

fof(fact_not__neg__1,axiom,(
    ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_not__neg__eq__ge__0,axiom,(
    ! [V_x_2] :
      ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,V_x_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x_2)) ) )).

fof(fact_neg__def,axiom,(
    ! [V_Z_2] :
      ( hBOOL(hAPP(c_Nat__Numeral_Oneg,V_Z_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_Z_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_neg__nat,axiom,(
    ! [V_z] :
      ( hBOOL(hAPP(c_Nat__Numeral_Oneg,V_z))
     => hAPP(c_Int_Onat,V_z) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_not__neg__nat,axiom,(
    ! [V_z] :
      ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,V_z))
     => hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onat,V_z)) = V_z ) )).

fof(fact_setsum__SucD,axiom,(
    ! [V_n_2,V_A_2,V_f_2,T_a] :
      ( hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),V_f_2),V_A_2) = hAPP(c_Nat_OSuc,V_n_2)
     => ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(V_f_2,B_x))) ) ) )).

fof(fact_setsum__cases,axiom,(
    ! [V_g_2,V_f_2,V_P_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,T_b),hAPP(hAPP(c_COMBS(T_a,T_b,tc_fun(T_b,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_b,tc_fun(T_b,T_b)),T_a),c_If(T_b)),V_P_2)),V_f_2)),V_g_2)),V_A_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_OCollect(T_a),V_P_2)))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(T_a),V_P_2))))) ) ) )).

fof(fact_nat__mod__eq__lemma,axiom,(
    ! [V_y,V_n,V_x] :
      ( c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_x,V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_y,V_n)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_y),V_x))
       => ? [B_q] : V_x = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),B_q)) ) ) )).

fof(fact_zdiv__zminus2__eq__if,axiom,(
    ! [V_a,V_b] :
      ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => ( ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)) )
        & ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b))),c_Groups_Oone__class_Oone(tc_Int_Oint)) ) ) ) )).

fof(fact_ComplI,axiom,(
    ! [V_A_2,V_c_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2))) ) )).

fof(fact_negative__zle,axiom,(
    ! [V_m,V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n))),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m))) )).

fof(fact_negative__zless,axiom,(
    ! [V_m,V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,V_n)))),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m))) )).

fof(fact_zminus__zmod,axiom,(
    ! [V_m,V_x] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_x,V_m)),V_m) = c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_x),V_m) )).

fof(fact_zmod__zminus__zminus,axiom,(
    ! [V_b,V_a] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)) )).

fof(fact_zmod__zminus2,axiom,(
    ! [V_b,V_a] : c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),V_b)) )).

fof(fact_zdiv__zminus__zminus,axiom,(
    ! [V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) )).

fof(fact_zdiv__zminus2,axiom,(
    ! [V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a)),V_b) )).

fof(fact_abs__minus__cancel,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)) = hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) ) )).

fof(fact_Compl__anti__mono,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2))) ) )).

fof(fact_Compl__subset__Compl__iff,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2)) ) )).

fof(fact_zminus__0,axiom,(
    hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_minus__diff__eq,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_b),V_a) ) )).

fof(fact_mod__minus__cong,axiom,(
    ! [V_a_H,V_b,V_a,T_a] :
      ( class_Divides_Oring__div(T_a)
     => ( c_Divides_Odiv__class_Omod(T_a,V_a,V_b) = c_Divides_Odiv__class_Omod(T_a,V_a_H,V_b)
       => c_Divides_Odiv__class_Omod(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a),V_b) = c_Divides_Odiv__class_Omod(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_H),V_b) ) ) )).

fof(fact_mod__minus__eq,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Oring__div(T_a)
     => c_Divides_Odiv__class_Omod(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a),V_b) = c_Divides_Odiv__class_Omod(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)),V_b) ) )).

fof(fact_compl__mono,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x))) ) ) )).

fof(fact_compl__le__compl__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_y_2),V_x_2)) ) ) )).

fof(fact_le__imp__neg__le,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a))) ) ) )).

fof(fact_neg__le__iff__le,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_minus__le__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),V_b_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)),V_a_2)) ) ) )).

fof(fact_le__minus__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2))) ) ) )).

fof(fact_neg__equal__zero,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2) = V_a_2
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_neg__equal__0__iff__equal,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_equal__neg__zero,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( V_a_2 = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_neg__0__equal__iff__equal,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( c_Groups_Ozero__class_Ozero(T_a) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)
      <=> c_Groups_Ozero__class_Ozero(T_a) = V_a_2 ) ) )).

fof(fact_minus__zero,axiom,(
    ! [T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Ozero__class_Ozero(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_less__minus__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2))) ) ) )).

fof(fact_minus__less__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),V_b_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)),V_a_2)) ) ) )).

fof(fact_neg__less__iff__less,axiom,(
    ! [V_a_2,V_b_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2)) ) ) )).

fof(fact_zminus__zminus,axiom,(
    ! [V_z] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z)) = V_z )).

fof(fact_double__compl,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)) = V_x ) )).

fof(fact_uminus__apply,axiom,(
    ! [V_x_2,V_A_2,T_b,T_a] :
      ( class_Groups_Ouminus(T_a)
     => hAPP(hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,T_a)),V_A_2),V_x_2) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(V_A_2,V_x_2)) ) )).

fof(fact_compl__eq__compl__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => ( hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_double__complement,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)) = V_A_2 )).

fof(fact_Compl__eq__Compl__iff,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2)
    <=> V_A_2 = V_B_2 ) )).

fof(fact_minus__minus,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)) = V_a ) )).

fof(fact_equation__minus__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( V_a_2 = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)
      <=> V_b_2 = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2) ) ) )).

fof(fact_minus__equation__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2) = V_b_2
      <=> hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2) = V_a_2 ) ) )).

fof(fact_neg__equal__iff__equal,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)
      <=> V_a_2 = V_b_2 ) ) )).

fof(fact_fun__Compl__def,axiom,(
    ! [V_x_2,V_A_2,T_b,T_a] :
      ( class_Groups_Ouminus(T_a)
     => hAPP(hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,T_a)),V_A_2),V_x_2) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(V_A_2,V_x_2)) ) )).

fof(fact_ComplE,axiom,(
    ! [V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)))
     => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2)) ) )).

fof(fact_ComplD,axiom,(
    ! [V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)))
     => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2)) ) )).

fof(fact_Compl__iff,axiom,(
    ! [V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)))
    <=> ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2)) ) )).

fof(fact_square__eq__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Oidom(T_a)
     => ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_a_2) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_b_2),V_b_2)
      <=> ( V_a_2 = V_b_2
          | V_a_2 = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2) ) ) ) )).

fof(fact_minus__mult__minus,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b) ) )).

fof(fact_minus__mult__commute,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_b) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) ) )).

fof(fact_minus__mult__left,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oring(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_b) ) )).

fof(fact_minus__mult__right,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Oring(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) ) )).

fof(fact_minus__add__cancel,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)) = V_b ) )).

fof(fact_add__minus__cancel,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_b)) = V_b ) )).

fof(fact_minus__add,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)) ) )).

fof(fact_minus__add__distrib,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) ) )).

fof(fact_minus__divide__divide,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b) ) )).

fof(fact_minus__divide__right,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Fields_Ofield__inverse__zero(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) ) )).

fof(fact_minus__divide__left,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_b) ) )).

fof(fact_zmult__zminus,axiom,(
    ! [V_w,V_z] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z)),V_w) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z),V_w)) )).

fof(fact_zminus__zadd__distrib,axiom,(
    ! [V_w,V_z] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z),V_w)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w)) )).

fof(fact_setsum__negf,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),c_Groups_Ouminus__class_Ouminus(T_a)),V_f_2)),V_A_2) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),V_f_2),V_A_2)) ) )).

fof(fact_Collect__neg__eq,axiom,(
    ! [V_P_2,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),V_P_2)) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(T_a),V_P_2)) )).

fof(fact_neg__0__le__iff__le,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_le__minus__self__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_neg__le__0__iff__le,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_minus__le__self__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),V_a_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_neg__0__less__iff__less,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_neg__less__0__iff__less,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_neg__less__nonneg,axiom,(
    ! [V_a_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),V_a_2))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_less__minus__self__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_right__minus,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_eq__neg__iff__add__eq__0,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( V_a_2 = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b_2)
      <=> hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_b_2) = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_left__minus,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_ab__left__minus,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_a) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_minus__unique,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b) = c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a) = V_b ) ) )).

fof(fact_diff__0,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a) ) )).

fof(fact_diff__minus__eq__add,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),V_b) ) )).

fof(fact_ab__diff__minus,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) ) )).

fof(fact_diff__def,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Ogroup__add(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_a),V_b) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) ) )).

fof(fact_comm__ring__1__class_Onormalizing__ring__rules_I2_J,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Ocomm__ring__1(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x),V_y) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y)) ) )).

fof(fact_comm__ring__1__class_Onormalizing__ring__rules_I1_J,axiom,(
    ! [V_x,T_a] :
      ( class_Rings_Ocomm__ring__1(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a))),V_x) ) )).

fof(fact_square__eq__1__iff,axiom,(
    ! [V_x_2,T_a] :
      ( class_Rings_Oring__1__no__zero__divisors(T_a)
     => ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x_2),V_x_2) = c_Groups_Oone__class_Oone(T_a)
      <=> ( V_x_2 = c_Groups_Oone__class_Oone(T_a)
          | V_x_2 = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a)) ) ) ) )).

fof(fact_inf__compl__bot,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_compl__inf__bot,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)),V_x) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_diff__eq,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x),V_y) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y)) ) )).

fof(fact_compl__bot__eq,axiom,(
    ! [T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Orderings_Obot__class_Obot(T_a)) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_compl__top__eq,axiom,(
    ! [T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Orderings_Otop__class_Otop(T_a)) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_compl__inf,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y)) ) )).

fof(fact_compl__sup,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y)) ) )).

fof(fact_sup__compl__top,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_compl__sup__top,axiom,(
    ! [V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)),V_x) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_nonzero__minus__divide__right,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) ) ) )).

fof(fact_nonzero__minus__divide__divide,axiom,(
    ! [V_a,V_b,T_a] :
      ( class_Rings_Odivision__ring(T_a)
     => ( V_b != c_Groups_Ozero__class_Ozero(T_a)
       => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_b)) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),V_b) ) ) )).

fof(fact_abs__le__D2,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),V_b))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_b)) ) ) )).

fof(fact_abs__leI,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_b))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),V_b)) ) ) ) )).

fof(fact_abs__le__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a_2)),V_b_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),V_b_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),V_b_2)) ) ) ) )).

fof(fact_abs__ge__minus__self,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a))) ) )).

fof(fact_abs__less__iff,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a_2)),V_b_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),V_b_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),V_b_2)) ) ) ) )).

fof(fact_subset__Compl__self__eq,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)))
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_Compl__empty__eq,axiom,(
    ! [T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Compl__UNIV__eq,axiom,(
    ! [T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_finite__compl,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)))
      <=> hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) ) ) )).

fof(fact_Compl__disjoint,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Compl__disjoint2,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Compl__partition,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Compl__partition2,axiom,(
    ! [V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_A_2) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Compl__Int,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2)) )).

fof(fact_Compl__Un,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2)) )).

fof(fact_minus__max__eq__min,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_x),V_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y)) ) )).

fof(fact_minus__min__eq__max,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_x),V_y)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y)) ) )).

fof(fact_image__uminus__atLeastAtMost,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),c_SetInterval_Oord__class_OatLeastAtMost(T_a,V_x_2,V_y_2)) = c_SetInterval_Oord__class_OatLeastAtMost(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_Compl__eq__Diff__UNIV,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_A_2) )).

fof(fact_abs__power__minus,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_n)) = hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) ) )).

fof(fact_zadd__zminus__inverse2,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z)),V_z) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_Compl__Diff__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_B_2) )).

fof(fact_Diff__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2)) )).

fof(fact_Diff__Compl,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_negative__eq__positive,axiom,(
    ! [V_m_2,V_n_2] :
      ( hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2)
    <=> ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        & V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_not__int__zless__negative,axiom,(
    ! [V_m,V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m)))) )).

fof(fact_zmod__zminus1__not__zero,axiom,(
    ! [V_l,V_k] :
      ( c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_k),V_l) != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_k,V_l) != c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) )).

fof(fact_zmod__zminus2__not__zero,axiom,(
    ! [V_l,V_k] :
      ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_k,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_l)) != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_k,V_l) != c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) )).

fof(fact_diff__int__def,axiom,(
    ! [V_w,V_z] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_z),V_w) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w)) )).

fof(fact_diff__int__def__symmetric,axiom,(
    ! [V_w,V_z] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_z),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_z),V_w) )).

fof(fact_Ints__minus,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Int_Oring__1__class_OInts(T_a)))
       => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a_2)),c_Int_Oring__1__class_OInts(T_a))) ) ) )).

fof(fact_image__uminus__greaterThanLessThan,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,V_x_2,V_y_2)) = c_SetInterval_Oord__class_OgreaterThanLessThan(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_Compl__eq,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))) )).

fof(fact_Compl__lessThan,axiom,(
    ! [V_k_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_k_2)) = hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_k_2) ) )).

fof(fact_Compl__atLeast,axiom,(
    ! [V_k_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_k_2)) = hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_k_2) ) )).

fof(fact_Collect__imp__eq,axiom,(
    ! [V_Q_2,V_P_2,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fimplies),V_P_2)),V_Q_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(T_a),V_P_2))),hAPP(c_Set_OCollect(T_a),V_Q_2)) )).

fof(fact_Compl__atMost,axiom,(
    ! [V_k_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_k_2)) = hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_k_2) ) )).

fof(fact_Compl__greaterThan,axiom,(
    ! [V_k_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_k_2)) = hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_k_2) ) )).

fof(fact_abs__minus__le__zero,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a))),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_abs__of__nonpos,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a) ) ) )).

fof(fact_abs__if,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oabs__if(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
         => hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
         => hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) = V_a ) ) ) )).

fof(fact_abs__of__neg,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a) ) ) )).

fof(fact_power__minus,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),V_n) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a))),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)) ) )).

fof(fact_disjoint__eq__subset__Compl,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2))) ) )).

fof(fact_surj__Compl__image__subset,axiom,(
    ! [V_A_2,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2))),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,tc_HOL_Obool)),V_A_2)))) ) )).

fof(fact_int__zle__neg,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2))))
    <=> ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        & V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_negative__zle__0,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n))),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_nat__zminus__int,axiom,(
    ! [V_n] : hAPP(c_Int_Onat,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n))) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_zmod__zminus1__eq__if,axiom,(
    ! [V_b,V_a] :
      ( ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
      & ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),V_b) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)) ) ) )).

fof(fact_zmod__zminus2__eq__if,axiom,(
    ! [V_b,V_a] :
      ( ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
      & ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)),V_b) ) ) )).

fof(fact_zabs__def,axiom,(
    ! [V_i] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_i),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_i) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_i) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_i),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_i) = V_i ) ) )).

fof(fact_image__uminus__greaterThanAtMost,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,V_x_2,V_y_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y_2)),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_image__uminus__atLeastLessThan,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_x_2),V_y_2)) = c_SetInterval_Oord__class_OgreaterThanAtMost(T_a,hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_y_2),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_neg__zminus__int,axiom,(
    ! [V_n] : hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,V_n))))) )).

fof(fact_image__uminus__lessThan,axiom,(
    ! [V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),hAPP(c_SetInterval_Oord__class_OlessThan(T_a),V_x_2)) = hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_image__uminus__greaterThan,axiom,(
    ! [V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),hAPP(c_SetInterval_Oord__class_OgreaterThan(T_a),V_x_2)) = hAPP(c_SetInterval_Oord__class_OlessThan(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_image__uminus__atMost,axiom,(
    ! [V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),hAPP(c_SetInterval_Oord__class_OatMost(T_a),V_x_2)) = hAPP(c_SetInterval_Oord__class_OatLeast(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_image__uminus__atLeast,axiom,(
    ! [V_x_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),hAPP(c_SetInterval_Oord__class_OatLeast(T_a),V_x_2)) = hAPP(c_SetInterval_Oord__class_OatMost(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x_2)) ) )).

fof(fact_Pow__Compl,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Set_OPow(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)) = hAPP(c_Set_OCollect(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_HOL_Obool,tc_fun(T_a,tc_HOL_Obool)),c_HOL_OEx(tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),c_COMBS(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_fconj)),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,tc_fun(T_a,tc_HOL_Obool))),c_fequal)),c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)))))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_HOL_Obool,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),c_Set_OPow(T_a))))) )).

fof(fact_compl__unique,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Lattices_Oboolean__algebra(T_a)
     => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x),V_y) = c_Orderings_Obot__class_Obot(T_a)
       => ( hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x),V_y) = c_Orderings_Otop__class_Otop(T_a)
         => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x) = V_y ) ) ) )).

fof(fact_not__zle__0__negative,axiom,(
    ! [V_n] : ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,V_n))))) )).

fof(fact_negative__zless__0,axiom,(
    ! [V_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,V_n)))),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_nat__mult__distrib__neg,axiom,(
    ! [V_z_H,V_z] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z),V_z_H)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onat,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z))),hAPP(c_Int_Onat,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z_H))) ) )).

fof(fact_minus__Max__eq__Min,axiom,(
    ! [V_S_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( V_S_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Big__Operators_Olinorder__class_OMax(T_a,V_S_2)) = c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),V_S_2)) ) ) ) )).

fof(fact_minus__Min__eq__Max,axiom,(
    ! [V_S_2,T_a] :
      ( class_Groups_Olinordered__ab__group__add(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( V_S_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Big__Operators_Olinorder__class_OMin(T_a,V_S_2)) = c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(c_Set_Oimage(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a)),V_S_2)) ) ) ) )).

fof(fact_zdiv__zminus1__eq__if,axiom,(
    ! [V_a,V_b] :
      ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => ( ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a)),V_b) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)) )
        & ( c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a)),V_b) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b))),c_Groups_Oone__class_Oone(tc_Int_Oint)) ) ) ) )).

fof(fact_z3div__def,axiom,(
    ! [V_k,V_l] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_l))
       => c_SMT_Oz3div(V_k,V_l) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_k),V_l) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_l))
       => c_SMT_Oz3div(V_k,V_l) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_k),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_l))) ) ) )).

fof(fact_z3mod__def,axiom,(
    ! [V_k,V_l] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_l))
       => c_SMT_Oz3mod(V_k,V_l) = c_Divides_Odiv__class_Omod(tc_Int_Oint,V_k,V_l) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_l))
       => c_SMT_Oz3mod(V_k,V_l) = c_Divides_Odiv__class_Omod(tc_Int_Oint,V_k,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_l)) ) ) )).

fof(fact_of__int__of__nat,axiom,(
    ! [V_k,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_k) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onat,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_k)))) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_k) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onat,V_k)) ) ) ) )).

fof(fact_negD,axiom,(
    ! [V_x] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_x),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ? [B_n] : V_x = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Nat_OSuc,B_n))) ) )).

fof(fact_of__int__eq__iff,axiom,(
    ! [V_z_2,V_w_2,T_a] :
      ( class_Int_Oring__char__0(T_a)
     => ( hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_w_2) = hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)
      <=> V_w_2 = V_z_2 ) ) )).

fof(fact_of__int__int__eq,axiom,(
    ! [V_n] : hAPP(c_Int_Oring__1__class_Oof__int(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n) )).

fof(fact_of__int__eq__0__iff,axiom,(
    ! [V_z_2,T_a] :
      ( class_Int_Oring__char__0(T_a)
     => ( hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> V_z_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) ) )).

fof(fact_of__int__0__eq__iff,axiom,(
    ! [V_z_2,T_a] :
      ( class_Int_Oring__char__0(T_a)
     => ( c_Groups_Ozero__class_Ozero(T_a) = hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)
      <=> V_z_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) ) )).

fof(fact_of__int__0,axiom,(
    ! [T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_of__int__le__iff,axiom,(
    ! [V_z_2,V_w_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_w_2)),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_w_2),V_z_2)) ) ) )).

fof(fact_of__int__less__iff,axiom,(
    ! [V_z_2,V_w_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_w_2)),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),V_z_2)) ) ) )).

fof(fact_of__int__add,axiom,(
    ! [V_z,V_w,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_w),V_z)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_w)),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z)) ) )).

fof(fact_of__int__mult,axiom,(
    ! [V_z,V_w,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_w),V_z)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_w)),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z)) ) )).

fof(fact_of__int__1,axiom,(
    ! [T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),c_Groups_Oone__class_Oone(tc_Int_Oint)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_of__int__diff,axiom,(
    ! [V_z,V_w,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_w),V_z)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_w)),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z)) ) )).

fof(fact_of__int__of__nat__eq,axiom,(
    ! [V_n,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n)) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n) ) )).

fof(fact_of__int__minus,axiom,(
    ! [V_z,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z)) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z)) ) )).

fof(fact_Ints__of__int,axiom,(
    ! [V_z_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)),c_Int_Oring__1__class_OInts(T_a))) ) )).

fof(fact_of__int__power,axiom,(
    ! [V_n,V_z,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_z),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z)),V_n) ) )).

fof(fact_of__int__setsum,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,tc_Int_Oint),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBB(tc_Int_Oint,T_a,T_b),c_Int_Oring__1__class_Oof__int(T_a)),V_f_2)),V_A_2) ) )).

fof(fact_of__int__setprod,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( ( class_Groups_Ocomm__monoid__mult(T_a)
        & class_Rings_Oring__1(T_a) )
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,tc_Int_Oint),V_f_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),hAPP(hAPP(c_COMBB(tc_Int_Oint,T_a,T_b),c_Int_Oring__1__class_Oof__int(T_a)),V_f_2)),V_A_2) ) )).

fof(fact_of__int__0__le__iff,axiom,(
    ! [V_z_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2)) ) ) )).

fof(fact_of__int__le__0__iff,axiom,(
    ! [V_z_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_z_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )).

fof(fact_of__int__less__0__iff,axiom,(
    ! [V_z_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_z_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )).

fof(fact_of__int__0__less__iff,axiom,(
    ! [V_z_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z_2)) ) ) )).

fof(fact_of__nat__nat,axiom,(
    ! [V_z,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_z))
       => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onat,V_z)) = hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_z) ) ) )).

fof(fact_sgn__neg,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => c_Groups_Osgn__class_Osgn(T_a,V_a) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a)) ) ) )).

fof(fact_sgn__1__neg,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( c_Groups_Osgn__class_Osgn(T_a,V_a_2) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_sgn__if,axiom,(
    ! [V_x,T_a] :
      ( class_Groups_Osgn__if(T_a)
     => ( ( V_x = c_Groups_Ozero__class_Ozero(T_a)
         => c_Groups_Osgn__class_Osgn(T_a,V_x) = c_Groups_Ozero__class_Ozero(T_a) )
        & ( V_x != c_Groups_Ozero__class_Ozero(T_a)
         => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
             => c_Groups_Osgn__class_Osgn(T_a,V_x) = c_Groups_Oone__class_Oone(T_a) )
            & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
             => c_Groups_Osgn__class_Osgn(T_a,V_x) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a)) ) ) ) ) ) )).

fof(fact_zsgn__def,axiom,(
    ! [V_i] :
      ( ( V_i = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Groups_Osgn__class_Osgn(tc_Int_Oint,V_i) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
      & ( V_i != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_i))
           => c_Groups_Osgn__class_Osgn(tc_Int_Oint,V_i) = c_Groups_Oone__class_Oone(tc_Int_Oint) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_i))
           => c_Groups_Osgn__class_Osgn(tc_Int_Oint,V_i) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)) ) ) ) ) )).

fof(fact_sgn__sgn,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => c_Groups_Osgn__class_Osgn(T_a,c_Groups_Osgn__class_Osgn(T_a,V_a)) = c_Groups_Osgn__class_Osgn(T_a,V_a) ) )).

fof(fact_sgn__0__0,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( c_Groups_Osgn__class_Osgn(T_a,V_a_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_sgn0,axiom,(
    ! [T_a] :
      ( class_Groups_Osgn__if(T_a)
     => c_Groups_Osgn__class_Osgn(T_a,c_Groups_Ozero__class_Ozero(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_sgn__times,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => c_Groups_Osgn__class_Osgn(T_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_b)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Groups_Osgn__class_Osgn(T_a,V_a)),c_Groups_Osgn__class_Osgn(T_a,V_b)) ) )).

fof(fact_sgn__greater,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),c_Groups_Osgn__class_Osgn(T_a,V_a_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_sgn__less,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Osgn__class_Osgn(T_a,V_a_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_mult__sgn__abs,axiom,(
    ! [V_x,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),c_Groups_Osgn__class_Osgn(T_a,V_x)),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_x)) = V_x ) )).

fof(fact_abs__sgn,axiom,(
    ! [V_k,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),V_k) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_k),c_Groups_Osgn__class_Osgn(T_a,V_k)) ) )).

fof(fact_sgn__pos,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a))
       => c_Groups_Osgn__class_Osgn(T_a,V_a) = c_Groups_Oone__class_Oone(T_a) ) ) )).

fof(fact_sgn__1__pos,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( c_Groups_Osgn__class_Osgn(T_a,V_a_2) = c_Groups_Oone__class_Oone(T_a)
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) )).

fof(fact_com_Osize_I13_J,axiom,(
    ! [V_com2_2,V_com1_2,V_fun_2] : hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),c_Com_Ocom_OCond(V_fun_2,V_com1_2,V_com2_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),V_com1_2)),hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),V_com2_2))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_com_Osize_I5_J,axiom,(
    ! [V_com2_2,V_com1_2,V_fun_2] : c_Com_Ocom_Ocom__size(c_Com_Ocom_OCond(V_fun_2,V_com1_2,V_com2_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Com_Ocom_Ocom__size(V_com1_2)),c_Com_Ocom_Ocom__size(V_com2_2))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_card_Oneutral,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ( ? [B_x] : hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => c_Groups_Oone__class_Oone(tc_Nat_Onat) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
       => hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_mod__induct__0,axiom,(
    ! [V_i_2,V_P_2,V_p_2] :
      ( ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),V_p_2))
         => ( hBOOL(hAPP(V_P_2,B_i))
           => hBOOL(hAPP(V_P_2,c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,B_i),V_p_2))) ) )
     => ( hBOOL(hAPP(V_P_2,V_i_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),V_p_2))
         => hBOOL(hAPP(V_P_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) ) ) ) )).

fof(fact_evaln__elim__cases_I5_J,axiom,(
    ! [V_t_2,V_n_2,V_s_2,V_c2_2,V_c1_2,V_b_2] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OCond(V_b_2,V_c1_2,V_c2_2)),V_s_2),V_n_2),V_t_2))
     => ( ( hBOOL(hAPP(V_b_2,V_s_2))
         => ~ hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c1_2),V_s_2),V_n_2),V_t_2)) )
       => ~ ( ~ hBOOL(hAPP(V_b_2,V_s_2))
           => ~ hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c2_2),V_s_2),V_n_2),V_t_2)) ) ) ) )).

fof(fact_evaln_OIfTrue,axiom,(
    ! [V_c1_2,V_s1_2,V_n_2,V_c0_2,V_s_2,V_b_2] :
      ( hBOOL(hAPP(V_b_2,V_s_2))
     => ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c0_2),V_s_2),V_n_2),V_s1_2))
       => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OCond(V_b_2,V_c0_2,V_c1_2)),V_s_2),V_n_2),V_s1_2)) ) ) )).

fof(fact_evaln_OIfFalse,axiom,(
    ! [V_c0_2,V_s1_2,V_n_2,V_c1_2,V_s_2,V_b_2] :
      ( ~ hBOOL(hAPP(V_b_2,V_s_2))
     => ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_c1_2),V_s_2),V_n_2),V_s1_2))
       => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OCond(V_b_2,V_c0_2,V_c1_2)),V_s_2),V_n_2),V_s1_2)) ) ) )).

fof(fact_evalc_OIfFalse,axiom,(
    ! [V_c0_2,V_s1_2,V_c1_2,V_s_2,V_b_2] :
      ( ~ hBOOL(hAPP(V_b_2,V_s_2))
     => ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c1_2),V_s_2),V_s1_2))
       => hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OCond(V_b_2,V_c0_2,V_c1_2)),V_s_2),V_s1_2)) ) ) )).

fof(fact_evalc_OIfTrue,axiom,(
    ! [V_c1_2,V_s1_2,V_c0_2,V_s_2,V_b_2] :
      ( hBOOL(hAPP(V_b_2,V_s_2))
     => ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c0_2),V_s_2),V_s1_2))
       => hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OCond(V_b_2,V_c0_2,V_c1_2)),V_s_2),V_s1_2)) ) ) )).

fof(fact_evalc__elim__cases_I5_J,axiom,(
    ! [V_t_2,V_s_2,V_c2_2,V_c1_2,V_b_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OCond(V_b_2,V_c1_2,V_c2_2)),V_s_2),V_t_2))
     => ( ( hBOOL(hAPP(V_b_2,V_s_2))
         => ~ hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c1_2),V_s_2),V_t_2)) )
       => ~ ( ~ hBOOL(hAPP(V_b_2,V_s_2))
           => ~ hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_c2_2),V_s_2),V_t_2)) ) ) ) )).

fof(fact_WTs__elim__cases_I5_J,axiom,(
    ! [V_c2_2,V_c1_2,V_b_2] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OCond(V_b_2,V_c1_2,V_c2_2)))
     => ~ ( hBOOL(hAPP(c_Com_OWT,V_c1_2))
         => ~ hBOOL(hAPP(c_Com_OWT,V_c2_2)) ) ) )).

fof(fact_com_Osimps_I4_J,axiom,(
    ! [V_com2_H_2,V_com1_H_2,V_fun_H_2,V_com2_2,V_com1_2,V_fun_2] :
      ( c_Com_Ocom_OCond(V_fun_2,V_com1_2,V_com2_2) = c_Com_Ocom_OCond(V_fun_H_2,V_com1_H_2,V_com2_H_2)
    <=> ( V_fun_2 = V_fun_H_2
        & V_com1_2 = V_com1_H_2
        & V_com2_2 = V_com2_H_2 ) ) )).

fof(fact_evaln_Oequations_I6_J,axiom,(
    ! [V_a5_2,V_a4_2,V_a2_2,V_a3_2,V_a6_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OCond(V_a1_2,V_a6_2,V_a3_2)),V_a2_2),V_a4_2),V_a5_2))
    <=> ( ( hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a6_2),V_a2_2),V_a4_2),V_a5_2)) )
        | ( ~ hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a3_2),V_a2_2),V_a4_2),V_a5_2)) ) ) ) )).

fof(fact_evaln_Oequations_I5_J,axiom,(
    ! [V_a5_2,V_a4_2,V_a2_2,V_a6_2,V_a3_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,c_Com_Ocom_OCond(V_a1_2,V_a3_2,V_a6_2)),V_a2_2),V_a4_2),V_a5_2))
    <=> ( ( hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a3_2),V_a2_2),V_a4_2),V_a5_2)) )
        | ( ~ hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(hAPP(hAPP(c_Natural_Oevaln,V_a6_2),V_a2_2),V_a4_2),V_a5_2)) ) ) ) )).

fof(fact_evalc_Oequations_I5_J,axiom,(
    ! [V_a4_2,V_a2_2,V_a5_2,V_a3_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OCond(V_a1_2,V_a3_2,V_a5_2)),V_a2_2),V_a4_2))
    <=> ( ( hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a3_2),V_a2_2),V_a4_2)) )
        | ( ~ hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a5_2),V_a2_2),V_a4_2)) ) ) ) )).

fof(fact_evalc_Oequations_I6_J,axiom,(
    ! [V_a4_2,V_a2_2,V_a3_2,V_a5_2,V_a1_2] :
      ( hBOOL(hAPP(hAPP(c_Natural_Oevalc(c_Com_Ocom_OCond(V_a1_2,V_a5_2,V_a3_2)),V_a2_2),V_a4_2))
    <=> ( ( hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a5_2),V_a2_2),V_a4_2)) )
        | ( ~ hBOOL(hAPP(V_a1_2,V_a2_2))
          & hBOOL(hAPP(hAPP(c_Natural_Oevalc(V_a3_2),V_a2_2),V_a4_2)) ) ) ) )).

fof(fact_com_Osimps_I54_J,axiom,(
    ! [V_pname_H_2,V_com2_2,V_com1_2,V_fun_2] : c_Com_Ocom_OCond(V_fun_2,V_com1_2,V_com2_2) != hAPP(c_Com_Ocom_OBODY,V_pname_H_2) )).

fof(fact_com_Osimps_I55_J,axiom,(
    ! [V_com2_2,V_com1_2,V_fun_2,V_pname_H_2] : hAPP(c_Com_Ocom_OBODY,V_pname_H_2) != c_Com_Ocom_OCond(V_fun_2,V_com1_2,V_com2_2) )).

fof(fact_WT_OIf,axiom,(
    ! [V_b_2,V_c1_2,V_c0_2] :
      ( hBOOL(hAPP(c_Com_OWT,V_c0_2))
     => ( hBOOL(hAPP(c_Com_OWT,V_c1_2))
       => hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OCond(V_b_2,V_c0_2,V_c1_2))) ) ) )).

fof(fact_WT_Oequations_I5_J,axiom,(
    ! [V_a2_2,V_a1_2,V_a3_2] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OCond(V_a3_2,V_a1_2,V_a2_2)))
    <=> ( hBOOL(hAPP(c_Com_OWT,V_a1_2))
        & hBOOL(hAPP(c_Com_OWT,V_a2_2)) ) ) )).

fof(fact_com_Osimps_I52_J,axiom,(
    ! [V_com_H_2,V_fun_H_2,V_com2_2,V_com1_2,V_fun_2] : c_Com_Ocom_OCond(V_fun_2,V_com1_2,V_com2_2) != c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) )).

fof(fact_com_Osimps_I53_J,axiom,(
    ! [V_com2_2,V_com1_2,V_fun_2,V_com_H_2,V_fun_H_2] : c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) != c_Com_Ocom_OCond(V_fun_2,V_com1_2,V_com2_2) )).

fof(fact_com_Osimps_I45_J,axiom,(
    ! [V_com2_2,V_com1_2,V_com2_H_2,V_com1_H_2,V_fun_H_2] : c_Com_Ocom_OCond(V_fun_H_2,V_com1_H_2,V_com2_H_2) != c_Com_Ocom_OSemi(V_com1_2,V_com2_2) )).

fof(fact_com_Osimps_I44_J,axiom,(
    ! [V_com2_H_2,V_com1_H_2,V_fun_H_2,V_com2_2,V_com1_2] : c_Com_Ocom_OSemi(V_com1_2,V_com2_2) != c_Com_Ocom_OCond(V_fun_H_2,V_com1_H_2,V_com2_H_2) )).

fof(fact_com_Osimps_I15_J,axiom,(
    ! [V_com2_H_2,V_com1_H_2,V_fun_H_2] : c_Com_Ocom_OCond(V_fun_H_2,V_com1_H_2,V_com2_H_2) != c_Com_Ocom_OSKIP )).

fof(fact_com_Osimps_I14_J,axiom,(
    ! [V_com2_H_2,V_com1_H_2,V_fun_H_2] : c_Com_Ocom_OSKIP != c_Com_Ocom_OCond(V_fun_H_2,V_com1_H_2,V_com2_H_2) )).

fof(fact_fold__image__cong,axiom,(
    ! [V_z_2,V_h_2,V_g_2,V_A_2,T_a,T_b] :
      ( class_Groups_Oab__semigroup__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hAPP(V_g_2,B_x) = hAPP(V_h_2,B_x) )
         => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_g_2),V_z_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_b,T_a,c_Groups_Otimes__class_Otimes(T_b)),V_h_2),V_z_2),V_A_2) ) ) ) )).

fof(fact_Max__eqI,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_y] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_y),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),B_y),V_x_2)) )
         => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
           => c_Big__Operators_Olinorder__class_OMax(T_a,V_A_2) = V_x_2 ) ) ) ) )).

fof(fact_Min__eqI,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_y] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_y),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),B_y)) )
         => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
           => c_Big__Operators_Olinorder__class_OMin(T_a,V_A_2) = V_x_2 ) ) ) ) )).

fof(fact_expand__Suc,axiom,(
    ! [V_v] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)))
     => hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat))) ) )).

fof(fact_of__nat__number__of__eq,axiom,(
    ! [V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
         => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = c_Groups_Ozero__class_Ozero(T_a) )
        & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
         => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v) ) ) ) )).

fof(fact_number__of__reorient,axiom,(
    ! [V_x_2,V_w_2,T_a] :
      ( class_Int_Onumber(T_a)
     => ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) = V_x_2
      <=> V_x_2 = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) ) ) )).

fof(fact_eq__number__of,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Int_Oring__char__0(T_a) )
     => ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_of__nat__number__of__lemma,axiom,(
    ! [V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
         => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
         => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_number__of__eq,axiom,(
    ! [V_k,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_k) = hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_k) ) )).

fof(fact_of__int__number__of__eq,axiom,(
    ! [V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v) ) )).

fof(fact_le__number__of__eq__not__less,axiom,(
    ! [V_w_2,V_v_2,T_a] :
      ( ( class_Int_Onumber(T_a)
        & class_Orderings_Olinorder(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
      <=> ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2))) ) ) )).

fof(fact_right__distrib__number__of,axiom,(
    ! [V_c,V_b,V_v,T_b] :
      ( ( class_Int_Onumber(T_b)
        & class_Rings_Osemiring(T_b) )
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),V_b),V_c)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)),V_b)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)),V_c)) ) )).

fof(fact_left__distrib__number__of,axiom,(
    ! [V_v,V_b,V_a,T_b] :
      ( ( class_Int_Onumber(T_b)
        & class_Rings_Osemiring(T_b) )
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),V_a),V_b)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),V_a),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),V_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v))) ) )).

fof(fact_left__diff__distrib__number__of,axiom,(
    ! [V_v,V_b,V_a,T_b] :
      ( ( class_Int_Onumber(T_b)
        & class_Rings_Oring(T_b) )
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),V_a),V_b)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),V_a),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),V_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v))) ) )).

fof(fact_right__diff__distrib__number__of,axiom,(
    ! [V_c,V_b,V_v,T_b] :
      ( ( class_Int_Onumber(T_b)
        & class_Rings_Oring(T_b) )
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),V_b),V_c)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_b),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)),V_b)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)),V_c)) ) )).

fof(fact_le__number__of,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_x_2),V_y_2)) ) ) )).

fof(fact_less__number__of,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_x_2),V_y_2)) ) ) )).

fof(fact_min__number__of,axiom,(
    ! [V_v,V_u,T_b] :
      ( ( class_Int_Onumber(T_b)
        & class_Orderings_Oord(T_b) )
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)))
         => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)))
         => hAPP(hAPP(c_Orderings_Oord__class_Omin(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v) ) ) ) )).

fof(fact_max__number__of,axiom,(
    ! [V_v,V_u,T_b] :
      ( ( class_Int_Onumber(T_b)
        & class_Orderings_Oord(T_b) )
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)))
         => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)))
         => hAPP(hAPP(c_Orderings_Oord__class_Omax(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_u) ) ) ) )).

fof(fact_add__number__of__left,axiom,(
    ! [V_z,V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)),V_z)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),V_w))),V_z) ) )).

fof(fact_add__number__of__eq,axiom,(
    ! [V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),V_w)) ) )).

fof(fact_number__of__add,axiom,(
    ! [V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),V_w)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) ) )).

fof(fact_mult__number__of__left,axiom,(
    ! [V_z,V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)),V_z)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_v),V_w))),V_z) ) )).

fof(fact_arith__simps_I32_J,axiom,(
    ! [V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_v),V_w)) ) )).

fof(fact_number__of__mult,axiom,(
    ! [V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_v),V_w)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) ) )).

fof(fact_number__of__diff,axiom,(
    ! [V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_v),V_w)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) ) )).

fof(fact_arith__simps_I30_J,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w)) ) )).

fof(fact_number__of__minus,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w)) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) ) )).

fof(fact_Ints__number__of,axiom,(
    ! [V_w_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Int_Oring__1__class_OInts(T_a))) ) )).

fof(fact_eq__divide__eq__number__of1,axiom,(
    ! [V_w_2,V_b_2,V_a_2,T_a] :
      ( ( class_Fields_Ofield__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( V_a_2 = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))
      <=> ( ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) != c_Groups_Ozero__class_Ozero(T_a)
           => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)) = V_b_2 )
          & ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) = c_Groups_Ozero__class_Ozero(T_a)
           => V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) ) )).

fof(fact_eq__divide__eq__number__of,axiom,(
    ! [V_c_2,V_b_2,V_w_2,T_a] :
      ( ( class_Fields_Ofield__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)
      <=> ( ( V_c_2 != c_Groups_Ozero__class_Ozero(T_a)
           => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2) = V_b_2 )
          & ( V_c_2 = c_Groups_Ozero__class_Ozero(T_a)
           => hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) = c_Groups_Ozero__class_Ozero(T_a) ) ) ) ) )).

fof(fact_divide__eq__eq__number__of,axiom,(
    ! [V_w_2,V_c_2,V_b_2,T_a] :
      ( ( class_Fields_Ofield__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)
      <=> ( ( V_c_2 != c_Groups_Ozero__class_Ozero(T_a)
           => V_b_2 = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2) )
          & ( V_c_2 = c_Groups_Ozero__class_Ozero(T_a)
           => hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) = c_Groups_Ozero__class_Ozero(T_a) ) ) ) ) )).

fof(fact_divide__eq__eq__number__of1,axiom,(
    ! [V_a_2,V_w_2,V_b_2,T_a] :
      ( ( class_Fields_Ofield__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)) = V_a_2
      <=> ( ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) != c_Groups_Ozero__class_Ozero(T_a)
           => V_b_2 = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)) )
          & ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2) = c_Groups_Ozero__class_Ozero(T_a)
           => V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) ) )).

fof(fact_add__number__of__diff1,axiom,(
    ! [V_c,V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)),V_c)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),V_w))),V_c) ) )).

fof(fact_minus__number__of__mult,axiom,(
    ! [V_z,V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w))),V_z) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w))),V_z) ) )).

fof(fact_diff__number__of__eq,axiom,(
    ! [V_w,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w))) ) )).

fof(fact_less__divide__eq__number__of1,axiom,(
    ! [V_w_2,V_b_2,V_a_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))),V_b_2)) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) ) ) )).

fof(fact_less__divide__eq__number__of,axiom,(
    ! [V_c_2,V_b_2,V_w_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2)),V_b_2)) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2))) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) ) ) )).

fof(fact_divide__less__eq__number__of,axiom,(
    ! [V_w_2,V_c_2,V_b_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2))) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2)),V_b_2)) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))) ) ) ) ) ) ) )).

fof(fact_divide__less__eq__number__of1,axiom,(
    ! [V_a_2,V_w_2,V_b_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))),V_a_2))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))),V_b_2)) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) ) ) ) ) )).

fof(fact_abs__number__of,axiom,(
    ! [V_x,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x)),c_Groups_Ozero__class_Ozero(T_a)))
         => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x)) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x)),c_Groups_Ozero__class_Ozero(T_a)))
         => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x) ) ) ) )).

fof(fact_add__number__of__diff2,axiom,(
    ! [V_w,V_c,V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_c),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w)))),V_c) ) )).

fof(fact_divide__le__eq__number__of1,axiom,(
    ! [V_a_2,V_w_2,V_b_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))),V_a_2))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))),V_b_2)) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a_2)) ) ) ) ) ) ) )).

fof(fact_divide__le__eq__number__of,axiom,(
    ! [V_w_2,V_c_2,V_b_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2))) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2)),V_b_2)) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))) ) ) ) ) ) ) )).

fof(fact_le__divide__eq__number__of,axiom,(
    ! [V_c_2,V_b_2,V_w_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),V_c_2)))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2)),V_b_2)) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_c_2))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),V_c_2))) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_c_2),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) ) ) )).

fof(fact_le__divide__eq__number__of1,axiom,(
    ! [V_w_2,V_b_2,V_a_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_b_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))))
      <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2))),V_b_2)) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)))) )
              & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Groups_Ozero__class_Ozero(T_a)))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a_2),c_Groups_Ozero__class_Ozero(T_a))) ) ) ) ) ) ) )).

fof(fact_one__mod__nat__number__of,axiom,(
    ! [V_v_H] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H)))
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H)))
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onat,c_Divides_Odiv__class_Omod(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H))) ) ) )).

fof(fact_one__div__nat__number__of,axiom,(
    ! [V_v_H] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H))) )).

fof(fact_power__number__of__odd__number__of,axiom,(
    ! [V_v_2,V_w_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
         => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2))) = hAPP(hAPP(c_HOL_OLet(T_a,T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2))),hAPP(hAPP(c_COMBS(T_a,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_a),c_Groups_Otimes__class_Otimes(T_a)),hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2)))),c_COMBI(T_a))) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
         => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2))) = c_Groups_Oone__class_Oone(T_a) ) ) ) )).

fof(fact_power__nat__number__of__number__of,axiom,(
    ! [V_w,V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w)) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w)) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w))) ) ) )).

fof(fact_minus__numeral__code_I5_J,axiom,(
    ! [V_w] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w)) )).

fof(fact_neg__number__of__Bit1,axiom,(
    ! [V_w_2] :
      ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(V_w_2))))
    <=> hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2))) ) )).

fof(fact_times__numeral__code_I5_J,axiom,(
    ! [V_w,V_v] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_v),V_w)) )).

fof(fact_number__of__is__id,axiom,(
    ! [V_k] : hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_k) = V_k )).

fof(fact_plus__numeral__code_I9_J,axiom,(
    ! [V_w,V_v] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),V_w)) )).

fof(fact_less__number__of__int__code,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_k_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_less__eq__number__of__int__code,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_k_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_rel__simps_I51_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( c_Int_OBit1(V_k_2) = c_Int_OBit1(V_l_2)
    <=> V_k_2 = V_l_2 ) )).

fof(fact_less__int__code_I16_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(V_k1_2)),c_Int_OBit1(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_rel__simps_I17_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OBit1(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_rel__simps_I34_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OBit1(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_less__eq__int__code_I16_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit1(V_k1_2)),c_Int_OBit1(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_int__number__of__def,axiom,(
    ! [V_w] : hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w) = hAPP(c_Int_Oring__1__class_Oof__int(tc_Int_Oint),V_w) )).

fof(fact_bin__less__0__simps_I4_J,axiom,(
    ! [V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(V_w_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_Bit1__def,axiom,(
    ! [V_k] : c_Int_OBit1(V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_k)),V_k) )).

fof(fact_nat__number__of__def,axiom,(
    ! [V_v] : hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) = hAPP(c_Int_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)) )).

fof(fact_nat__number__of,axiom,(
    ! [V_w] : hAPP(c_Int_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w) )).

fof(fact_nat__number__of__Bit1,axiom,(
    ! [V_w_2] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
       => hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
       => hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2)) = hAPP(hAPP(c_HOL_OLet(tc_Nat_Onat,tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Nat_OSuc),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_COMBI(tc_Nat_Onat)))) ) ) )).

fof(fact_number__of__Bit1,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(V_w)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w))),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) ) )).

fof(fact_power__number__of__odd,axiom,(
    ! [V_z_2,V_w_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
         => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2))) = hAPP(hAPP(c_HOL_OLet(T_a,T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2))),hAPP(hAPP(c_COMBS(T_a,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_a),c_Groups_Otimes__class_Otimes(T_a)),hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z_2))),c_COMBI(T_a))) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
         => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2))) = c_Groups_Oone__class_Oone(T_a) ) ) ) )).

fof(fact_zpower__number__of__odd,axiom,(
    ! [V_z_2,V_w_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2))) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint),c_Groups_Otimes__class_Otimes(tc_Int_Oint)),hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_z_2))),c_COMBI(tc_Int_Oint))) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2)))
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(V_w_2))) = c_Groups_Oone__class_Oone(tc_Int_Oint) ) ) )).

fof(fact_minus__numeral__code_I6_J,axiom,(
    ! [V_w,V_v] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w))) )).

fof(fact_neg__imp__number__of__eq__0,axiom,(
    ! [V_v] :
      ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
     => hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_int__eq__iff__number__of,axiom,(
    ! [V_v_2,V_m_2] :
      ( hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_2)
    <=> ( V_m_2 = hAPP(c_Int_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_2))) ) ) )).

fof(fact_eq__nat__number__of,axiom,(
    ! [V_v_H_2,V_v_2] :
      ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H_2)
    <=> ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_2)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
        & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_2)))
         => ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H_2)))
             => hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_2) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
            & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H_2)))
             => V_v_2 = V_v_H_2 ) ) ) ) ) )).

fof(fact_nat__number__of__add__left,axiom,(
    ! [V_k,V_v_H,V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)),V_k)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)),V_k) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H)))
           => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)),V_k)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),V_k) )
          & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H)))
           => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)),V_k)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),V_v_H))),V_k) ) ) ) ) )).

fof(fact_int__nat__number__of,axiom,(
    ! [V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v) ) ) )).

fof(fact_mod__nat__number__of,axiom,(
    ! [V_v_H,V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H)))
           => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) )
          & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H)))
           => c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onat,c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H))) ) ) ) ) )).

fof(fact_div__nat__number__of,axiom,(
    ! [V_v_H,V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onat,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v_H))) ) ) )).

fof(fact_power__nat__number__of,axiom,(
    ! [V_n,V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),V_n) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),V_n) = hAPP(c_Int_Onat,hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),V_n)) ) ) )).

fof(fact_Suc__nat__number__of__add,axiom,(
    ! [V_n,V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),V_n)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_n) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),V_n)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_Osucc(V_v))),V_n) ) ) )).

fof(fact_diff__nat__number__of,axiom,(
    ! [V_v_2,V_v_H_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v_H_2),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H_2)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v_H_2),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_v_H_2)))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),tc_Int_Oint),c_If(tc_Nat_Onat)),c_Nat__Numeral_Oneg)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),c_Int_Onat)) ) ) )).

fof(fact_min__number__of__Suc,axiom,(
    ! [V_v_2,V_n_2] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),tc_Int_Oint),c_If(tc_Nat_Onat)),c_Nat__Numeral_Oneg)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Int_Oint),c_Nat_OSuc),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Int_Oint),hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_n_2)),c_Int_Onat)))) )).

fof(fact_min__Suc__number__of,axiom,(
    ! [V_n_2,V_v_2] : hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Nat_OSuc,V_n_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),tc_Int_Oint),c_If(tc_Nat_Onat)),c_Nat__Numeral_Oneg)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Int_Oint),c_Nat_OSuc),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Int_Oint),c_Orderings_Oord__class_Omin(tc_Nat_Onat)),c_Int_Onat)),V_n_2)))) )).

fof(fact_rel__simps_I46_J,axiom,(
    ! [V_k] : c_Int_OBit1(V_k) != c_Int_OPls )).

fof(fact_rel__simps_I39_J,axiom,(
    ! [V_l] : c_Int_OPls != c_Int_OBit1(V_l) )).

fof(fact_succ__Pls,axiom,(
    c_Int_Osucc(c_Int_OPls) = c_Int_OBit1(c_Int_OPls) )).

fof(fact_minus__Pls,axiom,(
    hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Int_OPls) = c_Int_OPls )).

fof(fact_rel__simps_I19_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),c_Int_OPls)) )).

fof(fact_rel__simps_I2_J,axiom,(
    ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),c_Int_OPls)) )).

fof(fact_succ__pred,axiom,(
    ! [V_x] : c_Int_Osucc(c_Int_Opred(V_x)) = V_x )).

fof(fact_Pls__def,axiom,(
    c_Int_OPls = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_mult__Pls,axiom,(
    ! [V_w] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),c_Int_OPls),V_w) = c_Int_OPls )).

fof(fact_add__Pls__right,axiom,(
    ! [V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),c_Int_OPls) = V_k )).

fof(fact_add__Pls,axiom,(
    ! [V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OPls),V_k) = V_k )).

fof(fact_diff__bin__simps_I1_J,axiom,(
    ! [V_k] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k),c_Int_OPls) = V_k )).

fof(fact_semiring__norm_I112_J,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => c_Groups_Ozero__class_Ozero(T_a) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OPls) ) )).

fof(fact_number__of__Pls,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OPls) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_add__numeral__0,axiom,(
    ! [V_a,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OPls)),V_a) = V_a ) )).

fof(fact_add__numeral__0__right,axiom,(
    ! [V_a,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OPls)) = V_a ) )).

fof(fact_bin__less__0__simps_I1_J,axiom,(
    ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_semiring__norm_I113_J,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Nat_Onat) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OPls) )).

fof(fact_nat__number__of__Pls,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OPls) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_zero__is__num__zero,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Int_Oint) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OPls) )).

fof(fact_rel__simps_I22_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),c_Int_OBit1(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),V_k_2)) ) )).

fof(fact_rel__simps_I12_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OPls))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Int_OPls)) ) )).

fof(fact_Suc__diff__number__of,axiom,(
    ! [V_m,V_v] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),V_v))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_Opred(V_v))) ) )).

fof(fact_not__neg__number__of__Pls,axiom,(
    ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OPls))) )).

fof(fact_nat__1__add__number__of,axiom,(
    ! [V_v] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = c_Groups_Oone__class_Oone(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_Osucc(V_v)) ) ) )).

fof(fact_nat__number__of__add__1,axiom,(
    ! [V_v] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = c_Groups_Oone__class_Oone(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_Osucc(V_v)) ) ) )).

fof(fact_le__iff__pred__less,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),V_l_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_Opred(V_k_2)),V_l_2)) ) )).

fof(fact_minus__Bit1,axiom,(
    ! [V_k] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Int_OBit1(V_k)) = c_Int_OBit1(c_Int_Opred(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_k))) )).

fof(fact_pred__def,axiom,(
    ! [V_k] : c_Int_Opred(V_k) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k),c_Groups_Oone__class_Oone(tc_Int_Oint)) )).

fof(fact_nat__number__of__diff__1,axiom,(
    ! [V_v] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_Opred(V_v)) ) ) )).

fof(fact_mult__numeral__1__right,axiom,(
    ! [V_a,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(c_Int_OPls))) = V_a ) )).

fof(fact_mult__numeral__1,axiom,(
    ! [V_a,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(c_Int_OPls))),V_a) = V_a ) )).

fof(fact_divide__Numeral0,axiom,(
    ! [V_x,T_a] :
      ( ( class_Fields_Ofield__inverse__zero(T_a)
        & class_Int_Onumber__ring(T_a) )
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OPls)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_semiring__norm_I110_J,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => c_Groups_Oone__class_Oone(T_a) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(c_Int_OPls)) ) )).

fof(fact_numeral__1__eq__1,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(c_Int_OPls)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_eq__number__of__0,axiom,(
    ! [V_v_2] :
      ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_v_2),c_Int_OPls)) ) )).

fof(fact_eq__0__number__of,axiom,(
    ! [V_v_2] :
      ( c_Groups_Ozero__class_Ozero(tc_Nat_Onat) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_v_2),c_Int_OPls)) ) )).

fof(fact_number__of2,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OPls))) )).

fof(fact_rel__simps_I29_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OPls))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Int_OPls)) ) )).

fof(fact_rel__simps_I5_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),c_Int_OBit1(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),V_k_2)) ) )).

fof(fact_less__nat__number__of,axiom,(
    ! [V_v_H_2,V_v_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v_2),V_v_H_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),V_v_H_2)) )
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v_2),V_v_H_2)) ) ) )).

fof(fact_divide__numeral__1,axiom,(
    ! [V_a,T_a] :
      ( ( class_Fields_Ofield(T_a)
        & class_Int_Onumber__ring(T_a) )
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(c_Int_OPls))) = V_a ) )).

fof(fact_divide__Numeral1,axiom,(
    ! [V_x,T_a] :
      ( ( class_Fields_Ofield(T_a)
        & class_Int_Onumber__ring(T_a) )
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(c_Int_OPls))) = V_x ) )).

fof(fact_le__nat__number__of,axiom,(
    ! [V_v_H_2,V_v_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H_2)))
    <=> ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_v_2),V_v_H_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_v_2),c_Int_OPls)) ) ) )).

fof(fact_one__is__num__one,axiom,(
    c_Groups_Oone__class_Oone(tc_Int_Oint) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(c_Int_OPls)) )).

fof(fact_Numeral1__eq1__nat,axiom,(
    c_Groups_Oone__class_Oone(tc_Nat_Onat) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OPls)) )).

fof(fact_nat__numeral__1__eq__1,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OPls)) = c_Groups_Oone__class_Oone(tc_Nat_Onat) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I8_J,axiom,(
    c_Nat__Transfer_Ois__nat(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))) )).

fof(fact_succ__def,axiom,(
    ! [V_k] : c_Int_Osucc(V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),c_Groups_Oone__class_Oone(tc_Int_Oint)) )).

fof(fact_le__special_I3_J,axiom,(
    ! [V_x_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_x_2),c_Int_OPls)) ) ) )).

fof(fact_le__special_I1_J,axiom,(
    ! [V_y_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),V_y_2)) ) ) )).

fof(fact_less__special_I3_J,axiom,(
    ! [V_x_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2)),c_Groups_Ozero__class_Ozero(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_x_2),c_Int_OPls)) ) ) )).

fof(fact_less__special_I1_J,axiom,(
    ! [V_y_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),V_y_2)) ) ) )).

fof(fact_less__0__number__of,axiom,(
    ! [V_v_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),V_v_2)) ) )).

fof(fact_numeral__3__eq__3,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls))) = hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))) )).

fof(fact_numeral__1__eq__Suc__0,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OPls)) = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_power3__eq__cube,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_a)),V_a) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I8_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(c_Int_OBit1(c_Int_OPls))))) )).

fof(fact_Suc3__eq__add__3,axiom,(
    ! [V_n] : hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_n))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_n) )).

fof(fact_add__nat__number__of,axiom,(
    ! [V_v_H,V_v] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v_H),c_Int_OPls))
           => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v_H),c_Int_OPls))
           => hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),V_v_H)) ) ) ) ) )).

fof(fact_transfer__int__nat__numerals_I4_J,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(c_Int_OBit1(c_Int_OPls))) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))) )).

fof(fact_transfer__nat__int__numerals_I4_J,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls))) = hAPP(c_Int_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))) )).

fof(fact_number__of__succ,axiom,(
    ! [V_k,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_Osucc(V_k)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_k)) ) )).

fof(fact_number__of__pred,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_Opred(V_w)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a))),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) ) )).

fof(fact_le__special_I4_J,axiom,(
    ! [V_x_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2)),c_Groups_Oone__class_Oone(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_x_2),c_Int_OBit1(c_Int_OPls))) ) ) )).

fof(fact_le__special_I2_J,axiom,(
    ! [V_y_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit1(c_Int_OPls)),V_y_2)) ) ) )).

fof(fact_less__special_I4_J,axiom,(
    ! [V_x_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2)),c_Groups_Oone__class_Oone(T_a)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_x_2),c_Int_OBit1(c_Int_OPls))) ) ) )).

fof(fact_less__special_I2_J,axiom,(
    ! [V_y_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(c_Int_OPls)),V_y_2)) ) ) )).

fof(fact_add__special_I2_J,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit1(c_Int_OPls)),V_w)) ) )).

fof(fact_add__special_I3_J,axiom,(
    ! [V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),c_Groups_Oone__class_Oone(T_a)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),c_Int_OBit1(c_Int_OPls))) ) )).

fof(fact_Suc__diff__eq__diff__pred,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OPls)),V_n))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_m)),V_n) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OPls)))) ) )).

fof(fact_nat__number__of__mult__left,axiom,(
    ! [V_k,V_v_H,V_v] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)),V_k)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)),V_k)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_v),V_v_H))),V_k) ) ) )).

fof(fact_mult__nat__number__of,axiom,(
    ! [V_v_H,V_v] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_v),c_Int_OPls))
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_H)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_v),V_v_H)) ) ) )).

fof(fact_neg__number__of__pred__iff__0,axiom,(
    ! [V_v_2] :
      ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))))
    <=> hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) )).

fof(fact_Suc__mod__eq__add3__mod__number__of,axiom,(
    ! [V_v,V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_m))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_m),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) )).

fof(fact_Suc__mod__eq__add3__mod,axiom,(
    ! [V_n,V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_m))),V_n) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_m),V_n) )).

fof(fact_mod__Suc__eq__mod__add3,axiom,(
    ! [V_n,V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_n)))) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_n)) )).

fof(fact_Suc__div__eq__add3__div__number__of,axiom,(
    ! [V_v,V_m] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_m)))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) )).

fof(fact_Suc__div__eq__add3__div,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_m)))),V_n) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_m)),V_n) )).

fof(fact_div__Suc__eq__div__add3,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_n)))) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_n)) )).

fof(fact_diff__special_I2_J,axiom,(
    ! [V_v,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v)),c_Groups_Oone__class_Oone(T_a)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_v),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Int_OBit1(c_Int_OPls)))) ) )).

fof(fact_diff__special_I1_J,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit1(c_Int_OPls)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_w))) ) )).

fof(fact_Suc__eq__number__of,axiom,(
    ! [V_v_2,V_n_2] :
      ( hAPP(c_Nat_OSuc,V_n_2) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)
    <=> hBOOL(hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_HOL_Obool),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fimplies),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_Int_Oint),c_fequal),c_Int_Onat)),V_n_2))))) ) )).

fof(fact_eq__number__of__Suc,axiom,(
    ! [V_n_2,V_v_2] :
      ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2) = hAPP(c_Nat_OSuc,V_n_2)
    <=> hBOOL(hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_HOL_Obool),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fimplies),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_Int_Oint),c_fequal),c_Int_Onat)),V_n_2))))) ) )).

fof(fact_nat__case__number__of,axiom,(
    ! [V_v_2,V_f_2,V_a_2,T_a] : c_Nat_Onat_Onat__case(T_a,V_a_2,V_f_2,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,T_a,T_a),hAPP(hAPP(c_COMBC(tc_Int_Oint,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),tc_Int_Oint),c_If(T_a)),c_Nat__Numeral_Oneg)),V_a_2)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Int_Oint),V_f_2),c_Int_Onat))) )).

fof(fact_less__Suc__number__of,axiom,(
    ! [V_v_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_HOL_Obool),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fimplies),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_Int_Oint),hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2)),c_Int_Onat))))) ) )).

fof(fact_less__number__of__Suc,axiom,(
    ! [V_n_2,V_v_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Nat_OSuc,V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_HOL_Obool),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fimplies),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_Int_Oint),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),c_Int_Onat)),V_n_2)))) ) )).

fof(fact_le__Suc__number__of,axiom,(
    ! [V_v_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_HOL_Obool),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fimplies),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_Int_Oint),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2)),c_Int_Onat))))) ) )).

fof(fact_le__number__of__Suc,axiom,(
    ! [V_n_2,V_v_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Nat_OSuc,V_n_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_HOL_Obool),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fimplies),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),c_fNot),c_Nat__Numeral_Oneg))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_Int_Oint),c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat)),c_Int_Onat)),V_n_2)))) ) )).

fof(fact_Suc__nat__number__of,axiom,(
    ! [V_v] :
      ( ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(c_Nat_OSuc,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = c_Groups_Oone__class_Oone(tc_Nat_Onat) )
      & ( ~ hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
       => hAPP(c_Nat_OSuc,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_Osucc(V_v)) ) ) )).

fof(fact_max__Suc__number__of,axiom,(
    ! [V_n_2,V_v_2] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),hAPP(c_Nat_OSuc,V_n_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),tc_Int_Oint),c_If(tc_Nat_Onat)),c_Nat__Numeral_Oneg)),hAPP(c_Nat_OSuc,V_n_2))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Int_Oint),c_Nat_OSuc),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Int_Oint),c_Orderings_Oord__class_Omax(tc_Nat_Onat)),c_Int_Onat)),V_n_2)))) )).

fof(fact_max__number__of__Suc,axiom,(
    ! [V_v_2,V_n_2] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat)),tc_Int_Oint),c_If(tc_Nat_Onat)),c_Nat__Numeral_Oneg)),hAPP(c_Nat_OSuc,V_n_2))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Int_Oint),c_Nat_OSuc),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Int_Oint),hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),V_n_2)),c_Int_Onat)))) )).

fof(fact_nat__case__add__eq__if,axiom,(
    ! [V_n_2,V_v_2,V_f_2,V_a_2,T_a] : c_Nat_Onat_Onat__case(T_a,V_a_2,V_f_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),V_n_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,T_a,T_a),hAPP(hAPP(c_COMBC(tc_Int_Oint,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),tc_Int_Oint),c_If(T_a)),c_Nat__Numeral_Oneg)),c_Nat_Onat_Onat__case(T_a,V_a_2,V_f_2,V_n_2))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Int_Oint),V_f_2),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Int_Oint),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_Int_Onat)),V_n_2)))) )).

fof(fact_nat__rec__add__eq__if,axiom,(
    ! [V_n_2,V_v_2,V_f_2,V_a_2,T_a] : hAPP(c_Nat_Onat_Onat__rec(T_a,V_a_2,V_f_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)),V_n_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,T_a,T_a),hAPP(hAPP(c_COMBC(tc_Int_Oint,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),tc_Int_Oint),c_If(T_a)),c_Nat__Numeral_Oneg)),hAPP(c_Nat_Onat_Onat__rec(T_a,V_a_2,V_f_2),V_n_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,T_a,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(T_a,T_a),tc_Int_Oint),V_f_2),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Int_Oint),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_Int_Onat)),V_n_2))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Int_Oint),c_Nat_Onat_Onat__rec(T_a,V_a_2,V_f_2)),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Int_Oint),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_Int_Onat)),V_n_2))))) )).

fof(fact_eq__special_I2_J,axiom,(
    ! [V_y_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( c_Groups_Oone__class_Oone(T_a) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)
      <=> c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit1(c_Int_OPls)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_y_2)))) ) ) )).

fof(fact_eq__special_I4_J,axiom,(
    ! [V_x_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2) = c_Groups_Oone__class_Oone(T_a)
      <=> c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Int_OBit1(c_Int_OPls))))) ) ) )).

fof(fact_nat__rec__number__of,axiom,(
    ! [V_v_2,V_f_2,V_a_2,T_a] : hAPP(c_Nat_Onat_Onat__rec(T_a,V_a_2,V_f_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_Opred(V_v_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,T_a,T_a),hAPP(hAPP(c_COMBC(tc_Int_Oint,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),tc_Int_Oint),c_If(T_a)),c_Nat__Numeral_Oneg)),V_a_2)),hAPP(hAPP(c_COMBS(tc_Int_Oint,T_a,T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(T_a,T_a),tc_Int_Oint),V_f_2),c_Int_Onat)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Int_Oint),c_Nat_Onat_Onat__rec(T_a,V_a_2,V_f_2)),c_Int_Onat)))) )).

fof(fact_iszero__0,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => c_Int_Oiszero(T_a,c_Groups_Ozero__class_Ozero(T_a)) ) )).

fof(fact_iszero__def,axiom,(
    ! [V_z_2,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => ( c_Int_Oiszero(T_a,V_z_2)
      <=> V_z_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_not__iszero__1,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => ~ c_Int_Oiszero(T_a,c_Groups_Oone__class_Oone(T_a)) ) )).

fof(fact_nat__rec__0,axiom,(
    ! [V_f2_2,V_f1_2,T_a] : hAPP(c_Nat_Onat_Onat__rec(T_a,V_f1_2,V_f2_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = V_f1_2 )).

fof(fact_nat__rec__Suc,axiom,(
    ! [V_nat_2,V_f2_2,V_f1_2,T_a] : hAPP(c_Nat_Onat_Onat__rec(T_a,V_f1_2,V_f2_2),hAPP(c_Nat_OSuc,V_nat_2)) = hAPP(hAPP(V_f2_2,V_nat_2),hAPP(c_Nat_Onat_Onat__rec(T_a,V_f1_2,V_f2_2),V_nat_2)) )).

fof(fact_iszero__Numeral0,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OPls)) ) )).

fof(fact_iszero__number__of__Bit1,axiom,(
    ! [V_w,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Int_Oring__char__0(T_a) )
     => ~ c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(V_w))) ) )).

fof(fact_not__iszero__Numeral1,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ~ c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit1(c_Int_OPls))) ) )).

fof(fact_eq__number__of__eq,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)
      <=> c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_y_2)))) ) ) )).

fof(fact_eq__special_I3_J,axiom,(
    ! [V_x_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_x_2) = c_Groups_Ozero__class_Ozero(T_a)
      <=> c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_x_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Int_OPls)))) ) ) )).

fof(fact_eq__special_I1_J,axiom,(
    ! [V_y_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( c_Groups_Ozero__class_Ozero(T_a) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_y_2)
      <=> c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OPls),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_y_2)))) ) ) )).

fof(fact_neg__zmod__mult__2,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_a)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_b),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_a))),c_Groups_Oone__class_Oone(tc_Int_Oint)) ) )).

fof(fact_zmod__number__of__Bit1,axiom,(
    ! [V_v,V_w] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_w))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))),c_Groups_Oone__class_Oone(tc_Int_Oint)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_w))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))),c_Groups_Oone__class_Oone(tc_Int_Oint)) ) ) )).

fof(fact_arith__series__int,axiom,(
    ! [V_n_2,V_d_2,V_a_2] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_Int_Oint,tc_Nat_Onat),hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a_2)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_Nat_Onat),c_Groups_Otimes__class_Otimes(tc_Int_Oint)),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint))),V_d_2))),hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_n_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a_2),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),c_Groups_Oone__class_Oone(tc_Nat_Onat)))),V_d_2)))) )).

fof(fact_pos__zdiv__mult__2,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_a)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_b),V_a) ) )).

fof(fact_rel__simps_I50_J,axiom,(
    ! [V_l,V_k] : c_Int_OBit1(V_k) != c_Int_OBit0(V_l) )).

fof(fact_rel__simps_I49_J,axiom,(
    ! [V_l,V_k] : c_Int_OBit0(V_k) != c_Int_OBit1(V_l) )).

fof(fact_minus__Bit0,axiom,(
    ! [V_k] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Int_OBit0(V_k)) = c_Int_OBit0(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_k)) )).

fof(fact_add__Bit0__Bit0,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit0(V_k)),c_Int_OBit0(V_l)) = c_Int_OBit0(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),V_l)) )).

fof(fact_Bit0__def,axiom,(
    ! [V_k] : c_Int_OBit0(V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),V_k) )).

fof(fact_rel__simps_I48_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( c_Int_OBit0(V_k_2) = c_Int_OBit0(V_l_2)
    <=> V_k_2 = V_l_2 ) )).

fof(fact_rel__simps_I14_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OBit0(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_less__int__code_I13_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit0(V_k1_2)),c_Int_OBit0(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_less__eq__int__code_I13_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit0(V_k1_2)),c_Int_OBit0(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_rel__simps_I31_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OBit0(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_mult__Bit0,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),c_Int_OBit0(V_k)),V_l) = c_Int_OBit0(hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k),V_l)) )).

fof(fact_diff__bin__simps_I7_J,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OBit0(V_k)),c_Int_OBit0(V_l)) = c_Int_OBit0(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k),V_l)) )).

fof(fact_rel__simps_I44_J,axiom,(
    ! [V_k_2] :
      ( c_Int_OBit0(V_k_2) = c_Int_OPls
    <=> V_k_2 = c_Int_OPls ) )).

fof(fact_rel__simps_I38_J,axiom,(
    ! [V_l_2] :
      ( c_Int_OPls = c_Int_OBit0(V_l_2)
    <=> c_Int_OPls = V_l_2 ) )).

fof(fact_Bit0__Pls,axiom,(
    c_Int_OBit0(c_Int_OPls) = c_Int_OPls )).

fof(fact_bin__less__0__simps_I3_J,axiom,(
    ! [V_w_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit0(V_w_2)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_w_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_rel__simps_I27_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OPls))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),c_Int_OPls)) ) )).

fof(fact_rel__simps_I21_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),c_Int_OBit0(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),V_k_2)) ) )).

fof(fact_less__eq__int__code_I14_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit0(V_k1_2)),c_Int_OBit1(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_rel__simps_I32_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OBit1(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_rel__simps_I10_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OPls))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Int_OPls)) ) )).

fof(fact_rel__simps_I4_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),c_Int_OBit0(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),V_k_2)) ) )).

fof(fact_less__int__code_I15_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(V_k1_2)),c_Int_OBit0(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_rel__simps_I16_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OBit0(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_add__Bit1__Bit0,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit1(V_k)),c_Int_OBit0(V_l)) = c_Int_OBit1(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),V_l)) )).

fof(fact_add__Bit0__Bit1,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit0(V_k)),c_Int_OBit1(V_l)) = c_Int_OBit1(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),V_l)) )).

fof(fact_diff__bin__simps_I3_J,axiom,(
    ! [V_l] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OPls),c_Int_OBit0(V_l)) = c_Int_OBit0(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OPls),V_l)) )).

fof(fact_diff__bin__simps_I10_J,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OBit1(V_k)),c_Int_OBit1(V_l)) = c_Int_OBit0(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k),V_l)) )).

fof(fact_diff__bin__simps_I9_J,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OBit1(V_k)),c_Int_OBit0(V_l)) = c_Int_OBit1(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k),V_l)) )).

fof(fact_zdiv__number__of__Bit0,axiom,(
    ! [V_w,V_v] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_v))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_w))) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) )).

fof(fact_neg__number__of__Bit0,axiom,(
    ! [V_w_2] :
      ( hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_w_2))))
    <=> hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w_2))) ) )).

fof(fact_pred__Bit0,axiom,(
    ! [V_k] : c_Int_Opred(c_Int_OBit0(V_k)) = c_Int_OBit1(c_Int_Opred(V_k)) )).

fof(fact_pred__Bit1,axiom,(
    ! [V_k] : c_Int_Opred(c_Int_OBit1(V_k)) = c_Int_OBit0(V_k) )).

fof(fact_iszero__number__of__Bit0,axiom,(
    ! [V_w_2,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Int_Oring__char__0(T_a) )
     => ( c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(V_w_2)))
      <=> c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)) ) ) )).

fof(fact_succ__Bit1,axiom,(
    ! [V_k] : c_Int_Osucc(c_Int_OBit1(V_k)) = c_Int_OBit0(c_Int_Osucc(V_k)) )).

fof(fact_succ__Bit0,axiom,(
    ! [V_k] : c_Int_Osucc(c_Int_OBit0(V_k)) = c_Int_OBit1(V_k) )).

fof(fact_nat__number__of__Bit0,axiom,(
    ! [V_w_2] : hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(V_w_2)) = hAPP(hAPP(c_HOL_OLet(tc_Nat_Onat,tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2)),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_COMBI(tc_Nat_Onat))) )).

fof(fact_number__of__Bit0,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(V_w)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w))),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) ) )).

fof(fact_rel__simps_I15_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OBit1(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_less__int__code_I14_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit0(V_k1_2)),c_Int_OBit1(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_rel__simps_I33_J,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OBit0(V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_less__eq__int__code_I15_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit1(V_k1_2)),c_Int_OBit0(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_card__UNIV__bool,axiom,(
    hAPP(c_Finite__Set_Ocard(tc_HOL_Obool),c_Orderings_Otop__class_Otop(tc_fun(tc_HOL_Obool,tc_HOL_Obool))) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))) )).

fof(fact_mult__Bit1,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),c_Int_OBit1(V_k)),V_l) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit0(hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_k),V_l))),V_l) )).

fof(fact_diff__bin__simps_I8_J,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OBit0(V_k)),c_Int_OBit1(V_l)) = c_Int_OBit1(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_Opred(V_k)),V_l)) )).

fof(fact_add__Bit1__Bit1,axiom,(
    ! [V_l,V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OBit1(V_k)),c_Int_OBit1(V_l)) = c_Int_OBit0(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),c_Int_Osucc(V_l))) )).

fof(fact_power__number__of__even,axiom,(
    ! [V_w_2,V_z_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(V_w_2))) = hAPP(hAPP(c_HOL_OLet(T_a,T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2))),hAPP(hAPP(c_COMBS(T_a,T_a,T_a),c_Groups_Otimes__class_Otimes(T_a)),c_COMBI(T_a))) ) )).

fof(fact_zpower__number__of__even,axiom,(
    ! [V_w_2,V_z_2] : hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(V_w_2))) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Power_Opower__class_Opower(tc_Int_Oint),V_z_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),c_Groups_Otimes__class_Otimes(tc_Int_Oint)),c_COMBI(tc_Int_Oint))) )).

fof(fact_double__number__of__Bit0,axiom,(
    ! [V_w,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a))),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(V_w)) ) )).

fof(fact_number__of1,axiom,(
    ! [V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_n)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_n))))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(V_n)))) ) ) )).

fof(fact_Nat__Transfer_Otransfer__int__nat__function__closures_I7_J,axiom,(
    c_Nat__Transfer_Ois__nat(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) )).

fof(fact_power__number__of__even__number__of,axiom,(
    ! [V_w_2,V_v_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(V_w_2))) = hAPP(hAPP(c_HOL_OLet(T_a,T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_v_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_w_2))),hAPP(hAPP(c_COMBS(T_a,T_a,T_a),c_Groups_Otimes__class_Otimes(T_a)),c_COMBI(T_a))) ) )).

fof(fact_mult__2,axiom,(
    ! [V_z,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_z) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_z),V_z) ) )).

fof(fact_mult__2__right,axiom,(
    ! [V_z,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_z),V_z) ) )).

fof(fact_one__add__one__is__two,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),c_Groups_Oone__class_Oone(T_a)),c_Groups_Oone__class_Oone(T_a)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))) ) )).

fof(fact_zero__eq__power2,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Oring__1__no__zero__divisors(T_a)
     => ( hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = c_Groups_Ozero__class_Ozero(T_a)
      <=> V_a_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_zero__power2,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_semiring__norm_I115_J,axiom,(
    hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))) )).

fof(fact_numeral__2__eq__2,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))) = hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I29_J,axiom,(
    ! [V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),V_x) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) ) )).

fof(fact_power2__eq__square,axiom,(
    ! [V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),V_a) ) )).

fof(fact_Nat__Transfer_Otransfer__nat__int__function__closures_I7_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))) )).

fof(fact_add__2__eq__Suc,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n) = hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_n)) )).

fof(fact_add__2__eq__Suc_H,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_n)) )).

fof(fact_one__power2,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),c_Groups_Oone__class_Oone(T_a)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_power2__minus,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) ) )).

fof(fact_nat__mult__2,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_z) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_z),V_z) )).

fof(fact_nat__mult__2__right,axiom,(
    ! [V_z] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_z),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_z),V_z) )).

fof(fact_power__even__eq,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) ) )).

fof(fact_transfer__int__nat__numerals_I3_J,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))) = hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) )).

fof(fact_transfer__nat__int__numerals_I3_J,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))) = hAPP(c_Int_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) )).

fof(fact_power2__abs,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),V_a)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) ) )).

fof(fact_abs__power2,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) ) )).

fof(fact_nat__1__add__1,axiom,(
    hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))) )).

fof(fact_mod2__Suc__Suc,axiom,(
    ! [V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) )).

fof(fact_div2__Suc__Suc,axiom,(
    ! [V_m] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,V_m))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))) )).

fof(fact_zmod__number__of__Bit0,axiom,(
    ! [V_w,V_v] : c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_w))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))) )).

fof(fact_add__self__div__2,axiom,(
    ! [V_m] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = V_m )).

fof(fact_half__gt__zero,axiom,(
    ! [V_r,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber__ring(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_r))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_r),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))) ) ) )).

fof(fact_half__gt__zero__iff,axiom,(
    ! [V_r_2,T_a] :
      ( ( class_Fields_Olinordered__field__inverse__zero(T_a)
        & class_Int_Onumber__ring(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_r_2),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_r_2)) ) ) )).

fof(fact_zero__le__power2,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))) ) )).

fof(fact_power2__le__imp__le,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y)) ) ) ) )).

fof(fact_power2__eq__imp__eq,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_x))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
           => V_x = V_y ) ) ) ) )).

fof(fact_zero__less__power2,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))
      <=> V_a_2 != c_Groups_Ozero__class_Ozero(T_a) ) ) )).

fof(fact_power2__less__0,axiom,(
    ! [V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_sum__power2__eq__zero__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))) = c_Groups_Ozero__class_Ozero(T_a)
      <=> ( V_x_2 = c_Groups_Ozero__class_Ozero(T_a)
          & V_y_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_power2__eq__square__number__of,axiom,(
    ! [V_w,T_b] :
      ( ( class_Groups_Omonoid__mult(T_b)
        & class_Int_Onumber(T_b) )
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_w)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_b),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_w)),hAPP(c_Int_Onumber__class_Onumber__of(T_b),V_w)) ) )).

fof(fact_less__2__cases,axiom,(
    ! [V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))
     => ( V_n = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        | V_n = hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) ) ) )).

fof(fact_nat__2,axiom,(
    hAPP(c_Int_Onat,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_power2__eq__1__iff,axiom,(
    ! [V_a_2,T_a] :
      ( class_Rings_Oring__1__no__zero__divisors(T_a)
     => ( hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = c_Groups_Oone__class_Oone(T_a)
      <=> ( V_a_2 = c_Groups_Oone__class_Oone(T_a)
          | V_a_2 = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a)) ) ) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I36_J,axiom,(
    ! [V_n,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_n)) ) )).

fof(fact_power__minus__even,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_a)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)) = hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)) ) )).

fof(fact_power2__less__imp__less,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__semidom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_y))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_x),V_y)) ) ) ) )).

fof(fact_sum__power2__ge__zero,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))) ) )).

fof(fact_sum__power2__le__zero__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))),c_Groups_Ozero__class_Ozero(T_a)))
      <=> ( V_x_2 = c_Groups_Ozero__class_Ozero(T_a)
          & V_y_2 = c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_not__sum__power2__lt__zero,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))),c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_sum__power2__gt__zero__iff,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y_2),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))))
      <=> ( V_x_2 != c_Groups_Ozero__class_Ozero(T_a)
          | V_y_2 != c_Groups_Ozero__class_Ozero(T_a) ) ) ) )).

fof(fact_power2__sum,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),V_y)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_x)),V_y)) ) )).

fof(fact_zero__le__even__power_H,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)))) ) )).

fof(fact_comm__semiring__1__class_Onormalizing__semiring__rules_I37_J,axiom,(
    ! [V_n,V_x,T_a] :
      ( class_Rings_Ocomm__semiring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_x),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_n)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),V_n))) ) )).

fof(fact_power__odd__eq,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Groups_Omonoid__mult(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),V_n)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))) ) )).

fof(fact_power__minus1__even,axiom,(
    ! [V_n,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_zdiv__number__of__Bit1,axiom,(
    ! [V_v,V_w] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(V_v))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_w))) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit1(V_v))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(V_w))) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),c_Groups_Oone__class_Oone(tc_Int_Oint))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) ) ) )).

fof(fact_mod2__gr__0,axiom,(
    ! [V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m_2,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))
    <=> c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m_2,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = c_Groups_Oone__class_Oone(tc_Nat_Onat) ) )).

fof(fact_div__2__gt__zero,axiom,(
    ! [V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_n),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))) ) )).

fof(fact_power2__diff,axiom,(
    ! [V_y,V_x,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),V_x),V_y)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_y),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_x)),V_y)) ) )).

fof(fact_odd__0__le__power__imp__0__le,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)))))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_a)) ) ) )).

fof(fact_odd__power__less__zero,axiom,(
    ! [V_n,V_a,T_a] :
      ( class_Rings_Olinordered__idom(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a),c_Groups_Ozero__class_Ozero(T_a)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),V_a),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)))),c_Groups_Ozero__class_Ozero(T_a))) ) ) )).

fof(fact_power__minus1__odd,axiom,(
    ! [V_n,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a))),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n))) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a)) ) )).

fof(fact_Suc__n__div__2__gt__zero,axiom,(
    ! [V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))) ) )).

fof(fact_of__nat__double,axiom,(
    ! [V_x,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_x))
       => hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_x))) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onat,V_x))),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Int_Onat,V_x))) ) ) )).

fof(fact_pos__zmod__mult__2,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_a)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_b,V_a))) ) )).

fof(fact_neg__zdiv__mult__2,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_a)) = hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_b),c_Groups_Oone__class_Oone(tc_Int_Oint))),V_a) ) )).

fof(fact_int__of__code,axiom,(
    ! [V_k] :
      ( ( V_k = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(c_Code__Numeral_Oint__of,V_k) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
      & ( V_k != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => ( ( c_Divides_Odiv__class_Omod(tc_Code__Numeral_Ocode__numeral,V_k,hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
           => hAPP(c_Code__Numeral_Oint__of,V_k) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),hAPP(c_Code__Numeral_Oint__of,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Code__Numeral_Ocode__numeral),V_k),hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))) )
          & ( c_Divides_Odiv__class_Omod(tc_Code__Numeral_Ocode__numeral,V_k,hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))) != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
           => hAPP(c_Code__Numeral_Oint__of,V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),hAPP(c_Code__Numeral_Oint__of,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Code__Numeral_Ocode__numeral),V_k),hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))),c_Groups_Oone__class_Oone(tc_Int_Oint)) ) ) ) ) )).

fof(fact_of__int__num,axiom,(
    ! [V_k_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_k_2) = c_Groups_Ozero__class_Ozero(T_a) )
        & ( V_k_2 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
             => hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_k_2) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_k_2))) )
            & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
             => hAPP(c_Int_Oring__1__class_Oof__int(T_a),V_k_2) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,T_a),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_fun(T_a,T_a)),tc_fun(tc_Int_Oint,T_a)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,T_a),T_a),tc_fun(tc_fun(tc_Int_Oint,tc_fun(T_a,T_a)),tc_fun(tc_Int_Oint,T_a)),tc_Int_Oint),c_COMBB(tc_fun(T_a,T_a),T_a,tc_Int_Oint)),hAPP(hAPP(c_COMBB(T_a,tc_fun(tc_fun(T_a,T_a),T_a),tc_Int_Oint),c_HOL_OLet(T_a,T_a)),c_Int_Oring__1__class_Oof__int(T_a)))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_fun(T_a,T_a),tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,T_a)),tc_Int_Oint),c_COMBS(T_a,T_a,T_a)),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_fun(T_a,T_a),tc_fun(T_a,tc_fun(T_a,T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_a,T_a)),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_fun(T_a,T_a))),tc_Int_Oint),c_COMBB(T_a,tc_fun(T_a,T_a),T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),tc_Int_Oint),c_If(T_a)),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),c_fequal),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))),hAPP(hAPP(c_COMBS(T_a,T_a,T_a),c_Groups_Oplus__class_Oplus(T_a)),c_COMBI(T_a))))),hAPP(hAPP(c_COMBC(T_a,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_a),c_Groups_Oplus__class_Oplus(T_a)),hAPP(hAPP(c_COMBS(T_a,T_a,T_a),c_Groups_Oplus__class_Oplus(T_a)),c_COMBI(T_a)))),c_Groups_Oone__class_Oone(T_a))))),c_Divides_Odivmod__int(V_k_2,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))) ) ) ) ) ) )).

fof(fact_power__m1__odd,axiom,(
    ! [V_n,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n))) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin) ) )).

fof(fact_power__m1__even,axiom,(
    ! [V_n,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_n)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_rel__simps_I42_J,axiom,(
    ! [V_l] : c_Int_OMin != c_Int_OBit0(V_l) )).

fof(fact_rel__simps_I45_J,axiom,(
    ! [V_k] : c_Int_OBit0(V_k) != c_Int_OMin )).

fof(fact_rel__simps_I40_J,axiom,(
    c_Int_OMin != c_Int_OPls )).

fof(fact_rel__simps_I37_J,axiom,(
    c_Int_OPls != c_Int_OMin )).

fof(fact_rel__simps_I7_J,axiom,(
    ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),c_Int_OMin)) )).

fof(fact_code__numeral__zero__minus__one,axiom,(
    hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)) = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral) )).

fof(fact_rel__simps_I24_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OMin),c_Int_OMin)) )).

fof(fact_Bit1__Min,axiom,(
    c_Int_OBit1(c_Int_OMin) = c_Int_OMin )).

fof(fact_rel__simps_I43_J,axiom,(
    ! [V_l_2] :
      ( c_Int_OMin = c_Int_OBit1(V_l_2)
    <=> c_Int_OMin = V_l_2 ) )).

fof(fact_rel__simps_I47_J,axiom,(
    ! [V_k_2] :
      ( c_Int_OBit1(V_k_2) = c_Int_OMin
    <=> V_k_2 = c_Int_OMin ) )).

fof(fact_bin__less__0__simps_I2_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )).

fof(fact_rel__simps_I23_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OMin),c_Int_OPls)) )).

fof(fact_rel__simps_I20_J,axiom,(
    ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),c_Int_OMin)) )).

fof(fact_rel__simps_I26_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OMin),c_Int_OBit1(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OMin),V_k_2)) ) )).

fof(fact_rel__simps_I30_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OMin))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),c_Int_OMin)) ) )).

fof(fact_rel__simps_I6_J,axiom,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),c_Int_OPls)) )).

fof(fact_rel__simps_I3_J,axiom,(
    ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OPls),c_Int_OMin)) )).

fof(fact_rel__simps_I9_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),c_Int_OBit1(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),V_k_2)) ) )).

fof(fact_rel__simps_I13_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit1(V_k_2)),c_Int_OMin))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Int_OMin)) ) )).

fof(fact_rel__simps_I28_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OMin))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),c_Int_OMin)) ) )).

fof(fact_rel__simps_I8_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),c_Int_OBit0(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),V_k_2)) ) )).

fof(fact_eq__number__of__Pls__Min,axiom,(
    hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OPls) != hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin) )).

fof(fact_Int_OMin__def,axiom,(
    c_Int_OMin = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)) )).

fof(fact_mult__Min,axiom,(
    ! [V_k] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),c_Int_OMin),V_k) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_k) )).

fof(fact_neg__number__of__Min,axiom,(
    hBOOL(hAPP(c_Nat__Numeral_Oneg,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin))) )).

fof(fact_pred__Pls,axiom,(
    c_Int_Opred(c_Int_OPls) = c_Int_OMin )).

fof(fact_add__Min,axiom,(
    ! [V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Int_OMin),V_k) = c_Int_Opred(V_k) )).

fof(fact_add__Min__right,axiom,(
    ! [V_k] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_k),c_Int_OMin) = c_Int_Opred(V_k) )).

fof(fact_pred__Min,axiom,(
    c_Int_Opred(c_Int_OMin) = c_Int_OBit0(c_Int_OMin) )).

fof(fact_nonzero__number__of__Min,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ~ c_Int_Oiszero(T_a,hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)) ) )).

fof(fact_succ__Min,axiom,(
    c_Int_Osucc(c_Int_OMin) = c_Int_OPls )).

fof(fact_diff__bin__simps_I2_J,axiom,(
    ! [V_k] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k),c_Int_OMin) = c_Int_Osucc(V_k) )).

fof(fact_mult__minus1__right,axiom,(
    ! [V_z,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_z),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_z) ) )).

fof(fact_mult__minus1,axiom,(
    ! [V_z,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)),V_z) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_z) ) )).

fof(fact_arith__simps_I31_J,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin) ) )).

fof(fact_number__of__Min,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),c_Groups_Oone__class_Oone(T_a)) ) )).

fof(fact_abs__minus__one,axiom,(
    ! [T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_divide__minus1,axiom,(
    ! [V_x,T_a] :
      ( ( class_Fields_Ofield__inverse__zero(T_a)
        & class_Int_Onumber__ring(T_a) )
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),V_x),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),V_x) ) )).

fof(fact_rel__simps_I11_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OBit0(V_k_2)),c_Int_OMin))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),c_Int_OMin)) ) )).

fof(fact_rel__simps_I25_J,axiom,(
    ! [V_k_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OMin),c_Int_OBit0(V_k_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Int_OMin),V_k_2)) ) )).

fof(fact_zmod__minus1__right,axiom,(
    ! [V_a] : c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )).

fof(fact_diff__bin__simps_I4_J,axiom,(
    ! [V_l] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OPls),c_Int_OBit1(V_l)) = c_Int_OBit1(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OMin),V_l)) )).

fof(fact_minus__Min,axiom,(
    hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Int_OMin) = c_Int_OBit1(c_Int_OPls) )).

fof(fact_zmult__eq__1__iff,axiom,(
    ! [V_n_2,V_m_2] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_m_2),V_n_2) = c_Groups_Oone__class_Oone(tc_Int_Oint)
    <=> ( ( V_m_2 = c_Groups_Oone__class_Oone(tc_Int_Oint)
          & V_n_2 = c_Groups_Oone__class_Oone(tc_Int_Oint) )
        | ( V_m_2 = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)
          & V_n_2 = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin) ) ) ) )).

fof(fact_pos__zmult__eq__1__iff__lemma,axiom,(
    ! [V_n,V_m] :
      ( hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_m),V_n) = c_Groups_Oone__class_Oone(tc_Int_Oint)
     => ( V_m = c_Groups_Oone__class_Oone(tc_Int_Oint)
        | V_m = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin) ) ) )).

fof(fact_diff__bin__simps_I6_J,axiom,(
    ! [V_l] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OMin),c_Int_OBit1(V_l)) = c_Int_OBit0(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OMin),V_l)) )).

fof(fact_diff__bin__simps_I5_J,axiom,(
    ! [V_l] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OMin),c_Int_OBit0(V_l)) = c_Int_OBit1(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),c_Int_OMin),V_l)) )).

fof(fact_of__int__m1,axiom,(
    ! [T_a] :
      ( class_Int_Onumber__ring(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)) = hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin) ) )).

fof(fact_zdiv__minus1__right,axiom,(
    ! [V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a) )).

fof(fact_zero__code__numeral__code,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),c_Int_OPls) )).

fof(fact_minus1__divide,axiom,(
    ! [V_x,T_a] :
      ( ( class_Fields_Ofield__inverse__zero(T_a)
        & class_Int_Onumber__ring(T_a) )
     => hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)),V_x) = hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_a),c_Groups_Oone__class_Oone(T_a)),V_x)) ) )).

fof(fact_abs__power__minus__one,axiom,(
    ! [V_n,T_a] :
      ( ( class_Int_Onumber__ring(T_a)
        & class_Rings_Olinordered__idom(T_a) )
     => hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(hAPP(c_Power_Opower__class_Opower(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),c_Int_OMin)),V_n)) = c_Groups_Oone__class_Oone(T_a) ) )).

fof(fact_div__eq__minus1,axiom,(
    ! [V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)),V_b) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin) ) )).

fof(fact_div__pos__neg__trivial,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin) ) ) )).

fof(fact_zmod__minus1,axiom,(
    ! [V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin),V_b) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_b),c_Groups_Oone__class_Oone(tc_Int_Oint)) ) )).

fof(fact_one__code__numeral__code,axiom,(
    c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),c_Int_OBit1(c_Int_OPls)) )).

fof(fact_Nitpick_OFrac__def,axiom,(
    c_Nitpick_OFrac = hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_Int_Oint),hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_fun(tc_Int_Oint,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_HOL_Obool)),tc_fun(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_HOL_Obool)),tc_Int_Oint),c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_HOL_Obool)),tc_Int_Oint),hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_Int_Oint),c_fequal)),c_Nitpick_Oint__gcd))),c_Groups_Oone__class_Oone(tc_Int_Oint)))) )).

fof(fact_int__ge__less__than__def,axiom,(
    ! [V_d_2] : c_Int_Oint__ge__less__than(V_d_2) = hAPP(c_Set_OCollect(tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_fun(tc_Int_Oint,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_fun(tc_Int_Oint,tc_HOL_Obool)),tc_Int_Oint),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_d_2)))),c_Orderings_Oord__class_Oless(tc_Int_Oint)))) )).

fof(fact_int__ge__less__than2__def,axiom,(
    ! [V_d_2] : c_Int_Oint__ge__less__than2(V_d_2) = hAPP(c_Set_OCollect(tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_Int_Oint),hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_d_2)))),c_Orderings_Oord__class_Oless(tc_Int_Oint)))) )).

fof(fact_code__numeral_Osize_I1_J,axiom,(
    c_Code__Numeral_Ocode__numeral_Ocode__numeral__size(c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_Nitpick_Oprod__def,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : c_Nitpick_Oprod(T_a,T_b,V_A_2,V_B_2) = hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_B_2)))) )).

fof(fact_nat__of__aux__code,axiom,(
    ! [V_n,V_i] :
      ( ( V_i = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => c_Code__Numeral_Onat__of__aux(V_i,V_n) = V_n )
      & ( V_i != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => c_Code__Numeral_Onat__of__aux(V_i,V_n) = c_Code__Numeral_Onat__of__aux(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_i),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)),hAPP(c_Nat_OSuc,V_n)) ) ) )).

fof(fact_divmod__int__rel__def,axiom,(
    ! [V_b_2,V_a_2] : c_Divides_Odivmod__int__rel(V_a_2,V_b_2) = hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_fun(tc_Int_Oint,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_fun(tc_Int_Oint,tc_HOL_Obool)),tc_Int_Oint),c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_fun(tc_Int_Oint,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_Int_Oint),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj)),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_HOL_Obool),tc_Int_Oint),hAPP(c_COMBB(tc_Int_Oint,tc_HOL_Obool,tc_Int_Oint),hAPP(c_fequal,V_a_2))),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint),c_Groups_Oplus__class_Oplus(tc_Int_Oint)),hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b_2)))))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),hAPP(c_fimplies,hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Int_Oint)),V_b_2))))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_Int_Oint),hAPP(c_fimplies,hAPP(c_fNot,hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b_2)))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_2))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),c_Orderings_Oord__class_Oless__eq(tc_Int_Oint)),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))))) )).

fof(fact_divmod__int__correct,axiom,(
    ! [V_a,V_b] :
      ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),c_Divides_Odivmod__int(V_a,V_b))) ) )).

fof(fact_code__numeral_Osize_I2_J,axiom,(
    ! [V_code__numeral] : c_Code__Numeral_Ocode__numeral_Ocode__numeral__size(c_Code__Numeral_OSuc__code__numeral(V_code__numeral)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Code__Numeral_Ocode__numeral_Ocode__numeral__size(V_code__numeral)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_zmult2__lemma,axiom,(
    ! [V_c,V_r,V_q,V_b,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_c))
         => hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_c)),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_q),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_q,V_c))),V_r)))) ) ) ) )).

fof(fact_Nats__number__of,axiom,(
    ! [V_w_2,T_a] :
      ( class_Int_Onumber__ring(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Int_OPls),V_w_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Int_Onumber__class_Onumber__of(T_a),V_w_2)),c_Nat_Osemiring__1__class_ONats(T_a))) ) ) )).

fof(fact_code__numeral_Oinject,axiom,(
    ! [V_code__numeral_H_2,V_code__numeral_2] :
      ( c_Code__Numeral_OSuc__code__numeral(V_code__numeral_2) = c_Code__Numeral_OSuc__code__numeral(V_code__numeral_H_2)
    <=> V_code__numeral_2 = V_code__numeral_H_2 ) )).

fof(fact_sup__Un__eq2,axiom,(
    ! [V_y_2,V_x_2,V_S_2,V_R_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_R_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_S_2)),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_R_2),V_S_2))) ) )).

fof(fact_inf__Int__eq2,axiom,(
    ! [V_y_2,V_x_2,V_S_2,V_R_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_R_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_S_2)),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_R_2),V_S_2))) ) )).

fof(fact_pred__equals__eq2,axiom,(
    ! [V_S_2,V_R_2,T_b,T_a] :
      ( hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_R_2) = hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_S_2)
    <=> V_R_2 = V_S_2 ) )).

fof(fact_pred__subset__eq2,axiom,(
    ! [V_S_2,V_R_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_R_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_S_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_R_2),V_S_2)) ) )).

fof(fact_bot__empty__eq2,axiom,(
    ! [V_y_2,V_x_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)))) ) )).

fof(fact_code__numeral_Osimps_I2_J,axiom,(
    ! [V_code__numeral_H] : c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral) != c_Code__Numeral_OSuc__code__numeral(V_code__numeral_H) )).

fof(fact_code__numeral_Osimps_I3_J,axiom,(
    ! [V_code__numeral_H_1] : c_Code__Numeral_OSuc__code__numeral(V_code__numeral_H_1) != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral) )).

fof(fact_divmod__int__rel__0,axiom,(
    ! [V_b] :
      ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => hBOOL(hAPP(c_Divides_Odivmod__int__rel(c_Groups_Ozero__class_Ozero(tc_Int_Oint),V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))) ) )).

fof(fact_self__remainder,axiom,(
    ! [V_r,V_q,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_a),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( V_a != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => V_r = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) ) )).

fof(fact_unique__quotient,axiom,(
    ! [V_r_H,V_q_H,V_r,V_q,V_b,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q_H),V_r_H)))
       => ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => V_q = V_q_H ) ) ) )).

fof(fact_unique__remainder,axiom,(
    ! [V_r_H,V_q_H,V_r,V_q,V_b,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q_H),V_r_H)))
       => ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => V_r = V_r_H ) ) ) )).

fof(fact_SUP__UN__eq2,axiom,(
    ! [V_y_2,V_x_2,V_r_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),T_a),hAPP(c_COMBC(T_b,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),T_b),c_COMBC(T_c,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_prod(T_b,T_c)),tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),T_b),hAPP(c_COMBB(tc_prod(T_b,T_c),tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool),T_c),c_member(tc_prod(T_b,T_c)))),c_Product__Type_OPair(T_b,T_c))))),V_r_2)),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_x_2),V_y_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_r_2))) ) )).

fof(fact_self__quotient,axiom,(
    ! [V_r,V_q,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_a),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( V_a != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => V_q = c_Groups_Oone__class_Oone(tc_Int_Oint) ) ) )).

fof(fact_divmod__int__rel__mod,axiom,(
    ! [V_r,V_q,V_b,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = V_r ) ) )).

fof(fact_divmod__int__rel__div,axiom,(
    ! [V_r,V_q,V_b,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = V_q ) ) )).

fof(fact_Nats__0,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),c_Groups_Ozero__class_Ozero(T_a)),c_Nat_Osemiring__1__class_ONats(T_a))) ) )).

fof(fact_divmod__int__mod__div,axiom,(
    ! [V_q,V_p] : c_Divides_Odivmod__int(V_p,V_q) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_p),V_q)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_p,V_q)) )).

fof(fact_Nats__add,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Nat_Osemiring__1__class_ONats(T_a)))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Nat_Osemiring__1__class_ONats(T_a)))
         => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_b_2)),c_Nat_Osemiring__1__class_ONats(T_a))) ) ) ) )).

fof(fact_Nats__mult,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Nat_Osemiring__1__class_ONats(T_a)))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Nat_Osemiring__1__class_ONats(T_a)))
         => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_a_2),V_b_2)),c_Nat_Osemiring__1__class_ONats(T_a))) ) ) ) )).

fof(fact_Nats__1,axiom,(
    ! [T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),c_Groups_Oone__class_Oone(T_a)),c_Nat_Osemiring__1__class_ONats(T_a))) ) )).

fof(fact_of__nat__in__Nats,axiom,(
    ! [V_n_2,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_n_2)),c_Nat_Osemiring__1__class_ONats(T_a))) ) )).

fof(fact_Suc__code__numeral__minus__one,axiom,(
    ! [V_n] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),c_Code__Numeral_OSuc__code__numeral(V_n)),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)) = V_n )).

fof(fact_divmod__int__rel__div__mod,axiom,(
    ! [V_a,V_b] :
      ( V_b != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
     => hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b)))) ) )).

fof(fact_zadd1__lemma,axiom,(
    ! [V_br,V_bq,V_b,V_ar,V_aq,V_c,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_aq),V_ar)))
     => ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_b,V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_bq),V_br)))
       => ( V_c != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
         => hBOOL(hAPP(c_Divides_Odivmod__int__rel(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b),V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_aq),V_bq)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_ar),V_br)),V_c))),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_ar),V_br),V_c)))) ) ) ) )).

fof(fact_zminus1__lemma,axiom,(
    ! [V_r_2,V_q_2,V_b_2,V_a_2] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a_2,V_b_2),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q_2),V_r_2)))
     => hBOOL(hAPP(c_Divides_Odivmod__int__rel(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a_2),V_b_2),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(hAPP(c_If(tc_Int_Oint),hAPP(hAPP(c_fequal,V_r_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_q_2)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_q_2)),c_Groups_Oone__class_Oone(tc_Int_Oint)))),hAPP(hAPP(hAPP(c_If(tc_Int_Oint),hAPP(hAPP(c_fequal,V_r_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_b_2),V_r_2))))) ) )).

fof(fact_divmod__int__relI,axiom,(
    ! [V_r,V_q,V_b,V_a] :
      ( V_a = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_b),V_q)),V_r)
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_r))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_r),V_b)) ) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),V_r))
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_r),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) ) )
       => hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r))) ) ) )).

fof(fact_zmult1__lemma,axiom,(
    ! [V_a,V_r,V_q,V_c,V_b] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_b,V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)))
     => ( V_c != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => hBOOL(hAPP(c_Divides_Odivmod__int__rel(hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_b),V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_q)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_r)),V_c))),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),V_a),V_r),V_c)))) ) ) )).

fof(fact_pair__imageI,axiom,(
    ! [V_f_2,T_c,V_A_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_A_2))
     => hBOOL(hAPP(hAPP(c_member(T_c),hAPP(hAPP(V_f_2,V_a_2),V_b_2)),hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_c,hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),V_f_2)),V_A_2))) ) )).

fof(fact_norm__frac_Osimps,axiom,(
    ! [V_a_2,V_b_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => c_Nitpick_Onorm__frac(V_a_2,V_b_2) = c_Nitpick_Onorm__frac(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b_2)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => ( ( ( V_a_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
              | V_b_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
           => c_Nitpick_Onorm__frac(V_a_2,V_b_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Oone__class_Oone(tc_Int_Oint)) )
          & ( ~ ( V_a_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
                | V_b_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
           => c_Nitpick_Onorm__frac(V_a_2,V_b_2) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_Nitpick_Oint__gcd,V_a_2),V_b_2)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_2))),hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_b_2))) ) ) ) ) )).

fof(fact_adjust__eq,axiom,(
    ! [V_r_2,V_q_2,V_b_2] : hAPP(c_Divides_Oadjust(V_b_2),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q_2),V_r_2)) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_r_2),V_b_2)),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_If(tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))),hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_q_2)),c_Groups_Oone__class_Oone(tc_Int_Oint))))),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_q_2)),V_r_2))) )).

fof(fact_sup2E,axiom,(
    ! [V_y_2,V_x_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2))
     => ( ~ hBOOL(hAPP(hAPP(V_A_2,V_x_2),V_y_2))
       => hBOOL(hAPP(hAPP(V_B_2,V_x_2),V_y_2)) ) ) )).

fof(fact_sup2CI,axiom,(
    ! [T_b,T_a,V_A_2,V_y_2,V_x_2,V_B_2] :
      ( ( ~ hBOOL(hAPP(hAPP(V_B_2,V_x_2),V_y_2))
       => hBOOL(hAPP(hAPP(V_A_2,V_x_2),V_y_2)) )
     => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2)) ) )).

fof(fact_inf2I,axiom,(
    ! [T_b,T_a,V_B_2,V_y_2,V_x_2,V_A_2] :
      ( hBOOL(hAPP(hAPP(V_A_2,V_x_2),V_y_2))
     => ( hBOOL(hAPP(hAPP(V_B_2,V_x_2),V_y_2))
       => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2)) ) ) )).

fof(fact_inf2E,axiom,(
    ! [V_y_2,V_x_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2))
     => ~ ( hBOOL(hAPP(hAPP(V_A_2,V_x_2),V_y_2))
         => ~ hBOOL(hAPP(hAPP(V_B_2,V_x_2),V_y_2)) ) ) )).

fof(fact_mem__splitI,axiom,(
    ! [T_c,T_b,V_b_2,V_a_2,V_c_2,V_z_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_z_2),hAPP(hAPP(V_c_2,V_a_2),V_b_2)))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_z_2),hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,tc_fun(T_a,tc_HOL_Obool)),V_c_2),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_a_2),V_b_2)))) ) )).

fof(fact_prod__caseI,axiom,(
    ! [T_b,T_a,V_b_2,V_a_2,V_f1_2] :
      ( hBOOL(hAPP(hAPP(V_f1_2,V_a_2),V_b_2))
     => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_f1_2),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2))) ) )).

fof(fact_splitI,axiom,(
    ! [T_b,T_a,V_b_2,V_a_2,V_f_2] :
      ( hBOOL(hAPP(hAPP(V_f_2,V_a_2),V_b_2))
     => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_f_2),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2))) ) )).

fof(fact_bot2E,axiom,(
    ! [V_y_2,V_x_2,T_b,T_a] : ~ hBOOL(hAPP(hAPP(c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_x_2),V_y_2)) )).

fof(fact_splitD_H,axiom,(
    ! [V_c_2,V_b_2,V_a_2,V_R_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_fun(T_c,tc_HOL_Obool)),V_R_2),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_c_2))
     => hBOOL(hAPP(hAPP(hAPP(V_R_2,V_a_2),V_b_2),V_c_2)) ) )).

fof(fact_less__by__empty,axiom,(
    ! [V_B_2,T_a,V_A_2] :
      ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_predicate2D,axiom,(
    ! [V_y_2,V_x_2,V_Q_2,V_P_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_P_2),V_Q_2))
     => ( hBOOL(hAPP(hAPP(V_P_2,V_x_2),V_y_2))
       => hBOOL(hAPP(hAPP(V_Q_2,V_x_2),V_y_2)) ) ) )).

fof(fact_rev__predicate2D,axiom,(
    ! [V_Q_2,T_b,T_a,V_y_2,V_x_2,V_P_2] :
      ( hBOOL(hAPP(hAPP(V_P_2,V_x_2),V_y_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_P_2),V_Q_2))
       => hBOOL(hAPP(hAPP(V_Q_2,V_x_2),V_y_2)) ) ) )).

fof(fact_inf2D1,axiom,(
    ! [V_y_2,V_x_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2))
     => hBOOL(hAPP(hAPP(V_A_2,V_x_2),V_y_2)) ) )).

fof(fact_inf2D2,axiom,(
    ! [V_y_2,V_x_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2))
     => hBOOL(hAPP(hAPP(V_B_2,V_x_2),V_y_2)) ) )).

fof(fact_sup2I1,axiom,(
    ! [V_B_2,T_b,T_a,V_y_2,V_x_2,V_A_2] :
      ( hBOOL(hAPP(hAPP(V_A_2,V_x_2),V_y_2))
     => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2)) ) )).

fof(fact_sup2I2,axiom,(
    ! [V_A_2,T_b,T_a,V_y_2,V_x_2,V_B_2] :
      ( hBOOL(hAPP(hAPP(V_B_2,V_x_2),V_y_2))
     => hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),V_A_2),V_B_2),V_x_2),V_y_2)) ) )).

fof(fact_split__paired__All,axiom,(
    ! [T_b,T_a,V_P_2] :
      ( ! [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
    <=> ! [B_a,B_b] : hBOOL(hAPP(V_P_2,hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),B_a),B_b))) ) )).

fof(fact_Pair__eq,axiom,(
    ! [V_b_H_2,V_a_H_2,V_b_2,V_a_2,T_b,T_a] :
      ( hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_H_2),V_b_H_2)
    <=> ( V_a_2 = V_a_H_2
        & V_b_2 = V_b_H_2 ) ) )).

fof(fact_Pair__inject,axiom,(
    ! [V_b_H,V_a_H,V_b,V_a,T_b,T_a] :
      ( hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a),V_b) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_H),V_b_H)
     => ~ ( V_a = V_a_H
         => V_b != V_b_H ) ) )).

fof(fact_split__weak__cong,axiom,(
    ! [V_c_2,T_c,T_b,T_a,V_q_2,V_p_2] :
      ( V_p_2 = V_q_2
     => hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),V_c_2),V_p_2) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),V_c_2),V_q_2) ) )).

fof(fact_split__twice,axiom,(
    ! [V_p_2,V_g_2,T_e,T_d,V_f_2,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_f_2),hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_d,T_e,tc_prod(T_b,T_c)),V_g_2),V_p_2)) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_d,T_e,T_a),hAPP(hAPP(c_COMBB(tc_fun(T_e,tc_prod(T_b,T_c)),tc_fun(T_e,T_a),T_d),hAPP(c_COMBB(tc_prod(T_b,T_c),T_a,T_e),hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_f_2))),V_g_2)),V_p_2) )).

fof(fact_prod_Osimps_I2_J,axiom,(
    ! [V_b_2,V_a_2,V_f1_2,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_f1_2),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_a_2),V_b_2)) = hAPP(hAPP(V_f1_2,V_a_2),V_b_2) )).

fof(fact_split__conv,axiom,(
    ! [V_b_2,V_a_2,V_f_2,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_f_2),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_a_2),V_b_2)) = hAPP(hAPP(V_f_2,V_a_2),V_b_2) )).

fof(fact_splitD,axiom,(
    ! [V_b_2,V_a_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_f_2),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)))
     => hBOOL(hAPP(hAPP(V_f_2,V_a_2),V_b_2)) ) )).

fof(fact_split__eta,axiom,(
    ! [V_f_2,T_c,T_b,T_a] : hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,T_c),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),T_c,T_b),V_f_2)),c_Product__Type_OPair(T_a,T_b))) = V_f_2 )).

fof(fact_The__split__eq,axiom,(
    ! [V_y_2,V_x_2,T_b,T_a] : c_HOL_OThe(tc_prod(T_a,T_b),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(c_fequal,V_x_2)))),hAPP(c_fequal,V_y_2)))) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2) )).

fof(fact_split__paired__The,axiom,(
    ! [V_P_2,T_b,T_a] : c_HOL_OThe(tc_prod(T_a,T_b),V_P_2) = c_HOL_OThe(tc_prod(T_a,T_b),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_HOL_Obool,T_b),V_P_2)),c_Product__Type_OPair(T_a,T_b)))) )).

fof(fact_adjust__def,axiom,(
    ! [V_b_2] : c_Divides_Oadjust(V_b_2) = hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_fun(tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_COMBS(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_Int_Oint,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),hAPP(c_COMBS(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_If(tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_HOL_Obool,tc_Int_Oint),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),c_Groups_Ominus__class_Ominus(tc_Int_Oint)),V_b_2))))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_COMBB(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint),c_Groups_Oplus__class_Oplus(tc_Int_Oint)),hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))))),c_Groups_Oone__class_Oone(tc_Int_Oint))))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),c_Groups_Ominus__class_Ominus(tc_Int_Oint)),V_b_2))))),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls))))))) )).

fof(fact_in__rel__def,axiom,(
    ! [V_y_2,V_x_2,V_R_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_FunDef_Oin__rel(T_a,T_b,V_R_2),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),V_R_2)) ) )).

fof(fact_div__mod__code__numeral__def,axiom,(
    ! [V_m,V_n] : c_Code__Numeral_Odiv__mod__code__numeral(V_n,V_m) = hAPP(hAPP(c_Product__Type_OPair(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Code__Numeral_Ocode__numeral),V_n),V_m)),c_Divides_Odiv__class_Omod(tc_Code__Numeral_Ocode__numeral,V_n,V_m)) )).

fof(fact_negDivAlg__eqn__1__number__of,axiom,(
    ! [V_w] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))))
         => c_Divides_OnegDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))))
         => c_Divides_OnegDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Divides_Oadjust(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),c_Divides_OnegDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))) ) ) ) )).

fof(fact_negDivAlg__correct,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),c_Divides_OnegDivAlg(V_a,V_b))) ) ) )).

fof(fact_negDivAlg__div__mod,axiom,(
    ! [V_l,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_l))
       => c_Divides_OnegDivAlg(V_k,V_l) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_k),V_l)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_k,V_l)) ) ) )).

fof(fact_negDivAlg__minus1,axiom,(
    ! [V_b] : c_Divides_OnegDivAlg(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin),V_b) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_b),c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_negDivAlg_Osimps,axiom,(
    ! [V_b,V_a] :
      ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
       => c_Divides_OnegDivAlg(V_a,V_b) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)) )
      & ( ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)))
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
       => c_Divides_OnegDivAlg(V_a,V_b) = hAPP(c_Divides_Oadjust(V_b),c_Divides_OnegDivAlg(V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b))) ) ) )).

fof(fact_negDivAlg__eqn__number__of,axiom,(
    ! [V_w,V_v] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v))))
         => c_Divides_OnegDivAlg(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v))) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v))))
         => c_Divides_OnegDivAlg(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)) = hAPP(c_Divides_Oadjust(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),c_Divides_OnegDivAlg(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))) ) ) ) )).

fof(fact_negDivAlg__eqn,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)))
         => c_Divides_OnegDivAlg(V_a,V_b) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a),V_b)))
         => c_Divides_OnegDivAlg(V_a,V_b) = hAPP(c_Divides_Oadjust(V_b),c_Divides_OnegDivAlg(V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b))) ) ) ) )).

fof(fact_Nitpick_Orefl_H__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Nitpick_Orefl_H(T_a,V_r_2)
    <=> ! [B_x] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),V_r_2)) ) )).

fof(fact_posDivAlg__eqn__1__number__of,axiom,(
    ! [V_w] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
         => c_Divides_OposDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Oone__class_Oone(tc_Int_Oint)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
         => c_Divides_OposDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Divides_Oadjust(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),c_Divides_OposDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))) ) ) ) )).

fof(fact_posDivAlg_Osimps,axiom,(
    ! [V_b,V_a] :
      ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),V_b))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
       => c_Divides_OposDivAlg(V_a,V_b) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a) )
      & ( ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),V_b))
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
       => c_Divides_OposDivAlg(V_a,V_b) = hAPP(c_Divides_Oadjust(V_b),c_Divides_OposDivAlg(V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b))) ) ) )).

fof(fact_posDivAlg__0,axiom,(
    ! [V_b] : c_Divides_OposDivAlg(c_Groups_Ozero__class_Ozero(tc_Int_Oint),V_b) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) )).

fof(fact_posDivAlg__correct,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),c_Divides_OposDivAlg(V_a,V_b))) ) ) )).

fof(fact_posDivAlg__div__mod,axiom,(
    ! [V_l,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_l))
       => c_Divides_OposDivAlg(V_k,V_l) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_k),V_l)),c_Divides_Odiv__class_Omod(tc_Int_Oint,V_k,V_l)) ) ) )).

fof(fact_posDivAlg__eqn__number__of,axiom,(
    ! [V_w,V_v] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
         => c_Divides_OposDivAlg(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))
         => c_Divides_OposDivAlg(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)) = hAPP(c_Divides_Oadjust(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)),c_Divides_OposDivAlg(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_v)))) ) ) ) )).

fof(fact_posDivAlg__eqn,axiom,(
    ! [V_a,V_b] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),V_b))
         => c_Divides_OposDivAlg(V_a,V_b) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),V_b))
         => c_Divides_OposDivAlg(V_a,V_b) = hAPP(c_Divides_Oadjust(V_b),c_Divides_OposDivAlg(V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b))) ) ) ) )).

fof(fact_divmod__int__def,axiom,(
    ! [V_b,V_a] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
       => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
           => c_Divides_Odivmod__int(V_a,V_b) = c_Divides_OposDivAlg(V_a,V_b) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
           => ( ( V_a = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
               => c_Divides_Odivmod__int(V_a,V_b) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) )
              & ( V_a != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
               => c_Divides_Odivmod__int(V_a,V_b) = hAPP(c_Divides_OnegateSnd,c_Divides_OnegDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b))) ) ) ) ) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
       => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
           => c_Divides_Odivmod__int(V_a,V_b) = c_Divides_OnegDivAlg(V_a,V_b) )
          & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
           => c_Divides_Odivmod__int(V_a,V_b) = hAPP(c_Divides_OnegateSnd,c_Divides_OposDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b))) ) ) ) ) )).

fof(fact_divmod__nat__step,axiom,(
    ! [V_m,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),V_m))
       => c_Divides_Odivmod__nat(V_m,V_n) = hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),V_n))),c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n),V_n)) ) ) )).

fof(fact_divmod__int__pdivmod,axiom,(
    ! [V_l_2,V_k_2] :
      ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Odivmod__int(V_k_2,V_l_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) )
      & ( V_k_2 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => ( ( V_l_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
           => c_Divides_Odivmod__int(V_k_2,V_l_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2) )
          & ( V_l_2 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
           => c_Divides_Odivmod__int(V_k_2,V_l_2) = hAPP(c_Product__Type_Oapsnd(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint,hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),c_Groups_Osgn__class_Osgn(tc_Int_Oint,V_l_2))),hAPP(hAPP(hAPP(c_If(tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_fdisj,hAPP(hAPP(c_fconj,hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_l_2)),hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2))),hAPP(hAPP(c_fconj,hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_l_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))),hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_k_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))),c_Divides_Opdivmod(V_k_2,V_l_2)),hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_fun(tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_COMBS(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),hAPP(c_COMBC(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_If(tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),c_fequal),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),c_Groups_Ouminus__class_Ouminus(tc_Int_Oint))),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_COMBB(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint),c_Groups_Ominus__class_Ominus(tc_Int_Oint)),c_Groups_Ouminus__class_Ouminus(tc_Int_Oint))),c_Groups_Oone__class_Oone(tc_Int_Oint))))),hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_l_2))))),c_Divides_Opdivmod(V_k_2,V_l_2)))) ) ) ) ) )).

fof(fact_negateSnd__def,axiom,(
    c_Divides_OnegateSnd = c_Product__Type_Oapsnd(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint,c_Groups_Ouminus__class_Ouminus(tc_Int_Oint)) )).

fof(fact_apsnd__conv,axiom,(
    ! [V_y_2,V_x_2,V_f_2,T_a,T_b,T_c] : hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_a,V_f_2),hAPP(hAPP(c_Product__Type_OPair(T_a,T_c),V_x_2),V_y_2)) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),hAPP(V_f_2,V_y_2)) )).

fof(fact_divmod__nat__zero,axiom,(
    ! [V_m] : c_Divides_Odivmod__nat(V_m,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m) )).

fof(fact_divmod__nat__base,axiom,(
    ! [V_n,V_m] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m),V_n))
     => c_Divides_Odivmod__nat(V_m,V_n) = hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m) ) )).

fof(fact_negateSnd__eq,axiom,(
    ! [V_r,V_q] : hAPP(c_Divides_OnegateSnd,hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),V_r)) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_q),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_r)) )).

fof(fact_divmod__nat__div__mod,axiom,(
    ! [V_n,V_m] : c_Divides_Odivmod__nat(V_m,V_n) = hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n)),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)) )).

fof(fact_divmod__int__rel__neg,axiom,(
    ! [V_qr,V_b,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__int__rel(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)),V_qr))
     => hBOOL(hAPP(c_Divides_Odivmod__int__rel(V_a,V_b),hAPP(c_Divides_OnegateSnd,V_qr))) ) )).

fof(fact_divmod__nat__if,axiom,(
    ! [V_m_2,V_n_2] :
      ( ( ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) )
       => c_Divides_Odivmod__nat(V_m_2,V_n_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_m_2) )
      & ( ~ ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) )
       => c_Divides_Odivmod__nat(V_m_2,V_n_2) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_Nat_Onat,tc_Nat_Onat,tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_prod(tc_Nat_Onat,tc_Nat_Onat)),tc_Nat_Onat),c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat)),c_Nat_OSuc)),c_Divides_Odivmod__nat(hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m_2),V_n_2),V_n_2)) ) ) )).

fof(fact_pdivmod__def,axiom,(
    ! [V_l,V_k] : c_Divides_Opdivmod(V_k,V_l) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_k)),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_l))),c_Divides_Odiv__class_Omod(tc_Int_Oint,hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_k),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_l))) )).

fof(fact_pdivmod__posDivAlg,axiom,(
    ! [V_k,V_l] :
      ( ( V_l = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Opdivmod(V_k,V_l) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_k)) )
      & ( V_l != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Opdivmod(V_k,V_l) = c_Divides_OposDivAlg(hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_k),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_l)) ) ) )).

fof(fact_divmod__int__code,axiom,(
    ! [V_l_2,V_k_2] :
      ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => c_Divides_Odivmod__int(V_k_2,V_l_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)) )
      & ( V_k_2 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
       => ( ( V_l_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
           => c_Divides_Odivmod__int(V_k_2,V_l_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_k_2) )
          & ( V_l_2 != c_Groups_Ozero__class_Ozero(tc_Int_Oint)
           => c_Divides_Odivmod__int(V_k_2,V_l_2) = hAPP(c_Product__Type_Oapsnd(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint,hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),c_Groups_Osgn__class_Osgn(tc_Int_Oint,V_l_2))),hAPP(hAPP(hAPP(c_If(tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_fequal,c_Groups_Osgn__class_Osgn(tc_Int_Oint,V_k_2)),c_Groups_Osgn__class_Osgn(tc_Int_Oint,V_l_2))),c_Divides_Opdivmod(V_k_2,V_l_2)),hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_Int_Oint,tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_fun(tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_COMBS(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),hAPP(c_COMBC(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_If(tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_HOL_Obool),c_fequal),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),c_Groups_Ouminus__class_Ouminus(tc_Int_Oint))),c_Groups_Ozero__class_Ozero(tc_Int_Oint))))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),hAPP(hAPP(c_COMBB(tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_fun(tc_fun(tc_Int_Oint,tc_Int_Oint),tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint))),tc_Int_Oint),c_COMBB(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint),c_Groups_Ominus__class_Ominus(tc_Int_Oint)),c_Groups_Ouminus__class_Ouminus(tc_Int_Oint))),c_Groups_Oone__class_Oone(tc_Int_Oint))))),hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),V_l_2))))),c_Divides_Opdivmod(V_k_2,V_l_2)))) ) ) ) ) )).

fof(fact_code__numeral_Osize_I4_J,axiom,(
    ! [V_code__numeral] : hAPP(c_Nat_Osize__class_Osize(tc_Code__Numeral_Ocode__numeral),c_Code__Numeral_OSuc__code__numeral(V_code__numeral)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_Code__Numeral_Ocode__numeral),V_code__numeral)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_divmod__nat__rel__mult2__eq,axiom,(
    ! [V_c,V_r,V_q,V_b,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_a,V_b),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_q),V_r)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_b))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_c))
         => hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_a,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_b),V_c)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_q),V_c)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_b),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_q,V_c))),V_r)))) ) ) ) )).

fof(fact_divmod__nat__rel__mult1__eq,axiom,(
    ! [V_a,V_r,V_q,V_c,V_b] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_b,V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_q),V_r)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_c))
       => hBOOL(hAPP(c_Divides_Odivmod__nat__rel(hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_a),V_b),V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_a),V_q)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_a),V_r)),V_c))),c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_a),V_r),V_c)))) ) ) )).

fof(fact_divmod__nat__rel__unique,axiom,(
    ! [V_qr_H,V_qr,V_n,V_m] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m,V_n),V_qr))
     => ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m,V_n),V_qr_H))
       => V_qr = V_qr_H ) ) )).

fof(fact_divmod__nat__eq,axiom,(
    ! [V_qr,V_n,V_m] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m,V_n),V_qr))
     => c_Divides_Odivmod__nat(V_m,V_n) = V_qr ) )).

fof(fact_divmod__nat__rel__divmod__nat,axiom,(
    ! [V_n,V_m] : hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m,V_n),c_Divides_Odivmod__nat(V_m,V_n))) )).

fof(fact_divmod__nat__def,axiom,(
    ! [V_n_2,V_m_2] : c_Divides_Odivmod__nat(V_m_2,V_n_2) = c_HOL_OThe(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Divides_Odivmod__nat__rel(V_m_2,V_n_2)) )).

fof(fact_mod__eq,axiom,(
    ! [V_r,V_q,V_n,V_m] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m,V_n),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_q),V_r)))
     => c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = V_r ) )).

fof(fact_div__eq,axiom,(
    ! [V_r,V_q,V_n,V_m] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m,V_n),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_q),V_r)))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) = V_q ) )).

fof(fact_divmod__nat__rel,axiom,(
    ! [V_n,V_m] : hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m,V_n),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n)),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n)))) )).

fof(fact_code__numeral_Osize_I3_J,axiom,(
    hAPP(c_Nat_Osize__class_Osize(tc_Code__Numeral_Ocode__numeral),c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_divmod__nat__rel__add1__eq,axiom,(
    ! [V_br,V_bq,V_b,V_ar,V_aq,V_c,V_a] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_a,V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_aq),V_ar)))
     => ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_b,V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_bq),V_br)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_c))
         => hBOOL(hAPP(c_Divides_Odivmod__nat__rel(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_a),V_b),V_c),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_aq),V_bq)),hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_ar),V_br)),V_c))),c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_ar),V_br),V_c)))) ) ) ) )).

fof(fact_negDivAlg_Opsimps,axiom,(
    ! [V_b_2,V_a_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Divides_OnegDivAlg__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a_2),V_b_2)))
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a_2),V_b_2)))
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
         => c_Divides_OnegDivAlg(V_a_2,V_b_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OMin)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a_2),V_b_2)) )
        & ( ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_a_2),V_b_2)))
              | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
         => c_Divides_OnegDivAlg(V_a_2,V_b_2) = hAPP(c_Divides_Oadjust(V_b_2),c_Divides_OnegDivAlg(V_a_2,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b_2))) ) ) ) )).

fof(fact_posDivAlg_Opsimps,axiom,(
    ! [V_b_2,V_a_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Divides_OposDivAlg__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a_2),V_b_2)))
     => ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a_2),V_b_2))
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
         => c_Divides_OposDivAlg(V_a_2,V_b_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a_2) )
        & ( ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a_2),V_b_2))
              | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
         => c_Divides_OposDivAlg(V_a_2,V_b_2) = hAPP(c_Divides_Oadjust(V_b_2),c_Divides_OposDivAlg(V_a_2,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),V_b_2))) ) ) ) )).

fof(fact_mod__pos__neg__1__number__of,axiom,(
    ! [V_w] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint),hAPP(c_Divides_OnegateSnd,c_Divides_OnegDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))))) ) )).

fof(fact_snd__apsnd,axiom,(
    ! [V_x_2,V_f_2,T_c,T_a,T_b] : hAPP(c_Product__Type_Osnd(T_b,T_a),hAPP(c_Product__Type_Oapsnd(T_c,T_a,T_b,V_f_2),V_x_2)) = hAPP(V_f_2,hAPP(c_Product__Type_Osnd(T_b,T_c),V_x_2)) )).

fof(fact_apsnd__eq__conv,axiom,(
    ! [V_g_2,V_x_2,V_f_2,T_a,T_b,T_c] :
      ( hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_a,V_f_2),V_x_2) = hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_a,V_g_2),V_x_2)
    <=> hAPP(V_f_2,hAPP(c_Product__Type_Osnd(T_a,T_c),V_x_2)) = hAPP(V_g_2,hAPP(c_Product__Type_Osnd(T_a,T_c),V_x_2)) ) )).

fof(fact_snd__eqD,axiom,(
    ! [V_a,V_y,V_x,T_a,T_b] :
      ( hAPP(c_Product__Type_Osnd(T_b,T_a),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_x),V_y)) = V_a
     => V_y = V_a ) )).

fof(fact_snd__conv,axiom,(
    ! [V_b,V_a,T_a,T_b] : hAPP(c_Product__Type_Osnd(T_b,T_a),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_a),V_b)) = V_b )).

fof(fact_snd__def,axiom,(
    ! [V_p_2,T_a,T_b] : hAPP(c_Product__Type_Osnd(T_b,T_a),V_p_2) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_a,T_a),hAPP(c_COMBK(tc_fun(T_a,T_a),T_b),c_COMBI(T_a))),V_p_2) )).

fof(fact_mod__int__def,axiom,(
    ! [V_b,V_a] : c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = hAPP(c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint),c_Divides_Odivmod__int(V_a,V_b)) )).

fof(fact_mod__neg__pos,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = hAPP(c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint),c_Divides_OnegDivAlg(V_a,V_b)) ) ) )).

fof(fact_mod__pos__pos,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = hAPP(c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint),c_Divides_OposDivAlg(V_a,V_b)) ) ) )).

fof(fact_mod__pos__pos__1__number__of,axiom,(
    ! [V_w] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
     => c_Divides_Odiv__class_Omod(tc_Int_Oint,c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint),c_Divides_OposDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))) ) )).

fof(fact_mod__pos__neg,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = hAPP(c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint),hAPP(c_Divides_OnegateSnd,c_Divides_OnegDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)))) ) ) )).

fof(fact_mod__neg__neg,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => c_Divides_Odiv__class_Omod(tc_Int_Oint,V_a,V_b) = hAPP(c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint),hAPP(c_Divides_OnegateSnd,c_Divides_OposDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)))) ) ) )).

fof(fact_norm__frac_Opsimps,axiom,(
    ! [V_b_2,V_a_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Nitpick_Onorm__frac__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a_2),V_b_2)))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => c_Nitpick_Onorm__frac(V_a_2,V_b_2) = c_Nitpick_Onorm__frac(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b_2)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b_2),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
         => ( ( ( V_a_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
                | V_b_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
             => c_Nitpick_Onorm__frac(V_a_2,V_b_2) = hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Oone__class_Oone(tc_Int_Oint)) )
            & ( ~ ( V_a_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint)
                  | V_b_2 = c_Groups_Ozero__class_Ozero(tc_Int_Oint) )
             => c_Nitpick_Onorm__frac(V_a_2,V_b_2) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_Nitpick_Oint__gcd,V_a_2),V_b_2)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_prod(tc_Int_Oint,tc_Int_Oint)),tc_Int_Oint),c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint)),hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a_2))),hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_b_2))) ) ) ) ) ) )).

fof(fact_negDivAlg_Opinduct,axiom,(
    ! [V_P_2,V_a1_2,V_a0_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Divides_OnegDivAlg__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a0_2),V_a1_2)))
     => ( ! [B_a,B_b] :
            ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Divides_OnegDivAlg__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),B_a),B_b)))
           => ( ( ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_a),B_b)))
                    | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
               => hBOOL(hAPP(hAPP(V_P_2,B_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),B_b))) )
             => hBOOL(hAPP(hAPP(V_P_2,B_a),B_b)) ) )
       => hBOOL(hAPP(hAPP(V_P_2,V_a0_2),V_a1_2)) ) ) )).

fof(fact_posDivAlg_Opinduct,axiom,(
    ! [V_P_2,V_a1_2,V_a0_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Divides_OposDivAlg__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a0_2),V_a1_2)))
     => ( ! [B_a,B_b] :
            ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Divides_OposDivAlg__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),B_a),B_b)))
           => ( ( ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_a),B_b))
                    | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) )
               => hBOOL(hAPP(hAPP(V_P_2,B_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),c_Int_OBit0(c_Int_OBit1(c_Int_OPls)))),B_b))) )
             => hBOOL(hAPP(hAPP(V_P_2,B_a),B_b)) ) )
       => hBOOL(hAPP(hAPP(V_P_2,V_a0_2),V_a1_2)) ) ) )).

fof(fact_mod__nat__def,axiom,(
    ! [V_n,V_m] : c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_m,V_n) = hAPP(c_Product__Type_Osnd(tc_Nat_Onat,tc_Nat_Onat),c_Divides_Odivmod__nat(V_m,V_n)) )).

fof(fact_accp__subset,axiom,(
    ! [V_R2_2,V_R1_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),V_R1_2),V_R2_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Wellfounded_Oaccp(T_a,V_R2_2)),c_Wellfounded_Oaccp(T_a,V_R1_2))) ) )).

fof(fact_norm__frac_Opinduct,axiom,(
    ! [V_P_2,V_a1_2,V_a0_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Nitpick_Onorm__frac__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a0_2),V_a1_2)))
     => ( ! [B_a,B_b] :
            ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_Nitpick_Onorm__frac__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),B_a),B_b)))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
               => hBOOL(hAPP(hAPP(V_P_2,hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),B_a)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),B_b))) )
             => hBOOL(hAPP(hAPP(V_P_2,B_a),B_b)) ) )
       => hBOOL(hAPP(hAPP(V_P_2,V_a0_2),V_a1_2)) ) ) )).

fof(fact_div__pos__neg__1__number__of,axiom,(
    ! [V_w] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint),hAPP(c_Divides_OnegateSnd,c_Divides_OnegDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))))) ) )).

fof(fact_Pair__fst__snd__eq,axiom,(
    ! [T_b,T_a,V_t_2,V_s_2] :
      ( V_s_2 = V_t_2
    <=> ( hAPP(c_Product__Type_Ofst(T_a,T_b),V_s_2) = hAPP(c_Product__Type_Ofst(T_a,T_b),V_t_2)
        & hAPP(c_Product__Type_Osnd(T_a,T_b),V_s_2) = hAPP(c_Product__Type_Osnd(T_a,T_b),V_t_2) ) ) )).

fof(fact_prod__eqI,axiom,(
    ! [V_q,V_p,T_b,T_a] :
      ( hAPP(c_Product__Type_Ofst(T_a,T_b),V_p) = hAPP(c_Product__Type_Ofst(T_a,T_b),V_q)
     => ( hAPP(c_Product__Type_Osnd(T_a,T_b),V_p) = hAPP(c_Product__Type_Osnd(T_a,T_b),V_q)
       => V_p = V_q ) ) )).

fof(fact_fst__apsnd,axiom,(
    ! [V_x_2,V_f_2,T_c,T_b,T_a] : hAPP(c_Product__Type_Ofst(T_a,T_b),hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_a,V_f_2),V_x_2)) = hAPP(c_Product__Type_Ofst(T_a,T_c),V_x_2) )).

fof(fact_fst__def,axiom,(
    ! [V_p_2,T_b,T_a] : hAPP(c_Product__Type_Ofst(T_a,T_b),V_p_2) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_a),c_COMBK(T_a,T_b)),V_p_2) )).

fof(fact_fst__eqD,axiom,(
    ! [V_a,V_y,V_x,T_b,T_a] :
      ( hAPP(c_Product__Type_Ofst(T_a,T_b),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x),V_y)) = V_a
     => V_x = V_a ) )).

fof(fact_fst__conv,axiom,(
    ! [V_b,V_a,T_b,T_a] : hAPP(c_Product__Type_Ofst(T_a,T_b),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a),V_b)) = V_a )).

fof(fact_pair__collapse,axiom,(
    ! [V_p,T_b,T_a] : hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(c_Product__Type_Ofst(T_a,T_b),V_p)),hAPP(c_Product__Type_Osnd(T_a,T_b),V_p)) = V_p )).

fof(fact_surjective__pairing,axiom,(
    ! [T_b,T_a,V_t] : V_t = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(c_Product__Type_Ofst(T_a,T_b),V_t)),hAPP(c_Product__Type_Osnd(T_a,T_b),V_t)) )).

fof(fact_prod__case__beta,axiom,(
    ! [V_p_2,V_f_2,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_f_2),V_p_2) = hAPP(hAPP(V_f_2,hAPP(c_Product__Type_Ofst(T_b,T_c),V_p_2)),hAPP(c_Product__Type_Osnd(T_b,T_c),V_p_2)) )).

fof(fact_div__int__def,axiom,(
    ! [V_b,V_a] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = hAPP(c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint),c_Divides_Odivmod__int(V_a,V_b)) )).

fof(fact_split__comp__eq,axiom,(
    ! [V_g_2,V_f_2,T_d,T_c,T_b,T_a] : hAPP(hAPP(c_COMBS(tc_prod(T_a,T_b),T_b,T_c),hAPP(hAPP(c_COMBB(T_d,tc_fun(T_b,T_c),tc_prod(T_a,T_b)),V_f_2),hAPP(hAPP(c_COMBB(T_a,T_d,tc_prod(T_a,T_b)),V_g_2),c_Product__Type_Ofst(T_a,T_b)))),c_Product__Type_Osnd(T_a,T_b)) = hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),hAPP(hAPP(c_COMBB(T_d,tc_fun(T_b,T_c),T_a),V_f_2),V_g_2)) )).

fof(fact_split__beta,axiom,(
    ! [V_z_2,V_P_2,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_P_2),V_z_2) = hAPP(hAPP(V_P_2,hAPP(c_Product__Type_Ofst(T_b,T_c),V_z_2)),hAPP(c_Product__Type_Osnd(T_b,T_c),V_z_2)) )).

fof(fact_split__def,axiom,(
    ! [V_p_2,V_c_2,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_c_2),V_p_2) = hAPP(hAPP(V_c_2,hAPP(c_Product__Type_Ofst(T_b,T_c),V_p_2)),hAPP(c_Product__Type_Osnd(T_b,T_c),V_p_2)) )).

fof(fact_accp__downward,axiom,(
    ! [V_a_2,V_b_2,V_r_2,T_a] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),V_b_2))
     => ( hBOOL(hAPP(hAPP(V_r_2,V_a_2),V_b_2))
       => hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),V_a_2)) ) ) )).

fof(fact_accp_Oequations,axiom,(
    ! [V_a_2,V_r_2,T_a] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),V_a_2))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(V_r_2,B_x),V_a_2))
         => hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),B_x)) ) ) )).

fof(fact_accp_Osimps,axiom,(
    ! [V_a_2,V_r_2,T_a] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),V_a_2))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(V_r_2,B_x),V_a_2))
         => hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),B_x)) ) ) )).

fof(fact_The__split,axiom,(
    ! [V_P_2,T_b,T_a] : c_HOL_OThe(tc_prod(T_a,T_b),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_P_2)) = c_HOL_OThe(tc_prod(T_a,T_b),hAPP(hAPP(c_COMBS(tc_prod(T_a,T_b),T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,tc_HOL_Obool),tc_prod(T_a,T_b)),V_P_2),c_Product__Type_Ofst(T_a,T_b))),c_Product__Type_Osnd(T_a,T_b))) )).

fof(fact_div__neg__pos,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = hAPP(c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint),c_Divides_OnegDivAlg(V_a,V_b)) ) ) )).

fof(fact_div__pos__pos,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_b))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = hAPP(c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint),c_Divides_OposDivAlg(V_a,V_b)) ) ) )).

fof(fact_div__pos__pos__1__number__of,axiom,(
    ! [V_w] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)))
     => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w)) = hAPP(c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint),c_Divides_OposDivAlg(c_Groups_Oone__class_Oone(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_w))) ) )).

fof(fact_div__pos__neg,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),V_a))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = hAPP(c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint),hAPP(c_Divides_OnegateSnd,c_Divides_OnegDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)))) ) ) )).

fof(fact_div__neg__neg,axiom,(
    ! [V_b,V_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_a),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_b),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))
       => hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Int_Oint),V_a),V_b) = hAPP(c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint),hAPP(c_Divides_OnegateSnd,c_Divides_OposDivAlg(hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_b)))) ) ) )).

fof(fact_prod__size__simp,axiom,(
    ! [V_p_2,V_g_2,V_f_2,T_b,T_a] : c_Product__Type_Oprod_Oprod__size(T_a,T_b,V_f_2,V_g_2,V_p_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(V_f_2,hAPP(c_Product__Type_Ofst(T_a,T_b),V_p_2))),hAPP(V_g_2,hAPP(c_Product__Type_Osnd(T_a,T_b),V_p_2)))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_nat__gcd_Opsimps,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Nitpick_Onat__gcd__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)))
     => ( ( V_y_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => c_Nitpick_Onat__gcd(V_x_2,V_y_2) = V_x_2 )
        & ( V_y_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => c_Nitpick_Onat__gcd(V_x_2,V_y_2) = c_Nitpick_Onat__gcd(V_y_2,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_x_2,V_y_2)) ) ) ) )).

fof(fact_exI__realizer,axiom,(
    ! [T_a,T_b,V_x_2,V_y_2,V_P_2] :
      ( hBOOL(hAPP(hAPP(V_P_2,V_y_2),V_x_2))
     => hBOOL(hAPP(hAPP(V_P_2,hAPP(c_Product__Type_Osnd(T_b,T_a),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_x_2),V_y_2))),hAPP(c_Product__Type_Ofst(T_b,T_a),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_x_2),V_y_2)))) ) )).

fof(fact_div__nat__def,axiom,(
    ! [V_n,V_m] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),V_m),V_n) = hAPP(c_Product__Type_Ofst(tc_Nat_Onat,tc_Nat_Onat),c_Divides_Odivmod__nat(V_m,V_n)) )).

fof(fact_divmod__nat__rel__def,axiom,(
    ! [V_qr_2,V_n_2,V_m_2] :
      ( hBOOL(hAPP(c_Divides_Odivmod__nat__rel(V_m_2,V_n_2),V_qr_2))
    <=> ( V_m_2 = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Product__Type_Ofst(tc_Nat_Onat,tc_Nat_Onat),V_qr_2)),V_n_2)),hAPP(c_Product__Type_Osnd(tc_Nat_Onat,tc_Nat_Onat),V_qr_2))
        & ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => hAPP(c_Product__Type_Ofst(tc_Nat_Onat,tc_Nat_Onat),V_qr_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
        & ( V_n_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2))
             => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Product__Type_Osnd(tc_Nat_Onat,tc_Nat_Onat),V_qr_2)))
                & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Product__Type_Osnd(tc_Nat_Onat,tc_Nat_Onat),V_qr_2)),V_n_2)) ) )
            & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_n_2))
             => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Product__Type_Osnd(tc_Nat_Onat,tc_Nat_Onat),V_qr_2)))
                & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Product__Type_Osnd(tc_Nat_Onat,tc_Nat_Onat),V_qr_2)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) ) ) ) ) ) ) )).

fof(fact_conjI__realizer,axiom,(
    ! [T_b,T_a,V_q_2,V_Q_2,V_p_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_p_2))
     => ( hBOOL(hAPP(V_Q_2,V_q_2))
       => ( hBOOL(hAPP(V_P_2,hAPP(c_Product__Type_Ofst(T_a,T_b),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_p_2),V_q_2))))
          & hBOOL(hAPP(V_Q_2,hAPP(c_Product__Type_Osnd(T_a,T_b),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_p_2),V_q_2)))) ) ) ) )).

fof(fact_nat_Osize_I2_J,axiom,(
    ! [V_nat] : c_Nat_Onat_Onat__size(hAPP(c_Nat_OSuc,V_nat)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Nat_Onat_Onat__size(V_nat)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_in__measure,axiom,(
    ! [V_f_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),hAPP(c_Wellfounded_Omeasure(T_a),V_f_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2))) ) )).

fof(fact_nat__def,axiom,(
    ! [V_z_2] : hAPP(c_Int_Onat,V_z_2) = c_Set_Othe__elem(tc_Nat_Onat,hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(c_Int_ORep__Integ,V_z_2)),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Nat_Onat,tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool))),tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool))),tc_Nat_Onat),c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_fun(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool))),tc_Nat_Onat),hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),tc_Nat_Onat),c_Set_Oinsert(tc_Nat_Onat))),c_Groups_Ominus__class_Ominus(tc_Nat_Onat)))),c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)))))) )).

fof(fact_Rep__Integ__inject,axiom,(
    ! [V_y_2,V_x_2] :
      ( hAPP(c_Int_ORep__Integ,V_x_2) = hAPP(c_Int_ORep__Integ,V_y_2)
    <=> V_x_2 = V_y_2 ) )).

fof(fact_nat_Osize_I1_J,axiom,(
    c_Nat_Onat_Onat__size(c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_nat__gcd_Opinduct,axiom,(
    ! [V_P_2,V_a1_2,V_a0_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Nitpick_Onat__gcd__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_a0_2),V_a1_2)))
     => ( ! [B_x,B_y] :
            ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Nitpick_Onat__gcd__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),B_x),B_y)))
           => ( ( B_y != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
               => hBOOL(hAPP(hAPP(V_P_2,B_y),c_Divides_Odiv__class_Omod(tc_Nat_Onat,B_x,B_y))) )
             => hBOOL(hAPP(hAPP(V_P_2,B_x),B_y)) ) )
       => hBOOL(hAPP(hAPP(V_P_2,V_a0_2),V_a1_2)) ) ) )).

fof(fact_mlex__leq,axiom,(
    ! [V_R_2,T_a,V_y_2,V_x_2,V_f_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_R_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Wellfounded_Omlex__prod(T_a,V_f_2,V_R_2))) ) ) )).

fof(fact_mlex__less,axiom,(
    ! [V_R_2,T_a,V_y_2,V_x_2,V_f_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Wellfounded_Omlex__prod(T_a,V_f_2,V_R_2))) ) )).

fof(fact_finite__psubset__def,axiom,(
    ! [T_a] : c_Wellfounded_Ofinite__psubset(T_a) = hAPP(c_Set_OCollect(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(c_Product__Type_Oprod_Oprod__case(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),c_COMBS(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_fconj)),c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool))))),c_Finite__Set_Ofinite(T_a)))) )).

fof(fact_nat_Osize_I4_J,axiom,(
    ! [V_nat] : hAPP(c_Nat_Osize__class_Osize(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_nat)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_Nat_Onat),V_nat)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_prod_Orecs,axiom,(
    ! [V_b_2,V_a_2,V_f1_2,T_a,T_c,T_b] : c_Product__Type_Oprod_Oprod__rec(T_b,T_c,T_a,V_f1_2,hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_a_2),V_b_2)) = hAPP(hAPP(V_f1_2,V_a_2),V_b_2) )).

fof(fact_nat__size,axiom,(
    ! [V_n] : hAPP(c_Nat_Osize__class_Osize(tc_Nat_Onat),V_n) = V_n )).

fof(fact_nat_Osize_I3_J,axiom,(
    hAPP(c_Nat_Osize__class_Osize(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_in__finite__psubset,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),c_Wellfounded_Ofinite__psubset(T_a)))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2)) ) ) )).

fof(fact_in__lex__prod,axiom,(
    ! [V_s_2,V_r_2,V_b_H_2,V_a_H_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_H_2),V_b_H_2))),c_Wellfounded_Olex__prod(T_a,T_b,V_r_2,V_s_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_a_H_2)),V_r_2))
        | ( V_a_2 = V_a_H_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_b),V_b_2),V_b_H_2)),V_s_2)) ) ) ) )).

fof(fact_apfst__apsnd,axiom,(
    ! [V_x_2,V_g_2,T_d,V_f_2,T_b,T_a,T_c] : hAPP(c_Product__Type_Oapfst(T_c,T_a,T_b,V_f_2),hAPP(c_Product__Type_Oapsnd(T_d,T_b,T_c,V_g_2),V_x_2)) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(V_f_2,hAPP(c_Product__Type_Ofst(T_c,T_d),V_x_2))),hAPP(V_g_2,hAPP(c_Product__Type_Osnd(T_c,T_d),V_x_2))) )).

fof(fact_apsnd__apfst,axiom,(
    ! [V_x_2,V_g_2,T_d,V_f_2,T_a,T_b,T_c] : hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_a,V_f_2),hAPP(c_Product__Type_Oapfst(T_d,T_a,T_c,V_g_2),V_x_2)) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(V_g_2,hAPP(c_Product__Type_Ofst(T_d,T_c),V_x_2))),hAPP(V_f_2,hAPP(c_Product__Type_Osnd(T_d,T_c),V_x_2))) )).

fof(fact_apfst__conv,axiom,(
    ! [V_y_2,V_x_2,V_f_2,T_b,T_a,T_c] : hAPP(c_Product__Type_Oapfst(T_c,T_a,T_b,V_f_2),hAPP(hAPP(c_Product__Type_OPair(T_c,T_b),V_x_2),V_y_2)) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(V_f_2,V_x_2)),V_y_2) )).

fof(fact_apfst__eq__conv,axiom,(
    ! [V_g_2,V_x_2,V_f_2,T_b,T_a,T_c] :
      ( hAPP(c_Product__Type_Oapfst(T_c,T_a,T_b,V_f_2),V_x_2) = hAPP(c_Product__Type_Oapfst(T_c,T_a,T_b,V_g_2),V_x_2)
    <=> hAPP(V_f_2,hAPP(c_Product__Type_Ofst(T_c,T_b),V_x_2)) = hAPP(V_g_2,hAPP(c_Product__Type_Ofst(T_c,T_b),V_x_2)) ) )).

fof(fact_fst__apfst,axiom,(
    ! [V_x_2,V_f_2,T_c,T_b,T_a] : hAPP(c_Product__Type_Ofst(T_a,T_b),hAPP(c_Product__Type_Oapfst(T_c,T_a,T_b,V_f_2),V_x_2)) = hAPP(V_f_2,hAPP(c_Product__Type_Ofst(T_c,T_b),V_x_2)) )).

fof(fact_snd__apfst,axiom,(
    ! [V_x_2,V_f_2,T_c,T_a,T_b] : hAPP(c_Product__Type_Osnd(T_b,T_a),hAPP(c_Product__Type_Oapfst(T_c,T_b,T_a,V_f_2),V_x_2)) = hAPP(c_Product__Type_Osnd(T_c,T_a),V_x_2) )).

fof(fact_apsnd__apfst__commute,axiom,(
    ! [V_p_2,V_g_2,T_d,V_f_2,T_a,T_b,T_c] : hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_a,V_f_2),hAPP(c_Product__Type_Oapfst(T_d,T_a,T_c,V_g_2),V_p_2)) = hAPP(c_Product__Type_Oapfst(T_d,T_a,T_b,V_g_2),hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_d,V_f_2),V_p_2)) )).

fof(fact_same__fstI,axiom,(
    ! [T_a,V_R_2,V_y_2,V_y_H_2,T_b,V_x_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_x_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_b),V_y_H_2),V_y_2)),hAPP(V_R_2,V_x_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(T_a,T_b),tc_prod(T_a,T_b))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(T_a,T_b),tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_H_2)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2))),c_Recdef_Osame__fst(T_a,T_b,V_P_2,V_R_2))) ) ) )).

fof(fact_pair__lessI2,axiom,(
    ! [V_t_2,V_s_2,V_b_2,V_a_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_a_2),V_b_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_s_2),V_t_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_a_2),V_s_2)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_b_2),V_t_2))),c_FunDef_Opair__less)) ) ) )).

fof(fact_max__ext__additive,axiom,(
    ! [V_D_2,V_C_2,V_R_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),c_Wellfounded_Omax__ext(T_a,V_R_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_D_2)),c_Wellfounded_Omax__ext(T_a,V_R_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_D_2))),c_Wellfounded_Omax__ext(T_a,V_R_2))) ) ) )).

fof(fact_pair__lessI1,axiom,(
    ! [V_t_2,V_s_2,V_b_2,V_a_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_a_2),V_b_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_a_2),V_s_2)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_b_2),V_t_2))),c_FunDef_Opair__less)) ) )).

fof(fact_max__extp__max__ext__eq,axiom,(
    ! [V_xa_2,V_x_2,V_R_2,T_a] :
      ( c_Wellfounded_Omax__extp(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a)))),c_Product__Type_OPair(T_a,T_a)))),V_R_2),V_x_2,V_xa_2)
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_x_2),V_xa_2)),c_Wellfounded_Omax__ext(T_a,V_R_2))) ) )).

fof(fact_pair__leqI2,axiom,(
    ! [V_t_2,V_s_2,V_b_2,V_a_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_a_2),V_b_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_s_2),V_t_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_a_2),V_s_2)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_b_2),V_t_2))),c_FunDef_Opair__leq)) ) ) )).

fof(fact_smin__insertI,axiom,(
    ! [V_YS_2,V_y_2,V_XS_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_XS_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_y_2)),c_FunDef_Opair__less))
       => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_XS_2),V_YS_2)),c_FunDef_Omin__strict))
         => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_XS_2),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_y_2),V_YS_2))),c_FunDef_Omin__strict)) ) ) ) )).

fof(fact_smin__emptyI,axiom,(
    ! [V_X_2] :
      ( V_X_2 != c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_X_2),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))),c_FunDef_Omin__strict)) ) )).

fof(fact_pair__leqI1,axiom,(
    ! [V_t_2,V_s_2,V_b_2,V_a_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_a_2),V_b_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_a_2),V_s_2)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_b_2),V_t_2))),c_FunDef_Opair__leq)) ) )).

fof(fact_wmax__insertI,axiom,(
    ! [V_XS_2,V_x_2,V_YS_2,V_y_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_y_2),V_YS_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_y_2)),c_FunDef_Opair__leq))
       => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_XS_2),V_YS_2)),c_FunDef_Omax__weak))
         => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_XS_2)),V_YS_2)),c_FunDef_Omax__weak)) ) ) ) )).

fof(fact_wmin__insertI,axiom,(
    ! [V_YS_2,V_y_2,V_XS_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_XS_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_y_2)),c_FunDef_Opair__leq))
       => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_XS_2),V_YS_2)),c_FunDef_Omin__weak))
         => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_XS_2),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_y_2),V_YS_2))),c_FunDef_Omin__weak)) ) ) ) )).

fof(fact_smax__insertI,axiom,(
    ! [V_X_2,V_x_2,V_Y_2,V_y_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_y_2),V_Y_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_y_2)),c_FunDef_Opair__less))
       => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_X_2),V_Y_2)),c_FunDef_Omax__strict))
         => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_X_2)),V_Y_2)),c_FunDef_Omax__strict)) ) ) ) )).

fof(fact_max__strict__def,axiom,(
    c_FunDef_Omax__strict = c_Wellfounded_Omax__ext(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_FunDef_Opair__less) )).

fof(fact_wmin__emptyI,axiom,(
    ! [V_X_2] : hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_X_2),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))),c_FunDef_Omin__weak)) )).

fof(fact_wmax__emptyI,axiom,(
    ! [V_X_2] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_X_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),V_X_2)),c_FunDef_Omax__weak)) ) )).

fof(fact_smax__emptyI,axiom,(
    ! [V_Y_2] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_Y_2))
     => ( V_Y_2 != c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),V_Y_2)),c_FunDef_Omax__strict)) ) ) )).

fof(fact_max__weak__def,axiom,(
    c_FunDef_Omax__weak = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool)),c_Wellfounded_Omax__ext(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_FunDef_Opair__leq)),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool)))) )).

fof(fact_min__weak__def,axiom,(
    c_FunDef_Omin__weak = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool)),c_Wellfounded_Omin__ext(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_FunDef_Opair__leq)),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool)))) )).

fof(fact_max__rpair__set,axiom,(
    c_FunDef_Oreduction__pair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool),tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool)),c_FunDef_Omax__strict),c_FunDef_Omax__weak)) )).

fof(fact_min__rpair__set,axiom,(
    c_FunDef_Oreduction__pair(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool),tc_fun(tc_prod(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_HOL_Obool)),c_FunDef_Omin__strict),c_FunDef_Omin__weak)) )).

fof(fact_min__strict__def,axiom,(
    c_FunDef_Omin__strict = c_Wellfounded_Omin__ext(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_FunDef_Opair__less) )).

fof(fact_less__than__iff,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),c_Wellfounded_Oless__than))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_x_2),V_y_2)) ) )).

fof(fact_intrel__iff,axiom,(
    ! [V_v_2,V_u_2,V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_u_2),V_v_2))),c_Int_Ointrel))
    <=> hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_x_2),V_v_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_u_2),V_y_2) ) )).

fof(fact_rp__inv__image__rp,axiom,(
    ! [V_f_2,T_b,V_P_2,T_a] :
      ( c_FunDef_Oreduction__pair(T_a,V_P_2)
     => c_FunDef_Oreduction__pair(T_b,hAPP(hAPP(c_FunDef_Orp__inv__image(T_a,T_b),V_P_2),V_f_2)) ) )).

fof(fact_pair__less__def,axiom,(
    c_FunDef_Opair__less = c_Wellfounded_Olex__prod(tc_Nat_Onat,tc_Nat_Onat,c_Wellfounded_Oless__than,c_Wellfounded_Oless__than) )).

fof(fact_mlex__prod__def,axiom,(
    ! [V_R_2,V_f_2,T_a] : c_Wellfounded_Omlex__prod(T_a,V_f_2,V_R_2) = hAPP(hAPP(c_Relation_Oinv__image(tc_prod(tc_Nat_Onat,T_a),T_a),c_Wellfounded_Olex__prod(tc_Nat_Onat,T_a,c_Wellfounded_Oless__than,V_R_2)),hAPP(hAPP(c_COMBS(T_a,T_a,tc_prod(tc_Nat_Onat,T_a)),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(T_a,tc_prod(tc_Nat_Onat,T_a)),T_a),c_Product__Type_OPair(tc_Nat_Onat,T_a)),V_f_2)),c_COMBI(T_a))) )).

fof(fact_rp__inv__image__def,axiom,(
    ! [T_b,T_a] : c_FunDef_Orp__inv__image(T_a,T_b) = hAPP(c_Product__Type_Oprod_Oprod__case(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_b,T_a),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)))),hAPP(hAPP(c_COMBC(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_b,T_a),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool))),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_b,T_a),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool))))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(tc_fun(T_b,T_a),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)),tc_fun(tc_fun(T_b,T_a),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)))),tc_fun(tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_b,T_a),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool))),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_b,T_a),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool))))),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_COMBB(tc_fun(tc_fun(T_b,T_a),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)),tc_fun(tc_fun(T_b,T_a),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool))),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_b,T_a),tc_fun(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)))),tc_fun(tc_fun(tc_fun(T_b,T_a),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)),tc_fun(tc_fun(T_b,T_a),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)))),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_COMBS(tc_fun(T_b,T_a),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_b,T_a),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)),tc_fun(tc_fun(T_b,T_a),tc_fun(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)))),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(c_COMBB(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_prod(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool))),tc_fun(T_b,T_a)),c_Product__Type_OPair(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool)))),c_Relation_Oinv__image(T_a,T_b))))),c_Relation_Oinv__image(T_a,T_b))) )).

fof(fact_equiv__intrel__iff,axiom,(
    ! [V_y_2,V_x_2] :
      ( hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))) = hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_y_2),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat))),hAPP(hAPP(c_Product__Type_OPair(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),V_x_2),V_y_2)),c_Int_Ointrel)) ) )).

fof(fact_measure__def,axiom,(
    ! [T_a] : c_Wellfounded_Omeasure(T_a) = hAPP(c_Relation_Oinv__image(tc_Nat_Onat,T_a),c_Wellfounded_Oless__than) )).

fof(fact_Image__singleton,axiom,(
    ! [V_a_2,V_r_2,T_a,T_b] : hAPP(c_Relation_OImage(T_b,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_prod(T_b,T_a),tc_fun(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_b,T_a))),hAPP(c_Product__Type_OPair(T_b,T_a),V_a_2))),V_r_2)) )).

fof(fact_Image__singleton__iff,axiom,(
    ! [V_a_2,V_r_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(c_Relation_OImage(T_b,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))))))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_a_2),V_b_2)),V_r_2)) ) )).

fof(fact_inv__image__def,axiom,(
    ! [V_f_2,V_r_2,T_a,T_b] : hAPP(hAPP(c_Relation_Oinv__image(T_b,T_a),V_r_2),V_f_2) = hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_b,T_b)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_b,T_b),tc_fun(tc_fun(tc_prod(T_b,T_b),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_b,T_b)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_b),tc_fun(T_a,tc_prod(T_b,T_b))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_b,T_b)),tc_fun(tc_fun(T_a,T_b),tc_fun(T_a,tc_prod(T_b,T_b))),T_a),c_COMBB(T_b,tc_prod(T_b,T_b),T_a)),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_prod(T_b,T_b)),T_a),c_Product__Type_OPair(T_b,T_b)),V_f_2))),V_f_2)))),V_r_2))) )).

fof(fact_Image__empty,axiom,(
    ! [V_R_2,T_a,T_b] : hAPP(c_Relation_OImage(T_b,T_a,V_R_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Image__Un,axiom,(
    ! [V_B_2,V_A_2,V_R_2,T_a,T_b] : hAPP(c_Relation_OImage(T_b,T_a,V_R_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),V_A_2)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),V_B_2)) )).

fof(fact_Image__UN,axiom,(
    ! [V_B_2,V_A_2,T_c,V_r_2,T_a,T_b] : hAPP(c_Relation_OImage(T_b,T_a,V_r_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),c_Relation_OImage(T_b,T_a,V_r_2)),V_B_2)) )).

fof(fact_Image__Int__subset,axiom,(
    ! [V_B_2,V_A_2,V_R_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),V_A_2)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),V_B_2)))) )).

fof(fact_Image__mono,axiom,(
    ! [V_A_2,V_A_H_2,V_r_2,V_r_H_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_r_H_2),V_r_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_H_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_b,V_r_H_2),V_A_H_2)),hAPP(c_Relation_OImage(T_a,T_b,V_r_2),V_A_2))) ) ) )).

fof(fact_Un__Image,axiom,(
    ! [V_A_2,V_S_2,V_R_2,T_a,T_b] : hAPP(c_Relation_OImage(T_b,T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_R_2),V_S_2)),V_A_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),V_A_2)),hAPP(c_Relation_OImage(T_b,T_a,V_S_2),V_A_2)) )).

fof(fact_in__inv__image,axiom,(
    ! [V_f_2,V_r_2,T_b,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),hAPP(hAPP(c_Relation_Oinv__image(T_b,T_a),V_r_2),V_f_2)))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_b),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2))),V_r_2)) ) )).

fof(fact_Image__iff,axiom,(
    ! [V_A_2,V_r_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(c_Relation_OImage(T_b,T_a,V_r_2),V_A_2)))
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),B_x),V_b_2)),V_r_2)) ) ) )).

fof(fact_rev__ImageI,axiom,(
    ! [V_r_2,V_b_2,T_b,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(c_Relation_OImage(T_a,T_b,V_r_2),V_A_2))) ) ) )).

fof(fact_Image__eq__UN,axiom,(
    ! [V_B_2,V_r_2,T_a,T_b] : hAPP(c_Relation_OImage(T_b,T_a,V_r_2),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),c_Relation_OImage(T_b,T_a,V_r_2)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),c_Set_Oinsert(T_b)),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))))) )).

fof(fact_of__int,axiom,(
    ! [V_j_2,V_i_2,T_a] :
      ( class_Rings_Oring__1(T_a)
     => hAPP(c_Int_Oring__1__class_Oof__int(T_a),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_i_2),V_j_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_i_2)),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),V_j_2)) ) )).

fof(fact_One__int__def,axiom,(
    c_Groups_Oone__class_Oone(tc_Int_Oint) = hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oone__class_Oone(tc_Nat_Onat)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))) )).

fof(fact_mult,axiom,(
    ! [V_v_2,V_u_2,V_y_2,V_x_2] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_u_2),V_v_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))) = hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_x_2),V_u_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_y_2),V_v_2))),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_x_2),V_v_2)),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_y_2),V_u_2)))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))) )).

fof(fact_Rep__Integ__inverse,axiom,(
    ! [V_x_2] : hAPP(c_Int_OAbs__Integ,hAPP(c_Int_ORep__Integ,V_x_2)) = V_x_2 )).

fof(fact_minus,axiom,(
    ! [V_y_2,V_x_2] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))) = hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_y_2),V_x_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))) )).

fof(fact_Zero__int__def,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Int_Oint) = hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))) )).

fof(fact_int__def,axiom,(
    ! [V_m_2] : hAPP(c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),V_m_2) = hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_m_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))) )).

fof(fact_add,axiom,(
    ! [V_v_2,V_u_2,V_y_2,V_x_2] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_u_2),V_v_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))) = hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_x_2),V_u_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_y_2),V_v_2))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))) )).

fof(fact_nat,axiom,(
    ! [V_y_2,V_x_2] : hAPP(c_Int_Onat,hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_x_2),V_y_2) )).

fof(fact_minus__int__def,axiom,(
    ! [V_z_2] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),V_z_2) = hAPP(c_Int_OAbs__Integ,hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),hAPP(c_Int_ORep__Integ,V_z_2)),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Nat_Onat,tc_Nat_Onat,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_fun(tc_Nat_Onat,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_Nat_Onat),hAPP(c_COMBB(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_Nat_Onat),c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_fun(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),tc_fun(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),tc_Nat_Onat),c_COMBC(tc_Nat_Onat,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_prod(tc_Nat_Onat,tc_Nat_Onat)),tc_fun(tc_Nat_Onat,tc_fun(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),tc_Nat_Onat),hAPP(c_COMBB(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_fun(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),tc_Nat_Onat),c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)))),hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_prod(tc_Nat_Onat,tc_Nat_Onat)),c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat))))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))))) )).

fof(fact_less,axiom,(
    ! [V_v_2,V_u_2,V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_u_2),V_v_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_x_2),V_v_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_u_2),V_y_2))) ) )).

fof(fact_le,axiom,(
    ! [V_v_2,V_u_2,V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_x_2),V_y_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))),hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_u_2),V_v_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)))))))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_x_2),V_v_2)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_u_2),V_y_2))) ) )).

fof(fact_irrefl__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Relation_Oirrefl(T_a,V_r_2)
    <=> ! [B_x] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),V_r_2)) ) )).

fof(fact_eq__Abs__Integ,axiom,(
    ! [V_z_2] :
      ~ ! [B_x,B_y] : V_z_2 != hAPP(c_Int_OAbs__Integ,hAPP(c_Relation_OImage(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Int_Ointrel),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),B_x),B_y)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))))) )).

fof(fact_Field__insert,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_a] : hAPP(c_Relation_OField(T_a),hAPP(hAPP(c_Set_Oinsert(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(c_Relation_OField(T_a),V_r_2)) )).

fof(fact_Field__empty,axiom,(
    ! [T_a] : hAPP(c_Relation_OField(T_a),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_mono__Field,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OField(T_a),V_r_2)),hAPP(c_Relation_OField(T_a),V_s_2))) ) )).

fof(fact_Field__Un,axiom,(
    ! [V_s_2,V_r_2,T_a] : hAPP(c_Relation_OField(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OField(T_a),V_r_2)),hAPP(c_Relation_OField(T_a),V_s_2)) )).

fof(fact_finite__Field,axiom,(
    ! [V_r_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_a)),V_r_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Relation_OField(T_a),V_r_2))) ) )).

fof(fact_Id__on__def,axiom,(
    ! [V_A_2,T_a] : c_Relation_OId__on(T_a,V_A_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),T_a),c_Set_Oinsert(tc_prod(T_a,T_a))),hAPP(hAPP(c_COMBS(T_a,T_a,tc_prod(T_a,T_a)),c_Product__Type_OPair(T_a,T_a)),c_COMBI(T_a)))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)))) )).

fof(fact_quotient__def,axiom,(
    ! [V_r_2,V_A_2,T_a] : hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),T_a),c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_a),c_Relation_OImage(T_a,T_a,V_r_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)))) )).

fof(fact_ImageE,axiom,(
    ! [V_A_2,V_r_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(c_Relation_OImage(T_b,T_a,V_r_2),V_A_2)))
     => ~ ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),B_x),V_b_2)),V_r_2))
           => ~ hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2)) ) ) )).

fof(fact_quotient__is__empty,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_quotient__is__empty2,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)) = hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)
    <=> V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_quotient__empty,axiom,(
    ! [V_r_2,T_a] : hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_r_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)) )).

fof(fact_Id__on__def_H,axiom,(
    ! [V_A_2,T_a] : c_Relation_OId__on(T_a,V_A_2) = hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_HOL_Obool,tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj)),c_fequal))),V_A_2)) )).

fof(fact_Id__on__empty,axiom,(
    ! [T_a] : c_Relation_OId__on(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)) )).

fof(fact_Image__Id__on,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(c_Relation_OImage(T_a,T_a,c_Relation_OId__on(T_a,V_A_2)),V_B_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_quotientI,axiom,(
    ! [V_r_2,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2))) ) )).

fof(fact_Id__on__iff,axiom,(
    ! [V_A_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Relation_OId__on(T_a,V_A_2)))
    <=> ( V_x_2 = V_y_2
        & hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2)) ) ) )).

fof(fact_Id__on__eqI,axiom,(
    ! [V_A_2,T_a,V_b_2,V_a_2] :
      ( V_a_2 = V_b_2
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Relation_OId__on(T_a,V_A_2))) ) ) )).

fof(fact_singleton__quotient,axiom,(
    ! [V_r_2,V_x_2,T_a] : hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_r_2) = hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))) )).

fof(fact_equiv__class__nondisjoint,axiom,(
    ! [V_b_2,V_a_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2)) ) ) )).

fof(fact_subset__equiv__class,axiom,(
    ! [V_a_2,V_b_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2)) ) ) ) )).

fof(fact_quotientE,axiom,(
    ! [V_r_2,V_A_2,V_X_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
     => ~ ! [B_x] :
            ( V_X_2 = hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),B_x),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
           => ~ hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2)) ) ) )).

fof(fact_equiv__intrel,axiom,(
    c_Equiv__Relations_Oequiv(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_Orderings_Otop__class_Otop(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),c_Int_Ointrel) )).

fof(fact_equiv__class__self,axiom,(
    ! [V_a_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_quotient__disj,axiom,(
    ! [V_Y_2,V_X_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
       => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_Y_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
         => ( V_X_2 = V_Y_2
            | hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_X_2),V_Y_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) ) ) )).

fof(fact_equiv__class__eq,axiom,(
    ! [V_b_2,V_a_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
       => hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) ) ) )).

fof(fact_quotient__eqI,axiom,(
    ! [V_y_2,V_x_2,V_Y_2,V_X_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
       => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_Y_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
         => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_X_2))
           => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_Y_2))
             => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
               => V_X_2 = V_Y_2 ) ) ) ) ) ) )).

fof(fact_quotient__eq__iff,axiom,(
    ! [V_y_2,V_x_2,V_Y_2,V_X_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
       => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_Y_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
         => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_X_2))
           => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_Y_2))
             => ( V_X_2 = V_Y_2
              <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2)) ) ) ) ) ) ) )).

fof(fact_equiv__class__eq__iff,axiom,(
    ! [V_y_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
      <=> ( hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
          & hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
          & hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2)) ) ) ) )).

fof(fact_eq__equiv__class__iff,axiom,(
    ! [V_y_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2))
         => ( hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
          <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2)) ) ) ) ) )).

fof(fact_eq__equiv__class,axiom,(
    ! [V_A_2,V_b_2,V_a_2,V_r_2,T_a] :
      ( hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
     => ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2)) ) ) ) )).

fof(fact_equiv__class__subset,axiom,(
    ! [V_b_2,V_a_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_eq__equiv__class__iff2,axiom,(
    ! [V_y_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2))
         => ( hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_r_2) = hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_r_2)
          <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2)) ) ) ) ) )).

fof(fact_UN__equiv__class,axiom,(
    ! [V_a_2,V_f_2,T_b,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( c_Equiv__Relations_Ocongruent(T_a,tc_fun(T_b,tc_HOL_Obool),V_r_2,V_f_2)
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_f_2) = hAPP(V_f_2,V_a_2) ) ) ) )).

fof(fact_UN__equiv__class2,axiom,(
    ! [V_a2_2,V_a1_2,V_f_2,T_c,V_r2_2,V_A2_2,T_b,V_r1_2,V_A1_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A1_2,V_r1_2)
     => ( c_Equiv__Relations_Oequiv(T_b,V_A2_2,V_r2_2)
       => ( c_Equiv__Relations_Ocongruent2(T_a,T_b,tc_fun(T_c,tc_HOL_Obool),V_r1_2,V_r2_2,V_f_2)
         => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a1_2),V_A1_2))
           => ( hBOOL(hAPP(hAPP(c_member(T_b),V_a2_2),V_A2_2))
             => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_c,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r1_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a1_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),tc_fun(T_c,tc_HOL_Obool),T_a),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_c,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_b,V_r2_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a2_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))))),V_f_2)) = hAPP(hAPP(V_f_2,V_a1_2),V_a2_2) ) ) ) ) ) )).

fof(fact_equivp__equiv,axiom,(
    ! [V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),V_A_2)
    <=> c_Equiv__Relations_Oequivp(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a)))),c_Product__Type_OPair(T_a,T_a)))),V_A_2)) ) )).

fof(fact_equivp__transp,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_R_2,T_a] :
      ( c_Equiv__Relations_Oequivp(T_a,V_R_2)
     => ( hBOOL(hAPP(hAPP(V_R_2,V_x_2),V_y_2))
       => ( hBOOL(hAPP(hAPP(V_R_2,V_y_2),V_z_2))
         => hBOOL(hAPP(hAPP(V_R_2,V_x_2),V_z_2)) ) ) ) )).

fof(fact_equivp__symp,axiom,(
    ! [V_y_2,V_x_2,V_R_2,T_a] :
      ( c_Equiv__Relations_Oequivp(T_a,V_R_2)
     => ( hBOOL(hAPP(hAPP(V_R_2,V_x_2),V_y_2))
       => hBOOL(hAPP(hAPP(V_R_2,V_y_2),V_x_2)) ) ) )).

fof(fact_equivp__reflp,axiom,(
    ! [V_x_2,V_R_2,T_a] :
      ( c_Equiv__Relations_Oequivp(T_a,V_R_2)
     => hBOOL(hAPP(hAPP(V_R_2,V_x_2),V_x_2)) ) )).

fof(fact_equivp__def,axiom,(
    ! [V_R_2,T_a] :
      ( c_Equiv__Relations_Oequivp(T_a,V_R_2)
    <=> ! [B_x,B_y] :
          ( hBOOL(hAPP(hAPP(V_R_2,B_x),B_y))
        <=> hAPP(V_R_2,B_x) = hAPP(V_R_2,B_y) ) ) )).

fof(fact_identity__equivp,axiom,(
    ! [T_a] : c_Equiv__Relations_Oequivp(T_a,c_fequal) )).

fof(fact_congruent2__implies__congruent,axiom,(
    ! [V_a_2,V_f_2,V_r2_2,T_c,T_b,V_r1_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r1_2)
     => ( c_Equiv__Relations_Ocongruent2(T_a,T_b,T_c,V_r1_2,V_r2_2,V_f_2)
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => c_Equiv__Relations_Ocongruent(T_b,T_c,V_r2_2,hAPP(V_f_2,V_a_2)) ) ) ) )).

fof(fact_congruent2D,axiom,(
    ! [V_z2_2,V_y2_2,V_z1_2,V_y1_2,V_f_2,V_r2_2,V_r1_2,T_c,T_b,T_a] :
      ( c_Equiv__Relations_Ocongruent2(T_a,T_b,T_c,V_r1_2,V_r2_2,V_f_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y1_2),V_z1_2)),V_r1_2))
       => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_b),V_y2_2),V_z2_2)),V_r2_2))
         => hAPP(hAPP(V_f_2,V_y1_2),V_y2_2) = hAPP(hAPP(V_f_2,V_z1_2),V_z2_2) ) ) ) )).

fof(fact_congruentD,axiom,(
    ! [V_z_2,V_y_2,V_f_2,V_r_2,T_b,T_a] :
      ( c_Equiv__Relations_Ocongruent(T_a,T_b,V_r_2,V_f_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_z_2)),V_r_2))
       => hAPP(V_f_2,V_y_2) = hAPP(V_f_2,V_z_2) ) ) )).

fof(fact_congruent2__implies__congruent__UN,axiom,(
    ! [V_a_2,V_f_2,T_c,V_r2_2,V_A2_2,T_b,V_r1_2,V_A1_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A1_2,V_r1_2)
     => ( c_Equiv__Relations_Oequiv(T_b,V_A2_2,V_r2_2)
       => ( c_Equiv__Relations_Ocongruent2(T_a,T_b,tc_fun(T_c,tc_HOL_Obool),V_r1_2,V_r2_2,V_f_2)
         => ( hBOOL(hAPP(hAPP(c_member(T_b),V_a_2),V_A2_2))
           => c_Equiv__Relations_Ocongruent(T_a,tc_fun(T_c,tc_HOL_Obool),V_r1_2,hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),tc_fun(T_c,tc_HOL_Obool),T_a),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_c,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_b,V_r2_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))))),V_f_2)) ) ) ) ) )).

fof(fact_UN__equiv__class__inject,axiom,(
    ! [V_Y_2,V_X_2,V_f_2,T_b,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( c_Equiv__Relations_Ocongruent(T_a,tc_fun(T_b,tc_HOL_Obool),V_r_2,V_f_2)
       => ( hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_X_2),V_f_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_Y_2),V_f_2)
         => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
           => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_Y_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
             => ( ! [B_x] :
                    ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
                   => ! [B_y] :
                        ( hBOOL(hAPP(hAPP(c_member(T_a),B_y),V_A_2))
                       => ( hAPP(V_f_2,B_x) = hAPP(V_f_2,B_y)
                         => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_y)),V_r_2)) ) ) )
               => V_X_2 = V_Y_2 ) ) ) ) ) ) )).

fof(fact_UN__equiv__class__type2,axiom,(
    ! [V_B_2,V_X2_2,V_X1_2,V_f_2,T_c,V_r2_2,V_A2_2,T_b,V_r1_2,V_A1_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A1_2,V_r1_2)
     => ( c_Equiv__Relations_Oequiv(T_b,V_A2_2,V_r2_2)
       => ( c_Equiv__Relations_Ocongruent2(T_a,T_b,tc_fun(T_c,tc_HOL_Obool),V_r1_2,V_r2_2,V_f_2)
         => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X1_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A1_2),V_r1_2)))
           => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_b,tc_HOL_Obool)),V_X2_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_b),V_A2_2),V_r2_2)))
             => ( ! [B_x1] :
                    ( hBOOL(hAPP(hAPP(c_member(T_a),B_x1),V_A1_2))
                   => ! [B_x2] :
                        ( hBOOL(hAPP(hAPP(c_member(T_b),B_x2),V_A2_2))
                       => hBOOL(hAPP(hAPP(c_member(tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(V_f_2,B_x1),B_x2)),V_B_2)) ) )
               => hBOOL(hAPP(hAPP(c_member(tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_c,tc_HOL_Obool)),V_X1_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),tc_fun(T_c,tc_HOL_Obool),T_a),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_c,tc_HOL_Obool)),V_X2_2)),V_f_2))),V_B_2)) ) ) ) ) ) ) )).

fof(fact_UN__equiv__class__type,axiom,(
    ! [V_B_2,V_X_2,V_f_2,T_b,V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => ( c_Equiv__Relations_Ocongruent(T_a,tc_fun(T_b,tc_HOL_Obool),V_r_2,V_f_2)
       => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
               => hBOOL(hAPP(hAPP(c_member(tc_fun(T_b,tc_HOL_Obool)),hAPP(V_f_2,B_x)),V_B_2)) )
           => hBOOL(hAPP(hAPP(c_member(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_X_2),V_f_2)),V_B_2)) ) ) ) ) )).

fof(fact_Integ__def,axiom,(
    c_Int_OInteg = hAPP(hAPP(c_Equiv__Relations_Oquotient(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),c_Orderings_Otop__class_Otop(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool))),c_Int_Ointrel) )).

fof(fact_Id__onE,axiom,(
    ! [V_A_2,V_c_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_c_2),c_Relation_OId__on(T_a,V_A_2)))
     => ~ ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => V_c_2 != hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x) ) ) )).

fof(fact_card__quotient__disjoint,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( c_Fun_Oinj__on(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),T_a),c_Equiv__Relations_Oquotient(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_r_2),V_A_2)
       => hAPP(c_Finite__Set_Ocard(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)) = hAPP(c_Finite__Set_Ocard(T_a),V_A_2) ) ) )).

fof(fact_inj__on__empty,axiom,(
    ! [V_f_2,T_b,T_a] : c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_inj__uminus,axiom,(
    ! [V_A_2,T_a] :
      ( class_Groups_Oordered__ab__group__add(T_a)
     => c_Fun_Oinj__on(T_a,T_a,c_Groups_Ouminus__class_Ouminus(T_a),V_A_2) ) )).

fof(fact_inj__on__diff,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_inj__on__id2,axiom,(
    ! [V_A_2,T_a] : c_Fun_Oinj__on(T_a,T_a,c_COMBI(T_a),V_A_2) )).

fof(fact_inj__on__def,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_A_2))
             => ( hAPP(V_f_2,B_x) = hAPP(V_f_2,B_xa)
               => B_x = B_xa ) ) ) ) )).

fof(fact_inj__on__Int,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
       => c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_subset__inj__on,axiom,(
    ! [V_A_2,V_B_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2) ) ) )).

fof(fact_inj__on__contraD,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( V_x_2 != V_y_2
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2))
           => hAPP(V_f_2,V_x_2) != hAPP(V_f_2,V_y_2) ) ) ) ) )).

fof(fact_inj__on__iff,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2))
         => ( hAPP(V_f_2,V_x_2) = hAPP(V_f_2,V_y_2)
          <=> V_x_2 = V_y_2 ) ) ) ) )).

fof(fact_inj__onD,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hAPP(V_f_2,V_x_2) = hAPP(V_f_2,V_y_2)
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2))
           => V_x_2 = V_y_2 ) ) ) ) )).

fof(fact_inj__eq,axiom,(
    ! [V_y_2,V_x_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hAPP(V_f_2,V_x_2) = hAPP(V_f_2,V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_injD,axiom,(
    ! [V_y_2,V_x_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hAPP(V_f_2,V_x_2) = hAPP(V_f_2,V_y_2)
       => V_x_2 = V_y_2 ) ) )).

fof(fact_inj__fun,axiom,(
    ! [T_c,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => c_Fun_Oinj__on(T_a,tc_fun(T_c,T_b),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_c,T_b),T_a),c_COMBK(T_b,T_c)),V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) ) )).

fof(fact_finite__imageD,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2)))
     => ( c_Fun_Oinj__on(T_b,T_a,V_f_2,V_A_2)
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2)) ) ) )).

fof(fact_inj__image__eq__iff,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2) = hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)
      <=> V_A_2 = V_B_2 ) ) )).

fof(fact_inj__on__Un__image__eq__iff,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2) = hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)
      <=> V_A_2 = V_B_2 ) ) )).

fof(fact_card__image,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => hAPP(c_Finite__Set_Ocard(T_b),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)) = hAPP(c_Finite__Set_Ocard(T_a),V_A_2) ) )).

fof(fact_inj__on__strict__subset,axiom,(
    ! [V_A_2,V_B_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2))) ) ) )).

fof(fact_range__ex1__eq,axiom,(
    ! [V_b_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))))
      <=> ? [B_x] :
            ( V_b_2 = hAPP(V_f_2,B_x)
            & ! [B_y] :
                ( V_b_2 = hAPP(V_f_2,B_y)
               => B_y = B_x ) ) ) ) )).

fof(fact_inj__image__mem__iff,axiom,(
    ! [V_A_2,V_a_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hBOOL(hAPP(hAPP(c_member(T_b),hAPP(V_f_2,V_a_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))
      <=> hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) ) )).

fof(fact_inj__on__iff__surj,axiom,(
    ! [V_A_H_2,T_b,T_a,V_A_2] :
      ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
     => ( ? [B_f] :
            ( c_Fun_Oinj__on(T_a,T_b,B_f,V_A_2)
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,B_f),V_A_2)),V_A_H_2)) )
      <=> ? [B_g] : hAPP(c_Set_Oimage(T_b,T_a,B_g),V_A_H_2) = V_A_2 ) ) )).

fof(fact_endo__inj__surj,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_a,V_f_2),V_A_2)),V_A_2))
       => ( c_Fun_Oinj__on(T_a,T_a,V_f_2,V_A_2)
         => hAPP(c_Set_Oimage(T_a,T_a,V_f_2),V_A_2) = V_A_2 ) ) ) )).

fof(fact_finite__surj__inj,axiom,(
    ! [V_f_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_Oimage(T_a,T_a,V_f_2),V_A_2)))
       => c_Fun_Oinj__on(T_a,T_a,V_f_2,V_A_2) ) ) )).

fof(fact_finite__UNIV__inj__surj,axiom,(
    ! [V_f_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
     => ( c_Fun_Oinj__on(T_a,T_a,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
       => hAPP(c_Set_Oimage(T_a,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_finite__UNIV__surj__inj,axiom,(
    ! [V_f_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
     => ( hAPP(c_Set_Oimage(T_a,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))
       => c_Fun_Oinj__on(T_a,T_a,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) ) ) )).

fof(fact_inj__image__subset__iff,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_inj__on__image__Int,axiom,(
    ! [V_B_2,V_A_2,V_C_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_C_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
         => hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) ) ) ) )).

fof(fact_image__Int,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) ) )).

fof(fact_eq__card__imp__inj__on,axiom,(
    ! [V_f_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hAPP(c_Finite__Set_Ocard(T_b),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)) = hAPP(c_Finite__Set_Ocard(T_a),V_A_2)
       => c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2) ) ) )).

fof(fact_inj__on__iff__eq__card,axiom,(
    ! [V_f_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
      <=> hAPP(c_Finite__Set_Ocard(T_b),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)) = hAPP(c_Finite__Set_Ocard(T_a),V_A_2) ) ) )).

fof(fact_inj__on__image__set__diff,axiom,(
    ! [V_B_2,V_A_2,V_C_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_C_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_C_2))
         => hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) ) ) ) )).

fof(fact_image__set__diff,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) ) )).

fof(fact_pigeonhole,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2))),hAPP(c_Finite__Set_Ocard(T_b),V_A_2)))
     => ~ c_Fun_Oinj__on(T_b,T_a,V_f_2,V_A_2) ) )).

fof(fact_inj__on__fun__updI,axiom,(
    ! [V_x_2,V_y_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_b),V_y_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))
       => c_Fun_Oinj__on(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_x_2),V_y_2),V_A_2) ) ) )).

fof(fact_inj__singleton,axiom,(
    ! [T_a] : c_Fun_Oinj__on(T_a,tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_Rep__Integ,axiom,(
    ! [V_x_2] : hBOOL(hAPP(hAPP(c_member(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),hAPP(c_Int_ORep__Integ,V_x_2)),c_Int_OInteg)) )).

fof(fact_card__bij__eq,axiom,(
    ! [V_g_2,V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),V_B_2))
       => ( c_Fun_Oinj__on(T_b,T_a,V_g_2,V_B_2)
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_g_2),V_B_2)),V_A_2))
           => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
             => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
               => hAPP(c_Finite__Set_Ocard(T_a),V_A_2) = hAPP(c_Finite__Set_Ocard(T_b),V_B_2) ) ) ) ) ) ) )).

fof(fact_inj__image__Compl__subset,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2))),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))) ) )).

fof(fact_inj__on__insert,axiom,(
    ! [V_A_2,V_a_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2))
    <=> ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
        & ~ hBOOL(hAPP(hAPP(c_member(T_b),hAPP(V_f_2,V_a_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))) ) ) )).

fof(fact_inj__on__Un,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
    <=> ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
        & c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
        & hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) ) ) )).

fof(fact_inj__on__iff__card__le,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
       => ( ? [B_f] :
              ( c_Fun_Oinj__on(T_a,T_b,B_f,V_A_2)
              & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,B_f),V_A_2)),V_B_2)) )
        <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_b),V_B_2))) ) ) ) )).

fof(fact_card__inj__on__le,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)),V_B_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_b),V_B_2))) ) ) ) )).

fof(fact_quotient__diff1,axiom,(
    ! [V_a_2,V_A_2,V_r_2,T_a] :
      ( c_Fun_Oinj__on(T_a,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),T_a),c_Equiv__Relations_Oquotient(T_a)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_r_2),V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_r_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),V_r_2)) ) ) )).

fof(fact_type__definition__Integ,axiom,(
    c_Typedef_Otype__definition(tc_Int_Oint,tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool),c_Int_ORep__Integ,c_Int_OAbs__Integ,c_Int_OInteg) )).

fof(fact_the__inv__into__into,axiom,(
    ! [V_B_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
         => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Fun_Othe__inv__into(T_a,T_b,V_A_2,V_f_2),V_x_2)),V_B_2)) ) ) ) )).

fof(fact_inj__vimage__singleton,axiom,(
    ! [V_a_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))))),hAPP(hAPP(c_Set_Oinsert(T_a),c_HOL_OThe(T_a,hAPP(hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_fequal),V_f_2)),V_a_2))),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) ) )).

fof(fact_vimageI,axiom,(
    ! [T_b,V_B_2,T_a,V_b_2,V_a_2,V_f_2] :
      ( hAPP(V_f_2,V_a_2) = V_b_2
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_member(T_b),V_a_2),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_B_2))) ) ) )).

fof(fact_inj__Suc,axiom,(
    ! [V_N_2] : c_Fun_Oinj__on(tc_Nat_Onat,tc_Nat_Onat,c_Nat_OSuc,V_N_2) )).

fof(fact_inj__on__add__nat,axiom,(
    ! [V_N_2,V_k_2] : c_Fun_Oinj__on(tc_Nat_Onat,tc_Nat_Onat,hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),V_k_2),V_N_2) )).

fof(fact_vimage__UNIV,axiom,(
    ! [V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_vimage__empty,axiom,(
    ! [V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_vimage__Un,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2)) )).

fof(fact_vimageI2,axiom,(
    ! [T_b,V_A_2,V_a_2,V_f_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),hAPP(V_f_2,V_a_2)),V_A_2))
     => hBOOL(hAPP(hAPP(c_member(T_b),V_a_2),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_A_2))) ) )).

fof(fact_vimageD,axiom,(
    ! [V_A_2,V_f_2,T_b,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_A_2)))
     => hBOOL(hAPP(hAPP(c_member(T_b),hAPP(V_f_2,V_a_2)),V_A_2)) ) )).

fof(fact_vimage__eq,axiom,(
    ! [V_B_2,V_f_2,T_b,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2)))
    <=> hBOOL(hAPP(hAPP(c_member(T_b),hAPP(V_f_2,V_a_2)),V_B_2)) ) )).

fof(fact_vimage__mono,axiom,(
    ! [V_f_2,T_b,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_A_2)),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_B_2))) ) )).

fof(fact_vimage__Int,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2)) )).

fof(fact_vimage__Compl,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,tc_HOL_Obool)),V_A_2)) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_A_2)) )).

fof(fact_vimage__code,axiom,(
    ! [V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_A_2),V_x_2))
    <=> hBOOL(hAPP(V_A_2,hAPP(V_f_2,V_x_2))) ) )).

fof(fact_vimage__ident,axiom,(
    ! [V_Y_2,T_a] : hAPP(c_Set_Ovimage(T_a,T_a,c_COMBI(T_a)),V_Y_2) = V_Y_2 )).

fof(fact_vimage__Diff,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_A_2)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2)) )).

fof(fact_vimage__Collect__eq,axiom,(
    ! [V_P_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(c_Set_OCollect(T_b),V_P_2)) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(T_b,tc_HOL_Obool,T_a),V_P_2),V_f_2)) )).

fof(fact_vimage__UN,axiom,(
    ! [V_B_2,V_A_2,T_c,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),c_Set_Ovimage(T_a,T_b,V_f_2)),V_B_2)) )).

fof(fact_inj__of__nat,axiom,(
    ! [T_a] :
      ( class_Nat_Osemiring__char__0(T_a)
     => c_Fun_Oinj__on(tc_Nat_Onat,T_a,c_Nat_Osemiring__1__class_Oof__nat(T_a),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) ) )).

fof(fact_inj__int,axiom,(
    c_Fun_Oinj__on(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) )).

fof(fact_image__vimage__subset,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_A_2))),V_A_2)) )).

fof(fact_surj__image__vimage__eq,axiom,(
    ! [V_A_2,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))
     => hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_A_2)) = V_A_2 ) )).

fof(fact_vimage__def,axiom,(
    ! [V_B_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_b,tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(T_b)),V_f_2)),V_B_2)) )).

fof(fact_swap__inj__on,axiom,(
    ! [V_A_2,T_b,T_a] : c_Fun_Oinj__on(tc_prod(T_a,T_b),tc_prod(T_b,T_a),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_prod(T_b,T_a)),hAPP(c_COMBC(T_b,T_a,tc_prod(T_b,T_a)),c_Product__Type_OPair(T_b,T_a))),V_A_2) )).

fof(fact_vimage__singleton__eq,axiom,(
    ! [V_b_2,V_f_2,T_b,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))))))
    <=> hAPP(V_f_2,V_a_2) = V_b_2 ) )).

fof(fact_vimage__insert,axiom,(
    ! [V_B_2,V_a_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))))),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2)) )).

fof(fact_finite__vimageD,axiom,(
    ! [V_Fa_2,V_h_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Set_Ovimage(T_a,T_b,V_h_2),V_Fa_2)))
     => ( hAPP(c_Set_Oimage(T_a,T_b,V_h_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_Fa_2)) ) ) )).

fof(fact_vimage__subsetD,axiom,(
    ! [V_A_2,V_B_2,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_B_2)),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2))) ) ) )).

fof(fact_image__vimage__eq,axiom,(
    ! [V_A_2,V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_Set_Ovimage(T_b,T_a,V_f_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))) )).

fof(fact_finite__vimageI,axiom,(
    ! [V_h_2,T_b,V_Fa_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Fa_2))
     => ( c_Fun_Oinj__on(T_b,T_a,V_h_2,c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(c_Set_Ovimage(T_b,T_a,V_h_2),V_Fa_2))) ) ) )).

fof(fact_inj__vimage__image__eq,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)) = V_A_2 ) )).

fof(fact_vimage__const,axiom,(
    ! [T_b,V_A_2,V_c_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
       => hAPP(c_Set_Ovimage(T_b,T_a,hAPP(c_COMBK(T_a,T_b),V_c_2)),V_A_2) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
       => hAPP(c_Set_Ovimage(T_b,T_a,hAPP(c_COMBK(T_a,T_b),V_c_2)),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) ) ) )).

fof(fact_vimage__eq__UN,axiom,(
    ! [V_B_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),c_Set_Ovimage(T_a,T_b,V_f_2)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),c_Set_Oinsert(T_b)),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))))) )).

fof(fact_the__inv__into__f__eq,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hAPP(V_f_2,V_x_2) = V_y_2
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(c_Fun_Othe__inv__into(T_a,T_b,V_A_2,V_f_2),V_y_2) = V_x_2 ) ) ) )).

fof(fact_the__inv__into__f__f,axiom,(
    ! [V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Fun_Othe__inv__into(T_a,T_b,V_A_2,V_f_2),hAPP(V_f_2,V_x_2)) = V_x_2 ) ) )).

fof(fact_inj__on__the__inv__into,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => c_Fun_Oinj__on(T_b,T_a,c_Fun_Othe__inv__into(T_a,T_b,V_A_2,V_f_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)) ) )).

fof(fact_the__inv__into__onto,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => hAPP(c_Set_Oimage(T_b,T_a,c_Fun_Othe__inv__into(T_a,T_b,V_A_2,V_f_2)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)) = V_A_2 ) )).

fof(fact_the__inv__f__f,axiom,(
    ! [V_x_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => hAPP(c_Fun_Othe__inv__into(T_a,T_b,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),V_f_2),hAPP(V_f_2,V_x_2)) = V_x_2 ) )).

fof(fact_inj__graph,axiom,(
    ! [T_b,T_a] : c_Fun_Oinj__on(tc_fun(T_a,T_b),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_a,T_b)),c_Set_OCollect(tc_prod(T_a,T_b))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_a,T_b)),c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool)),hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBC(T_b,T_b,tc_HOL_Obool),c_fequal)))),c_Orderings_Otop__class_Otop(tc_fun(tc_fun(T_a,T_b),tc_HOL_Obool))) )).

fof(fact_vimage__subsetI,axiom,(
    ! [V_A_2,V_B_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),V_B_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),V_B_2)),V_A_2)) ) ) )).

fof(fact_the__inv__into__def,axiom,(
    ! [V_x_2,V_f_2,V_A_2,T_b,T_a] : hAPP(c_Fun_Othe__inv__into(T_a,T_b,V_A_2,V_f_2),V_x_2) = c_HOL_OThe(T_a,hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))),hAPP(hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_fequal),V_f_2)),V_x_2))) )).

fof(fact_vimage__if,axiom,(
    ! [V_B_2,T_b,V_d_2,V_A_2,V_c_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_d_2),V_A_2))
           => hAPP(c_Set_Ovimage(T_b,T_a,hAPP(hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBC(T_b,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),T_b),c_If(T_a)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_B_2))),V_c_2)),V_d_2)),V_A_2) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_d_2),V_A_2))
           => hAPP(c_Set_Ovimage(T_b,T_a,hAPP(hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBC(T_b,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),T_b),c_If(T_a)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_B_2))),V_c_2)),V_d_2)),V_A_2) = V_B_2 ) ) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_c_2),V_A_2))
       => ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_d_2),V_A_2))
           => hAPP(c_Set_Ovimage(T_b,T_a,hAPP(hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBC(T_b,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),T_b),c_If(T_a)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_B_2))),V_c_2)),V_d_2)),V_A_2) = hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,tc_HOL_Obool)),V_B_2) )
          & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_d_2),V_A_2))
           => hAPP(c_Set_Ovimage(T_b,T_a,hAPP(hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBC(T_b,T_a,tc_fun(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_fun(T_a,T_a)),T_b),c_If(T_a)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_B_2))),V_c_2)),V_d_2)),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) ) ) ) ) )).

fof(fact_f__the__inv__into__f,axiom,(
    ! [V_y_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_y_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)))
       => hAPP(V_f_2,hAPP(c_Fun_Othe__inv__into(T_a,T_b,V_A_2,V_f_2),V_y_2)) = V_y_2 ) ) )).

fof(fact_type__definition_ORep__range,axiom,(
    ! [V_A_2,V_Abs_2,V_Rep_2,T_b,T_a] :
      ( c_Typedef_Otype__definition(T_a,T_b,V_Rep_2,V_Abs_2,V_A_2)
     => hAPP(c_Set_Oimage(T_a,T_b,V_Rep_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = V_A_2 ) )).

fof(fact_type__definition_OAbs__image,axiom,(
    ! [V_A_2,V_Abs_2,V_Rep_2,T_b,T_a] :
      ( c_Typedef_Otype__definition(T_a,T_b,V_Rep_2,V_Abs_2,V_A_2)
     => hAPP(c_Set_Oimage(T_b,T_a,V_Abs_2),V_A_2) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_type__definition_OAbs__inject,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_Abs_2,V_Rep_2,T_b,T_a] :
      ( c_Typedef_Otype__definition(T_a,T_b,V_Rep_2,V_Abs_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_b),V_y_2),V_A_2))
         => ( hAPP(V_Abs_2,V_x_2) = hAPP(V_Abs_2,V_y_2)
          <=> V_x_2 = V_y_2 ) ) ) ) )).

fof(fact_type__definition_ORep__inverse,axiom,(
    ! [V_x_2,V_A_2,V_Abs_2,V_Rep_2,T_b,T_a] :
      ( c_Typedef_Otype__definition(T_a,T_b,V_Rep_2,V_Abs_2,V_A_2)
     => hAPP(V_Abs_2,hAPP(V_Rep_2,V_x_2)) = V_x_2 ) )).

fof(fact_type__definition_ORep__inject,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_Abs_2,V_Rep_2,T_b,T_a] :
      ( c_Typedef_Otype__definition(T_a,T_b,V_Rep_2,V_Abs_2,V_A_2)
     => ( hAPP(V_Rep_2,V_x_2) = hAPP(V_Rep_2,V_y_2)
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_type__definition_ORep,axiom,(
    ! [V_x_2,V_A_2,V_Abs_2,V_Rep_2,T_b,T_a] :
      ( c_Typedef_Otype__definition(T_a,T_b,V_Rep_2,V_Abs_2,V_A_2)
     => hBOOL(hAPP(hAPP(c_member(T_b),hAPP(V_Rep_2,V_x_2)),V_A_2)) ) )).

fof(fact_type__definition_OAbs__inverse,axiom,(
    ! [V_y_2,V_A_2,V_Abs_2,V_Rep_2,T_b,T_a] :
      ( c_Typedef_Otype__definition(T_a,T_b,V_Rep_2,V_Abs_2,V_A_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_y_2),V_A_2))
       => hAPP(V_Rep_2,hAPP(V_Abs_2,V_y_2)) = V_y_2 ) ) )).

fof(fact_code__numeral_Osimps_I5_J,axiom,(
    ! [V_code__numeral_2,V_f2_2,V_f1_2,T_a] : c_Code__Numeral_Ocode__numeral_Ocode__numeral__case(T_a,V_f1_2,V_f2_2,c_Code__Numeral_OSuc__code__numeral(V_code__numeral_2)) = hAPP(V_f2_2,V_code__numeral_2) )).

fof(fact_accp__acc__eq,axiom,(
    ! [V_x_2,V_r_2,T_a] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a)))),c_Product__Type_OPair(T_a,T_a)))),V_r_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Wellfounded_Oacc(T_a,V_r_2))) ) )).

fof(fact_rel__comp__def,axiom,(
    ! [V_s_2,V_r_2,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_r_2),V_s_2) = hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_HOL_Obool,T_b),c_HOL_OEx(T_c))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_c,tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),tc_fun(tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),T_a),c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool),T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_c,tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),T_a),c_COMBS(T_c,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_fun(T_c,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_c),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),T_a),c_COMBC(T_c,tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_prod(T_a,T_c)),tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_c),tc_fun(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool),tc_HOL_Obool),T_c),c_member(tc_prod(T_a,T_c)))),c_Product__Type_OPair(T_a,T_c)))),V_r_2))))),hAPP(hAPP(c_COMBC(T_b,tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),T_b),c_COMBC(T_c,tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_prod(T_c,T_b)),tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_b),hAPP(c_COMBB(tc_prod(T_c,T_b),tc_fun(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_HOL_Obool),T_c),c_member(tc_prod(T_c,T_b)))),hAPP(c_COMBC(T_c,T_b,tc_prod(T_c,T_b)),c_Product__Type_OPair(T_c,T_b))))),V_s_2))))) )).

fof(fact_rel__compI,axiom,(
    ! [V_s_2,V_c_2,T_c,V_r_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_r_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_b_2),V_c_2)),V_s_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_c),V_a_2),V_c_2)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_b,T_c),V_r_2),V_s_2))) ) ) )).

fof(fact_O__assoc,axiom,(
    ! [V_T_2,V_S_2,V_R_2,T_d,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_d,T_c),V_R_2),V_S_2)),V_T_2) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_d,T_b),V_R_2),hAPP(hAPP(c_Relation_Orel__comp(T_d,T_c,T_b),V_S_2),V_T_2)) )).

fof(fact_rel__comp__mono,axiom,(
    ! [V_s_2,V_s_H_2,T_c,V_r_2,V_r_H_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_r_H_2),V_r_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool)),V_s_H_2),V_s_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_b,T_c),V_r_H_2),V_s_H_2)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_b,T_c),V_r_2),V_s_2))) ) ) )).

fof(fact_rel__comp__distrib,axiom,(
    ! [V_T_2,V_S_2,V_R_2,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_R_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool)),V_S_2),V_T_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_R_2),V_S_2)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_R_2),V_T_2)) )).

fof(fact_rel__comp__distrib2,axiom,(
    ! [V_R_2,V_T_2,V_S_2,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool)),V_S_2),V_T_2)),V_R_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_S_2),V_R_2)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_T_2),V_R_2)) )).

fof(fact_rel__comp__empty1,axiom,(
    ! [V_R_2,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool))),V_R_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)) )).

fof(fact_rel__comp__empty2,axiom,(
    ! [V_R_2,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_R_2),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)) )).

fof(fact_rel__comp__UNION__distrib,axiom,(
    ! [V_r_2,V_I_2,T_d,V_s_2,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_s_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_d,tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool)),V_I_2),V_r_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_d,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),T_d),hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_s_2)),V_r_2)) )).

fof(fact_rel__comp__UNION__distrib2,axiom,(
    ! [V_s_2,V_r_2,V_I_2,T_d,T_b,T_c,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_d,tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool)),V_I_2),V_r_2)),V_s_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_d,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBC(T_d,tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool),tc_fun(tc_fun(tc_prod(T_c,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),T_d),c_Relation_Orel__comp(T_a,T_c,T_b)),V_r_2)),V_s_2)) )).

fof(fact_union__comp__emptyR,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
     => ( hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_A_2),V_C_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
       => hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_A_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_B_2),V_C_2)) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)) ) ) )).

fof(fact_union__comp__emptyL,axiom,(
    ! [V_B_2,V_C_2,V_A_2,T_a] :
      ( hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_A_2),V_C_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
     => ( hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_B_2),V_C_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
       => hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)) ) ) )).

fof(fact_acc__subset,axiom,(
    ! [V_R2_2,V_R1_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R1_2),V_R2_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Wellfounded_Oacc(T_a,V_R2_2)),c_Wellfounded_Oacc(T_a,V_R1_2))) ) )).

fof(fact_acc_Osimps,axiom,(
    ! [V_r_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Wellfounded_Oacc(T_a,V_r_2)))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),V_a_2)),V_r_2))
         => hBOOL(hAPP(hAPP(c_member(T_a),B_x),c_Wellfounded_Oacc(T_a,V_r_2))) ) ) )).

fof(fact_acc__downward,axiom,(
    ! [V_a_2,V_r_2,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Wellfounded_Oacc(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Wellfounded_Oacc(T_a,V_r_2))) ) ) )).

fof(fact_max__ext__compat,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),V_S_2)),V_R_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Wellfounded_Omax__ext(T_a,V_R_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_HOL_Obool)),c_Wellfounded_Omax__ext(T_a,V_S_2)),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_HOL_Obool)))))),c_Wellfounded_Omax__ext(T_a,V_R_2))) ) )).

fof(fact_min__ext__compat,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),V_S_2)),V_R_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Wellfounded_Omin__ext(T_a,V_R_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_HOL_Obool)),c_Wellfounded_Omin__ext(T_a,V_S_2)),hAPP(hAPP(c_Set_Oinsert(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_HOL_Obool)))))),c_Wellfounded_Omin__ext(T_a,V_R_2))) ) )).

fof(fact_code__numeral_Osimps_I4_J,axiom,(
    ! [V_f2_2,V_f1_2,T_a] : c_Code__Numeral_Ocode__numeral_Ocode__numeral__case(T_a,V_f1_2,V_f2_2,c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)) = V_f1_2 )).

fof(fact_pred__comp__rel__comp__eq,axiom,(
    ! [V_y_2,V_x_2,V_s_2,V_r_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Predicate_Opred__comp(T_a,T_b,T_c,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_r_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),T_b),c_COMBC(T_c,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_prod(T_b,T_c)),tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),T_b),hAPP(c_COMBB(tc_prod(T_b,T_c),tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool),T_c),c_member(tc_prod(T_b,T_c)))),c_Product__Type_OPair(T_b,T_c)))),V_s_2)),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_c),V_x_2),V_y_2)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_b,T_c),V_r_2),V_s_2))) ) )).

fof(fact_reduction__pairI,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),V_S_2)),V_R_2))
       => c_FunDef_Oreduction__pair(T_a,hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2)) ) ) )).

fof(fact_max__extp_Oequations,axiom,(
    ! [V_a2_2,V_a1_2,V_R_2,T_a] :
      ( c_Wellfounded_Omax__extp(T_a,V_R_2,V_a1_2,V_a2_2)
    <=> ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_a1_2))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_a2_2))
        & V_a2_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_a1_2))
           => ? [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_a2_2))
                & hBOOL(hAPP(hAPP(V_R_2,B_x),B_xa)) ) ) ) ) )).

fof(fact_wf__less__than,axiom,(
    c_Wellfounded_Owf(tc_Nat_Onat,c_Wellfounded_Oless__than) )).

fof(fact_pred__comp_Ointros,axiom,(
    ! [T_c,T_b,T_a,V_c_2,V_s_2,V_b_2,V_a_2,V_r_2] :
      ( hBOOL(hAPP(hAPP(V_r_2,V_a_2),V_b_2))
     => ( hBOOL(hAPP(hAPP(V_s_2,V_b_2),V_c_2))
       => hBOOL(hAPP(hAPP(c_Predicate_Opred__comp(T_a,T_b,T_c,V_r_2,V_s_2),V_a_2),V_c_2)) ) ) )).

fof(fact_wf__empty,axiom,(
    ! [T_a] : c_Wellfounded_Owf(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) )).

fof(fact_wf__inv__image,axiom,(
    ! [V_f_2,T_b,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_b,hAPP(hAPP(c_Relation_Oinv__image(T_a,T_b),V_r_2),V_f_2)) ) )).

fof(fact_wf__lex__prod,axiom,(
    ! [V_rb_2,T_b,V_ra_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_ra_2)
     => ( c_Wellfounded_Owf(T_b,V_rb_2)
       => c_Wellfounded_Owf(tc_prod(T_a,T_b),c_Wellfounded_Olex__prod(T_a,T_b,V_ra_2,V_rb_2)) ) ) )).

fof(fact_wf__measure,axiom,(
    ! [V_f_2,T_a] : c_Wellfounded_Owf(T_a,hAPP(c_Wellfounded_Omeasure(T_a),V_f_2)) )).

fof(fact_wf__comp__self,axiom,(
    ! [V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
    <=> c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),V_R_2)) ) )).

fof(fact_wf__less,axiom,(
    c_Wellfounded_Owf(tc_Nat_Onat,hAPP(c_Set_OCollect(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)))) )).

fof(fact_wf__mlex,axiom,(
    ! [V_f_2,V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
     => c_Wellfounded_Owf(T_a,c_Wellfounded_Omlex__prod(T_a,V_f_2,V_R_2)) ) )).

fof(fact_wf__pair__less,axiom,(
    c_Wellfounded_Owf(tc_prod(tc_Nat_Onat,tc_Nat_Onat),c_FunDef_Opair__less) )).

fof(fact_wf__subset,axiom,(
    ! [V_p_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_p_2),V_r_2))
       => c_Wellfounded_Owf(T_a,V_p_2) ) ) )).

fof(fact_wf__Int2,axiom,(
    ! [V_r_H_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_H_2),V_r_2)) ) )).

fof(fact_wf__Int1,axiom,(
    ! [V_r_H_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_r_H_2)) ) )).

fof(fact_pred__comp_Oequations,axiom,(
    ! [V_a3_2,V_a1_2,V_s_2,V_r_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Predicate_Opred__comp(T_a,T_b,T_c,V_r_2,V_s_2),V_a1_2),V_a3_2))
    <=> ? [B_b] :
          ( hBOOL(hAPP(hAPP(V_r_2,V_a1_2),B_b))
          & hBOOL(hAPP(hAPP(V_s_2,B_b),V_a3_2)) ) ) )).

fof(fact_min__ext__wf,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(tc_fun(T_a,tc_HOL_Obool),c_Wellfounded_Omin__ext(T_a,V_r_2)) ) )).

fof(fact_max__ext__wf,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(tc_fun(T_a,tc_HOL_Obool),c_Wellfounded_Omax__ext(T_a,V_r_2)) ) )).

fof(fact_wf__finite__psubset,axiom,(
    ! [T_a] : c_Wellfounded_Owf(tc_fun(T_a,tc_HOL_Obool),c_Wellfounded_Ofinite__psubset(T_a)) )).

fof(fact_wf__not__refl,axiom,(
    ! [V_a_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_a_2)),V_r_2)) ) )).

fof(fact_wf__not__sym,axiom,(
    ! [V_x_2,V_a_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_x_2)),V_r_2))
       => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_a_2)),V_r_2)) ) ) )).

fof(fact_wf__asym,axiom,(
    ! [V_x_2,V_a_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_x_2)),V_r_2))
       => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_a_2)),V_r_2)) ) ) )).

fof(fact_wf__irrefl,axiom,(
    ! [V_a_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_a_2)),V_r_2)) ) )).

fof(fact_wf__int__ge__less__than2,axiom,(
    ! [V_d_2] : c_Wellfounded_Owf(tc_Int_Oint,c_Int_Oint__ge__less__than2(V_d_2)) )).

fof(fact_wf__int__ge__less__than,axiom,(
    ! [V_d_2] : c_Wellfounded_Owf(tc_Int_Oint,c_Int_Oint__ge__less__than(V_d_2)) )).

fof(fact_wf__acc__iff,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
    <=> ! [B_x] : hBOOL(hAPP(hAPP(c_member(T_a),B_x),c_Wellfounded_Oacc(T_a,V_r_2))) ) )).

fof(fact_acc__wfD,axiom,(
    ! [V_x_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Wellfounded_Oacc(T_a,V_r_2))) ) )).

fof(fact_wf__no__loop,axiom,(
    ! [V_R_2,T_a] :
      ( hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),V_R_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
     => c_Wellfounded_Owf(T_a,V_R_2) ) )).

fof(fact_wf__union__merge,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2))
    <=> c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),V_R_2)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_S_2),V_R_2))),V_S_2)) ) )).

fof(fact_wf__iff__no__infinite__down__chain,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
    <=> ~ ? [B_f] :
          ! [B_i] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),hAPP(B_f,hAPP(c_Nat_OSuc,B_i))),hAPP(B_f,B_i))),V_r_2)) ) )).

fof(fact_wfE__pf,axiom,(
    ! [V_A_2,V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Relation_OImage(T_a,T_a,V_R_2),V_A_2)))
       => V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_wf__union__compatible,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
     => ( c_Wellfounded_Owf(T_a,V_S_2)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),V_S_2)),V_R_2))
         => c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2)) ) ) ) )).

fof(fact_wf,axiom,(
    ! [T_a] :
      ( class_Orderings_Owellorder(T_a)
     => c_Wellfounded_Owf(T_a,hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),c_Orderings_Oord__class_Oless(T_a)))) ) )).

fof(fact_reduction__pair__def,axiom,(
    ! [V_P_2,T_a] :
      ( c_FunDef_Oreduction__pair(T_a,V_P_2)
    <=> ( c_Wellfounded_Owf(T_a,hAPP(c_Product__Type_Ofst(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2))
        & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(c_Product__Type_Ofst(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2)),hAPP(c_Product__Type_Osnd(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2))),hAPP(c_Product__Type_Ofst(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2))) ) ) )).

fof(fact_reduction__pair__lemma,axiom,(
    ! [V_S_2,V_R_2,V_P_2,T_a] :
      ( c_FunDef_Oreduction__pair(T_a,V_P_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),hAPP(c_Product__Type_Ofst(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_S_2),hAPP(c_Product__Type_Osnd(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2)))
         => ( c_Wellfounded_Owf(T_a,V_S_2)
           => c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2)) ) ) ) ) )).

fof(fact_wf__lenlex,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(tc_List_Olist(T_a),c_List_Olenlex(T_a,V_r_2)) ) )).

fof(fact_wf__if__measure,axiom,(
    ! [T_a,V_g_2,V_f_2,V_P_2] :
      ( ! [B_x] :
          ( hBOOL(hAPP(V_P_2,B_x))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(V_f_2,hAPP(V_g_2,B_x))),hAPP(V_f_2,B_x))) )
     => c_Wellfounded_Owf(T_a,hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_a),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,T_a)),c_fequal)),V_g_2))))) ) )).

fof(fact_max__ext_Ointros,axiom,(
    ! [V_R_2,V_Y_2,V_X_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_X_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_Y_2))
       => ( V_Y_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_X_2))
               => ? [B_xa] :
                    ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_Y_2))
                    & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_xa)),V_R_2)) ) )
           => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_X_2),V_Y_2)),c_Wellfounded_Omax__ext(T_a,V_R_2))) ) ) ) ) )).

fof(fact_pred__nat__def,axiom,(
    c_Wellfounded_Opred__nat = hAPP(c_Set_OCollect(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_Nat_Onat),hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_fequal)),c_Nat_OSuc))) )).

fof(fact_wf__lex,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(tc_List_Olist(T_a),c_List_Olex(T_a,V_r_2)) ) )).

fof(fact_wf__lexn,axiom,(
    ! [V_n_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(tc_List_Olist(T_a),hAPP(c_List_Olexn(T_a,V_r_2),V_n_2)) ) )).

fof(fact_lex__def,axiom,(
    ! [V_r_2,T_a] : c_List_Olex(T_a,V_r_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),c_List_Olexn(T_a,V_r_2)) )).

fof(fact_lexn_Osimps_I1_J,axiom,(
    ! [V_r_2,T_a] : hAPP(c_List_Olexn(T_a,V_r_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)) )).

fof(fact_wf__pred__nat,axiom,(
    c_Wellfounded_Owf(tc_Nat_Onat,c_Wellfounded_Opred__nat) )).

fof(fact_wf__same__fst,axiom,(
    ! [T_a,V_R_2,T_b,V_P_2] :
      ( ! [B_x] :
          ( hBOOL(hAPP(V_P_2,B_x))
         => c_Wellfounded_Owf(T_b,hAPP(V_R_2,B_x)) )
     => c_Wellfounded_Owf(tc_prod(T_a,T_b),c_Recdef_Osame__fst(T_a,T_b,V_P_2,V_R_2)) ) )).

fof(fact_Nitpick_Ozero__frac__def,axiom,(
    ! [T_a] : c_Nitpick_Ozero__frac(T_a) = c_Nitpick_OAbs__Frac(T_a,hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_Range__Collect__split,axiom,(
    ! [V_P_2,T_a,T_b] : hAPP(c_Relation_ORange(T_b,T_a),hAPP(c_Set_OCollect(tc_prod(T_b,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_a,tc_HOL_Obool),V_P_2))) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_b)),hAPP(c_COMBC(T_b,T_a,tc_HOL_Obool),V_P_2))) )).

fof(fact_RangeI,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(c_Relation_ORange(T_a,T_b),V_r_2))) ) )).

fof(fact_Range__Id__on,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Relation_ORange(T_a,T_a),c_Relation_OId__on(T_a,V_A_2)) = V_A_2 )).

fof(fact_Range__Diff__subset,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ORange(T_b,T_a),V_A_2)),hAPP(c_Relation_ORange(T_b,T_a),V_B_2))),hAPP(c_Relation_ORange(T_b,T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_A_2),V_B_2)))) )).

fof(fact_Range__empty,axiom,(
    ! [T_a,T_b] : hAPP(c_Relation_ORange(T_b,T_a),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Range__empty__iff,axiom,(
    ! [V_r_2,T_a,T_b] :
      ( hAPP(c_Relation_ORange(T_b,T_a),V_r_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_r_2 = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)) ) )).

fof(fact_Range__Un__eq,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(c_Relation_ORange(T_b,T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ORange(T_b,T_a),V_A_2)),hAPP(c_Relation_ORange(T_b,T_a),V_B_2)) )).

fof(fact_finite__Range,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),V_r_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(c_Relation_ORange(T_a,T_b),V_r_2))) ) )).

fof(fact_snd__eq__Range,axiom,(
    ! [V_R_2,T_a,T_b] : hAPP(c_Set_Oimage(tc_prod(T_b,T_a),T_a,c_Product__Type_Osnd(T_b,T_a)),V_R_2) = hAPP(c_Relation_ORange(T_b,T_a),V_R_2) )).

fof(fact_Range__iff,axiom,(
    ! [V_r_2,T_b,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Relation_ORange(T_b,T_a),V_r_2)))
    <=> ? [B_y] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),B_y),V_a_2)),V_r_2)) ) )).

fof(fact_Range__insert,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_a,T_b] : hAPP(c_Relation_ORange(T_b,T_a),hAPP(hAPP(c_Set_Oinsert(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_a_2),V_b_2)),V_r_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),hAPP(c_Relation_ORange(T_b,T_a),V_r_2)) )).

fof(fact_Range__Int__subset,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ORange(T_b,T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ORange(T_b,T_a),V_A_2)),hAPP(c_Relation_ORange(T_b,T_a),V_B_2)))) )).

fof(fact_Nitpick_Oone__frac__def,axiom,(
    ! [T_a] : c_Nitpick_Oone__frac(T_a) = c_Nitpick_OAbs__Frac(T_a,hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),c_Groups_Oone__class_Oone(tc_Int_Oint)),c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_Nitpick_Onumber__of__frac__def,axiom,(
    ! [V_n,T_a] : c_Nitpick_Onumber__of__frac(T_a,V_n) = c_Nitpick_OAbs__Frac(T_a,hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_n),c_Groups_Oone__class_Oone(tc_Int_Oint))) )).

fof(fact_RangeP__Range__eq,axiom,(
    ! [V_x_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Predicate_ORangeP(T_a,T_b,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_r_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),hAPP(c_Relation_ORange(T_a,T_b),V_r_2))) ) )).

fof(fact_RangeP_Ointros,axiom,(
    ! [T_b,T_a,V_b_2,V_a_2,V_r_2] :
      ( hBOOL(hAPP(hAPP(V_r_2,V_a_2),V_b_2))
     => hBOOL(hAPP(c_Predicate_ORangeP(T_a,T_b,V_r_2),V_b_2)) ) )).

fof(fact_RangeP_Oequations,axiom,(
    ! [V_a2_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Predicate_ORangeP(T_a,T_b,V_r_2),V_a2_2))
    <=> ? [B_a] : hBOOL(hAPP(hAPP(V_r_2,B_a),V_a2_2)) ) )).

fof(fact_Nitpick_Ofrac__def,axiom,(
    ! [V_b,V_a,T_a] : hAPP(hAPP(c_Nitpick_Ofrac(T_a),V_a),V_b) = c_Nitpick_OAbs__Frac(T_a,c_Nitpick_Onorm__frac(V_a,V_b)) )).

fof(fact_RangeE,axiom,(
    ! [V_r_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(c_Relation_ORange(T_b,T_a),V_r_2)))
     => ~ ! [B_x] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),B_x),V_b_2)),V_r_2)) ) )).

fof(fact_wf__Un,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( c_Wellfounded_Owf(T_a,V_s_2)
       => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ODomain(T_a,T_a),V_r_2)),hAPP(c_Relation_ORange(T_a,T_a),V_s_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2)) ) ) ) )).

fof(fact_DomainI,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Relation_ODomain(T_a,T_b),V_r_2))) ) )).

fof(fact_Domain__Id__on,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Relation_ODomain(T_a,T_a),c_Relation_OId__on(T_a,V_A_2)) = V_A_2 )).

fof(fact_Domain__empty,axiom,(
    ! [T_b,T_a] : hAPP(c_Relation_ODomain(T_a,T_b),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Domain__empty__iff,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( hAPP(c_Relation_ODomain(T_a,T_b),V_r_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_r_2 = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)) ) )).

fof(fact_Domain__mono,axiom,(
    ! [V_s_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_r_2),V_s_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ODomain(T_a,T_b),V_r_2)),hAPP(c_Relation_ODomain(T_a,T_b),V_s_2))) ) )).

fof(fact_Domain__Un__eq,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hAPP(c_Relation_ODomain(T_a,T_b),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ODomain(T_a,T_b),V_A_2)),hAPP(c_Relation_ODomain(T_a,T_b),V_B_2)) )).

fof(fact_finite__Domain,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),V_r_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_Relation_ODomain(T_a,T_b),V_r_2))) ) )).

fof(fact_fst__eq__Domain,axiom,(
    ! [V_R_2,T_b,T_a] : hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_a,c_Product__Type_Ofst(T_a,T_b)),V_R_2) = hAPP(c_Relation_ODomain(T_a,T_b),V_R_2) )).

fof(fact_Domain__iff,axiom,(
    ! [V_r_2,T_b,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Relation_ODomain(T_a,T_b),V_r_2)))
    <=> ? [B_y] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),B_y)),V_r_2)) ) )).

fof(fact_Domain__insert,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_b,T_a] : hAPP(c_Relation_ODomain(T_a,T_b),hAPP(hAPP(c_Set_Oinsert(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_r_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(c_Relation_ODomain(T_a,T_b),V_r_2)) )).

fof(fact_Domain__Int__subset,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ODomain(T_a,T_b),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ODomain(T_a,T_b),V_A_2)),hAPP(c_Relation_ODomain(T_a,T_b),V_B_2)))) )).

fof(fact_Domain__Diff__subset,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ODomain(T_a,T_b),V_A_2)),hAPP(c_Relation_ODomain(T_a,T_b),V_B_2))),hAPP(c_Relation_ODomain(T_a,T_b),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_A_2),V_B_2)))) )).

fof(fact_Field__def,axiom,(
    ! [V_r_2,T_a] : hAPP(c_Relation_OField(T_a),V_r_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_ODomain(T_a,T_a),V_r_2)),hAPP(c_Relation_ORange(T_a,T_a),V_r_2)) )).

fof(fact_Domain__Collect__split,axiom,(
    ! [V_P_2,T_b,T_a] : hAPP(c_Relation_ODomain(T_a,T_b),hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_P_2))) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_b)),V_P_2)) )).

fof(fact_DomainP__Domain__eq,axiom,(
    ! [V_x_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Predicate_ODomainP(T_a,T_b,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_r_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_Relation_ODomain(T_a,T_b),V_r_2))) ) )).

fof(fact_DomainE,axiom,(
    ! [V_r_2,T_b,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_Relation_ODomain(T_a,T_b),V_r_2)))
     => ~ ! [B_y] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),B_y)),V_r_2)) ) )).

fof(fact_image__split__eq__Sigma,axiom,(
    ! [V_A_2,V_g_2,V_f_2,T_b,T_a,T_c] : hAPP(c_Set_Oimage(T_c,tc_prod(T_a,T_b),hAPP(hAPP(c_COMBS(T_c,T_b,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,tc_prod(T_a,T_b)),T_c),c_Product__Type_OPair(T_a,T_b)),V_f_2)),V_g_2)),V_A_2) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(c_Set_Oimage(T_c,T_a,V_f_2),V_A_2)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),c_Set_Oimage(T_c,T_b,V_g_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_c,tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_fun(tc_fun(T_c,tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_c,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool),T_a),c_Set_Ovimage(T_c,T_a,V_f_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),V_A_2))) )).

fof(fact_DomainP_Ointros,axiom,(
    ! [T_b,T_a,V_b_2,V_a_2,V_r_2] :
      ( hBOOL(hAPP(hAPP(V_r_2,V_a_2),V_b_2))
     => hBOOL(hAPP(c_Predicate_ODomainP(T_a,T_b,V_r_2),V_a_2)) ) )).

fof(fact_SigmaI,axiom,(
    ! [V_B_2,V_b_2,T_b,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(V_B_2,V_a_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2))) ) ) )).

fof(fact_Sigma__empty1,axiom,(
    ! [V_B_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)) )).

fof(fact_Times__eq__cancel2,axiom,(
    ! [V_B_2,V_A_2,T_b,V_C_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_C_2))
     => ( hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),V_C_2)) = hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_B_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),V_C_2))
      <=> V_A_2 = V_B_2 ) ) )).

fof(fact_card__cartesian__product,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hAPP(c_Finite__Set_Ocard(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2))) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),V_A_2)),hAPP(c_Finite__Set_Ocard(T_b),V_B_2)) )).

fof(fact_setsum__cartesian__product,axiom,(
    ! [V_A_2,V_B_2,V_f_2,T_c,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_a),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_HOL_Obool),T_a),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_a),tc_fun(tc_fun(T_c,tc_HOL_Obool),T_a),T_b),c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_c,T_a)),V_f_2)),V_B_2)),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_prod(T_b,T_c),T_a),hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_f_2)),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_c),V_A_2),hAPP(c_COMBK(tc_fun(T_c,tc_HOL_Obool),T_b),V_B_2))) ) )).

fof(fact_Times__empty,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2)) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))
    <=> ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        | V_B_2 = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) ) ) )).

fof(fact_Sigma__empty2,axiom,(
    ! [V_A_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)) )).

fof(fact_Compl__Times__UNIV1,axiom,(
    ! [V_A_2,T_b,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_A_2))) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,tc_HOL_Obool)),V_A_2))) )).

fof(fact_Compl__Times__UNIV2,axiom,(
    ! [V_A_2,T_b,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))) )).

fof(fact_setprod__cartesian__product,axiom,(
    ! [V_A_2,V_B_2,V_f_2,T_c,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__mult(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_a),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_HOL_Obool),T_a),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_a),tc_fun(tc_fun(T_c,tc_HOL_Obool),T_a),T_b),c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_c,T_a)),V_f_2)),V_B_2)),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_prod(T_b,T_c),T_a),hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),V_f_2)),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_c),V_A_2),hAPP(c_COMBK(tc_fun(T_c,tc_HOL_Obool),T_b),V_B_2))) ) )).

fof(fact_Sigma__Un__distrib2,axiom,(
    ! [V_B_2,V_A_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_A_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_B_2)) )).

fof(fact_Times__Un__distrib1,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2))),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_B_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2))) )).

fof(fact_Sigma__Un__distrib1,axiom,(
    ! [V_C_2,V_J_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_J_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_C_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_J_2),V_C_2)) )).

fof(fact_rel__comp__subset__Sigma,axiom,(
    ! [V_C_2,V_s_2,T_c,V_B_2,V_A_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2))))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool)),V_s_2),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_c),V_B_2),hAPP(c_COMBK(tc_fun(T_c,tc_HOL_Obool),T_b),V_C_2))))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_b,T_c),V_r_2),V_s_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_c),V_A_2),hAPP(c_COMBK(tc_fun(T_c,tc_HOL_Obool),T_a),V_C_2)))) ) ) )).

fof(fact_swap__product,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(c_Set_Oimage(tc_prod(T_b,T_a),tc_prod(T_a,T_b),hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_a,tc_prod(T_a,T_b)),hAPP(c_COMBC(T_a,T_b,tc_prod(T_a,T_b)),c_Product__Type_OPair(T_a,T_b)))),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),V_B_2))) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_B_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_A_2)) )).

fof(fact_finite__cartesian__product,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2)))) ) ) )).

fof(fact_equiv__type,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2)))) ) )).

fof(fact_Sigma__Int__distrib1,axiom,(
    ! [V_C_2,V_J_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_J_2)),V_C_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_C_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_J_2),V_C_2)) )).

fof(fact_Times__Int__distrib1,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2))),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_B_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2))) )).

fof(fact_Sigma__Int__distrib2,axiom,(
    ! [V_B_2,V_A_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_A_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_B_2)) )).

fof(fact_Id__on__subset__Times,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Relation_OId__on(T_a,V_A_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2)))) )).

fof(fact_Sigma__Diff__distrib2,axiom,(
    ! [V_B_2,V_A_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_A_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_B_2)) )).

fof(fact_Times__Diff__distrib1,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2))),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_B_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_C_2))) )).

fof(fact_Sigma__Diff__distrib1,axiom,(
    ! [V_C_2,V_J_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_J_2)),V_C_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_I_2),V_C_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_J_2),V_C_2)) )).

fof(fact_DomainP_Oequations,axiom,(
    ! [V_a1_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Predicate_ODomainP(T_a,T_b,V_r_2),V_a1_2))
    <=> ? [B_x1] : hBOOL(hAPP(hAPP(V_r_2,V_a1_2),B_x1)) ) )).

fof(fact_UNIV__Times__UNIV,axiom,(
    ! [T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))) = c_Orderings_Otop__class_Otop(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)) )).

fof(fact_SigmaE2,axiom,(
    ! [V_B_2,V_A_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)))
     => ~ ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => ~ hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(V_B_2,V_a_2))) ) ) )).

fof(fact_SigmaD2,axiom,(
    ! [V_B_2,V_A_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)))
     => hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(V_B_2,V_a_2))) ) )).

fof(fact_SigmaD1,axiom,(
    ! [V_B_2,V_A_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) )).

fof(fact_mem__Sigma__iff,axiom,(
    ! [V_B_2,V_A_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
        & hBOOL(hAPP(hAPP(c_member(T_b),V_b_2),hAPP(V_B_2,V_a_2))) ) ) )).

fof(fact_card__cartesian__product__singleton,axiom,(
    ! [V_A_2,V_x_2,T_b,T_a] : hAPP(c_Finite__Set_Ocard(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_A_2))) = hAPP(c_Finite__Set_Ocard(T_b),V_A_2) )).

fof(fact_Times__subset__cancel2,axiom,(
    ! [V_B_2,V_A_2,T_b,V_C_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_C_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),V_C_2))),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_B_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),V_C_2))))
      <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) ) ) )).

fof(fact_Image__subset,axiom,(
    ! [V_C_2,V_B_2,V_A_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2))))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_b,V_r_2),V_C_2)),V_B_2)) ) )).

fof(fact_finite__cartesian__productD1,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2))))
     => ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2)) ) ) )).

fof(fact_finite__cartesian__productD2,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2))))
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_B_2)) ) ) )).

fof(fact_SetCompr__Sigma__eq,axiom,(
    ! [V_Q_2,V_P_2,T_b,T_a] : hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2))),V_Q_2))) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(c_Set_OCollect(T_a),V_P_2)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),c_Set_OCollect(T_b)),V_Q_2)) )).

fof(fact_Collect__split,axiom,(
    ! [V_Q_2,V_P_2,T_b,T_a] : hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2))),V_Q_2))) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(c_Set_OCollect(T_a),V_P_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Set_OCollect(T_b),V_Q_2))) )).

fof(fact_fst__image__times,axiom,(
    ! [V_A_2,T_b,T_a,V_B_2] :
      ( ( V_B_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(tc_prod(T_b,T_a),T_b,c_Product__Type_Ofst(T_b,T_a)),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),V_B_2))) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_B_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(tc_prod(T_b,T_a),T_b,c_Product__Type_Ofst(T_b,T_a)),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_b),V_B_2))) = V_A_2 ) ) )).

fof(fact_snd__image__times,axiom,(
    ! [V_B_2,T_b,T_a,V_A_2] :
      ( ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_b,c_Product__Type_Osnd(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2))) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_b,c_Product__Type_Osnd(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2))) = V_B_2 ) ) )).

fof(fact_insert__times__insert,axiom,(
    ! [V_B_2,V_b_2,V_A_2,V_a_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(hAPP(c_Set_Oinsert(T_b),V_b_2),V_B_2))) = hAPP(hAPP(c_Set_Oinsert(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(hAPP(c_Set_Oinsert(T_b),V_b_2),V_B_2)))),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2)))) )).

fof(fact_finite__equiv__class,axiom,(
    ! [V_X_2,V_r_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2))))
       => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)))
         => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_X_2)) ) ) ) )).

fof(fact_UN__Times__distrib,axiom,(
    ! [V_Fa_2,V_E_2,V_B_2,V_A_2,T_b,T_a,T_d,T_c] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_prod(T_c,T_d),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_c,T_d),V_A_2),hAPP(c_COMBK(tc_fun(T_d,tc_HOL_Obool),T_c),V_B_2))),hAPP(c_Product__Type_Oprod_Oprod__case(T_c,T_d,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_d,tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),tc_fun(T_d,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),tc_fun(tc_fun(T_d,tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),tc_fun(T_d,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),T_c),c_COMBB(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),T_d)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),T_c),c_Product__Type_OSigma(T_a,T_b)),V_E_2))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),T_d),c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a)),V_Fa_2)))) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_E_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_d,tc_fun(T_b,tc_HOL_Obool)),V_B_2),V_Fa_2))) )).

fof(fact_Sigma__def,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),T_a),c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),V_B_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),T_b),c_Set_Oinsert(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool))))) )).

fof(fact_finite__quotient,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2))))
       => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2))) ) ) )).

fof(fact_setsum__mult__setsum__if__inj,axiom,(
    ! [V_B_2,V_A_2,V_g_2,V_f_2,T_b,T_a,T_c] :
      ( class_Rings_Osemiring__0(T_c)
     => ( c_Fun_Oinj__on(tc_prod(T_a,T_b),T_c,hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,T_c),tc_fun(T_b,T_c)),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_c),tc_fun(tc_fun(T_b,T_c),tc_fun(T_b,T_c)),T_a),c_COMBB(T_c,T_c,T_b)),hAPP(hAPP(c_COMBB(T_c,tc_fun(T_c,T_c),T_a),c_Groups_Otimes__class_Otimes(T_c)),V_f_2))),V_g_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_B_2)))
       => hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_c),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_c),V_f_2),V_A_2)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_c),V_g_2),V_B_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_c,T_c),c_Fun_Oid(T_c)),hAPP(c_Set_OCollect(T_c),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_c),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),T_c),hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_b))),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),T_c),c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_b,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool))),T_c),hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBS(T_b,tc_HOL_Obool,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(T_a,tc_fun(T_b,tc_fun(tc_HOL_Obool,tc_HOL_Obool))),T_c),hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_b),c_fconj))),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_a,tc_fun(T_b,T_c)),tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_b,T_c),tc_fun(T_b,tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_fun(T_b,T_c)),tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),T_c),c_COMBB(tc_fun(T_b,T_c),tc_fun(T_b,tc_HOL_Obool),T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_fun(tc_fun(T_b,T_c),tc_fun(T_b,tc_HOL_Obool)),T_c),c_COMBB(T_c,tc_HOL_Obool,T_b)),c_fequal))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,T_c),tc_fun(T_b,T_c)),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_c),tc_fun(tc_fun(T_b,T_c),tc_fun(T_b,T_c)),T_a),c_COMBB(T_c,T_c,T_b)),hAPP(hAPP(c_COMBB(T_c,tc_fun(T_c,T_c),T_a),c_Groups_Otimes__class_Otimes(T_c)),V_f_2))),V_g_2)))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_B_2))))))) ) ) )).

fof(fact_Ex__inj__on__UNION__Sigma,axiom,(
    ! [V_A_2,V_I_2,T_b,T_a] :
    ? [B_f] :
      ( c_Fun_Oinj__on(T_a,tc_prod(T_b,T_a),B_f,hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2))
      & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),hAPP(c_Set_Oimage(T_a,tc_prod(T_b,T_a),B_f),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2))),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_a),V_I_2),V_A_2))) ) )).

fof(fact_fold__image__Sigma,axiom,(
    ! [V_g_2,V_B_2,T_b,V_A_2,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__mult(T_c)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_B_2,B_x))) )
         => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_c,T_a,c_Groups_Otimes__class_Otimes(T_c)),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),T_c),hAPP(hAPP(c_COMBC(T_a,T_c,tc_fun(tc_fun(T_b,tc_HOL_Obool),T_c)),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_c),tc_fun(T_c,tc_fun(tc_fun(T_b,tc_HOL_Obool),T_c)),T_a),c_Finite__Set_Ofold__image(T_c,T_b,c_Groups_Otimes__class_Otimes(T_c))),V_g_2)),c_Groups_Oone__class_Oone(T_c))),V_B_2)),c_Groups_Oone__class_Oone(T_c)),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_c,tc_prod(T_a,T_b),c_Groups_Otimes__class_Otimes(T_c)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),V_g_2)),c_Groups_Oone__class_Oone(T_c)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)) ) ) ) )).

fof(fact_image__id,axiom,(
    ! [V_Y_2,T_a] : hAPP(c_Set_Oimage(T_a,T_a,c_Fun_Oid(T_a)),V_Y_2) = V_Y_2 )).

fof(fact_inj__on__id,axiom,(
    ! [V_A_2,T_a] : c_Fun_Oinj__on(T_a,T_a,c_Fun_Oid(T_a),V_A_2) )).

fof(fact_apfst__id,axiom,(
    ! [T_b,T_a] : c_Product__Type_Oapfst(T_a,T_a,T_b,c_Fun_Oid(T_a)) = c_Fun_Oid(tc_prod(T_a,T_b)) )).

fof(fact_apsnd__id,axiom,(
    ! [T_a,T_b] : c_Product__Type_Oapsnd(T_b,T_b,T_a,c_Fun_Oid(T_b)) = c_Fun_Oid(tc_prod(T_a,T_b)) )).

fof(fact_id__apply,axiom,(
    ! [V_x,T_a] : hAPP(c_Fun_Oid(T_a),V_x) = V_x )).

fof(fact_id__def,axiom,(
    ! [V_x_1,T_a] : hAPP(c_Fun_Oid(T_a),V_x_1) = V_x_1 )).

fof(fact_vimage__id,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Set_Ovimage(T_a,T_a,c_Fun_Oid(T_a)),V_A_2) = V_A_2 )).

fof(fact_of__int__eq__id,axiom,(
    c_Int_Oring__1__class_Oof__int(tc_Int_Oint) = c_Fun_Oid(tc_Int_Oint) )).

fof(fact_surj__id,axiom,(
    ! [T_a] : hAPP(c_Set_Oimage(T_a,T_a,c_Fun_Oid(T_a)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_split__Pair,axiom,(
    ! [T_b,T_a] : hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_prod(T_a,T_b)),c_Product__Type_OPair(T_a,T_b)) = c_Fun_Oid(tc_prod(T_a,T_b)) )).

fof(fact_setsum__reindex__id,axiom,(
    ! [V_B_2,V_f_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),V_B_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_b),c_Fun_Oid(T_b)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) ) ) )).

fof(fact_setprod__reindex__id,axiom,(
    ! [V_B_2,V_f_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_B_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_b),c_Fun_Oid(T_b)),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) ) ) )).

fof(fact_setprod__Sigma,axiom,(
    ! [V_f_2,V_B_2,T_b,V_A_2,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__mult(T_c)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_B_2,B_x))) )
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_c),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),T_c),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_c),tc_fun(tc_fun(T_b,tc_HOL_Obool),T_c),T_a),c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_c)),V_f_2)),V_B_2)),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(tc_prod(T_a,T_b),T_c),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),V_f_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)) ) ) ) )).

fof(fact_setsum__Sigma,axiom,(
    ! [V_f_2,V_B_2,T_b,V_A_2,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__add(T_c)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_B_2,B_x))) )
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_c),hAPP(hAPP(c_COMBS(T_a,tc_fun(T_b,tc_HOL_Obool),T_c),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_c),tc_fun(tc_fun(T_b,tc_HOL_Obool),T_c),T_a),c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_c)),V_f_2)),V_B_2)),V_A_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_prod(T_a,T_b),T_c),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c),V_f_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)) ) ) ) )).

fof(fact_card__SigmaI,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_B_2,B_x))) )
       => hAPP(c_Finite__Set_Ocard(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_Nat_Onat,T_a),c_Finite__Set_Ocard(T_b)),V_B_2)),V_A_2) ) ) )).

fof(fact_finite__SigmaI,axiom,(
    ! [V_B_2,T_b,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => ( ! [B_a] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_a),V_A_2))
           => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_B_2,B_a))) )
       => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2))) ) ) )).

fof(fact_SigmaE,axiom,(
    ! [V_B_2,V_A_2,V_c_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),V_c_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)))
     => ~ ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => ! [B_y] :
                ( hBOOL(hAPP(hAPP(c_member(T_b),B_y),hAPP(V_B_2,B_x)))
               => V_c_2 != hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),B_x),B_y) ) ) ) )).

fof(fact_map__pair__surj,axiom,(
    ! [V_g_2,T_c,T_d,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))
     => ( hAPP(c_Set_Oimage(T_d,T_c,V_g_2),c_Orderings_Otop__class_Otop(tc_fun(T_d,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_c,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(tc_prod(T_b,T_d),tc_prod(T_a,T_c),c_Product__Type_Omap__pair(T_b,T_a,T_d,T_c,V_f_2,V_g_2)),c_Orderings_Otop__class_Otop(tc_fun(tc_prod(T_b,T_d),tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(tc_prod(T_a,T_c),tc_HOL_Obool)) ) ) )).

fof(fact_map__pair__imageI,axiom,(
    ! [V_g_2,V_f_2,T_d,T_c,V_R_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_R_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_c,T_d)),hAPP(hAPP(c_Product__Type_OPair(T_c,T_d),hAPP(V_f_2,V_a_2)),hAPP(V_g_2,V_b_2))),hAPP(c_Set_Oimage(tc_prod(T_a,T_b),tc_prod(T_c,T_d),c_Product__Type_Omap__pair(T_a,T_c,T_b,T_d,V_f_2,V_g_2)),V_R_2))) ) )).

fof(fact_map__pair__simp,axiom,(
    ! [V_b_2,V_a_2,V_g_2,V_f_2,T_b,T_d,T_a,T_c] : hAPP(c_Product__Type_Omap__pair(T_c,T_a,T_d,T_b,V_f_2,V_g_2),hAPP(hAPP(c_Product__Type_OPair(T_c,T_d),V_a_2),V_b_2)) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(V_f_2,V_a_2)),hAPP(V_g_2,V_b_2)) )).

fof(fact_map__pair__ident,axiom,(
    ! [V_z_2,T_b,T_a] : hAPP(c_Product__Type_Omap__pair(T_a,T_a,T_b,T_b,c_COMBI(T_a),c_COMBI(T_b)),V_z_2) = V_z_2 )).

fof(fact_fst__map__pair,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_d,T_c,T_b,T_a] : hAPP(c_Product__Type_Ofst(T_a,T_b),hAPP(c_Product__Type_Omap__pair(T_c,T_a,T_d,T_b,V_f_2,V_g_2),V_x_2)) = hAPP(V_f_2,hAPP(c_Product__Type_Ofst(T_c,T_d),V_x_2)) )).

fof(fact_snd__prod__fun,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_d,T_c,T_a,T_b] : hAPP(c_Product__Type_Osnd(T_b,T_a),hAPP(c_Product__Type_Omap__pair(T_c,T_b,T_d,T_a,V_f_2,V_g_2),V_x_2)) = hAPP(V_g_2,hAPP(c_Product__Type_Osnd(T_c,T_d),V_x_2)) )).

fof(fact_map__pair_Oidentity,axiom,(
    ! [T_b,T_a] : c_Product__Type_Omap__pair(T_a,T_a,T_b,T_b,c_COMBI(T_a),c_COMBI(T_b)) = c_Fun_Oid(tc_prod(T_a,T_b)) )).

fof(fact_apfst__def,axiom,(
    ! [V_f_2,T_b,T_c,T_a] : c_Product__Type_Oapfst(T_a,T_c,T_b,V_f_2) = c_Product__Type_Omap__pair(T_a,T_c,T_b,T_b,V_f_2,c_Fun_Oid(T_b)) )).

fof(fact_apsnd__def,axiom,(
    ! [V_f_2,T_a,T_c,T_b] : c_Product__Type_Oapsnd(T_b,T_c,T_a,V_f_2) = c_Product__Type_Omap__pair(T_a,T_a,T_b,T_c,c_Fun_Oid(T_a),V_f_2) )).

fof(fact_map__pair_Oid,axiom,(
    ! [T_b,T_a] : c_Product__Type_Omap__pair(T_a,T_a,T_b,T_b,c_Fun_Oid(T_a),c_Fun_Oid(T_b)) = c_Fun_Oid(tc_prod(T_a,T_b)) )).

fof(fact_map__pair__def,axiom,(
    ! [V_g_2,V_f_2,T_d,T_b,T_c,T_a] : c_Product__Type_Omap__pair(T_a,T_c,T_b,T_d,V_f_2,V_g_2) = hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_prod(T_c,T_d)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,T_d),tc_fun(T_b,tc_prod(T_c,T_d))),hAPP(hAPP(c_COMBB(tc_fun(T_d,tc_prod(T_c,T_d)),tc_fun(tc_fun(T_b,T_d),tc_fun(T_b,tc_prod(T_c,T_d))),T_a),c_COMBB(T_d,tc_prod(T_c,T_d),T_b)),hAPP(hAPP(c_COMBB(T_c,tc_fun(T_d,tc_prod(T_c,T_d)),T_a),c_Product__Type_OPair(T_c,T_d)),V_f_2))),V_g_2)) )).

fof(fact_map__pair__surj__on,axiom,(
    ! [V_B_H_2,V_B_2,V_g_2,T_c,T_d,V_A_H_2,V_A_2,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),V_A_2) = V_A_H_2
     => ( hAPP(c_Set_Oimage(T_d,T_c,V_g_2),V_B_2) = V_B_H_2
       => hAPP(c_Set_Oimage(tc_prod(T_b,T_d),tc_prod(T_a,T_c),c_Product__Type_Omap__pair(T_b,T_a,T_d,T_c,V_f_2,V_g_2)),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_d),V_A_2),hAPP(c_COMBK(tc_fun(T_d,tc_HOL_Obool),T_b),V_B_2))) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_c),V_A_H_2),hAPP(c_COMBK(tc_fun(T_c,tc_HOL_Obool),T_a),V_B_H_2)) ) ) )).

fof(fact_wf__map__pair__image,axiom,(
    ! [V_f_2,T_b,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
       => c_Wellfounded_Owf(T_b,hAPP(c_Set_Oimage(tc_prod(T_a,T_a),tc_prod(T_b,T_b),c_Product__Type_Omap__pair(T_a,T_b,T_a,T_b,V_f_2,V_f_2)),V_r_2)) ) ) )).

fof(fact_map__pair__inj__on,axiom,(
    ! [V_B_2,V_g_2,T_d,T_c,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( c_Fun_Oinj__on(T_c,T_d,V_g_2,V_B_2)
       => c_Fun_Oinj__on(tc_prod(T_a,T_c),tc_prod(T_b,T_d),c_Product__Type_Omap__pair(T_a,T_b,T_c,T_d,V_f_2,V_g_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_c),V_A_2),hAPP(c_COMBK(tc_fun(T_c,tc_HOL_Obool),T_a),V_B_2))) ) ) )).

fof(fact_prod__fun__imageE,axiom,(
    ! [V_R_2,V_g_2,V_f_2,T_d,T_c,V_c_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),V_c_2),hAPP(c_Set_Oimage(tc_prod(T_c,T_d),tc_prod(T_a,T_b),c_Product__Type_Omap__pair(T_c,T_a,T_d,T_b,V_f_2,V_g_2)),V_R_2)))
     => ~ ! [B_x,B_y] :
            ( V_c_2 = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(V_f_2,B_x)),hAPP(V_g_2,B_y))
           => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_c,T_d)),hAPP(hAPP(c_Product__Type_OPair(T_c,T_d),B_x),B_y)),V_R_2)) ) ) )).

fof(fact_refl__on__def,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2))))
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),V_r_2)) ) ) ) )).

fof(fact_wfP__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_OwfP(T_a,V_r_2)
    <=> c_Wellfounded_Owf(T_a,hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),V_r_2))) ) )).

fof(fact_wfP__empty,axiom,(
    ! [T_a] : c_Wellfounded_OwfP(T_a,hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBK(tc_HOL_Obool,T_a),c_fFalse))) )).

fof(fact_refl__on__Id__on,axiom,(
    ! [V_A_2,T_a] : c_Relation_Orefl__on(T_a,V_A_2,c_Relation_OId__on(T_a,V_A_2)) )).

fof(fact_wfP__accp__iff,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_OwfP(T_a,V_r_2)
    <=> ! [B_x1] : hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),B_x1)) ) )).

fof(fact_accp__wfPD,axiom,(
    ! [V_x_2,V_r_2,T_a] :
      ( c_Wellfounded_OwfP(T_a,V_r_2)
     => hBOOL(hAPP(c_Wellfounded_Oaccp(T_a,V_r_2),V_x_2)) ) )).

fof(fact_wfP__subset,axiom,(
    ! [V_p_2,V_r_2,T_a] :
      ( c_Wellfounded_OwfP(T_a,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),V_p_2),V_r_2))
       => c_Wellfounded_OwfP(T_a,V_p_2) ) ) )).

fof(fact_refl__on__empty,axiom,(
    ! [T_a] : c_Relation_Orefl__on(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) )).

fof(fact_refl__on__Un,axiom,(
    ! [V_s_2,V_B_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( c_Relation_Orefl__on(T_a,V_B_2,V_s_2)
       => c_Relation_Orefl__on(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2)) ) ) )).

fof(fact_refl__on__Int,axiom,(
    ! [V_s_2,V_B_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( c_Relation_Orefl__on(T_a,V_B_2,V_s_2)
       => c_Relation_Orefl__on(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2)) ) ) )).

fof(fact_refl__onD,axiom,(
    ! [V_a_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_a_2)),V_r_2)) ) ) )).

fof(fact_refl__onD2,axiom,(
    ! [V_y_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),V_A_2)) ) ) )).

fof(fact_refl__onD1,axiom,(
    ! [V_y_2,V_x_2,V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2)) ) ) )).

fof(fact_wf__in__rel,axiom,(
    ! [V_R_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_R_2)
     => c_Wellfounded_OwfP(T_a,c_FunDef_Oin__rel(T_a,T_a,V_R_2)) ) )).

fof(fact_wfP__wf__eq,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_OwfP(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a)))),c_Product__Type_OPair(T_a,T_a)))),V_r_2))
    <=> c_Wellfounded_Owf(T_a,V_r_2) ) )).

fof(fact_reflp__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Predicate_Oreflp(T_a,V_r_2)
    <=> c_Relation_Orefl__on(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),V_r_2))) ) )).

fof(fact_refl__onI,axiom,(
    ! [V_A_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2))))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),V_r_2)) )
       => c_Relation_Orefl__on(T_a,V_A_2,V_r_2) ) ) )).

fof(fact_wfP__acyclicP,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_OwfP(T_a,V_r_2)
     => c_Wellfounded_Oacyclic(T_a,hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),V_r_2))) ) )).

fof(fact_wf__acyclic,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Oacyclic(T_a,V_r_2) ) )).

fof(fact_reflpE,axiom,(
    ! [V_x_2,V_r_2,T_a] :
      ( c_Predicate_Oreflp(T_a,V_r_2)
     => hBOOL(hAPP(hAPP(V_r_2,V_x_2),V_x_2)) ) )).

fof(fact_acyclic__subset,axiom,(
    ! [V_r_2,V_s_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,V_s_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2))
       => c_Wellfounded_Oacyclic(T_a,V_r_2) ) ) )).

fof(fact_wf__iff__acyclic__if__finite,axiom,(
    ! [V_r_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_a)),V_r_2))
     => ( c_Wellfounded_Owf(T_a,V_r_2)
      <=> c_Wellfounded_Oacyclic(T_a,V_r_2) ) ) )).

fof(fact_finite__acyclic__wf,axiom,(
    ! [V_r_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_a)),V_r_2))
     => ( c_Wellfounded_Oacyclic(T_a,V_r_2)
       => c_Wellfounded_Owf(T_a,V_r_2) ) ) )).

fof(fact_Nitpick_Owf_H__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Nitpick_Owf_H(T_a,V_r_2)
    <=> ( c_Wellfounded_Oacyclic(T_a,V_r_2)
        & ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_a)),V_r_2))
          | c_Nitpick_Ounknown(tc_HOL_Obool) ) ) ) )).

fof(fact_Rep__Integ__cases,axiom,(
    ! [V_y_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_y_2),c_Int_OInteg))
     => ~ ! [B_x] : V_y_2 != hAPP(c_Int_ORep__Integ,B_x) ) )).

fof(fact_Rep__Integ__induct,axiom,(
    ! [V_P_2,V_y_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),V_y_2),c_Int_OInteg))
     => ( ! [B_x] : hBOOL(hAPP(V_P_2,hAPP(c_Int_ORep__Integ,B_x)))
       => hBOOL(hAPP(V_P_2,V_y_2)) ) ) )).

fof(fact_refl__on__def_H,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
    <=> ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),B_x),V_r_2))
           => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2))),B_x)) )
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),V_r_2)) ) ) ) )).

fof(fact_Abs__Integ__cases,axiom,(
    ! [V_x_2] :
      ~ ! [B_y] :
          ( V_x_2 = hAPP(c_Int_OAbs__Integ,B_y)
         => ~ hBOOL(hAPP(hAPP(c_member(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),B_y),c_Int_OInteg)) ) )).

fof(fact_Abs__Integ__induct,axiom,(
    ! [V_x_2,V_P_2] :
      ( ! [B_y] :
          ( hBOOL(hAPP(hAPP(c_member(tc_fun(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_HOL_Obool)),B_y),c_Int_OInteg))
         => hBOOL(hAPP(V_P_2,hAPP(c_Int_OAbs__Integ,B_y))) )
     => hBOOL(hAPP(V_P_2,V_x_2)) ) )).

fof(fact_ball__UNIV,axiom,(
    ! [V_P_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
         => hBOOL(hAPP(V_P_2,B_x)) )
    <=> ! [B_x1] : hBOOL(hAPP(V_P_2,B_x1)) ) )).

fof(fact_ball__empty,axiom,(
    ! [V_P_2,T_a,B_x] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))
     => hBOOL(hAPP(V_P_2,B_x)) ) )).

fof(fact_Powp__def,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Predicate_OPowp(T_a,V_A_2),V_B_2))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_B_2))
         => hBOOL(hAPP(V_A_2,B_x)) ) ) )).

fof(fact_congruent__def,axiom,(
    ! [V_f_2,V_r_2,T_b,T_a] :
      ( c_Equiv__Relations_Ocongruent(T_a,T_b,V_r_2,V_f_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),B_x),V_r_2))
         => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_b),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_b),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_b,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_fequal),V_f_2))),V_f_2)),B_x)) ) ) )).

fof(fact_inj__on__diff__nat,axiom,(
    ! [V_k_2,V_N_2] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),V_N_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k_2),B_x)) )
     => c_Fun_Oinj__on(tc_Nat_Onat,tc_Nat_Onat,hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Ominus__class_Ominus(tc_Nat_Onat)),V_k_2),V_N_2) ) )).

fof(fact_wfP__SUP,axiom,(
    ! [T_a,V_r_2,T_b] :
      ( ! [B_i] : c_Wellfounded_OwfP(T_b,hAPP(V_r_2,B_i))
     => ( ! [B_i,B_j] :
            ( hAPP(V_r_2,B_i) != hAPP(V_r_2,B_j)
           => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),c_Predicate_ODomainP(T_b,T_b,hAPP(V_r_2,B_i))),c_Predicate_ORangeP(T_b,T_b,hAPP(V_r_2,B_j))) = c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)) )
       => c_Wellfounded_OwfP(T_b,hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_fun(T_b,tc_HOL_Obool))),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_r_2)) ) ) )).

fof(fact_mem__splitE,axiom,(
    ! [V_p_2,V_c_2,T_c,T_b,V_z_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_z_2),hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,tc_fun(T_a,tc_HOL_Obool)),V_c_2),V_p_2)))
     => ~ ! [B_x,B_y] :
            ( V_p_2 = hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),B_x),B_y)
           => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_z_2),hAPP(hAPP(V_c_2,B_x),B_y))) ) ) )).

fof(fact_triples__valid__Suc,axiom,(
    ! [V_n_2,V_ts_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Hoare__Mirabelle_Otriple(T_a)),B_x),V_ts_2))
         => c_Hoare__Mirabelle_Otriple__valid(T_a,hAPP(c_Nat_OSuc,V_n_2),B_x) )
     => ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Hoare__Mirabelle_Otriple(T_a)),B_x),V_ts_2))
         => c_Hoare__Mirabelle_Otriple__valid(T_a,V_n_2,B_x) ) ) )).

fof(fact_hoare__valids__def,axiom,(
    ! [V_ts_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__valids(T_a,V_G_2,V_ts_2)
    <=> ! [B_n] :
          ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Hoare__Mirabelle_Otriple(T_a)),B_x),V_G_2))
             => c_Hoare__Mirabelle_Otriple__valid(T_a,B_n,B_x) )
         => ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(tc_Hoare__Mirabelle_Otriple(T_a)),B_x),V_ts_2))
             => c_Hoare__Mirabelle_Otriple__valid(T_a,B_n,B_x) ) ) ) )).

fof(fact_mem__splitI2,axiom,(
    ! [V_c_2,V_z_2,T_c,T_b,T_a,V_p_2] :
      ( ! [B_a,B_b] :
          ( V_p_2 = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),B_a),B_b)
         => hBOOL(hAPP(hAPP(c_member(T_c),V_z_2),hAPP(hAPP(V_c_2,B_a),B_b))) )
     => hBOOL(hAPP(hAPP(c_member(T_c),V_z_2),hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_fun(T_c,tc_HOL_Obool)),V_c_2),V_p_2))) ) )).

fof(fact_vimage__Times,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_c,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,tc_prod(T_b,T_c),V_f_2),hAPP(hAPP(c_Product__Type_OSigma(T_b,T_c),V_A_2),hAPP(c_COMBK(tc_fun(T_c,tc_HOL_Obool),T_b),V_B_2))) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Ovimage(T_a,T_b,hAPP(c_Fun_Ocomp(tc_prod(T_b,T_c),T_b,T_a,c_Product__Type_Ofst(T_b,T_c)),V_f_2)),V_A_2)),hAPP(c_Set_Ovimage(T_a,T_c,hAPP(c_Fun_Ocomp(tc_prod(T_b,T_c),T_c,T_a,c_Product__Type_Osnd(T_b,T_c)),V_f_2)),V_B_2)) )).

fof(fact_Eps__split,axiom,(
    ! [V_P_2,T_b,T_a] : c_Hilbert__Choice_OEps(tc_prod(T_a,T_b),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_P_2)) = c_Hilbert__Choice_OEps(tc_prod(T_a,T_b),hAPP(hAPP(c_COMBS(tc_prod(T_a,T_b),T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,tc_HOL_Obool),tc_prod(T_a,T_b)),V_P_2),c_Product__Type_Ofst(T_a,T_b))),c_Product__Type_Osnd(T_a,T_b))) )).

fof(fact_o__eq__id__dest,axiom,(
    ! [V_v_2,V_c_2,V_b_2,V_a_2,T_a,T_b,T_c] :
      ( hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_a_2),V_b_2) = hAPP(c_Fun_Ocomp(T_b,T_b,T_a,c_Fun_Oid(T_b)),V_c_2)
     => hAPP(V_a_2,hAPP(V_b_2,V_v_2)) = hAPP(V_c_2,V_v_2) ) )).

fof(fact_id__o,axiom,(
    ! [V_g_2,T_a,T_b] : hAPP(c_Fun_Ocomp(T_b,T_b,T_a,c_Fun_Oid(T_b)),V_g_2) = V_g_2 )).

fof(fact_o__id,axiom,(
    ! [V_f_2,T_b,T_a] : hAPP(c_Fun_Ocomp(T_a,T_b,T_a,V_f_2),c_Fun_Oid(T_a)) = V_f_2 )).

fof(fact_apfst__compose,axiom,(
    ! [V_x_2,V_g_2,T_d,V_f_2,T_b,T_a,T_c] : hAPP(c_Product__Type_Oapfst(T_c,T_a,T_b,V_f_2),hAPP(c_Product__Type_Oapfst(T_d,T_c,T_b,V_g_2),V_x_2)) = hAPP(c_Product__Type_Oapfst(T_d,T_a,T_b,hAPP(c_Fun_Ocomp(T_c,T_a,T_d,V_f_2),V_g_2)),V_x_2) )).

fof(fact_apsnd__compose,axiom,(
    ! [V_x_2,V_g_2,T_d,V_f_2,T_a,T_b,T_c] : hAPP(c_Product__Type_Oapsnd(T_c,T_b,T_a,V_f_2),hAPP(c_Product__Type_Oapsnd(T_d,T_c,T_a,V_g_2),V_x_2)) = hAPP(c_Product__Type_Oapsnd(T_d,T_b,T_a,hAPP(c_Fun_Ocomp(T_c,T_b,T_d,V_f_2),V_g_2)),V_x_2) )).

fof(fact_fun__left__comm__idem_Ofun__comp__idem,axiom,(
    ! [V_x_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm__idem(T_a,T_b,V_f_2)
     => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_x_2)) = hAPP(V_f_2,V_x_2) ) )).

fof(fact_K__record__comp,axiom,(
    ! [V_x_2,V_f_2,V_c_2,T_c,T_a,T_b] : hAPP(hAPP(c_Fun_Ocomp(T_b,T_a,T_c,hAPP(c_COMBK(T_a,T_b),V_c_2)),V_f_2),V_x_2) = V_c_2 )).

fof(fact_o__eq__dest__lhs,axiom,(
    ! [V_v_2,V_c_2,V_b_2,V_a_2,T_a,T_b,T_c] :
      ( hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_a_2),V_b_2) = V_c_2
     => hAPP(V_a_2,hAPP(V_b_2,V_v_2)) = hAPP(V_c_2,V_v_2) ) )).

fof(fact_fun__upd__comp,axiom,(
    ! [V_y_2,V_x_2,V_g_2,V_f_2,T_a,T_b,T_c] : hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_f_2),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_c),V_g_2),V_x_2),V_y_2)) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_f_2),V_g_2)),V_x_2),hAPP(V_f_2,V_y_2)) )).

fof(fact_comp__cong,axiom,(
    ! [T_e,T_d,T_c,T_a,T_b,V_x_H_2,V_g_H_2,V_f_H_2,V_x_2,V_g_2,V_f_2] :
      ( hAPP(V_f_2,hAPP(V_g_2,V_x_2)) = hAPP(V_f_H_2,hAPP(V_g_H_2,V_x_H_2))
     => hAPP(hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2),V_g_2),V_x_2) = hAPP(hAPP(c_Fun_Ocomp(T_d,T_a,T_e,V_f_H_2),V_g_H_2),V_x_H_2) ) )).

fof(fact_o__assoc,axiom,(
    ! [V_h_2,V_g_2,T_d,V_f_2,T_a,T_b,T_c] : hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_f_2),hAPP(c_Fun_Ocomp(T_d,T_c,T_a,V_g_2),V_h_2)) = hAPP(c_Fun_Ocomp(T_d,T_b,T_a,hAPP(c_Fun_Ocomp(T_c,T_b,T_d,V_f_2),V_g_2)),V_h_2) )).

fof(fact_o__apply,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_c,T_a,T_b] : hAPP(hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2),V_g_2),V_x_2) = hAPP(V_f_2,hAPP(V_g_2,V_x_2)) )).

fof(fact_o__eq__dest,axiom,(
    ! [V_v_2,V_d_2,V_c_2,T_d,V_b_2,V_a_2,T_a,T_b,T_c] :
      ( hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_a_2),V_b_2) = hAPP(c_Fun_Ocomp(T_d,T_b,T_a,V_c_2),V_d_2)
     => hAPP(V_a_2,hAPP(V_b_2,V_v_2)) = hAPP(V_c_2,hAPP(V_d_2,V_v_2)) ) )).

fof(fact_o__eq__elim,axiom,(
    ! [V_d_2,V_c_2,T_d,V_b_2,V_a_2,T_a,T_b,T_c] :
      ( hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_a_2),V_b_2) = hAPP(c_Fun_Ocomp(T_d,T_b,T_a,V_c_2),V_d_2)
     => ! [B_v] : hAPP(V_a_2,hAPP(V_b_2,B_v)) = hAPP(V_c_2,hAPP(V_d_2,B_v)) ) )).

fof(fact_o__def,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_c,T_a,T_b] : hAPP(hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2),V_g_2),V_x_2) = hAPP(V_f_2,hAPP(V_g_2,V_x_2)) )).

fof(fact_someI__ex,axiom,(
    ! [T_a,V_P_2] :
      ( ? [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
     => hBOOL(hAPP(V_P_2,c_Hilbert__Choice_OEps(T_a,V_P_2))) ) )).

fof(fact_some__eq__ex,axiom,(
    ! [T_a,V_P_2] :
      ( hBOOL(hAPP(V_P_2,c_Hilbert__Choice_OEps(T_a,V_P_2)))
    <=> ? [B_x1] : hBOOL(hAPP(V_P_2,B_x1)) ) )).

fof(fact_some__eq__trivial,axiom,(
    ! [V_x_2,T_a] : c_Hilbert__Choice_OEps(T_a,hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_x_2)) = V_x_2 )).

fof(fact_some__sym__eq__trivial,axiom,(
    ! [V_x_2,T_a] : c_Hilbert__Choice_OEps(T_a,hAPP(c_fequal,V_x_2)) = V_x_2 )).

fof(fact_tfl__some,axiom,(
    ! [T_a,B_P] :
      ( ? [B_x] : hBOOL(hAPP(B_P,B_x))
     => hBOOL(hAPP(B_P,c_Hilbert__Choice_OEps(T_a,B_P))) ) )).

fof(fact_someI,axiom,(
    ! [T_a,V_x_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_x_2))
     => hBOOL(hAPP(V_P_2,c_Hilbert__Choice_OEps(T_a,V_P_2))) ) )).

fof(fact_exE__some,axiom,(
    ! [T_a,V_c_2,V_P_2] :
      ( ? [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
     => ( V_c_2 = c_Hilbert__Choice_OEps(T_a,V_P_2)
       => hBOOL(hAPP(V_P_2,V_c_2)) ) ) )).

fof(fact_vimage__compose,axiom,(
    ! [V_x_2,V_f_2,V_g_2,T_c,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_g_2),V_f_2)),V_x_2) = hAPP(c_Set_Ovimage(T_a,T_c,V_f_2),hAPP(c_Set_Ovimage(T_c,T_b,V_g_2),V_x_2)) )).

fof(fact_inj__comp,axiom,(
    ! [V_g_2,T_c,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( c_Fun_Oinj__on(T_c,T_a,V_g_2,c_Orderings_Otop__class_Otop(tc_fun(T_c,tc_HOL_Obool)))
       => c_Fun_Oinj__on(T_c,T_b,hAPP(c_Fun_Ocomp(T_a,T_b,T_c,V_f_2),V_g_2),c_Orderings_Otop__class_Otop(tc_fun(T_c,tc_HOL_Obool))) ) ) )).

fof(fact_inj__on__imageI2,axiom,(
    ! [V_A_2,V_f_2,V_f_H_2,T_c,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_f_H_2),V_f_2),V_A_2)
     => c_Fun_Oinj__on(T_a,T_c,V_f_2,V_A_2) ) )).

fof(fact_comp__surj,axiom,(
    ! [V_g_2,T_c,V_f_2,T_a,T_b] :
      ( hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))
     => ( hAPP(c_Set_Oimage(T_a,T_c,V_g_2),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_c,tc_HOL_Obool))
       => hAPP(c_Set_Oimage(T_b,T_c,hAPP(c_Fun_Ocomp(T_a,T_c,T_b,V_g_2),V_f_2)),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_c,tc_HOL_Obool)) ) ) )).

fof(fact_image__compose,axiom,(
    ! [V_r_2,V_g_2,V_f_2,T_c,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,hAPP(c_Fun_Ocomp(T_c,T_a,T_b,V_f_2),V_g_2)),V_r_2) = hAPP(c_Set_Oimage(T_c,T_a,V_f_2),hAPP(c_Set_Oimage(T_b,T_c,V_g_2),V_r_2)) )).

fof(fact_inj__on__imageI,axiom,(
    ! [V_A_2,V_f_2,V_g_2,T_c,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_g_2),V_f_2),V_A_2)
     => c_Fun_Oinj__on(T_c,T_b,V_g_2,hAPP(c_Set_Oimage(T_a,T_c,V_f_2),V_A_2)) ) )).

fof(fact_comp__inj__on,axiom,(
    ! [V_g_2,T_c,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( c_Fun_Oinj__on(T_b,T_c,V_g_2,hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2))
       => c_Fun_Oinj__on(T_a,T_c,hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_g_2),V_f_2),V_A_2) ) ) )).

fof(fact_comp__inj__on__iff,axiom,(
    ! [V_f_H_2,T_c,V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
     => ( c_Fun_Oinj__on(T_b,T_c,V_f_H_2,hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2))
      <=> c_Fun_Oinj__on(T_a,T_c,hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_f_H_2),V_f_2),V_A_2) ) ) )).

fof(fact_map__pair_Ocompositionality,axiom,(
    ! [V_prod_2,V_i_2,V_h_2,T_f,T_e,V_g_2,V_f_2,T_b,T_d,T_a,T_c] : hAPP(c_Product__Type_Omap__pair(T_c,T_a,T_d,T_b,V_f_2,V_g_2),hAPP(c_Product__Type_Omap__pair(T_e,T_c,T_f,T_d,V_h_2,V_i_2),V_prod_2)) = hAPP(c_Product__Type_Omap__pair(T_e,T_a,T_f,T_b,hAPP(c_Fun_Ocomp(T_c,T_a,T_e,V_f_2),V_h_2),hAPP(c_Fun_Ocomp(T_d,T_b,T_f,V_g_2),V_i_2)),V_prod_2) )).

fof(fact_map__pair__compose,axiom,(
    ! [V_g2_2,V_g1_2,T_f,V_f2_2,V_f1_2,T_e,T_d,T_b,T_c,T_a] : c_Product__Type_Omap__pair(T_a,T_c,T_b,T_d,hAPP(c_Fun_Ocomp(T_e,T_c,T_a,V_f1_2),V_f2_2),hAPP(c_Fun_Ocomp(T_f,T_d,T_b,V_g1_2),V_g2_2)) = hAPP(c_Fun_Ocomp(tc_prod(T_e,T_f),tc_prod(T_c,T_d),tc_prod(T_a,T_b),c_Product__Type_Omap__pair(T_e,T_c,T_f,T_d,V_f1_2,V_g1_2)),c_Product__Type_Omap__pair(T_a,T_e,T_b,T_f,V_f2_2,V_g2_2)) )).

fof(fact_map__pair_Ocomp,axiom,(
    ! [V_i_2,V_h_2,V_g_2,V_f_2,T_b,T_a,T_d,T_c,T_f,T_e] : hAPP(c_Fun_Ocomp(tc_prod(T_e,T_f),tc_prod(T_c,T_d),tc_prod(T_a,T_b),c_Product__Type_Omap__pair(T_e,T_c,T_f,T_d,V_f_2,V_g_2)),c_Product__Type_Omap__pair(T_a,T_e,T_b,T_f,V_h_2,V_i_2)) = c_Product__Type_Omap__pair(T_a,T_c,T_b,T_d,hAPP(c_Fun_Ocomp(T_e,T_c,T_a,V_f_2),V_h_2),hAPP(c_Fun_Ocomp(T_f,T_d,T_b,V_g_2),V_i_2)) )).

fof(fact_setsum__reindex,axiom,(
    ! [V_h_2,V_B_2,V_f_2,T_b,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__add(T_c)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_c),V_h_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_c),hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_h_2),V_f_2)),V_B_2) ) ) )).

fof(fact_setprod__reindex__cong,axiom,(
    ! [V_h_2,V_g_2,V_B_2,V_A_2,V_f_2,T_b,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__mult(T_c)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
       => ( V_B_2 = hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)
         => ( V_g_2 = hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_h_2),V_f_2)
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_c),V_h_2),V_B_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_c),V_g_2),V_A_2) ) ) ) ) )).

fof(fact_setprod__reindex,axiom,(
    ! [V_h_2,V_B_2,V_f_2,T_b,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__mult(T_c)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_B_2)
       => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_c),V_h_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_B_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_c),hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_h_2),V_f_2)),V_B_2) ) ) )).

fof(fact_split__paired__Eps,axiom,(
    ! [V_P_2,T_b,T_a] : c_Hilbert__Choice_OEps(tc_prod(T_a,T_b),V_P_2) = c_Hilbert__Choice_OEps(tc_prod(T_a,T_b),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_HOL_Obool,T_b),V_P_2)),c_Product__Type_OPair(T_a,T_b)))) )).

fof(fact_Eps__split__eq,axiom,(
    ! [V_y_2,V_x_2,T_b,T_a] : c_Hilbert__Choice_OEps(tc_prod(T_a,T_b),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(c_fequal,V_x_2)))),hAPP(c_fequal,V_y_2)))) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2) )).

fof(fact_setsum_Oreindex,axiom,(
    ! [V_g_2,V_h_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( c_Fun_Oinj__on(T_a,T_a,V_h_2,V_A_2)
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),hAPP(c_Fun_Ocomp(T_a,T_b,T_a,V_g_2),V_h_2)),V_A_2) ) ) ) )).

fof(fact_setprod_Oreindex,axiom,(
    ! [V_g_2,V_h_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__mult(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( c_Fun_Oinj__on(T_a,T_a,V_h_2,V_A_2)
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_g_2),hAPP(c_Set_Oimage(T_a,T_a,V_h_2),V_A_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),hAPP(c_Fun_Ocomp(T_a,T_b,T_a,V_g_2),V_h_2)),V_A_2) ) ) ) )).

fof(fact_the__inv__into__comp,axiom,(
    ! [V_x_2,V_A_2,V_g_2,T_c,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(c_Set_Oimage(T_c,T_a,V_g_2),V_A_2))
     => ( c_Fun_Oinj__on(T_c,T_a,V_g_2,V_A_2)
       => ( hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(c_Set_Oimage(T_c,T_a,V_g_2),V_A_2))))
         => hAPP(c_Fun_Othe__inv__into(T_c,T_b,V_A_2,hAPP(c_Fun_Ocomp(T_a,T_b,T_c,V_f_2),V_g_2)),V_x_2) = hAPP(hAPP(c_Fun_Ocomp(T_a,T_c,T_b,c_Fun_Othe__inv__into(T_c,T_a,V_A_2,V_g_2)),c_Fun_Othe__inv__into(T_a,T_b,hAPP(c_Set_Oimage(T_c,T_a,V_g_2),V_A_2),V_f_2)),V_x_2) ) ) ) )).

fof(fact_fold__image__reindex,axiom,(
    ! [V_z_2,V_g_2,V_h_2,T_b,V_A_2,T_a,T_c] :
      ( class_Groups_Oab__semigroup__mult(T_c)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( c_Fun_Oinj__on(T_a,T_b,V_h_2,V_A_2)
         => hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_c,T_b,c_Groups_Otimes__class_Otimes(T_c)),V_g_2),V_z_2),hAPP(c_Set_Oimage(T_a,T_b,V_h_2),V_A_2)) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_c,T_a,c_Groups_Otimes__class_Otimes(T_c)),hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_g_2),V_h_2)),V_z_2),V_A_2) ) ) ) )).

fof(fact_LeastM__def,axiom,(
    ! [V_P_2,V_m_2,T_a,T_b] :
      ( class_Orderings_Oord(T_b)
     => c_Hilbert__Choice_OLeastM(T_a,T_b,V_m_2,V_P_2) = c_Hilbert__Choice_OEps(T_a,hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fimplies),V_P_2))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,T_b),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_a,T_b),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(T_b,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_Orderings_Oord__class_Oless__eq(T_b)),V_m_2))),V_m_2))))) ) )).

fof(fact_GreatestM__def,axiom,(
    ! [V_P_2,V_m_2,T_a,T_b] :
      ( class_Orderings_Oord(T_b)
     => hAPP(c_Hilbert__Choice_OGreatestM(T_a,T_b,V_m_2),V_P_2) = c_Hilbert__Choice_OEps(T_a,hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_P_2)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fimplies),V_P_2))),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_Orderings_Oord__class_Oless__eq(T_b)),V_m_2))),V_m_2))))) ) )).

fof(fact_folding_Oremove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(V_Fa_2,V_A_2) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),hAPP(V_f_2,V_x_2)) ) ) ) )).

fof(fact_folding_Ocommute__comps_I1_J,axiom,(
    ! [V_h_2,V_g_2,T_f,V_f_2,T_c,T_d,T_e,V_Fa_2,V_fa_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_fa_2,V_Fa_2)
     => hAPP(c_Fun_Ocomp(T_e,T_d,T_c,V_f_2),hAPP(c_Fun_Ocomp(T_f,T_e,T_c,V_g_2),V_h_2)) = hAPP(c_Fun_Ocomp(T_f,T_d,T_c,hAPP(c_Fun_Ocomp(T_e,T_d,T_f,V_f_2),V_g_2)),V_h_2) ) )).

fof(fact_folding_Ocommute__comp,axiom,(
    ! [V_x_2,V_y_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_y_2)),hAPP(V_f_2,V_x_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)) ) )).

fof(fact_folding_Ocommute__left__comp,axiom,(
    ! [V_g_2,V_x_2,V_y_2,T_c,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_y_2)),hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2)),V_g_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2)),hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_y_2)),V_g_2)) ) )).

fof(fact_UN__o,axiom,(
    ! [V_f_2,V_g_2,T_c,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Fun_Ocomp(T_c,tc_fun(T_a,tc_HOL_Obool),T_b,V_g_2),V_f_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_c,V_f_2),V_A_2)),V_g_2) )).

fof(fact_fst__comp__map__pair,axiom,(
    ! [V_g_2,V_f_2,T_b,T_a,T_d,T_c] : hAPP(c_Fun_Ocomp(tc_prod(T_c,T_d),T_c,tc_prod(T_a,T_b),c_Product__Type_Ofst(T_c,T_d)),c_Product__Type_Omap__pair(T_a,T_c,T_b,T_d,V_f_2,V_g_2)) = hAPP(c_Fun_Ocomp(T_a,T_c,tc_prod(T_a,T_b),V_f_2),c_Product__Type_Ofst(T_a,T_b)) )).

fof(fact_snd__comp__map__pair,axiom,(
    ! [V_g_2,V_f_2,T_b,T_a,T_c,T_d] : hAPP(c_Fun_Ocomp(tc_prod(T_d,T_c),T_c,tc_prod(T_a,T_b),c_Product__Type_Osnd(T_d,T_c)),c_Product__Type_Omap__pair(T_a,T_d,T_b,T_c,V_f_2,V_g_2)) = hAPP(c_Fun_Ocomp(T_b,T_c,tc_prod(T_a,T_b),V_g_2),c_Product__Type_Osnd(T_a,T_b)) )).

fof(fact_LeastM__nat__lemma,axiom,(
    ! [V_m_2,T_a,V_k_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_k_2))
     => ( hBOOL(hAPP(V_P_2,c_Hilbert__Choice_OLeastM(T_a,tc_Nat_Onat,V_m_2,V_P_2)))
        & ! [B_y] :
            ( hBOOL(hAPP(V_P_2,B_y))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(V_m_2,c_Hilbert__Choice_OLeastM(T_a,tc_Nat_Onat,V_m_2,V_P_2))),hAPP(V_m_2,B_y))) ) ) ) )).

fof(fact_LeastM__nat__le,axiom,(
    ! [T_a,V_m_2,V_x_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_x_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(V_m_2,c_Hilbert__Choice_OLeastM(T_a,tc_Nat_Onat,V_m_2,V_P_2))),hAPP(V_m_2,V_x_2))) ) )).

fof(fact_split__comp,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_d,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_c,T_a),hAPP(c_Fun_Ocomp(T_d,tc_fun(T_c,T_a),T_b,V_f_2),V_g_2)),V_x_2) = hAPP(hAPP(V_f_2,hAPP(V_g_2,hAPP(c_Product__Type_Ofst(T_b,T_c),V_x_2))),hAPP(c_Product__Type_Osnd(T_b,T_c),V_x_2)) )).

fof(fact_folding_Ocommute__left__comp_H_H,axiom,(
    ! [V_g_2,T_c,V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_B_2)),hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2)),V_g_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2)),hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_B_2)),V_g_2)) ) ) ) )).

fof(fact_folding_Ocommute__comp_H_H,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_B_2)),hAPP(V_Fa_2,V_A_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_folding_Ocommute__left__comp_H,axiom,(
    ! [V_g_2,V_x_2,T_c,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2)),hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2)),V_g_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_Fa_2,V_A_2)),hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2)),V_g_2)) ) ) )).

fof(fact_folding_Ocommute__comp_H,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2)),hAPP(V_Fa_2,V_A_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_f_2,V_x_2)) ) ) )).

fof(fact_folding_Oempty,axiom,(
    ! [V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => hAPP(V_Fa_2,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Fun_Oid(T_b) ) )).

fof(fact_folding_Oinsert,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_f_2,V_x_2)) ) ) ) )).

fof(fact_folding_Ounion__inter,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_folding_Oinsert__remove,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),hAPP(V_f_2,V_x_2)) ) ) )).

fof(fact_folding_Ounion,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
           => hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) ) )).

fof(fact_Loop__sound__lemma,axiom,(
    ! [V_c_2,V_b_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__valids(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),c_Hoare__Mirabelle_Opeek__and(T_a,V_P_2,V_b_2)),V_c_2),V_P_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => c_Hoare__Mirabelle_Ohoare__valids(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),c_Com_Ocom_OWhile(V_b_2,V_c_2)),c_Hoare__Mirabelle_Opeek__and(T_a,V_P_2,hAPP(c_Fun_Ocomp(tc_HOL_Obool,tc_HOL_Obool,tc_Com_Ostate,c_fNot),V_b_2)))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) )).

fof(fact_hoare__derivs_OIf,axiom,(
    ! [V_d_2,V_Q_2,V_c_2,V_b_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),c_Hoare__Mirabelle_Opeek__and(T_a,V_P_2,V_b_2)),V_c_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),c_Hoare__Mirabelle_Opeek__and(T_a,V_P_2,hAPP(c_Fun_Ocomp(tc_HOL_Obool,tc_HOL_Obool,tc_Com_Ostate,c_fNot),V_b_2))),V_d_2),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
       => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),c_Com_Ocom_OCond(V_b_2,V_c_2,V_d_2)),V_Q_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) ) )).

fof(fact_Loop,axiom,(
    ! [V_c_2,V_b_2,V_P_2,V_G_2,T_a] :
      ( c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),c_Hoare__Mirabelle_Opeek__and(T_a,V_P_2,V_b_2)),V_c_2),V_P_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool))))
     => c_Hoare__Mirabelle_Ohoare__derivs(T_a,V_G_2,hAPP(hAPP(c_Set_Oinsert(tc_Hoare__Mirabelle_Otriple(T_a)),hAPP(hAPP(hAPP(c_Hoare__Mirabelle_Otriple_Otriple(T_a),V_P_2),c_Com_Ocom_OWhile(V_b_2,V_c_2)),c_Hoare__Mirabelle_Opeek__and(T_a,V_P_2,hAPP(c_Fun_Ocomp(tc_HOL_Obool,tc_HOL_Obool,tc_Com_Ostate,c_fNot),V_b_2)))),c_Orderings_Obot__class_Obot(tc_fun(tc_Hoare__Mirabelle_Otriple(T_a),tc_HOL_Obool)))) ) )).

fof(fact_LeastM__natI,axiom,(
    ! [V_m_2,T_a,V_k_2,V_P_2] :
      ( hBOOL(hAPP(V_P_2,V_k_2))
     => hBOOL(hAPP(V_P_2,c_Hilbert__Choice_OLeastM(T_a,tc_Nat_Onat,V_m_2,V_P_2))) ) )).

fof(fact_peek__and__def,axiom,(
    ! [V_s_2,V_Z_2,V_p_2,V_P_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Hoare__Mirabelle_Opeek__and(T_a,V_P_2,V_p_2),V_Z_2),V_s_2))
    <=> ( hBOOL(hAPP(hAPP(V_P_2,V_Z_2),V_s_2))
        & hBOOL(hAPP(V_p_2,V_s_2)) ) ) )).

fof(fact_Greatest__def,axiom,(
    ! [T_a] :
      ( class_Orderings_Oord(T_a)
     => c_Hilbert__Choice_OGreatest(T_a) = c_Hilbert__Choice_OGreatestM(T_a,T_a,c_COMBI(T_a)) ) )).

fof(fact_folding__image_Oreindex,axiom,(
    ! [V_g_2,V_h_2,V_A_2,V_Fa_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image(T_a,T_b,V_f_2,V_z_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => ( c_Fun_Oinj__on(T_b,T_b,V_h_2,V_A_2)
         => hAPP(hAPP(V_Fa_2,V_g_2),hAPP(c_Set_Oimage(T_b,T_b,V_h_2),V_A_2)) = hAPP(hAPP(V_Fa_2,hAPP(c_Fun_Ocomp(T_b,T_a,T_b,V_g_2),V_h_2)),V_A_2) ) ) ) )).

fof(fact_setsum__reindex__nonzero,axiom,(
    ! [T_b,V_h_2,V_f_2,V_S_2,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__add(T_c)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_S_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_S_2))
             => ! [B_y] :
                  ( hBOOL(hAPP(hAPP(c_member(T_a),B_y),V_S_2))
                 => ( B_x != B_y
                   => ( hAPP(V_f_2,B_x) = hAPP(V_f_2,B_y)
                     => hAPP(V_h_2,hAPP(V_f_2,B_x)) = c_Groups_Ozero__class_Ozero(T_c) ) ) ) )
         => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_c),V_h_2),hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_S_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_c),hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_h_2),V_f_2)),V_S_2) ) ) ) )).

fof(fact_folding__image_Odistrib,axiom,(
    ! [V_h_2,V_g_2,V_A_2,V_Fa_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image(T_a,T_b,V_f_2,V_z_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => hAPP(hAPP(V_Fa_2,hAPP(hAPP(c_COMBS(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),V_f_2),V_g_2)),V_h_2)),V_A_2) = hAPP(hAPP(V_f_2,hAPP(hAPP(V_Fa_2,V_g_2),V_A_2)),hAPP(hAPP(V_Fa_2,V_h_2),V_A_2)) ) ) )).

fof(fact_folding__image_Oeq__fold,axiom,(
    ! [V_g_2,V_A_2,V_Fa_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__image(T_a,T_b,V_f_2,V_z_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),V_A_2))
       => hAPP(hAPP(V_Fa_2,V_g_2),V_A_2) = hAPP(hAPP(hAPP(c_Finite__Set_Ofold__image(T_a,T_b,V_f_2),V_g_2),V_z_2),V_A_2) ) ) )).

fof(fact_folding__idem_Ounion__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_B_2))
         => hAPP(V_Fa_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) ) ) ) )).

fof(fact_folding__idem_Osubset__comp__idem,axiom,(
    ! [V_B_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
         => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_Fa_2,V_B_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) )).

fof(fact_folding__idem_Oinsert__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_f_2,V_x_2)) ) ) )).

fof(fact_folding__idem_Oidem__comp,axiom,(
    ! [V_x_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_x_2)) = hAPP(V_f_2,V_x_2) ) )).

fof(fact_folding__idem_Oidem__left__comp,axiom,(
    ! [V_g_2,V_x_2,T_c,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2)),hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2)),V_g_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_c,hAPP(V_f_2,V_x_2)),V_g_2) ) )).

fof(fact_folding__idem_Oin__comp__idem,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding__idem(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_Fa_2,V_A_2)),hAPP(V_f_2,V_x_2)) = hAPP(V_Fa_2,V_A_2) ) ) ) )).

fof(fact_strong__setprod__reindex__cong,axiom,(
    ! [V_h_2,V_g_2,V_B_2,V_A_2,V_f_2,T_b,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__mult(T_c)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
       => ( V_B_2 = hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
               => hAPP(V_g_2,B_x) = hAPP(hAPP(c_Fun_Ocomp(T_b,T_c,T_a,V_h_2),V_f_2),B_x) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_b,T_c),V_h_2),V_B_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_c),V_g_2),V_A_2) ) ) ) ) )).

fof(fact_wfI__pf,axiom,(
    ! [V_R_2,T_a] :
      ( ! [B_A] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),B_A),hAPP(c_Relation_OImage(T_a,T_a,V_R_2),B_A)))
         => B_A = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )
     => c_Wellfounded_Owf(T_a,V_R_2) ) )).

fof(fact_Sigma__mono,axiom,(
    ! [V_D_2,V_B_2,T_b,V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_C_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(V_B_2,B_x)),hAPP(V_D_2,B_x))) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_A_2),V_B_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),V_C_2),V_D_2))) ) ) )).

fof(fact_acc_OaccI,axiom,(
    ! [V_r_2,V_x_2,T_a] :
      ( ! [B_y] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),V_x_2)),V_r_2))
         => hBOOL(hAPP(hAPP(c_member(T_a),B_y),c_Wellfounded_Oacc(T_a,V_r_2))) )
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Wellfounded_Oacc(T_a,V_r_2))) ) )).

fof(fact_not__acc__down,axiom,(
    ! [V_R_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Wellfounded_Oacc(T_a,V_R_2)))
     => ~ ! [B_z] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_z),V_x_2)),V_R_2))
           => hBOOL(hAPP(hAPP(c_member(T_a),B_z),c_Wellfounded_Oacc(T_a,V_R_2))) ) ) )).

fof(fact_max__ext_Osimps,axiom,(
    ! [V_R_2,V_a2_2,V_a1_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_Product__Type_OPair(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_a1_2),V_a2_2)),c_Wellfounded_Omax__ext(T_a,V_R_2)))
    <=> ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_a1_2))
        & hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_a2_2))
        & V_a2_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_a1_2))
           => ? [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_a2_2))
                & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_xa)),V_R_2)) ) ) ) ) )).

fof(fact_wf__no__infinite__down__chainE,axiom,(
    ! [V_f_2,V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => ~ ! [B_k] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),hAPP(V_f_2,hAPP(c_Nat_OSuc,B_k))),hAPP(V_f_2,B_k))),V_r_2)) ) )).

fof(fact_com_Osize_I11_J,axiom,(
    ! [V_com_2,V_fun_2,V_loc_2] : hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_Com_Ocom),V_com_2)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_com_Osize_I3_J,axiom,(
    ! [V_com_2,V_fun_2,V_loc_2] : c_Com_Ocom_Ocom__size(c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Com_Ocom_Ocom__size(V_com_2)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_WTs__elim__cases_I3_J,axiom,(
    ! [V_c_2,V_a_2,V_Y_2] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OLocal(V_Y_2,V_a_2,V_c_2)))
     => hBOOL(hAPP(c_Com_OWT,V_c_2)) ) )).

fof(fact_com_Osimps_I2_J,axiom,(
    ! [V_com_H_2,V_fun_H_2,V_loc_H_2,V_com_2,V_fun_2,V_loc_2] :
      ( c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) = c_Com_Ocom_OLocal(V_loc_H_2,V_fun_H_2,V_com_H_2)
    <=> ( V_loc_2 = V_loc_H_2
        & V_fun_2 = V_fun_H_2
        & V_com_2 = V_com_H_2 ) ) )).

fof(fact_com_Osimps_I39_J,axiom,(
    ! [V_com_2,V_fun_2,V_loc_2,V_com_H_2,V_fun_H_2] : c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) != c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) )).

fof(fact_com_Osimps_I38_J,axiom,(
    ! [V_com_H_2,V_fun_H_2,V_com_2,V_fun_2,V_loc_2] : c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) != c_Com_Ocom_OWhile(V_fun_H_2,V_com_H_2) )).

fof(fact_WT_Oequations_I3_J,axiom,(
    ! [V_a1_2,V_a3_2,V_a2_2] :
      ( hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OLocal(V_a2_2,V_a3_2,V_a1_2)))
    <=> hBOOL(hAPP(c_Com_OWT,V_a1_2)) ) )).

fof(fact_WT_OLocal,axiom,(
    ! [V_a_2,V_Y_2,V_c_2] :
      ( hBOOL(hAPP(c_Com_OWT,V_c_2))
     => hBOOL(hAPP(c_Com_OWT,c_Com_Ocom_OLocal(V_Y_2,V_a_2,V_c_2))) ) )).

fof(fact_com_Osimps_I41_J,axiom,(
    ! [V_com_2,V_fun_2,V_loc_2,V_pname_H_2] : hAPP(c_Com_Ocom_OBODY,V_pname_H_2) != c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) )).

fof(fact_com_Osimps_I40_J,axiom,(
    ! [V_pname_H_2,V_com_2,V_fun_2,V_loc_2] : c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) != hAPP(c_Com_Ocom_OBODY,V_pname_H_2) )).

fof(fact_com_Osimps_I10_J,axiom,(
    ! [V_com_H_2,V_fun_H_2,V_loc_H_2] : c_Com_Ocom_OSKIP != c_Com_Ocom_OLocal(V_loc_H_2,V_fun_H_2,V_com_H_2) )).

fof(fact_com_Osimps_I11_J,axiom,(
    ! [V_com_H_2,V_fun_H_2,V_loc_H_2] : c_Com_Ocom_OLocal(V_loc_H_2,V_fun_H_2,V_com_H_2) != c_Com_Ocom_OSKIP )).

fof(fact_com_Osimps_I35_J,axiom,(
    ! [V_com_2,V_fun_2,V_loc_2,V_com2_H_2,V_com1_H_2] : c_Com_Ocom_OSemi(V_com1_H_2,V_com2_H_2) != c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) )).

fof(fact_com_Osimps_I34_J,axiom,(
    ! [V_com2_H_2,V_com1_H_2,V_com_2,V_fun_2,V_loc_2] : c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) != c_Com_Ocom_OSemi(V_com1_H_2,V_com2_H_2) )).

fof(fact_com_Osimps_I37_J,axiom,(
    ! [V_com_2,V_fun_2,V_loc_2,V_com2_H_2,V_com1_H_2,V_fun_H_2] : c_Com_Ocom_OCond(V_fun_H_2,V_com1_H_2,V_com2_H_2) != c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) )).

fof(fact_com_Osimps_I36_J,axiom,(
    ! [V_com2_H_2,V_com1_H_2,V_fun_H_2,V_com_2,V_fun_2,V_loc_2] : c_Com_Ocom_OLocal(V_loc_2,V_fun_2,V_com_2) != c_Com_Ocom_OCond(V_fun_H_2,V_com1_H_2,V_com2_H_2) )).

fof(fact_setsum__reindex__cong,axiom,(
    ! [V_h_2,V_g_2,V_B_2,V_A_2,V_f_2,T_b,T_a,T_c] :
      ( class_Groups_Ocomm__monoid__add(T_c)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_A_2)
       => ( V_B_2 = hAPP(c_Set_Oimage(T_a,T_b,V_f_2),V_A_2)
         => ( ! [B_a] :
                ( hBOOL(hAPP(hAPP(c_member(T_a),B_a),V_A_2))
               => hAPP(V_g_2,B_a) = hAPP(V_h_2,hAPP(V_f_2,B_a)) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_b,T_c),V_h_2),V_B_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_c),V_g_2),V_A_2) ) ) ) ) )).

fof(fact_scomp__unfold,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_a,T_d,T_c,T_b] : hAPP(hAPP(hAPP(c_Product__Type_Oscomp(T_b,T_c,T_d,T_a),V_f_2),V_g_2),V_x_2) = hAPP(hAPP(V_g_2,hAPP(c_Product__Type_Ofst(T_c,T_d),hAPP(V_f_2,V_x_2))),hAPP(c_Product__Type_Osnd(T_c,T_d),hAPP(V_f_2,V_x_2))) )).

fof(fact_setsum__ivl__cong,axiom,(
    ! [V_g_2,V_f_2,V_d_2,V_b_2,V_c_2,V_a_2,T_a,T_b] :
      ( ( class_Groups_Ocomm__monoid__add(T_b)
        & class_Orderings_Oord(T_a) )
     => ( V_a_2 = V_c_2
       => ( V_b_2 = V_d_2
         => ( ! [B_x] :
                ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_c_2),B_x))
               => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),B_x),V_d_2))
                 => hAPP(V_f_2,B_x) = hAPP(V_g_2,B_x) ) )
           => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_a_2),V_b_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_g_2),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(T_a,V_c_2),V_d_2)) ) ) ) ) )).

fof(fact_scomp__apply,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_a,T_d,T_c,T_b] : hAPP(hAPP(hAPP(c_Product__Type_Oscomp(T_b,T_c,T_d,T_a),V_f_2),V_g_2),V_x_2) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_c,T_d,T_a),V_g_2),hAPP(V_f_2,V_x_2)) )).

fof(fact_scomp__Pair,axiom,(
    ! [V_x_2,T_c,T_b,T_a] : hAPP(hAPP(c_Product__Type_Oscomp(T_a,T_b,T_c,tc_prod(T_b,T_c)),V_x_2),c_Product__Type_OPair(T_b,T_c)) = V_x_2 )).

fof(fact_scomp__scomp,axiom,(
    ! [V_h_2,V_g_2,V_f_2,T_f,T_e,T_b,T_d,T_c,T_a] : hAPP(hAPP(c_Product__Type_Oscomp(T_a,T_c,T_d,T_b),hAPP(hAPP(c_Product__Type_Oscomp(T_a,T_e,T_f,tc_prod(T_c,T_d)),V_f_2),V_g_2)),V_h_2) = hAPP(hAPP(c_Product__Type_Oscomp(T_a,T_e,T_f,T_b),V_f_2),hAPP(hAPP(c_COMBC(T_e,tc_fun(T_c,tc_fun(T_d,T_b)),tc_fun(T_f,T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_f,tc_prod(T_c,T_d)),tc_fun(tc_fun(T_c,tc_fun(T_d,T_b)),tc_fun(T_f,T_b)),T_e),c_Product__Type_Oscomp(T_f,T_c,T_d,T_b)),V_g_2)),V_h_2)) )).

fof(fact_Pair__scomp,axiom,(
    ! [V_f_2,V_x_2,T_b,T_c,T_a] : hAPP(hAPP(c_Product__Type_Oscomp(T_a,T_c,T_a,T_b),hAPP(c_Product__Type_OPair(T_c,T_a),V_x_2)),V_f_2) = hAPP(V_f_2,V_x_2) )).

fof(fact_scomp__def,axiom,(
    ! [V_x_2,V_g_2,V_f_2,T_a,T_d,T_c,T_b] : hAPP(hAPP(hAPP(c_Product__Type_Oscomp(T_b,T_c,T_d,T_a),V_f_2),V_g_2),V_x_2) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_c,T_d,T_a),V_g_2),hAPP(V_f_2,V_x_2)) )).

fof(fact_iterate_Osimps,axiom,(
    ! [V_x_2,V_f_2,T_a,T_b,V_k_2] :
      ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(c_Random_Oiterate(T_b,T_a,V_k_2,V_f_2),V_x_2) = hAPP(c_Product__Type_OPair(T_b,T_a),V_x_2) )
      & ( V_k_2 != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(c_Random_Oiterate(T_b,T_a,V_k_2,V_f_2),V_x_2) = hAPP(hAPP(c_Product__Type_Oscomp(T_a,T_b,T_a,tc_prod(T_b,T_a)),hAPP(V_f_2,V_x_2)),c_Random_Oiterate(T_b,T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_k_2),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)),V_f_2)) ) ) )).

fof(fact_less__eq,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_m_2),V_n_2)),c_Transitive__Closure_Otrancl(tc_Nat_Onat,c_Wellfounded_Opred__nat)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_nat__intermed__int__val,axiom,(
    ! [V_k_2,V_f_2,V_n_2,V_m_2] :
      ( ! [B_i] :
          ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),B_i))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),V_n_2)) )
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Groups_Oabs__class_Oabs(tc_Int_Oint),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),hAPP(V_f_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),B_i),c_Groups_Oone__class_Oone(tc_Nat_Onat)))),hAPP(V_f_2,B_i)))),c_Groups_Oone__class_Oone(tc_Int_Oint))) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_m_2),V_n_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(V_f_2,V_m_2)),V_k_2))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_k_2),hAPP(V_f_2,V_n_2)))
           => ? [B_i] :
                ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),B_i))
                & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_i),V_n_2))
                & hAPP(V_f_2,B_i) = V_k_2 ) ) ) ) ) )).

fof(fact_wf__trancl,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
     => c_Wellfounded_Owf(T_a,c_Transitive__Closure_Otrancl(T_a,V_r_2)) ) )).

fof(fact_less__than__def,axiom,(
    c_Wellfounded_Oless__than = c_Transitive__Closure_Otrancl(tc_Nat_Onat,c_Wellfounded_Opred__nat) )).

fof(fact_acyclic__def,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,V_r_2)
    <=> ! [B_x] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) )).

fof(fact_trancl_Or__into__trancl,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) )).

fof(fact_trancl__subset__Field2,axiom,(
    ! [V_r_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Otrancl(T_a,V_r_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),hAPP(c_Relation_OField(T_a),V_r_2)),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_Relation_OField(T_a),V_r_2))))) )).

fof(fact_trancl__Int__subset,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Otrancl(T_a,V_r_2)),V_s_2)),V_r_2)),V_s_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Otrancl(T_a,V_r_2)),V_s_2)) ) ) )).

fof(fact_r__into__trancl_H,axiom,(
    ! [V_r_2,V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) )).

fof(fact_trancl__empty,axiom,(
    ! [T_a] : c_Transitive__Closure_Otrancl(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)) )).

fof(fact_trancl__domain,axiom,(
    ! [V_r_2,T_a] : hAPP(c_Relation_ODomain(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2)) = hAPP(c_Relation_ODomain(T_a,T_a),V_r_2) )).

fof(fact_trancl__range,axiom,(
    ! [V_r_2,T_a] : hAPP(c_Relation_ORange(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2)) = hAPP(c_Relation_ORange(T_a,T_a),V_r_2) )).

fof(fact_finite__trancl,axiom,(
    ! [V_r_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_a)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
    <=> hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_a)),V_r_2)) ) )).

fof(fact_trancl__trans,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) ) )).

fof(fact_Transitive__Closure_Otrancl__into__trancl,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) ) )).

fof(fact_trancl__into__trancl2,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) ) )).

fof(fact_r__r__into__trancl,axiom,(
    ! [V_c_2,V_R_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_R_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),V_R_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_R_2))) ) ) )).

fof(fact_trancl__mono,axiom,(
    ! [V_s_2,V_r_2,V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Otrancl(T_a,V_s_2))) ) ) )).

fof(fact_trancl__unfold,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Otrancl(T_a,V_r_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2)),V_r_2)) )).

fof(fact_trancl__subset__Sigma,axiom,(
    ! [V_A_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2))))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Otrancl(T_a,V_r_2)),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2)))) ) )).

fof(fact_log_Osimps,axiom,(
    ! [V_i,V_b] :
      ( ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Code__Numeral_Ocode__numeral),V_b),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)))
          | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_i),V_b)) )
       => c_Random_Olog(V_b,V_i) = c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral) )
      & ( ~ ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Code__Numeral_Ocode__numeral),V_b),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)))
            | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_i),V_b)) )
       => c_Random_Olog(V_b,V_i) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Code__Numeral_Ocode__numeral),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)),c_Random_Olog(V_b,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Code__Numeral_Ocode__numeral),V_i),V_b))) ) ) )).

fof(fact_minus__shift__def,axiom,(
    ! [V_r,V_l,V_k] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_k),V_l))
       => c_Random_Ominus__shift(V_r,V_k,V_l) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Code__Numeral_Ocode__numeral),V_r),V_k)),V_l) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_k),V_l))
       => c_Random_Ominus__shift(V_r,V_k,V_l) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_k),V_l) ) ) )).

fof(fact_inc__shift__def,axiom,(
    ! [V_k,V_v] :
      ( ( V_v = V_k
       => c_Random_Oinc__shift(V_v,V_k) = c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral) )
      & ( V_v != V_k
       => c_Random_Oinc__shift(V_v,V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Code__Numeral_Ocode__numeral),V_k),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)) ) ) )).

fof(fact_range,axiom,(
    ! [V_s,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)),V_k))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),hAPP(c_Product__Type_Ofst(tc_Code__Numeral_Ocode__numeral,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral)),hAPP(c_Random_Orange(V_k),V_s))),V_k)) ) )).

fof(fact_trancl__insert,axiom,(
    ! [V_r_2,V_x_2,V_y_2,T_a] : c_Transitive__Closure_Otrancl(T_a,hAPP(hAPP(c_Set_Oinsert(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_x_2)),V_r_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Otrancl(T_a,V_r_2)),hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a)),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a))),hAPP(hAPP(c_COMBC(T_a,T_a,tc_prod(T_a,T_a)),c_Product__Type_OPair(T_a,T_a)),V_y_2))),c_Transitive__Closure_Ortrancl(T_a,V_r_2))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a))),hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2))),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))))) )).

fof(fact_reflcl__set__eq,axiom,(
    ! [V_y_2,V_x_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a)))),c_Product__Type_OPair(T_a,T_a)))),V_r_2)),c_fequal),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),c_Relation_OId(T_a)))) ) )).

fof(fact_r__into__rtrancl,axiom,(
    ! [V_r_2,V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) )).

fof(fact_rtrancl_Ortrancl__refl,axiom,(
    ! [V_r_2,V_a_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_a_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) )).

fof(fact_IdI,axiom,(
    ! [V_a_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_a_2)),c_Relation_OId(T_a))) )).

fof(fact_trancl__into__rtrancl,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) )).

fof(fact_rtrancl__Int__subset,axiom,(
    ! [V_r_2,V_s_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Relation_OId(T_a)),V_s_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)),V_s_2)),V_r_2)),V_s_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)),V_s_2)) ) ) )).

fof(fact_Image__closed__trancl,axiom,(
    ! [V_X_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_a,V_r_2),V_X_2)),V_X_2))
     => hAPP(c_Relation_OImage(T_a,T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)),V_X_2) = V_X_2 ) )).

fof(fact_rtrancl__mono,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)),c_Transitive__Closure_Ortrancl(T_a,V_s_2))) ) )).

fof(fact_rtrancl__subset,axiom,(
    ! [V_S_2,V_R_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_S_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
       => c_Transitive__Closure_Ortrancl(T_a,V_S_2) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) ) ) )).

fof(fact_rtrancl__subset__rtrancl,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),c_Transitive__Closure_Ortrancl(T_a,V_s_2)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)),c_Transitive__Closure_Ortrancl(T_a,V_s_2))) ) )).

fof(fact_rtrancl__Un__subset,axiom,(
    ! [V_S_2,V_R_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)),c_Transitive__Closure_Ortrancl(T_a,V_S_2))),c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2)))) )).

fof(fact_Id__O__R,axiom,(
    ! [V_R_2,T_b,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_b),c_Relation_OId(T_a)),V_R_2) = V_R_2 )).

fof(fact_R__O__Id,axiom,(
    ! [V_R_2,T_b,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_b,T_b),V_R_2),c_Relation_OId(T_b)) = V_R_2 )).

fof(fact_Image__Id,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Relation_OImage(T_a,T_a,c_Relation_OId(T_a)),V_A_2) = V_A_2 )).

fof(fact_Domain__rtrancl,axiom,(
    ! [V_R_2,T_a] : hAPP(c_Relation_ODomain(T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_R_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_rtrancl__empty,axiom,(
    ! [T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))) = c_Relation_OId(T_a) )).

fof(fact_Range__rtrancl,axiom,(
    ! [V_R_2,T_a] : hAPP(c_Relation_ORange(T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_R_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_converse__rtrancl__into__rtrancl,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) ) )).

fof(fact_rtrancl_Ortrancl__into__rtrancl,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) ) )).

fof(fact_rtrancl__trans,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) ) )).

fof(fact_rtrancl__idemp,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_rtrancl__reflcl__absorb,axiom,(
    ! [V_R_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)),c_Relation_OId(T_a)) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_rtrancl__Un__rtrancl,axiom,(
    ! [V_S_2,V_R_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)),c_Transitive__Closure_Ortrancl(T_a,V_S_2))) = c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2)) )).

fof(fact_rtrancl__reflcl,axiom,(
    ! [V_R_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),c_Relation_OId(T_a))) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_in__rtrancl__UnI,axiom,(
    ! [V_S_2,V_R_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_x_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
        | hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_x_2),c_Transitive__Closure_Ortrancl(T_a,V_S_2))) )
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_x_2),c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2),V_S_2)))) ) )).

fof(fact_r__comp__rtrancl__eq,axiom,(
    ! [V_r_2,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_r_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_r_2)),V_r_2) )).

fof(fact_rtrancl__idemp__self__comp,axiom,(
    ! [V_R_2,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_R_2)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_rtrancl__unfold,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,V_r_2) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Relation_OId(T_a)),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_r_2)),V_r_2)) )).

fof(fact_rtrancl__r__diff__Id,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),c_Relation_OId(T_a))) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_refl__rtrancl,axiom,(
    ! [V_r_2,T_a] : c_Relation_Orefl__on(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) )).

fof(fact_trancl__unfold__right,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Otrancl(T_a,V_r_2) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_r_2)),V_r_2) )).

fof(fact_trancl__unfold__left,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Otrancl(T_a,V_r_2) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_r_2),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) )).

fof(fact_trancl__reflcl,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Otrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),c_Relation_OId(T_a))) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_reflcl__trancl,axiom,(
    ! [V_r_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Transitive__Closure_Otrancl(T_a,V_r_2)),c_Relation_OId(T_a)) = c_Transitive__Closure_Ortrancl(T_a,V_r_2) )).

fof(fact_trancl__rtrancl__absorb,axiom,(
    ! [V_R_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,c_Transitive__Closure_Otrancl(T_a,V_R_2)) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_rtrancl__trancl__absorb,axiom,(
    ! [V_R_2,T_a] : c_Transitive__Closure_Otrancl(T_a,c_Transitive__Closure_Ortrancl(T_a,V_R_2)) = c_Transitive__Closure_Ortrancl(T_a,V_R_2) )).

fof(fact_pair__in__Id__conv,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Relation_OId(T_a)))
    <=> V_a_2 = V_b_2 ) )).

fof(fact_rtrancl__eq__or__trancl,axiom,(
    ! [V_R_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
    <=> ( V_x_2 = V_y_2
        | ( V_x_2 != V_y_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Otrancl(T_a,V_R_2))) ) ) ) )).

fof(fact_rtrancl__into__trancl2,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) ) )).

fof(fact_rtranclD,axiom,(
    ! [V_R_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
     => ( V_a_2 = V_b_2
        | ( V_a_2 != V_b_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Otrancl(T_a,V_R_2))) ) ) ) )).

fof(fact_rtrancl__into__trancl1,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) ) )).

fof(fact_trancl__rtrancl__trancl,axiom,(
    ! [V_c_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_c_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_c_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) ) )).

fof(fact_rtrancl__trancl__trancl,axiom,(
    ! [V_z_2,V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_z_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) ) )).

fof(fact_Domain__Id,axiom,(
    ! [T_a] : hAPP(c_Relation_ODomain(T_a,T_a),c_Relation_OId(T_a)) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Range__Id,axiom,(
    ! [T_a] : hAPP(c_Relation_ORange(T_a,T_a),c_Relation_OId(T_a)) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_refl__Id,axiom,(
    ! [T_a] : c_Relation_Orefl__on(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),c_Relation_OId(T_a)) )).

fof(fact_pair__leq__def,axiom,(
    c_FunDef_Opair__leq = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(tc_prod(tc_Nat_Onat,tc_Nat_Onat),tc_prod(tc_Nat_Onat,tc_Nat_Onat)),tc_HOL_Obool)),c_FunDef_Opair__less),c_Relation_OId(tc_prod(tc_Nat_Onat,tc_Nat_Onat))) )).

fof(fact_Not__Domain__rtrancl,axiom,(
    ! [V_y_2,V_R_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_Relation_ODomain(T_a,T_a),V_R_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_acc__downwards,axiom,(
    ! [V_b_2,V_r_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Wellfounded_Oacc(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_a_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Wellfounded_Oacc(T_a,V_r_2))) ) ) )).

fof(fact_acc__downwards__aux,axiom,(
    ! [V_r_2,V_a_2,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_b_2),V_a_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Wellfounded_Oacc(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Wellfounded_Oacc(T_a,V_r_2))) ) ) )).

fof(fact_wf__insert,axiom,(
    ! [V_r_2,V_x_2,V_y_2,T_a] :
      ( c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Set_Oinsert(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_x_2)),V_r_2))
    <=> ( c_Wellfounded_Owf(T_a,V_r_2)
        & ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) ) )).

fof(fact_acyclic__insert,axiom,(
    ! [V_r_2,V_x_2,V_y_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,hAPP(hAPP(c_Set_Oinsert(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_x_2)),V_r_2))
    <=> ( c_Wellfounded_Oacyclic(T_a,V_r_2)
        & ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) ) )).

fof(fact_refl__reflcl,axiom,(
    ! [V_r_2,T_a] : c_Relation_Orefl__on(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),c_Relation_OId(T_a))) )).

fof(fact_Id__def,axiom,(
    ! [T_a] : c_Relation_OId(T_a) = hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,tc_prod(T_a,T_a)),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBC(tc_prod(T_a,T_a),tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_HOL_Obool)),tc_prod(T_a,T_a)),c_COMBB(tc_prod(T_a,T_a),tc_HOL_Obool,T_a)),c_fequal)),hAPP(hAPP(c_COMBS(T_a,T_a,tc_prod(T_a,T_a)),c_Product__Type_OPair(T_a,T_a)),c_COMBI(T_a))))) )).

fof(fact_irrefl__diff__Id,axiom,(
    ! [V_r_2,T_a] : c_Relation_Oirrefl(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),c_Relation_OId(T_a))) )).

fof(fact_pred__nat__trancl__eq__le,axiom,(
    ! [V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_Product__Type_OPair(tc_Nat_Onat,tc_Nat_Onat),V_m_2),V_n_2)),c_Transitive__Closure_Ortrancl(tc_Nat_Onat,c_Wellfounded_Opred__nat)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2)) ) )).

fof(fact_trancl__subset__Sigma__aux,axiom,(
    ! [V_A_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2))))
       => ( V_a_2 = V_b_2
          | hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) ) ) )).

fof(fact_irrefl__tranclI,axiom,(
    ! [V_x_2,V_r_2,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) = c_Orderings_Obot__class_Obot(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool))
     => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_x_2)),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) )).

fof(fact_sequence__trans,axiom,(
    ! [V_k_2,V_i_2,V_r_2,V_f_2,T_a] :
      ( ! [B_i] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),hAPP(V_f_2,hAPP(c_Nat_OSuc,B_i))),hAPP(V_f_2,B_i))),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),hAPP(V_f_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),V_k_2))),hAPP(V_f_2,V_i_2))),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) )).

fof(fact_total__on__diff__Id,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Ototal__on(T_a,V_A_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),c_Relation_OId(T_a)))
    <=> c_Relation_Ototal__on(T_a,V_A_2,V_r_2) ) )).

fof(fact_converse__Id,axiom,(
    ! [T_a] : hAPP(c_Relation_Oconverse(T_a,T_a),c_Relation_OId(T_a)) = c_Relation_OId(T_a) )).

fof(fact_rtrancl__converse,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) = hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Ortrancl(T_a,V_r_2)) )).

fof(fact_trancl__converse,axiom,(
    ! [V_r_2,T_a] : c_Transitive__Closure_Otrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) = hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2)) )).

fof(fact_converse__iff,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_b_2),V_a_2)),V_r_2)) ) )).

fof(fact_converseI,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_b_2),V_a_2)),hAPP(c_Relation_Oconverse(T_a,T_b),V_r_2))) ) )).

fof(fact_converseD,axiom,(
    ! [V_r_2,V_b_2,V_a_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_a_2),V_b_2)),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_b_2),V_a_2)),V_r_2)) ) )).

fof(fact_acyclic__converse,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
    <=> c_Wellfounded_Oacyclic(T_a,V_r_2) ) )).

fof(fact_converse__UNION,axiom,(
    ! [V_r_2,V_S_2,T_c,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_S_2),V_r_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_S_2),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),T_c),c_Relation_Oconverse(T_b,T_a)),V_r_2)) )).

fof(fact_Field__converse,axiom,(
    ! [V_r_2,T_a] : hAPP(c_Relation_OField(T_a),hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) = hAPP(c_Relation_OField(T_a),V_r_2) )).

fof(fact_converse__inv__image,axiom,(
    ! [V_f_2,V_R_2,T_b,T_a] : hAPP(c_Relation_Oconverse(T_a,T_a),hAPP(hAPP(c_Relation_Oinv__image(T_b,T_a),V_R_2),V_f_2)) = hAPP(hAPP(c_Relation_Oinv__image(T_b,T_a),hAPP(c_Relation_Oconverse(T_b,T_b),V_R_2)),V_f_2) )).

fof(fact_finite__converse,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_b)),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)))
    <=> hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_b,T_a)),V_r_2)) ) )).

fof(fact_converse__Int,axiom,(
    ! [V_s_2,V_r_2,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_r_2),V_s_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)),hAPP(c_Relation_Oconverse(T_b,T_a),V_s_2)) )).

fof(fact_total__on__converse,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Ototal__on(T_a,V_A_2,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
    <=> c_Relation_Ototal__on(T_a,V_A_2,V_r_2) ) )).

fof(fact_converse__converse,axiom,(
    ! [V_r_2,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),hAPP(c_Relation_Oconverse(T_a,T_b),V_r_2)) = V_r_2 )).

fof(fact_converse__Id__on,axiom,(
    ! [V_A_2,T_a] : hAPP(c_Relation_Oconverse(T_a,T_a),c_Relation_OId__on(T_a,V_A_2)) = c_Relation_OId__on(T_a,V_A_2) )).

fof(fact_converse__Un,axiom,(
    ! [V_s_2,V_r_2,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_r_2),V_s_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)),hAPP(c_Relation_Oconverse(T_b,T_a),V_s_2)) )).

fof(fact_converse__rel__comp,axiom,(
    ! [V_s_2,V_r_2,T_c,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),hAPP(hAPP(c_Relation_Orel__comp(T_b,T_c,T_a),V_r_2),V_s_2)) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),hAPP(c_Relation_Oconverse(T_c,T_a),V_s_2)),hAPP(c_Relation_Oconverse(T_b,T_c),V_r_2)) )).

fof(fact_refl__on__converse,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
    <=> c_Relation_Orefl__on(T_a,V_A_2,V_r_2) ) )).

fof(fact_wf__converse__trancl,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))
     => c_Wellfounded_Owf(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2))) ) )).

fof(fact_equiv__comp__eq,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)),V_r_2) = V_r_2 ) )).

fof(fact_Range__converse,axiom,(
    ! [V_r_2,T_a,T_b] : hAPP(c_Relation_ORange(T_b,T_a),hAPP(c_Relation_Oconverse(T_a,T_b),V_r_2)) = hAPP(c_Relation_ODomain(T_a,T_b),V_r_2) )).

fof(fact_Domain__converse,axiom,(
    ! [V_r_2,T_b,T_a] : hAPP(c_Relation_ODomain(T_a,T_b),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)) = hAPP(c_Relation_ORange(T_b,T_a),V_r_2) )).

fof(fact_Range__def,axiom,(
    ! [V_r_2,T_a,T_b] : hAPP(c_Relation_ORange(T_b,T_a),V_r_2) = hAPP(c_Relation_ODomain(T_a,T_b),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)) )).

fof(fact_total__on__empty,axiom,(
    ! [V_r_2,T_a] : c_Relation_Ototal__on(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)),V_r_2) )).

fof(fact_rtrancl__converseD,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_x_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) )).

fof(fact_rtrancl__converseI,axiom,(
    ! [V_r_2,V_x_2,V_y_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_x_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)))) ) )).

fof(fact_trancl__converseI,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2))))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Otrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)))) ) )).

fof(fact_trancl__converseD,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Otrancl(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),hAPP(c_Relation_Oconverse(T_a,T_a),c_Transitive__Closure_Otrancl(T_a,V_r_2)))) ) )).

fof(fact_Image__subset__eq,axiom,(
    ! [V_B_2,V_A_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_a,V_r_2),V_A_2)),V_B_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_a,T_b,hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),V_B_2))))) ) )).

fof(fact_refl__on__comp__subset,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)),V_r_2))) ) )).

fof(fact_comp__equivI,axiom,(
    ! [V_A_2,V_r_2,T_a] :
      ( hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)),V_r_2) = V_r_2
     => ( hAPP(c_Relation_ODomain(T_a,T_a),V_r_2) = V_A_2
       => c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2) ) ) )).

fof(fact_finite__acyclic__wf__converse,axiom,(
    ! [V_r_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_prod(T_a,T_a)),V_r_2))
     => ( c_Wellfounded_Oacyclic(T_a,V_r_2)
       => c_Wellfounded_Owf(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) ) ) )).

fof(fact_total__on__def,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Ototal__on(T_a,V_A_2,V_r_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => ! [B_xa] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),V_A_2))
             => ( B_x != B_xa
               => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_xa)),V_r_2))
                  | hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_xa),B_x)),V_r_2)) ) ) ) ) ) )).

fof(fact_converse__def,axiom,(
    ! [V_r_2,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2) = hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_b,T_a)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_b,T_a),tc_fun(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_b,T_a)))),hAPP(c_COMBC(T_b,T_a,tc_prod(T_b,T_a)),c_Product__Type_OPair(T_b,T_a))))),V_r_2))) )).

fof(fact_rtrancl__imp__UN__rel__pow,axiom,(
    ! [V_R_2,V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2)))) ) )).

fof(fact_acyclicI,axiom,(
    ! [V_r_2,T_a] :
      ( ! [B_x] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),c_Transitive__Closure_Otrancl(T_a,V_r_2)))
     => c_Wellfounded_Oacyclic(T_a,V_r_2) ) )).

fof(fact_Image__Int__eq,axiom,(
    ! [V_B_2,V_A_2,V_R_2,T_b,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_b,hAPP(c_Relation_Oconverse(T_b,T_a),V_R_2))
     => hAPP(c_Relation_OImage(T_b,T_a,V_R_2),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),V_A_2)),hAPP(c_Relation_OImage(T_b,T_a,V_R_2),V_B_2)) ) )).

fof(fact_single__valued__subset,axiom,(
    ! [V_s_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_r_2),V_s_2))
     => ( c_Relation_Osingle__valued(T_a,T_b,V_s_2)
       => c_Relation_Osingle__valued(T_a,T_b,V_r_2) ) ) )).

fof(fact_single__valued__rel__comp,axiom,(
    ! [V_s_2,T_c,V_r_2,T_b,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_b,V_r_2)
     => ( c_Relation_Osingle__valued(T_b,T_c,V_s_2)
       => c_Relation_Osingle__valued(T_a,T_c,hAPP(hAPP(c_Relation_Orel__comp(T_a,T_b,T_c),V_r_2),V_s_2)) ) ) )).

fof(fact_funpow__mult,axiom,(
    ! [V_f_2,V_m_2,V_n_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),V_n_2),hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),V_m_2),V_f_2)) = hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_m_2),V_n_2)),V_f_2) )).

fof(fact_funpow__swap1,axiom,(
    ! [V_x_2,V_n_2,T_a,V_f_2] : hAPP(V_f_2,hAPP(hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),V_n_2),V_f_2),V_x_2)) = hAPP(hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),V_n_2),V_f_2),hAPP(V_f_2,V_x_2)) )).

fof(fact_wf__exp,axiom,(
    ! [V_R_2,V_n_2,T_a] :
      ( c_Wellfounded_Owf(T_a,hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2))
     => c_Wellfounded_Owf(T_a,V_R_2) ) )).

fof(fact_comp__funpow,axiom,(
    ! [V_f_2,V_n_2,T_b,T_a] : hAPP(hAPP(c_Nat_Ocompow(tc_fun(T_a,T_b),tc_fun(T_a,T_b)),V_n_2),c_Fun_Ocomp(T_b,T_b,T_a,V_f_2)) = c_Fun_Ocomp(T_b,T_b,T_a,hAPP(hAPP(c_Nat_Ocompow(T_b,T_b),V_n_2),V_f_2)) )).

fof(fact_rel__pow__1,axiom,(
    ! [V_R_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_R_2) = V_R_2 )).

fof(fact_single__valued__rel__pow,axiom,(
    ! [V_n_2,V_R_2,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_a,V_R_2)
     => c_Relation_Osingle__valued(T_a,T_a,hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)) ) )).

fof(fact_rel__pow__commute,axiom,(
    ! [V_n_2,V_R_2,T_a] : hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),V_R_2),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)),V_R_2) )).

fof(fact_single__valued__Id,axiom,(
    ! [T_a] : c_Relation_Osingle__valued(T_a,T_a,c_Relation_OId(T_a)) )).

fof(fact_rel__pow__imp__rtrancl,axiom,(
    ! [V_R_2,V_n_2,V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2))) ) )).

fof(fact_rtrancl__power,axiom,(
    ! [V_R_2,V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
    <=> ? [B_n] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),B_n),V_R_2))) ) )).

fof(fact_single__valued__Id__on,axiom,(
    ! [V_A_2,T_a] : c_Relation_Osingle__valued(T_a,T_a,c_Relation_OId__on(T_a,V_A_2)) )).

fof(fact_relpow_Osimps_I2_J,axiom,(
    ! [V_R_2,V_n_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(c_Nat_OSuc,V_n_2)),V_R_2) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)),V_R_2) )).

fof(fact_rel__pow__add,axiom,(
    ! [V_R_2,V_n_2,V_m_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_n_2)),V_R_2) = hAPP(hAPP(c_Relation_Orel__comp(T_a,T_a,T_a),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_m_2),V_R_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)) )).

fof(fact_relpow_Osimps_I1_J,axiom,(
    ! [V_R_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_R_2) = c_Relation_OId(T_a) )).

fof(fact_rel__pow__0__I,axiom,(
    ! [V_R_2,V_x_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_x_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_R_2))) )).

fof(fact_rel__pow__0__E,axiom,(
    ! [V_R_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_R_2)))
     => V_x_2 = V_y_2 ) )).

fof(fact_rel__pow__Suc__I,axiom,(
    ! [V_z_2,V_R_2,V_n_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_z_2)),V_R_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(c_Nat_OSuc,V_n_2)),V_R_2))) ) ) )).

fof(fact_rel__pow__Suc__I2,axiom,(
    ! [V_n_2,V_z_2,V_R_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_R_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(c_Nat_OSuc,V_n_2)),V_R_2))) ) ) )).

fof(fact_funpow_Osimps_I2_J,axiom,(
    ! [V_f_2,V_n_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),hAPP(c_Nat_OSuc,V_n_2)),V_f_2) = hAPP(c_Fun_Ocomp(T_a,T_a,T_a,V_f_2),hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),V_n_2),V_f_2)) )).

fof(fact_funpow__add,axiom,(
    ! [V_f_2,V_n_2,V_m_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_n_2)),V_f_2) = hAPP(c_Fun_Ocomp(T_a,T_a,T_a,hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),V_m_2),V_f_2)),hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),V_n_2),V_f_2)) )).

fof(fact_single__valued__def,axiom,(
    ! [V_r_2,T_b,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_b,V_r_2)
    <=> ! [B_x,B_y] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),B_x),B_y)),V_r_2))
         => ! [B_z] :
              ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),B_x),B_z)),V_r_2))
             => B_y = B_z ) ) ) )).

fof(fact_single__valuedD,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_r_2,T_b,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_b,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),V_r_2))
       => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_z_2)),V_r_2))
         => V_y_2 = V_z_2 ) ) ) )).

fof(fact_funpow_Osimps_I1_J,axiom,(
    ! [V_f_2,T_a] : hAPP(hAPP(c_Nat_Ocompow(T_a,T_a),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_f_2) = c_Fun_Oid(T_a) )).

fof(fact_trancl__power,axiom,(
    ! [V_R_2,V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Transitive__Closure_Otrancl(T_a,V_R_2)))
    <=> ? [B_n] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),B_n))
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),B_n),V_R_2))) ) ) )).

fof(fact_rtrancl__is__UN__rel__pow,axiom,(
    ! [V_R_2,T_a] : c_Transitive__Closure_Ortrancl(T_a,V_R_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_Nat_Onat,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool)),V_R_2)) )).

fof(fact_single__valued__confluent,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_r_2,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_a,V_r_2)
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
       => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
         => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),V_z_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
            | hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_z_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2))) ) ) ) ) )).

fof(fact_funpow__code__def,axiom,(
    ! [T_a] : c_Nat_Ofunpow(T_a) = c_Nat_Ocompow(T_a,T_a) )).

fof(fact_rel__pow__E,axiom,(
    ! [V_R_2,V_n_2,V_z_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)))
     => ( ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => V_x_2 != V_z_2 )
       => ~ ! [B_y,B_m] :
              ( V_n_2 = hAPP(c_Nat_OSuc,B_m)
             => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),B_y)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),B_m),V_R_2)))
               => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),V_z_2)),V_R_2)) ) ) ) ) )).

fof(fact_rel__pow__E2,axiom,(
    ! [V_R_2,V_n_2,V_z_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)))
     => ( ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => V_x_2 != V_z_2 )
       => ~ ! [B_y,B_m] :
              ( V_n_2 = hAPP(c_Nat_OSuc,B_m)
             => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),B_y)),V_R_2))
               => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),B_m),V_R_2))) ) ) ) ) )).

fof(fact_rtrancl__Un__separatorE,axiom,(
    ! [V_Q_2,V_P_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2),V_Q_2))))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),B_x)),c_Transitive__Closure_Ortrancl(T_a,V_P_2)))
           => ! [B_y] :
                ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_y)),V_Q_2))
               => B_x = B_y ) )
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_P_2))) ) ) )).

fof(fact_rtrancl__Un__separator__converseE,axiom,(
    ! [V_Q_2,V_P_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_P_2),V_Q_2))))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_P_2)))
           => ! [B_y] :
                ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),B_x)),V_Q_2))
               => B_y = B_x ) )
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),c_Transitive__Closure_Ortrancl(T_a,V_P_2))) ) ) )).

fof(fact_rel__pow__Suc__E,axiom,(
    ! [V_R_2,V_n_2,V_z_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(c_Nat_OSuc,V_n_2)),V_R_2)))
     => ~ ! [B_y] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),B_y)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2)))
           => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),V_z_2)),V_R_2)) ) ) )).

fof(fact_rel__pow__Suc__D2,axiom,(
    ! [V_R_2,V_n_2,V_z_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(c_Nat_OSuc,V_n_2)),V_R_2)))
     => ? [B_y] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),B_y)),V_R_2))
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2))) ) ) )).

fof(fact_rel__pow__Suc__E2,axiom,(
    ! [V_R_2,V_n_2,V_z_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),hAPP(c_Nat_OSuc,V_n_2)),V_R_2)))
     => ~ ! [B_y] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),B_y)),V_R_2))
           => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),V_z_2)),hAPP(hAPP(c_Nat_Ocompow(tc_prod(T_a,T_a),tc_HOL_Obool),V_n_2),V_R_2))) ) ) )).

fof(fact_tranclD2,axiom,(
    ! [V_R_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Otrancl(T_a,V_R_2)))
     => ? [B_z] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),B_z)),c_Transitive__Closure_Ortrancl(T_a,V_R_2)))
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_z),V_y_2)),V_R_2)) ) ) )).

fof(fact_tranclD,axiom,(
    ! [V_R_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Otrancl(T_a,V_R_2)))
     => ? [B_z] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),B_z)),V_R_2))
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_z),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_R_2))) ) ) )).

fof(fact_IdE,axiom,(
    ! [V_p_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),V_p_2),c_Relation_OId(T_a)))
     => ~ ! [B_x] : V_p_2 != hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x) ) )).

fof(fact_mod__div__decomp,axiom,(
    ! [V_b,V_a,T_a] :
      ( class_Divides_Osemiring__div(T_a)
     => V_a = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(hAPP(c_Divides_Odiv__class_Odiv(T_a),V_a),V_b)),V_b)),c_Divides_Odiv__class_Omod(T_a,V_a,V_b)) ) )).

fof(fact_min__max_OSup__fin_Oeq__fold_H,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_x_2),V_A_2) ) ) ) )).

fof(fact_min__max_OInf__fin_Oeq__fold_H,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_x_2),V_A_2) ) ) ) )).

fof(fact_fold__image__def,axiom,(
    ! [V_g_2,V_f_2,T_b,T_a] : hAPP(c_Finite__Set_Ofold__image(T_a,T_b,V_f_2),V_g_2) = c_Finite__Set_Ofold(T_b,T_a,hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),V_f_2),V_g_2)) )).

fof(fact_fold__empty,axiom,(
    ! [V_z_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_Finite__Set_Ofold(T_b,T_a,V_f_2),V_z_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))) = V_z_2 )).

fof(fact_folding_Oeq__fold,axiom,(
    ! [V_s_2,V_A_2,V_Fa_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofolding(T_a,T_b,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(V_Fa_2,V_A_2),V_s_2) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_s_2),V_A_2) ) ) )).

fof(fact_fold__def,axiom,(
    ! [V_A_2,V_z_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_Finite__Set_Ofold(T_b,T_a,V_f_2),V_z_2),V_A_2) = c_HOL_OThe(T_a,c_Finite__Set_Ofold__graph(T_b,T_a,V_f_2,V_z_2,V_A_2)) )).

fof(fact_union__fold__insert,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,tc_fun(T_a,tc_HOL_Obool),c_Set_Oinsert(T_a)),V_B_2),V_A_2) ) )).

fof(fact_fold__sup__insert,axiom,(
    ! [V_a_2,V_b_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_b_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_b_2),V_A_2)) ) ) )).

fof(fact_fold__inf__insert,axiom,(
    ! [V_a_2,V_b_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_b_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_b_2),V_A_2)) ) ) )).

fof(fact_min__max_Ofold__inf__insert,axiom,(
    ! [V_a_2,V_b_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_b_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_b_2),V_A_2)) ) ) )).

fof(fact_min__max_Ofold__sup__insert,axiom,(
    ! [V_a_2,V_b_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_b_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_b_2),V_A_2)) ) ) )).

fof(fact_fun__left__comm__idem_Ofold__insert__idem2,axiom,(
    ! [V_x_2,V_z_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm__idem(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),hAPP(hAPP(V_f_2,V_x_2),V_z_2)),V_A_2) ) ) )).

fof(fact_fun__left__comm__idem_Ofold__insert__idem,axiom,(
    ! [V_x_2,V_z_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm__idem(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),V_A_2)) ) ) )).

fof(fact_sup__SUPR__fold__sup,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_b),V_B_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,T_b),V_A_2),V_f_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Lattices_Osemilattice__sup__class_Osup(T_b)),V_f_2)),V_B_2),V_A_2) ) ) )).

fof(fact_folding__one__idem_Oeq__fold__idem_H,axiom,(
    ! [V_a_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one__idem(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,V_f_2),V_a_2),V_A_2) ) ) )).

fof(fact_sup__le__fold__sup,axiom,(
    ! [V_b_2,V_a_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a_2),V_b_2)),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_b_2),V_A_2))) ) ) ) )).

fof(fact_fold__inf__le__inf,axiom,(
    ! [V_b_2,V_a_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_b_2),V_A_2)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a_2),V_b_2))) ) ) ) )).

fof(fact_min__max_Ofold__inf__le__inf,axiom,(
    ! [V_b_2,V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_b_2),V_A_2)),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_a_2),V_b_2))) ) ) ) )).

fof(fact_min__max_Osup__le__fold__sup,axiom,(
    ! [V_b_2,V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_a_2),V_b_2)),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_b_2),V_A_2))) ) ) ) )).

fof(fact_fold1__eq__fold__idem,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a)),V_a_2),V_A_2) ) ) )).

fof(fact_Sup__fin_Oeq__fold__idem_H,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_a_2),V_A_2) ) ) )).

fof(fact_Inf__fin_Oeq__fold__idem_H,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_a_2),V_A_2) ) ) )).

fof(fact_Min_Oeq__fold__idem_H,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_a_2),V_A_2) ) ) )).

fof(fact_Max_Oeq__fold__idem_H,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_a_2),V_A_2) ) ) )).

fof(fact_min__max_OInf__fin_Oeq__fold__idem_H,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_a_2),V_A_2) ) ) )).

fof(fact_min__max_OSup__fin_Oeq__fold__idem_H,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_a_2),V_A_2) ) ) )).

fof(fact_minus__fold__remove,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Set_Oinsert(T_a)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),V_B_2),V_A_2) ) )).

fof(fact_folding__one_Oeq__fold_H,axiom,(
    ! [V_x_2,V_A_2,V_Fa_2,V_f_2,T_a] :
      ( c_Finite__Set_Ofolding__one(T_a,V_f_2,V_Fa_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(V_Fa_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,V_f_2),V_x_2),V_A_2) ) ) ) )).

fof(fact_SUPR__fold__sup,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,T_b),V_A_2),V_f_2) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Lattices_Osemilattice__sup__class_Osup(T_b)),V_f_2)),c_Orderings_Obot__class_Obot(T_b)),V_A_2) ) ) )).

fof(fact_fold1__eq__fold,axiom,(
    ! [V_a_2,V_A_2,T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a)),V_a_2),V_A_2) ) ) ) )).

fof(fact_Sup__fin_Oeq__fold_H,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_x_2),V_A_2) ) ) ) )).

fof(fact_Inf__fin_Oeq__fold_H,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_x_2),V_A_2) ) ) ) )).

fof(fact_Min_Oeq__fold_H,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_x_2),V_A_2) ) ) ) )).

fof(fact_Max_Oeq__fold_H,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_x_2),V_A_2) ) ) ) )).

fof(fact_fun__left__comm_Ofold__rec,axiom,(
    ! [V_z_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),V_A_2) = hAPP(hAPP(V_f_2,V_x_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) ) )).

fof(fact_fun__left__comm_Ofold__insert__remove,axiom,(
    ! [V_x_2,V_z_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_fun__left__comm_Ofold__graph__determ,axiom,(
    ! [V_y_2,V_x_2,V_A_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),V_x_2))
       => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),V_y_2))
         => V_y_2 = V_x_2 ) ) ) )).

fof(fact_fun__left__comm_Ofun__left__comm,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => hAPP(hAPP(V_f_2,V_x_2),hAPP(hAPP(V_f_2,V_y_2),V_z_2)) = hAPP(hAPP(V_f_2,V_y_2),hAPP(hAPP(V_f_2,V_x_2),V_z_2)) ) )).

fof(fact_fun__left__comm_Ofun__left__comm__apply,axiom,(
    ! [V_g_2,T_c,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => c_Finite__Set_Ofun__left__comm(T_c,T_b,hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,T_b),T_c),V_f_2),V_g_2)) ) )).

fof(fact_fun__left__comm,axiom,(
    ! [T_a] :
      ( class_Groups_Oab__semigroup__mult(T_a)
     => c_Finite__Set_Ofun__left__comm(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a)) ) )).

fof(fact_fun__left__comm_Ofun__comp__comm,axiom,(
    ! [V_y_2,V_x_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)) = hAPP(c_Fun_Ocomp(T_b,T_b,T_b,hAPP(V_f_2,V_y_2)),hAPP(V_f_2,V_x_2)) ) )).

fof(fact_fun__left__comm_Ofold__fun__comm,axiom,(
    ! [V_z_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(V_f_2,V_x_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),hAPP(hAPP(V_f_2,V_x_2),V_z_2)),V_A_2) ) ) )).

fof(fact_fun__left__comm_Ofold__equality,axiom,(
    ! [V_y_2,V_A_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),V_y_2))
       => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),V_A_2) = V_y_2 ) ) )).

fof(fact_fun__left__comm_Ofold__graph__fold,axiom,(
    ! [V_z_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),V_A_2))) ) ) )).

fof(fact_fun__left__comm_Ofold__insert,axiom,(
    ! [V_z_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(V_f_2,V_x_2),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),V_A_2)) ) ) ) )).

fof(fact_fun__left__comm_Ofold__insert2,axiom,(
    ! [V_z_2,V_x_2,V_A_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_z_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),hAPP(hAPP(V_f_2,V_x_2),V_z_2)),V_A_2) ) ) ) )).

fof(fact_fun__left__comm_Ofold__graph__insertE__aux,axiom,(
    ! [V_a_2,V_y_2,V_A_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),V_y_2))
       => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
         => ? [B_y_H] :
              ( V_y_2 = hAPP(hAPP(V_f_2,V_a_2),B_y_H)
              & hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))),B_y_H)) ) ) ) ) )).

fof(fact_INFI__fold__inf,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,T_b),V_A_2),V_f_2) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Lattices_Osemilattice__inf__class_Oinf(T_b)),V_f_2)),c_Orderings_Otop__class_Otop(T_b)),V_A_2) ) ) )).

fof(fact_INF1__E,axiom,(
    ! [V_a_2,V_b_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2),V_b_2))
     => ( ~ hBOOL(hAPP(hAPP(V_B_2,V_a_2),V_b_2))
       => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) ) )).

fof(fact_INF1__D,axiom,(
    ! [V_a_2,V_b_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2),V_b_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hBOOL(hAPP(hAPP(V_B_2,V_a_2),V_b_2)) ) ) )).

fof(fact_INT__E,axiom,(
    ! [V_a_2,V_B_2,V_A_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(V_B_2,V_a_2)))
       => ~ hBOOL(hAPP(hAPP(c_member(T_b),V_a_2),V_A_2)) ) ) )).

fof(fact_INT__D,axiom,(
    ! [V_a_2,V_B_2,V_A_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
     => ( hBOOL(hAPP(hAPP(c_member(T_b),V_a_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(V_B_2,V_a_2))) ) ) )).

fof(fact_INF2__E,axiom,(
    ! [V_a_2,V_c_2,V_b_2,V_B_2,V_A_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),V_A_2),V_B_2),V_b_2),V_c_2))
     => ( ~ hBOOL(hAPP(hAPP(hAPP(V_B_2,V_a_2),V_b_2),V_c_2))
       => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2)) ) ) )).

fof(fact_INF2__D,axiom,(
    ! [V_a_2,V_c_2,V_b_2,V_B_2,V_A_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),V_A_2),V_B_2),V_b_2),V_c_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
       => hBOOL(hAPP(hAPP(hAPP(V_B_2,V_a_2),V_b_2),V_c_2)) ) ) )).

fof(fact_finite__INT,axiom,(
    ! [V_A_2,T_b,V_I_2,T_a] :
      ( ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_I_2))
          & hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(V_A_2,B_x))) )
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_I_2),V_A_2))) ) )).

fof(fact_Compl__INT,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool))),V_B_2)) )).

fof(fact_Compl__UN,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool))),V_B_2)) )).

fof(fact_INT__simps_I9_J,axiom,(
    ! [V_C_2,V_B_2,V_A_2,T_c,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),T_c),c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool))),V_B_2)),V_C_2)) )).

fof(fact_INT__extend__simps_I9_J,axiom,(
    ! [V_C_2,V_B_2,T_c,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_HOL_Obool),tc_fun(tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool))),V_B_2)),V_C_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_c,tc_HOL_Obool)),V_A_2),V_B_2)),V_C_2) )).

fof(fact_UN__extend__simps_I7_J,axiom,(
    ! [V_B_2,V_C_2,T_b,V_A_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_B_2)) )).

fof(fact_UN__simps_I7_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) )).

fof(fact_INF__INT__eq,axiom,(
    ! [V_x_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b))),V_r_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_r_2))) ) )).

fof(fact_INT__absorb,axiom,(
    ! [V_A_2,T_b,V_I_2,V_k_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_k_2),V_I_2))
     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),hAPP(V_A_2,V_k_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_I_2),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_I_2),V_A_2) ) )).

fof(fact_INF__const,axiom,(
    ! [V_M_2,T_a,V_A_2,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,T_b),V_A_2),hAPP(c_COMBK(T_b,T_a),V_M_2)) = V_M_2 ) ) )).

fof(fact_INT__insert__distrib,axiom,(
    ! [V_B_2,V_a_2,T_b,V_A_2,V_u_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_u_2),V_A_2))
     => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Set_Oinsert(T_b),V_a_2)),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) ) )).

fof(fact_INFI__bool__eq,axiom,(
    ! [T_a] : c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_HOL_Obool) = c_Set_OBall(T_a) )).

fof(fact_vimage__INT,axiom,(
    ! [V_B_2,V_A_2,T_c,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),c_Set_Ovimage(T_a,T_b,V_f_2)),V_B_2)) )).

fof(fact_INT__extend__simps_I10_J,axiom,(
    ! [V_f_2,V_B_2,T_c,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(T_c,tc_fun(T_a,tc_HOL_Obool),T_b),V_B_2),V_f_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_b,T_c,V_f_2),V_A_2)),V_B_2) )).

fof(fact_INT__simps_I10_J,axiom,(
    ! [V_B_2,V_A_2,V_f_2,T_c,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Set_Oimage(T_c,T_b,V_f_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_a,tc_HOL_Obool),T_c),V_B_2),V_f_2)) )).

fof(fact_INF__INT__eq2,axiom,(
    ! [V_y_2,V_x_2,V_r_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool)),T_a),hAPP(c_COMBC(T_b,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_fun(T_c,tc_HOL_Obool)),T_b),c_COMBC(T_c,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_prod(T_b,T_c)),tc_fun(T_c,tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool)),T_b),hAPP(c_COMBB(tc_prod(T_b,T_c),tc_fun(tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool),tc_HOL_Obool),T_c),c_member(tc_prod(T_b,T_c)))),c_Product__Type_OPair(T_b,T_c))))),V_r_2)),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_x_2),V_y_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(tc_prod(T_b,T_c),tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))),V_r_2))) ) )).

fof(fact_INT__iff,axiom,(
    ! [V_B_2,V_A_2,T_b,V_b_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
         => hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),hAPP(V_B_2,B_x))) ) ) )).

fof(fact_Pow__INT__eq,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] : hAPP(c_Set_OPow(T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),T_b),c_Set_OPow(T_a)),V_B_2)) )).

fof(fact_INF__commute,axiom,(
    ! [V_f_2,V_B_2,T_c,V_A_2,T_b,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,T_a),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_a),T_a,T_b),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,T_a),V_B_2)),V_f_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,T_a),V_B_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_a),T_a,T_c),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,T_a),V_A_2)),hAPP(c_COMBC(T_b,T_c,T_a),V_f_2))) ) )).

fof(fact_INFI__apply,axiom,(
    ! [V_x_2,V_f_2,V_A_2,T_c,T_b,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_c,T_a)),V_A_2),V_f_2),V_x_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,T_a),V_A_2),hAPP(hAPP(c_COMBC(T_b,T_c,T_a),V_f_2),V_x_2)) ) )).

fof(fact_INT__Int__distrib,axiom,(
    ! [V_B_2,V_A_2,V_I_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBS(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_B_2)) )).

fof(fact_INTER__UNIV__conv_I2_J,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] :
      ( hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
         => hAPP(V_B_2,B_x) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_INTER__UNIV__conv_I1_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a] :
      ( c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
         => hAPP(V_B_2,B_x) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_INT__extend__simps_I5_J,axiom,(
    ! [V_B_2,V_C_2,T_b,V_a_2,T_a] : hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Set_Oinsert(T_a),V_a_2)),V_B_2)) )).

fof(fact_INT__simps_I5_J,axiom,(
    ! [V_B_2,V_a_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Set_Oinsert(T_a),V_a_2)),V_B_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) )).

fof(fact_INT__extend__simps_I1_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = V_B_2 )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) ) ) )).

fof(fact_INT__extend__simps_I2_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = V_A_2 )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) ) ) )).

fof(fact_INT__empty,axiom,(
    ! [V_B_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))),V_B_2) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_INT__constant,axiom,(
    ! [V_c_2,T_b,T_a,V_A_2] :
      ( ( V_A_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_c_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),V_c_2)) = V_c_2 ) ) )).

fof(fact_INT__lower,axiom,(
    ! [V_B_2,T_b,V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)),hAPP(V_B_2,V_a_2))) ) )).

fof(fact_INF__less__iff,axiom,(
    ! [V_a_2,V_f_2,V_A_2,T_b,T_a] :
      ( ( class_Complete__Lattice_Ocomplete__lattice(T_a)
        & class_Orderings_Olinorder(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,T_a),V_A_2),V_f_2)),V_a_2))
      <=> ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),hAPP(V_f_2,B_x)),V_a_2)) ) ) ) )).

fof(fact_INT__subset__iff,axiom,(
    ! [V_A_2,V_I_2,T_b,V_B_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_I_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(V_A_2,B_x))) ) ) )).

fof(fact_le__INF__iff,axiom,(
    ! [V_M_2,V_A_2,T_b,V_u_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_u_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,T_a),V_A_2),V_M_2)))
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_u_2),hAPP(V_M_2,B_x))) ) ) ) )).

fof(fact_INT__Un,axiom,(
    ! [V_M_2,V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)),V_M_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_M_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_M_2)) )).

fof(fact_Collect__ball__eq,axiom,(
    ! [V_P_2,V_A_2,T_b,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_b,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_b),c_fimplies),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_A_2)))),V_P_2))) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),c_Set_OCollect(T_a)),hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),V_P_2))) )).

fof(fact_INT__insert,axiom,(
    ! [V_B_2,V_A_2,V_a_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_b),V_a_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(V_B_2,V_a_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) )).

fof(fact_INT__simps_I7_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) )).

fof(fact_INT__simps_I6_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) )).

fof(fact_INT__extend__simps_I7_J,axiom,(
    ! [V_B_2,V_C_2,T_b,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2)),V_B_2)) )).

fof(fact_Un__INT__distrib,axiom,(
    ! [V_A_2,V_I_2,T_b,V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_B_2)),V_A_2)) )).

fof(fact_INT__extend__simps_I6_J,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_b,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) )).

fof(fact_Un__INT__distrib2,axiom,(
    ! [V_B_2,V_J_2,T_c,V_A_2,V_I_2,T_b,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),V_A_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_J_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_I_2),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),T_b),hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_J_2)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),tc_fun(tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_c,tc_fun(T_a,tc_HOL_Obool))),T_b),c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool))),V_A_2))),V_B_2))) )).

fof(fact_converse__INTER,axiom,(
    ! [V_r_2,V_S_2,T_c,T_a,T_b] : hAPP(c_Relation_Oconverse(T_b,T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool)),V_S_2),V_r_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_S_2),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),T_c),c_Relation_Oconverse(T_b,T_a)),V_r_2)) )).

fof(fact_Image__INT__subset,axiom,(
    ! [V_B_2,V_A_2,T_c,V_r_2,T_b,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_Relation_OImage(T_b,T_a,V_r_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),c_Relation_OImage(T_b,T_a,V_r_2)),V_B_2)))) )).

fof(fact_INF__subset,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,T_b),V_B_2),V_f_2)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,T_b),V_A_2),V_f_2))) ) ) )).

fof(fact_INTER__def,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_b,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_b),c_fimplies),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool),c_member(T_b)),V_A_2)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_b)),c_member(T_a))),V_B_2)))) )).

fof(fact_INT__simps_I1_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) ) ) )).

fof(fact_INT__simps_I2_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) ) ) )).

fof(fact_Collect__all__eq,axiom,(
    ! [V_P_2,T_b,T_a] : hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(T_b)),V_P_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_b),c_Set_OCollect(T_a)),hAPP(c_COMBC(T_a,T_b,tc_HOL_Obool),V_P_2))) )).

fof(fact_INT__extend__simps_I3_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))),V_B_2) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) ) ) )).

fof(fact_INT__simps_I3_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_A_2)),V_B_2) ) ) )).

fof(fact_INT__extend__simps_I4_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = V_A_2 )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) ) ) )).

fof(fact_INF__leI,axiom,(
    ! [V_M_2,V_A_2,V_i_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_i_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,T_b),V_A_2),V_M_2)),hAPP(V_M_2,V_i_2))) ) ) )).

fof(fact_INT__greaterThan__UNIV,axiom,(
    hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))),c_SetInterval_Oord__class_OgreaterThan(tc_Nat_Onat)) = c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool)) )).

fof(fact_INT__simps_I4_J,axiom,(
    ! [V_B_2,V_A_2,T_b,T_a,V_C_2] :
      ( ( V_C_2 = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)) )
      & ( V_C_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
       => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2)),V_B_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_a,tc_fun(T_b,tc_HOL_Obool)),V_C_2),V_B_2)) ) ) )).

fof(fact_Image__INT__eq,axiom,(
    ! [V_B_2,T_c,V_A_2,V_r_2,T_b,T_a] :
      ( c_Relation_Osingle__valued(T_a,T_b,hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2))
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_c,tc_HOL_Obool))
       => hAPP(c_Relation_OImage(T_b,T_a,V_r_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_c),c_Relation_OImage(T_b,T_a,V_r_2)),V_B_2)) ) ) )).

fof(fact_inf__INFI__fold__inf,axiom,(
    ! [V_f_2,V_B_2,V_A_2,T_a,T_b] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_b)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_b),V_B_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,T_b),V_A_2),V_f_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,T_b),T_a),c_Lattices_Osemilattice__inf__class_Oinf(T_b)),V_f_2)),V_B_2),V_A_2) ) ) )).

fof(fact_Inf__fold__inf,axiom,(
    ! [V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Complete__Lattice_OInf__class_OInf(T_a,V_A_2) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),c_Orderings_Otop__class_Otop(T_a)),V_A_2) ) ) )).

fof(fact_Sup__fold__sup,axiom,(
    ! [V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Complete__Lattice_OSup__class_OSup(T_a,V_A_2) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),c_Orderings_Obot__class_Obot(T_a)),V_A_2) ) ) )).

fof(fact_finite__Inter,axiom,(
    ! [V_M_2,T_a] :
      ( ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_x),V_M_2))
          & hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),B_x)) )
     => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_M_2))) ) )).

fof(fact_UnionI,axiom,(
    ! [V_A_2,V_C_2,V_X_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),V_C_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),V_X_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_C_2))) ) ) )).

fof(fact_InterD,axiom,(
    ! [V_X_2,V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_C_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),V_C_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),V_X_2)) ) ) )).

fof(fact_InterE,axiom,(
    ! [V_X_2,V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_C_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_X_2),V_C_2))
       => hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),V_X_2)) ) ) )).

fof(fact_INTER__eq__Inter__image,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_B_2),V_A_2)) )).

fof(fact_Inter__image__eq,axiom,(
    ! [V_A_2,V_B_2,T_b,T_a] : c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_B_2),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_INT__extend__simps_I8_J,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool))),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_b,tc_HOL_Obool),V_A_2)),V_B_2) )).

fof(fact_INT__simps_I8_J,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_b,tc_HOL_Obool),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool))),V_B_2)) )).

fof(fact_INF2__iff,axiom,(
    ! [V_c_2,V_b_2,V_B_2,V_A_2,T_c,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_fun(T_c,tc_HOL_Obool))),V_A_2),V_B_2),V_b_2),V_c_2))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => hBOOL(hAPP(hAPP(hAPP(V_B_2,B_x),V_b_2),V_c_2)) ) ) )).

fof(fact_INF1__iff,axiom,(
    ! [V_b_2,V_B_2,V_A_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_A_2),V_B_2),V_b_2))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
         => hBOOL(hAPP(hAPP(V_B_2,B_x),V_b_2)) ) ) )).

fof(fact_Un__Inter,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2)) )).

fof(fact_Inf__less__iff,axiom,(
    ! [V_a_2,V_S_2,T_a] :
      ( ( class_Complete__Lattice_Ocomplete__lattice(T_a)
        & class_Orderings_Olinorder(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),c_Complete__Lattice_OInf__class_OInf(T_a,V_S_2)),V_a_2))
      <=> ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_S_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),B_x),V_a_2)) ) ) ) )).

fof(fact_less__Sup__iff,axiom,(
    ! [V_S_2,V_a_2,T_a] :
      ( ( class_Complete__Lattice_Ocomplete__lattice(T_a)
        & class_Orderings_Olinorder(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),c_Complete__Lattice_OSup__class_OSup(T_a,V_S_2)))
      <=> ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_S_2))
            & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_a),V_a_2),B_x)) ) ) ) )).

fof(fact_le__Inf__iff,axiom,(
    ! [V_A_2,V_b_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),c_Complete__Lattice_OInf__class_OInf(T_a,V_A_2)))
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),B_x)) ) ) ) )).

fof(fact_Sup__le__iff,axiom,(
    ! [V_b_2,V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Complete__Lattice_OSup__class_OSup(T_a,V_A_2)),V_b_2))
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),B_x),V_b_2)) ) ) ) )).

fof(fact_Union__upper,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_B_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_A_2))) ) )).

fof(fact_Union__disjoint,axiom,(
    ! [V_A_2,V_C_2,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_C_2)),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_x),V_C_2))
         => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),B_x),V_A_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_Union__Pow__eq,axiom,(
    ! [V_A_2,T_a] : c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_OPow(T_a),V_A_2)) = V_A_2 )).

fof(fact_Field__Union,axiom,(
    ! [V_R_2,T_a] : hAPP(c_Relation_OField(T_a),c_Complete__Lattice_OSup__class_OSup(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),V_R_2)) = c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),c_Relation_OField(T_a)),V_R_2)) )).

fof(fact_vimage__Union,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] : hAPP(c_Set_Ovimage(T_a,T_b,V_f_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_b,tc_HOL_Obool),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Set_Ovimage(T_a,T_b,V_f_2)) )).

fof(fact_Sigma__Union,axiom,(
    ! [V_B_2,V_X_2,T_b,T_a] : hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_X_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),V_X_2),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool)),tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool)),c_Product__Type_OSigma(T_a,T_b)),V_B_2)) )).

fof(fact_image__Union,axiom,(
    ! [V_S_2,V_f_2,T_a,T_b] : hAPP(c_Set_Oimage(T_b,T_a,V_f_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_b,tc_HOL_Obool),V_S_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_S_2),c_Set_Oimage(T_b,T_a,V_f_2)) )).

fof(fact_Int__Union,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2)) )).

fof(fact_Int__Union2,axiom,(
    ! [V_A_2,V_B_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_B_2)),V_A_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool))),V_A_2)) )).

fof(fact_UN__extend__simps_I8_J,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool))),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_b,tc_HOL_Obool),V_A_2)),V_B_2) )).

fof(fact_UN__simps_I8_J,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_b,tc_HOL_Obool),V_A_2)),V_B_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBC(tc_fun(T_b,tc_HOL_Obool),tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool))),V_B_2)) )).

fof(fact_Range__Union,axiom,(
    ! [V_S_2,T_a,T_b] : hAPP(c_Relation_ORange(T_b,T_a),c_Complete__Lattice_OSup__class_OSup(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),V_S_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(tc_prod(T_b,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_S_2),c_Relation_ORange(T_b,T_a)) )).

fof(fact_Domain__Union,axiom,(
    ! [V_S_2,T_b,T_a] : hAPP(c_Relation_ODomain(T_a,T_b),c_Complete__Lattice_OSup__class_OSup(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),V_S_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_S_2),c_Relation_ODomain(T_a,T_b)) )).

fof(fact_Inter__lower,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_B_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_A_2)),V_B_2)) ) )).

fof(fact_Inf__Sup,axiom,(
    ! [V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OInf__class_OInf(T_a,V_A_2) = c_Complete__Lattice_OSup__class_OSup(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fimplies),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),c_Orderings_Oord__class_Oless__eq(T_a))))) ) )).

fof(fact_Sup__Inf,axiom,(
    ! [V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OSup__class_OSup(T_a,V_A_2) = c_Complete__Lattice_OInf__class_OInf(T_a,hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fimplies),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_Orderings_Oord__class_Oless__eq(T_a)))))) ) )).

fof(fact_Union__empty,axiom,(
    ! [T_a] : c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Union__mono,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_A_2)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_B_2))) ) )).

fof(fact_Union__insert,axiom,(
    ! [V_B_2,V_a_2,T_a] : c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_a_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_a_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_B_2)) )).

fof(fact_Union__quotient,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Equiv__Relations_Oquotient(T_a),V_A_2),V_r_2)) = V_A_2 ) )).

fof(fact_finite__UnionD,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_A_2)))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,tc_HOL_Obool)),V_A_2)) ) )).

fof(fact_subset__Pow__Union,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),hAPP(c_Set_OPow(T_a),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_A_2)))) )).

fof(fact_Inter__anti__mono,axiom,(
    ! [V_A_2,V_B_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_B_2),V_A_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_A_2)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_B_2))) ) )).

fof(fact_Inter__empty,axiom,(
    ! [T_a] : c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Inter__eq,axiom,(
    ! [V_A_2,T_a] : c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_A_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OAll(tc_fun(T_a,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),T_a),hAPP(c_COMBS(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),c_fimplies),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_HOL_Obool),c_member(tc_fun(T_a,tc_HOL_Obool))),V_A_2)))),c_member(T_a)))) )).

fof(fact_Union__UNIV,axiom,(
    ! [T_a] : c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),c_Orderings_Otop__class_Otop(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Union__Un__distrib,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_A_2)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_B_2)) )).

fof(fact_Inter__insert,axiom,(
    ! [V_B_2,V_a_2,T_a] : c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_a_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_a_2),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_B_2)) )).

fof(fact_Union__image__eq,axiom,(
    ! [V_A_2,V_B_2,T_b,T_a] : c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_B_2),V_A_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) )).

fof(fact_UNION__eq__Union__image,axiom,(
    ! [V_B_2,V_A_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_B_2),V_A_2)) )).

fof(fact_Sup__upper,axiom,(
    ! [V_A_2,V_x_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),c_Complete__Lattice_OSup__class_OSup(T_a,V_A_2))) ) ) )).

fof(fact_Inter__UNIV,axiom,(
    ! [T_a] : c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),c_Orderings_Otop__class_Otop(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_Inf__lower,axiom,(
    ! [V_A_2,V_x_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),c_Complete__Lattice_OInf__class_OInf(T_a,V_A_2)),V_x_2)) ) ) )).

fof(fact_Sup__empty,axiom,(
    ! [T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OSup__class_OSup(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_Inter__Un__distrib,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_A_2)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_B_2)) )).

fof(fact_Sup__singleton,axiom,(
    ! [V_a_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OSup__class_OSup(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_a_2 ) )).

fof(fact_Sup__insert,axiom,(
    ! [V_A_2,V_a_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OSup__class_OSup(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a_2),c_Complete__Lattice_OSup__class_OSup(T_a,V_A_2)) ) )).

fof(fact_Int__Inter__image,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBS(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_A_2),V_C_2))),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_B_2),V_C_2))) )).

fof(fact_Inf__singleton,axiom,(
    ! [V_a_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OInf__class_OInf(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = V_a_2 ) )).

fof(fact_Sup__UNIV,axiom,(
    ! [T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OSup__class_OSup(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_Inf__empty,axiom,(
    ! [T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OInf__class_OInf(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(T_a) ) )).

fof(fact_Inf__UNIV,axiom,(
    ! [T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OInf__class_OInf(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Obot__class_Obot(T_a) ) )).

fof(fact_Inf__insert,axiom,(
    ! [V_A_2,V_a_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OInf__class_OInf(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a_2),c_Complete__Lattice_OInf__class_OInf(T_a,V_A_2)) ) )).

fof(fact_Un__eq__Union,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_B_2),c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))))) )).

fof(fact_Un__Union__image,axiom,(
    ! [V_B_2,V_A_2,V_C_2,T_a,T_b] : hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,tc_fun(T_a,tc_HOL_Obool)),V_C_2),hAPP(hAPP(c_COMBS(T_b,tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_b),c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool))),V_A_2)),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_A_2),V_C_2))),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(T_b,tc_fun(T_a,tc_HOL_Obool),V_B_2),V_C_2))) )).

fof(fact_Union__Int__subset,axiom,(
    ! [V_B_2,V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),V_B_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_A_2)),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_B_2)))) )).

fof(fact_Int__eq__Inter,axiom,(
    ! [V_B_2,V_A_2,T_a] : hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2) = c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_B_2),c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))))) )).

fof(fact_Inter__Un__subset,axiom,(
    ! [V_B_2,V_A_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_A_2)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_B_2))),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool)),V_A_2),V_B_2)))) )).

fof(fact_Sup__binary,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OSup__class_OSup(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_a_2),V_b_2) ) )).

fof(fact_Inf__binary,axiom,(
    ! [V_b_2,V_a_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OInf__class_OInf(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_a_2),V_b_2) ) )).

fof(fact_sup__Sup__fold__sup,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_B_2),c_Complete__Lattice_OSup__class_OSup(T_a,V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_B_2),V_A_2) ) ) )).

fof(fact_Sup__fin__Sup,axiom,(
    ! [V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olattice__class_OSup__fin(T_a,V_A_2) = c_Complete__Lattice_OSup__class_OSup(T_a,V_A_2) ) ) ) )).

fof(fact_inf__Inf__fold__inf,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_B_2),c_Complete__Lattice_OInf__class_OInf(T_a,V_A_2)) = hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_B_2),V_A_2) ) ) )).

fof(fact_Inf__fin__Inf,axiom,(
    ! [V_A_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
         => c_Big__Operators_Olattice__class_OInf__fin(T_a,V_A_2) = c_Complete__Lattice_OInf__class_OInf(T_a,V_A_2) ) ) ) )).

fof(fact_image__INT,axiom,(
    ! [V_j_2,V_B_2,V_A_2,T_c,V_C_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,V_C_2)
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_c),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(V_B_2,B_x)),V_C_2)) )
       => ( hBOOL(hAPP(hAPP(c_member(T_c),V_j_2),V_A_2))
         => hAPP(c_Set_Oimage(T_a,T_b,V_f_2),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_c,tc_fun(T_b,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool),T_c),c_Set_Oimage(T_a,T_b,V_f_2)),V_B_2)) ) ) ) )).

fof(fact_card__partition,axiom,(
    ! [V_k_2,V_C_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,tc_HOL_Obool)),V_C_2))
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_C_2)))
       => ( ! [B_c] :
              ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_c),V_C_2))
             => hAPP(c_Finite__Set_Ocard(T_a),B_c) = V_k_2 )
         => ( ! [B_c1] :
                ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_c1),V_C_2))
               => ! [B_c2] :
                    ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_c2),V_C_2))
                   => ( B_c1 != B_c2
                     => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),B_c1),B_c2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )
           => hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_k_2),hAPP(c_Finite__Set_Ocard(tc_fun(T_a,tc_HOL_Obool)),V_C_2)) = hAPP(c_Finite__Set_Ocard(T_a),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_C_2)) ) ) ) ) )).

fof(fact_Inter__def,axiom,(
    ! [V_S_2,T_a] : c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_S_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_S_2),c_COMBI(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_Union__def,axiom,(
    ! [V_S_2,T_a] : c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_S_2) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),V_S_2),c_COMBI(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_finite__Union,axiom,(
    ! [V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_fun(T_a,tc_HOL_Obool)),V_A_2))
     => ( ! [B_M] :
            ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_M),V_A_2))
           => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),B_M)) )
       => hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_A_2))) ) ) )).

fof(fact_insert__partition,axiom,(
    ! [V_Fa_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),V_x_2),V_Fa_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_x),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_x_2),V_Fa_2)))
           => ! [B_xa] :
                ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_xa),hAPP(hAPP(c_Set_Oinsert(tc_fun(T_a,tc_HOL_Obool)),V_x_2),V_Fa_2)))
               => ( B_x != B_xa
                 => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),B_x),B_xa) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )
       => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_x_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_Fa_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_inj__on__Inter,axiom,(
    ! [V_f_2,T_b,T_a,V_S_2] :
      ( V_S_2 != c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))
     => ( ! [B_A] :
            ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_A),V_S_2))
           => c_Fun_Oinj__on(T_a,T_b,V_f_2,B_A) )
       => c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_S_2)) ) ) )).

fof(fact_Inter__subset,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( ! [B_X] :
          ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_X),V_A_2))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),B_X),V_B_2)) )
     => ( V_A_2 != c_Orderings_Obot__class_Obot(tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_A_2)),V_B_2)) ) ) )).

fof(fact_inj__on__INTER,axiom,(
    ! [V_A_2,V_f_2,T_c,T_b,T_a,V_I_2] :
      ( V_I_2 != c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
     => ( ! [B_i] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_i),V_I_2))
           => c_Fun_Oinj__on(T_b,T_c,V_f_2,hAPP(V_A_2,B_i)) )
       => c_Fun_Oinj__on(T_b,T_c,V_f_2,hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_a,tc_fun(T_b,tc_HOL_Obool)),V_I_2),V_A_2)) ) ) )).

fof(fact_fun__left__comm_Ofold__graph__insertE,axiom,(
    ! [V_v_2,V_A_2,V_x_2,V_z_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => ( hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)),V_v_2))
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
         => ~ ! [B_y] :
                ( V_v_2 = hAPP(hAPP(V_f_2,V_x_2),B_y)
               => ~ hBOOL(hAPP(c_Finite__Set_Ofold__graph(T_a,T_b,V_f_2,V_z_2,V_A_2),B_y)) ) ) ) ) )).

fof(fact_min__max_Ofold__sup__le__sup,axiom,(
    ! [V_c_2,V_b_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),B_x),V_b_2)) )
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omax(T_a)),V_c_2),V_A_2)),hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),V_b_2),V_c_2))) ) ) ) )).

fof(fact_min__max_Oinf__le__fold__inf,axiom,(
    ! [V_c_2,V_b_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),B_x)) )
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(T_a),V_b_2),V_c_2)),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Orderings_Oord__class_Omin(T_a)),V_c_2),V_A_2))) ) ) ) )).

fof(fact_InterI,axiom,(
    ! [V_A_2,V_C_2,T_a] :
      ( ! [B_X] :
          ( hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_X),V_C_2))
         => hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),B_X)) )
     => hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),c_Complete__Lattice_OInf__class_OInf(tc_fun(T_a,tc_HOL_Obool),V_C_2))) ) )).

fof(fact_inf__le__fold__inf,axiom,(
    ! [V_c_2,V_b_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__inf(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_b_2),B_x)) )
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_b_2),V_c_2)),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_c_2),V_A_2))) ) ) ) )).

fof(fact_fold__sup__le__sup,axiom,(
    ! [V_c_2,V_b_2,V_A_2,T_a] :
      ( class_Lattices_Osemilattice__sup(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),B_x),V_b_2)) )
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_c_2),V_A_2)),hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(T_a),V_b_2),V_c_2))) ) ) ) )).

fof(fact_wf__eq__minimal,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Owf(T_a,V_r_2)
    <=> ! [B_Q] :
          ( ? [B_x] : hBOOL(hAPP(hAPP(c_member(T_a),B_x),B_Q))
         => ? [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),B_Q))
              & ! [B_y] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_y),B_x)),V_r_2))
                 => ~ hBOOL(hAPP(hAPP(c_member(T_a),B_y),B_Q)) ) ) ) ) )).

fof(fact_transfer__nat__int__set__cong,axiom,(
    ! [V_P_H_2,V_P_2] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)),B_x))
         => ( hBOOL(hAPP(V_P_2,B_x))
          <=> hBOOL(hAPP(V_P_H_2,B_x)) ) )
     => hAPP(c_Set_OCollect(tc_Int_Oint),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))),V_P_2)) = hAPP(c_Set_OCollect(tc_Int_Oint),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Int_Oint),c_fconj),hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),c_Groups_Ozero__class_Ozero(tc_Int_Oint)))),V_P_H_2)) ) )).

fof(fact_Int__Collect__mono,axiom,(
    ! [V_Q_2,V_P_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => ( hBOOL(hAPP(V_P_2,B_x))
             => hBOOL(hAPP(V_Q_2,B_x)) ) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(c_Set_OCollect(T_a),V_P_2))),hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_B_2),hAPP(c_Set_OCollect(T_a),V_Q_2)))) ) ) )).

fof(fact_UnionE,axiom,(
    ! [V_C_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),V_C_2)))
     => ~ ! [B_X] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),V_A_2),B_X))
           => ~ hBOOL(hAPP(hAPP(c_member(tc_fun(T_a,tc_HOL_Obool)),B_X),V_C_2)) ) ) )).

fof(fact_rel__compE,axiom,(
    ! [V_s_2,V_r_2,T_c,V_xz_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),V_xz_2),hAPP(hAPP(c_Relation_Orel__comp(T_a,T_c,T_b),V_r_2),V_s_2)))
     => ~ ! [B_x,B_y,B_z] :
            ( V_xz_2 = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),B_x),B_z)
           => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_c),B_x),B_y)),V_r_2))
             => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_c,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_c,T_b),B_y),B_z)),V_s_2)) ) ) ) )).

fof(fact_converseE,axiom,(
    ! [V_r_2,V_yx_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),V_yx_2),hAPP(c_Relation_Oconverse(T_b,T_a),V_r_2)))
     => ~ ! [B_x,B_y] :
            ( V_yx_2 = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),B_y),B_x)
           => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),B_x),B_y)),V_r_2)) ) ) )).

fof(fact_Nitpick_Oplus__frac__def,axiom,(
    ! [V_r_2,V_q_2,T_a] : c_Nitpick_Oplus__frac(T_a,V_q_2,V_r_2) = hAPP(hAPP(c_HOL_OLet(tc_Int_Oint,T_a),c_Nitpick_Oint__lcm(hAPP(c_Nitpick_Odenom(T_a),V_q_2),hAPP(c_Nitpick_Odenom(T_a),V_r_2))),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Int_Oint,T_a),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,T_a),tc_Int_Oint),c_Nitpick_Ofrac(T_a)),hAPP(hAPP(c_COMBS(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_fun(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint),c_Groups_Oplus__class_Oplus(tc_Int_Oint)),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nitpick_Onum(T_a),V_q_2))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),c_Divides_Odiv__class_Odiv(tc_Int_Oint)),hAPP(c_Nitpick_Odenom(T_a),V_q_2))))),hAPP(hAPP(c_COMBB(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nitpick_Onum(T_a),V_r_2))),hAPP(hAPP(c_COMBC(tc_Int_Oint,tc_Int_Oint,tc_Int_Oint),c_Divides_Odiv__class_Odiv(tc_Int_Oint)),hAPP(c_Nitpick_Odenom(T_a),V_r_2)))))),c_COMBI(tc_Int_Oint))) )).

fof(fact_Nitpick_Otimes__frac__def,axiom,(
    ! [V_r,V_q,T_a] : c_Nitpick_Otimes__frac(T_a,V_q,V_r) = hAPP(hAPP(c_Nitpick_Ofrac(T_a),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nitpick_Onum(T_a),V_q)),hAPP(c_Nitpick_Onum(T_a),V_r))),hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Int_Oint),hAPP(c_Nitpick_Odenom(T_a),V_q)),hAPP(c_Nitpick_Odenom(T_a),V_r))) )).

fof(fact_Nitpick_Oof__frac__def,axiom,(
    ! [V_q,T_a,T_b] :
      ( ( class_Rings_Oinverse(T_b)
        & class_Rings_Oring__1(T_b) )
     => c_Nitpick_Oof__frac(T_a,T_b,V_q) = hAPP(hAPP(c_Rings_Oinverse__class_Odivide(T_b),hAPP(c_Int_Oring__1__class_Oof__int(T_b),hAPP(c_Nitpick_Onum(T_a),V_q))),hAPP(c_Int_Oring__1__class_Oof__int(T_b),hAPP(c_Nitpick_Odenom(T_a),V_q))) ) )).

fof(fact_Nitpick_Oinverse__frac__def,axiom,(
    ! [V_q,T_a] : c_Nitpick_Oinverse__frac(T_a,V_q) = hAPP(hAPP(c_Nitpick_Ofrac(T_a),hAPP(c_Nitpick_Odenom(T_a),V_q)),hAPP(c_Nitpick_Onum(T_a),V_q)) )).

fof(fact_Nitpick_Ouminus__frac__def,axiom,(
    ! [V_q,T_a] : c_Nitpick_Ouminus__frac(T_a,V_q) = c_Nitpick_OAbs__Frac(T_a,hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Nitpick_Onum(T_a),V_q))),hAPP(c_Nitpick_Odenom(T_a),V_q))) )).

fof(fact_Nitpick_Oless__frac__def,axiom,(
    ! [V_r_2,V_q_2,T_a] :
      ( c_Nitpick_Oless__frac(T_a,V_q_2,V_r_2)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),hAPP(c_Nitpick_Onum(T_a),c_Nitpick_Oplus__frac(T_a,V_q_2,c_Nitpick_Ouminus__frac(T_a,V_r_2)))),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_Nitpick_Oless__eq__frac__def,axiom,(
    ! [V_r_2,V_q_2,T_a] :
      ( c_Nitpick_Oless__eq__frac(T_a,V_q_2,V_r_2)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Nitpick_Onum(T_a),c_Nitpick_Oplus__frac(T_a,V_q_2,c_Nitpick_Ouminus__frac(T_a,V_r_2)))),c_Groups_Ozero__class_Ozero(tc_Int_Oint))) ) )).

fof(fact_Nitpick_Onum__def,axiom,(
    ! [T_a] : c_Nitpick_Onum(T_a) = hAPP(c_Fun_Ocomp(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint,T_a,c_Product__Type_Ofst(tc_Int_Oint,tc_Int_Oint)),c_Nitpick_ORep__Frac(T_a)) )).

fof(fact_Nitpick_Odenom__def,axiom,(
    ! [T_a] : c_Nitpick_Odenom(T_a) = hAPP(c_Fun_Ocomp(tc_prod(tc_Int_Oint,tc_Int_Oint),tc_Int_Oint,T_a,c_Product__Type_Osnd(tc_Int_Oint,tc_Int_Oint)),c_Nitpick_ORep__Frac(T_a)) )).

fof(fact_setprod__pos,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Rings_Olinordered__semidom(T_b)
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(V_f_2,B_x))) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2))) ) ) )).

fof(fact_internal__split__def,axiom,(
    ! [T_c,T_b,T_a] : c_Product__Type_Ointernal__split(T_a,T_b,T_c) = c_Product__Type_Oprod_Oprod__case(T_a,T_b,T_c) )).

fof(fact_internal__split__conv,axiom,(
    ! [V_b_2,V_a_2,V_c_2,T_a,T_c,T_b] : hAPP(hAPP(c_Product__Type_Ointernal__split(T_b,T_c,T_a),V_c_2),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_a_2),V_b_2)) = hAPP(hAPP(V_c_2,V_a_2),V_b_2) )).

fof(fact_setprod__nonneg,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Rings_Olinordered__semidom(T_b)
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(V_f_2,B_x))) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),c_Groups_Ozero__class_Ozero(T_b)),hAPP(hAPP(c_Big__Operators_Ocomm__monoid__mult__class_Osetprod(T_a,T_b),V_f_2),V_A_2))) ) ) )).

fof(fact_bool_Osize_I1_J,axiom,(
    c_HOL_Obool_Obool__size(c_fTrue) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_bool_Osize_I2_J,axiom,(
    c_HOL_Obool_Obool__size(c_fFalse) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_finite__less__ub,axiom,(
    ! [V_u_2,V_f_2] :
      ( ! [B_n] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_n),hAPP(V_f_2,B_n)))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_Nat_Onat),c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat)),V_f_2)),V_u_2)))) ) )).

fof(fact_lenlex__def,axiom,(
    ! [V_r_2,T_a] : c_List_Olenlex(T_a,V_r_2) = hAPP(hAPP(c_Relation_Oinv__image(tc_prod(tc_Nat_Onat,tc_List_Olist(T_a)),tc_List_Olist(T_a)),c_Wellfounded_Olex__prod(tc_Nat_Onat,tc_List_Olist(T_a),c_Wellfounded_Oless__than,c_List_Olex(T_a,V_r_2))),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_prod(tc_Nat_Onat,tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_List_Olist(T_a),tc_prod(tc_Nat_Onat,tc_List_Olist(T_a))),tc_List_Olist(T_a)),c_Product__Type_OPair(tc_Nat_Onat,tc_List_Olist(T_a))),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),c_COMBI(tc_List_Olist(T_a)))) )).

fof(fact_neq__if__length__neq,axiom,(
    ! [V_ys,V_xs,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs) != hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys)
     => V_xs != V_ys ) )).

fof(fact_lexn__length,axiom,(
    ! [V_n_2,V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),hAPP(c_List_Olexn(T_a,V_r_2),V_n_2)))
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = V_n_2
        & hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) = V_n_2 ) ) )).

fof(fact_lenlex__conv,axiom,(
    ! [V_r_2,T_a] : c_List_Olenlex(T_a,V_r_2) = hAPP(c_Set_OCollect(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(c_Product__Type_Oprod_Oprod__case(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_List_Olist(T_a)),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fdisj)),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))))),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))))),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_List_Olist(T_a)),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj)),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))))),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_fun(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBC(tc_List_Olist(T_a),tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_fun(tc_List_Olist(T_a),tc_fun(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool),tc_HOL_Obool)),tc_List_Olist(T_a)),hAPP(c_COMBB(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool),tc_HOL_Obool),tc_List_Olist(T_a)),c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))))),c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a))))),c_List_Olex(T_a,V_r_2)))))) )).

fof(fact_length__sublist,axiom,(
    ! [V_I_2,V_xs_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Osublist(T_a,V_xs_2,V_I_2)) = hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),c_member(tc_Nat_Onat)),V_I_2)))) )).

fof(fact_lexn_Osimps_I2_J,axiom,(
    ! [V_n_2,V_r_2,T_a] : hAPP(c_List_Olexn(T_a,V_r_2),hAPP(c_Nat_OSuc,V_n_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),hAPP(c_Set_Oimage(tc_prod(tc_prod(T_a,tc_List_Olist(T_a)),tc_prod(T_a,tc_List_Olist(T_a))),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_Product__Type_Omap__pair(tc_prod(T_a,tc_List_Olist(T_a)),tc_List_Olist(T_a),tc_prod(T_a,tc_List_Olist(T_a)),tc_List_Olist(T_a),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)))),c_Wellfounded_Olex__prod(T_a,tc_List_Olist(T_a),V_r_2,hAPP(c_List_Olexn(T_a,V_r_2),V_n_2)))),hAPP(c_Set_OCollect(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(c_Product__Type_Oprod_Oprod__case(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),hAPP(c_Nat_OSuc,V_n_2))))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),hAPP(c_Nat_OSuc,V_n_2)))))) )).

fof(fact_impossible__Cons,axiom,(
    ! [V_x,V_ys,V_xs,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys)))
     => V_xs != hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_ys) ) )).

fof(fact_not__Cons__self,axiom,(
    ! [V_x,T_a,V_xs] : V_xs != hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs) )).

fof(fact_not__Cons__self2,axiom,(
    ! [V_xs,V_x,T_a] : hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs) != V_xs )).

fof(fact_list_Oinject,axiom,(
    ! [V_list_H_2,V_a_H_2,V_list_2,V_a_2,T_a] :
      ( hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_2),V_list_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_H_2),V_list_H_2)
    <=> ( V_a_2 = V_a_H_2
        & V_list_2 = V_list_H_2 ) ) )).

fof(fact_list_Osize_I4_J,axiom,(
    ! [V_list,V_a,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_a),V_list)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_list)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_Cons__in__lex,axiom,(
    ! [V_r_2,V_ys_2,V_y_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2))),c_List_Olex(T_a,V_r_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
          & hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) )
        | ( V_x_2 = V_y_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olex(T_a,V_r_2))) ) ) ) )).

fof(fact_set__Cons__def,axiom,(
    ! [V_XS_2,V_A_2,T_a] : c_List_Oset__Cons(T_a,V_A_2,V_XS_2) = hAPP(c_Set_OCollect(tc_List_Olist(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool,tc_List_Olist(T_a)),c_HOL_OEx(T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_fun(T_a,tc_HOL_Obool),tc_List_Olist(T_a)),hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(tc_List_Olist(T_a)))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))),tc_fun(tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))),tc_List_Olist(T_a)),c_COMBS(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_fun(T_a,tc_fun(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))),tc_List_Olist(T_a)),hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),T_a),c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool))),tc_List_Olist(T_a)),hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_fun(tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_fun(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))),tc_List_Olist(T_a)),c_COMBB(tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),T_a)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBB(tc_List_Olist(T_a),tc_HOL_Obool,tc_List_Olist(T_a))),c_fequal))),c_List_Olist_OCons(T_a)))))),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_fun(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),T_a),c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_HOL_Obool),c_member(tc_List_Olist(T_a))),V_XS_2)))))) )).

fof(fact_pick_Osimps,axiom,(
    ! [V_xs,V_x,T_a,V_i] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_i),hAPP(c_Product__Type_Ofst(tc_Code__Numeral_Ocode__numeral,T_a),V_x)))
       => hAPP(c_Random_Opick(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a)),V_x),V_xs)),V_i) = hAPP(c_Product__Type_Osnd(tc_Code__Numeral_Ocode__numeral,T_a),V_x) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_i),hAPP(c_Product__Type_Ofst(tc_Code__Numeral_Ocode__numeral,T_a),V_x)))
       => hAPP(c_Random_Opick(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a)),V_x),V_xs)),V_i) = hAPP(c_Random_Opick(T_a,V_xs),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_i),hAPP(c_Product__Type_Ofst(tc_Code__Numeral_Ocode__numeral,T_a),V_x))) ) ) )).

fof(fact_select__weight__cons__zero,axiom,(
    ! [V_xs_2,V_x_2,T_a] : c_Random_Oselect__weight(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a)),hAPP(hAPP(c_Product__Type_OPair(tc_Code__Numeral_Ocode__numeral,T_a),c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)),V_x_2)),V_xs_2)) = c_Random_Oselect__weight(T_a,V_xs_2) )).

fof(fact_lexord__cons__cons,axiom,(
    ! [V_r_2,V_y_2,V_b_2,V_x_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_2),V_x_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_b_2),V_y_2))),c_List_Olexord(T_a,V_r_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
        | ( V_a_2 = V_b_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),c_List_Olexord(T_a,V_r_2))) ) ) ) )).

fof(fact_lexord__lex,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),c_List_Olex(T_a,V_r_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),c_List_Olexord(T_a,V_r_2)))
        & hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_x_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_y_2) ) ) )).

fof(fact_rtrancl__listrel1__ConsI2,axiom,(
    ! [V_ys_2,V_xs_2,V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2))))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2))),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)))) ) ) )).

fof(fact_list_Osize_I2_J,axiom,(
    ! [V_list_2,V_a_2,V_fa_2,T_a] : c_List_Olist_Olist__size(T_a,V_fa_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_2),V_list_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(V_fa_2,V_a_2)),c_List_Olist_Olist__size(T_a,V_fa_2,V_list_2))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_Cons__acc__listrel1I,axiom,(
    ! [V_xs_2,V_r_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Wellfounded_Oacc(T_a,V_r_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_Wellfounded_Oacc(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2))))
       => hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),c_Wellfounded_Oacc(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)))) ) ) )).

fof(fact_listrel1__mono,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),c_List_Olistrel1(T_a,V_r_2)),c_List_Olistrel1(T_a,V_s_2))) ) )).

fof(fact_listrel1__converse,axiom,(
    ! [V_r_2,T_a] : c_List_Olistrel1(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2)) = hAPP(c_Relation_Oconverse(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olistrel1(T_a,V_r_2)) )).

fof(fact_listrel1__rtrancl__subset__rtrancl__listrel1,axiom,(
    ! [V_r_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),c_List_Olistrel1(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2))),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)))) )).

fof(fact_rtrancl__listrel1__ConsI1,axiom,(
    ! [V_x_2,V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2))))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_ys_2))),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)))) ) )).

fof(fact_listrel1I2,axiom,(
    ! [V_x_2,V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_ys_2))),c_List_Olistrel1(T_a,V_r_2))) ) )).

fof(fact_rtrancl__listrel1__eq__len,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2))))
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_x_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_y_2) ) )).

fof(fact_listrel1__eq__len,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2)))
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) ) )).

fof(fact_in__listrel1__converse,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),c_List_Olistrel1(T_a,hAPP(c_Relation_Oconverse(T_a,T_a),V_r_2))))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),hAPP(c_Relation_Oconverse(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olistrel1(T_a,V_r_2)))) ) )).

fof(fact_Cons__listrel1__Cons,axiom,(
    ! [V_r_2,V_ys_2,V_y_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2))),c_List_Olistrel1(T_a,V_r_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
          & V_xs_2 = V_ys_2 )
        | ( V_x_2 = V_y_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2))) ) ) ) )).

fof(fact_listrel1I1,axiom,(
    ! [V_xs_2,V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_xs_2))),c_List_Olistrel1(T_a,V_r_2))) ) )).

fof(fact_listrel__Cons,axiom,(
    ! [V_xs_2,V_x_2,V_r_2,T_a] : hAPP(c_Relation_OImage(tc_List_Olist(T_a),tc_List_Olist(T_a),c_List_Olistrel(T_a,V_r_2)),hAPP(hAPP(c_Set_Oinsert(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),c_Orderings_Obot__class_Obot(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)))) = c_List_Oset__Cons(T_a,hAPP(c_Relation_OImage(T_a,T_a,V_r_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))),hAPP(c_Relation_OImage(tc_List_Olist(T_a),tc_List_Olist(T_a),c_List_Olistrel(T_a,V_r_2)),hAPP(hAPP(c_Set_Oinsert(tc_List_Olist(T_a)),V_xs_2),c_Orderings_Obot__class_Obot(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))))) )).

fof(fact_lexord__linear,axiom,(
    ! [V_y_2,V_x_2,V_r_2,T_a] :
      ( ! [B_a,B_b] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_a),B_b)),V_r_2))
          | B_a = B_b
          | hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_b),B_a)),V_r_2)) )
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),c_List_Olexord(T_a,V_r_2)))
        | V_x_2 = V_y_2
        | hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_y_2),V_x_2)),c_List_Olexord(T_a,V_r_2))) ) ) )).

fof(fact_listrel__rtrancl__refl,axiom,(
    ! [V_r_2,V_xs_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_xs_2)),c_List_Olistrel(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)))) )).

fof(fact_listrel__mono,axiom,(
    ! [V_s_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_s_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),c_List_Olistrel(T_a,V_r_2)),c_List_Olistrel(T_a,V_s_2))) ) )).

fof(fact_listrel__subset__rtrancl__listrel1,axiom,(
    ! [V_r_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),c_List_Olistrel(T_a,V_r_2)),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)))) )).

fof(fact_listrel__eq__len,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel(T_a,V_r_2)))
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) ) )).

fof(fact_listrel__rtrancl__trans,axiom,(
    ! [V_zs_2,V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2))))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_ys_2),V_zs_2)),c_List_Olistrel(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2))))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_zs_2)),c_List_Olistrel(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)))) ) ) )).

fof(fact_listrel__rtrancl__eq__rtrancl__listrel1,axiom,(
    ! [V_r_2,T_a] : c_List_Olistrel(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)) = c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)) )).

fof(fact_listrel__reflcl__if__listrel1,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel(T_a,c_Transitive__Closure_Ortrancl(T_a,V_r_2)))) ) )).

fof(fact_listrel1__subset__listrel,axiom,(
    ! [V_r_H_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),V_r_H_2))
     => ( c_Relation_Orefl__on(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)),V_r_H_2)
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),c_List_Olistrel1(T_a,V_r_2)),c_List_Olistrel(T_a,V_r_H_2))) ) ) )).

fof(fact_rtrancl__listrel1__if__listrel,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel(T_a,V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_Transitive__Closure_Ortrancl(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)))) ) )).

fof(fact_listrel_OCons,axiom,(
    ! [V_ys_2,V_xs_2,V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel(T_a,V_r_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2))),c_List_Olistrel(T_a,V_r_2))) ) ) )).

fof(fact_listrelp__listrel__eq,axiom,(
    ! [V_xa_2,V_x_2,V_r_2,T_a] :
      ( c_List_Olistrelp(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a)))),c_Product__Type_OPair(T_a,T_a)))),V_r_2),V_x_2,V_xa_2)
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_xa_2)),c_List_Olistrel(T_a,V_r_2))) ) )).

fof(fact_listrel__Cons1,axiom,(
    ! [V_r_2,V_xs_2,V_ys_2,V_y_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2)),V_xs_2)),c_List_Olistrel(T_a,V_r_2)))
     => ~ ! [B_y,B_ys] :
            ( V_xs_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),B_y),B_ys)
           => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_y_2),B_y)),V_r_2))
             => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_ys_2),B_ys)),c_List_Olistrel(T_a,V_r_2))) ) ) ) )).

fof(fact_listrelp_OCons,axiom,(
    ! [V_ys_2,V_xs_2,T_a,V_y_2,V_x_2,V_r_2] :
      ( hBOOL(hAPP(hAPP(V_r_2,V_x_2),V_y_2))
     => ( c_List_Olistrelp(T_a,V_r_2,V_xs_2,V_ys_2)
       => c_List_Olistrelp(T_a,V_r_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2)) ) ) )).

fof(fact_listrelp_Oequations_I2_J,axiom,(
    ! [V_a4_2,V_a2_2,V_a3_2,V_a1_2,V_r_2,T_a] :
      ( c_List_Olistrelp(T_a,V_r_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_a1_2),V_a3_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_a2_2),V_a4_2))
    <=> ( hBOOL(hAPP(hAPP(V_r_2,V_a1_2),V_a2_2))
        & c_List_Olistrelp(T_a,V_r_2,V_a3_2,V_a4_2) ) ) )).

fof(fact_listrel__Cons2,axiom,(
    ! [V_r_2,V_ys_2,V_y_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2))),c_List_Olistrel(T_a,V_r_2)))
     => ~ ! [B_x,B_xs] :
            ( V_xs_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),B_x),B_xs)
           => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),V_y_2)),V_r_2))
             => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),B_xs),V_ys_2)),c_List_Olistrel(T_a,V_r_2))) ) ) ) )).

fof(fact_listrel__subset,axiom,(
    ! [V_A_2,V_r_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool)),V_r_2),hAPP(hAPP(c_Product__Type_OSigma(T_a,T_a),V_A_2),hAPP(c_COMBK(tc_fun(T_a,tc_HOL_Obool),T_a),V_A_2))))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_HOL_Obool)),c_List_Olistrel(T_a,V_r_2)),hAPP(hAPP(c_Product__Type_OSigma(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olists(T_a,V_A_2)),hAPP(c_COMBK(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_List_Olist(T_a)),c_List_Olists(T_a,V_A_2))))) ) )).

fof(fact_lists__UNIV,axiom,(
    ! [T_a] : c_List_Olists(T_a,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) = c_Orderings_Otop__class_Otop(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)) )).

fof(fact_lists__mono,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),c_List_Olists(T_a,V_A_2)),c_List_Olists(T_a,V_B_2))) ) )).

fof(fact_equiv__listrel,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Equiv__Relations_Oequiv(T_a,V_A_2,V_r_2)
     => c_Equiv__Relations_Oequiv(tc_List_Olist(T_a),c_List_Olists(T_a,V_A_2),c_List_Olistrel(T_a,V_r_2)) ) )).

fof(fact_listrel__refl__on,axiom,(
    ! [V_r_2,V_A_2,T_a] :
      ( c_Relation_Orefl__on(T_a,V_A_2,V_r_2)
     => c_Relation_Orefl__on(tc_List_Olist(T_a),c_List_Olists(T_a,V_A_2),c_List_Olistrel(T_a,V_r_2)) ) )).

fof(fact_Cons__in__lists__iff,axiom,(
    ! [V_A_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),c_List_Olists(T_a,V_A_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
        & hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_List_Olists(T_a,V_A_2))) ) ) )).

fof(fact_lists__accD,axiom,(
    ! [V_r_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_List_Olists(T_a,c_Wellfounded_Oacc(T_a,V_r_2))))
     => hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_Wellfounded_Oacc(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2)))) ) )).

fof(fact_lists__accI,axiom,(
    ! [V_r_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_Wellfounded_Oacc(tc_List_Olist(T_a),c_List_Olistrel1(T_a,V_r_2))))
     => hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_List_Olists(T_a,c_Wellfounded_Oacc(T_a,V_r_2)))) ) )).

fof(fact_listrel__iff__nth,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel(T_a,V_r_2)))
    <=> ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2)
        & ! [B_n] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
           => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_n)),hAPP(hAPP(c_List_Onth(T_a),V_ys_2),B_n))),V_r_2)) ) ) ) )).

fof(fact_lexord__irreflexive,axiom,(
    ! [V_y_2,V_r_2,T_a] :
      ( ! [B_x] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_x)),V_r_2))
     => ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_y_2),V_y_2)),c_List_Olexord(T_a,V_r_2))) ) )).

fof(fact_infinite__UNIV__listI,axiom,(
    ! [T_a] : ~ hBOOL(hAPP(c_Finite__Set_Ofinite(tc_List_Olist(T_a)),c_Orderings_Otop__class_Otop(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)))) )).

fof(fact_list__eq__iff__nth__eq,axiom,(
    ! [T_a,V_ys_2,V_xs_2] :
      ( V_xs_2 = V_ys_2
    <=> ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2)
        & ! [B_i] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
           => hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i) = hAPP(hAPP(c_List_Onth(T_a),V_ys_2),B_i) ) ) ) )).

fof(fact_nth__Cons__Suc,axiom,(
    ! [V_n,V_xs,V_x,T_a] : hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),hAPP(c_Nat_OSuc,V_n)) = hAPP(hAPP(c_List_Onth(T_a),V_xs),V_n) )).

fof(fact_nth__Cons__0,axiom,(
    ! [V_xs,V_x,T_a] : hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = V_x )).

fof(fact_nth_Osimps,axiom,(
    ! [V_n_2,V_xs_2,V_x_2,T_a] : hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),V_n_2) = c_Nat_Onat_Onat__case(T_a,V_x_2,hAPP(c_List_Onth(T_a),V_xs_2),V_n_2) )).

fof(fact_nth__Cons_H,axiom,(
    ! [V_xs,V_x,T_a,V_n] :
      ( ( V_n = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),V_n) = V_x )
      & ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),V_n) = hAPP(hAPP(c_List_Onth(T_a),V_xs),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))) ) ) )).

fof(fact_nth__Cons__number__of,axiom,(
    ! [V_xs,V_x,T_a,V_v] :
      ( ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = V_x )
      & ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)) = hAPP(hAPP(c_List_Onth(T_a),V_xs),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat))) ) ) )).

fof(fact_lexord__take__index__conv,axiom,(
    ! [V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),V_y_2)),c_List_Olexord(T_a,V_r_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_x_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_y_2)))
          & hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_x_2)),V_y_2) = V_x_2 )
        | ? [B_i] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_x_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_y_2))))
            & hAPP(hAPP(c_List_Otake(T_a),B_i),V_x_2) = hAPP(hAPP(c_List_Otake(T_a),B_i),V_y_2)
            & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),hAPP(hAPP(c_List_Onth(T_a),V_x_2),B_i)),hAPP(hAPP(c_List_Onth(T_a),V_y_2),B_i))),V_r_2)) ) ) ) )).

fof(fact_set__sublist,axiom,(
    ! [V_I_2,V_xs_2,T_a] : hAPP(c_List_Oset(T_a),c_List_Osublist(T_a,V_xs_2,V_I_2)) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(tc_Nat_Onat)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),T_a),c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_Nat_Onat,T_a),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(tc_Nat_Onat,T_a),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,tc_Nat_Onat)),c_fequal)),hAPP(c_List_Onth(T_a),V_xs_2))))),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),c_member(tc_Nat_Onat)),V_I_2))))) )).

fof(fact_finite__set,axiom,(
    ! [V_xs_2,T_a] : hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),hAPP(c_List_Oset(T_a),V_xs_2))) )).

fof(fact_set__subset__Cons,axiom,(
    ! [V_x_2,V_xs_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)))) )).

fof(fact_take__all,axiom,(
    ! [V_n,V_xs,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_n))
     => hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs) = V_xs ) )).

fof(fact_set__take__subset,axiom,(
    ! [V_xs_2,V_n_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n_2),V_xs_2))),hAPP(c_List_Oset(T_a),V_xs_2))) )).

fof(fact_set__take__subset__set__take,axiom,(
    ! [V_xs_2,T_a,V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Otake(T_a),V_m_2),V_xs_2))),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n_2),V_xs_2)))) ) )).

fof(fact_set__sublist__subset,axiom,(
    ! [V_I_2,V_xs_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),c_List_Osublist(T_a,V_xs_2,V_I_2))),hAPP(c_List_Oset(T_a),V_xs_2))) )).

fof(fact_nth__take,axiom,(
    ! [V_xs,T_a,V_n,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_n))
     => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)),V_i) = hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i) ) )).

fof(fact_take__Suc__Cons,axiom,(
    ! [V_xs,V_x,V_n,T_a] : hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_OSuc,V_n)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)) )).

fof(fact_set__ConsD,axiom,(
    ! [V_xs_2,V_x_2,V_y_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))))
     => ( V_y_2 = V_x_2
        | hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) ) )).

fof(fact_in__set__sublistD,axiom,(
    ! [V_I_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Osublist(T_a,V_xs_2,V_I_2))))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_in__set__takeD,axiom,(
    ! [V_xs_2,V_n_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n_2),V_xs_2))))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_notin__set__sublistI,axiom,(
    ! [V_I_2,V_xs_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Osublist(T_a,V_xs_2,V_I_2)))) ) )).

fof(fact_length__take,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_n) )).

fof(fact_take__take,axiom,(
    ! [V_xs,V_m,V_n,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_n),hAPP(hAPP(c_List_Otake(T_a),V_m),V_xs)) = hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_n),V_m)),V_xs) )).

fof(fact_sublist__upt__eq__take,axiom,(
    ! [V_n_2,V_l_2,T_a] : c_List_Osublist(T_a,V_l_2,hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2)) = hAPP(hAPP(c_List_Otake(T_a),V_n_2),V_l_2) )).

fof(fact_List_Oset_Osimps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,T_a] : hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)) )).

fof(fact_card__length,axiom,(
    ! [V_xs_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Finite__Set_Ocard(T_a),hAPP(c_List_Oset(T_a),V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) )).

fof(fact_all__set__conv__all__nth,axiom,(
    ! [V_P_2,V_xs_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) )
    <=> ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
         => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i))) ) ) )).

fof(fact_list__size__estimation,axiom,(
    ! [V_f_2,V_y_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_y_2),hAPP(V_f_2,V_x_2)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_y_2),c_List_Olist_Olist__size(T_a,V_f_2,V_xs_2))) ) ) )).

fof(fact_list__size__estimation_H,axiom,(
    ! [V_f_2,V_y_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_y_2),hAPP(V_f_2,V_x_2)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_y_2),c_List_Olist_Olist__size(T_a,V_f_2,V_xs_2))) ) ) )).

fof(fact_in__lists__conv__set,axiom,(
    ! [V_A_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_List_Olists(T_a,V_A_2)))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(hAPP(c_member(T_a),B_x),V_A_2)) ) ) )).

fof(fact_length__pos__if__in__set,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) ) )).

fof(fact_nth__mem,axiom,(
    ! [V_xs_2,T_a,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_n_2)),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_in__set__conv__nth,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
    <=> ? [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
          & hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i) = V_x_2 ) ) )).

fof(fact_lists__eq__set,axiom,(
    ! [V_A_2,T_a] : c_List_Olists(T_a,V_A_2) = hAPP(c_Set_OCollect(tc_List_Olist(T_a)),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_List_Olist(T_a)),c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool))),c_List_Oset(T_a))),V_A_2)) )).

fof(fact_set__conv__nth,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Oset(T_a),V_xs_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(tc_Nat_Onat)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),T_a),c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_Nat_Onat,T_a),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(tc_Nat_Onat,T_a),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),T_a),c_COMBB(T_a,tc_HOL_Obool,tc_Nat_Onat)),c_fequal)),hAPP(c_List_Onth(T_a),V_xs_2))))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))))) )).

fof(fact_finite__lists__length__eq,axiom,(
    ! [V_n_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_List_Olist(T_a)),hAPP(c_Set_OCollect(tc_List_Olist(T_a)),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_List_Olist(T_a)),c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool))),c_List_Oset(T_a))),V_A_2))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),V_n_2))))) ) )).

fof(fact_finite__lists__length__le,axiom,(
    ! [V_n_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_List_Olist(T_a)),hAPP(c_Set_OCollect(tc_List_Olist(T_a)),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_List_Olist(T_a)),c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool))),c_List_Oset(T_a))),V_A_2))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),V_n_2))))) ) )).

fof(fact_WT__bodies__def,axiom,
    ( c_Com_OWT__bodies
  <=> ! [B_x] :
        ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_Com_Opname,tc_Com_Ocom)),B_x),hAPP(c_List_Oset(tc_prod(tc_Com_Opname,tc_Com_Ocom)),c_Com_Obodies)))
       => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_Com_Opname,tc_Com_Ocom,tc_HOL_Obool),hAPP(c_COMBK(tc_fun(tc_Com_Ocom,tc_HOL_Obool),tc_Com_Opname),c_Com_OWT)),B_x)) ) )).

fof(fact_listrel__iff__zip,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel(T_a,V_r_2)))
    <=> ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2)
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),B_x),hAPP(c_List_Oset(tc_prod(T_a,T_a)),hAPP(hAPP(c_List_Ozip(T_a,T_a),V_xs_2),V_ys_2))))
           => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool)),T_a),c_COMBC(T_a,tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_prod(T_a,T_a)),tc_fun(T_a,tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_a),tc_fun(tc_fun(tc_prod(T_a,T_a),tc_HOL_Obool),tc_HOL_Obool),T_a),c_member(tc_prod(T_a,T_a)))),c_Product__Type_OPair(T_a,T_a)))),V_r_2)),B_x)) ) ) ) )).

fof(fact_take__zip,axiom,(
    ! [V_ys,V_xs,V_n,T_b,T_a] : hAPP(hAPP(c_List_Otake(tc_prod(T_a,T_b)),V_n),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)) = hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)),hAPP(hAPP(c_List_Otake(T_b),V_n),V_ys)) )).

fof(fact_length__zip,axiom,(
    ! [V_ys,V_xs,T_b,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_prod(T_a,T_b))),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)) = hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys)) )).

fof(fact_zip__Cons__Cons,axiom,(
    ! [V_ys,V_y,V_xs,V_x,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_b),V_y),V_ys)) = hAPP(hAPP(c_List_Olist_OCons(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x),V_y)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)) )).

fof(fact_list__eq__iff__zip__eq,axiom,(
    ! [T_a,V_ys_2,V_xs_2] :
      ( V_xs_2 = V_ys_2
    <=> ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2)
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),B_x),hAPP(c_List_Oset(tc_prod(T_a,T_a)),hAPP(hAPP(c_List_Ozip(T_a,T_a),V_xs_2),V_ys_2))))
           => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),c_fequal),B_x)) ) ) ) )).

fof(fact_in__set__zipE,axiom,(
    ! [V_ys_2,V_xs_2,V_y_2,V_x_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2))))
     => ~ ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
         => ~ hBOOL(hAPP(hAPP(c_member(T_b),V_y_2),hAPP(c_List_Oset(T_b),V_ys_2))) ) ) )).

fof(fact_set__zip__rightD,axiom,(
    ! [V_ys_2,V_xs_2,V_y_2,V_x_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2))))
     => hBOOL(hAPP(hAPP(c_member(T_b),V_y_2),hAPP(c_List_Oset(T_b),V_ys_2))) ) )).

fof(fact_set__zip__leftD,axiom,(
    ! [V_ys_2,V_xs_2,V_y_2,V_x_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2))))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_zip__same,axiom,(
    ! [V_xs_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),hAPP(c_List_Oset(tc_prod(T_a,T_a)),hAPP(hAPP(c_List_Ozip(T_a,T_a),V_xs_2),V_xs_2))))
    <=> ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_List_Oset(T_a),V_xs_2)))
        & V_a_2 = V_b_2 ) ) )).

fof(fact_nth__zip,axiom,(
    ! [V_ys,T_b,V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys)))
       => hAPP(hAPP(c_List_Onth(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)),V_i) = hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i)),hAPP(hAPP(c_List_Onth(T_b),V_ys),V_i)) ) ) )).

fof(fact_set__zip,axiom,(
    ! [V_ys_2,V_xs_2,T_b,T_a] : hAPP(c_List_Oset(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)) = hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool,tc_prod(T_a,T_b)),c_HOL_OEx(tc_Nat_Onat)),hAPP(hAPP(c_COMBC(tc_prod(T_a,T_b),tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),tc_prod(T_a,T_b)),c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_Nat_Onat,tc_fun(tc_HOL_Obool,tc_HOL_Obool)),tc_prod(T_a,T_b)),hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj)),hAPP(hAPP(c_COMBC(tc_prod(T_a,T_b),tc_fun(tc_Nat_Onat,tc_prod(T_a,T_b)),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(tc_fun(tc_Nat_Onat,tc_prod(T_a,T_b)),tc_fun(tc_Nat_Onat,tc_HOL_Obool)),tc_prod(T_a,T_b)),c_COMBB(tc_prod(T_a,T_b),tc_HOL_Obool,tc_Nat_Onat)),c_fequal)),hAPP(hAPP(c_COMBS(tc_Nat_Onat,T_b,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,tc_prod(T_a,T_b)),tc_Nat_Onat),c_Product__Type_OPair(T_a,T_b)),hAPP(c_List_Onth(T_a),V_xs_2))),hAPP(c_List_Onth(T_b),V_ys_2)))))),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)))))) )).

fof(fact_greaterThanLessThan__upto,axiom,(
    ! [V_j_2,V_i_2] : c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Int_Oint,V_i_2,V_j_2) = hAPP(c_List_Oset(tc_Int_Oint),c_List_Oupto(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i_2),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_j_2),c_Groups_Oone__class_Oone(tc_Int_Oint)))) )).

fof(fact_listsum__setsum__nth,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),V_xs_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),hAPP(c_List_Onth(T_a),V_xs_2)),hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) ) )).

fof(fact_listsum__eq__0__nat__iff__nat,axiom,(
    ! [V_ns_2] :
      ( hAPP(c_List_Omonoid__add__class_Olistsum(tc_Nat_Onat),V_ns_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),hAPP(c_List_Oset(tc_Nat_Onat),V_ns_2)))
         => B_x = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_set__upto,axiom,(
    ! [V_j_2,V_i_2] : hAPP(c_List_Oset(tc_Int_Oint),c_List_Oupto(V_i_2,V_j_2)) = c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_i_2,V_j_2) )).

fof(fact_atLeastAtMost__upto,axiom,(
    ! [V_j_2,V_i_2] : c_SetInterval_Oord__class_OatLeastAtMost(tc_Int_Oint,V_i_2,V_j_2) = hAPP(c_List_Oset(tc_Int_Oint),c_List_Oupto(V_i_2,V_j_2)) )).

fof(fact_elem__le__listsum__nat,axiom,(
    ! [V_ns,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_k),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_Nat_Onat)),V_ns)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_List_Onth(tc_Nat_Onat),V_ns),V_k)),hAPP(c_List_Omonoid__add__class_Olistsum(tc_Nat_Onat),V_ns))) ) )).

fof(fact_listsum__simps_I2_J,axiom,(
    ! [V_xs,V_x,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),V_xs)) ) )).

fof(fact_atLeastLessThan__upto,axiom,(
    ! [V_j_2,V_i_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Int_Oint,V_i_2),V_j_2) = hAPP(c_List_Oset(tc_Int_Oint),c_List_Oupto(V_i_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_j_2),c_Groups_Oone__class_Oone(tc_Int_Oint)))) )).

fof(fact_greaterThanAtMost__upto,axiom,(
    ! [V_j_2,V_i_2] : c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Int_Oint,V_i_2,V_j_2) = hAPP(c_List_Oset(tc_Int_Oint),c_List_Oupto(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i_2),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_j_2)) )).

fof(fact_nat__list__def,axiom,(
    ! [V_l_2] :
      ( c_List_Onat__list(V_l_2)
    <=> c_Nat__Transfer_Onat__set(hAPP(c_List_Oset(tc_Int_Oint),V_l_2)) ) )).

fof(fact_list__size__pointwise,axiom,(
    ! [V_g_2,V_f_2,V_xs_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(V_f_2,B_x)),hAPP(V_g_2,B_x))) )
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),c_List_Olist_Olist__size(T_a,V_f_2,V_xs_2)),c_List_Olist_Olist__size(T_a,V_g_2,V_xs_2))) ) )).

fof(fact_listsum__update__nat,axiom,(
    ! [V_n,V_ns,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_k),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_Nat_Onat)),V_ns)))
     => hAPP(c_List_Omonoid__add__class_Olistsum(tc_Nat_Onat),hAPP(hAPP(c_List_Olist__update(tc_Nat_Onat,V_ns),V_k),V_n)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_List_Omonoid__add__class_Olistsum(tc_Nat_Onat),V_ns)),V_n)),hAPP(hAPP(c_List_Onth(tc_Nat_Onat),V_ns),V_k)) ) )).

fof(fact_butlast__take,axiom,(
    ! [V_xs,T_a,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => c_List_Obutlast(T_a,hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)) = hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_xs) ) )).

fof(fact_list__update__beyond,axiom,(
    ! [V_x,V_i,V_xs,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_i))
     => hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x) = V_xs ) )).

fof(fact_nth__list__update__neq,axiom,(
    ! [V_x,V_xs,T_a,V_j,V_i] :
      ( V_i != V_j
     => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),V_j) = hAPP(hAPP(c_List_Onth(T_a),V_xs),V_j) ) )).

fof(fact_list__update__id,axiom,(
    ! [V_i,V_xs,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i)) = V_xs )).

fof(fact_length__list__update,axiom,(
    ! [V_x,V_i,V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs) )).

fof(fact_butlast__list__update,axiom,(
    ! [V_x,V_xs,T_a,V_k] :
      ( ( V_k = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat))
       => c_List_Obutlast(T_a,hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_k),V_x)) = c_List_Obutlast(T_a,V_xs) )
      & ( V_k != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat))
       => c_List_Obutlast(T_a,hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_k),V_x)) = hAPP(hAPP(c_List_Olist__update(T_a,c_List_Obutlast(T_a,V_xs)),V_k),V_x) ) ) )).

fof(fact_zip__update,axiom,(
    ! [V_y,V_ys,V_x,V_i,V_xs,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),hAPP(hAPP(c_List_Olist__update(T_b,V_ys),V_i),V_y)) = hAPP(hAPP(c_List_Olist__update(tc_prod(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)),V_i),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x),V_y)) )).

fof(fact_update__zip,axiom,(
    ! [V_xy,V_i,V_ys,V_xs,T_b,T_a] : hAPP(hAPP(c_List_Olist__update(tc_prod(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)),V_i),V_xy) = hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),hAPP(c_Product__Type_Ofst(T_a,T_b),V_xy))),hAPP(hAPP(c_List_Olist__update(T_b,V_ys),V_i),hAPP(c_Product__Type_Osnd(T_a,T_b),V_xy))) )).

fof(fact_list__update__overwrite,axiom,(
    ! [V_y,V_x,V_i,V_xs,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),V_i),V_y) = hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_y) )).

fof(fact_list__update__swap,axiom,(
    ! [V_x_H,V_x,V_xs,T_a,V_i_H,V_i] :
      ( V_i != V_i_H
     => hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),V_i_H),V_x_H) = hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i_H),V_x_H)),V_i),V_x) ) )).

fof(fact_list__update_Osimps_I2_J,axiom,(
    ! [V_v_2,V_i_2,V_xs_2,V_x_2,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),V_i_2),V_v_2) = c_Nat_Onat_Onat__case(tc_List_Olist(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_v_2),V_xs_2),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_Nat_Onat),hAPP(c_List_Olist_OCons(T_a),V_x_2)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,T_a,tc_List_Olist(T_a)),c_List_Olist__update(T_a,V_xs_2)),V_v_2)),V_i_2) )).

fof(fact_list__update__code_I3_J,axiom,(
    ! [V_y,V_i,V_xs,V_x,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),hAPP(c_Nat_OSuc,V_i)),V_y) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_y)) )).

fof(fact_list__update__code_I2_J,axiom,(
    ! [V_y,V_xs,V_x,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_y) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_xs) )).

fof(fact_in__set__butlastD,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Obutlast(T_a,V_xs_2))))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_set__update__subsetI,axiom,(
    ! [V_i_2,V_x_2,V_A_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),V_A_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_i_2),V_x_2))),V_A_2)) ) ) )).

fof(fact_set__update__subset__insert,axiom,(
    ! [V_x_2,V_i_2,V_xs_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_i_2),V_x_2))),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))) )).

fof(fact_nth__list__update,axiom,(
    ! [V_x,V_j,V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => ( ( V_i = V_j
         => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),V_j) = V_x )
        & ( V_i != V_j
         => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),V_j) = hAPP(hAPP(c_List_Onth(T_a),V_xs),V_j) ) ) ) )).

fof(fact_list__update__same__conv,axiom,(
    ! [V_x_2,V_xs_2,T_a,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => ( hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_i_2),V_x_2) = V_xs_2
      <=> hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_i_2) = V_x_2 ) ) )).

fof(fact_nth__list__update__eq,axiom,(
    ! [V_x,V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),V_i) = V_x ) )).

fof(fact_take__butlast,axiom,(
    ! [V_xs,T_a,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Otake(T_a),V_n),c_List_Obutlast(T_a,V_xs)) = hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs) ) )).

fof(fact_length__butlast,axiom,(
    ! [V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Obutlast(T_a,V_xs)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) )).

fof(fact_set__update__memI,axiom,(
    ! [V_x_2,V_xs_2,T_a,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_n_2),V_x_2)))) ) )).

fof(fact_butlast__conv__take,axiom,(
    ! [V_xs,T_a] : c_List_Obutlast(T_a,V_xs) = hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_xs) )).

fof(fact_listrel1__iff__update,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2)))
    <=> ? [B_y,B_n] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_n)),B_y)),V_r_2))
          & hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
          & V_ys_2 = hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),B_n),B_y) ) ) )).

fof(fact_distinct__list__update,axiom,(
    ! [V_i_2,V_a_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(hAPP(c_Set_Oinsert(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_i_2)),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))))
       => hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_i_2),V_a_2))) ) ) )).

fof(fact_distinct__upto,axiom,(
    ! [V_j,V_i] : hBOOL(hAPP(c_List_Odistinct(tc_Int_Oint),c_List_Oupto(V_i,V_j))) )).

fof(fact_distinct__take,axiom,(
    ! [V_i,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Otake(T_a),V_i),V_xs))) ) )).

fof(fact_distinct__sublistI,axiom,(
    ! [V_I_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Osublist(T_a,V_xs_2,V_I_2))) ) )).

fof(fact_distinct__zipI1,axiom,(
    ! [V_ys,T_b,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys))) ) )).

fof(fact_distinct__zipI2,axiom,(
    ! [V_xs,T_b,V_ys,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_ys))
     => hBOOL(hAPP(c_List_Odistinct(tc_prod(T_b,T_a)),hAPP(hAPP(c_List_Ozip(T_b,T_a),V_xs),V_ys))) ) )).

fof(fact_distinct_Osimps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)))
    <=> ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
        & hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) ) )).

fof(fact_card__distinct,axiom,(
    ! [V_xs_2,T_a] :
      ( hAPP(c_Finite__Set_Ocard(T_a),hAPP(c_List_Oset(T_a),V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)
     => hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) )).

fof(fact_distinct__card,axiom,(
    ! [V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hAPP(c_Finite__Set_Ocard(T_a),hAPP(c_List_Oset(T_a),V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) ) )).

fof(fact_distinct__conv__nth,axiom,(
    ! [V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
    <=> ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
         => ! [B_j] :
              ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_j),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
             => ( B_i != B_j
               => hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i) != hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_j) ) ) ) ) )).

fof(fact_nth__eq__iff__index__eq,axiom,(
    ! [V_j_2,V_i_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
         => ( hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_i_2) = hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_j_2)
          <=> V_i_2 = V_j_2 ) ) ) ) )).

fof(fact_distinct__listsum__conv__Setsum,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
       => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),V_xs_2) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_a),c_COMBI(T_a)),hAPP(c_List_Oset(T_a),V_xs_2)) ) ) )).

fof(fact_Nitpick_Ocard_H__def,axiom,(
    ! [V_A_2,T_a] :
      ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Nitpick_Ocard_H(T_a,V_A_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Hilbert__Choice_OEps(tc_List_Olist(T_a),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_List_Oset(T_a))),V_A_2))),c_List_Odistinct(T_a)))) )
      & ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_Nitpick_Ocard_H(T_a,V_A_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_dom__map__upds,axiom,(
    ! [V_ys_2,V_xs_2,V_m_2,T_b,T_a] : c_Map_Odom(T_a,T_b,c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,V_ys_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)),V_xs_2))),c_Map_Odom(T_a,T_b,V_m_2)) )).

fof(fact_map__upds__apply__nontin,axiom,(
    ! [V_ys_2,V_f_2,T_b,V_xs_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => hAPP(c_Map_Omap__upds(T_a,T_b,V_f_2,V_xs_2,V_ys_2),V_x_2) = hAPP(V_f_2,V_x_2) ) )).

fof(fact_map__upds__list__update2__drop,axiom,(
    ! [V_y_2,V_m_2,V_ys_2,T_b,V_i_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),V_i_2))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)))
       => c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,hAPP(hAPP(c_List_Olist__update(T_b,V_ys_2),V_i_2),V_y_2)) = c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,V_ys_2) ) ) )).

fof(fact_nth__take__lemma,axiom,(
    ! [V_ys,V_xs,T_a,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_k),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys)))
       => ( ! [B_i] :
              ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),V_k))
             => hAPP(hAPP(c_List_Onth(T_a),V_xs),B_i) = hAPP(hAPP(c_List_Onth(T_a),V_ys),B_i) )
         => hAPP(hAPP(c_List_Otake(T_a),V_k),V_xs) = hAPP(hAPP(c_List_Otake(T_a),V_k),V_ys) ) ) ) )).

fof(fact_restrict__map__upds,axiom,(
    ! [V_m_2,V_D_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),V_D_2))
       => c_Map_Orestrict__map(T_a,T_b,c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,V_ys_2),V_D_2) = c_Map_Omap__upds(T_a,T_b,c_Map_Orestrict__map(T_a,T_b,V_m_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_D_2),hAPP(c_List_Oset(T_a),V_xs_2))),V_xs_2,V_ys_2) ) ) )).

fof(fact_restrict__map__insert,axiom,(
    ! [V_A_2,V_a_2,V_f_2,T_b,T_a] : c_Map_Orestrict__map(T_a,T_b,V_f_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_a_2),V_A_2)) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_f_2,V_A_2)),V_a_2),hAPP(V_f_2,V_a_2)) )).

fof(fact_restrict__restrict,axiom,(
    ! [V_B_2,V_A_2,V_m_2,T_b,T_a] : c_Map_Orestrict__map(T_a,T_b,c_Map_Orestrict__map(T_a,T_b,V_m_2,V_A_2),V_B_2) = c_Map_Orestrict__map(T_a,T_b,V_m_2,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) )).

fof(fact_restrict__in,axiom,(
    ! [V_m_2,T_b,V_A_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hAPP(c_Map_Orestrict__map(T_a,T_b,V_m_2,V_A_2),V_x_2) = hAPP(V_m_2,V_x_2) ) )).

fof(fact_dom__restrict,axiom,(
    ! [V_A_2,V_m_2,T_b,T_a] : c_Map_Odom(T_a,T_b,c_Map_Orestrict__map(T_a,T_b,V_m_2,V_A_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Map_Odom(T_a,T_b,V_m_2)),V_A_2) )).

fof(fact_fun__upd__restrict,axiom,(
    ! [V_y_2,V_x_2,V_D_2,V_m_2,T_b,T_a] : hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_m_2,V_D_2)),V_x_2),V_y_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_m_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_D_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),V_x_2),V_y_2) )).

fof(fact_fun__upd__restrict__conv,axiom,(
    ! [V_y_2,V_m_2,T_b,V_D_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_D_2))
     => hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_m_2,V_D_2)),V_x_2),V_y_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_m_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_D_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),V_x_2),V_y_2) ) )).

fof(fact_restrict__fun__upd,axiom,(
    ! [V_y_2,V_m_2,T_b,V_D_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_D_2))
       => c_Map_Orestrict__map(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_m_2),V_x_2),V_y_2),V_D_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_m_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_D_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))),V_x_2),V_y_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_D_2))
       => c_Map_Orestrict__map(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_m_2),V_x_2),V_y_2),V_D_2) = c_Map_Orestrict__map(T_a,T_b,V_m_2,V_D_2) ) ) )).

fof(fact_set__remove1__eq,axiom,(
    ! [V_x_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hAPP(c_List_Oset(T_a),c_List_Oremove1(T_a,V_x_2,V_xs_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) ) )).

fof(fact_take__Cons__number__of,axiom,(
    ! [V_xs,V_x,T_a,V_v] :
      ( ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = c_List_Olist_ONil(T_a) )
      & ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_xs)) ) ) )).

fof(fact_lists_ONil,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_List_Olists(T_a,V_A_2))) )).

fof(fact_listrel__Nil1,axiom,(
    ! [V_r_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),V_xs_2)),c_List_Olistrel(T_a,V_r_2)))
     => V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_listrel__Nil2,axiom,(
    ! [V_r_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),c_List_Olist_ONil(T_a))),c_List_Olistrel(T_a,V_r_2)))
     => V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_list__update__nonempty,axiom,(
    ! [V_x_2,V_k_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_k_2),V_x_2) = c_List_Olist_ONil(T_a)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_list__update_Osimps_I1_J,axiom,(
    ! [V_v,V_i,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,c_List_Olist_ONil(T_a)),V_i),V_v) = c_List_Olist_ONil(T_a) )).

fof(fact_list__update__code_I1_J,axiom,(
    ! [V_y,V_i,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,c_List_Olist_ONil(T_a)),V_i),V_y) = c_List_Olist_ONil(T_a) )).

fof(fact_set__empty,axiom,(
    ! [V_xs_2,T_a] :
      ( hAPP(c_List_Oset(T_a),V_xs_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_set__empty2,axiom,(
    ! [V_xs_2,T_a] :
      ( c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) = hAPP(c_List_Oset(T_a),V_xs_2)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_List_Oset_Osimps_I1_J,axiom,(
    ! [T_a] : hAPP(c_List_Oset(T_a),c_List_Olist_ONil(T_a)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_length__0__conv,axiom,(
    ! [V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_list_Osize_I3_J,axiom,(
    ! [T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_listsum__simps_I1_J,axiom,(
    ! [T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),c_List_Olist_ONil(T_a)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_zip_Osimps_I1_J,axiom,(
    ! [V_xs,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),c_List_Olist_ONil(T_b)) = c_List_Olist_ONil(tc_prod(T_a,T_b)) )).

fof(fact_zip__Nil,axiom,(
    ! [V_ys,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),c_List_Olist_ONil(T_a)),V_ys) = c_List_Olist_ONil(tc_prod(T_a,T_b)) )).

fof(fact_listrelp_ONil,axiom,(
    ! [V_r_2,T_a] : c_List_Olistrelp(T_a,V_r_2,c_List_Olist_ONil(T_a),c_List_Olist_ONil(T_a)) )).

fof(fact_listrelp_Oequations_I1_J,axiom,(
    ! [V_r_2,T_a] : c_List_Olistrelp(T_a,V_r_2,c_List_Olist_ONil(T_a),c_List_Olist_ONil(T_a)) )).

fof(fact_list_Osize_I1_J,axiom,(
    ! [V_fa_2,T_a] : c_List_Olist_Olist__size(T_a,V_fa_2,c_List_Olist_ONil(T_a)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_remove1_Osimps_I1_J,axiom,(
    ! [V_x,T_a] : c_List_Oremove1(T_a,V_x,c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_remove1__commute,axiom,(
    ! [V_zs,V_y,V_x,T_a] : c_List_Oremove1(T_a,V_x,c_List_Oremove1(T_a,V_y,V_zs)) = c_List_Oremove1(T_a,V_y,c_List_Oremove1(T_a,V_x,V_zs)) )).

fof(fact_sublist__nil,axiom,(
    ! [V_A_2,T_a] : c_List_Osublist(T_a,c_List_Olist_ONil(T_a),V_A_2) = c_List_Olist_ONil(T_a) )).

fof(fact_take__0,axiom,(
    ! [V_xs,T_a] : hAPP(hAPP(c_List_Otake(T_a),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_xs) = c_List_Olist_ONil(T_a) )).

fof(fact_take__eq__Nil,axiom,(
    ! [V_xs_2,V_n_2,T_a] :
      ( hAPP(hAPP(c_List_Otake(T_a),V_n_2),V_xs_2) = c_List_Olist_ONil(T_a)
    <=> ( V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        | V_xs_2 = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_take__Nil,axiom,(
    ! [V_n,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_n),c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_upto__empty,axiom,(
    ! [V_i,V_j] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_j),V_i))
     => c_List_Oupto(V_i,V_j) = c_List_Olist_ONil(tc_Int_Oint) ) )).

fof(fact_remove1_Osimps_I2_J,axiom,(
    ! [V_xs,T_a,V_y,V_x] :
      ( ( V_x = V_y
       => c_List_Oremove1(T_a,V_x,hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_xs)) = V_xs )
      & ( V_x != V_y
       => c_List_Oremove1(T_a,V_x,hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),c_List_Oremove1(T_a,V_x,V_xs)) ) ) )).

fof(fact_list_Osimps_I3_J,axiom,(
    ! [V_list_H,V_a_H,T_a] : hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_H),V_list_H) != c_List_Olist_ONil(T_a) )).

fof(fact_list_Osimps_I2_J,axiom,(
    ! [V_list_H,V_a_H,T_a] : c_List_Olist_ONil(T_a) != hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_H),V_list_H) )).

fof(fact_butlast_Osimps_I2_J,axiom,(
    ! [V_x,T_a,V_xs] :
      ( ( V_xs = c_List_Olist_ONil(T_a)
       => c_List_Obutlast(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = c_List_Olist_ONil(T_a) )
      & ( V_xs != c_List_Olist_ONil(T_a)
       => c_List_Obutlast(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Obutlast(T_a,V_xs)) ) ) )).

fof(fact_butlast_Osimps_I1_J,axiom,(
    ! [T_a] : c_List_Obutlast(T_a,c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_in__set__remove1,axiom,(
    ! [V_xs_2,T_a,V_b_2,V_a_2] :
      ( V_a_2 != V_b_2
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_List_Oset(T_a),c_List_Oremove1(T_a,V_b_2,V_xs_2))))
      <=> hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) ) )).

fof(fact_notin__set__remove1,axiom,(
    ! [V_y_2,V_xs_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Oremove1(T_a,V_y_2,V_xs_2)))) ) )).

fof(fact_remove1__idem,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => c_List_Oremove1(T_a,V_x_2,V_xs_2) = V_xs_2 ) )).

fof(fact_map__upds__Nil2,axiom,(
    ! [V_as_2,V_m_2,T_b,T_a] : c_Map_Omap__upds(T_a,T_b,V_m_2,V_as_2,c_List_Olist_ONil(T_b)) = V_m_2 )).

fof(fact_map__upds__Nil1,axiom,(
    ! [V_bs_2,V_m_2,T_b,T_a] : c_Map_Omap__upds(T_a,T_b,V_m_2,c_List_Olist_ONil(T_a),V_bs_2) = V_m_2 )).

fof(fact_distinct_Osimps_I1_J,axiom,(
    ! [T_a] : hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Olist_ONil(T_a))) )).

fof(fact_distinct__remove1,axiom,(
    ! [V_x,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Oremove1(T_a,V_x,V_xs))) ) )).

fof(fact_distinct__butlast,axiom,(
    ! [T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
       => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Obutlast(T_a,V_xs))) ) ) )).

fof(fact_sublist__empty,axiom,(
    ! [V_xs_2,T_a] : c_List_Osublist(T_a,V_xs_2,c_Orderings_Obot__class_Obot(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) = c_List_Olist_ONil(T_a) )).

fof(fact_set__remove1__subset,axiom,(
    ! [V_xs_2,V_x_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),c_List_Oremove1(T_a,V_x_2,V_xs_2))),hAPP(c_List_Oset(T_a),V_xs_2))) )).

fof(fact_length__greater__0__conv,axiom,(
    ! [V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
    <=> V_xs_2 != c_List_Olist_ONil(T_a) ) )).

fof(fact_take__1__Cons,axiom,(
    ! [V_xs,V_x,T_a] : hAPP(hAPP(c_List_Otake(T_a),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Olist_ONil(T_a)) )).

fof(fact_not__Nil__listrel1,axiom,(
    ! [V_r_2,V_xs_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),V_xs_2)),c_List_Olistrel1(T_a,V_r_2))) )).

fof(fact_not__listrel1__Nil,axiom,(
    ! [V_r_2,V_xs_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),c_List_Olist_ONil(T_a))),c_List_Olistrel1(T_a,V_r_2))) )).

fof(fact_listrel_ONil,axiom,(
    ! [V_r_2,T_a] : hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_List_Olist_ONil(T_a))),c_List_Olistrel(T_a,V_r_2))) )).

fof(fact_lexord__Nil__right,axiom,(
    ! [V_r_2,V_x_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),c_List_Olist_ONil(T_a))),c_List_Olexord(T_a,V_r_2))) )).

fof(fact_Nil__notin__lex,axiom,(
    ! [V_r_2,V_ys_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),V_ys_2)),c_List_Olex(T_a,V_r_2))) )).

fof(fact_Nil2__notin__lex,axiom,(
    ! [V_r_2,V_xs_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),c_List_Olist_ONil(T_a))),c_List_Olex(T_a,V_r_2))) )).

fof(fact_take__Cons,axiom,(
    ! [V_xs_2,V_x_2,V_n_2,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_n_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = c_Nat_Onat_Onat__case(tc_List_Olist(T_a),c_List_Olist_ONil(T_a),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_Nat_Onat),hAPP(c_List_Olist_OCons(T_a),V_x_2)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Otake(T_a)),V_xs_2)),V_n_2) )).

fof(fact_upto_Osimps,axiom,(
    ! [V_j,V_i] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i),V_j))
       => c_List_Oupto(V_i,V_j) = hAPP(hAPP(c_List_Olist_OCons(tc_Int_Oint),V_i),c_List_Oupto(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_j)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i),V_j))
       => c_List_Oupto(V_i,V_j) = c_List_Olist_ONil(tc_Int_Oint) ) ) )).

fof(fact_sublist__singleton,axiom,(
    ! [V_x_2,T_a,V_A_2] :
      ( ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_A_2))
       => c_List_Osublist(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)),V_A_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_A_2))
       => c_List_Osublist(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)),V_A_2) = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_lists__empty,axiom,(
    ! [T_a] : c_List_Olists(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = hAPP(hAPP(c_Set_Oinsert(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_Orderings_Obot__class_Obot(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))) )).

fof(fact_take__Cons_H,axiom,(
    ! [V_xs,V_x,T_a,V_n] :
      ( ( V_n = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Otake(T_a),V_n),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = c_List_Olist_ONil(T_a) )
      & ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Otake(T_a),V_n),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_xs)) ) ) )).

fof(fact_upto__rec__number__of,axiom,(
    ! [V_n,V_m] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_n)))
       => c_List_Oupto(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_m),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_n)) = hAPP(hAPP(c_List_Olist_OCons(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_m)),c_List_Oupto(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_m)),c_Groups_Oone__class_Oone(tc_Int_Oint)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_n))) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_n)))
       => c_List_Oupto(hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_m),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_n)) = c_List_Olist_ONil(tc_Int_Oint) ) ) )).

fof(fact_listrel__Nil,axiom,(
    ! [V_r_2,T_a] : hAPP(c_Relation_OImage(tc_List_Olist(T_a),tc_List_Olist(T_a),c_List_Olistrel(T_a,V_r_2)),hAPP(hAPP(c_Set_Oinsert(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_Orderings_Obot__class_Obot(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)))) = hAPP(hAPP(c_Set_Oinsert(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_Orderings_Obot__class_Obot(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))) )).

fof(fact_set__Cons__sing__Nil,axiom,(
    ! [V_A_2,T_a] : c_List_Oset__Cons(T_a,V_A_2,hAPP(hAPP(c_Set_Oinsert(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_Orderings_Obot__class_Obot(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)))) = hAPP(c_Set_Oimage(T_a,tc_List_Olist(T_a),hAPP(hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),c_List_Olist_ONil(T_a))),V_A_2) )).

fof(fact_length__remove1,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Oremove1(T_a,V_x_2,V_xs_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Oremove1(T_a,V_x_2,V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) ) ) )).

fof(fact_upto_Opsimps,axiom,(
    ! [V_j_2,V_i_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_List_Oupto__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_i_2),V_j_2)))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i_2),V_j_2))
         => c_List_Oupto(V_i_2,V_j_2) = hAPP(hAPP(c_List_Olist_OCons(tc_Int_Oint),V_i_2),c_List_Oupto(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i_2),c_Groups_Oone__class_Oone(tc_Int_Oint)),V_j_2)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),V_i_2),V_j_2))
         => c_List_Oupto(V_i_2,V_j_2) = c_List_Olist_ONil(tc_Int_Oint) ) ) ) )).

fof(fact_select,axiom,(
    ! [V_s_2,T_a,V_xs_2] :
      ( V_xs_2 != c_List_Olist_ONil(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Product__Type_Ofst(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral)),hAPP(c_Random_Oselect(T_a,V_xs_2),V_s_2))),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_listset_Osimps_I1_J,axiom,(
    ! [T_a] : c_List_Olistset(T_a,c_List_Olist_ONil(tc_fun(T_a,tc_HOL_Obool))) = hAPP(hAPP(c_Set_Oinsert(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_Orderings_Obot__class_Obot(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))) )).

fof(fact_zip__Cons1,axiom,(
    ! [V_ys_2,V_xs_2,V_x_2,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),V_ys_2) = hAPP(c_List_Olist_Olist__case(tc_List_Olist(tc_prod(T_a,T_b)),T_b,c_List_Olist_ONil(tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBC(T_b,tc_fun(tc_List_Olist(T_b),tc_List_Olist(tc_prod(T_a,T_b))),tc_fun(tc_List_Olist(T_b),tc_List_Olist(tc_prod(T_a,T_b)))),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(tc_prod(T_a,T_b))),tc_fun(tc_fun(tc_List_Olist(T_b),tc_List_Olist(tc_prod(T_a,T_b))),tc_fun(tc_List_Olist(T_b),tc_List_Olist(tc_prod(T_a,T_b)))),T_b),c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(T_b))),hAPP(hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(tc_prod(T_a,T_b))),T_b),c_List_Olist_OCons(tc_prod(T_a,T_b))),hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2)))),hAPP(c_List_Ozip(T_a,T_b),V_xs_2))),V_ys_2) )).

fof(fact_list_Osimps_I5_J,axiom,(
    ! [V_list_2,V_a_2,V_f2_2,V_f1_2,T_b,T_a] : hAPP(c_List_Olist_Olist__case(T_a,T_b,V_f1_2,V_f2_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_a_2),V_list_2)) = hAPP(hAPP(V_f2_2,V_a_2),V_list_2) )).

fof(fact_list_Osimps_I4_J,axiom,(
    ! [V_f2_2,V_f1_2,T_b,T_a] : hAPP(c_List_Olist_Olist__case(T_a,T_b,V_f1_2,V_f2_2),c_List_Olist_ONil(T_b)) = V_f1_2 )).

fof(fact_listset_Osimps_I2_J,axiom,(
    ! [V_As_2,V_A_2,T_a] : c_List_Olistset(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_As_2)) = c_List_Oset__Cons(T_a,V_A_2,c_List_Olistset(T_a,V_As_2)) )).

fof(fact_zip__Cons,axiom,(
    ! [V_ys_2,V_y_2,V_xs_2,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_y_2),V_ys_2)) = hAPP(c_List_Olist_Olist__case(tc_List_Olist(tc_prod(T_a,T_b)),T_a,c_List_Olist_ONil(tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_prod(T_a,T_b))),tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_prod(T_a,T_b)))),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(tc_prod(T_a,T_b))),tc_fun(tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_prod(T_a,T_b))),tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_prod(T_a,T_b)))),T_a),c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_List_Olist(tc_prod(T_a,T_b)),tc_List_Olist(tc_prod(T_a,T_b))),T_a),c_List_Olist_OCons(tc_prod(T_a,T_b))),hAPP(hAPP(c_COMBC(T_a,T_b,tc_prod(T_a,T_b)),c_Product__Type_OPair(T_a,T_b)),V_y_2)))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_b),tc_List_Olist(tc_prod(T_a,T_b))),c_List_Ozip(T_a,T_b)),V_ys_2))),V_xs_2) )).

fof(fact_sorted__list__of__set__remove,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_List_Olinorder__class_Osorted__list__of__set(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = c_List_Oremove1(T_a,V_x_2,c_List_Olinorder__class_Osorted__list__of__set(T_a,V_A_2)) ) ) )).

fof(fact_upto_Opinduct,axiom,(
    ! [V_P_2,V_a1_2,V_a0_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_List_Oupto__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a0_2),V_a1_2)))
     => ( ! [B_i,B_j] :
            ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_Int_Oint,tc_Int_Oint),c_List_Oupto__rel),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),B_i),B_j)))
           => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Int_Oint),B_i),B_j))
               => hBOOL(hAPP(hAPP(V_P_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_i),c_Groups_Oone__class_Oone(tc_Int_Oint))),B_j)) )
             => hBOOL(hAPP(hAPP(V_P_2,B_i),B_j)) ) )
       => hBOOL(hAPP(hAPP(V_P_2,V_a0_2),V_a1_2)) ) ) )).

fof(fact_sorted__list__of__set__empty,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted__list__of__set(T_a,c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) = c_List_Olist_ONil(T_a) ) )).

fof(fact_anamorph_Osimps,axiom,(
    ! [V_x_2,V_f_2,T_a,T_b,V_k_2] :
      ( ( V_k_2 = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(hAPP(c_Lazy__Sequence_Oanamorph(T_b,T_a,V_f_2),V_k_2),V_x_2) = hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),T_b),c_List_Olist_ONil(T_a)),V_x_2) )
      & ( V_k_2 != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(hAPP(c_Lazy__Sequence_Oanamorph(T_b,T_a,V_f_2),V_k_2),V_x_2) = hAPP(c_Option_Ooption_Ooption__case(tc_prod(tc_List_Olist(T_a),T_b),tc_prod(T_a,T_b),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),T_b),c_List_Olist_ONil(T_a)),V_x_2),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_prod(tc_List_Olist(T_a),T_b)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_prod(tc_List_Olist(T_a),T_b)),tc_fun(T_b,tc_prod(tc_List_Olist(T_a),T_b))),hAPP(hAPP(c_COMBB(tc_fun(tc_prod(tc_List_Olist(T_a),T_b),tc_prod(tc_List_Olist(T_a),T_b)),tc_fun(tc_fun(T_b,tc_prod(tc_List_Olist(T_a),T_b)),tc_fun(T_b,tc_prod(tc_List_Olist(T_a),T_b))),T_a),c_COMBB(tc_prod(tc_List_Olist(T_a),T_b),tc_prod(tc_List_Olist(T_a),T_b),T_b)),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_fun(T_b,tc_prod(tc_List_Olist(T_a),T_b))),tc_fun(tc_prod(tc_List_Olist(T_a),T_b),tc_prod(tc_List_Olist(T_a),T_b)),T_a),c_Product__Type_Oprod_Oprod__case(tc_List_Olist(T_a),T_b,tc_prod(tc_List_Olist(T_a),T_b))),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_List_Olist(T_a),tc_fun(T_b,tc_prod(tc_List_Olist(T_a),T_b))),T_a),hAPP(c_COMBB(tc_List_Olist(T_a),tc_fun(T_b,tc_prod(tc_List_Olist(T_a),T_b)),tc_List_Olist(T_a)),c_Product__Type_OPair(tc_List_Olist(T_a),T_b))),c_List_Olist_OCons(T_a))))),hAPP(c_Lazy__Sequence_Oanamorph(T_b,T_a,V_f_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_k_2),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)))))),hAPP(V_f_2,V_x_2)) ) ) )).

fof(fact_sublist__Cons,axiom,(
    ! [V_A_2,V_l_2,V_x_2,T_a] : c_List_Osublist(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_l_2),V_A_2) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(hAPP(c_If(tc_List_Olist(T_a)),hAPP(hAPP(c_member(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_A_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a))),c_List_Olist_ONil(T_a))),c_List_Osublist(T_a,V_l_2,hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),tc_Nat_Onat),c_member(tc_Nat_Onat)),c_Nat_OSuc)),V_A_2)))) )).

fof(fact_append1__eq__conv,axiom,(
    ! [V_y_2,V_ys_2,V_x_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a))) = hAPP(hAPP(c_List_Oappend(T_a),V_ys_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),c_List_Olist_ONil(T_a)))
    <=> ( V_xs_2 = V_ys_2
        & V_x_2 = V_y_2 ) ) )).

fof(fact_Cons__eq__append__conv,axiom,(
    ! [V_zs_2,V_ys_2,V_xs_2,V_x_2,T_a] :
      ( hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2) = hAPP(hAPP(c_List_Oappend(T_a),V_ys_2),V_zs_2)
    <=> ( ( V_ys_2 = c_List_Olist_ONil(T_a)
          & hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2) = V_zs_2 )
        | ? [B_ys_H] :
            ( hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),B_ys_H) = V_ys_2
            & V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),B_ys_H),V_zs_2) ) ) ) )).

fof(fact_append__eq__Cons__conv,axiom,(
    ! [V_xs_2,V_x_2,V_zs_2,V_ys_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_ys_2),V_zs_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)
    <=> ( ( V_ys_2 = c_List_Olist_ONil(T_a)
          & V_zs_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2) )
        | ? [B_ys_H] :
            ( V_ys_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),B_ys_H)
            & hAPP(hAPP(c_List_Oappend(T_a),B_ys_H),V_zs_2) = V_xs_2 ) ) ) )).

fof(fact_Cons__eq__appendI,axiom,(
    ! [V_zs,V_xs,V_ys,V_xs1,V_x,T_a] :
      ( hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs1) = V_ys
     => ( V_xs = hAPP(hAPP(c_List_Oappend(T_a),V_xs1),V_zs)
       => hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs) = hAPP(hAPP(c_List_Oappend(T_a),V_ys),V_zs) ) ) )).

fof(fact_append__Cons,axiom,(
    ! [V_ys,V_xs,V_x,T_a] : hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)),V_ys) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) )).

fof(fact_set__append,axiom,(
    ! [V_ys_2,V_xs_2,T_a] : hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(c_List_Oset(T_a),V_ys_2)) )).

fof(fact_zip__append,axiom,(
    ! [V_vs,V_ys,V_us,T_b,V_xs,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_us)
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_vs)
       => hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),hAPP(hAPP(c_List_Oappend(T_b),V_us),V_vs)) = hAPP(hAPP(c_List_Oappend(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_us)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_ys),V_vs)) ) ) )).

fof(fact_length__append,axiom,(
    ! [V_ys,V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys)) )).

fof(fact_listsum__append,axiom,(
    ! [V_ys,V_xs,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),V_xs)),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),V_ys)) ) )).

fof(fact_append__assoc,axiom,(
    ! [V_zs,V_ys,V_xs,T_a] : hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),V_zs) = hAPP(hAPP(c_List_Oappend(T_a),V_xs),hAPP(hAPP(c_List_Oappend(T_a),V_ys),V_zs)) )).

fof(fact_append__eq__append__conv2,axiom,(
    ! [V_ts_2,V_zs_2,V_ys_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2) = hAPP(hAPP(c_List_Oappend(T_a),V_zs_2),V_ts_2)
    <=> ? [B_us] :
          ( ( V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),V_zs_2),B_us)
            & hAPP(hAPP(c_List_Oappend(T_a),B_us),V_ys_2) = V_ts_2 )
          | ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),B_us) = V_zs_2
            & V_ys_2 = hAPP(hAPP(c_List_Oappend(T_a),B_us),V_ts_2) ) ) ) )).

fof(fact_same__append__eq,axiom,(
    ! [V_zs_2,V_ys_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2) = hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_zs_2)
    <=> V_ys_2 = V_zs_2 ) )).

fof(fact_append__same__eq,axiom,(
    ! [V_zs_2,V_xs_2,V_ys_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_ys_2),V_xs_2) = hAPP(hAPP(c_List_Oappend(T_a),V_zs_2),V_xs_2)
    <=> V_ys_2 = V_zs_2 ) )).

fof(fact_append__eq__appendI,axiom,(
    ! [V_us,V_ys,V_zs,V_xs1,V_xs,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_xs1) = V_zs
     => ( V_ys = hAPP(hAPP(c_List_Oappend(T_a),V_xs1),V_us)
       => hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys) = hAPP(hAPP(c_List_Oappend(T_a),V_zs),V_us) ) ) )).

fof(fact_append__in__lists__conv,axiom,(
    ! [V_A_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)),c_List_Olists(T_a,V_A_2)))
    <=> ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_xs_2),c_List_Olists(T_a,V_A_2)))
        & hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_ys_2),c_List_Olists(T_a,V_A_2))) ) ) )).

fof(fact_fun__upds__append2__drop,axiom,(
    ! [V_zs_2,V_m_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,hAPP(hAPP(c_List_Oappend(T_b),V_ys_2),V_zs_2)) = c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,V_ys_2) ) )).

fof(fact_fun__upds__append__drop,axiom,(
    ! [V_zs_2,V_m_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => c_Map_Omap__upds(T_a,T_b,V_m_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_zs_2),V_ys_2) = c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,V_ys_2) ) )).

fof(fact_butlast__append,axiom,(
    ! [V_xs,T_a,V_ys] :
      ( ( V_ys = c_List_Olist_ONil(T_a)
       => c_List_Obutlast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = c_List_Obutlast(T_a,V_xs) )
      & ( V_ys != c_List_Olist_ONil(T_a)
       => c_List_Obutlast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_List_Oappend(T_a),V_xs),c_List_Obutlast(T_a,V_ys)) ) ) )).

fof(fact_eq__Nil__appendI,axiom,(
    ! [T_a,V_ys,V_xs] :
      ( V_xs = V_ys
     => V_xs = hAPP(hAPP(c_List_Oappend(T_a),c_List_Olist_ONil(T_a)),V_ys) ) )).

fof(fact_append__self__conv2,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2) = V_ys_2
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_append__self__conv,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2) = V_xs_2
    <=> V_ys_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_append__is__Nil__conv,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2) = c_List_Olist_ONil(T_a)
    <=> ( V_xs_2 = c_List_Olist_ONil(T_a)
        & V_ys_2 = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_self__append__conv2,axiom,(
    ! [V_xs_2,T_a,V_ys_2] :
      ( V_ys_2 = hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_self__append__conv,axiom,(
    ! [V_ys_2,T_a,V_xs_2] :
      ( V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)
    <=> V_ys_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_append__Nil2,axiom,(
    ! [V_xs,T_a] : hAPP(hAPP(c_List_Oappend(T_a),V_xs),c_List_Olist_ONil(T_a)) = V_xs )).

fof(fact_Nil__is__append__conv,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( c_List_Olist_ONil(T_a) = hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)
    <=> ( V_xs_2 = c_List_Olist_ONil(T_a)
        & V_ys_2 = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_append__Nil,axiom,(
    ! [V_ys,T_a] : hAPP(hAPP(c_List_Oappend(T_a),c_List_Olist_ONil(T_a)),V_ys) = V_ys )).

fof(fact_nth__append__length,axiom,(
    ! [V_ys,V_x,V_xs,T_a] : hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_ys))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)) = V_x )).

fof(fact_nth__append__length__plus,axiom,(
    ! [V_n,V_ys,V_xs,T_a] : hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_n)) = hAPP(hAPP(c_List_Onth(T_a),V_ys),V_n) )).

fof(fact_take__append,axiom,(
    ! [V_ys,V_xs,V_n,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_n),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)),hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))),V_ys)) )).

fof(fact_list__update__append1,axiom,(
    ! [V_x,V_ys,V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),V_i),V_x) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_x)),V_ys) ) )).

fof(fact_list__update__length,axiom,(
    ! [V_y,V_ys,V_x,V_xs,T_a] : hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_ys))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_y) = hAPP(hAPP(c_List_Oappend(T_a),V_xs),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_ys)) )).

fof(fact_remove1__append,axiom,(
    ! [V_ys_2,V_xs_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Oremove1(T_a,V_x_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = hAPP(hAPP(c_List_Oappend(T_a),c_List_Oremove1(T_a,V_x_2,V_xs_2)),V_ys_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Oremove1(T_a,V_x_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),c_List_Oremove1(T_a,V_x_2,V_ys_2)) ) ) )).

fof(fact_in__set__butlast__appendI,axiom,(
    ! [V_ys_2,V_xs_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Obutlast(T_a,V_xs_2))))
        | hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Obutlast(T_a,V_ys_2)))) )
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Obutlast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2))))) ) )).

fof(fact_butlast__snoc,axiom,(
    ! [V_x,V_xs,T_a] : c_List_Obutlast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Olist_ONil(T_a)))) = V_xs )).

fof(fact_append__listrel1I,axiom,(
    ! [V_vs_2,V_us_2,V_r_2,V_ys_2,V_xs_2,T_a] :
      ( ( ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2)))
          & V_us_2 = V_vs_2 )
        | ( V_xs_2 = V_ys_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_us_2),V_vs_2)),c_List_Olistrel1(T_a,V_r_2))) ) )
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_us_2)),hAPP(hAPP(c_List_Oappend(T_a),V_ys_2),V_vs_2))),c_List_Olistrel1(T_a,V_r_2))) ) )).

fof(fact_lexord__append__leftI,axiom,(
    ! [V_x_2,V_r_2,V_v_2,V_u_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_u_2),V_v_2)),c_List_Olexord(T_a,V_r_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Oappend(T_a),V_x_2),V_u_2)),hAPP(hAPP(c_List_Oappend(T_a),V_x_2),V_v_2))),c_List_Olexord(T_a,V_r_2))) ) )).

fof(fact_distinct__append,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)))
    <=> ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
        & hBOOL(hAPP(c_List_Odistinct(T_a),V_ys_2))
        & hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(c_List_Oset(T_a),V_ys_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )).

fof(fact_nth__append,axiom,(
    ! [V_ys,V_xs,T_a,V_n] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
       => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),V_n) = hAPP(hAPP(c_List_Onth(T_a),V_xs),V_n) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
       => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),V_n) = hAPP(hAPP(c_List_Onth(T_a),V_ys),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))) ) ) )).

fof(fact_list__update__append,axiom,(
    ! [V_x,V_ys,V_xs,T_a,V_n] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
       => hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),V_n),V_x) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_n),V_x)),V_ys) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
       => hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),V_n),V_x) = hAPP(hAPP(c_List_Oappend(T_a),V_xs),hAPP(hAPP(c_List_Olist__update(T_a,V_ys),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))),V_x)) ) ) )).

fof(fact_sublist__append,axiom,(
    ! [V_A_2,V_l_H_2,V_l_2,T_a] : c_List_Osublist(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_l_2),V_l_H_2),V_A_2) = hAPP(hAPP(c_List_Oappend(T_a),c_List_Osublist(T_a,V_l_2,V_A_2)),c_List_Osublist(T_a,V_l_H_2,hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),tc_Nat_Onat),c_member(tc_Nat_Onat)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_Nat_Onat),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_l_2)))),V_A_2)))) )).

fof(fact_listrel1I,axiom,(
    ! [V_ys_2,V_vs_2,V_us_2,V_xs_2,V_r_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2))
     => ( V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),V_us_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_vs_2))
       => ( V_ys_2 = hAPP(hAPP(c_List_Oappend(T_a),V_us_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_vs_2))
         => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2))) ) ) ) )).

fof(fact_lexord__append__left__rightI,axiom,(
    ! [V_y_2,V_x_2,V_u_2,V_r_2,V_b_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_a_2),V_b_2)),V_r_2))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Oappend(T_a),V_u_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_2),V_x_2))),hAPP(hAPP(c_List_Oappend(T_a),V_u_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_b_2),V_y_2)))),c_List_Olexord(T_a,V_r_2))) ) )).

fof(fact_take__Suc__conv__app__nth,axiom,(
    ! [V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_OSuc,V_i)),V_xs) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Otake(T_a),V_i),V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i)),c_List_Olist_ONil(T_a))) ) )).

fof(fact_snoc__listrel1__snoc__iff,axiom,(
    ! [V_r_2,V_y_2,V_ys_2,V_x_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)))),hAPP(hAPP(c_List_Oappend(T_a),V_ys_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),c_List_Olist_ONil(T_a))))),c_List_Olistrel1(T_a,V_r_2)))
    <=> ( ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2)))
          & V_x_2 = V_y_2 )
        | ( V_xs_2 = V_ys_2
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),V_r_2)) ) ) ) )).

fof(fact_listrel1E,axiom,(
    ! [V_r_2,V_ys_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2)),c_List_Olistrel1(T_a,V_r_2)))
     => ~ ! [B_x,B_y] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_x),B_y)),V_r_2))
           => ! [B_us,B_vs] :
                ( V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),B_us),hAPP(hAPP(c_List_Olist_OCons(T_a),B_x),B_vs))
               => V_ys_2 != hAPP(hAPP(c_List_Oappend(T_a),B_us),hAPP(hAPP(c_List_Olist_OCons(T_a),B_y),B_vs)) ) ) ) )).

fof(fact_lexord__append__leftD,axiom,(
    ! [V_r_2,V_v_2,V_u_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_List_Oappend(T_a),V_x_2),V_u_2)),hAPP(hAPP(c_List_Oappend(T_a),V_x_2),V_v_2))),c_List_Olexord(T_a,V_r_2)))
     => ( ! [B_a] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),B_a),B_a)),V_r_2))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_u_2),V_v_2)),c_List_Olexord(T_a,V_r_2))) ) ) )).

fof(fact_rotate1__def,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Orotate1(T_a),V_xs_2) = hAPP(c_List_Olist_Olist__case(tc_List_Olist(T_a),T_a,c_List_Olist_ONil(T_a),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),T_a),hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Oappend(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),c_List_Olist_ONil(T_a)))),V_xs_2) )).

fof(fact_map__upds__append1,axiom,(
    ! [V_x_2,V_m_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)))
     => c_Map_Omap__upds(T_a,T_b,V_m_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a))),V_ys_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,V_ys_2)),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),hAPP(hAPP(c_List_Onth(T_b),V_ys_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))) ) )).

fof(fact_image__map__upd,axiom,(
    ! [V_y_2,V_m_2,T_b,V_A_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hAPP(c_Set_Oimage(T_a,tc_Option_Ooption(T_b),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_m_2),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2))),V_A_2) = hAPP(c_Set_Oimage(T_a,tc_Option_Ooption(T_b),V_m_2),V_A_2) ) )).

fof(fact_set__rotate1,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Oset(T_a),hAPP(c_List_Orotate1(T_a),V_xs_2)) = hAPP(c_List_Oset(T_a),V_xs_2) )).

fof(fact_length__rotate1,axiom,(
    ! [V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Orotate1(T_a),V_xs)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs) )).

fof(fact_dom__const,axiom,(
    ! [V_f_2,T_b,T_a] : c_Map_Odom(T_a,T_b,hAPP(hAPP(c_COMBB(T_b,tc_Option_Ooption(T_b),T_a),c_Option_Ooption_OSome(T_b)),V_f_2)) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_domI,axiom,(
    ! [T_b,V_b_2,T_a,V_a_2,V_m_2] :
      ( hAPP(V_m_2,V_a_2) = hAPP(c_Option_Ooption_OSome(T_a),V_b_2)
     => hBOOL(hAPP(hAPP(c_member(T_b),V_a_2),c_Map_Odom(T_b,T_a,V_m_2))) ) )).

fof(fact_insert__dom,axiom,(
    ! [T_b,V_y_2,T_a,V_x_2,V_f_2] :
      ( hAPP(V_f_2,V_x_2) = hAPP(c_Option_Ooption_OSome(T_a),V_y_2)
     => hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),c_Map_Odom(T_b,T_a,V_f_2)) = c_Map_Odom(T_b,T_a,V_f_2) ) )).

fof(fact_distinct1__rotate,axiom,(
    ! [V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(c_List_Orotate1(T_a),V_xs_2)))
    <=> hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) )).

fof(fact_map__upd__Some__unfold,axiom,(
    ! [V_y_2,V_x_2,V_b_2,V_a_2,V_m_2,T_a,T_b] :
      ( hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),V_m_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_a),V_b_2)),V_x_2) = hAPP(c_Option_Ooption_OSome(T_a),V_y_2)
    <=> ( ( V_x_2 = V_a_2
          & V_b_2 = V_y_2 )
        | ( V_x_2 != V_a_2
          & hAPP(V_m_2,V_x_2) = hAPP(c_Option_Ooption_OSome(T_a),V_y_2) ) ) ) )).

fof(fact_map__upd__triv,axiom,(
    ! [T_b,V_x_2,T_a,V_k_2,V_t_2] :
      ( hAPP(V_t_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_x_2)
     => hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),V_t_2),V_k_2),hAPP(c_Option_Ooption_OSome(T_a),V_x_2)) = V_t_2 ) )).

fof(fact_map__upd__eqD1,axiom,(
    ! [V_y_2,V_n_2,V_x_2,V_a_2,V_m_2,T_b,T_a] :
      ( hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_m_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_b),V_x_2)) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_n_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2))
     => V_x_2 = V_y_2 ) )).

fof(fact_rotate1__is__Nil__conv,axiom,(
    ! [V_xs_2,T_a] :
      ( hAPP(c_List_Orotate1(T_a),V_xs_2) = c_List_Olist_ONil(T_a)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_map__upds__Cons,axiom,(
    ! [V_bs_2,V_b_2,V_as_2,V_a_2,V_m_2,T_b,T_a] : c_Map_Omap__upds(T_a,T_b,V_m_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_2),V_as_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_b_2),V_bs_2)) = c_Map_Omap__upds(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_m_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_b),V_b_2)),V_as_2,V_bs_2) )).

fof(fact_WT_Oequations_I7_J,axiom,(
    ! [V_a_2] :
      ( hBOOL(hAPP(c_Com_OWT,hAPP(c_Com_Ocom_OBODY,V_a_2)))
    <=> ? [B_y] : hAPP(c_Com_Obody,V_a_2) = hAPP(c_Option_Ooption_OSome(tc_Com_Ocom),B_y) ) )).

fof(fact_finite__range__updI,axiom,(
    ! [V_b_2,V_a_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Option_Ooption(T_a)),hAPP(c_Set_Oimage(T_b,tc_Option_Ooption(T_a),V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Option_Ooption(T_a)),hAPP(c_Set_Oimage(T_b,tc_Option_Ooption(T_a),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),V_f_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_a),V_b_2))),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))) ) )).

fof(fact_WT__bodiesD,axiom,(
    ! [V_b,V_pn] :
      ( c_Com_OWT__bodies
     => ( hAPP(c_Com_Obody,V_pn) = hAPP(c_Option_Ooption_OSome(tc_Com_Ocom),V_b)
       => hBOOL(hAPP(c_Com_OWT,V_b)) ) ) )).

fof(fact_map__upds__twist,axiom,(
    ! [V_bs_2,V_b_2,V_m_2,T_b,V_as_2,V_a_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_List_Oset(T_a),V_as_2)))
     => c_Map_Omap__upds(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_m_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_b),V_b_2)),V_as_2,V_bs_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Omap__upds(T_a,T_b,V_m_2,V_as_2,V_bs_2)),V_a_2),hAPP(c_Option_Ooption_OSome(T_b),V_b_2)) ) )).

fof(fact_restrict__upd__same,axiom,(
    ! [V_y_2,V_x_2,V_m_2,T_b,T_a] : c_Map_Orestrict__map(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_m_2),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2)),hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = c_Map_Orestrict__map(T_a,T_b,V_m_2,hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) )).

fof(fact_rotate__simps,axiom,(
    ! [V_xs,V_x,T_b,T_a] :
      ( hAPP(c_List_Orotate1(T_a),c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a)
      & hAPP(c_List_Orotate1(T_b),hAPP(hAPP(c_List_Olist_OCons(T_b),V_x),V_xs)) = hAPP(hAPP(c_List_Oappend(T_b),V_xs),hAPP(hAPP(c_List_Olist_OCons(T_b),V_x),c_List_Olist_ONil(T_b))) ) )).

fof(fact_rotate1__length01,axiom,(
    ! [V_xs,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat)))
     => hAPP(c_List_Orotate1(T_a),V_xs) = V_xs ) )).

fof(fact_map__upd__upds__conv__if,axiom,(
    ! [V_y_2,V_f_2,V_xs_2,V_ys_2,T_b,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)),V_xs_2))))
       => c_Map_Omap__upds(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_f_2),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2)),V_xs_2,V_ys_2) = c_Map_Omap__upds(T_a,T_b,V_f_2,V_xs_2,V_ys_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)),V_xs_2))))
       => c_Map_Omap__upds(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_f_2),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2)),V_xs_2,V_ys_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Omap__upds(T_a,T_b,V_f_2,V_xs_2,V_ys_2)),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2)) ) ) )).

fof(fact_option_Osize_I2_J,axiom,(
    ! [V_a_2,V_fa_2,T_a] : c_Option_Ooption_Ooption__size(T_a,V_fa_2,hAPP(c_Option_Ooption_OSome(T_a),V_a_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(V_fa_2,V_a_2)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_option_Osimps_I5_J,axiom,(
    ! [V_a_2,V_f2_2,V_f1_2,T_b,T_a] : hAPP(c_Option_Ooption_Ooption__case(T_a,T_b,V_f1_2,V_f2_2),hAPP(c_Option_Ooption_OSome(T_b),V_a_2)) = hAPP(V_f2_2,V_a_2) )).

fof(fact_inj__Some,axiom,(
    ! [V_A_2,T_a] : c_Fun_Oinj__on(T_a,tc_Option_Ooption(T_a),c_Option_Ooption_OSome(T_a),V_A_2) )).

fof(fact_option_Oinject,axiom,(
    ! [V_a_H_2,V_a_2,T_a] :
      ( hAPP(c_Option_Ooption_OSome(T_a),V_a_2) = hAPP(c_Option_Ooption_OSome(T_a),V_a_H_2)
    <=> V_a_2 = V_a_H_2 ) )).

fof(fact_the_Osimps,axiom,(
    ! [V_x,T_a] : hAPP(c_Option_Othe(T_a),hAPP(c_Option_Ooption_OSome(T_a),V_x)) = V_x )).

fof(fact_WTs__elim__cases_I7_J,axiom,(
    ! [V_P] :
      ( hBOOL(hAPP(c_Com_OWT,hAPP(c_Com_Ocom_OBODY,V_P)))
     => ~ ! [B_y] : hAPP(c_Com_Obody,V_P) != hAPP(c_Option_Ooption_OSome(tc_Com_Ocom),B_y) ) )).

fof(fact_Option_Oset_Osimps_I2_J,axiom,(
    ! [V_x_2,T_a] : c_Option_Oset(T_a,hAPP(c_Option_Ooption_OSome(T_a),V_x_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))) )).

fof(fact_elem__set,axiom,(
    ! [V_xo_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),c_Option_Oset(T_a,V_xo_2)))
    <=> V_xo_2 = hAPP(c_Option_Ooption_OSome(T_a),V_x_2) ) )).

fof(fact_upd__conv__take__nth__drop,axiom,(
    ! [V_a,V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_i),V_a) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Otake(T_a),V_i),V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_a),hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_OSuc,V_i)),V_xs))) ) )).

fof(fact_id__take__nth__drop,axiom,(
    ! [V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => V_xs = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Otake(T_a),V_i),V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i)),hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_OSuc,V_i)),V_xs))) ) )).

fof(fact_drop__Nil,axiom,(
    ! [V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n),c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_distinct__drop,axiom,(
    ! [V_i,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_i),V_xs))) ) )).

fof(fact_butlast__drop,axiom,(
    ! [V_xs,V_n,T_a] : c_List_Obutlast(T_a,hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),V_n),c_List_Obutlast(T_a,V_xs)) )).

fof(fact_drop__butlast,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n),c_List_Obutlast(T_a,V_xs)) = c_List_Obutlast(T_a,hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) )).

fof(fact_drop__take,axiom,(
    ! [V_xs,V_m,V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(hAPP(c_List_Otake(T_a),V_m),V_xs)) = hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_m),V_n)),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) )).

fof(fact_take__drop,axiom,(
    ! [V_xs,V_m,V_n,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_n),hAPP(hAPP(c_List_Odrop(T_a),V_m),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),V_m),hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m)),V_xs)) )).

fof(fact_drop__0,axiom,(
    ! [V_xs,T_a] : hAPP(hAPP(c_List_Odrop(T_a),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_xs) = V_xs )).

fof(fact_drop__drop,axiom,(
    ! [V_xs,V_m,V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(hAPP(c_List_Odrop(T_a),V_m),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m)),V_xs) )).

fof(fact_drop__zip,axiom,(
    ! [V_ys,V_xs,V_n,T_b,T_a] : hAPP(hAPP(c_List_Odrop(tc_prod(T_a,T_b)),V_n),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)) = hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)),hAPP(hAPP(c_List_Odrop(T_b),V_n),V_ys)) )).

fof(fact_length__drop,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_n) )).

fof(fact_in__set__dropD,axiom,(
    ! [V_xs_2,V_n_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n_2),V_xs_2))))
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_set__drop__subset,axiom,(
    ! [V_xs_2,V_n_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n_2),V_xs_2))),hAPP(c_List_Oset(T_a),V_xs_2))) )).

fof(fact_drop__Suc__Cons,axiom,(
    ! [V_xs,V_x,V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_OSuc,V_n)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs) )).

fof(fact_drop__1__Cons,axiom,(
    ! [V_xs,V_x,T_a] : hAPP(hAPP(c_List_Odrop(T_a),c_Groups_Oone__class_Oone(tc_Nat_Onat)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = V_xs )).

fof(fact_nth__via__drop,axiom,(
    ! [V_ys,V_y,V_xs,V_n,T_a] :
      ( hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_ys)
     => hAPP(hAPP(c_List_Onth(T_a),V_xs),V_n) = V_y ) )).

fof(fact_append__take__drop__id,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) = V_xs )).

fof(fact_set__drop__subset__set__drop,axiom,(
    ! [V_xs_2,T_a,V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2),V_m_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_m_2),V_xs_2))),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n_2),V_xs_2)))) ) )).

fof(fact_drop__eq__Nil,axiom,(
    ! [V_xs_2,V_n_2,T_a] :
      ( hAPP(hAPP(c_List_Odrop(T_a),V_n_2),V_xs_2) = c_List_Olist_ONil(T_a)
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),V_n_2)) ) )).

fof(fact_drop__all,axiom,(
    ! [V_n,V_xs,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_n))
     => hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs) = c_List_Olist_ONil(T_a) ) )).

fof(fact_drop__append,axiom,(
    ! [V_ys,V_xs,V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)),hAPP(hAPP(c_List_Odrop(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))),V_ys)) )).

fof(fact_append__eq__conv__conj,axiom,(
    ! [V_zs_2,V_ys_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2) = V_zs_2
    <=> ( V_xs_2 = hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),V_zs_2)
        & V_ys_2 = hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),V_zs_2) ) ) )).

fof(fact_drop__Cons,axiom,(
    ! [V_xs_2,V_x_2,V_n_2,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = c_Nat_Onat_Onat__case(tc_List_Olist(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Odrop(T_a)),V_xs_2),V_n_2) )).

fof(fact_drop__Cons_H,axiom,(
    ! [V_xs,V_x,T_a,V_n] :
      ( ( V_n = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs) )
      & ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_xs) ) ) )).

fof(fact_nth__drop,axiom,(
    ! [V_xs,T_a,V_i,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_i)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)),V_i) = hAPP(hAPP(c_List_Onth(T_a),V_xs),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_i)) ) )).

fof(fact_append__eq__append__conv__if,axiom,(
    ! [V_ys_092_060_094isub_0622_2,V_ys_092_060_094isub_0621_2,V_xs_092_060_094isub_0622_2,V_xs_092_060_094isub_0621_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_092_060_094isub_0621_2),V_xs_092_060_094isub_0622_2) = hAPP(hAPP(c_List_Oappend(T_a),V_ys_092_060_094isub_0621_2),V_ys_092_060_094isub_0622_2)
    <=> ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_092_060_094isub_0621_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_092_060_094isub_0621_2)))
         => ( V_xs_092_060_094isub_0621_2 = hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_092_060_094isub_0621_2)),V_ys_092_060_094isub_0621_2)
            & V_xs_092_060_094isub_0622_2 = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_092_060_094isub_0621_2)),V_ys_092_060_094isub_0621_2)),V_ys_092_060_094isub_0622_2) ) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_092_060_094isub_0621_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_092_060_094isub_0621_2)))
         => ( hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_092_060_094isub_0621_2)),V_xs_092_060_094isub_0621_2) = V_ys_092_060_094isub_0621_2
            & hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_092_060_094isub_0621_2)),V_xs_092_060_094isub_0621_2)),V_xs_092_060_094isub_0622_2) = V_ys_092_060_094isub_0622_2 ) ) ) ) )).

fof(fact_nth__drop_H,axiom,(
    ! [V_xs,T_a,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Olist_OCons(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i)),hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_OSuc,V_i)),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),V_i),V_xs) ) )).

fof(fact_drop__Cons__number__of,axiom,(
    ! [V_xs,V_x,T_a,V_v] :
      ( ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs) )
      & ( hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v) != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_v)),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_xs) ) ) )).

fof(fact_take__add,axiom,(
    ! [V_xs,T_a,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_j)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_j)),V_xs) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Otake(T_a),V_i),V_xs)),hAPP(hAPP(c_List_Otake(T_a),V_j),hAPP(hAPP(c_List_Odrop(T_a),V_i),V_xs))) ) )).

fof(fact_zip__append2,axiom,(
    ! [V_zs,V_ys,V_xs,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),hAPP(hAPP(c_List_Oappend(T_b),V_ys),V_zs)) = hAPP(hAPP(c_List_Oappend(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys)),V_xs)),V_ys)),hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys)),V_xs)),V_zs)) )).

fof(fact_zip__append1,axiom,(
    ! [V_zs,V_ys,V_xs,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)),V_zs) = hAPP(hAPP(c_List_Oappend(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),hAPP(hAPP(c_List_Otake(T_b),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_zs))),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_ys),hAPP(hAPP(c_List_Odrop(T_b),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_zs))) )).

fof(fact_take__hd__drop,axiom,(
    ! [V_xs,T_a,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_a),hAPP(c_List_Ohd(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs))),c_List_Olist_ONil(T_a))) = hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_OSuc,V_n)),V_xs) ) )).

fof(fact_hd__drop__conv__nth,axiom,(
    ! [V_n,T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
       => hAPP(c_List_Ohd(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) = hAPP(hAPP(c_List_Onth(T_a),V_xs),V_n) ) ) )).

fof(fact_hd_Osimps,axiom,(
    ! [V_xs,V_x,T_a] : hAPP(c_List_Ohd(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = V_x )).

fof(fact_hd__append2,axiom,(
    ! [V_ys,T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(c_List_Ohd(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(c_List_Ohd(T_a),V_xs) ) )).

fof(fact_hd__append,axiom,(
    ! [V_ys,T_a,V_xs] :
      ( ( V_xs = c_List_Olist_ONil(T_a)
       => hAPP(c_List_Ohd(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(c_List_Ohd(T_a),V_ys) )
      & ( V_xs != c_List_Olist_ONil(T_a)
       => hAPP(c_List_Ohd(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(c_List_Ohd(T_a),V_xs) ) ) )).

fof(fact_hd__in__set,axiom,(
    ! [T_a,V_xs_2] :
      ( V_xs_2 != c_List_Olist_ONil(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_List_Ohd(T_a),V_xs_2)),hAPP(c_List_Oset(T_a),V_xs_2))) ) )).

fof(fact_hd__conv__nth,axiom,(
    ! [T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(c_List_Ohd(T_a),V_xs) = hAPP(hAPP(c_List_Onth(T_a),V_xs),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) ) )).

fof(fact_rotate1__hd__tl,axiom,(
    ! [T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(c_List_Orotate1(T_a),V_xs) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(c_List_Otl(T_a),V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_a),hAPP(c_List_Ohd(T_a),V_xs)),c_List_Olist_ONil(T_a))) ) )).

fof(fact_option_Osize_I4_J,axiom,(
    ! [V_a,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_Option_Ooption(T_a)),hAPP(c_Option_Ooption_OSome(T_a),V_a)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_drop__tl,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(c_List_Otl(T_a),V_xs)) = hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) )).

fof(fact_tl__drop,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(c_List_Otl(T_a),V_xs)) )).

fof(fact_tl_Osimps_I1_J,axiom,(
    ! [T_a] : hAPP(c_List_Otl(T_a),c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_distinct__tl,axiom,(
    ! [V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(c_List_Otl(T_a),V_xs))) ) )).

fof(fact_tl_Osimps_I2_J,axiom,(
    ! [V_xs,V_x,T_a] : hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = V_xs )).

fof(fact_tl__append2,axiom,(
    ! [V_ys,T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(c_List_Otl(T_a),V_xs)),V_ys) ) )).

fof(fact_take__tl,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_n),hAPP(c_List_Otl(T_a),V_xs)) = hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_OSuc,V_n)),V_xs)) )).

fof(fact_drop__Suc,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_OSuc,V_n)),V_xs) = hAPP(hAPP(c_List_Odrop(T_a),V_n),hAPP(c_List_Otl(T_a),V_xs)) )).

fof(fact_tl__append,axiom,(
    ! [V_ys_2,V_xs_2,T_a] : hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = hAPP(c_List_Olist_Olist__case(tc_List_Olist(T_a),T_a,hAPP(c_List_Otl(T_a),V_ys_2),hAPP(c_COMBK(tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),T_a),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Oappend(T_a)),V_ys_2))),V_xs_2) )).

fof(fact_length__tl,axiom,(
    ! [V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Otl(T_a),V_xs)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat)) )).

fof(fact_tl__take,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)) = hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat))),hAPP(c_List_Otl(T_a),V_xs)) )).

fof(fact_take__Suc,axiom,(
    ! [V_n,T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_OSuc,V_n)),V_xs) = hAPP(hAPP(c_List_Olist_OCons(T_a),hAPP(c_List_Ohd(T_a),V_xs)),hAPP(hAPP(c_List_Otake(T_a),V_n),hAPP(c_List_Otl(T_a),V_xs))) ) )).

fof(fact_fold1__set,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Lattices_Oab__semigroup__idem__mult(T_a)
     => ( V_xs_2 != c_List_Olist_ONil(T_a)
       => hAPP(c_Finite__Set_Ofold1(T_a,c_Groups_Otimes__class_Otimes(T_a)),hAPP(c_List_Oset(T_a),V_xs_2)) = hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Otimes__class_Otimes(T_a),hAPP(c_List_Ohd(T_a),V_xs_2)),hAPP(c_List_Otl(T_a),V_xs_2)) ) ) )).

fof(fact_hd__rotate__conv__nth,axiom,(
    ! [V_n,T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(c_List_Ohd(T_a),hAPP(c_List_Orotate(T_a,V_n),V_xs)) = hAPP(hAPP(c_List_Onth(T_a),V_xs),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_n,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))) ) )).

fof(fact_length__rotate,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Orotate(T_a,V_n),V_xs)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs) )).

fof(fact_foldl__append,axiom,(
    ! [V_ys_2,V_xs_2,V_a_2,V_f_2,T_b,T_a] : hAPP(c_List_Ofoldl(T_a,T_b,V_f_2,V_a_2),hAPP(hAPP(c_List_Oappend(T_b),V_xs_2),V_ys_2)) = hAPP(c_List_Ofoldl(T_a,T_b,V_f_2,hAPP(c_List_Ofoldl(T_a,T_b,V_f_2,V_a_2),V_xs_2)),V_ys_2) )).

fof(fact_foldl__Cons,axiom,(
    ! [V_xs_2,V_x_2,V_a_2,V_f_2,T_b,T_a] : hAPP(c_List_Ofoldl(T_a,T_b,V_f_2,V_a_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_x_2),V_xs_2)) = hAPP(c_List_Ofoldl(T_a,T_b,V_f_2,hAPP(hAPP(V_f_2,V_a_2),V_x_2)),V_xs_2) )).

fof(fact_set__rotate,axiom,(
    ! [V_xs_2,V_n_2,T_a] : hAPP(c_List_Oset(T_a),hAPP(c_List_Orotate(T_a,V_n_2),V_xs_2)) = hAPP(c_List_Oset(T_a),V_xs_2) )).

fof(fact_start__le__sum,axiom,(
    ! [V_ns_2,V_n_2,V_m_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),V_n_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_m_2),hAPP(c_List_Ofoldl(tc_Nat_Onat,tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n_2),V_ns_2))) ) )).

fof(fact_foldl__absorb0,axiom,(
    ! [V_zs_2,V_x_2,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x_2),hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_zs_2)) = hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),V_x_2),V_zs_2) ) )).

fof(fact_foldl__assoc,axiom,(
    ! [V_zs_2,V_y_2,V_x_2,T_a] :
      ( class_Groups_Osemigroup__add(T_a)
     => hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x_2),V_y_2)),V_zs_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_x_2),hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),V_y_2),V_zs_2)) ) )).

fof(fact_rotate__rotate,axiom,(
    ! [V_xs,V_n,V_m,T_a] : hAPP(c_List_Orotate(T_a,V_m),hAPP(c_List_Orotate(T_a,V_n),V_xs)) = hAPP(c_List_Orotate(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m),V_n)),V_xs) )).

fof(fact_rotate0,axiom,(
    ! [T_a] : c_List_Orotate(T_a,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_Fun_Oid(tc_List_Olist(T_a)) )).

fof(fact_rotate__add,axiom,(
    ! [V_n_2,V_m_2,T_a] : c_List_Orotate(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_n_2)) = hAPP(c_Fun_Ocomp(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_List_Olist(T_a),c_List_Orotate(T_a,V_m_2)),c_List_Orotate(T_a,V_n_2)) )).

fof(fact_distinct__rotate,axiom,(
    ! [V_xs_2,V_n_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(c_List_Orotate(T_a,V_n_2),V_xs_2)))
    <=> hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) )).

fof(fact_foldl__Nil,axiom,(
    ! [V_a_2,V_f_2,T_b,T_a] : hAPP(c_List_Ofoldl(T_a,T_b,V_f_2,V_a_2),c_List_Olist_ONil(T_b)) = V_a_2 )).

fof(fact_rotate__is__Nil__conv,axiom,(
    ! [V_xs_2,V_n_2,T_a] :
      ( hAPP(c_List_Orotate(T_a,V_n_2),V_xs_2) = c_List_Olist_ONil(T_a)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_rotate1__rotate__swap,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_List_Orotate1(T_a),hAPP(c_List_Orotate(T_a,V_n),V_xs)) = hAPP(c_List_Orotate(T_a,V_n),hAPP(c_List_Orotate1(T_a),V_xs)) )).

fof(fact_rotate__def,axiom,(
    ! [V_n_2,T_a] : c_List_Orotate(T_a,V_n_2) = hAPP(hAPP(c_Nat_Ocompow(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_n_2),c_List_Orotate1(T_a)) )).

fof(fact_rotate__conv__mod,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_List_Orotate(T_a,V_n),V_xs) = hAPP(c_List_Orotate(T_a,c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_n,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))),V_xs) )).

fof(fact_rotate__Suc,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_List_Orotate(T_a,hAPP(c_Nat_OSuc,V_n)),V_xs) = hAPP(c_List_Orotate1(T_a),hAPP(c_List_Orotate(T_a,V_n),V_xs)) )).

fof(fact_listsum__foldl,axiom,(
    ! [T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => c_List_Omonoid__add__class_Olistsum(T_a) = c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),c_Groups_Ozero__class_Ozero(T_a)) ) )).

fof(fact_sum__eq__0__conv,axiom,(
    ! [V_ns_2,V_m_2] :
      ( hAPP(c_List_Ofoldl(tc_Nat_Onat,tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_ns_2) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
    <=> ( V_m_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),B_x),hAPP(c_List_Oset(tc_Nat_Onat),V_ns_2)))
           => B_x = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) ) )).

fof(fact_rotate__id,axiom,(
    ! [V_xs,T_a,V_n] :
      ( c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_n,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
     => hAPP(c_List_Orotate(T_a,V_n),V_xs) = V_xs ) )).

fof(fact_rotate__length01,axiom,(
    ! [V_n,V_xs,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat)))
     => hAPP(c_List_Orotate(T_a,V_n),V_xs) = V_xs ) )).

fof(fact_fun__left__comm__idem_Ofold__set,axiom,(
    ! [V_xs_2,V_y_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm__idem(T_a,T_b,V_f_2)
     => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_y_2),hAPP(c_List_Oset(T_a),V_xs_2)) = hAPP(c_List_Ofoldl(T_b,T_a,hAPP(c_COMBC(T_a,T_b,T_b),V_f_2),V_y_2),V_xs_2) ) )).

fof(fact_Sup__set__fold,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OSup__class_OSup(T_a,hAPP(c_List_Oset(T_a),V_xs_2)) = hAPP(c_List_Ofoldl(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a),c_Orderings_Obot__class_Obot(T_a)),V_xs_2) ) )).

fof(fact_Inf__set__fold,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => c_Complete__Lattice_OInf__class_OInf(T_a,hAPP(c_List_Oset(T_a),V_xs_2)) = hAPP(c_List_Ofoldl(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a),c_Orderings_Otop__class_Otop(T_a)),V_xs_2) ) )).

fof(fact_Sup__fin__set__fold,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Big__Operators_Olattice__class_OSup__fin(T_a,hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))) = hAPP(c_List_Ofoldl(T_a,T_a,c_Lattices_Osemilattice__sup__class_Osup(T_a),V_x_2),V_xs_2) ) )).

fof(fact_Inf__fin__set__fold,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Lattices_Olattice(T_a)
     => c_Big__Operators_Olattice__class_OInf__fin(T_a,hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))) = hAPP(c_List_Ofoldl(T_a,T_a,c_Lattices_Osemilattice__inf__class_Oinf(T_a),V_x_2),V_xs_2) ) )).

fof(fact_Min__fin__set__fold,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olinorder__class_OMin(T_a,hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))) = hAPP(c_List_Ofoldl(T_a,T_a,c_Orderings_Oord__class_Omin(T_a),V_x_2),V_xs_2) ) )).

fof(fact_Max__fin__set__fold,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olinorder__class_OMax(T_a,hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))) = hAPP(c_List_Ofoldl(T_a,T_a,c_Orderings_Oord__class_Omax(T_a),V_x_2),V_xs_2) ) )).

fof(fact_min__max_OInf__fin__set__fold,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olattice_OInf__fin(T_a,c_Orderings_Oord__class_Omin(T_a),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))) = hAPP(c_List_Ofoldl(T_a,T_a,c_Orderings_Oord__class_Omin(T_a),V_x_2),V_xs_2) ) )).

fof(fact_min__max_OSup__fin__set__fold,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Big__Operators_Olattice_OSup__fin(T_a,c_Orderings_Oord__class_Omax(T_a),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))) = hAPP(c_List_Ofoldl(T_a,T_a,c_Orderings_Oord__class_Omax(T_a),V_x_2),V_xs_2) ) )).

fof(fact_SUPR__set__fold,axiom,(
    ! [V_f_2,V_xs_2,T_b,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(T_b,T_a),hAPP(c_List_Oset(T_b),V_xs_2)),V_f_2) = hAPP(c_List_Ofoldl(T_a,T_b,hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Lattices_Osemilattice__sup__class_Osup(T_a)),V_f_2)),c_Orderings_Obot__class_Obot(T_a)),V_xs_2) ) )).

fof(fact_INFI__set__fold,axiom,(
    ! [V_f_2,V_xs_2,T_b,T_a] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_a)
     => hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OINFI(T_b,T_a),hAPP(c_List_Oset(T_b),V_xs_2)),V_f_2) = hAPP(c_List_Ofoldl(T_a,T_b,hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Lattices_Osemilattice__inf__class_Oinf(T_a)),V_f_2)),c_Orderings_Otop__class_Otop(T_a)),V_xs_2) ) )).

fof(fact_map__upds__fold__map__upd,axiom,(
    ! [V_vs_2,V_ks_2,V_m_2,T_b,T_a] : c_Map_Omap__upds(T_a,T_b,V_m_2,V_ks_2,V_vs_2) = hAPP(c_List_Ofoldl(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_prod(T_a,T_b),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(T_b,tc_fun(T_a,tc_Option_Ooption(T_b)))),tc_fun(tc_prod(T_a,T_b),tc_fun(T_a,tc_Option_Ooption(T_b))),tc_fun(T_a,tc_Option_Ooption(T_b))),c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_fun(T_a,tc_Option_Ooption(T_b)))),hAPP(hAPP(c_COMBC(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_fun(T_b,tc_fun(T_a,tc_Option_Ooption(T_b))))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_fun(T_a,tc_Option_Ooption(T_b))))),tc_fun(tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_fun(T_b,tc_fun(T_a,tc_Option_Ooption(T_b))))),tc_fun(T_a,tc_Option_Ooption(T_b))),c_COMBC(T_a,tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_fun(T_a,tc_Option_Ooption(T_b))))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_fun(tc_Option_Ooption(T_b),tc_fun(T_a,tc_Option_Ooption(T_b)))),tc_fun(T_a,tc_fun(tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_fun(T_a,tc_Option_Ooption(T_b))))),tc_fun(T_a,tc_Option_Ooption(T_b))),hAPP(c_COMBB(tc_fun(tc_Option_Ooption(T_b),tc_fun(T_a,tc_Option_Ooption(T_b))),tc_fun(tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_fun(T_a,tc_Option_Ooption(T_b)))),T_a),c_COMBB(tc_Option_Ooption(T_b),tc_fun(T_a,tc_Option_Ooption(T_b)),T_b))),c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b))))),c_Option_Ooption_OSome(T_b))),V_m_2),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_ks_2),V_vs_2)) )).

fof(fact_elem__le__sum,axiom,(
    ! [V_ns_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),V_n_2),hAPP(c_List_Oset(tc_Nat_Onat),V_ns_2)))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2),hAPP(c_List_Ofoldl(tc_Nat_Onat,tc_Nat_Onat,c_Groups_Oplus__class_Oplus(tc_Nat_Onat),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)),V_ns_2))) ) )).

fof(fact_rotate__drop__take,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_List_Orotate(T_a,V_n),V_xs) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Odrop(T_a),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_n,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))),V_xs)),hAPP(hAPP(c_List_Otake(T_a),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_n,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))),V_xs)) )).

fof(fact_ran__def,axiom,(
    ! [V_m_2,T_a,T_b] : c_Map_Oran(T_b,T_a,V_m_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_HOL_OEx(T_b)),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_a),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBC(T_b,tc_Option_Ooption(T_a),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_a),tc_fun(tc_Option_Ooption(T_a),tc_HOL_Obool),T_b),c_fequal),V_m_2))),c_Option_Ooption_OSome(T_a)))) )).

fof(fact_lexord__append__rightI,axiom,(
    ! [V_r_2,V_x_2,T_a,V_y_2] :
      ( ? [B_b,B_z] : V_y_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),B_b),B_z)
     => hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_x_2),hAPP(hAPP(c_List_Oappend(T_a),V_x_2),V_y_2))),c_List_Olexord(T_a,V_r_2))) ) )).

fof(fact_ranI,axiom,(
    ! [T_b,V_b_2,T_a,V_a_2,V_m_2] :
      ( hAPP(V_m_2,V_a_2) = hAPP(c_Option_Ooption_OSome(T_a),V_b_2)
     => hBOOL(hAPP(hAPP(c_member(T_a),V_b_2),c_Map_Oran(T_b,T_a,V_m_2))) ) )).

fof(fact_sorted__list__of__set__insert,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => c_List_Olinorder__class_Osorted__list__of__set(T_a,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),V_A_2)) = hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_x_2),c_List_Olinorder__class_Osorted__list__of__set(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_A_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))))) ) ) )).

fof(fact_lexord__Nil__left,axiom,(
    ! [V_r_2,V_y_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),V_y_2)),c_List_Olexord(T_a,V_r_2)))
    <=> ? [B_a,B_x] : V_y_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),B_a),B_x) ) )).

fof(fact_length__insort,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_x_2),V_xs_2)) = hAPP(c_Nat_OSuc,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)) ) )).

fof(fact_insort__key_Osimps_I1_J,axiom,(
    ! [V_x_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_x_2),c_List_Olist_ONil(T_a)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)) ) )).

fof(fact_insort__key_Osimps_I2_J,axiom,(
    ! [V_ys_2,T_b,V_y_2,V_x_2,V_f_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)))
         => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_y_2),V_ys_2)) = hAPP(hAPP(c_List_Olist_OCons(T_b),V_x_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_y_2),V_ys_2)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)))
         => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_y_2),V_ys_2)) = hAPP(hAPP(c_List_Olist_OCons(T_b),V_y_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),V_ys_2)) ) ) ) )).

fof(fact_set__insort,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_x_2),V_xs_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)) ) )).

fof(fact_insort__left__comm,axiom,(
    ! [V_xs_2,V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_x_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_y_2),V_xs_2)) = hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_y_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_x_2),V_xs_2)) ) )).

fof(fact_insort__key__left__comm,axiom,(
    ! [V_xs_2,T_b,V_y_2,V_x_2,V_f_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hAPP(V_f_2,V_x_2) != hAPP(V_f_2,V_y_2)
       => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_y_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_y_2),V_xs_2)) ) ) )).

fof(fact_fun__left__comm__insort,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_Finite__Set_Ofun__left__comm(T_a,tc_List_Olist(T_a),c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a))) ) )).

fof(fact_remove1__insort,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Oremove1(T_a,V_x_2,hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_x_2),V_xs_2)) = V_xs_2 ) )).

fof(fact_insort__not__Nil,axiom,(
    ! [V_xs_2,V_a_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_a_2),V_xs_2) != c_List_Olist_ONil(T_a) ) )).

fof(fact_distinct__insort,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_x_2),V_xs_2)))
      <=> ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
          & hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) ) ) )).

fof(fact_insort__insert__insort__key,axiom,(
    ! [V_xs_2,T_b,V_x_2,V_f_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),hAPP(V_f_2,V_x_2)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_List_Oset(T_b),V_xs_2))))
       => c_List_Olinorder__class_Oinsort__insert__key(T_b,T_a,V_f_2,V_x_2,V_xs_2) = hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),V_xs_2) ) ) )).

fof(fact_insort__insert__insort,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Olinorder__class_Oinsort__insert__key(T_a,T_a,c_COMBI(T_a),V_x_2,V_xs_2) = hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_x_2),V_xs_2) ) ) )).

fof(fact_distinct__insort__insert,axiom,(
    ! [V_x_2,V_f_2,V_xs_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
       => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Olinorder__class_Oinsort__insert__key(T_a,T_b,V_f_2,V_x_2,V_xs_2))) ) ) )).

fof(fact_insort__insert__triv,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Olinorder__class_Oinsort__insert__key(T_a,T_a,c_COMBI(T_a),V_x_2,V_xs_2) = V_xs_2 ) ) )).

fof(fact_set__insort__insert,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => hAPP(c_List_Oset(T_a),c_List_Olinorder__class_Oinsort__insert__key(T_a,T_a,c_COMBI(T_a),V_x_2,V_xs_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)) ) )).

fof(fact_insort__insert__key__triv,axiom,(
    ! [V_xs_2,T_b,V_x_2,V_f_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),hAPP(V_f_2,V_x_2)),hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_List_Oset(T_b),V_xs_2))))
       => c_List_Olinorder__class_Oinsort__insert__key(T_b,T_a,V_f_2,V_x_2,V_xs_2) = V_xs_2 ) ) )).

fof(fact_last__list__update,axiom,(
    ! [V_x,V_k,T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => ( ( V_k = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat))
         => c_List_Olast(T_a,hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_k),V_x)) = V_x )
        & ( V_k != hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat))
         => c_List_Olast(T_a,hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_k),V_x)) = c_List_Olast(T_a,V_xs) ) ) ) )).

fof(fact_last__conv__nth,axiom,(
    ! [T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => c_List_Olast(T_a,V_xs) = hAPP(hAPP(c_List_Onth(T_a),V_xs),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Groups_Oone__class_Oone(tc_Nat_Onat))) ) )).

fof(fact_last__append,axiom,(
    ! [V_xs,T_a,V_ys] :
      ( ( V_ys = c_List_Olist_ONil(T_a)
       => c_List_Olast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = c_List_Olast(T_a,V_xs) )
      & ( V_ys != c_List_Olist_ONil(T_a)
       => c_List_Olast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = c_List_Olast(T_a,V_ys) ) ) )).

fof(fact_last__appendR,axiom,(
    ! [V_xs,T_a,V_ys] :
      ( V_ys != c_List_Olist_ONil(T_a)
     => c_List_Olast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = c_List_Olast(T_a,V_ys) ) )).

fof(fact_last__appendL,axiom,(
    ! [V_xs,T_a,V_ys] :
      ( V_ys = c_List_Olist_ONil(T_a)
     => c_List_Olast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = c_List_Olast(T_a,V_xs) ) )).

fof(fact_last_Osimps,axiom,(
    ! [V_x,T_a,V_xs] :
      ( ( V_xs = c_List_Olist_ONil(T_a)
       => c_List_Olast(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = V_x )
      & ( V_xs != c_List_Olist_ONil(T_a)
       => c_List_Olast(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = c_List_Olast(T_a,V_xs) ) ) )).

fof(fact_last__ConsR,axiom,(
    ! [V_x,T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => c_List_Olast(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = c_List_Olast(T_a,V_xs) ) )).

fof(fact_last__ConsL,axiom,(
    ! [V_x,T_a,V_xs] :
      ( V_xs = c_List_Olist_ONil(T_a)
     => c_List_Olast(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = V_x ) )).

fof(fact_last__in__set,axiom,(
    ! [T_a,V_as_2] :
      ( V_as_2 != c_List_Olist_ONil(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),c_List_Olast(T_a,V_as_2)),hAPP(c_List_Oset(T_a),V_as_2))) ) )).

fof(fact_last__snoc,axiom,(
    ! [V_x,V_xs,T_a] : c_List_Olast(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Olist_ONil(T_a)))) = V_x )).

fof(fact_last__drop,axiom,(
    ! [V_xs,T_a,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => c_List_Olast(T_a,hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) = c_List_Olast(T_a,V_xs) ) )).

fof(fact_snoc__eq__iff__butlast,axiom,(
    ! [V_ys_2,V_x_2,V_xs_2,T_a] :
      ( hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a))) = V_ys_2
    <=> ( V_ys_2 != c_List_Olist_ONil(T_a)
        & c_List_Obutlast(T_a,V_ys_2) = V_xs_2
        & c_List_Olast(T_a,V_ys_2) = V_x_2 ) ) )).

fof(fact_append__butlast__last__id,axiom,(
    ! [T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(hAPP(c_List_Oappend(T_a),c_List_Obutlast(T_a,V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_a),c_List_Olast(T_a,V_xs)),c_List_Olist_ONil(T_a))) = V_xs ) )).

fof(fact_lists_Osimps,axiom,(
    ! [V_A_2,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_a_2),c_List_Olists(T_a,V_A_2)))
    <=> ( V_a_2 = c_List_Olist_ONil(T_a)
        | ? [B_a,B_l] :
            ( V_a_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),B_a),B_l)
            & hBOOL(hAPP(hAPP(c_member(T_a),B_a),V_A_2))
            & hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_l),c_List_Olists(T_a,V_A_2))) ) ) ) )).

fof(fact_map__of__zip__upd,axiom,(
    ! [V_z_2,V_y_2,V_x_2,V_zs_2,V_xs_2,T_b,V_ys_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_xs_2)
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_zs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_xs_2)
       => ( ~ hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),hAPP(c_List_Oset(T_b),V_xs_2)))
         => ( hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),V_xs_2),V_ys_2))),V_x_2),hAPP(c_Option_Ooption_OSome(T_a),V_y_2)) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),V_xs_2),V_zs_2))),V_x_2),hAPP(c_Option_Ooption_OSome(T_a),V_z_2))
           => hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),V_xs_2),V_ys_2)) = hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),V_xs_2),V_zs_2)) ) ) ) ) )).

fof(fact_finite__dom__map__of,axiom,(
    ! [V_l_2,T_b,T_a] : hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Map_Odom(T_a,T_b,hAPP(c_Map_Omap__of(T_a,T_b),V_l_2)))) )).

fof(fact_map__of__zip__inject,axiom,(
    ! [V_zs_2,V_xs_2,T_b,V_ys_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_xs_2)
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_zs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_xs_2)
       => ( hBOOL(hAPP(c_List_Odistinct(T_b),V_xs_2))
         => ( hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),V_xs_2),V_ys_2)) = hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),V_xs_2),V_zs_2))
           => V_ys_2 = V_zs_2 ) ) ) ) )).

fof(fact_body__def,axiom,(
    c_Com_Obody = hAPP(c_Map_Omap__of(tc_Com_Opname,tc_Com_Ocom),c_Com_Obodies) )).

fof(fact_map__of__Cons__code_I2_J,axiom,(
    ! [V_ps,V_v,T_c,T_b,V_k,V_l] :
      ( ( V_l = V_k
       => hAPP(hAPP(c_Map_Omap__of(T_b,T_c),hAPP(hAPP(c_List_Olist_OCons(tc_prod(T_b,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_l),V_v)),V_ps)),V_k) = hAPP(c_Option_Ooption_OSome(T_c),V_v) )
      & ( V_l != V_k
       => hAPP(hAPP(c_Map_Omap__of(T_b,T_c),hAPP(hAPP(c_List_Olist_OCons(tc_prod(T_b,T_c)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_c),V_l),V_v)),V_ps)),V_k) = hAPP(hAPP(c_Map_Omap__of(T_b,T_c),V_ps),V_k) ) ) )).

fof(fact_map__of__eq__dom,axiom,(
    ! [V_ys_2,V_xs_2,T_b,T_a] :
      ( hAPP(c_Map_Omap__of(T_a,T_b),V_xs_2) = hAPP(c_Map_Omap__of(T_a,T_b),V_ys_2)
     => hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_a,c_Product__Type_Ofst(T_a,T_b)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_xs_2)) = hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_a,c_Product__Type_Ofst(T_a,T_b)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_ys_2)) ) )).

fof(fact_finite__range__map__of,axiom,(
    ! [V_xys_2,T_b,T_a] : hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Option_Ooption(T_a)),hAPP(c_Set_Oimage(T_b,tc_Option_Ooption(T_a),hAPP(c_Map_Omap__of(T_b,T_a),V_xys_2)),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))) )).

fof(fact_map__of__SomeD,axiom,(
    ! [V_y_2,V_k_2,V_xs_2,T_a,T_b] :
      ( hAPP(hAPP(c_Map_Omap__of(T_b,T_a),V_xs_2),V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_y_2)
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_k_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_b,T_a)),V_xs_2))) ) )).

fof(fact_map__of__is__SomeD,axiom,(
    ! [V_y_2,V_x_2,V_xys_2,T_a,T_b] :
      ( hAPP(hAPP(c_Map_Omap__of(T_b,T_a),V_xys_2),V_x_2) = hAPP(c_Option_Ooption_OSome(T_a),V_y_2)
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_x_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_b,T_a)),V_xys_2))) ) )).

fof(fact_dom__map__of__conv__image__fst,axiom,(
    ! [V_xys_2,T_b,T_a] : c_Map_Odom(T_a,T_b,hAPP(c_Map_Omap__of(T_a,T_b),V_xys_2)) = hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_a,c_Product__Type_Ofst(T_a,T_b)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_xys_2)) )).

fof(fact_map__of__zip__is__Some,axiom,(
    ! [V_x_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
      <=> ? [B_y] : hAPP(hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)),V_x_2) = hAPP(c_Option_Ooption_OSome(T_b),B_y) ) ) )).

fof(fact_dom__map__of__zip,axiom,(
    ! [V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
       => c_Map_Odom(T_a,T_b,hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2))) = hAPP(c_List_Oset(T_a),V_xs_2) ) ) )).

fof(fact_map__of_Osimps_I2_J,axiom,(
    ! [V_ps_2,V_p_2,T_b,T_a] : hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Olist_OCons(tc_prod(T_a,T_b)),V_p_2),V_ps_2)) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),hAPP(c_Map_Omap__of(T_a,T_b),V_ps_2)),hAPP(c_Product__Type_Ofst(T_a,T_b),V_p_2)),hAPP(c_Option_Ooption_OSome(T_b),hAPP(c_Product__Type_Osnd(T_a,T_b),V_p_2))) )).

fof(fact_ran__distinct,axiom,(
    ! [V_al_2,T_b,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_al_2)))
     => c_Map_Oran(T_a,T_b,hAPP(c_Map_Omap__of(T_a,T_b),V_al_2)) = hAPP(c_Set_Oimage(tc_prod(T_a,T_b),T_b,c_Product__Type_Osnd(T_a,T_b)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_al_2)) ) )).

fof(fact_set__map__of__compr,axiom,(
    ! [V_xs_2,T_b,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_xs_2)))
     => hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_xs_2) = hAPP(c_Set_OCollect(tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Option_Ooption(T_b),tc_HOL_Obool),tc_fun(tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBB(tc_Option_Ooption(T_b),tc_HOL_Obool,T_b)),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_b),tc_fun(tc_Option_Ooption(T_b),tc_HOL_Obool),T_a),c_fequal),hAPP(c_Map_Omap__of(T_a,T_b),V_xs_2)))),c_Option_Ooption_OSome(T_b)))) ) )).

fof(fact_inj__mapI,axiom,(
    ! [V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => c_Fun_Oinj__on(tc_List_Olist(T_a),tc_List_Olist(T_b),hAPP(c_List_Omap(T_a,T_b),V_f_2),c_Orderings_Otop__class_Otop(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool))) ) )).

fof(fact_listsum__abs,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Groups_Oordered__ab__group__add__abs(T_a)
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(c_Groups_Oabs__class_Oabs(T_a),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),V_xs_2))),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_a,T_a),c_Groups_Oabs__class_Oabs(T_a)),V_xs_2)))) ) )).

fof(fact_foldl__map,axiom,(
    ! [V_xs_2,V_f_2,T_c,V_a_2,V_g_2,T_b,T_a] : hAPP(c_List_Ofoldl(T_a,T_b,V_g_2,V_a_2),hAPP(hAPP(c_List_Omap(T_c,T_b),V_f_2),V_xs_2)) = hAPP(c_List_Ofoldl(T_a,T_c,hAPP(hAPP(c_COMBC(T_a,tc_fun(T_c,T_b),tc_fun(T_c,T_a)),hAPP(hAPP(c_COMBB(tc_fun(T_b,T_a),tc_fun(tc_fun(T_c,T_b),tc_fun(T_c,T_a)),T_a),c_COMBB(T_b,T_a,T_c)),V_g_2)),V_f_2),V_a_2),V_xs_2) )).

fof(fact_zip__map__map,axiom,(
    ! [V_ys_2,V_g_2,T_d,V_xs_2,V_f_2,T_c,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Omap(T_c,T_a),V_f_2),V_xs_2)),hAPP(hAPP(c_List_Omap(T_d,T_b),V_g_2),V_ys_2)) = hAPP(hAPP(c_List_Omap(tc_prod(T_c,T_d),tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_c,T_d,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBC(T_c,tc_fun(T_d,T_b),tc_fun(T_d,tc_prod(T_a,T_b))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(tc_fun(T_d,T_b),tc_fun(T_d,tc_prod(T_a,T_b))),T_c),c_COMBB(T_b,tc_prod(T_a,T_b),T_d)),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,tc_prod(T_a,T_b)),T_c),c_Product__Type_OPair(T_a,T_b)),V_f_2))),V_g_2))),hAPP(hAPP(c_List_Ozip(T_c,T_d),V_xs_2),V_ys_2)) )).

fof(fact_zip__map1,axiom,(
    ! [V_ys_2,V_xs_2,V_f_2,T_c,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Omap(T_c,T_a),V_f_2),V_xs_2)),V_ys_2) = hAPP(hAPP(c_List_Omap(tc_prod(T_c,T_b),tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_c,T_b,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,tc_prod(T_a,T_b)),T_c),c_Product__Type_OPair(T_a,T_b)),V_f_2))),hAPP(hAPP(c_List_Ozip(T_c,T_b),V_xs_2),V_ys_2)) )).

fof(fact_map__zip__map,axiom,(
    ! [V_ys_2,V_xs_2,V_g_2,T_d,V_f_2,T_a,T_c,T_b] : hAPP(hAPP(c_List_Omap(tc_prod(T_b,T_c),T_a),V_f_2),hAPP(hAPP(c_List_Ozip(T_b,T_c),hAPP(hAPP(c_List_Omap(T_d,T_b),V_g_2),V_xs_2)),V_ys_2)) = hAPP(hAPP(c_List_Omap(tc_prod(T_d,T_c),T_a),hAPP(c_Product__Type_Oprod_Oprod__case(T_d,T_c,T_a),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_prod(T_b,T_c)),tc_fun(T_c,T_a),T_d),hAPP(c_COMBB(tc_prod(T_b,T_c),T_a,T_c),V_f_2)),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_c,tc_prod(T_b,T_c)),T_d),c_Product__Type_OPair(T_b,T_c)),V_g_2)))),hAPP(hAPP(c_List_Ozip(T_d,T_c),V_xs_2),V_ys_2)) )).

fof(fact_map__zip__map2,axiom,(
    ! [V_ys_2,V_g_2,T_d,V_xs_2,V_f_2,T_a,T_c,T_b] : hAPP(hAPP(c_List_Omap(tc_prod(T_b,T_c),T_a),V_f_2),hAPP(hAPP(c_List_Ozip(T_b,T_c),V_xs_2),hAPP(hAPP(c_List_Omap(T_d,T_c),V_g_2),V_ys_2))) = hAPP(hAPP(c_List_Omap(tc_prod(T_b,T_d),T_a),hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_d,T_a),hAPP(hAPP(c_COMBB(tc_fun(T_d,tc_prod(T_b,T_c)),tc_fun(T_d,T_a),T_b),hAPP(c_COMBB(tc_prod(T_b,T_c),T_a,T_d),V_f_2)),hAPP(hAPP(c_COMBC(T_b,tc_fun(T_d,T_c),tc_fun(T_d,tc_prod(T_b,T_c))),hAPP(hAPP(c_COMBB(tc_fun(T_c,tc_prod(T_b,T_c)),tc_fun(tc_fun(T_d,T_c),tc_fun(T_d,tc_prod(T_b,T_c))),T_b),c_COMBB(T_c,tc_prod(T_b,T_c),T_d)),c_Product__Type_OPair(T_b,T_c))),V_g_2)))),hAPP(hAPP(c_List_Ozip(T_b,T_d),V_xs_2),V_ys_2)) )).

fof(fact_zip__map2,axiom,(
    ! [V_ys_2,V_f_2,T_c,V_xs_2,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),hAPP(hAPP(c_List_Omap(T_c,T_b),V_f_2),V_ys_2)) = hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_c),tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_c,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_c,T_b),tc_fun(T_c,tc_prod(T_a,T_b))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(tc_fun(T_c,T_b),tc_fun(T_c,tc_prod(T_a,T_b))),T_a),c_COMBB(T_b,tc_prod(T_a,T_b),T_c)),c_Product__Type_OPair(T_a,T_b))),V_f_2))),hAPP(hAPP(c_List_Ozip(T_a,T_c),V_xs_2),V_ys_2)) )).

fof(fact_List_Omap_Ocomp,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b,T_c] : hAPP(c_Fun_Ocomp(tc_List_Olist(T_c),tc_List_Olist(T_b),tc_List_Olist(T_a),hAPP(c_List_Omap(T_c,T_b),V_f_2)),hAPP(c_List_Omap(T_a,T_c),V_g_2)) = hAPP(c_List_Omap(T_a,T_b),hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_f_2),V_g_2)) )).

fof(fact_map__comp__map,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b,T_c] : hAPP(c_Fun_Ocomp(tc_List_Olist(T_c),tc_List_Olist(T_b),tc_List_Olist(T_a),hAPP(c_List_Omap(T_c,T_b),V_f_2)),hAPP(c_List_Omap(T_a,T_c),V_g_2)) = hAPP(c_List_Omap(T_a,T_b),hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_f_2),V_g_2)) )).

fof(fact_List_Omap_Ocompositionality,axiom,(
    ! [V_list_2,V_g_2,T_c,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Omap(T_c,T_b),V_g_2),V_list_2)) = hAPP(hAPP(c_List_Omap(T_c,T_a),hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2),V_g_2)),V_list_2) )).

fof(fact_map__map,axiom,(
    ! [V_xs_2,V_g_2,T_c,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Omap(T_c,T_b),V_g_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_c,T_a),hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2),V_g_2)),V_xs_2) )).

fof(fact_List_Omap_Oid,axiom,(
    ! [T_a] : hAPP(c_List_Omap(T_a,T_a),c_Fun_Oid(T_a)) = c_Fun_Oid(tc_List_Olist(T_a)) )).

fof(fact_List_Omap_Oidentity,axiom,(
    ! [T_a] : hAPP(c_List_Omap(T_a,T_a),c_COMBI(T_a)) = c_Fun_Oid(tc_List_Olist(T_a)) )).

fof(fact_list__size__map,axiom,(
    ! [V_xs_2,V_g_2,T_b,V_f_2,T_a] : c_List_Olist_Olist__size(T_a,V_f_2,hAPP(hAPP(c_List_Omap(T_b,T_a),V_g_2),V_xs_2)) = c_List_Olist_Olist__size(T_b,hAPP(c_Fun_Ocomp(T_a,tc_Nat_Onat,T_b,V_f_2),V_g_2),V_xs_2) )).

fof(fact_nth__map,axiom,(
    ! [V_f_2,T_b,V_xs_2,T_a,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => hAPP(hAPP(c_List_Onth(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)),V_n_2) = hAPP(V_f_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_n_2)) ) )).

fof(fact_map__fun__upd,axiom,(
    ! [V_v_2,V_f_2,T_b,V_xs_2,V_y_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => hAPP(hAPP(c_List_Omap(T_a,T_b),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,T_b),V_f_2),V_y_2),V_v_2)),V_xs_2) = hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2) ) )).

fof(fact_map__tl,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(c_List_Otl(T_b),V_xs_2)) = hAPP(c_List_Otl(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) )).

fof(fact_length__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_xs_2) )).

fof(fact_map__eq__imp__length__eq,axiom,(
    ! [V_ys_2,V_g_2,T_c,V_xs_2,V_f_2,T_a,T_b] :
      ( hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2) = hAPP(hAPP(c_List_Omap(T_c,T_a),V_g_2),V_ys_2)
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_c)),V_ys_2) ) )).

fof(fact_set__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] : hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(c_Set_Oimage(T_b,T_a,V_f_2),hAPP(c_List_Oset(T_b),V_xs_2)) )).

fof(fact_map__append,axiom,(
    ! [V_ys_2,V_xs_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Oappend(T_b),V_xs_2),V_ys_2)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_ys_2)) )).

fof(fact_map_Osimps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olist_OCons(T_a),hAPP(V_f_2,V_x_2)),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) )).

fof(fact_map__update,axiom,(
    ! [V_y_2,V_k_2,V_xs_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Olist__update(T_b,V_xs_2),V_k_2),V_y_2)) = hAPP(hAPP(c_List_Olist__update(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)),V_k_2),hAPP(V_f_2,V_y_2)) )).

fof(fact_map__eq__conv,axiom,(
    ! [V_g_2,V_xs_2,V_f_2,T_a,T_b] :
      ( hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_g_2),V_xs_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),hAPP(c_List_Oset(T_b),V_xs_2)))
         => hAPP(V_f_2,B_x) = hAPP(V_g_2,B_x) ) ) )).

fof(fact_listsum__addf,axiom,(
    ! [V_xs_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(hAPP(c_COMBS(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Oplus__class_Oplus(T_a)),V_f_2)),V_g_2)),V_xs_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_g_2),V_xs_2))) ) )).

fof(fact_listsum__subtractf,axiom,(
    ! [V_xs_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(hAPP(c_COMBS(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Ominus__class_Ominus(T_a)),V_f_2)),V_g_2)),V_xs_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(T_a),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_g_2),V_xs_2))) ) )).

fof(fact_listsum__0,axiom,(
    ! [V_xs_2,T_b,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(c_COMBK(T_a,T_b),c_Groups_Ozero__class_Ozero(T_a))),V_xs_2)) = c_Groups_Ozero__class_Ozero(T_a) ) )).

fof(fact_listsum__const__mult,axiom,(
    ! [V_xs_2,V_f_2,V_c_2,T_b,T_a] :
      ( class_Rings_Osemiring__0(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,T_a,T_b),hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2)),V_f_2)),V_xs_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),V_c_2),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))) ) )).

fof(fact_listsum__mult__const,axiom,(
    ! [V_xs_2,V_c_2,V_f_2,T_b,T_a] :
      ( class_Rings_Osemiring__0(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(hAPP(c_COMBC(T_b,T_a,T_a),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,T_a),T_b),c_Groups_Otimes__class_Otimes(T_a)),V_f_2)),V_c_2)),V_xs_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))),V_c_2) ) )).

fof(fact_map__ident,axiom,(
    ! [V_xs_2,T_a] : hAPP(hAPP(c_List_Omap(T_a,T_a),c_COMBI(T_a)),V_xs_2) = V_xs_2 )).

fof(fact_take__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,V_n_2,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_n_2),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Otake(T_b),V_n_2),V_xs_2)) )).

fof(fact_map__butlast,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_Obutlast(T_b,V_xs_2)) = c_List_Obutlast(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) )).

fof(fact_map__is__Nil__conv,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] :
      ( hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2) = c_List_Olist_ONil(T_a)
    <=> V_xs_2 = c_List_Olist_ONil(T_b) ) )).

fof(fact_map_Osimps_I1_J,axiom,(
    ! [V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_Olist_ONil(T_b)) = c_List_Olist_ONil(T_a) )).

fof(fact_Nil__is__map__conv,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] :
      ( c_List_Olist_ONil(T_a) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)
    <=> V_xs_2 = c_List_Olist_ONil(T_b) ) )).

fof(fact_map__injective,axiom,(
    ! [V_ys_2,V_xs_2,V_f_2,T_a,T_b] :
      ( hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_ys_2)
     => ( c_Fun_Oinj__on(T_b,T_a,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))
       => V_xs_2 = V_ys_2 ) ) )).

fof(fact_inj__map__eq__map,axiom,(
    ! [V_ys_2,V_xs_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2) = hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_ys_2)
      <=> V_xs_2 = V_ys_2 ) ) )).

fof(fact_hd__map,axiom,(
    ! [V_f_2,T_b,T_a,V_xs_2] :
      ( V_xs_2 != c_List_Olist_ONil(T_a)
     => hAPP(c_List_Ohd(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)) = hAPP(V_f_2,hAPP(c_List_Ohd(T_a),V_xs_2)) ) )).

fof(fact_drop__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,V_n_2,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_n_2),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Odrop(T_b),V_n_2),V_xs_2)) )).

fof(fact_inj__on__map__eq__map,axiom,(
    ! [V_ys_2,V_xs_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(c_List_Oset(T_a),V_ys_2)))
     => ( hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2) = hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_ys_2)
      <=> V_xs_2 = V_ys_2 ) ) )).

fof(fact_map__inj__on,axiom,(
    ! [V_ys_2,V_xs_2,V_f_2,T_a,T_b] :
      ( hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_ys_2)
     => ( c_Fun_Oinj__on(T_b,T_a,V_f_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_HOL_Obool)),hAPP(c_List_Oset(T_b),V_xs_2)),hAPP(c_List_Oset(T_b),V_ys_2)))
       => V_xs_2 = V_ys_2 ) ) )).

fof(fact_rotate__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,V_n_2,T_a] : hAPP(c_List_Orotate(T_a,V_n_2),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(c_List_Orotate(T_b,V_n_2),V_xs_2)) )).

fof(fact_distinct__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)))
    <=> ( hBOOL(hAPP(c_List_Odistinct(T_b),V_xs_2))
        & c_Fun_Oinj__on(T_b,T_a,V_f_2,hAPP(c_List_Oset(T_b),V_xs_2)) ) ) )).

fof(fact_last__map,axiom,(
    ! [V_f_2,T_b,T_a,V_xs_2] :
      ( V_xs_2 != c_List_Olist_ONil(T_a)
     => c_List_Olast(T_b,hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)) = hAPP(V_f_2,c_List_Olast(T_a,V_xs_2)) ) )).

fof(fact_uminus__listsum__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] :
      ( class_Groups_Oab__group__add(T_a)
     => hAPP(c_Groups_Ouminus__class_Ouminus(T_a),hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))) = hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(c_Fun_Ocomp(T_a,T_a,T_b,c_Groups_Ouminus__class_Ouminus(T_a)),V_f_2)),V_xs_2)) ) )).

fof(fact_inj__on__mapI,axiom,(
    ! [V_A_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Complete__Lattice_OSup__class_OSup(tc_fun(T_a,tc_HOL_Obool),hAPP(c_Set_Oimage(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),c_List_Oset(T_a)),V_A_2)))
     => c_Fun_Oinj__on(tc_List_Olist(T_a),tc_List_Olist(T_b),hAPP(c_List_Omap(T_a,T_b),V_f_2),V_A_2) ) )).

fof(fact_map__fst__zip,axiom,(
    ! [V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)) = V_xs_2 ) )).

fof(fact_map__snd__zip,axiom,(
    ! [V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_b),c_Product__Type_Osnd(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)) = V_ys_2 ) )).

fof(fact_zip__map__fst__snd,axiom,(
    ! [V_zs_2,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_zs_2)),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_b),c_Product__Type_Osnd(T_a,T_b)),V_zs_2)) = V_zs_2 )).

fof(fact_inj__mapD,axiom,(
    ! [V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(tc_List_Olist(T_a),tc_List_Olist(T_b),hAPP(c_List_Omap(T_a,T_b),V_f_2),c_Orderings_Otop__class_Otop(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)))
     => c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) ) )).

fof(fact_inj__map,axiom,(
    ! [V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(tc_List_Olist(T_a),tc_List_Olist(T_b),hAPP(c_List_Omap(T_a,T_b),V_f_2),c_Orderings_Otop__class_Otop(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)))
    <=> c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))) ) )).

fof(fact_pick__member,axiom,(
    ! [V_xs_2,T_a,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_i_2),hAPP(c_List_Omonoid__add__class_Olistsum(tc_Code__Numeral_Ocode__numeral),hAPP(hAPP(c_List_Omap(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a),tc_Code__Numeral_Ocode__numeral),c_Product__Type_Ofst(tc_Code__Numeral_Ocode__numeral,T_a)),V_xs_2))))
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Random_Opick(T_a,V_xs_2),V_i_2)),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Omap(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a),T_a),c_Product__Type_Osnd(tc_Code__Numeral_Ocode__numeral,T_a)),V_xs_2)))) ) )).

fof(fact_listsum__distinct__conv__setsum__set,axiom,(
    ! [V_f_2,V_xs_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
       => hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(T_a,T_b),V_f_2),hAPP(c_List_Oset(T_a),V_xs_2)) ) ) )).

fof(fact_zip__eq__conv,axiom,(
    ! [V_zs_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => ( hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2) = V_zs_2
      <=> ( hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_zs_2) = V_xs_2
          & hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_b),c_Product__Type_Osnd(T_a,T_b)),V_zs_2) = V_ys_2 ) ) ) )).

fof(fact_listsum__triv,axiom,(
    ! [V_xs_2,V_r_2,T_b,T_a] :
      ( class_Rings_Osemiring__1(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(c_COMBK(T_a,T_b),V_r_2)),V_xs_2)) = hAPP(hAPP(c_Groups_Otimes__class_Otimes(T_a),hAPP(c_Nat_Osemiring__1__class_Oof__nat(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_xs_2))),V_r_2) ) )).

fof(fact_map__of__inject__set,axiom,(
    ! [V_ys_2,V_xs_2,T_b,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_xs_2)))
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_ys_2)))
       => ( hAPP(c_Map_Omap__of(T_a,T_b),V_xs_2) = hAPP(c_Map_Omap__of(T_a,T_b),V_ys_2)
        <=> hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_xs_2) = hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_ys_2) ) ) ) )).

fof(fact_listsum__map__remove1,axiom,(
    ! [V_f_2,V_xs_2,V_x_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_b),hAPP(V_f_2,V_x_2)),hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),c_List_Oremove1(T_a,V_x_2,V_xs_2)))) ) ) )).

fof(fact_select__weight__member,axiom,(
    ! [V_s_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)),hAPP(c_List_Omonoid__add__class_Olistsum(tc_Code__Numeral_Ocode__numeral),hAPP(hAPP(c_List_Omap(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a),tc_Code__Numeral_Ocode__numeral),c_Product__Type_Ofst(tc_Code__Numeral_Ocode__numeral,T_a)),V_xs_2))))
     => hBOOL(hAPP(hAPP(c_member(T_a),hAPP(c_Product__Type_Ofst(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral)),hAPP(c_Random_Oselect__weight(T_a,V_xs_2),V_s_2))),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Omap(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a),T_a),c_Product__Type_Osnd(tc_Code__Numeral_Ocode__numeral,T_a)),V_xs_2)))) ) )).

fof(fact_select__weight__def,axiom,(
    ! [V_xs_2,T_a] : c_Random_Oselect__weight(T_a,V_xs_2) = hAPP(hAPP(c_Product__Type_Oscomp(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_Code__Numeral_Ocode__numeral,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_prod(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral))),c_Random_Orange(hAPP(c_List_Omonoid__add__class_Olistsum(tc_Code__Numeral_Ocode__numeral),hAPP(hAPP(c_List_Omap(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a),tc_Code__Numeral_Ocode__numeral),c_Product__Type_Ofst(tc_Code__Numeral_Ocode__numeral,T_a)),V_xs_2)))),hAPP(hAPP(c_COMBB(T_a,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_prod(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral))),tc_Code__Numeral_Ocode__numeral),c_Product__Type_OPair(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral))),c_Random_Opick(T_a,V_xs_2))) )).

fof(fact_map__of__mapk__SomeI,axiom,(
    ! [V_x_2,V_k_2,V_t_2,T_c,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => ( hAPP(hAPP(c_Map_Omap__of(T_a,T_c),V_t_2),V_k_2) = hAPP(c_Option_Ooption_OSome(T_c),V_x_2)
       => hAPP(hAPP(c_Map_Omap__of(T_b,T_c),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_c),tc_prod(T_b,T_c)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_c,tc_prod(T_b,T_c)),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_c,tc_prod(T_b,T_c)),T_a),c_Product__Type_OPair(T_b,T_c)),V_f_2))),V_t_2)),hAPP(V_f_2,V_k_2)) = hAPP(c_Option_Ooption_OSome(T_c),V_x_2) ) ) )).

fof(fact_map__of__is__SomeI,axiom,(
    ! [V_y_2,V_x_2,V_xys_2,T_b,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_xys_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_xys_2)))
       => hAPP(hAPP(c_Map_Omap__of(T_a,T_b),V_xys_2),V_x_2) = hAPP(c_Option_Ooption_OSome(T_b),V_y_2) ) ) )).

fof(fact_map__of__eq__Some__iff,axiom,(
    ! [V_y_2,V_x_2,V_xys_2,T_b,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_xys_2)))
     => ( hAPP(hAPP(c_Map_Omap__of(T_a,T_b),V_xys_2),V_x_2) = hAPP(c_Option_Ooption_OSome(T_b),V_y_2)
      <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_xys_2))) ) ) )).

fof(fact_Some__eq__map__of__iff,axiom,(
    ! [V_x_2,V_y_2,V_xys_2,T_b,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_xys_2)))
     => ( hAPP(c_Option_Ooption_OSome(T_b),V_y_2) = hAPP(hAPP(c_Map_Omap__of(T_a,T_b),V_xys_2),V_x_2)
      <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2),V_y_2)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_xys_2))) ) ) )).

fof(fact_Nitpick_Osetsum_H__def,axiom,(
    ! [V_f_2,V_A_2,T_a,T_b] :
      ( class_Groups_Ocomm__monoid__add(T_b)
     => ( ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => c_Nitpick_Osetsum_H(T_a,T_b,V_f_2,V_A_2) = hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),c_Hilbert__Choice_OEps(tc_List_Olist(T_a),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_List_Oset(T_a))),V_A_2))),c_List_Odistinct(T_a))))) )
        & ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
         => c_Nitpick_Osetsum_H(T_a,T_b,V_f_2,V_A_2) = c_Groups_Ozero__class_Ozero(T_b) ) ) ) )).

fof(fact_listsum__mono,axiom,(
    ! [V_g_2,V_f_2,V_xs_2,T_a,T_b] :
      ( ( class_Groups_Omonoid__add(T_b)
        & class_Groups_Oordered__ab__semigroup__add(T_b) )
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_f_2,B_x)),hAPP(V_g_2,B_x))) )
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2))),hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_g_2),V_xs_2)))) ) ) )).

fof(fact_zip__same__conv__map,axiom,(
    ! [V_xs_2,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_a),V_xs_2),V_xs_2) = hAPP(hAPP(c_List_Omap(T_a,tc_prod(T_a,T_a)),hAPP(hAPP(c_COMBS(T_a,T_a,tc_prod(T_a,T_a)),c_Product__Type_OPair(T_a,T_a)),c_COMBI(T_a))),V_xs_2) )).

fof(fact_list__size__conv__listsum,axiom,(
    ! [V_xs_2,V_f_2,T_a] : c_List_Olist_Olist__size(T_a,V_f_2,V_xs_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_List_Omonoid__add__class_Olistsum(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(T_a,tc_Nat_Onat),V_f_2),V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)) )).

fof(fact_setsum__set__upto__conv__listsum__int,axiom,(
    ! [V_j_2,V_i_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Int_Oint,T_a),V_f_2),hAPP(c_List_Oset(tc_Int_Oint),c_List_Oupto(V_i_2,V_j_2))) = hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(tc_Int_Oint,T_a),V_f_2),c_List_Oupto(V_i_2,V_j_2))) ) )).

fof(fact_interv__listsum__conv__setsum__set__int,axiom,(
    ! [V_l_2,V_k_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(tc_Int_Oint,T_a),V_f_2),c_List_Oupto(V_k_2,V_l_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Int_Oint,T_a),V_f_2),hAPP(c_List_Oset(tc_Int_Oint),c_List_Oupto(V_k_2,V_l_2))) ) )).

fof(fact_map__of__map__restrict,axiom,(
    ! [V_ks_2,V_f_2,T_b,T_a] : hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Omap(T_a,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBS(T_a,T_b,tc_prod(T_a,T_b)),c_Product__Type_OPair(T_a,T_b)),V_f_2)),V_ks_2)) = c_Map_Orestrict__map(T_a,T_b,hAPP(c_Fun_Ocomp(T_b,tc_Option_Ooption(T_b),T_a,c_Option_Ooption_OSome(T_b)),V_f_2),hAPP(c_List_Oset(T_a),V_ks_2)) )).

fof(fact_map__of__map__keys,axiom,(
    ! [V_m_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_List_Oset(T_a),V_xs_2) = c_Map_Odom(T_a,T_b,V_m_2)
     => hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Omap(T_a,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBS(T_a,T_b,tc_prod(T_a,T_b)),c_Product__Type_OPair(T_a,T_b)),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_b),T_b,T_a),c_Option_Othe(T_b)),V_m_2))),V_xs_2)) = V_m_2 ) )).

fof(fact_select__weigth__select,axiom,(
    ! [T_a,V_xs_2] :
      ( V_xs_2 != c_List_Olist_ONil(T_a)
     => c_Random_Oselect__weight(T_a,hAPP(hAPP(c_List_Omap(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,T_a)),hAPP(c_Product__Type_OPair(tc_Code__Numeral_Ocode__numeral,T_a),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral))),V_xs_2)) = c_Random_Oselect(T_a,V_xs_2) ) )).

fof(fact_pick__same,axiom,(
    ! [V_xs_2,T_a,V_l_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_l_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => hAPP(c_Random_Opick(T_a,hAPP(hAPP(c_List_Omap(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,T_a)),hAPP(c_Product__Type_OPair(tc_Code__Numeral_Ocode__numeral,T_a),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral))),V_xs_2)),hAPP(c_Code__Numeral_Oof__nat,V_l_2)) = hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_l_2) ) )).

fof(fact_map__of__map,axiom,(
    ! [V_xs_2,V_f_2,T_c,T_b,T_a] : hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_c),tc_prod(T_a,T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_c,tc_prod(T_a,T_b)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_c,T_b),tc_fun(T_c,tc_prod(T_a,T_b))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(tc_fun(T_c,T_b),tc_fun(T_c,tc_prod(T_a,T_b))),T_a),c_COMBB(T_b,tc_prod(T_a,T_b),T_c)),c_Product__Type_OPair(T_a,T_b))),V_f_2))),V_xs_2)) = hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_c),tc_Option_Ooption(T_b),T_a,hAPP(c_Option_Omap(T_c,T_b),V_f_2)),hAPP(c_Map_Omap__of(T_a,T_c),V_xs_2)) )).

fof(fact_option__map__comp,axiom,(
    ! [V_opt_2,V_g_2,T_c,V_f_2,T_a,T_b] : hAPP(hAPP(c_Option_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_Option_Omap(T_c,T_b),V_g_2),V_opt_2)) = hAPP(hAPP(c_Option_Omap(T_c,T_a),hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2),V_g_2)),V_opt_2) )).

fof(fact_Option_Omap_Ocompositionality,axiom,(
    ! [V_option_2,V_g_2,T_c,V_f_2,T_a,T_b] : hAPP(hAPP(c_Option_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_Option_Omap(T_c,T_b),V_g_2),V_option_2)) = hAPP(hAPP(c_Option_Omap(T_c,T_a),hAPP(c_Fun_Ocomp(T_b,T_a,T_c,V_f_2),V_g_2)),V_option_2) )).

fof(fact_Option_Omap_Ocomp,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b,T_c] : hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_c),tc_Option_Ooption(T_b),tc_Option_Ooption(T_a),hAPP(c_Option_Omap(T_c,T_b),V_f_2)),hAPP(c_Option_Omap(T_a,T_c),V_g_2)) = hAPP(c_Option_Omap(T_a,T_b),hAPP(c_Fun_Ocomp(T_c,T_b,T_a,V_f_2),V_g_2)) )).

fof(fact_option__map__o__map__upd,axiom,(
    ! [V_b_2,V_a_2,V_m_2,V_f_2,T_a,T_b,T_c] : hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_c),tc_Option_Ooption(T_b),T_a,hAPP(c_Option_Omap(T_c,T_b),V_f_2)),hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_c)),V_m_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_c),V_b_2))) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_c),tc_Option_Ooption(T_b),T_a,hAPP(c_Option_Omap(T_c,T_b),V_f_2)),V_m_2)),V_a_2),hAPP(c_Option_Ooption_OSome(T_b),hAPP(V_f_2,V_b_2))) )).

fof(fact_number__of__code__numeral__def,axiom,(
    c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral) = hAPP(c_Fun_Ocomp(tc_Nat_Onat,tc_Code__Numeral_Ocode__numeral,tc_Int_Oint,c_Code__Numeral_Oof__nat),c_Int_Onat) )).

fof(fact_Option_Omap_Oid,axiom,(
    ! [T_a] : hAPP(c_Option_Omap(T_a,T_a),c_Fun_Oid(T_a)) = c_Fun_Oid(tc_Option_Ooption(T_a)) )).

fof(fact_Option_Omap_Oidentity,axiom,(
    ! [T_a] : hAPP(c_Option_Omap(T_a,T_a),c_COMBI(T_a)) = c_Fun_Oid(tc_Option_Ooption(T_a)) )).

fof(fact_code__numeral_Oof__nat__inject,axiom,(
    ! [V_y_2,V_x_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),V_x_2),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))))
     => ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),V_y_2),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))))
       => ( hAPP(c_Code__Numeral_Oof__nat,V_x_2) = hAPP(c_Code__Numeral_Oof__nat,V_y_2)
        <=> V_x_2 = V_y_2 ) ) ) )).

fof(fact_less__code__numeral__code,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),hAPP(c_Code__Numeral_Oof__nat,V_n_2)),hAPP(c_Code__Numeral_Oof__nat,V_m_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),V_m_2)) ) )).

fof(fact_option__map__eq__Some,axiom,(
    ! [V_y_2,V_xo_2,V_f_2,T_a,T_b] :
      ( hAPP(hAPP(c_Option_Omap(T_b,T_a),V_f_2),V_xo_2) = hAPP(c_Option_Ooption_OSome(T_a),V_y_2)
    <=> ? [B_z] :
          ( V_xo_2 = hAPP(c_Option_Ooption_OSome(T_b),B_z)
          & hAPP(V_f_2,B_z) = V_y_2 ) ) )).

fof(fact_option__map__Some,axiom,(
    ! [V_x_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_Option_Omap(T_b,T_a),V_f_2),hAPP(c_Option_Ooption_OSome(T_b),V_x_2)) = hAPP(c_Option_Ooption_OSome(T_a),hAPP(V_f_2,V_x_2)) )).

fof(fact_dom__option__map,axiom,(
    ! [V_m_2,V_f_2,T_c,T_b,T_a] : c_Map_Odom(T_a,T_b,hAPP(hAPP(c_COMBS(T_a,tc_Option_Ooption(T_c),tc_Option_Ooption(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_c,T_b),tc_fun(tc_Option_Ooption(T_c),tc_Option_Ooption(T_b)),T_a),c_Option_Omap(T_c,T_b)),V_f_2)),V_m_2)) = c_Map_Odom(T_a,T_c,V_m_2) )).

fof(fact_Code__Numeral_Oof__nat__inject,axiom,(
    ! [V_m_2,V_n_2] :
      ( hAPP(c_Code__Numeral_Oof__nat,V_n_2) = hAPP(c_Code__Numeral_Oof__nat,V_m_2)
    <=> V_n_2 = V_m_2 ) )).

fof(fact_times__code__numeral__code,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Code__Numeral_Ocode__numeral),hAPP(c_Code__Numeral_Oof__nat,V_n)),hAPP(c_Code__Numeral_Oof__nat,V_m)) = hAPP(c_Code__Numeral_Oof__nat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),V_n),V_m)) )).

fof(fact_Code__Numeral_Oof__nat__code,axiom,(
    c_Code__Numeral_Oof__nat = c_Nat_Osemiring__1__class_Oof__nat(tc_Code__Numeral_Ocode__numeral) )).

fof(fact_zero__code__numeral__def,axiom,(
    c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral) = hAPP(c_Code__Numeral_Oof__nat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_one__code__numeral__def,axiom,(
    c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral) = hAPP(c_Code__Numeral_Oof__nat,c_Groups_Oone__class_Oone(tc_Nat_Onat)) )).

fof(fact_plus__code__numeral__code,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Code__Numeral_Ocode__numeral),hAPP(c_Code__Numeral_Oof__nat,V_n)),hAPP(c_Code__Numeral_Oof__nat,V_m)) = hAPP(c_Code__Numeral_Oof__nat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m)) )).

fof(fact_less__eq__code__numeral__code,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Code__Numeral_Ocode__numeral),hAPP(c_Code__Numeral_Oof__nat,V_n_2)),hAPP(c_Code__Numeral_Oof__nat,V_m_2)))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_n_2),V_m_2)) ) )).

fof(fact_code__numeral__not__eq__zero,axiom,(
    ! [V_i_2] :
      ( V_i_2 != hAPP(c_Code__Numeral_Oof__nat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Code__Numeral_Ocode__numeral),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)),V_i_2)) ) )).

fof(fact_select__def,axiom,(
    ! [V_xs_2,T_a] : c_Random_Oselect(T_a,V_xs_2) = hAPP(hAPP(c_Product__Type_Oscomp(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_Code__Numeral_Ocode__numeral,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_prod(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral))),c_Random_Orange(hAPP(c_Code__Numeral_Oof__nat,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))),hAPP(hAPP(c_COMBB(T_a,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_prod(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral))),tc_Code__Numeral_Ocode__numeral),c_Product__Type_OPair(T_a,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,T_a,tc_Code__Numeral_Ocode__numeral),hAPP(c_List_Onth(T_a),V_xs_2)),c_Code__Numeral_Onat__of))) )).

fof(fact_subtract__code__numeral__code,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Code__Numeral_Osubtract__code__numeral,hAPP(c_Code__Numeral_Oof__nat,V_n)),hAPP(c_Code__Numeral_Oof__nat,V_m)) = hAPP(c_Code__Numeral_Oof__nat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),V_m)) )).

fof(fact_type__definition__code__numeral,axiom,(
    c_Typedef_Otype__definition(tc_Code__Numeral_Ocode__numeral,tc_Nat_Onat,c_Code__Numeral_Onat__of,c_Code__Numeral_Oof__nat,c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))) )).

fof(fact_nat__of__of__nat,axiom,(
    ! [V_n] : hAPP(c_Code__Numeral_Onat__of,hAPP(c_Code__Numeral_Oof__nat,V_n)) = V_n )).

fof(fact_of__nat__nat__of,axiom,(
    ! [V_k] : hAPP(c_Code__Numeral_Oof__nat,hAPP(c_Code__Numeral_Onat__of,V_k)) = V_k )).

fof(fact_nat__of__inverse,axiom,(
    ! [V_x] : hAPP(c_Code__Numeral_Oof__nat,hAPP(c_Code__Numeral_Onat__of,V_x)) = V_x )).

fof(fact_times__code__numeral__def,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Code__Numeral_Ocode__numeral),V_n),V_m) = hAPP(c_Code__Numeral_Oof__nat,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_n)),hAPP(c_Code__Numeral_Onat__of,V_m))) )).

fof(fact_code__numeral_Onat__of__inject,axiom,(
    ! [V_y_2,V_x_2] :
      ( hAPP(c_Code__Numeral_Onat__of,V_x_2) = hAPP(c_Code__Numeral_Onat__of,V_y_2)
    <=> V_x_2 = V_y_2 ) )).

fof(fact_Code__Numeral_Onat__of__inject,axiom,(
    ! [V_l_2,V_k_2] :
      ( hAPP(c_Code__Numeral_Onat__of,V_k_2) = hAPP(c_Code__Numeral_Onat__of,V_l_2)
    <=> V_k_2 = V_l_2 ) )).

fof(fact_less__code__numeral__def,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),V_n_2),V_m_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_n_2)),hAPP(c_Code__Numeral_Onat__of,V_m_2))) ) )).

fof(fact_nat__of,axiom,(
    ! [V_x_2] : hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_x_2)),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool)))) )).

fof(fact_nat__of__number,axiom,(
    ! [V_k] : hAPP(c_Code__Numeral_Onat__of,hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),V_k)) = hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_k) )).

fof(fact_int__of__def,axiom,(
    c_Code__Numeral_Oint__of = hAPP(c_Fun_Ocomp(tc_Nat_Onat,tc_Int_Oint,tc_Code__Numeral_Ocode__numeral,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),c_Code__Numeral_Onat__of) )).

fof(fact_less__eq__code__numeral__def,axiom,(
    ! [V_m_2,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Code__Numeral_Ocode__numeral),V_n_2),V_m_2))
    <=> hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_n_2)),hAPP(c_Code__Numeral_Onat__of,V_m_2))) ) )).

fof(fact_nat__of__code,axiom,(
    ! [V_i] : hAPP(c_Code__Numeral_Onat__of,V_i) = c_Code__Numeral_Onat__of__aux(V_i,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_nat__of__aux__def,axiom,(
    ! [V_n,V_i] : c_Code__Numeral_Onat__of__aux(V_i,V_n) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_i)),V_n) )).

fof(fact_Suc__code__numeral__def,axiom,(
    ! [V_k] : c_Code__Numeral_OSuc__code__numeral(V_k) = hAPP(c_Code__Numeral_Oof__nat,hAPP(c_Nat_OSuc,hAPP(c_Code__Numeral_Onat__of,V_k))) )).

fof(fact_minus__code__numeral__def,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_n),V_m) = hAPP(c_Code__Numeral_Oof__nat,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_n)),hAPP(c_Code__Numeral_Onat__of,V_m))) )).

fof(fact_of__nat__inverse,axiom,(
    ! [V_y_2] :
      ( hBOOL(hAPP(hAPP(c_member(tc_Nat_Onat),V_y_2),c_Orderings_Otop__class_Otop(tc_fun(tc_Nat_Onat,tc_HOL_Obool))))
     => hAPP(c_Code__Numeral_Onat__of,hAPP(c_Code__Numeral_Oof__nat,V_y_2)) = V_y_2 ) )).

fof(fact_plus__code__numeral__def,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Code__Numeral_Ocode__numeral),V_n),V_m) = hAPP(c_Code__Numeral_Oof__nat,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_n)),hAPP(c_Code__Numeral_Onat__of,V_m))) )).

fof(fact_div__code__numeral__def,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Code__Numeral_Ocode__numeral),V_n),V_m) = hAPP(c_Code__Numeral_Oof__nat,hAPP(hAPP(c_Divides_Odiv__class_Odiv(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_n)),hAPP(c_Code__Numeral_Onat__of,V_m))) )).

fof(fact_subtract__code__numeral__def,axiom,(
    c_Code__Numeral_Osubtract__code__numeral = c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral) )).

fof(fact_minus__code__numeral__code,axiom,(
    ! [V_m,V_n] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_n),V_m) = hAPP(hAPP(c_Code__Numeral_Osubtract__code__numeral,V_n),V_m) )).

fof(fact_mod__code__numeral__def,axiom,(
    ! [V_m,V_n] : c_Divides_Odiv__class_Omod(tc_Code__Numeral_Ocode__numeral,V_n,V_m) = hAPP(c_Code__Numeral_Oof__nat,c_Divides_Odiv__class_Omod(tc_Nat_Onat,hAPP(c_Code__Numeral_Onat__of,V_n),hAPP(c_Code__Numeral_Onat__of,V_m))) )).

fof(fact_code__numeral__decr,axiom,(
    ! [V_k] :
      ( V_k != hAPP(c_Code__Numeral_Oof__nat,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Code__Numeral_Onat__of,V_k)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))),hAPP(c_Code__Numeral_Onat__of,V_k))) ) )).

fof(fact_New__DSequence_Opos__not__seq__def,axiom,(
    ! [V_i_2,V_xq_2] : hAPP(c_New__DSequence_Opos__not__seq(V_xq_2),V_i_2) = c_Lazy__Sequence_Ohb__not__seq(hAPP(V_xq_2,hAPP(hAPP(c_Groups_Otimes__class_Otimes(tc_Code__Numeral_Ocode__numeral),hAPP(c_Int_Onumber__class_Onumber__of(tc_Code__Numeral_Ocode__numeral),c_Int_OBit1(c_Int_OBit1(c_Int_OPls)))),V_i_2))) )).

fof(fact_weak__map__of__SomeI,axiom,(
    ! [V_l_2,V_x_2,V_k_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_k_2),V_x_2)),hAPP(c_List_Oset(tc_prod(T_a,T_b)),V_l_2)))
     => ? [B_x] : hAPP(hAPP(c_Map_Omap__of(T_a,T_b),V_l_2),V_k_2) = hAPP(c_Option_Ooption_OSome(T_b),B_x) ) )).

fof(fact_map__of__zip__map,axiom,(
    ! [V_f_2,T_b,V_xs_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => hAPP(hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2))),V_x_2) = hAPP(c_Option_Ooption_OSome(T_b),hAPP(V_f_2,V_x_2)) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => hAPP(hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2))),V_x_2) = c_Option_Ooption_ONone(T_b) ) ) )).

fof(fact_partition__set,axiom,(
    ! [V_no_2,V_yes_2,V_xs_2,V_P_2,T_a] :
      ( c_List_Opartition(T_a,V_P_2,V_xs_2) = hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_yes_2),V_no_2)
     => hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_yes_2)),hAPP(c_List_Oset(T_a),V_no_2)) = hAPP(c_List_Oset(T_a),V_xs_2) ) )).

fof(fact_option__map__o__empty,axiom,(
    ! [V_x_2,V_f_2,T_c,T_a,T_b] : hAPP(hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_b),tc_Option_Ooption(T_a),T_c,hAPP(c_Option_Omap(T_b,T_a),V_f_2)),hAPP(c_COMBK(tc_Option_Ooption(T_b),T_c),c_Option_Ooption_ONone(T_b))),V_x_2) = c_Option_Ooption_ONone(T_a) )).

fof(fact_option__map__None,axiom,(
    ! [V_f_2,T_a,T_b] : hAPP(hAPP(c_Option_Omap(T_b,T_a),V_f_2),c_Option_Ooption_ONone(T_b)) = c_Option_Ooption_ONone(T_a) )).

fof(fact_option__map__is__None,axiom,(
    ! [V_opt_2,V_f_2,T_a,T_b] :
      ( hAPP(hAPP(c_Option_Omap(T_b,T_a),V_f_2),V_opt_2) = c_Option_Ooption_ONone(T_a)
    <=> V_opt_2 = c_Option_Ooption_ONone(T_b) ) )).

fof(fact_map__of__Cons__code_I1_J,axiom,(
    ! [V_k,T_a,T_b] : hAPP(hAPP(c_Map_Omap__of(T_b,T_a),c_List_Olist_ONil(tc_prod(T_b,T_a))),V_k) = c_Option_Ooption_ONone(T_a) )).

fof(fact_set__empty__eq,axiom,(
    ! [V_xo_2,T_a] :
      ( c_Option_Oset(T_a,V_xo_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_xo_2 = c_Option_Ooption_ONone(T_a) ) )).

fof(fact_Option_Oset_Osimps_I1_J,axiom,(
    ! [T_a] : c_Option_Oset(T_a,c_Option_Ooption_ONone(T_a)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_empty__upd__none,axiom,(
    ! [V_xa_2,V_x_2,T_a,T_b] : hAPP(hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),hAPP(c_COMBK(tc_Option_Ooption(T_a),T_b),c_Option_Ooption_ONone(T_a))),V_x_2),c_Option_Ooption_ONone(T_a)),V_xa_2) = c_Option_Ooption_ONone(T_a) )).

fof(fact_dom__def,axiom,(
    ! [V_m_2,T_b,T_a] : c_Map_Odom(T_a,T_b,V_m_2) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,tc_Option_Ooption(T_b),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_b),tc_fun(tc_Option_Ooption(T_b),tc_HOL_Obool),T_a),c_fequal),V_m_2)),c_Option_Ooption_ONone(T_b)))) )).

fof(fact_domIff,axiom,(
    ! [V_m_2,T_b,V_a_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),c_Map_Odom(T_a,T_b,V_m_2)))
    <=> hAPP(V_m_2,V_a_2) != c_Option_Ooption_ONone(T_b) ) )).

fof(fact_dom__empty,axiom,(
    ! [T_b,T_a] : c_Map_Odom(T_a,T_b,hAPP(c_COMBK(tc_Option_Ooption(T_b),T_a),c_Option_Ooption_ONone(T_b))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_dom__eq__empty__conv,axiom,(
    ! [V_f_2,T_b,T_a] :
      ( c_Map_Odom(T_a,T_b,V_f_2) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
    <=> V_f_2 = hAPP(c_COMBK(tc_Option_Ooption(T_b),T_a),c_Option_Ooption_ONone(T_b)) ) )).

fof(fact_restrict__map__def,axiom,(
    ! [V_m_2,T_b,V_A_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Map_Orestrict__map(T_a,T_b,V_m_2,V_A_2),V_x_2) = hAPP(V_m_2,V_x_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
       => hAPP(c_Map_Orestrict__map(T_a,T_b,V_m_2,V_A_2),V_x_2) = c_Option_Ooption_ONone(T_b) ) ) )).

fof(fact_restrict__out,axiom,(
    ! [V_m_2,T_b,V_A_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_A_2))
     => hAPP(c_Map_Orestrict__map(T_a,T_b,V_m_2,V_A_2),V_x_2) = c_Option_Ooption_ONone(T_b) ) )).

fof(fact_restrict__map__empty,axiom,(
    ! [V_x_2,V_D_2,T_a,T_b] : hAPP(c_Map_Orestrict__map(T_b,T_a,hAPP(c_COMBK(tc_Option_Ooption(T_a),T_b),c_Option_Ooption_ONone(T_a)),V_D_2),V_x_2) = c_Option_Ooption_ONone(T_a) )).

fof(fact_restrict__map__to__empty,axiom,(
    ! [V_x_2,V_m_2,T_a,T_b] : hAPP(c_Map_Orestrict__map(T_b,T_a,V_m_2,c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool))),V_x_2) = c_Option_Ooption_ONone(T_a) )).

fof(fact_option_Osimps_I4_J,axiom,(
    ! [V_f2_2,V_f1_2,T_b,T_a] : hAPP(c_Option_Ooption_Ooption__case(T_a,T_b,V_f1_2,V_f2_2),c_Option_Ooption_ONone(T_b)) = V_f1_2 )).

fof(fact_map__upd__nonempty,axiom,(
    ! [V_x_2,V_k_2,V_t_2,T_b,T_a] : hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_t_2),V_k_2),hAPP(c_Option_Ooption_OSome(T_b),V_x_2)) != hAPP(c_COMBK(tc_Option_Ooption(T_b),T_a),c_Option_Ooption_ONone(T_b)) )).

fof(fact_option_Osimps_I2_J,axiom,(
    ! [V_a_H,T_a] : c_Option_Ooption_ONone(T_a) != hAPP(c_Option_Ooption_OSome(T_a),V_a_H) )).

fof(fact_option_Osimps_I3_J,axiom,(
    ! [V_a_H,T_a] : hAPP(c_Option_Ooption_OSome(T_a),V_a_H) != c_Option_Ooption_ONone(T_a) )).

fof(fact_not__Some__eq,axiom,(
    ! [T_a,V_x_2] :
      ( ! [B_y] : V_x_2 != hAPP(c_Option_Ooption_OSome(T_a),B_y)
    <=> V_x_2 = c_Option_Ooption_ONone(T_a) ) )).

fof(fact_not__None__eq,axiom,(
    ! [T_a,V_x_2] :
      ( V_x_2 != c_Option_Ooption_ONone(T_a)
    <=> ? [B_y] : V_x_2 = hAPP(c_Option_Ooption_OSome(T_a),B_y) ) )).

fof(fact_ran__empty,axiom,(
    ! [T_a,T_b] : c_Map_Oran(T_b,T_a,hAPP(c_COMBK(tc_Option_Ooption(T_a),T_b),c_Option_Ooption_ONone(T_a))) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) )).

fof(fact_map__of_Osimps_I1_J,axiom,(
    ! [V_x_1,T_b,T_a] : hAPP(hAPP(c_Map_Omap__of(T_a,T_b),c_List_Olist_ONil(tc_prod(T_a,T_b))),V_x_1) = c_Option_Ooption_ONone(T_b) )).

fof(fact_Option_Omap__def,axiom,(
    ! [V_f_2,T_b,T_a] : hAPP(c_Option_Omap(T_a,T_b),V_f_2) = c_Option_Ooption_Ooption__case(tc_Option_Ooption(T_b),T_a,c_Option_Ooption_ONone(T_b),hAPP(hAPP(c_COMBB(T_b,tc_Option_Ooption(T_b),T_a),c_Option_Ooption_OSome(T_b)),V_f_2)) )).

fof(fact_option_Osize_I3_J,axiom,(
    ! [T_a] : hAPP(c_Nat_Osize__class_Osize(tc_Option_Ooption(T_a)),c_Option_Ooption_ONone(T_a)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_option_Osize_I1_J,axiom,(
    ! [V_fa_2,T_a] : c_Option_Ooption_Ooption__size(T_a,V_fa_2,c_Option_Ooption_ONone(T_a)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_dom__minus,axiom,(
    ! [V_A_2,T_b,T_a,V_x_2,V_f_2] :
      ( hAPP(V_f_2,V_x_2) = c_Option_Ooption_ONone(T_a)
     => hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),c_Map_Odom(T_b,T_a,V_f_2)),hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),V_A_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),c_Map_Odom(T_b,T_a,V_f_2)),V_A_2) ) )).

fof(fact_WT_OBody,axiom,(
    ! [V_pn] :
      ( hAPP(c_Com_Obody,V_pn) != c_Option_Ooption_ONone(tc_Com_Ocom)
     => hBOOL(hAPP(c_Com_OWT,hAPP(c_Com_Ocom_OBODY,V_pn))) ) )).

fof(fact_partition__P,axiom,(
    ! [V_no_2,V_yes_2,V_xs_2,V_P_2,T_a] :
      ( c_List_Opartition(T_a,V_P_2,V_xs_2) = hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_yes_2),V_no_2)
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_yes_2)))
           => hBOOL(hAPP(V_P_2,B_x)) )
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_no_2)))
           => ~ hBOOL(hAPP(V_P_2,B_x)) ) ) ) )).

fof(fact_partition_Osimps_I1_J,axiom,(
    ! [V_P_2,T_a] : c_List_Opartition(T_a,V_P_2,c_List_Olist_ONil(T_a)) = hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_List_Olist_ONil(T_a)) )).

fof(fact_ran__map__upd,axiom,(
    ! [V_b_2,T_b,T_a,V_a_2,V_m_2] :
      ( hAPP(V_m_2,V_a_2) = c_Option_Ooption_ONone(T_a)
     => c_Map_Oran(T_b,T_a,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),V_m_2),V_a_2),hAPP(c_Option_Ooption_OSome(T_a),V_b_2))) = hAPP(hAPP(c_Set_Oinsert(T_a),V_b_2),c_Map_Oran(T_b,T_a,V_m_2)) ) )).

fof(fact_map__of__zip__is__None,axiom,(
    ! [V_x_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => ( hAPP(hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)),V_x_2) = c_Option_Ooption_ONone(T_b)
      <=> ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2))) ) ) )).

fof(fact_partition_Osimps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,V_P_2,T_a] : c_List_Opartition(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)))),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)))),tc_fun(tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)))),tc_List_Olist(T_a)),c_COMBS(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)))),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_fun(tc_List_Olist(T_a),tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)))),tc_List_Olist(T_a)),hAPP(c_COMBB(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_List_Olist(T_a)),hAPP(c_If(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(V_P_2,V_x_2)))),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_List_Olist(T_a)),c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(c_List_Olist_OCons(T_a),V_x_2))))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)))),hAPP(hAPP(c_COMBB(tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),tc_fun(tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_fun(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)))),tc_List_Olist(T_a)),c_COMBB(tc_List_Olist(T_a),tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a)),tc_List_Olist(T_a))),c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)))),hAPP(c_List_Olist_OCons(T_a),V_x_2)))),c_List_Opartition(T_a,V_P_2,V_xs_2)) )).

fof(fact_dom__fun__upd,axiom,(
    ! [V_x_2,V_f_2,T_b,T_a,V_y_2] :
      ( ( V_y_2 = c_Option_Ooption_ONone(T_a)
       => c_Map_Odom(T_b,T_a,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),V_f_2),V_x_2),V_y_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_b,tc_HOL_Obool)),c_Map_Odom(T_b,T_a,V_f_2)),hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_b,tc_HOL_Obool)))) )
      & ( V_y_2 != c_Option_Ooption_ONone(T_a)
       => c_Map_Odom(T_b,T_a,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_b,tc_Option_Ooption(T_a)),V_f_2),V_x_2),V_y_2)) = hAPP(hAPP(c_Set_Oinsert(T_b),V_x_2),c_Map_Odom(T_b,T_a,V_f_2)) ) ) )).

fof(fact_restrict__complement__singleton__eq,axiom,(
    ! [V_x_2,V_f_2,T_b,T_a] : c_Map_Orestrict__map(T_a,T_b,V_f_2,hAPP(c_Groups_Ouminus__class_Ouminus(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_f_2),V_x_2),c_Option_Ooption_ONone(T_b)) )).

fof(fact_map__of__eq__None__iff,axiom,(
    ! [V_x_2,V_xys_2,T_a,T_b] :
      ( hAPP(hAPP(c_Map_Omap__of(T_b,T_a),V_xys_2),V_x_2) = c_Option_Ooption_ONone(T_a)
    <=> ~ hBOOL(hAPP(hAPP(c_member(T_b),V_x_2),hAPP(c_Set_Oimage(tc_prod(T_b,T_a),T_b,c_Product__Type_Ofst(T_b,T_a)),hAPP(c_List_Oset(tc_prod(T_b,T_a)),V_xys_2)))) ) )).

fof(fact_UNIV__option__conv,axiom,(
    ! [T_a] : c_Orderings_Otop__class_Otop(tc_fun(tc_Option_Ooption(T_a),tc_HOL_Obool)) = hAPP(hAPP(c_Set_Oinsert(tc_Option_Ooption(T_a)),c_Option_Ooption_ONone(T_a)),hAPP(c_Set_Oimage(T_a,tc_Option_Ooption(T_a),c_Option_Ooption_OSome(T_a)),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_dom__eq__singleton__conv,axiom,(
    ! [V_x_2,V_f_2,T_b,T_a] :
      ( c_Map_Odom(T_a,T_b,V_f_2) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))
    <=> ? [B_v] : V_f_2 = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),hAPP(c_COMBK(tc_Option_Ooption(T_b),T_a),c_Option_Ooption_ONone(T_b))),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),B_v)) ) )).

fof(fact_fun__upd__None__restrict,axiom,(
    ! [V_m_2,T_b,V_D_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_D_2))
       => hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_m_2,V_D_2)),V_x_2),c_Option_Ooption_ONone(T_b)) = c_Map_Orestrict__map(T_a,T_b,V_m_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),V_D_2),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))))) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),V_D_2))
       => hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Orestrict__map(T_a,T_b,V_m_2,V_D_2)),V_x_2),c_Option_Ooption_ONone(T_b)) = c_Map_Orestrict__map(T_a,T_b,V_m_2,V_D_2) ) ) )).

fof(fact_lists__Int__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_List_Olistsp(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_HOL_Obool),c_member(tc_List_Olist(T_a))),c_List_Olists(T_a,V_A_2))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool),tc_HOL_Obool),c_member(tc_List_Olist(T_a))),c_List_Olists(T_a,V_B_2))) )).

fof(fact_lists__IntI,axiom,(
    ! [V_B_2,V_A_2,V_l_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_l_2),c_List_Olists(T_a,V_A_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_l_2),c_List_Olists(T_a,V_B_2)))
       => hBOOL(hAPP(c_List_Olistsp(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_B_2))),V_l_2)) ) ) )).

fof(fact_listsp_ONil,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),c_List_Olist_ONil(T_a))) )).

fof(fact_append__in__listsp__conv,axiom,(
    ! [V_ys_2,V_xs_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)))
    <=> ( hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),V_xs_2))
        & hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),V_ys_2)) ) ) )).

fof(fact_listsp_Oequations_I2_J,axiom,(
    ! [V_a2_2,V_a1_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_a1_2),V_a2_2)))
    <=> ( hBOOL(hAPP(V_A_2,V_a1_2))
        & hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),V_a2_2)) ) ) )).

fof(fact_in__listsp__conv__set,axiom,(
    ! [V_xs_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),V_xs_2))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_A_2,B_x)) ) ) )).

fof(fact_listsp__conj__eq,axiom,(
    ! [V_x_2,V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_List_Olistsp(T_a,hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_A_2)),V_B_2)),V_x_2))
    <=> ( hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),V_x_2))
        & hBOOL(hAPP(c_List_Olistsp(T_a,V_B_2),V_x_2)) ) ) )).

fof(fact_listsp__inf__eq,axiom,(
    ! [V_B_2,V_A_2,T_a] : c_List_Olistsp(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),c_List_Olistsp(T_a,V_A_2)),c_List_Olistsp(T_a,V_B_2)) )).

fof(fact_listsp__infI,axiom,(
    ! [V_B_2,V_l_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),V_l_2))
     => ( hBOOL(hAPP(c_List_Olistsp(T_a,V_B_2),V_l_2))
       => hBOOL(hAPP(c_List_Olistsp(T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2)),V_l_2)) ) ) )).

fof(fact_listsp_Oequations_I1_J,axiom,(
    ! [V_A_2,T_a] : hBOOL(hAPP(c_List_Olistsp(T_a,V_A_2),c_List_Olist_ONil(T_a))) )).

fof(fact_listsp__mono,axiom,(
    ! [V_B_2,V_A_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),V_A_2),V_B_2))
     => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),c_List_Olistsp(T_a,V_A_2)),c_List_Olistsp(T_a,V_B_2))) ) )).

fof(fact_listsp__lists__eq,axiom,(
    ! [V_x_2,V_A_2,T_a] :
      ( hBOOL(hAPP(c_List_Olistsp(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),V_A_2)),V_x_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_x_2),c_List_Olists(T_a,V_A_2))) ) )).

fof(fact_,axiom,(
    ! [V_y_2,V_x_2,T_a] : c_Smallcheck_Oorelse(T_a,V_x_2,V_y_2) = hAPP(c_Option_Ooption_Ooption__case(tc_Option_Ooption(T_a),T_a,V_y_2,c_Option_Ooption_OSome(T_a)),V_x_2) )).

fof(fact_product_Osimps_I2_J,axiom,(
    ! [V_ys_2,V_xs_2,V_x_2,T_b,T_a] : c_Enum_Oproduct(T_a,T_b,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2),V_ys_2) = hAPP(hAPP(c_List_Oappend(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Omap(T_b,tc_prod(T_a,T_b)),hAPP(c_Product__Type_OPair(T_a,T_b),V_x_2)),V_ys_2)),c_Enum_Oproduct(T_a,T_b,V_xs_2,V_ys_2)) )).

fof(fact_product_Osimps_I1_J,axiom,(
    ! [V_uu,T_b,T_a] : c_Enum_Oproduct(T_a,T_b,c_List_Olist_ONil(T_a),V_uu) = c_List_Olist_ONil(tc_prod(T_a,T_b)) )).

fof(fact_distinct__product,axiom,(
    ! [V_ys,T_b,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => ( hBOOL(hAPP(c_List_Odistinct(T_b),V_ys))
       => hBOOL(hAPP(c_List_Odistinct(tc_prod(T_a,T_b)),c_Enum_Oproduct(T_a,T_b,V_xs,V_ys))) ) ) )).

fof(fact_product__list__set,axiom,(
    ! [V_ys_2,V_xs_2,T_b,T_a] : hAPP(c_List_Oset(tc_prod(T_a,T_b)),c_Enum_Oproduct(T_a,T_b,V_xs_2,V_ys_2)) = hAPP(hAPP(c_Product__Type_OSigma(T_a,T_b),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(c_COMBK(tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_List_Oset(T_b),V_ys_2))) )).

fof(fact_sublists__powset,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_Set_Oimage(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),c_List_Oset(T_a)),hAPP(c_List_Oset(tc_List_Olist(T_a)),c_Enum_Osublists(T_a,V_xs_2))) = hAPP(c_Set_OPow(T_a),hAPP(c_List_Oset(T_a),V_xs_2)) )).

fof(fact_length__sublists,axiom,(
    ! [V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),c_Enum_Osublists(T_a,V_xs)) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)) )).

fof(fact_sublists_Osimps_I1_J,axiom,(
    ! [T_a] : c_Enum_Osublists(T_a,c_List_Olist_ONil(T_a)) = hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_List_Olist_ONil(tc_List_Olist(T_a))) )).

fof(fact_sublists_Osimps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,T_a] : c_Enum_Osublists(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_HOL_OLet(tc_List_Olist(tc_List_Olist(T_a)),tc_List_Olist(tc_List_Olist(T_a))),c_Enum_Osublists(T_a,V_xs_2)),hAPP(hAPP(c_COMBS(tc_List_Olist(tc_List_Olist(T_a)),tc_List_Olist(tc_List_Olist(T_a)),tc_List_Olist(tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_List_Olist(tc_List_Olist(T_a)),tc_fun(tc_List_Olist(tc_List_Olist(T_a)),tc_List_Olist(tc_List_Olist(T_a))),tc_List_Olist(tc_List_Olist(T_a))),c_List_Oappend(tc_List_Olist(T_a))),hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(c_List_Olist_OCons(T_a),V_x_2)))),c_COMBI(tc_List_Olist(tc_List_Olist(T_a))))) )).

fof(fact_distinct__set__sublists,axiom,(
    ! [V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hBOOL(hAPP(c_List_Odistinct(tc_fun(T_a,tc_HOL_Obool)),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool)),c_List_Oset(T_a)),c_Enum_Osublists(T_a,V_xs_2)))) ) )).

fof(fact_set__n__lists,axiom,(
    ! [V_xs_2,V_n_2,T_a] : hAPP(c_List_Oset(tc_List_Olist(T_a)),c_Enum_On__lists(T_a,V_n_2,V_xs_2)) = hAPP(c_Set_OCollect(tc_List_Olist(T_a)),hAPP(hAPP(c_COMBS(tc_List_Olist(T_a),tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_List_Olist(T_a)),c_fconj),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_Nat_Onat,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),V_n_2))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),tc_List_Olist(T_a)),c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool))),c_List_Oset(T_a))),hAPP(c_List_Oset(T_a),V_xs_2)))) )).

fof(fact_enum__the__def,axiom,(
    ! [V_P_2,T_a] : c_Enum_Oenum__the(T_a,V_P_2) = c_HOL_OThe(T_a,V_P_2) )).

fof(fact_distinct__n__lists,axiom,(
    ! [V_n,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(tc_List_Olist(T_a)),c_Enum_On__lists(T_a,V_n,V_xs))) ) )).

fof(fact_n__lists__Nil,axiom,(
    ! [T_a,V_n] :
      ( ( V_n = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => c_Enum_On__lists(T_a,V_n,c_List_Olist_ONil(T_a)) = hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_List_Olist_ONil(tc_List_Olist(T_a))) )
      & ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
       => c_Enum_On__lists(T_a,V_n,c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(tc_List_Olist(T_a)) ) ) )).

fof(fact_n__lists_Osimps_I1_J,axiom,(
    ! [V_xs,T_a] : c_Enum_On__lists(T_a,c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_xs) = hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),c_List_Olist_ONil(tc_List_Olist(T_a))) )).

fof(fact_length__n__lists,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),c_Enum_On__lists(T_a,V_n,V_xs)) = hAPP(hAPP(c_Power_Opower__class_Opower(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_n) )).

fof(fact_length__n__lists__elem,axiom,(
    ! [V_xs_2,V_n_2,V_ys_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),V_ys_2),hAPP(c_List_Oset(tc_List_Olist(T_a)),c_Enum_On__lists(T_a,V_n_2,V_xs_2))))
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) = V_n_2 ) )).

fof(fact_full__small__int__def,axiom,(
    ! [V_d_2,V_f_2] : c_Smallcheck_Ofull__small__class_Ofull__small(tc_Int_Oint,V_f_2,V_d_2) = c_Smallcheck_Ofull__small_H(V_f_2,hAPP(c_Code__Numeral_Oint__of,V_d_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Code__Numeral_Oint__of,V_d_2))) )).

fof(fact_small_H_Osimps,axiom,(
    ! [V_f_2,V_i_2,V_d_2] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_d_2),V_i_2))
       => c_Smallcheck_Osmall_H(V_f_2,V_d_2,V_i_2) = c_Option_Ooption_ONone(tc_List_Olist(tc_Code__Evaluation_Oterm)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_d_2),V_i_2))
       => c_Smallcheck_Osmall_H(V_f_2,V_d_2,V_i_2) = hAPP(c_Option_Ooption_Ooption__case(tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm)),tc_List_Olist(tc_Code__Evaluation_Oterm),c_Smallcheck_Osmall_H(V_f_2,V_d_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),c_Option_Ooption_OSome(tc_List_Olist(tc_Code__Evaluation_Oterm))),hAPP(V_f_2,V_i_2)) ) ) )).

fof(fact_small_H_Opsimps,axiom,(
    ! [V_i_2,V_d_2,V_f_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_fun(tc_Int_Oint,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),tc_prod(tc_Int_Oint,tc_Int_Oint)),c_Smallcheck_Osmall_H__rel),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_Int_Oint,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),tc_prod(tc_Int_Oint,tc_Int_Oint)),V_f_2),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_d_2),V_i_2))))
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_d_2),V_i_2))
         => c_Smallcheck_Osmall_H(V_f_2,V_d_2,V_i_2) = c_Option_Ooption_ONone(tc_List_Olist(tc_Code__Evaluation_Oterm)) )
        & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),V_d_2),V_i_2))
         => c_Smallcheck_Osmall_H(V_f_2,V_d_2,V_i_2) = hAPP(c_Option_Ooption_Ooption__case(tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm)),tc_List_Olist(tc_Code__Evaluation_Oterm),c_Smallcheck_Osmall_H(V_f_2,V_d_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),V_i_2),c_Groups_Oone__class_Oone(tc_Int_Oint))),c_Option_Ooption_OSome(tc_List_Olist(tc_Code__Evaluation_Oterm))),hAPP(V_f_2,V_i_2)) ) ) ) )).

fof(fact_small__int__def,axiom,(
    ! [V_d_2,V_f_2] : hAPP(hAPP(c_Smallcheck_Osmall__class_Osmall(tc_Int_Oint),V_f_2),V_d_2) = c_Smallcheck_Osmall_H(V_f_2,hAPP(c_Code__Numeral_Oint__of,V_d_2),hAPP(c_Groups_Ouminus__class_Ouminus(tc_Int_Oint),hAPP(c_Code__Numeral_Oint__of,V_d_2))) )).

fof(fact_small__prod__def,axiom,(
    ! [V_d_2,V_f_2,T_a,T_b] :
      ( ( class_Smallcheck_Osmall(T_b)
        & class_Smallcheck_Osmall(T_a) )
     => hAPP(hAPP(c_Smallcheck_Osmall__class_Osmall(tc_prod(T_a,T_b)),V_f_2),V_d_2) = hAPP(hAPP(c_Smallcheck_Osmall__class_Osmall(T_a),hAPP(hAPP(c_COMBC(T_a,tc_Code__Numeral_Ocode__numeral,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),T_a),c_Smallcheck_Osmall__class_Osmall(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm)),T_b),V_f_2)),c_Product__Type_OPair(T_a,T_b)))),V_d_2)),V_d_2) ) )).

fof(fact_small_H_Opinduct,axiom,(
    ! [V_P_2,V_a2_2,V_a1_2,V_a0_2] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_fun(tc_Int_Oint,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),tc_prod(tc_Int_Oint,tc_Int_Oint)),c_Smallcheck_Osmall_H__rel),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_Int_Oint,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),tc_prod(tc_Int_Oint,tc_Int_Oint)),V_a0_2),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),V_a1_2),V_a2_2))))
     => ( ! [B_f,B_d,B_i] :
            ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_prod(tc_fun(tc_Int_Oint,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),tc_prod(tc_Int_Oint,tc_Int_Oint)),c_Smallcheck_Osmall_H__rel),hAPP(hAPP(c_Product__Type_OPair(tc_fun(tc_Int_Oint,tc_Option_Ooption(tc_List_Olist(tc_Code__Evaluation_Oterm))),tc_prod(tc_Int_Oint,tc_Int_Oint)),B_f),hAPP(hAPP(c_Product__Type_OPair(tc_Int_Oint,tc_Int_Oint),B_d),B_i))))
           => ( ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Int_Oint),B_d),B_i))
               => ( hAPP(B_f,B_i) = c_Option_Ooption_ONone(tc_List_Olist(tc_Code__Evaluation_Oterm))
                 => hBOOL(hAPP(hAPP(hAPP(V_P_2,B_f),B_d),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Int_Oint),B_i),c_Groups_Oone__class_Oone(tc_Int_Oint)))) ) )
             => hBOOL(hAPP(hAPP(hAPP(V_P_2,B_f),B_d),B_i)) ) )
       => hBOOL(hAPP(hAPP(hAPP(V_P_2,V_a0_2),V_a1_2),V_a2_2)) ) ) )).

fof(fact_map__of__zip__enum__inject,axiom,(
    ! [V_ys_2,V_xs_2,T_a,T_b] :
      ( ( class_Enum_Oenum(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),c_Enum_Oenum__class_Oenum(T_b))
       => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),c_Enum_Oenum__class_Oenum(T_b))
         => ( hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_a),T_a,T_b,c_Option_Othe(T_a)),hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),c_Enum_Oenum__class_Oenum(T_b)),V_xs_2))) = hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_a),T_a,T_b,c_Option_Othe(T_a)),hAPP(c_Map_Omap__of(T_b,T_a),hAPP(hAPP(c_List_Ozip(T_b,T_a),c_Enum_Oenum__class_Oenum(T_b)),V_ys_2)))
           => V_xs_2 = V_ys_2 ) ) ) ) )).

fof(fact_enum__prod__def,axiom,(
    ! [T_b,T_a] :
      ( ( class_Enum_Oenum(T_a)
        & class_Enum_Oenum(T_b) )
     => c_Enum_Oenum__class_Oenum(tc_prod(T_a,T_b)) = c_Enum_Oproduct(T_a,T_b,c_Enum_Oenum__class_Oenum(T_a),c_Enum_Oenum__class_Oenum(T_b)) ) )).

fof(fact_enum__UNIV,axiom,(
    ! [T_a] :
      ( class_Enum_Oenum(T_a)
     => hAPP(c_List_Oset(T_a),c_Enum_Oenum__class_Oenum(T_a)) = c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) ) )).

fof(fact_UNIV__enum,axiom,(
    ! [T_a] :
      ( class_Enum_Oenum(T_a)
     => c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)) = hAPP(c_List_Oset(T_a),c_Enum_Oenum__class_Oenum(T_a)) ) )).

fof(fact_in__enum,axiom,(
    ! [V_x_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_Enum_Oenum__class_Oenum(T_a)))) ) )).

fof(fact_enum__option__def,axiom,(
    ! [T_a] :
      ( class_Enum_Oenum(T_a)
     => c_Enum_Oenum__class_Oenum(tc_Option_Ooption(T_a)) = hAPP(hAPP(c_List_Olist_OCons(tc_Option_Ooption(T_a)),c_Option_Ooption_ONone(T_a)),hAPP(hAPP(c_List_Omap(T_a,tc_Option_Ooption(T_a)),c_Option_Ooption_OSome(T_a)),c_Enum_Oenum__class_Oenum(T_a))) ) )).

fof(fact_enum__distinct,axiom,(
    ! [T_a] :
      ( class_Enum_Oenum(T_a)
     => hBOOL(hAPP(c_List_Odistinct(T_a),c_Enum_Oenum__class_Oenum(T_a))) ) )).

fof(fact_enum__fun__def,axiom,(
    ! [T_b,T_a] :
      ( ( class_Enum_Oenum(T_a)
        & class_Enum_Oenum(T_b) )
     => c_Enum_Oenum__class_Oenum(tc_fun(T_a,T_b)) = hAPP(hAPP(c_List_Omap(tc_List_Olist(T_b),tc_fun(T_a,T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,T_b),tc_List_Olist(T_b)),c_Fun_Ocomp(tc_Option_Ooption(T_b),T_b,T_a,c_Option_Othe(T_b))),hAPP(hAPP(c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)),tc_List_Olist(T_b)),c_Map_Omap__of(T_a,T_b)),hAPP(c_List_Ozip(T_a,T_b),c_Enum_Oenum__class_Oenum(T_a))))),c_Enum_On__lists(T_b,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Enum_Oenum__class_Oenum(T_a)),c_Enum_Oenum__class_Oenum(T_b))) ) )).

fof(fact_enum__fun__code,axiom,(
    ! [T_b,T_a] :
      ( ( class_Enum_Oenum(T_a)
        & class_HOL_Oequal(T_a)
        & class_Enum_Oenum(T_b) )
     => c_Enum_Oenum__class_Oenum(tc_fun(T_a,T_b)) = hAPP(hAPP(c_List_Omap(tc_List_Olist(T_b),tc_fun(T_a,T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,T_b),tc_List_Olist(T_b)),c_Fun_Ocomp(tc_Option_Ooption(T_b),T_b,T_a,c_Option_Othe(T_b))),hAPP(hAPP(c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)),tc_List_Olist(T_b)),c_Map_Omap__of(T_a,T_b)),hAPP(c_List_Ozip(T_a,T_b),c_Enum_Oenum__class_Oenum(T_a))))),c_Enum_On__lists(T_b,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Enum_Oenum__class_Oenum(T_a)),c_Enum_Oenum__class_Oenum(T_b))) ) )).

fof(fact_ex__n__lists__def,axiom,(
    ! [V_n_2,V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( c_Enum_Oex__n__lists(T_a,V_P_2,V_n_2)
      <=> ? [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_x),hAPP(c_List_Oset(tc_List_Olist(T_a)),c_Enum_On__lists(T_a,V_n_2,c_Enum_Oenum__class_Oenum(T_a)))))
            & hBOOL(hAPP(V_P_2,B_x)) ) ) ) )).

fof(fact_all__n__lists__def,axiom,(
    ! [V_n_2,V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( c_Enum_Oall__n__lists(T_a,V_P_2,V_n_2)
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_x),hAPP(c_List_Oset(tc_List_Olist(T_a)),c_Enum_On__lists(T_a,V_n_2,c_Enum_Oenum__class_Oenum(T_a)))))
           => hBOOL(hAPP(V_P_2,B_x)) ) ) ) )).

fof(fact_enum__ex__fun__code,axiom,(
    ! [V_P_2,T_a,T_b] :
      ( ( class_Enum_Oenum(T_b)
        & class_Enum_Oenum(T_a)
        & class_HOL_Oequal(T_a) )
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(tc_fun(T_a,T_b)),V_P_2))
      <=> c_Enum_Oex__n__lists(T_b,hAPP(hAPP(c_COMBB(tc_fun(T_a,T_b),tc_HOL_Obool,tc_List_Olist(T_b)),V_P_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,T_b),tc_List_Olist(T_b)),c_Fun_Ocomp(tc_Option_Ooption(T_b),T_b,T_a,c_Option_Othe(T_b))),hAPP(hAPP(c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)),tc_List_Olist(T_b)),c_Map_Omap__of(T_a,T_b)),hAPP(c_List_Ozip(T_a,T_b),c_Enum_Oenum__class_Oenum(T_a))))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Enum_Oenum__class_Oenum(T_a))) ) ) )).

fof(fact_enum__all__fun__code,axiom,(
    ! [V_P_2,T_a,T_b] :
      ( ( class_Enum_Oenum(T_b)
        & class_Enum_Oenum(T_a)
        & class_HOL_Oequal(T_a) )
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(tc_fun(T_a,T_b)),V_P_2))
      <=> c_Enum_Oall__n__lists(T_b,hAPP(hAPP(c_COMBB(tc_fun(T_a,T_b),tc_HOL_Obool,tc_List_Olist(T_b)),V_P_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,T_b),tc_List_Olist(T_b)),c_Fun_Ocomp(tc_Option_Ooption(T_b),T_b,T_a,c_Option_Othe(T_b))),hAPP(hAPP(c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)),tc_List_Olist(T_b)),c_Map_Omap__of(T_a,T_b)),hAPP(c_List_Ozip(T_a,T_b),c_Enum_Oenum__class_Oenum(T_a))))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Enum_Oenum__class_Oenum(T_a))) ) ) )).

fof(fact_enum__ex__prod__def,axiom,(
    ! [V_P_2,T_a,T_b] :
      ( ( class_Enum_Oenum(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(tc_prod(T_a,T_b)),V_P_2))
      <=> hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_Enum_Oenum__class_Oenum__ex(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_HOL_Obool,T_b),V_P_2)),c_Product__Type_OPair(T_a,T_b))))) ) ) )).

fof(fact_enum__all__prod__def,axiom,(
    ! [V_P_2,T_a,T_b] :
      ( ( class_Enum_Oenum(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(tc_prod(T_a,T_b)),V_P_2))
      <=> hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(T_a),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_HOL_Obool,T_a),c_Enum_Oenum__class_Oenum__all(T_b)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_HOL_Obool,T_b),V_P_2)),c_Product__Type_OPair(T_a,T_b))))) ) ) )).

fof(fact_enum__ex,axiom,(
    ! [V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(T_a),V_P_2))
      <=> ? [B_x1] : hBOOL(hAPP(V_P_2,B_x1)) ) ) )).

fof(fact_enum__all,axiom,(
    ! [V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(T_a),V_P_2))
      <=> ! [B_x1] : hBOOL(hAPP(V_P_2,B_x1)) ) ) )).

fof(fact_exists__code,axiom,(
    ! [V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( ? [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
      <=> hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(T_a),V_P_2)) ) ) )).

fof(fact_all__code,axiom,(
    ! [V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( ! [B_x1] : hBOOL(hAPP(V_P_2,B_x1))
      <=> hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(T_a),V_P_2)) ) ) )).

fof(fact_enum__ex__option__def,axiom,(
    ! [V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(tc_Option_Ooption(T_a)),V_P_2))
      <=> ( hBOOL(hAPP(V_P_2,c_Option_Ooption_ONone(T_a)))
          | hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(T_a),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_a),tc_HOL_Obool,T_a),V_P_2),c_Option_Ooption_OSome(T_a)))) ) ) ) )).

fof(fact_enum__all__option__def,axiom,(
    ! [V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(tc_Option_Ooption(T_a)),V_P_2))
      <=> ( hBOOL(hAPP(V_P_2,c_Option_Ooption_ONone(T_a)))
          & hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(T_a),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_a),tc_HOL_Obool,T_a),V_P_2),c_Option_Ooption_OSome(T_a)))) ) ) ) )).

fof(fact_order__fun_I1_J,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b] :
      ( ( class_Orderings_Oorder(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,T_b)),V_f_2),V_g_2))
      <=> hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(T_a),hAPP(hAPP(c_COMBS(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_Orderings_Oord__class_Oless__eq(T_b)),V_f_2)),V_g_2))) ) ) )).

fof(fact_order__fun_I2_J,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b] :
      ( ( class_Orderings_Oorder(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_fun(T_a,T_b)),V_f_2),V_g_2))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,T_b)),V_f_2),V_g_2))
          & hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBS(T_a,T_b,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_b,tc_fun(T_b,tc_HOL_Obool),T_a),c_fequal),V_f_2)),V_g_2)))) ) ) ) )).

fof(fact_enum__all__fun__def,axiom,(
    ! [V_P_2,T_a,T_b] :
      ( ( class_Enum_Oenum(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__all(tc_fun(T_a,T_b)),V_P_2))
      <=> c_Enum_Oall__n__lists(T_b,hAPP(hAPP(c_COMBB(tc_fun(T_a,T_b),tc_HOL_Obool,tc_List_Olist(T_b)),V_P_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,T_b),tc_List_Olist(T_b)),c_Fun_Ocomp(tc_Option_Ooption(T_b),T_b,T_a,c_Option_Othe(T_b))),hAPP(hAPP(c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)),tc_List_Olist(T_b)),c_Map_Omap__of(T_a,T_b)),hAPP(c_List_Ozip(T_a,T_b),c_Enum_Oenum__class_Oenum(T_a))))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Enum_Oenum__class_Oenum(T_a))) ) ) )).

fof(fact_enum__ex__fun__def,axiom,(
    ! [V_P_2,T_a,T_b] :
      ( ( class_Enum_Oenum(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hBOOL(hAPP(c_Enum_Oenum__class_Oenum__ex(tc_fun(T_a,T_b)),V_P_2))
      <=> c_Enum_Oex__n__lists(T_b,hAPP(hAPP(c_COMBB(tc_fun(T_a,T_b),tc_HOL_Obool,tc_List_Olist(T_b)),V_P_2),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,T_b),tc_List_Olist(T_b)),c_Fun_Ocomp(tc_Option_Ooption(T_b),T_b,T_a,c_Option_Othe(T_b))),hAPP(hAPP(c_COMBB(tc_List_Olist(tc_prod(T_a,T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)),tc_List_Olist(T_b)),c_Map_Omap__of(T_a,T_b)),hAPP(c_List_Ozip(T_a,T_b),c_Enum_Oenum__class_Oenum(T_a))))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Enum_Oenum__class_Oenum(T_a))) ) ) )).

fof(fact_map__of__zip__enum__is__Some,axiom,(
    ! [V_x,V_ys,T_b,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_Enum_Oenum__class_Oenum(T_a))
       => ? [B_y] : hAPP(hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Ozip(T_a,T_b),c_Enum_Oenum__class_Oenum(T_a)),V_ys)),V_x) = hAPP(c_Option_Ooption_OSome(T_b),B_y) ) ) )).

fof(fact_list__all2__def,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
    <=> ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
        & ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),B_x),hAPP(c_List_Oset(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2))))
           => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_P_2),B_x)) ) ) ) )).

fof(fact_list__all2__lengthD,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2) ) )).

fof(fact_list__all2__dropI,axiom,(
    ! [V_n_2,V_bs_2,V_as_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_as_2,V_bs_2)
     => c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Odrop(T_a),V_n_2),V_as_2),hAPP(hAPP(c_List_Odrop(T_b),V_n_2),V_bs_2)) ) )).

fof(fact_list__all2__takeI,axiom,(
    ! [V_n_2,V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
     => c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Otake(T_a),V_n_2),V_xs_2),hAPP(hAPP(c_List_Otake(T_b),V_n_2),V_ys_2)) ) )).

fof(fact_list__all2__eq,axiom,(
    ! [T_a,V_ys_2,V_xs_2] :
      ( V_xs_2 = V_ys_2
    <=> c_List_Olist__all2(T_a,T_a,c_fequal,V_xs_2,V_ys_2) ) )).

fof(fact_list__all2__appendI,axiom,(
    ! [V_d_2,V_c_2,V_b_2,V_a_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_a_2,V_b_2)
     => ( c_List_Olist__all2(T_a,T_b,V_P_2,V_c_2,V_d_2)
       => c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_a_2),V_c_2),hAPP(hAPP(c_List_Oappend(T_b),V_b_2),V_d_2)) ) ) )).

fof(fact_list__all2__Nil2,axiom,(
    ! [V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,c_List_Olist_ONil(T_b))
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_list__all2__Nil,axiom,(
    ! [V_ys_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,c_List_Olist_ONil(T_a),V_ys_2)
    <=> V_ys_2 = c_List_Olist_ONil(T_b) ) )).

fof(fact_list__all2__append,axiom,(
    ! [V_vs_2,V_us_2,V_P_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
     => ( c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_us_2),hAPP(hAPP(c_List_Oappend(T_b),V_ys_2),V_vs_2))
      <=> ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
          & c_List_Olist__all2(T_a,T_b,V_P_2,V_us_2,V_vs_2) ) ) ) )).

fof(fact_list__all2__map1,axiom,(
    ! [V_bs_2,V_as_2,V_f_2,T_c,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Omap(T_c,T_a),V_f_2),V_as_2),V_bs_2)
    <=> c_List_Olist__all2(T_c,T_b,hAPP(hAPP(c_COMBB(T_a,tc_fun(T_b,tc_HOL_Obool),T_c),V_P_2),V_f_2),V_as_2,V_bs_2) ) )).

fof(fact_list__all2__map2,axiom,(
    ! [V_bs_2,V_f_2,T_c,V_as_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_as_2,hAPP(hAPP(c_List_Omap(T_c,T_b),V_f_2),V_bs_2))
    <=> c_List_Olist__all2(T_a,T_c,hAPP(hAPP(c_COMBC(T_a,tc_fun(T_c,T_b),tc_fun(T_c,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_HOL_Obool),tc_fun(tc_fun(T_c,T_b),tc_fun(T_c,tc_HOL_Obool)),T_a),c_COMBB(T_b,tc_HOL_Obool,T_c)),V_P_2)),V_f_2),V_as_2,V_bs_2) ) )).

fof(fact_list__all2__Cons,axiom,(
    ! [V_ys_2,V_y_2,V_xs_2,V_x_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_b),V_y_2),V_ys_2))
    <=> ( hBOOL(hAPP(hAPP(V_P_2,V_x_2),V_y_2))
        & c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2) ) ) )).

fof(fact_list__all2__conv__all__nth,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
    <=> ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)
        & ! [B_i] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
           => hBOOL(hAPP(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i)),hAPP(hAPP(c_List_Onth(T_b),V_ys_2),B_i))) ) ) ) )).

fof(fact_list__all2__nthD,axiom,(
    ! [V_p_2,V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_p_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
       => hBOOL(hAPP(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_p_2)),hAPP(hAPP(c_List_Onth(T_b),V_ys_2),V_p_2))) ) ) )).

fof(fact_list__all2__nthD2,axiom,(
    ! [V_p_2,V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_p_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)))
       => hBOOL(hAPP(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_p_2)),hAPP(hAPP(c_List_Onth(T_b),V_ys_2),V_p_2))) ) ) )).

fof(fact_list__all2__update__cong,axiom,(
    ! [V_y_2,V_x_2,V_ys_2,V_P_2,T_b,V_xs_2,T_a,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
       => ( hBOOL(hAPP(hAPP(V_P_2,V_x_2),V_y_2))
         => c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_i_2),V_x_2),hAPP(hAPP(c_List_Olist__update(T_b,V_ys_2),V_i_2),V_y_2)) ) ) ) )).

fof(fact_list__all2__update__cong2,axiom,(
    ! [V_i_2,V_y_2,V_x_2,V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2)
     => ( hBOOL(hAPP(hAPP(V_P_2,V_x_2),V_y_2))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2)))
         => c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(hAPP(c_List_Olist__update(T_a,V_xs_2),V_i_2),V_x_2),hAPP(hAPP(c_List_Olist__update(T_b,V_ys_2),V_i_2),V_y_2)) ) ) ) )).

fof(fact_list__all2I,axiom,(
    ! [V_P_2,V_b_2,V_a_2,T_b,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_b)),B_x),hAPP(c_List_Oset(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_a_2),V_b_2))))
         => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_HOL_Obool),V_P_2),B_x)) )
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_a_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_b_2)
       => c_List_Olist__all2(T_a,T_b,V_P_2,V_a_2,V_b_2) ) ) )).

fof(fact_all__nth__imp__all__set,axiom,(
    ! [V_x_2,V_P_2,V_xs_2,T_a] :
      ( ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
         => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i))) )
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => hBOOL(hAPP(V_P_2,V_x_2)) ) ) )).

fof(fact_fun__left__comm_Ofold__set__remdups,axiom,(
    ! [V_xs_2,V_y_2,V_f_2,T_b,T_a] :
      ( c_Finite__Set_Ofun__left__comm(T_a,T_b,V_f_2)
     => hAPP(hAPP(c_Finite__Set_Ofold(T_a,T_b,V_f_2),V_y_2),hAPP(c_List_Oset(T_a),V_xs_2)) = hAPP(c_List_Ofoldl(T_b,T_a,hAPP(c_COMBC(T_a,T_b,T_b),V_f_2),V_y_2),c_List_Oremdups(T_a,V_xs_2)) ) )).

fof(fact_map__removeAll__inj__on,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),hAPP(c_List_OremoveAll(T_a,V_x_2),V_xs_2)) = hAPP(c_List_OremoveAll(T_b,hAPP(V_f_2,V_x_2)),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)) ) )).

fof(fact_distinct__remdups,axiom,(
    ! [V_xs,T_a] : hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Oremdups(T_a,V_xs))) )).

fof(fact_length__remdups__leq,axiom,(
    ! [V_xs,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Oremdups(T_a,V_xs))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs))) )).

fof(fact_removeAll__id,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => hAPP(c_List_OremoveAll(T_a,V_x_2),V_xs_2) = V_xs_2 ) )).

fof(fact_distinct__remdups__id,axiom,(
    ! [V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => c_List_Oremdups(T_a,V_xs) = V_xs ) )).

fof(fact_distinct__removeAll,axiom,(
    ! [V_x,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(c_List_OremoveAll(T_a,V_x),V_xs))) ) )).

fof(fact_remdups__id__iff__distinct,axiom,(
    ! [V_xs_2,T_a] :
      ( c_List_Oremdups(T_a,V_xs_2) = V_xs_2
    <=> hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) )).

fof(fact_remove1__remdups,axiom,(
    ! [V_x,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => c_List_Oremove1(T_a,V_x,c_List_Oremdups(T_a,V_xs)) = c_List_Oremdups(T_a,c_List_Oremove1(T_a,V_x,V_xs)) ) )).

fof(fact_length__remdups__eq,axiom,(
    ! [V_xs_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Oremdups(T_a,V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)
    <=> c_List_Oremdups(T_a,V_xs_2) = V_xs_2 ) )).

fof(fact_set__remdups,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Oset(T_a),c_List_Oremdups(T_a,V_xs_2)) = hAPP(c_List_Oset(T_a),V_xs_2) )).

fof(fact_remdups__remdups,axiom,(
    ! [V_xs,T_a] : c_List_Oremdups(T_a,c_List_Oremdups(T_a,V_xs)) = c_List_Oremdups(T_a,V_xs) )).

fof(fact_removeAll__append,axiom,(
    ! [V_ys,V_xs,V_x,T_a] : hAPP(c_List_OremoveAll(T_a,V_x),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(c_List_OremoveAll(T_a,V_x),V_xs)),hAPP(c_List_OremoveAll(T_a,V_x),V_ys)) )).

fof(fact_remdups__eq__nil__iff,axiom,(
    ! [V_x_2,T_a] :
      ( c_List_Oremdups(T_a,V_x_2) = c_List_Olist_ONil(T_a)
    <=> V_x_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_removeAll_Osimps_I1_J,axiom,(
    ! [V_x,T_a] : hAPP(c_List_OremoveAll(T_a,V_x),c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_remdups__eq__nil__right__iff,axiom,(
    ! [V_x_2,T_a] :
      ( c_List_Olist_ONil(T_a) = c_List_Oremdups(T_a,V_x_2)
    <=> V_x_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_remdups_Osimps_I1_J,axiom,(
    ! [T_a] : c_List_Oremdups(T_a,c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_remdups__map__remdups,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] : c_List_Oremdups(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_Oremdups(T_b,V_xs_2))) = c_List_Oremdups(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) )).

fof(fact_removeAll_Osimps_I2_J,axiom,(
    ! [V_xs,T_a,V_y,V_x] :
      ( ( V_x = V_y
       => hAPP(c_List_OremoveAll(T_a,V_x),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_xs)) = hAPP(c_List_OremoveAll(T_a,V_x),V_xs) )
      & ( V_x != V_y
       => hAPP(c_List_OremoveAll(T_a,V_x),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),hAPP(c_List_OremoveAll(T_a,V_x),V_xs)) ) ) )).

fof(fact_distinct__remove1__removeAll,axiom,(
    ! [V_x,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => c_List_Oremove1(T_a,V_x,V_xs) = hAPP(c_List_OremoveAll(T_a,V_x),V_xs) ) )).

fof(fact_remdups_Osimps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Oremdups(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = c_List_Oremdups(T_a,V_xs_2) )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Oremdups(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Oremdups(T_a,V_xs_2)) ) ) )).

fof(fact_length__remdups__card__conv,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Oremdups(T_a,V_xs_2)) = hAPP(c_Finite__Set_Ocard(T_a),hAPP(c_List_Oset(T_a),V_xs_2)) )).

fof(fact_map__removeAll__inj,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,T_b,V_f_2,c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool)))
     => hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),hAPP(c_List_OremoveAll(T_a,V_x_2),V_xs_2)) = hAPP(c_List_OremoveAll(T_b,hAPP(V_f_2,V_x_2)),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)) ) )).

fof(fact_set__removeAll,axiom,(
    ! [V_xs_2,V_x_2,T_a] : hAPP(c_List_Oset(T_a),hAPP(c_List_OremoveAll(T_a,V_x_2),V_xs_2)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) )).

fof(fact_length__remdups__concat,axiom,(
    ! [V_xss_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Oremdups(T_a,c_List_Oconcat(T_a,V_xss_2))) = hAPP(c_Finite__Set_Ocard(T_a),hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xss_2)),c_List_Oset(T_a))) )).

fof(fact_sorted__list__of__set__sort__remdups,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted__list__of__set(T_a,hAPP(c_List_Oset(T_a),V_xs_2)) = c_List_Olinorder__class_Osort__key(T_a,T_a,c_COMBI(T_a),c_List_Oremdups(T_a,V_xs_2)) ) )).

fof(fact_concat_Osimps_I2_J,axiom,(
    ! [V_xs,V_x,T_a] : c_List_Oconcat(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),V_x),V_xs)) = hAPP(hAPP(c_List_Oappend(T_a),V_x),c_List_Oconcat(T_a,V_xs)) )).

fof(fact_map__concat,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_Oconcat(T_b,V_xs_2)) = c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(tc_List_Olist(T_b),tc_List_Olist(T_a)),hAPP(c_List_Omap(T_b,T_a),V_f_2)),V_xs_2)) )).

fof(fact_concat__eq__Nil__conv,axiom,(
    ! [V_xss_2,T_a] :
      ( c_List_Oconcat(T_a,V_xss_2) = c_List_Olist_ONil(T_a)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_x),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xss_2)))
         => B_x = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_Nil__eq__concat__conv,axiom,(
    ! [V_xss_2,T_a] :
      ( c_List_Olist_ONil(T_a) = c_List_Oconcat(T_a,V_xss_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_x),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xss_2)))
         => B_x = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_concat_Osimps_I1_J,axiom,(
    ! [T_a] : c_List_Oconcat(T_a,c_List_Olist_ONil(tc_List_Olist(T_a))) = c_List_Olist_ONil(T_a) )).

fof(fact_sort__key__simps_I1_J,axiom,(
    ! [V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) ) )).

fof(fact_concat__conv__foldl,axiom,(
    ! [V_xss_2,T_a] : c_List_Oconcat(T_a,V_xss_2) = hAPP(c_List_Ofoldl(tc_List_Olist(T_a),tc_List_Olist(T_a),c_List_Oappend(T_a),c_List_Olist_ONil(T_a)),V_xss_2) )).

fof(fact_foldl__conv__concat,axiom,(
    ! [V_xss_2,V_xs_2,T_a] : hAPP(c_List_Ofoldl(tc_List_Olist(T_a),tc_List_Olist(T_a),c_List_Oappend(T_a),V_xs_2),V_xss_2) = hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),c_List_Oconcat(T_a,V_xss_2)) )).

fof(fact_set__sort,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => hAPP(c_List_Oset(T_a),c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,V_xs_2)) = hAPP(c_List_Oset(T_a),V_xs_2) ) )).

fof(fact_length__sort,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) ) )).

fof(fact_distinct__sort,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,V_xs_2)))
      <=> hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) ) )).

fof(fact_length__concat,axiom,(
    ! [V_xss_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Oconcat(T_a,V_xss_2)) = hAPP(c_List_Omonoid__add__class_Olistsum(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_Nat_Onat),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),V_xss_2)) )).

fof(fact_set__concat,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Oset(T_a),c_List_Oconcat(T_a,V_xs_2)) = hAPP(hAPP(c_Complete__Lattice_Ocomplete__lattice__class_OSUPR(tc_List_Olist(T_a),tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xs_2)),c_List_Oset(T_a)) )).

fof(fact_sort__key__simps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_x_2),c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,V_xs_2)) ) )).

fof(fact_concat__append,axiom,(
    ! [V_ys,V_xs,T_a] : c_List_Oconcat(T_a,hAPP(hAPP(c_List_Oappend(tc_List_Olist(T_a)),V_xs),V_ys)) = hAPP(hAPP(c_List_Oappend(T_a),c_List_Oconcat(T_a,V_xs)),c_List_Oconcat(T_a,V_ys)) )).

fof(fact_sort__foldl__insort,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osort__key(T_a,T_a,c_COMBI(T_a),V_xs_2) = hAPP(c_List_Ofoldl(tc_List_Olist(T_a),T_a,hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a))),c_List_Olist_ONil(T_a)),V_xs_2) ) )).

fof(fact_concat__injective,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( c_List_Oconcat(T_a,V_xs_2) = c_List_Oconcat(T_a,V_ys_2)
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_ys_2)
       => ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),B_x),hAPP(c_List_Oset(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_List_Ozip(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2))))
             => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))))),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),B_x)) )
         => V_xs_2 = V_ys_2 ) ) ) )).

fof(fact_concat__eq__concat__iff,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),B_x),hAPP(c_List_Oset(tc_prod(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_List_Ozip(tc_List_Olist(T_a),tc_List_Olist(T_a)),V_xs_2),V_ys_2))))
         => hBOOL(hAPP(hAPP(c_Product__Type_Oprod_Oprod__case(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_fun(tc_fun(tc_List_Olist(T_a),tc_Nat_Onat),tc_fun(tc_List_Olist(T_a),tc_HOL_Obool)),tc_List_Olist(T_a)),c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_List_Olist(T_a)),c_fequal),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))))),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),B_x)) )
     => ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_xs_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_ys_2)
       => ( c_List_Oconcat(T_a,V_xs_2) = c_List_Oconcat(T_a,V_ys_2)
        <=> V_xs_2 = V_ys_2 ) ) ) )).

fof(fact_concat__map__singleton,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] : c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(T_b,tc_List_Olist(T_a)),hAPP(hAPP(c_COMBC(T_b,tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(hAPP(c_COMBB(T_a,tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),T_b),c_List_Olist_OCons(T_a)),V_f_2)),c_List_Olist_ONil(T_a))),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2) )).

fof(fact_n__lists_Osimps_I2_J,axiom,(
    ! [V_xs_2,V_n_2,T_a] : c_Enum_On__lists(T_a,hAPP(c_Nat_OSuc,V_n_2),V_xs_2) = c_List_Oconcat(tc_List_Olist(T_a),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_List_Olist(T_a)),tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),tc_List_Olist(T_a)),c_List_Omap(T_a,tc_List_Olist(T_a))),hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)))),V_xs_2)),c_Enum_On__lists(T_a,V_n_2,V_xs_2))) )).

fof(fact_transpose_Osimps_I3_J,axiom,(
    ! [V_xss_2,V_xs_2,V_x_2,T_a] : c_List_Otranspose(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),V_xss_2)) = hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_Olist__case(tc_List_Olist(T_a),T_a,c_List_Olist_ONil(T_a),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),T_a),c_COMBK(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),c_List_Olist_ONil(T_a))))),V_xss_2)))),c_List_Otranspose(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),V_xs_2),c_List_Oconcat(tc_List_Olist(T_a),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),c_List_Olist_Olist__case(tc_List_Olist(tc_List_Olist(T_a)),T_a,c_List_Olist_ONil(tc_List_Olist(T_a)),hAPP(c_COMBK(tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),T_a),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a)),tc_List_Olist(tc_List_Olist(T_a))),c_List_Olist_OCons(tc_List_Olist(T_a))),c_List_Olist_ONil(tc_List_Olist(T_a)))))),V_xss_2))))) )).

fof(fact_transpose__aux__filter__head,axiom,(
    ! [V_xss_2,T_a] : c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_Olist__case(tc_List_Olist(T_a),T_a,c_List_Olist_ONil(T_a),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),T_a),c_COMBK(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),c_List_Olist_ONil(T_a))))),V_xss_2)) = hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),T_a),c_List_Ohd(T_a)),hAPP(c_List_Ofilter(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_List_Olist(T_a)),c_fNot),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),c_fequal),c_List_Olist_ONil(T_a)))),V_xss_2)) )).

fof(fact_filter__concat,axiom,(
    ! [V_xs_2,V_p_2,T_a] : hAPP(c_List_Ofilter(T_a,V_p_2),c_List_Oconcat(T_a,V_xs_2)) = c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Ofilter(T_a,V_p_2)),V_xs_2)) )).

fof(fact_filter__sort,axiom,(
    ! [V_xs_2,V_f_2,V_P_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => hAPP(c_List_Ofilter(T_a,V_P_2),c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,V_xs_2)) = c_List_Olinorder__class_Osort__key(T_a,T_b,V_f_2,hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)) ) )).

fof(fact_transpose_Osimps_I2_J,axiom,(
    ! [V_xss,T_a] : c_List_Otranspose(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),V_xss)) = c_List_Otranspose(T_a,V_xss) )).

fof(fact_partition__filter2,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hAPP(c_Product__Type_Osnd(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Opartition(T_a,V_P_2,V_xs_2)) = hAPP(c_List_Ofilter(T_a,hAPP(c_Fun_Ocomp(tc_HOL_Obool,tc_HOL_Obool,T_a,c_fNot),V_P_2)),V_xs_2) )).

fof(fact_distinct__filter,axiom,(
    ! [V_P_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2))) ) )).

fof(fact_sum__length__filter__compl,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Ofilter(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),V_P_2)),V_xs_2))) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2) )).

fof(fact_length__filter__le,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) )).

fof(fact_filter__is__subset,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2))),hAPP(c_List_Oset(T_a),V_xs_2))) )).

fof(fact_filter__id__conv,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) = V_xs_2
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_filter__insort__triv,axiom,(
    ! [V_xs_2,V_f_2,T_a,V_x_2,V_P_2,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_x_2),V_xs_2)) = hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) ) ) )).

fof(fact_filter__remove1,axiom,(
    ! [V_xs_2,V_x_2,V_Q_2,T_a] : hAPP(c_List_Ofilter(T_a,V_Q_2),c_List_Oremove1(T_a,V_x_2,V_xs_2)) = c_List_Oremove1(T_a,V_x_2,hAPP(c_List_Ofilter(T_a,V_Q_2),V_xs_2)) )).

fof(fact_remove1__filter__not,axiom,(
    ! [V_xs_2,T_a,V_x_2,V_P_2] :
      ( ~ hBOOL(hAPP(V_P_2,V_x_2))
     => c_List_Oremove1(T_a,V_x_2,hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)) = hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) ) )).

fof(fact_filter__filter,axiom,(
    ! [V_xs_2,V_Q_2,V_P_2,T_a] : hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(c_List_Ofilter(T_a,V_Q_2),V_xs_2)) = hAPP(c_List_Ofilter(T_a,hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),V_Q_2)),V_P_2)),V_xs_2) )).

fof(fact_partition__filter1,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hAPP(c_Product__Type_Ofst(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Opartition(T_a,V_P_2,V_xs_2)) = hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) )).

fof(fact_filter__append,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_a] : hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)),hAPP(c_List_Ofilter(T_a,V_P_2),V_ys_2)) )).

fof(fact_filter_Osimps_I1_J,axiom,(
    ! [V_P_2,T_a] : hAPP(c_List_Ofilter(T_a,V_P_2),c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_transpose_Osimps_I1_J,axiom,(
    ! [T_a] : c_List_Otranspose(T_a,c_List_Olist_ONil(tc_List_Olist(T_a))) = c_List_Olist_ONil(tc_List_Olist(T_a)) )).

fof(fact_filter__empty__conv,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) = c_List_Olist_ONil(T_a)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => ~ hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_filter_Osimps_I2_J,axiom,(
    ! [V_xs_2,T_a,V_x_2,V_P_2] :
      ( ( hBOOL(hAPP(V_P_2,V_x_2))
       => hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)) )
      & ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) ) ) )).

fof(fact_filter__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,V_P_2,T_a] : hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(c_List_Ofilter(T_b,hAPP(c_Fun_Ocomp(T_a,tc_HOL_Obool,T_b,V_P_2),V_f_2)),V_xs_2)) )).

fof(fact_removeAll__filter__not__eq,axiom,(
    ! [V_x_2,T_a] : c_List_OremoveAll(T_a,V_x_2) = c_List_Ofilter(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(c_fequal,V_x_2))) )).

fof(fact_remdups__filter,axiom,(
    ! [V_xs_2,V_P_2,T_a] : c_List_Oremdups(T_a,hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)) = hAPP(c_List_Ofilter(T_a,V_P_2),c_List_Oremdups(T_a,V_xs_2)) )).

fof(fact_removeAll__filter__not,axiom,(
    ! [V_xs_2,T_a,V_x_2,V_P_2] :
      ( ~ hBOOL(hAPP(V_P_2,V_x_2))
     => hAPP(c_List_OremoveAll(T_a,V_x_2),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)) = hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) ) )).

fof(fact_nth__transpose,axiom,(
    ! [V_xs_2,T_a,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),c_List_Otranspose(T_a,V_xs_2))))
     => hAPP(hAPP(c_List_Onth(tc_List_Olist(T_a)),c_List_Otranspose(T_a,V_xs_2)),V_i_2) = hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),T_a),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_Nat_Onat,T_a),c_List_Onth(T_a)),V_i_2)),hAPP(c_List_Ofilter(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a)),hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),V_xs_2)) ) )).

fof(fact_transpose__map__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] : c_List_Otranspose(T_a,hAPP(hAPP(c_List_Omap(tc_List_Olist(T_b),tc_List_Olist(T_a)),hAPP(c_List_Omap(T_b,T_a),V_f_2)),V_xs_2)) = hAPP(hAPP(c_List_Omap(tc_List_Olist(T_b),tc_List_Olist(T_a)),hAPP(c_List_Omap(T_b,T_a),V_f_2)),c_List_Otranspose(T_b,V_xs_2)) )).

fof(fact_set__filter,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hAPP(c_List_Oset(T_a),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)) = hAPP(c_Set_OCollect(T_a),hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fconj),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),hAPP(c_List_Oset(T_a),V_xs_2)))),V_P_2)) )).

fof(fact_length__filter__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,V_P_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),hAPP(c_List_Ofilter(T_b,hAPP(c_Fun_Ocomp(T_a,tc_HOL_Obool,T_b,V_P_2),V_f_2)),V_xs_2)) )).

fof(fact_length__filter__less,axiom,(
    ! [V_P_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) ) ) )).

fof(fact_partition__filter__conv,axiom,(
    ! [V_xs_2,V_f_2,T_a] : c_List_Opartition(T_a,V_f_2,V_xs_2) = hAPP(hAPP(c_Product__Type_OPair(tc_List_Olist(T_a),tc_List_Olist(T_a)),hAPP(c_List_Ofilter(T_a,V_f_2),V_xs_2)),hAPP(c_List_Ofilter(T_a,hAPP(c_Fun_Ocomp(tc_HOL_Obool,tc_HOL_Obool,T_a,c_fNot),V_f_2)),V_xs_2)) )).

fof(fact_set__minus__filter__out,axiom,(
    ! [V_y_2,V_xs_2,T_a] : hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(hAPP(c_Set_Oinsert(T_a),V_y_2),c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)))) = hAPP(c_List_Oset(T_a),hAPP(c_List_Ofilter(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_y_2))),V_xs_2)) )).

fof(fact_filter__in__sublist,axiom,(
    ! [V_s_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hAPP(c_List_Ofilter(T_a,hAPP(hAPP(c_COMBC(T_a,tc_fun(T_a,tc_HOL_Obool),tc_HOL_Obool),c_member(T_a)),hAPP(c_List_Oset(T_a),c_List_Osublist(T_a,V_xs_2,V_s_2)))),V_xs_2) = c_List_Osublist(T_a,V_xs_2,V_s_2) ) )).

fof(fact_transpose__empty,axiom,(
    ! [V_xs_2,T_a] :
      ( c_List_Otranspose(T_a,V_xs_2) = c_List_Olist_ONil(tc_List_Olist(T_a))
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_x),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xs_2)))
         => B_x = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_length__filter__conv__card,axiom,(
    ! [V_xs_2,V_p_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Ofilter(T_a,V_p_2),V_xs_2)) = hAPP(c_Finite__Set_Ocard(tc_Nat_Onat),hAPP(c_Set_OCollect(tc_Nat_Onat),hAPP(hAPP(c_COMBS(tc_Nat_Onat,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),tc_Nat_Onat),c_fconj),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,tc_HOL_Obool),c_Orderings_Oord__class_Oless(tc_Nat_Onat)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))),hAPP(hAPP(c_COMBB(T_a,tc_HOL_Obool,tc_Nat_Onat),V_p_2),hAPP(c_List_Onth(T_a),V_xs_2))))) )).

fof(fact_transpose__aux__filter__tail,axiom,(
    ! [V_xss_2,T_a] : c_List_Oconcat(tc_List_Olist(T_a),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),c_List_Olist_Olist__case(tc_List_Olist(tc_List_Olist(T_a)),T_a,c_List_Olist_ONil(tc_List_Olist(T_a)),hAPP(c_COMBK(tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),T_a),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a)),tc_List_Olist(tc_List_Olist(T_a))),c_List_Olist_OCons(tc_List_Olist(T_a))),c_List_Olist_ONil(tc_List_Olist(T_a)))))),V_xss_2)) = hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Otl(T_a)),hAPP(c_List_Ofilter(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_List_Olist(T_a)),c_fNot),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),c_fequal),c_List_Olist_ONil(T_a)))),V_xss_2)) )).

fof(fact_transpose_Opsimps_I3_J,axiom,(
    ! [V_xss_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_List_Olist(tc_List_Olist(T_a)),c_List_Otranspose__rel(T_a)),hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),V_xss_2)))
     => c_List_Otranspose(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)),V_xss_2)) = hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_Olist__case(tc_List_Olist(T_a),T_a,c_List_Olist_ONil(T_a),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_fun(tc_List_Olist(T_a),tc_List_Olist(T_a)),T_a),c_COMBK(tc_List_Olist(T_a),tc_List_Olist(T_a))),hAPP(hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),c_List_Olist_ONil(T_a))))),V_xss_2)))),c_List_Otranspose(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),V_xs_2),c_List_Oconcat(tc_List_Olist(T_a),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),c_List_Olist_Olist__case(tc_List_Olist(tc_List_Olist(T_a)),T_a,c_List_Olist_ONil(tc_List_Olist(T_a)),hAPP(c_COMBK(tc_fun(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a))),T_a),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(tc_List_Olist(T_a)),tc_List_Olist(tc_List_Olist(T_a))),c_List_Olist_OCons(tc_List_Olist(T_a))),c_List_Olist_ONil(tc_List_Olist(T_a)))))),V_xss_2))))) ) )).

fof(fact_map__filter__def,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] : c_List_Omap__filter(T_b,T_a,V_f_2,V_xs_2) = hAPP(hAPP(c_List_Omap(T_b,T_a),hAPP(c_Fun_Ocomp(tc_Option_Ooption(T_a),T_a,T_b,c_Option_Othe(T_a)),V_f_2)),hAPP(c_List_Ofilter(T_b,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_b),c_fNot),hAPP(hAPP(c_COMBC(T_b,tc_Option_Ooption(T_a),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Option_Ooption(T_a),tc_fun(tc_Option_Ooption(T_a),tc_HOL_Obool),T_b),c_fequal),V_f_2)),c_Option_Ooption_ONone(T_a)))),V_xs_2)) )).

fof(fact_map__filter__simps_I2_J,axiom,(
    ! [V_f_2,T_a,T_b] : c_List_Omap__filter(T_b,T_a,V_f_2,c_List_Olist_ONil(T_b)) = c_List_Olist_ONil(T_a) )).

fof(fact_map__of__filter__in,axiom,(
    ! [V_P_2,V_z_2,V_k_2,V_xs_2,T_a,T_b] :
      ( hAPP(hAPP(c_Map_Omap__of(T_b,T_a),V_xs_2),V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_z_2)
     => ( hBOOL(hAPP(hAPP(V_P_2,V_k_2),V_z_2))
       => hAPP(hAPP(c_Map_Omap__of(T_b,T_a),hAPP(c_List_Ofilter(tc_prod(T_b,T_a),hAPP(c_Product__Type_Oprod_Oprod__case(T_b,T_a,tc_HOL_Obool),V_P_2)),V_xs_2)),V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_z_2) ) ) )).

fof(fact_map__filter__simps_I1_J,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_a,T_b] : c_List_Omap__filter(T_b,T_a,V_f_2,hAPP(hAPP(c_List_Olist_OCons(T_b),V_x_2),V_xs_2)) = hAPP(c_Option_Ooption_Ooption__case(tc_List_Olist(T_a),T_a,c_List_Omap__filter(T_b,T_a,V_f_2,V_xs_2),hAPP(hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),c_List_Omap__filter(T_b,T_a,V_f_2,V_xs_2))),hAPP(V_f_2,V_x_2)) )).

fof(fact_sublist__shift__lemma__Suc,axiom,(
    ! [V_is_2,V_xs_2,V_P_2,T_a] : hAPP(hAPP(c_List_Omap(tc_prod(T_a,tc_Nat_Onat),T_a),c_Product__Type_Ofst(T_a,tc_Nat_Onat)),hAPP(c_List_Ofilter(tc_prod(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_prod(T_a,tc_Nat_Onat)),V_P_2),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_prod(T_a,tc_Nat_Onat)),c_Nat_OSuc),c_Product__Type_Osnd(T_a,tc_Nat_Onat)))),hAPP(hAPP(c_List_Ozip(T_a,tc_Nat_Onat),V_xs_2),V_is_2))) = hAPP(hAPP(c_List_Omap(tc_prod(T_a,tc_Nat_Onat),T_a),c_Product__Type_Ofst(T_a,tc_Nat_Onat)),hAPP(c_List_Ofilter(tc_prod(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_prod(T_a,tc_Nat_Onat)),V_P_2),c_Product__Type_Osnd(T_a,tc_Nat_Onat))),hAPP(hAPP(c_List_Ozip(T_a,tc_Nat_Onat),V_xs_2),hAPP(hAPP(c_List_Omap(tc_Nat_Onat,tc_Nat_Onat),c_Nat_OSuc),V_is_2)))) )).

fof(fact_select__weigth__drop__zero,axiom,(
    ! [V_xs_2,T_a] : c_Random_Oselect__weight(T_a,hAPP(c_List_Ofilter(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Code__Numeral_Ocode__numeral,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_HOL_Obool),tc_Code__Numeral_Ocode__numeral),c_COMBK(tc_HOL_Obool,T_a)),hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral))))),V_xs_2)) = c_Random_Oselect__weight(T_a,V_xs_2) )).

fof(fact_pick__drop__zero,axiom,(
    ! [V_xs_2,T_a] : c_Random_Opick(T_a,hAPP(c_List_Ofilter(tc_prod(tc_Code__Numeral_Ocode__numeral,T_a),hAPP(c_Product__Type_Oprod_Oprod__case(tc_Code__Numeral_Ocode__numeral,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(T_a,tc_HOL_Obool),tc_Code__Numeral_Ocode__numeral),c_COMBK(tc_HOL_Obool,T_a)),hAPP(c_Orderings_Oord__class_Oless(tc_Code__Numeral_Ocode__numeral),c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral))))),V_xs_2)) = c_Random_Opick(T_a,V_xs_2) )).

fof(fact_transpose_Opsimps_I1_J,axiom,(
    ! [T_a] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_List_Olist(tc_List_Olist(T_a)),c_List_Otranspose__rel(T_a)),c_List_Olist_ONil(tc_List_Olist(T_a))))
     => c_List_Otranspose(T_a,c_List_Olist_ONil(tc_List_Olist(T_a))) = c_List_Olist_ONil(tc_List_Olist(T_a)) ) )).

fof(fact_map__filter__map__filter,axiom,(
    ! [V_xs_2,V_P_2,V_f_2,T_a,T_b] : hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(c_List_Ofilter(T_b,V_P_2),V_xs_2)) = c_List_Omap__filter(T_b,T_a,hAPP(hAPP(c_COMBC(T_b,tc_Option_Ooption(T_a),tc_Option_Ooption(T_a)),hAPP(hAPP(c_COMBS(T_b,tc_Option_Ooption(T_a),tc_fun(tc_Option_Ooption(T_a),tc_Option_Ooption(T_a))),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_Option_Ooption(T_a),tc_fun(tc_Option_Ooption(T_a),tc_Option_Ooption(T_a))),T_b),c_If(tc_Option_Ooption(T_a))),V_P_2)),hAPP(hAPP(c_COMBB(T_a,tc_Option_Ooption(T_a),T_b),c_Option_Ooption_OSome(T_a)),V_f_2))),c_Option_Ooption_ONone(T_a)),V_xs_2) )).

fof(fact_transpose_Opsimps_I2_J,axiom,(
    ! [V_xss_2,T_a] :
      ( hBOOL(hAPP(c_Wellfounded_Oaccp(tc_List_Olist(tc_List_Olist(T_a)),c_List_Otranspose__rel(T_a)),hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),V_xss_2)))
     => c_List_Otranspose(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_List_Olist(T_a)),c_List_Olist_ONil(T_a)),V_xss_2)) = c_List_Otranspose(T_a,V_xss_2) ) )).

fof(fact_transpose__max__length,axiom,(
    ! [V_xs_2,T_a] : c_List_Ofoldr(tc_List_Olist(T_a),tc_Nat_Onat,hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_List_Olist(T_a)),c_Orderings_Oord__class_Omax(tc_Nat_Onat)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),c_List_Otranspose(T_a,V_xs_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),hAPP(c_List_Ofilter(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_List_Olist(T_a)),c_fNot),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),c_fequal),c_List_Olist_ONil(T_a)))),V_xs_2)) )).

fof(fact_transpose__aux__max,axiom,(
    ! [V_xss_2,T_b,V_xs_2,T_a] : hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),hAPP(c_Nat_OSuc,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))),c_List_Ofoldr(tc_List_Olist(T_b),tc_Nat_Onat,hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_List_Olist(T_b)),c_Orderings_Oord__class_Omax(tc_Nat_Onat)),c_Nat_Osize__class_Osize(tc_List_Olist(T_b))),V_xss_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) = hAPP(c_Nat_OSuc,hAPP(hAPP(c_Orderings_Oord__class_Omax(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),c_List_Ofoldr(tc_List_Olist(T_b),tc_Nat_Onat,hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_List_Olist(T_b)),c_Orderings_Oord__class_Omax(tc_Nat_Onat)),hAPP(hAPP(c_COMBC(tc_List_Olist(T_b),tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_List_Olist(T_b)),c_Groups_Ominus__class_Ominus(tc_Nat_Onat)),c_Nat_Osize__class_Osize(tc_List_Olist(T_b)))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))),hAPP(c_List_Ofilter(tc_List_Olist(T_b),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_List_Olist(T_b)),c_fNot),hAPP(hAPP(c_COMBC(tc_List_Olist(T_b),tc_List_Olist(T_b),tc_HOL_Obool),c_fequal),c_List_Olist_ONil(T_b)))),V_xss_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat)))) )).

fof(fact_foldr__append,axiom,(
    ! [V_a_2,V_ys_2,V_xs_2,V_f_2,T_a,T_b] : c_List_Ofoldr(T_b,T_a,V_f_2,hAPP(hAPP(c_List_Oappend(T_b),V_xs_2),V_ys_2),V_a_2) = c_List_Ofoldr(T_b,T_a,V_f_2,V_xs_2,c_List_Ofoldr(T_b,T_a,V_f_2,V_ys_2,V_a_2)) )).

fof(fact_foldr_Osimps_I1_J,axiom,(
    ! [V_a_2,V_f_2,T_a,T_b] : c_List_Ofoldr(T_b,T_a,V_f_2,c_List_Olist_ONil(T_b),V_a_2) = V_a_2 )).

fof(fact_foldr_Osimps_I2_J,axiom,(
    ! [V_a_2,V_xs_2,V_x_2,V_f_2,T_a,T_b] : c_List_Ofoldr(T_b,T_a,V_f_2,hAPP(hAPP(c_List_Olist_OCons(T_b),V_x_2),V_xs_2),V_a_2) = hAPP(hAPP(V_f_2,V_x_2),c_List_Ofoldr(T_b,T_a,V_f_2,V_xs_2,V_a_2)) )).

fof(fact_foldr__conv__foldl,axiom,(
    ! [V_a_2,V_xs_2,T_a] :
      ( class_Groups_Oab__semigroup__add(T_a)
     => c_List_Ofoldr(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),V_xs_2,V_a_2) = hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_xs_2) ) )).

fof(fact_foldr__map,axiom,(
    ! [V_a_2,V_xs_2,V_f_2,T_c,V_g_2,T_a,T_b] : c_List_Ofoldr(T_b,T_a,V_g_2,hAPP(hAPP(c_List_Omap(T_c,T_b),V_f_2),V_xs_2),V_a_2) = c_List_Ofoldr(T_c,T_a,hAPP(c_Fun_Ocomp(T_b,tc_fun(T_a,T_a),T_c,V_g_2),V_f_2),V_xs_2,V_a_2) )).

fof(fact_foldl__foldr1,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),c_Groups_Ozero__class_Ozero(T_a)),V_xs_2) = c_List_Ofoldr(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),V_xs_2,c_Groups_Ozero__class_Ozero(T_a)) ) )).

fof(fact_foldl__foldr1__lemma,axiom,(
    ! [V_xs_2,V_a_2,T_a] :
      ( class_Groups_Omonoid__add(T_a)
     => hAPP(c_List_Ofoldl(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),V_a_2),V_xs_2) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(T_a),V_a_2),c_List_Ofoldr(T_a,T_a,c_Groups_Oplus__class_Oplus(T_a),V_xs_2,c_Groups_Ozero__class_Ozero(T_a))) ) )).

fof(fact_length__transpose,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),c_List_Otranspose(T_a,V_xs_2)) = c_List_Ofoldr(tc_List_Olist(T_a),tc_Nat_Onat,hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_List_Olist(T_a)),c_Orderings_Oord__class_Omax(tc_Nat_Onat)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),V_xs_2,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) )).

fof(fact_sublist__def,axiom,(
    ! [V_A_2,V_xs_2,T_a] : c_List_Osublist(T_a,V_xs_2,V_A_2) = hAPP(hAPP(c_List_Omap(tc_prod(T_a,tc_Nat_Onat),T_a),c_Product__Type_Ofst(T_a,tc_Nat_Onat)),hAPP(c_List_Ofilter(tc_prod(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_prod(T_a,tc_Nat_Onat),tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),tc_prod(T_a,tc_Nat_Onat)),c_member(tc_Nat_Onat)),c_Product__Type_Osnd(T_a,tc_Nat_Onat))),V_A_2)),hAPP(hAPP(c_List_Ozip(T_a,tc_Nat_Onat),V_xs_2),c_List_Oupt(c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))))) )).

fof(fact_sublist__shift__lemma,axiom,(
    ! [V_i_2,V_xs_2,V_A_2,T_a] : hAPP(hAPP(c_List_Omap(tc_prod(T_a,tc_Nat_Onat),T_a),c_Product__Type_Ofst(T_a,tc_Nat_Onat)),hAPP(c_List_Ofilter(tc_prod(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_prod(T_a,tc_Nat_Onat),tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),tc_prod(T_a,tc_Nat_Onat)),c_member(tc_Nat_Onat)),c_Product__Type_Osnd(T_a,tc_Nat_Onat))),V_A_2)),hAPP(hAPP(c_List_Ozip(T_a,tc_Nat_Onat),V_xs_2),c_List_Oupt(V_i_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))))) = hAPP(hAPP(c_List_Omap(tc_prod(T_a,tc_Nat_Onat),T_a),c_Product__Type_Ofst(T_a,tc_Nat_Onat)),hAPP(c_List_Ofilter(tc_prod(T_a,tc_Nat_Onat),hAPP(hAPP(c_COMBC(tc_prod(T_a,tc_Nat_Onat),tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_fun(tc_Nat_Onat,tc_HOL_Obool),tc_HOL_Obool),tc_prod(T_a,tc_Nat_Onat)),c_member(tc_Nat_Onat)),hAPP(hAPP(c_COMBC(tc_prod(T_a,tc_Nat_Onat),tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_prod(T_a,tc_Nat_Onat)),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_Product__Type_Osnd(T_a,tc_Nat_Onat))),V_i_2))),V_A_2)),hAPP(hAPP(c_List_Ozip(T_a,tc_Nat_Onat),V_xs_2),c_List_Oupt(c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))))) )).

fof(fact_set__upt,axiom,(
    ! [V_j_2,V_i_2] : hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(V_i_2,V_j_2)) = hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_i_2),V_j_2) )).

fof(fact_atLeastLessThan__upt,axiom,(
    ! [V_j_2,V_i_2] : hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_i_2),V_j_2) = hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(V_i_2,V_j_2)) )).

fof(fact_length__upt,axiom,(
    ! [V_j,V_i] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_Nat_Onat)),c_List_Oupt(V_i,V_j)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),V_i) )).

fof(fact_upt__Suc,axiom,(
    ! [V_j,V_i] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
       => c_List_Oupt(V_i,hAPP(c_Nat_OSuc,V_j)) = hAPP(hAPP(c_List_Oappend(tc_Nat_Onat),c_List_Oupt(V_i,V_j)),hAPP(hAPP(c_List_Olist_OCons(tc_Nat_Onat),V_j),c_List_Olist_ONil(tc_Nat_Onat))) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
       => c_List_Oupt(V_i,hAPP(c_Nat_OSuc,V_j)) = c_List_Olist_ONil(tc_Nat_Onat) ) ) )).

fof(fact_upt__Suc__append,axiom,(
    ! [V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => c_List_Oupt(V_i,hAPP(c_Nat_OSuc,V_j)) = hAPP(hAPP(c_List_Oappend(tc_Nat_Onat),c_List_Oupt(V_i,V_j)),hAPP(hAPP(c_List_Olist_OCons(tc_Nat_Onat),V_j),c_List_Olist_ONil(tc_Nat_Onat))) ) )).

fof(fact_upt__rec,axiom,(
    ! [V_j,V_i] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
       => c_List_Oupt(V_i,V_j) = hAPP(hAPP(c_List_Olist_OCons(tc_Nat_Onat),V_i),c_List_Oupt(hAPP(c_Nat_OSuc,V_i),V_j)) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
       => c_List_Oupt(V_i,V_j) = c_List_Olist_ONil(tc_Nat_Onat) ) ) )).

fof(fact_upt__conv__Cons,axiom,(
    ! [V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => c_List_Oupt(V_i,V_j) = hAPP(hAPP(c_List_Olist_OCons(tc_Nat_Onat),V_i),c_List_Oupt(hAPP(c_Nat_OSuc,V_i),V_j)) ) )).

fof(fact_upt__conv__Nil,axiom,(
    ! [V_i,V_j] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j),V_i))
     => c_List_Oupt(V_i,V_j) = c_List_Olist_ONil(tc_Nat_Onat) ) )).

fof(fact_upt__eq__Nil__conv,axiom,(
    ! [V_j_2,V_i_2] :
      ( c_List_Oupt(V_i_2,V_j_2) = c_List_Olist_ONil(tc_Nat_Onat)
    <=> ( V_j_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
        | hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j_2),V_i_2)) ) ) )).

fof(fact_upt__0,axiom,(
    ! [V_i] : c_List_Oupt(V_i,c_Groups_Ozero__class_Ozero(tc_Nat_Onat)) = c_List_Olist_ONil(tc_Nat_Onat) )).

fof(fact_upt__add__eq__append,axiom,(
    ! [V_k,V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
     => c_List_Oupt(V_i,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_k)) = hAPP(hAPP(c_List_Oappend(tc_Nat_Onat),c_List_Oupt(V_i,V_j)),c_List_Oupt(V_j,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j),V_k))) ) )).

fof(fact_sorted__list__of__set__range,axiom,(
    ! [V_n_2,V_m_2] : c_List_Olinorder__class_Osorted__list__of__set(tc_Nat_Onat,hAPP(c_SetInterval_Oord__class_OatLeastLessThan(tc_Nat_Onat,V_m_2),V_n_2)) = c_List_Oupt(V_m_2,V_n_2) )).

fof(fact_take__upt,axiom,(
    ! [V_n,V_m,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_m)),V_n))
     => hAPP(hAPP(c_List_Otake(tc_Nat_Onat),V_m),c_List_Oupt(V_i,V_n)) = c_List_Oupt(V_i,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_m)) ) )).

fof(fact_hd__upt,axiom,(
    ! [V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => hAPP(c_List_Ohd(tc_Nat_Onat),c_List_Oupt(V_i,V_j)) = V_i ) )).

fof(fact_drop__upt,axiom,(
    ! [V_j,V_i,V_m] : hAPP(hAPP(c_List_Odrop(tc_Nat_Onat),V_m),c_List_Oupt(V_i,V_j)) = c_List_Oupt(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_m),V_j) )).

fof(fact_distinct__upt,axiom,(
    ! [V_j,V_i] : hBOOL(hAPP(c_List_Odistinct(tc_Nat_Onat),c_List_Oupt(V_i,V_j))) )).

fof(fact_upt__rec__number__of,axiom,(
    ! [V_n,V_m] :
      ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_n)))
       => c_List_Oupt(hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_m),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_n)) = hAPP(hAPP(c_List_Olist_OCons(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_m)),c_List_Oupt(hAPP(c_Nat_OSuc,hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_n))) )
      & ( ~ hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_m)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_n)))
       => c_List_Oupt(hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_m),hAPP(c_Int_Onumber__class_Onumber__of(tc_Nat_Onat),V_n)) = c_List_Olist_ONil(tc_Nat_Onat) ) ) )).

fof(fact_upt__eq__Cons__conv,axiom,(
    ! [V_xs_2,V_x_2,V_j_2,V_i_2] :
      ( c_List_Oupt(V_i_2,V_j_2) = hAPP(hAPP(c_List_Olist_OCons(tc_Nat_Onat),V_x_2),V_xs_2)
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),V_j_2))
        & V_i_2 = V_x_2
        & c_List_Oupt(hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i_2),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_j_2) = V_xs_2 ) ) )).

fof(fact_last__upt,axiom,(
    ! [V_j,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_j))
     => c_List_Olast(tc_Nat_Onat,c_List_Oupt(V_i,V_j)) = hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_j),c_Groups_Oone__class_Oone(tc_Nat_Onat)) ) )).

fof(fact_map__Suc__upt,axiom,(
    ! [V_n_2,V_m_2] : hAPP(hAPP(c_List_Omap(tc_Nat_Onat,tc_Nat_Onat),c_Nat_OSuc),c_List_Oupt(V_m_2,V_n_2)) = c_List_Oupt(hAPP(c_Nat_OSuc,V_m_2),hAPP(c_Nat_OSuc,V_n_2)) )).

fof(fact_atLeastAtMost__upt,axiom,(
    ! [V_m_2,V_n_2] : c_SetInterval_Oord__class_OatLeastAtMost(tc_Nat_Onat,V_n_2,V_m_2) = hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(V_n_2,hAPP(c_Nat_OSuc,V_m_2))) )).

fof(fact_atLeast__upt,axiom,(
    ! [V_n_2] : hAPP(c_SetInterval_Oord__class_OlessThan(tc_Nat_Onat),V_n_2) = hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_n_2)) )).

fof(fact_nth__upt,axiom,(
    ! [V_j,V_k,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_k)),V_j))
     => hAPP(hAPP(c_List_Onth(tc_Nat_Onat),c_List_Oupt(V_i,V_j)),V_k) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_i),V_k) ) )).

fof(fact_greaterThanAtMost__upt,axiom,(
    ! [V_m_2,V_n_2] : c_SetInterval_Oord__class_OgreaterThanAtMost(tc_Nat_Onat,V_n_2,V_m_2) = hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(hAPP(c_Nat_OSuc,V_n_2),hAPP(c_Nat_OSuc,V_m_2))) )).

fof(fact_greaterThanLessThan__upt,axiom,(
    ! [V_m_2,V_n_2] : c_SetInterval_Oord__class_OgreaterThanLessThan(tc_Nat_Onat,V_n_2,V_m_2) = hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(hAPP(c_Nat_OSuc,V_n_2),V_m_2)) )).

fof(fact_atMost__upto,axiom,(
    ! [V_n_2] : hAPP(c_SetInterval_Oord__class_OatMost(tc_Nat_Onat),V_n_2) = hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(c_Nat_OSuc,V_n_2))) )).

fof(fact_map__nth,axiom,(
    ! [V_xs_2,T_a] : hAPP(hAPP(c_List_Omap(tc_Nat_Onat,T_a),hAPP(c_List_Onth(T_a),V_xs_2)),c_List_Oupt(c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) = V_xs_2 )).

fof(fact_setsum__set__upt__conv__listsum__nat,axiom,(
    ! [V_n_2,V_m_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(V_m_2,V_n_2))) = hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(tc_Nat_Onat,T_a),V_f_2),c_List_Oupt(V_m_2,V_n_2))) ) )).

fof(fact_interv__listsum__conv__setsum__set__nat,axiom,(
    ! [V_n_2,V_m_2,V_f_2,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(hAPP(c_List_Omap(tc_Nat_Onat,T_a),V_f_2),c_List_Oupt(V_m_2,V_n_2))) = hAPP(hAPP(c_Big__Operators_Ocomm__monoid__add__class_Osetsum(tc_Nat_Onat,T_a),V_f_2),hAPP(c_List_Oset(tc_Nat_Onat),c_List_Oupt(V_m_2,V_n_2))) ) )).

fof(fact_nth__map__upt,axiom,(
    ! [V_f_2,T_a,V_m_2,V_n_2,V_i_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n_2),V_m_2)))
     => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Omap(tc_Nat_Onat,T_a),V_f_2),c_List_Oupt(V_m_2,V_n_2))),V_i_2) = hAPP(V_f_2,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_m_2),V_i_2)) ) )).

fof(fact_transpose__rectangle,axiom,(
    ! [V_n_2,T_a,V_xs_2] :
      ( ( V_xs_2 = c_List_Olist_ONil(tc_List_Olist(T_a))
       => V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
     => ( ! [B_i] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_xs_2)))
           => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Onth(tc_List_Olist(T_a)),V_xs_2),B_i)) = V_n_2 )
       => c_List_Otranspose(T_a,V_xs_2) = hAPP(hAPP(c_List_Omap(tc_Nat_Onat,tc_List_Olist(T_a)),hAPP(hAPP(c_COMBC(tc_Nat_Onat,tc_List_Olist(tc_Nat_Onat),tc_List_Olist(T_a)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,T_a),tc_fun(tc_List_Olist(tc_Nat_Onat),tc_List_Olist(T_a)),tc_Nat_Onat),c_List_Omap(tc_Nat_Onat,T_a)),hAPP(c_COMBC(tc_Nat_Onat,tc_Nat_Onat,T_a),hAPP(hAPP(c_COMBB(tc_List_Olist(T_a),tc_fun(tc_Nat_Onat,T_a),tc_Nat_Onat),c_List_Onth(T_a)),hAPP(c_List_Onth(tc_List_Olist(T_a)),V_xs_2))))),c_List_Oupt(c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_xs_2)))),c_List_Oupt(c_Groups_Ozero__class_Ozero(tc_Nat_Onat),V_n_2)) ) ) )).

fof(fact_insort__key__remove1,axiom,(
    ! [V_f_2,V_xs_2,V_a_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => ( c_List_Olinorder__class_Osorted(T_b,hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2))
         => ( hAPP(c_List_Ohd(T_a),hAPP(c_List_Ofilter(T_a,hAPP(hAPP(c_COMBB(T_b,tc_HOL_Obool,T_a),hAPP(c_fequal,hAPP(V_f_2,V_a_2))),V_f_2)),V_xs_2)) = V_a_2
           => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_a_2),c_List_Oremove1(T_a,V_a_2,V_xs_2)) = V_xs_2 ) ) ) ) )).

fof(fact_sorted_ONil,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted(T_a,c_List_Olist_ONil(T_a)) ) )).

fof(fact_sorted__single,axiom,(
    ! [V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Olist_ONil(T_a))) ) )).

fof(fact_sorted__upt,axiom,(
    ! [V_j,V_i] : c_List_Olinorder__class_Osorted(tc_Nat_Onat,c_List_Oupt(V_i,V_j)) )).

fof(fact_sorted__Cons,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))
      <=> ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
          & ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),B_x)) ) ) ) ) )).

fof(fact_sorted__sort,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted(T_a,c_List_Olinorder__class_Osort__key(T_a,T_a,c_COMBI(T_a),V_xs_2)) ) )).

fof(fact_sorted__insort,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_x_2),V_xs_2))
      <=> c_List_Olinorder__class_Osorted(T_a,V_xs_2) ) ) )).

fof(fact_sorted__drop,axiom,(
    ! [V_n,V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs)
       => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Odrop(T_a),V_n),V_xs)) ) ) )).

fof(fact_sorted__remove1,axiom,(
    ! [V_a,V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs)
       => c_List_Olinorder__class_Osorted(T_a,c_List_Oremove1(T_a,V_a,V_xs)) ) ) )).

fof(fact_sorted__upto,axiom,(
    ! [V_j,V_i] : c_List_Olinorder__class_Osorted(tc_Int_Oint,c_List_Oupto(V_i,V_j)) )).

fof(fact_sorted__take,axiom,(
    ! [V_n,V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs)
       => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Otake(T_a),V_n),V_xs)) ) ) )).

fof(fact_sorted__tl,axiom,(
    ! [V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs)
       => c_List_Olinorder__class_Osorted(T_a,hAPP(c_List_Otl(T_a),V_xs)) ) ) )).

fof(fact_sorted__insort__insert,axiom,(
    ! [V_x_2,V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
       => c_List_Olinorder__class_Osorted(T_a,c_List_Olinorder__class_Oinsort__insert__key(T_a,T_a,c_COMBI(T_a),V_x_2,V_xs_2)) ) ) )).

fof(fact_sorted__butlast,axiom,(
    ! [V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( V_xs != c_List_Olist_ONil(T_a)
       => ( c_List_Olinorder__class_Osorted(T_a,V_xs)
         => c_List_Olinorder__class_Osorted(T_a,c_List_Obutlast(T_a,V_xs)) ) ) ) )).

fof(fact_sorted_Oequations_I1_J,axiom,(
    ! [T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted(T_a,c_List_Olist_ONil(T_a)) ) )).

fof(fact_sorted__many__eq,axiom,(
    ! [V_zs_2,V_y_2,V_x_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_zs_2)))
      <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),V_y_2))
          & c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_zs_2)) ) ) ) )).

fof(fact_sorted__many,axiom,(
    ! [V_zs,V_y,V_x,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x),V_y))
       => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_zs))
         => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_zs))) ) ) ) )).

fof(fact_sorted__remdups,axiom,(
    ! [V_l,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_l)
       => c_List_Olinorder__class_Osorted(T_a,c_List_Oremdups(T_a,V_l)) ) ) )).

fof(fact_sorted__distinct__set__unique,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
       => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
         => ( c_List_Olinorder__class_Osorted(T_a,V_ys_2)
           => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_ys_2))
             => ( hAPP(c_List_Oset(T_a),V_xs_2) = hAPP(c_List_Oset(T_a),V_ys_2)
               => V_xs_2 = V_ys_2 ) ) ) ) ) ) )).

fof(fact_sorted__sort__key,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_Olinorder__class_Osort__key(T_b,T_a,V_f_2,V_xs_2))) ) )).

fof(fact_sorted__insort__insert__key,axiom,(
    ! [V_x_2,V_xs_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))
       => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_Olinorder__class_Oinsort__insert__key(T_b,T_a,V_f_2,V_x_2,V_xs_2))) ) ) )).

fof(fact_sorted__map__remove1,axiom,(
    ! [V_x_2,V_xs_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))
       => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_Oremove1(T_b,V_x_2,V_xs_2))) ) ) )).

fof(fact_sorted__insort__key,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),V_xs_2)))
      <=> c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) ) ) )).

fof(fact_sorted__filter,axiom,(
    ! [V_P_2,V_xs_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))
       => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(c_List_Ofilter(T_b,V_P_2),V_xs_2))) ) ) )).

fof(fact_sorted__map__same,axiom,(
    ! [V_xs_2,V_g_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(c_List_Ofilter(T_b,hAPP(hAPP(c_COMBC(T_b,T_a,tc_HOL_Obool),hAPP(hAPP(c_COMBB(T_a,tc_fun(T_a,tc_HOL_Obool),T_b),c_fequal),V_f_2)),hAPP(V_g_2,V_xs_2))),V_xs_2))) ) )).

fof(fact_sorted__same,axiom,(
    ! [V_xs_2,V_g_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => c_List_Olinorder__class_Osorted(T_a,hAPP(c_List_Ofilter(T_a,hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),hAPP(V_g_2,V_xs_2))),V_xs_2)) ) )).

fof(fact_sorted__append,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2))
      <=> ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
          & c_List_Olinorder__class_Osorted(T_a,V_ys_2)
          & ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
             => ! [B_xa] :
                  ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),hAPP(c_List_Oset(T_a),V_ys_2)))
                 => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),B_x),B_xa)) ) ) ) ) ) )).

fof(fact_filter__insort,axiom,(
    ! [V_x_2,V_P_2,V_xs_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2))
       => ( hBOOL(hAPP(V_P_2,V_x_2))
         => hAPP(c_List_Ofilter(T_b,V_P_2),hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_b,T_a,V_f_2),V_x_2),hAPP(c_List_Ofilter(T_b,V_P_2),V_xs_2)) ) ) ) )).

fof(fact_sorted_Oequations_I2_J,axiom,(
    ! [V_a1_2,V_a2_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_a2_2),V_a1_2))
      <=> ( ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_a1_2)))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_a2_2),B_x)) )
          & c_List_Olinorder__class_Osorted(T_a,V_a1_2) ) ) ) )).

fof(fact_sorted__list__of__set,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ( hAPP(c_List_Oset(T_a),c_List_Olinorder__class_Osorted__list__of__set(T_a,V_A_2)) = V_A_2
          & c_List_Olinorder__class_Osorted(T_a,c_List_Olinorder__class_Osorted__list__of__set(T_a,V_A_2))
          & hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Olinorder__class_Osorted__list__of__set(T_a,V_A_2))) ) ) ) )).

fof(fact_insort__remove1,axiom,(
    ! [V_xs_2,V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_a_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
         => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_a,c_COMBI(T_a)),V_a_2),c_List_Oremove1(T_a,V_a_2,V_xs_2)) = V_xs_2 ) ) ) )).

fof(fact_sorted__nth__mono,axiom,(
    ! [V_j,V_i,V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs)
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i)),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_j))) ) ) ) ) )).

fof(fact_sorted__equals__nth__mono,axiom,(
    ! [V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
      <=> ! [B_j] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_j),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
           => ! [B_i] :
                ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_i),B_j))
               => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i)),hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_j))) ) ) ) ) )).

fof(fact_map__sorted__distinct__set__unique,axiom,(
    ! [V_ys_2,V_xs_2,V_f_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => ( c_Fun_Oinj__on(T_a,T_b,V_f_2,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),V_xs_2)),hAPP(c_List_Oset(T_a),V_ys_2)))
       => ( c_List_Olinorder__class_Osorted(T_b,hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2))
         => ( hBOOL(hAPP(c_List_Odistinct(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)))
           => ( c_List_Olinorder__class_Osorted(T_b,hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_ys_2))
             => ( hBOOL(hAPP(c_List_Odistinct(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_ys_2)))
               => ( hAPP(c_List_Oset(T_a),V_xs_2) = hAPP(c_List_Oset(T_a),V_ys_2)
                 => V_xs_2 = V_ys_2 ) ) ) ) ) ) ) )).

fof(fact_transpose__column,axiom,(
    ! [V_i_2,V_xs_2,T_a] :
      ( c_List_Olinorder__class_Osorted(tc_Nat_Onat,hAPP(c_List_Orev(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_Nat_Onat),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),V_xs_2)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_xs_2)))
       => hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),T_a),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_Nat_Onat,T_a),c_List_Onth(T_a)),V_i_2)),hAPP(c_List_Ofilter(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a)),hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),c_List_Otranspose(T_a,V_xs_2))) = hAPP(hAPP(c_List_Onth(tc_List_Olist(T_a)),V_xs_2),V_i_2) ) ) )).

fof(fact_nth__nth__transpose__sorted,axiom,(
    ! [V_j_2,V_i_2,V_xs_2,T_a] :
      ( c_List_Olinorder__class_Osorted(tc_Nat_Onat,hAPP(c_List_Orev(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_Nat_Onat),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),V_xs_2)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),c_List_Otranspose(T_a,V_xs_2))))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),hAPP(c_List_Ofilter(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a)),hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),V_xs_2))))
         => hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Onth(tc_List_Olist(T_a)),c_List_Otranspose(T_a,V_xs_2)),V_i_2)),V_j_2) = hAPP(hAPP(c_List_Onth(T_a),hAPP(hAPP(c_List_Onth(tc_List_Olist(T_a)),V_xs_2),V_j_2)),V_i_2) ) ) ) )).

fof(fact_inj__on__rev,axiom,(
    ! [V_A_2,T_a] : c_Fun_Oinj__on(tc_List_Olist(T_a),tc_List_Olist(T_a),c_List_Orev(T_a),V_A_2) )).

fof(fact_distinct__rev,axiom,(
    ! [V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),hAPP(c_List_Orev(T_a),V_xs_2)))
    <=> hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2)) ) )).

fof(fact_rev__append,axiom,(
    ! [V_ys,V_xs,T_a] : hAPP(c_List_Orev(T_a),hAPP(hAPP(c_List_Oappend(T_a),V_xs),V_ys)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(c_List_Orev(T_a),V_ys)),hAPP(c_List_Orev(T_a),V_xs)) )).

fof(fact_rev__is__Nil__conv,axiom,(
    ! [V_xs_2,T_a] :
      ( hAPP(c_List_Orev(T_a),V_xs_2) = c_List_Olist_ONil(T_a)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_Nil__is__rev__conv,axiom,(
    ! [V_xs_2,T_a] :
      ( c_List_Olist_ONil(T_a) = hAPP(c_List_Orev(T_a),V_xs_2)
    <=> V_xs_2 = c_List_Olist_ONil(T_a) ) )).

fof(fact_rev_Osimps_I1_J,axiom,(
    ! [T_a] : hAPP(c_List_Orev(T_a),c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_rev__singleton__conv,axiom,(
    ! [V_x_2,V_xs_2,T_a] :
      ( hAPP(c_List_Orev(T_a),V_xs_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a))
    <=> V_xs_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)) ) )).

fof(fact_singleton__rev__conv,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)) = hAPP(c_List_Orev(T_a),V_xs_2)
    <=> V_xs_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_Olist_ONil(T_a)) ) )).

fof(fact_rev__eq__Cons__iff,axiom,(
    ! [V_ys_2,V_y_2,V_xs_2,T_a] :
      ( hAPP(c_List_Orev(T_a),V_xs_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2)
    <=> V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),hAPP(c_List_Orev(T_a),V_ys_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),c_List_Olist_ONil(T_a))) ) )).

fof(fact_rev_Osimps_I2_J,axiom,(
    ! [V_xs,V_x,T_a] : hAPP(c_List_Orev(T_a),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(c_List_Orev(T_a),V_xs)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Olist_ONil(T_a))) )).

fof(fact_rev__concat,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Orev(T_a),c_List_Oconcat(T_a,V_xs_2)) = c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Orev(T_a)),hAPP(c_List_Orev(tc_List_Olist(T_a)),V_xs_2))) )).

fof(fact_rev__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] : hAPP(c_List_Orev(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),hAPP(c_List_Orev(T_b),V_xs_2)) )).

fof(fact_rev__filter,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hAPP(c_List_Orev(T_a),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2)) = hAPP(c_List_Ofilter(T_a,V_P_2),hAPP(c_List_Orev(T_a),V_xs_2)) )).

fof(fact_zip__rev,axiom,(
    ! [V_ys,T_b,V_xs,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys)
     => hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(c_List_Orev(T_a),V_xs)),hAPP(c_List_Orev(T_b),V_ys)) = hAPP(c_List_Orev(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs),V_ys)) ) )).

fof(fact_set__rev,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Oset(T_a),hAPP(c_List_Orev(T_a),V_xs_2)) = hAPP(c_List_Oset(T_a),V_xs_2) )).

fof(fact_list__all2__rev,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(c_List_Orev(T_a),V_xs_2),hAPP(c_List_Orev(T_b),V_ys_2))
    <=> c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,V_ys_2) ) )).

fof(fact_list__all2__rev1,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_b,T_a] :
      ( c_List_Olist__all2(T_a,T_b,V_P_2,hAPP(c_List_Orev(T_a),V_xs_2),V_ys_2)
    <=> c_List_Olist__all2(T_a,T_b,V_P_2,V_xs_2,hAPP(c_List_Orev(T_b),V_ys_2)) ) )).

fof(fact_listsum__rev,axiom,(
    ! [V_xs,T_a] :
      ( class_Groups_Ocomm__monoid__add(T_a)
     => hAPP(c_List_Omonoid__add__class_Olistsum(T_a),hAPP(c_List_Orev(T_a),V_xs)) = hAPP(c_List_Omonoid__add__class_Olistsum(T_a),V_xs) ) )).

fof(fact_rev__rev__ident,axiom,(
    ! [V_xs,T_a] : hAPP(c_List_Orev(T_a),hAPP(c_List_Orev(T_a),V_xs)) = V_xs )).

fof(fact_rev__swap,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( hAPP(c_List_Orev(T_a),V_xs_2) = V_ys_2
    <=> V_xs_2 = hAPP(c_List_Orev(T_a),V_ys_2) ) )).

fof(fact_rev__is__rev__conv,axiom,(
    ! [V_ys_2,V_xs_2,T_a] :
      ( hAPP(c_List_Orev(T_a),V_xs_2) = hAPP(c_List_Orev(T_a),V_ys_2)
    <=> V_xs_2 = V_ys_2 ) )).

fof(fact_length__rev,axiom,(
    ! [V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(c_List_Orev(T_a),V_xs)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs) )).

fof(fact_foldr__foldl,axiom,(
    ! [V_a_2,V_xs_2,V_f_2,T_a,T_b] : c_List_Ofoldr(T_b,T_a,V_f_2,V_xs_2,V_a_2) = hAPP(c_List_Ofoldl(T_a,T_b,hAPP(c_COMBC(T_b,T_a,T_a),V_f_2),V_a_2),hAPP(c_List_Orev(T_b),V_xs_2)) )).

fof(fact_foldl__foldr,axiom,(
    ! [V_xs_2,V_a_2,V_f_2,T_b,T_a] : hAPP(c_List_Ofoldl(T_a,T_b,V_f_2,V_a_2),V_xs_2) = c_List_Ofoldr(T_b,T_a,hAPP(c_COMBC(T_a,T_b,T_a),V_f_2),hAPP(c_List_Orev(T_b),V_xs_2),V_a_2) )).

fof(fact_hd__rev,axiom,(
    ! [T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => hAPP(c_List_Ohd(T_a),hAPP(c_List_Orev(T_a),V_xs)) = c_List_Olast(T_a,V_xs) ) )).

fof(fact_last__rev,axiom,(
    ! [T_a,V_xs] :
      ( V_xs != c_List_Olist_ONil(T_a)
     => c_List_Olast(T_a,hAPP(c_List_Orev(T_a),V_xs)) = hAPP(c_List_Ohd(T_a),V_xs) ) )).

fof(fact_sorted__transpose,axiom,(
    ! [V_xs_2,T_a] : c_List_Olinorder__class_Osorted(tc_Nat_Onat,hAPP(c_List_Orev(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_Nat_Onat),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),c_List_Otranspose(T_a,V_xs_2)))) )).

fof(fact_rev__foldl__cons,axiom,(
    ! [V_xs_2,T_a] : hAPP(c_List_Orev(T_a),V_xs_2) = hAPP(c_List_Ofoldl(tc_List_Olist(T_a),T_a,hAPP(c_COMBC(T_a,tc_List_Olist(T_a),tc_List_Olist(T_a)),c_List_Olist_OCons(T_a)),c_List_Olist_ONil(T_a)),V_xs_2) )).

fof(fact_rev__drop,axiom,(
    ! [V_xs,V_i,T_a] : hAPP(c_List_Orev(T_a),hAPP(hAPP(c_List_Odrop(T_a),V_i),V_xs)) = hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_i)),hAPP(c_List_Orev(T_a),V_xs)) )).

fof(fact_rev__take,axiom,(
    ! [V_xs,V_i,T_a] : hAPP(c_List_Orev(T_a),hAPP(hAPP(c_List_Otake(T_a),V_i),V_xs)) = hAPP(hAPP(c_List_Odrop(T_a),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_i)),hAPP(c_List_Orev(T_a),V_xs)) )).

fof(fact_rotate__rev,axiom,(
    ! [V_xs,V_n,T_a] : hAPP(c_List_Orotate(T_a,V_n),hAPP(c_List_Orev(T_a),V_xs)) = hAPP(c_List_Orev(T_a),hAPP(c_List_Orotate(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),c_Divides_Odiv__class_Omod(tc_Nat_Onat,V_n,hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))),V_xs)) )).

fof(fact_rev__nth,axiom,(
    ! [V_xs,T_a,V_n] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(hAPP(c_List_Onth(T_a),hAPP(c_List_Orev(T_a),V_xs)),V_n) = hAPP(hAPP(c_List_Onth(T_a),V_xs),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),hAPP(c_Nat_OSuc,V_n))) ) )).

fof(fact_rev__update,axiom,(
    ! [V_y,V_xs,T_a,V_k] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_k),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
     => hAPP(c_List_Orev(T_a),hAPP(hAPP(c_List_Olist__update(T_a,V_xs),V_k),V_y)) = hAPP(hAPP(c_List_Olist__update(T_a,hAPP(c_List_Orev(T_a),V_xs)),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),V_k)),c_Groups_Oone__class_Oone(tc_Nat_Onat))),V_y) ) )).

fof(fact_sorted__rev__nth__mono,axiom,(
    ! [V_j,V_i,V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(c_List_Orev(T_a),V_xs))
       => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_i),V_j))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_j)),hAPP(hAPP(c_List_Onth(T_a),V_xs),V_i))) ) ) ) ) )).

fof(fact_foldr__max__sorted,axiom,(
    ! [V_y_2,V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(c_List_Orev(T_a),V_xs_2))
       => ( ( V_xs_2 = c_List_Olist_ONil(T_a)
           => c_List_Ofoldr(T_a,T_a,c_Orderings_Oord__class_Omax(T_a),V_xs_2,V_y_2) = V_y_2 )
          & ( V_xs_2 != c_List_Olist_ONil(T_a)
           => c_List_Ofoldr(T_a,T_a,c_Orderings_Oord__class_Omax(T_a),V_xs_2,V_y_2) = hAPP(hAPP(c_Orderings_Oord__class_Omax(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))),V_y_2) ) ) ) ) )).

fof(fact_length__transpose__sorted,axiom,(
    ! [V_xs_2,T_a] :
      ( c_List_Olinorder__class_Osorted(tc_Nat_Onat,hAPP(c_List_Orev(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_Nat_Onat),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),V_xs_2)))
     => ( ( V_xs_2 = c_List_Olist_ONil(tc_List_Olist(T_a))
         => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),c_List_Otranspose(T_a,V_xs_2)) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )
        & ( V_xs_2 != c_List_Olist_ONil(tc_List_Olist(T_a))
         => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),c_List_Otranspose(T_a,V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Onth(tc_List_Olist(T_a)),V_xs_2),c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) ) ) ) )).

fof(fact_transpose__column__length,axiom,(
    ! [V_i_2,V_xs_2,T_a] :
      ( c_List_Olinorder__class_Osorted(tc_Nat_Onat,hAPP(c_List_Orev(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_Nat_Onat),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),V_xs_2)))
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),V_xs_2)))
       => hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(tc_List_Olist(T_a))),hAPP(c_List_Ofilter(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_HOL_Obool,tc_List_Olist(T_a)),hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i_2)),c_Nat_Osize__class_Osize(tc_List_Olist(T_a)))),c_List_Otranspose(T_a,V_xs_2))) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Onth(tc_List_Olist(T_a)),V_xs_2),V_i_2)) ) ) )).

fof(fact_transpose__transpose,axiom,(
    ! [V_xs_2,T_a] :
      ( c_List_Olinorder__class_Osorted(tc_Nat_Onat,hAPP(c_List_Orev(tc_Nat_Onat),hAPP(hAPP(c_List_Omap(tc_List_Olist(T_a),tc_Nat_Onat),c_Nat_Osize__class_Osize(tc_List_Olist(T_a))),V_xs_2)))
     => c_List_Otranspose(T_a,c_List_Otranspose(T_a,V_xs_2)) = c_List_OtakeWhile(tc_List_Olist(T_a),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,tc_List_Olist(T_a)),c_fNot),hAPP(hAPP(c_COMBC(tc_List_Olist(T_a),tc_List_Olist(T_a),tc_HOL_Obool),c_fequal),c_List_Olist_ONil(T_a))),V_xs_2) ) )).

fof(fact_transfer__nat__int__list__functions_I2_J,axiom,(
    c_List_Olist_ONil(tc_Nat_Onat) = c_List_Oreturn__list(c_List_Olist_ONil(tc_Int_Oint)) )).

fof(fact_sorted__takeWhile,axiom,(
    ! [V_P_2,V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
       => c_List_Olinorder__class_Osorted(T_a,c_List_OtakeWhile(T_a,V_P_2,V_xs_2)) ) ) )).

fof(fact_length__takeWhile__le,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) )).

fof(fact_takeWhile__eq__all__conv,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_OtakeWhile(T_a,V_P_2,V_xs_2) = V_xs_2
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_set__takeWhileD,axiom,(
    ! [V_xs_2,V_P_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
        & hBOOL(hAPP(V_P_2,V_x_2)) ) ) )).

fof(fact_zip__takeWhile__fst,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),c_List_OtakeWhile(T_a,V_P_2,V_xs_2)),V_ys_2) = c_List_OtakeWhile(tc_prod(T_a,T_b),hAPP(c_Fun_Ocomp(T_a,tc_HOL_Obool,tc_prod(T_a,T_b),V_P_2),c_Product__Type_Ofst(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)) )).

fof(fact_zip__takeWhile__snd,axiom,(
    ! [V_ys_2,V_P_2,V_xs_2,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),c_List_OtakeWhile(T_b,V_P_2,V_ys_2)) = c_List_OtakeWhile(tc_prod(T_a,T_b),hAPP(c_Fun_Ocomp(T_b,tc_HOL_Obool,tc_prod(T_a,T_b),V_P_2),c_Product__Type_Osnd(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)) )).

fof(fact_takeWhile__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,V_P_2,T_a] : c_List_OtakeWhile(T_a,V_P_2,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_OtakeWhile(T_b,hAPP(c_Fun_Ocomp(T_a,tc_HOL_Obool,T_b,V_P_2),V_f_2),V_xs_2)) )).

fof(fact_takeWhile__tail,axiom,(
    ! [V_l_2,V_xs_2,T_a,V_x_2,V_P_2] :
      ( ~ hBOOL(hAPP(V_P_2,V_x_2))
     => c_List_OtakeWhile(T_a,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_l_2))) = c_List_OtakeWhile(T_a,V_P_2,V_xs_2) ) )).

fof(fact_takeWhile_Osimps_I2_J,axiom,(
    ! [V_xs_2,T_a,V_x_2,V_P_2] :
      ( ( hBOOL(hAPP(V_P_2,V_x_2))
       => c_List_OtakeWhile(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),c_List_OtakeWhile(T_a,V_P_2,V_xs_2)) )
      & ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => c_List_OtakeWhile(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = c_List_Olist_ONil(T_a) ) ) )).

fof(fact_takeWhile_Osimps_I1_J,axiom,(
    ! [V_P_2,T_a] : c_List_OtakeWhile(T_a,V_P_2,c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_takeWhile__eq__take,axiom,(
    ! [V_xs_2,V_P_2,T_a] : c_List_OtakeWhile(T_a,V_P_2,V_xs_2) = hAPP(hAPP(c_List_Otake(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))),V_xs_2) )).

fof(fact_distinct__takeWhile,axiom,(
    ! [V_P_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))) ) )).

fof(fact_return__list__def,axiom,(
    ! [V_l_2] : c_List_Oreturn__list(V_l_2) = hAPP(hAPP(c_List_Omap(tc_Int_Oint,tc_Nat_Onat),c_Int_Onat),V_l_2) )).

fof(fact_takeWhile__append1,axiom,(
    ! [V_ys_2,V_P_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => c_List_OtakeWhile(T_a,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = c_List_OtakeWhile(T_a,V_P_2,V_xs_2) ) ) )).

fof(fact_takeWhile__nth,axiom,(
    ! [V_xs_2,V_P_2,T_a,V_j_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))))
     => hAPP(hAPP(c_List_Onth(T_a),c_List_OtakeWhile(T_a,V_P_2,V_xs_2)),V_j_2) = hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_j_2) ) )).

fof(fact_nth__length__takeWhile,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => ~ hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))))) ) )).

fof(fact_takeWhile__not__last,axiom,(
    ! [T_a,V_xs_2] :
      ( V_xs_2 != c_List_Olist_ONil(T_a)
     => ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
       => c_List_OtakeWhile(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),c_List_Olast(T_a,V_xs_2))),V_xs_2) = c_List_Obutlast(T_a,V_xs_2) ) ) )).

fof(fact_filter__equals__takeWhile__sorted__rev,axiom,(
    ! [V_t_2,V_xs_2,V_f_2,T_b,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,hAPP(c_List_Orev(T_a),hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)))
       => hAPP(c_List_Ofilter(T_b,hAPP(hAPP(c_COMBB(T_a,tc_HOL_Obool,T_b),hAPP(c_Orderings_Oord__class_Oless(T_a),V_t_2)),V_f_2)),V_xs_2) = c_List_OtakeWhile(T_b,hAPP(hAPP(c_COMBB(T_a,tc_HOL_Obool,T_b),hAPP(c_Orderings_Oord__class_Oless(T_a),V_t_2)),V_f_2),V_xs_2) ) ) )).

fof(fact_transfer__nat__int__list__return__embed,axiom,(
    ! [V_l] :
      ( c_List_Onat__list(V_l)
     => c_List_Oembed__list(c_List_Oreturn__list(V_l)) = V_l ) )).

fof(fact_transfer__nat__int__list__functions_I1_J,axiom,(
    ! [V_m,V_l] : hAPP(hAPP(c_List_Oappend(tc_Nat_Onat),V_l),V_m) = c_List_Oreturn__list(hAPP(hAPP(c_List_Oappend(tc_Int_Oint),c_List_Oembed__list(V_l)),c_List_Oembed__list(V_m))) )).

fof(fact_embed__list__def,axiom,(
    ! [V_l_2] : c_List_Oembed__list(V_l_2) = hAPP(hAPP(c_List_Omap(tc_Nat_Onat,tc_Int_Oint),c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint)),V_l_2) )).

fof(fact_takeWhile__neq__rev,axiom,(
    ! [V_x_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_OtakeWhile(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_x_2)),hAPP(c_List_Orev(T_a),V_xs_2)) = hAPP(c_List_Orev(T_a),hAPP(c_List_Otl(T_a),c_List_OdropWhile(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_x_2)),V_xs_2))) ) ) )).

fof(fact_dropWhile__neq__rev,axiom,(
    ! [V_x_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_OdropWhile(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_x_2)),hAPP(c_List_Orev(T_a),V_xs_2)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),hAPP(c_List_Orev(T_a),c_List_OtakeWhile(T_a,hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),hAPP(hAPP(c_COMBC(T_a,T_a,tc_HOL_Obool),c_fequal),V_x_2)),V_xs_2))) ) ) )).

fof(fact_takeWhile__dropWhile__id,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hAPP(hAPP(c_List_Oappend(T_a),c_List_OtakeWhile(T_a,V_P_2,V_xs_2)),c_List_OdropWhile(T_a,V_P_2,V_xs_2)) = V_xs_2 )).

fof(fact_dropWhile__map,axiom,(
    ! [V_xs_2,V_f_2,T_b,V_P_2,T_a] : c_List_OdropWhile(T_a,V_P_2,hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),V_xs_2)) = hAPP(hAPP(c_List_Omap(T_b,T_a),V_f_2),c_List_OdropWhile(T_b,hAPP(c_Fun_Ocomp(T_a,tc_HOL_Obool,T_b,V_P_2),V_f_2),V_xs_2)) )).

fof(fact_sorted__dropWhile,axiom,(
    ! [V_P_2,V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
       => c_List_Olinorder__class_Osorted(T_a,c_List_OdropWhile(T_a,V_P_2,V_xs_2)) ) ) )).

fof(fact_length__dropWhile__le,axiom,(
    ! [V_xs_2,V_P_2,T_a] : hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OdropWhile(T_a,V_P_2,V_xs_2))),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2))) )).

fof(fact_dropWhile__eq__Nil__conv,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_OdropWhile(T_a,V_P_2,V_xs_2) = c_List_Olist_ONil(T_a)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_dropWhile_Osimps_I2_J,axiom,(
    ! [V_xs_2,T_a,V_x_2,V_P_2] :
      ( ( hBOOL(hAPP(V_P_2,V_x_2))
       => c_List_OdropWhile(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = c_List_OdropWhile(T_a,V_P_2,V_xs_2) )
      & ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => c_List_OdropWhile(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2) ) ) )).

fof(fact_dropWhile_Osimps_I1_J,axiom,(
    ! [V_P_2,T_a] : c_List_OdropWhile(T_a,V_P_2,c_List_Olist_ONil(T_a)) = c_List_Olist_ONil(T_a) )).

fof(fact_distinct__dropWhile,axiom,(
    ! [V_P_2,V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs_2))
     => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_OdropWhile(T_a,V_P_2,V_xs_2))) ) )).

fof(fact_hd__dropWhile,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_OdropWhile(T_a,V_P_2,V_xs_2) != c_List_Olist_ONil(T_a)
     => ~ hBOOL(hAPP(V_P_2,hAPP(c_List_Ohd(T_a),c_List_OdropWhile(T_a,V_P_2,V_xs_2)))) ) )).

fof(fact_dropWhile__append1,axiom,(
    ! [V_ys_2,V_P_2,V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => c_List_OdropWhile(T_a,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = hAPP(hAPP(c_List_Oappend(T_a),c_List_OdropWhile(T_a,V_P_2,V_xs_2)),V_ys_2) ) ) )).

fof(fact_dropWhile__eq__Cons__conv,axiom,(
    ! [V_ys_2,V_y_2,V_xs_2,V_P_2,T_a] :
      ( c_List_OdropWhile(T_a,V_P_2,V_xs_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2)
    <=> ( V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),c_List_OtakeWhile(T_a,V_P_2,V_xs_2)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y_2),V_ys_2))
        & ~ hBOOL(hAPP(V_P_2,V_y_2)) ) ) )).

fof(fact_dropWhile__eq__drop,axiom,(
    ! [V_xs_2,V_P_2,T_a] : c_List_OdropWhile(T_a,V_P_2,V_xs_2) = hAPP(hAPP(c_List_Odrop(T_a),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2))),V_xs_2) )).

fof(fact_dropWhile__nth,axiom,(
    ! [V_xs_2,V_P_2,T_a,V_j_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_j_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OdropWhile(T_a,V_P_2,V_xs_2))))
     => hAPP(hAPP(c_List_Onth(T_a),c_List_OdropWhile(T_a,V_P_2,V_xs_2)),V_j_2) = hAPP(hAPP(c_List_Onth(T_a),V_xs_2),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_j_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2)))) ) )).

fof(fact_listsum__map__filter,axiom,(
    ! [V_f_2,V_P_2,V_xs_2,T_a,T_b] :
      ( class_Groups_Omonoid__add(T_b)
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
           => ( ~ hBOOL(hAPP(V_P_2,B_x))
             => hAPP(V_f_2,B_x) = c_Groups_Ozero__class_Ozero(T_b) ) )
       => hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2))) = hAPP(c_List_Omonoid__add__class_Olistsum(T_b),hAPP(hAPP(c_List_Omap(T_a,T_b),V_f_2),V_xs_2)) ) ) )).

fof(fact_sorted__nth__monoI,axiom,(
    ! [V_xs,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ! [B_i,B_j] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),B_i),B_j))
           => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_j),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)))
             => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),hAPP(hAPP(c_List_Onth(T_a),V_xs),B_i)),hAPP(hAPP(c_List_Onth(T_a),V_xs),B_j))) ) )
       => c_List_Olinorder__class_Osorted(T_a,V_xs) ) ) )).

fof(fact_takeWhile__eq__filter,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),c_List_OdropWhile(T_a,V_P_2,V_xs_2))))
         => ~ hBOOL(hAPP(V_P_2,B_x)) )
     => c_List_OtakeWhile(T_a,V_P_2,V_xs_2) = hAPP(c_List_Ofilter(T_a,V_P_2),V_xs_2) ) )).

fof(fact_takeWhile__eq__take__P__nth,axiom,(
    ! [V_P_2,V_xs_2,T_a,V_n_2] :
      ( ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),V_n_2))
         => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
           => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i))) ) )
     => ( ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
         => ~ hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_n_2))) )
       => c_List_OtakeWhile(T_a,V_P_2,V_xs_2) = hAPP(hAPP(c_List_Otake(T_a),V_n_2),V_xs_2) ) ) )).

fof(fact_length__takeWhile__less__P__nth,axiom,(
    ! [V_xs_2,T_a,V_P_2,V_j_2] :
      ( ! [B_i] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_i),V_j_2))
         => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_i))) )
     => ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
       => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),V_j_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_OtakeWhile(T_a,V_P_2,V_xs_2)))) ) ) )).

fof(fact_sorted_Osimps,axiom,(
    ! [V_a_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( c_List_Olinorder__class_Osorted(T_a,V_a_2)
      <=> ( V_a_2 = c_List_Olist_ONil(T_a)
          | ? [B_xs,B_x] :
              ( V_a_2 = hAPP(hAPP(c_List_Olist_OCons(T_a),B_x),B_xs)
              & ! [B_xa] :
                  ( hBOOL(hAPP(hAPP(c_member(T_a),B_xa),hAPP(c_List_Oset(T_a),B_xs)))
                 => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),B_x),B_xa)) )
              & c_List_Olinorder__class_Osorted(T_a,B_xs) ) ) ) ) )).

fof(fact_map__upds__def,axiom,(
    ! [V_ys_2,V_xs_2,V_m_2,T_b,T_a] : c_Map_Omap__upds(T_a,T_b,V_m_2,V_xs_2,V_ys_2) = c_Map_Omap__add(T_a,T_b,V_m_2,hAPP(c_Map_Omap__of(T_a,T_b),hAPP(c_List_Orev(tc_prod(T_a,T_b)),hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2)))) )).

fof(fact_map__comp__def,axiom,(
    ! [V_k_2,V_g_2,V_f_2,T_c,T_a,T_b] : c_Map_Omap__comp(T_b,T_a,T_c,V_f_2,V_g_2,V_k_2) = hAPP(c_Option_Ooption_Ooption__case(tc_Option_Ooption(T_a),T_b,c_Option_Ooption_ONone(T_a),V_f_2),hAPP(V_g_2,V_k_2)) )).

fof(fact_map__of__append,axiom,(
    ! [V_ys_2,V_xs_2,T_b,T_a] : hAPP(c_Map_Omap__of(T_a,T_b),hAPP(hAPP(c_List_Oappend(tc_prod(T_a,T_b)),V_xs_2),V_ys_2)) = c_Map_Omap__add(T_a,T_b,hAPP(c_Map_Omap__of(T_a,T_b),V_ys_2),hAPP(c_Map_Omap__of(T_a,T_b),V_xs_2)) )).

fof(fact_map__comp__empty_I2_J,axiom,(
    ! [V_x_2,V_m_2,T_c,T_a,T_b] : c_Map_Omap__comp(T_b,T_a,T_c,hAPP(c_COMBK(tc_Option_Ooption(T_a),T_b),c_Option_Ooption_ONone(T_a)),V_m_2,V_x_2) = c_Option_Ooption_ONone(T_a) )).

fof(fact_map__comp__empty_I1_J,axiom,(
    ! [V_x_2,V_m_2,T_c,T_a,T_b] : c_Map_Omap__comp(T_b,T_a,T_c,V_m_2,hAPP(c_COMBK(tc_Option_Ooption(T_b),T_c),c_Option_Ooption_ONone(T_b)),V_x_2) = c_Option_Ooption_ONone(T_a) )).

fof(fact_map__comp__Some__iff,axiom,(
    ! [V_v_2,V_k_2,V_m2_2,V_m1_2,T_c,T_a,T_b] :
      ( c_Map_Omap__comp(T_b,T_a,T_c,V_m1_2,V_m2_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_v_2)
    <=> ? [B_k_H] :
          ( hAPP(V_m2_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_b),B_k_H)
          & hAPP(V_m1_2,B_k_H) = hAPP(c_Option_Ooption_OSome(T_a),V_v_2) ) ) )).

fof(fact_map__add__find__right,axiom,(
    ! [V_m_2,T_b,V_xx_2,T_a,V_k_2,V_n_2] :
      ( hAPP(V_n_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_xx_2)
     => hAPP(c_Map_Omap__add(T_b,T_a,V_m_2,V_n_2),V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_xx_2) ) )).

fof(fact_map__comp__simps_I2_J,axiom,(
    ! [V_m1_2,T_b,T_c,V_k_H_2,T_a,V_k_2,V_m2_2] :
      ( hAPP(V_m2_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_k_H_2)
     => c_Map_Omap__comp(T_a,T_c,T_b,V_m1_2,V_m2_2,V_k_2) = hAPP(V_m1_2,V_k_H_2) ) )).

fof(fact_map__add__upd,axiom,(
    ! [V_y_2,V_x_2,V_g_2,V_f_2,T_b,T_a] : c_Map_Omap__add(T_a,T_b,V_f_2,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_g_2),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2))) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Omap__add(T_a,T_b,V_f_2,V_g_2)),V_x_2),hAPP(c_Option_Ooption_OSome(T_b),V_y_2)) )).

fof(fact_map__add__Some__iff,axiom,(
    ! [V_x_2,V_k_2,V_n_2,V_m_2,T_a,T_b] :
      ( hAPP(c_Map_Omap__add(T_b,T_a,V_m_2,V_n_2),V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_x_2)
    <=> ( hAPP(V_n_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_x_2)
        | ( hAPP(V_n_2,V_k_2) = c_Option_Ooption_ONone(T_a)
          & hAPP(V_m_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_x_2) ) ) ) )).

fof(fact_map__add__SomeD,axiom,(
    ! [V_x_2,V_k_2,V_n_2,V_m_2,T_a,T_b] :
      ( hAPP(c_Map_Omap__add(T_b,T_a,V_m_2,V_n_2),V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_x_2)
     => ( hAPP(V_n_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_x_2)
        | ( hAPP(V_n_2,V_k_2) = c_Option_Ooption_ONone(T_a)
          & hAPP(V_m_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_a),V_x_2) ) ) ) )).

fof(fact_empty__map__add,axiom,(
    ! [V_m_2,T_b,T_a] : c_Map_Omap__add(T_a,T_b,hAPP(c_COMBK(tc_Option_Ooption(T_b),T_a),c_Option_Ooption_ONone(T_b)),V_m_2) = V_m_2 )).

fof(fact_map__add__empty,axiom,(
    ! [V_m_2,T_b,T_a] : c_Map_Omap__add(T_a,T_b,V_m_2,hAPP(c_COMBK(tc_Option_Ooption(T_b),T_a),c_Option_Ooption_ONone(T_b))) = V_m_2 )).

fof(fact_map__add__None,axiom,(
    ! [V_k_2,V_n_2,V_m_2,T_a,T_b] :
      ( hAPP(c_Map_Omap__add(T_b,T_a,V_m_2,V_n_2),V_k_2) = c_Option_Ooption_ONone(T_a)
    <=> ( hAPP(V_n_2,V_k_2) = c_Option_Ooption_ONone(T_a)
        & hAPP(V_m_2,V_k_2) = c_Option_Ooption_ONone(T_a) ) ) )).

fof(fact_map__comp__simps_I1_J,axiom,(
    ! [V_m1_2,T_b,T_c,T_a,V_k_2,V_m2_2] :
      ( hAPP(V_m2_2,V_k_2) = c_Option_Ooption_ONone(T_a)
     => c_Map_Omap__comp(T_a,T_c,T_b,V_m1_2,V_m2_2,V_k_2) = c_Option_Ooption_ONone(T_c) ) )).

fof(fact_map__add__upds,axiom,(
    ! [V_ys_2,V_xs_2,V_m2_2,V_m1_2,T_b,T_a] : c_Map_Omap__add(T_a,T_b,V_m1_2,c_Map_Omap__upds(T_a,T_b,V_m2_2,V_xs_2,V_ys_2)) = c_Map_Omap__upds(T_a,T_b,c_Map_Omap__add(T_a,T_b,V_m1_2,V_m2_2),V_xs_2,V_ys_2) )).

fof(fact_dom__map__add,axiom,(
    ! [V_n_2,V_m_2,T_b,T_a] : c_Map_Odom(T_a,T_b,c_Map_Omap__add(T_a,T_b,V_m_2,V_n_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_HOL_Obool)),c_Map_Odom(T_a,T_b,V_n_2)),c_Map_Odom(T_a,T_b,V_m_2)) )).

fof(fact_map__add__assoc,axiom,(
    ! [V_m3_2,V_m2_2,V_m1_2,T_b,T_a] : c_Map_Omap__add(T_a,T_b,V_m1_2,c_Map_Omap__add(T_a,T_b,V_m2_2,V_m3_2)) = c_Map_Omap__add(T_a,T_b,c_Map_Omap__add(T_a,T_b,V_m1_2,V_m2_2),V_m3_2) )).

fof(fact_map__add__dom__app__simps_I1_J,axiom,(
    ! [V_l1_2,V_l2_2,T_b,V_m_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_m_2),c_Map_Odom(T_a,T_b,V_l2_2)))
     => hAPP(c_Map_Omap__add(T_a,T_b,V_l1_2,V_l2_2),V_m_2) = hAPP(V_l2_2,V_m_2) ) )).

fof(fact_map__add__dom__app__simps_I3_J,axiom,(
    ! [V_l1_2,V_l2_2,T_b,V_m_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_m_2),c_Map_Odom(T_a,T_b,V_l2_2)))
     => hAPP(c_Map_Omap__add(T_a,T_b,V_l1_2,V_l2_2),V_m_2) = hAPP(V_l1_2,V_m_2) ) )).

fof(fact_map__add__dom__app__simps_I2_J,axiom,(
    ! [V_l2_2,V_l1_2,T_b,V_m_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_m_2),c_Map_Odom(T_a,T_b,V_l1_2)))
     => hAPP(c_Map_Omap__add(T_a,T_b,V_l1_2,V_l2_2),V_m_2) = hAPP(V_l2_2,V_m_2) ) )).

fof(fact_inj__on__map__add__dom,axiom,(
    ! [V_m_H_2,V_m_2,T_b,T_a] :
      ( c_Fun_Oinj__on(T_a,tc_Option_Ooption(T_b),c_Map_Omap__add(T_a,T_b,V_m_2,V_m_H_2),c_Map_Odom(T_a,T_b,V_m_H_2))
    <=> c_Fun_Oinj__on(T_a,tc_Option_Ooption(T_b),V_m_H_2,c_Map_Odom(T_a,T_b,V_m_H_2)) ) )).

fof(fact_map__add__def,axiom,(
    ! [V_x_2,V_m2_2,V_m1_2,T_a,T_b] : hAPP(c_Map_Omap__add(T_b,T_a,V_m1_2,V_m2_2),V_x_2) = hAPP(c_Option_Ooption_Ooption__case(tc_Option_Ooption(T_a),T_a,hAPP(V_m1_2,V_x_2),c_Option_Ooption_OSome(T_a)),hAPP(V_m2_2,V_x_2)) )).

fof(fact_map__add__comm,axiom,(
    ! [V_m2_2,V_m1_2,T_b,T_a] :
      ( hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),c_Map_Odom(T_a,T_b,V_m1_2)),c_Map_Odom(T_a,T_b,V_m2_2)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool))
     => c_Map_Omap__add(T_a,T_b,V_m1_2,V_m2_2) = c_Map_Omap__add(T_a,T_b,V_m2_2,V_m1_2) ) )).

fof(fact_map__comp__None__iff,axiom,(
    ! [V_k_2,V_m2_2,V_m1_2,T_c,T_a,T_b] :
      ( c_Map_Omap__comp(T_b,T_a,T_c,V_m1_2,V_m2_2,V_k_2) = c_Option_Ooption_ONone(T_a)
    <=> ( hAPP(V_m2_2,V_k_2) = c_Option_Ooption_ONone(T_b)
        | ? [B_k_H] :
            ( hAPP(V_m2_2,V_k_2) = hAPP(c_Option_Ooption_OSome(T_b),B_k_H)
            & hAPP(V_m1_2,B_k_H) = c_Option_Ooption_ONone(T_a) ) ) ) )).

fof(fact_map__add__map__of__foldr,axiom,(
    ! [V_ps_2,V_m_2,T_b,T_a] : c_Map_Omap__add(T_a,T_b,V_m_2,hAPP(c_Map_Omap__of(T_a,T_b),V_ps_2)) = c_List_Ofoldr(tc_prod(T_a,T_b),tc_fun(T_a,tc_Option_Ooption(T_b)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_b,tc_fun(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)))),hAPP(hAPP(c_COMBC(T_a,tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_fun(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_Option_Ooption(T_b))))),hAPP(hAPP(c_COMBB(tc_fun(tc_Option_Ooption(T_b),tc_fun(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)))),tc_fun(tc_fun(T_b,tc_Option_Ooption(T_b)),tc_fun(T_b,tc_fun(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_Option_Ooption(T_b))))),T_a),c_COMBB(tc_Option_Ooption(T_b),tc_fun(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_Option_Ooption(T_b))),T_b)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(tc_Option_Ooption(T_b),tc_fun(T_a,tc_Option_Ooption(T_b)))),tc_fun(tc_Option_Ooption(T_b),tc_fun(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_fun(T_a,tc_Option_Ooption(T_b)))),T_a),c_COMBC(tc_fun(T_a,tc_Option_Ooption(T_b)),tc_Option_Ooption(T_b),tc_fun(T_a,tc_Option_Ooption(T_b)))),hAPP(c_COMBC(tc_fun(T_a,tc_Option_Ooption(T_b)),T_a,tc_fun(tc_Option_Ooption(T_b),tc_fun(T_a,tc_Option_Ooption(T_b)))),c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)))))),c_Option_Ooption_OSome(T_b))),V_ps_2,V_m_2) )).

fof(fact_map__add__upd__left,axiom,(
    ! [V_u1_2,V_e1_2,V_e2_2,T_b,V_m_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_m_2),c_Map_Odom(T_a,T_b,V_e2_2)))
     => c_Map_Omap__add(T_a,T_b,hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),V_e1_2),V_m_2),hAPP(c_Option_Ooption_OSome(T_b),V_u1_2)),V_e2_2) = hAPP(hAPP(hAPP(c_Fun_Ofun__upd(T_a,tc_Option_Ooption(T_b)),c_Map_Omap__add(T_a,T_b,V_e1_2,V_e2_2)),V_m_2),hAPP(c_Option_Ooption_OSome(T_b),V_u1_2)) ) )).

fof(fact_finite__range__map__of__map__add,axiom,(
    ! [V_l_2,V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Option_Ooption(T_a)),hAPP(c_Set_Oimage(T_b,tc_Option_Ooption(T_a),V_f_2),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool)))))
     => hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Option_Ooption(T_a)),hAPP(c_Set_Oimage(T_b,tc_Option_Ooption(T_a),c_Map_Omap__add(T_b,T_a,V_f_2,hAPP(c_Map_Omap__of(T_b,T_a),V_l_2))),c_Orderings_Otop__class_Otop(tc_fun(T_b,tc_HOL_Obool))))) ) )).

fof(fact_List_Oinsert__def,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Oinsert(T_a,V_x_2,V_xs_2) = V_xs_2 )
      & ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
       => c_List_Oinsert(T_a,V_x_2,V_xs_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2) ) ) )).

fof(fact_not__in__set__insert,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => c_List_Oinsert(T_a,V_x_2,V_xs_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2) ) )).

fof(fact_distinct__insert,axiom,(
    ! [V_x,V_xs,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(T_a),V_xs))
     => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Oinsert(T_a,V_x,V_xs))) ) )).

fof(fact_insert__remdups,axiom,(
    ! [V_xs,V_x,T_a] : c_List_Oinsert(T_a,V_x,c_List_Oremdups(T_a,V_xs)) = c_List_Oremdups(T_a,c_List_Oinsert(T_a,V_x,V_xs)) )).

fof(fact_in__set__insert,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
     => c_List_Oinsert(T_a,V_x_2,V_xs_2) = V_xs_2 ) )).

fof(fact_List_Oset__insert,axiom,(
    ! [V_xs_2,V_x_2,T_a] : hAPP(c_List_Oset(T_a),c_List_Oinsert(T_a,V_x_2,V_xs_2)) = hAPP(hAPP(c_Set_Oinsert(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)) )).

fof(fact_insert__Nil,axiom,(
    ! [V_x,T_a] : c_List_Oinsert(T_a,V_x,c_List_Olist_ONil(T_a)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Olist_ONil(T_a)) )).

fof(fact_maps__def,axiom,(
    ! [V_xs_2,V_f_2,T_a,T_b] : c_List_Omaps(T_b,T_a,V_f_2,V_xs_2) = c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(T_b,tc_List_Olist(T_a)),V_f_2),V_xs_2)) )).

fof(fact_concat__map__maps,axiom,(
    ! [V_xs_2,V_f_2,T_b,T_a] : c_List_Oconcat(T_a,hAPP(hAPP(c_List_Omap(T_b,tc_List_Olist(T_a)),V_f_2),V_xs_2)) = c_List_Omaps(T_b,T_a,V_f_2,V_xs_2) )).

fof(fact_maps__simps_I2_J,axiom,(
    ! [V_f_2,T_a,T_b] : c_List_Omaps(T_b,T_a,V_f_2,c_List_Olist_ONil(T_b)) = c_List_Olist_ONil(T_a) )).

fof(fact_maps__simps_I1_J,axiom,(
    ! [V_xs_2,V_x_2,V_f_2,T_a,T_b] : c_List_Omaps(T_b,T_a,V_f_2,hAPP(hAPP(c_List_Olist_OCons(T_b),V_x_2),V_xs_2)) = hAPP(hAPP(c_List_Oappend(T_a),hAPP(V_f_2,V_x_2)),c_List_Omaps(T_b,T_a,V_f_2,V_xs_2)) )).

fof(fact_distinct__concat,axiom,(
    ! [V_xs_2,T_a] :
      ( hBOOL(hAPP(c_List_Odistinct(tc_List_Olist(T_a)),V_xs_2))
     => ( ! [B_ys] :
            ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_ys),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xs_2)))
           => hBOOL(hAPP(c_List_Odistinct(T_a),B_ys)) )
       => ( ! [B_ys] :
              ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_ys),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xs_2)))
             => ! [B_zs] :
                  ( hBOOL(hAPP(hAPP(c_member(tc_List_Olist(T_a)),B_zs),hAPP(c_List_Oset(tc_List_Olist(T_a)),V_xs_2)))
                 => ( B_ys != B_zs
                   => hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_HOL_Obool)),hAPP(c_List_Oset(T_a),B_ys)),hAPP(c_List_Oset(T_a),B_zs)) = c_Orderings_Obot__class_Obot(tc_fun(T_a,tc_HOL_Obool)) ) ) )
         => hBOOL(hAPP(c_List_Odistinct(T_a),c_List_Oconcat(T_a,V_xs_2))) ) ) ) )).

fof(fact_ran__restrictD,axiom,(
    ! [V_A_2,V_m_2,T_b,V_y_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_y_2),c_Map_Oran(T_b,T_a,c_Map_Orestrict__map(T_b,T_a,V_m_2,V_A_2))))
     => ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_b),B_x),V_A_2))
          & hAPP(V_m_2,B_x) = hAPP(c_Option_Ooption_OSome(T_a),V_y_2) ) ) )).

fof(fact_measures__lesseq,axiom,(
    ! [V_fs_2,T_a,V_y_2,V_x_2,V_f_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_Nat_Onat),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)))
     => ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_List_Omeasures(T_a,V_fs_2)))
       => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_List_Omeasures(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_fun(T_a,tc_Nat_Onat)),V_f_2),V_fs_2)))) ) ) )).

fof(fact_measures__less,axiom,(
    ! [V_fs_2,T_a,V_y_2,V_x_2,V_f_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)))
     => hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_List_Omeasures(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_fun(T_a,tc_Nat_Onat)),V_f_2),V_fs_2)))) ) )).

fof(fact_wf__measures,axiom,(
    ! [V_fs_2,T_a] : c_Wellfounded_Owf(T_a,c_List_Omeasures(T_a,V_fs_2)) )).

fof(fact_in__measures_I1_J,axiom,(
    ! [V_y_2,V_x_2,T_a] : ~ hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_List_Omeasures(T_a,c_List_Olist_ONil(tc_fun(T_a,tc_Nat_Onat))))) )).

fof(fact_measures__def,axiom,(
    ! [V_fs_2,T_a] : c_List_Omeasures(T_a,V_fs_2) = hAPP(hAPP(c_Relation_Oinv__image(tc_List_Olist(tc_Nat_Onat),T_a),c_List_Olex(tc_Nat_Onat,c_Wellfounded_Oless__than)),hAPP(hAPP(c_COMBC(T_a,tc_List_Olist(tc_fun(T_a,tc_Nat_Onat)),tc_List_Olist(tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_fun(tc_fun(T_a,tc_Nat_Onat),tc_Nat_Onat),tc_fun(tc_List_Olist(tc_fun(T_a,tc_Nat_Onat)),tc_List_Olist(tc_Nat_Onat)),T_a),c_List_Omap(tc_fun(T_a,tc_Nat_Onat),tc_Nat_Onat)),hAPP(c_COMBC(tc_fun(T_a,tc_Nat_Onat),T_a,tc_Nat_Onat),c_COMBI(tc_fun(T_a,tc_Nat_Onat))))),V_fs_2)) )).

fof(fact_in__measures_I2_J,axiom,(
    ! [V_fs_2,V_f_2,V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_List_Omeasures(T_a,hAPP(hAPP(c_List_Olist_OCons(tc_fun(T_a,tc_Nat_Onat)),V_f_2),V_fs_2))))
    <=> ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),hAPP(V_f_2,V_x_2)),hAPP(V_f_2,V_y_2)))
        | ( hAPP(V_f_2,V_x_2) = hAPP(V_f_2,V_y_2)
          & hBOOL(hAPP(hAPP(c_member(tc_prod(T_a,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_a,T_a),V_x_2),V_y_2)),c_List_Omeasures(T_a,V_fs_2))) ) ) ) )).

fof(fact_foldl__apply,axiom,(
    ! [V_s_2,V_g_2,V_h_2,V_f_2,T_b,T_c,V_xs_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hAPP(c_Fun_Ocomp(T_c,T_c,T_b,hAPP(V_f_2,B_x)),V_h_2) = hAPP(c_Fun_Ocomp(T_b,T_c,T_b,V_h_2),hAPP(V_g_2,B_x)) )
     => hAPP(c_List_Ofoldl(T_c,T_a,hAPP(c_COMBC(T_a,T_c,T_c),V_f_2),hAPP(V_h_2,V_s_2)),V_xs_2) = hAPP(V_h_2,hAPP(c_List_Ofoldl(T_b,T_a,hAPP(c_COMBC(T_a,T_b,T_b),V_g_2),V_s_2),V_xs_2)) ) )).

fof(fact_zip__obtain__same__length,axiom,(
    ! [V_P_2,V_ys_2,T_b,V_xs_2,T_a] :
      ( ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2))),V_xs_2)) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),hAPP(hAPP(c_List_Otake(T_b),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2))),V_ys_2))
       => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Ozip(T_a,T_b),hAPP(hAPP(c_List_Otake(T_a),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2))),V_xs_2)),hAPP(hAPP(c_List_Otake(T_b),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_ys_2))),V_ys_2)))) )
     => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Ozip(T_a,T_b),V_xs_2),V_ys_2))) ) )).

fof(fact_map__of__eqI,axiom,(
    ! [V_ys_2,V_xs_2,T_b,T_a] :
      ( hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_xs_2)) = hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_ys_2))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),hAPP(hAPP(c_List_Omap(tc_prod(T_a,T_b),T_a),c_Product__Type_Ofst(T_a,T_b)),V_xs_2))))
           => hAPP(hAPP(c_Map_Omap__of(T_a,T_b),V_xs_2),B_x) = hAPP(hAPP(c_Map_Omap__of(T_a,T_b),V_ys_2),B_x) )
       => hAPP(c_Map_Omap__of(T_a,T_b),V_xs_2) = hAPP(c_Map_Omap__of(T_a,T_b),V_ys_2) ) ) )).

fof(fact_pos__not__random__dseq__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,V_R_2] : c_New__Random__Sequence_Opos__not__random__dseq(V_R_2,V_nrandom_2,V_size_2,V_seed_2) = c_New__DSequence_Opos__not__seq(hAPP(hAPP(hAPP(V_R_2,V_nrandom_2),V_size_2),V_seed_2)) )).

fof(fact_dropWhile__append2,axiom,(
    ! [V_ys_2,V_P_2,V_xs_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) )
     => c_List_OdropWhile(T_a,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = c_List_OdropWhile(T_a,V_P_2,V_ys_2) ) )).

fof(fact_list__all2__all__nthI,axiom,(
    ! [V_P_2,V_b_2,T_b,V_a_2,T_a] :
      ( hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_a_2) = hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_b)),V_b_2)
     => ( ! [B_n] :
            ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_a_2)))
           => hBOOL(hAPP(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_a_2),B_n)),hAPP(hAPP(c_List_Onth(T_b),V_b_2),B_n))) )
       => c_List_Olist__all2(T_a,T_b,V_P_2,V_a_2,V_b_2) ) ) )).

fof(fact_finite__map__freshness,axiom,(
    ! [V_f_2,T_b,T_a] :
      ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Map_Odom(T_a,T_b,V_f_2)))
     => ( ~ hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),c_Orderings_Otop__class_Otop(tc_fun(T_a,tc_HOL_Obool))))
       => ? [B_x] : hAPP(V_f_2,B_x) = c_Option_Ooption_ONone(T_b) ) ) )).

fof(fact_finite__sorted__distinct__unique,axiom,(
    ! [V_A_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( hBOOL(hAPP(c_Finite__Set_Ofinite(T_a),V_A_2))
       => ? [B_x] :
            ( hAPP(c_List_Oset(T_a),B_x) = V_A_2
            & c_List_Olinorder__class_Osorted(T_a,B_x)
            & hBOOL(hAPP(c_List_Odistinct(T_a),B_x))
            & ! [B_y] :
                ( ( hAPP(c_List_Oset(T_a),B_y) = V_A_2
                  & c_List_Olinorder__class_Osorted(T_a,B_y)
                  & hBOOL(hAPP(c_List_Odistinct(T_a),B_y)) )
               => B_y = B_x ) ) ) ) )).

fof(fact_takeWhile__append2,axiom,(
    ! [V_ys_2,V_P_2,V_xs_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) )
     => c_List_OtakeWhile(T_a,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2)) = hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),c_List_OtakeWhile(T_a,V_P_2,V_ys_2)) ) )).

fof(fact_insort__is__Cons,axiom,(
    ! [V_a_2,V_f_2,V_xs_2,T_a,T_b] :
      ( class_Orderings_Olinorder(T_b)
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_b),hAPP(V_f_2,V_a_2)),hAPP(V_f_2,B_x))) )
       => hAPP(hAPP(c_List_Olinorder__class_Oinsort__key(T_a,T_b,V_f_2),V_a_2),V_xs_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_a_2),V_xs_2) ) ) )).

fof(fact_Cons__eq__filter__iff,axiom,(
    ! [V_ys_2,V_P_2,V_xs_2,V_x_2,T_a] :
      ( hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2) = hAPP(c_List_Ofilter(T_a,V_P_2),V_ys_2)
    <=> ? [B_us,B_vs] :
          ( V_ys_2 = hAPP(hAPP(c_List_Oappend(T_a),B_us),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),B_vs))
          & ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),B_us)))
             => ~ hBOOL(hAPP(V_P_2,B_x)) )
          & hBOOL(hAPP(V_P_2,V_x_2))
          & V_xs_2 = hAPP(c_List_Ofilter(T_a,V_P_2),B_vs) ) ) )).

fof(fact_filter__eq__Cons__iff,axiom,(
    ! [V_xs_2,V_x_2,V_ys_2,V_P_2,T_a] :
      ( hAPP(c_List_Ofilter(T_a,V_P_2),V_ys_2) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)
    <=> ? [B_us,B_vs] :
          ( V_ys_2 = hAPP(hAPP(c_List_Oappend(T_a),B_us),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),B_vs))
          & ! [B_x] :
              ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),B_us)))
             => ~ hBOOL(hAPP(V_P_2,B_x)) )
          & hBOOL(hAPP(V_P_2,V_x_2))
          & V_xs_2 = hAPP(c_List_Ofilter(T_a,V_P_2),B_vs) ) ) )).

fof(fact_list__ball__nth,axiom,(
    ! [V_P_2,V_xs_2,T_a,V_n_2] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_n_2),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
           => hBOOL(hAPP(V_P_2,B_x)) )
       => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),V_n_2))) ) ) )).

fof(fact_sorted_OCons,axiom,(
    ! [V_x_2,V_xs_2,T_a] :
      ( class_Orderings_Olinorder(T_a)
     => ( ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
           => hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(T_a),V_x_2),B_x)) )
       => ( c_List_Olinorder__class_Osorted(T_a,V_xs_2)
         => c_List_Olinorder__class_Osorted(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2)) ) ) ) )).

fof(fact_list__ex__length,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__ex(T_a,V_P_2,V_xs_2)
    <=> ? [B_n] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
          & hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_n))) ) ) )).

fof(fact_in__set__conv__decomp__first,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
    <=> ? [B_ys] :
          ( ? [B_zs] : V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),B_ys),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),B_zs))
          & ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),B_ys))) ) ) )).

fof(fact_list__ex__simps_I2_J,axiom,(
    ! [V_P_2,T_a] : ~ c_List_Olist__ex(T_a,V_P_2,c_List_Olist_ONil(T_a)) )).

fof(fact_list__ex__append,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__ex(T_a,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2))
    <=> ( c_List_Olist__ex(T_a,V_P_2,V_xs_2)
        | c_List_Olist__ex(T_a,V_P_2,V_ys_2) ) ) )).

fof(fact_list__ex__iff,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__ex(T_a,V_P_2,V_xs_2)
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
          & hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_list__ex__rev,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__ex(T_a,V_P_2,hAPP(c_List_Orev(T_a),V_xs_2))
    <=> c_List_Olist__ex(T_a,V_P_2,V_xs_2) ) )).

fof(fact_list__ex__simps_I1_J,axiom,(
    ! [V_xs_2,V_x_2,V_P_2,T_a] :
      ( c_List_Olist__ex(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))
    <=> ( hBOOL(hAPP(V_P_2,V_x_2))
        | c_List_Olist__ex(T_a,V_P_2,V_xs_2) ) ) )).

fof(fact_in__set__conv__decomp,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
    <=> ? [B_ys,B_zs] : V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),B_ys),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),B_zs)) ) )).

fof(fact_in__set__conv__decomp__last,axiom,(
    ! [V_xs_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),V_xs_2)))
    <=> ? [B_ys,B_zs] :
          ( V_xs_2 = hAPP(hAPP(c_List_Oappend(T_a),B_ys),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),B_zs))
          & ~ hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),B_zs))) ) ) )).

fof(fact_option_Orecs_I2_J,axiom,(
    ! [V_a_2,V_f2_2,V_f1_2,T_b,T_a] : c_Option_Ooption_Ooption__rec(T_a,T_b,V_f1_2,V_f2_2,hAPP(c_Option_Ooption_OSome(T_b),V_a_2)) = hAPP(V_f2_2,V_a_2) )).

fof(fact_option_Orecs_I1_J,axiom,(
    ! [V_f2_2,V_f1_2,T_b,T_a] : c_Option_Ooption_Ooption__rec(T_a,T_b,V_f1_2,V_f2_2,c_Option_Ooption_ONone(T_b)) = V_f1_2 )).

fof(fact_list__all__length,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__all(T_a,V_P_2,V_xs_2)
    <=> ! [B_n] :
          ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),B_n),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs_2)))
         => hBOOL(hAPP(V_P_2,hAPP(hAPP(c_List_Onth(T_a),V_xs_2),B_n))) ) ) )).

fof(fact_measure__function__int,axiom,(
    c_FunDef_Ois__measure(tc_Int_Oint,hAPP(c_Fun_Ocomp(tc_Int_Oint,tc_Nat_Onat,tc_Int_Oint,c_Int_Onat),c_Groups_Oabs__class_Oabs(tc_Int_Oint))) )).

fof(fact_list__all__simps_I1_J,axiom,(
    ! [V_xs_2,V_x_2,V_P_2,T_a] :
      ( c_List_Olist__all(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))
    <=> ( hBOOL(hAPP(V_P_2,V_x_2))
        & c_List_Olist__all(T_a,V_P_2,V_xs_2) ) ) )).

fof(fact_list__all__rev,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__all(T_a,V_P_2,hAPP(c_List_Orev(T_a),V_xs_2))
    <=> c_List_Olist__all(T_a,V_P_2,V_xs_2) ) )).

fof(fact_Ball__set__list__all,axiom,(
    ! [V_P_2,V_xs_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) )
    <=> c_List_Olist__all(T_a,V_P_2,V_xs_2) ) )).

fof(fact_measure__fst,axiom,(
    ! [T_b,V_f_2,T_a] :
      ( c_FunDef_Ois__measure(T_a,V_f_2)
     => c_FunDef_Ois__measure(tc_prod(T_a,T_b),hAPP(hAPP(c_COMBB(T_a,tc_Nat_Onat,tc_prod(T_a,T_b)),V_f_2),c_Product__Type_Ofst(T_a,T_b))) ) )).

fof(fact_measure__snd,axiom,(
    ! [T_b,V_f_2,T_a] :
      ( c_FunDef_Ois__measure(T_a,V_f_2)
     => c_FunDef_Ois__measure(tc_prod(T_b,T_a),hAPP(hAPP(c_COMBB(T_a,tc_Nat_Onat,tc_prod(T_b,T_a)),V_f_2),c_Product__Type_Osnd(T_b,T_a))) ) )).

fof(fact_list__all__iff,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__all(T_a,V_P_2,V_xs_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_is__measure_Ointros,axiom,(
    ! [V_f_2,T_a] : c_FunDef_Ois__measure(T_a,V_f_2) )).

fof(fact_is__measure_Oequations,axiom,(
    ! [V_a_2,T_a] : c_FunDef_Ois__measure(T_a,V_a_2) )).

fof(fact_is__measure_Osimps,axiom,(
    ! [V_a_2,T_a] : c_FunDef_Ois__measure(T_a,V_a_2) )).

fof(fact_measure__size,axiom,(
    ! [T_a] :
      ( class_Nat_Osize(T_a)
     => c_FunDef_Ois__measure(T_a,c_Nat_Osize__class_Osize(T_a)) ) )).

fof(fact_list__all__append,axiom,(
    ! [V_ys_2,V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__all(T_a,V_P_2,hAPP(hAPP(c_List_Oappend(T_a),V_xs_2),V_ys_2))
    <=> ( c_List_Olist__all(T_a,V_P_2,V_xs_2)
        & c_List_Olist__all(T_a,V_P_2,V_ys_2) ) ) )).

fof(fact_list__all__simps_I2_J,axiom,(
    ! [V_P_2,T_a] : c_List_Olist__all(T_a,V_P_2,c_List_Olist_ONil(T_a)) )).

fof(fact_list__all__iff__raw,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__all(T_a,V_P_2,V_xs_2)
    <=> ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
         => hBOOL(hAPP(V_P_2,B_x)) ) ) )).

fof(fact_list__ex1__simps_I2_J,axiom,(
    ! [V_xs_2,V_x_2,V_P_2,T_a] :
      ( c_List_Olist__ex1(T_a,V_P_2,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x_2),V_xs_2))
    <=> ( ( hBOOL(hAPP(V_P_2,V_x_2))
         => c_List_Olist__all(T_a,hAPP(hAPP(c_COMBS(T_a,tc_HOL_Obool,tc_HOL_Obool),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_fun(tc_HOL_Obool,tc_HOL_Obool),T_a),c_fdisj),hAPP(hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot),V_P_2))),hAPP(c_fequal,V_x_2)),V_xs_2) )
        & ( ~ hBOOL(hAPP(V_P_2,V_x_2))
         => c_List_Olist__ex1(T_a,V_P_2,V_xs_2) ) ) ) )).

fof(fact_equal__fun__def,axiom,(
    ! [V_g_2,V_f_2,T_a,T_b] :
      ( ( class_HOL_Oequal(T_b)
        & class_Enum_Oenum(T_a) )
     => ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_fun(T_a,T_b)),V_f_2),V_g_2))
      <=> ! [B_x] :
            ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),c_Enum_Oenum__class_Oenum(T_a))))
           => hAPP(V_f_2,B_x) = hAPP(V_g_2,B_x) ) ) ) )).

fof(fact_list__ex1__simps_I1_J,axiom,(
    ! [V_P_2,T_a] : ~ c_List_Olist__ex1(T_a,V_P_2,c_List_Olist_ONil(T_a)) )).

fof(fact_eq__equal,axiom,(
    ! [T_a] :
      ( class_HOL_Oequal(T_a)
     => c_fequal = c_HOL_Oequal__class_Oequal(T_a) ) )).

fof(fact_equal__eq,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( class_HOL_Oequal(T_a)
     => ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(T_a),V_x_2),V_y_2))
      <=> V_x_2 = V_y_2 ) ) )).

fof(fact_equal__refl,axiom,(
    ! [V_x,T_a] :
      ( class_HOL_Oequal(T_a)
     => hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(T_a),V_x),V_x)) ) )).

fof(fact_equal,axiom,(
    ! [T_a] :
      ( class_HOL_Oequal(T_a)
     => c_HOL_Oequal__class_Oequal(T_a) = c_fequal ) )).

fof(fact_exists1__code,axiom,(
    ! [V_P_2,T_a] :
      ( class_Enum_Oenum(T_a)
     => ( ? [B_x] :
            ( hBOOL(hAPP(V_P_2,B_x))
            & ! [B_y] :
                ( hBOOL(hAPP(V_P_2,B_y))
               => B_y = B_x ) )
      <=> c_List_Olist__ex1(T_a,V_P_2,c_Enum_Oenum__class_Oenum(T_a)) ) ) )).

fof(fact_bool_Osize_I3_J,axiom,(
    hAPP(c_Nat_Osize__class_Osize(tc_HOL_Obool),c_fTrue) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_bool_Osize_I4_J,axiom,(
    hAPP(c_Nat_Osize__class_Osize(tc_HOL_Obool),c_fFalse) = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) )).

fof(fact_list__ex1__iff,axiom,(
    ! [V_xs_2,V_P_2,T_a] :
      ( c_List_Olist__ex1(T_a,V_P_2,V_xs_2)
    <=> ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),V_xs_2)))
          & hBOOL(hAPP(V_P_2,B_x))
          & ! [B_y] :
              ( ( hBOOL(hAPP(hAPP(c_member(T_a),B_y),hAPP(c_List_Oset(T_a),V_xs_2)))
                & hBOOL(hAPP(V_P_2,B_y)) )
             => B_y = B_x ) ) ) )).

fof(fact_size__code,axiom,(
    ! [V_xq_2,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_Lazy__Sequence_Olazy__sequence(T_a)),V_xq_2) = hAPP(c_Option_Ooption_Ooption__case(tc_Nat_Onat,tc_prod(T_a,tc_Lazy__Sequence_Olazy__sequence(T_a)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat),hAPP(c_COMBK(tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat),T_a),hAPP(hAPP(c_COMBC(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat,tc_Nat_Onat),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Lazy__Sequence_Olazy__sequence(T_a)),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),c_Nat_Osize__class_Osize(tc_Lazy__Sequence_Olazy__sequence(T_a)))),c_Groups_Oone__class_Oone(tc_Nat_Onat))))),hAPP(c_Lazy__Sequence_Oyield(T_a),V_xq_2)) )).

fof(fact_transfer__morphism__int__nat,axiom,(
    c_Nat__Transfer_Otransfer__morphism(tc_Nat_Onat,tc_Int_Oint,c_Nat_Osemiring__1__class_Oof__nat(tc_Int_Oint),hAPP(c_COMBK(tc_HOL_Obool,tc_Nat_Onat),c_fTrue)) )).

fof(fact_eq__int__code_I11_J,axiom,(
    ! [V_k1] : ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit0(V_k1)),c_Int_OMin)) )).

fof(fact_eq__int__code_I7_J,axiom,(
    ! [V_k2] : ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OMin),c_Int_OBit0(V_k2))) )).

fof(fact_eq__int__code_I13_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit0(V_k1_2)),c_Int_OBit0(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_eq__int__code_I16_J,axiom,(
    ! [V_k2_2,V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit1(V_k1_2)),c_Int_OBit1(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),V_k1_2),V_k2_2)) ) )).

fof(fact_eq__int__code_I1_J,axiom,(
    hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OPls),c_Int_OPls)) )).

fof(fact_eq__number__of__int__code,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_k_2)),hAPP(c_Int_Onumber__class_Onumber__of(tc_Int_Oint),V_l_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),V_k_2),V_l_2)) ) )).

fof(fact_eq__int__code_I6_J,axiom,(
    hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OMin),c_Int_OMin)) )).

fof(fact_eq__int__code_I10_J,axiom,(
    ! [V_k1] : ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit1(V_k1)),c_Int_OPls)) )).

fof(fact_eq__int__code_I4_J,axiom,(
    ! [V_k2] : ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OPls),c_Int_OBit1(V_k2))) )).

fof(fact_equal__int__def,axiom,(
    ! [V_l_2,V_k_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),V_k_2),V_l_2))
    <=> hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Int_Oint),V_k_2),V_l_2) = c_Groups_Ozero__class_Ozero(tc_Int_Oint) ) )).

fof(fact_eq__int__code_I15_J,axiom,(
    ! [V_k2,V_k1] : ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit1(V_k1)),c_Int_OBit0(V_k2))) )).

fof(fact_eq__int__code_I14_J,axiom,(
    ! [V_k2,V_k1] : ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit0(V_k1)),c_Int_OBit1(V_k2))) )).

fof(fact_eq__int__code_I9_J,axiom,(
    ! [V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit0(V_k1_2)),c_Int_OPls))
    <=> hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),V_k1_2),c_Int_OPls)) ) )).

fof(fact_eq__int__code_I3_J,axiom,(
    ! [V_k2_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OPls),c_Int_OBit0(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OPls),V_k2_2)) ) )).

fof(fact_eq__int__code_I12_J,axiom,(
    ! [V_k1_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OBit1(V_k1_2)),c_Int_OMin))
    <=> hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),V_k1_2),c_Int_OMin)) ) )).

fof(fact_eq__int__code_I8_J,axiom,(
    ! [V_k2_2] :
      ( hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OMin),c_Int_OBit1(V_k2_2)))
    <=> hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OMin),V_k2_2)) ) )).

fof(fact_eq__int__code_I2_J,axiom,(
    ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OPls),c_Int_OMin)) )).

fof(fact_eq__int__code_I5_J,axiom,(
    ~ hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),c_Int_OMin),c_Int_OPls)) )).

fof(fact_lazy__sequence__size__code,axiom,(
    ! [V_xq_2,V_s_2,T_a] : hAPP(c_Lazy__Sequence_Olazy__sequence_Olazy__sequence__size(T_a,V_s_2),V_xq_2) = hAPP(c_Option_Ooption_Ooption__case(tc_Nat_Onat,tc_prod(T_a,tc_Lazy__Sequence_Olazy__sequence(T_a)),c_Groups_Ozero__class_Ozero(tc_Nat_Onat),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat),hAPP(hAPP(c_COMBC(T_a,tc_Nat_Onat,tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_fun(tc_Nat_Onat,tc_Nat_Onat)),tc_fun(tc_Nat_Onat,tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat)),T_a),c_COMBC(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat,tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat),tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_fun(tc_Nat_Onat,tc_Nat_Onat)),T_a),hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_Lazy__Sequence_Olazy__sequence(T_a)),c_Groups_Oplus__class_Oplus(tc_Nat_Onat))),hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat),tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat)),hAPP(hAPP(c_COMBB(tc_fun(tc_Nat_Onat,tc_Nat_Onat),tc_fun(tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat),tc_fun(tc_Lazy__Sequence_Olazy__sequence(T_a),tc_Nat_Onat)),T_a),c_COMBB(tc_Nat_Onat,tc_Nat_Onat,tc_Lazy__Sequence_Olazy__sequence(T_a))),hAPP(hAPP(c_COMBB(tc_Nat_Onat,tc_fun(tc_Nat_Onat,tc_Nat_Onat),T_a),c_Groups_Oplus__class_Oplus(tc_Nat_Onat)),V_s_2))),c_Lazy__Sequence_Olazy__sequence_Olazy__sequence__size(T_a,V_s_2))))),c_Groups_Oone__class_Oone(tc_Nat_Onat)))),hAPP(c_Lazy__Sequence_Oyield(T_a),V_xq_2)) )).

fof(fact_seq__case,axiom,(
    ! [V_xq_2,V_g_2,V_f_2,T_b,T_a] : c_Lazy__Sequence_Olazy__sequence_Olazy__sequence__case(T_a,T_b,V_f_2,V_g_2,V_xq_2) = hAPP(c_Option_Ooption_Ooption__case(T_a,tc_prod(T_b,tc_Lazy__Sequence_Olazy__sequence(T_b)),V_f_2,hAPP(c_Product__Type_Oprod_Oprod__case(T_b,tc_Lazy__Sequence_Olazy__sequence(T_b),T_a),V_g_2)),hAPP(c_Lazy__Sequence_Oyield(T_b),V_xq_2)) )).

fof(fact_eq__int__refl,axiom,(
    ! [V_k] : hBOOL(hAPP(hAPP(c_HOL_Oequal__class_Oequal(tc_Int_Oint),V_k),V_k)) )).

fof(fact_yieldn__def,axiom,(
    ! [T_a] : c_Lazy__Sequence_Oyieldn(T_a) = c_Lazy__Sequence_Oanamorph(tc_Lazy__Sequence_Olazy__sequence(T_a),T_a,c_Lazy__Sequence_Oyield(T_a)) )).

fof(fact_lazy__sequence_Osize_I2_J,axiom,(
    ! [V_lazy__sequence_2,V_a_2,V_fa_2,T_a] : hAPP(c_Lazy__Sequence_Olazy__sequence_Olazy__sequence__size(T_a,V_fa_2),c_Lazy__Sequence_Olazy__sequence_OInsert(T_a,V_a_2,V_lazy__sequence_2)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(V_fa_2,V_a_2)),hAPP(c_Lazy__Sequence_Olazy__sequence_Olazy__sequence__size(T_a,V_fa_2),V_lazy__sequence_2))),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_lazy__sequence_Osimps_I5_J,axiom,(
    ! [V_lazy__sequence_2,V_a_2,V_f2_2,V_f1_2,T_b,T_a] : c_Lazy__Sequence_Olazy__sequence_Olazy__sequence__case(T_a,T_b,V_f1_2,V_f2_2,c_Lazy__Sequence_Olazy__sequence_OInsert(T_b,V_a_2,V_lazy__sequence_2)) = hAPP(hAPP(V_f2_2,V_a_2),V_lazy__sequence_2) )).

fof(fact_lazy__sequence_Oinject,axiom,(
    ! [V_lazy__sequence_H_2,V_a_H_2,V_lazy__sequence_2,V_a_2,T_a] :
      ( c_Lazy__Sequence_Olazy__sequence_OInsert(T_a,V_a_2,V_lazy__sequence_2) = c_Lazy__Sequence_Olazy__sequence_OInsert(T_a,V_a_H_2,V_lazy__sequence_H_2)
    <=> ( V_a_2 = V_a_H_2
        & V_lazy__sequence_2 = V_lazy__sequence_H_2 ) ) )).

fof(fact__01,axiom,(
    ! [V_xq,V_x,T_a] : hAPP(c_Lazy__Sequence_Oyield(T_a),c_Lazy__Sequence_Olazy__sequence_OInsert(T_a,V_x,V_xq)) = hAPP(c_Option_Ooption_OSome(tc_prod(T_a,tc_Lazy__Sequence_Olazy__sequence(T_a))),hAPP(hAPP(c_Product__Type_OPair(T_a,tc_Lazy__Sequence_Olazy__sequence(T_a)),V_x),V_xq)) )).

fof(fact_lazy__sequence_Osize_I4_J,axiom,(
    ! [V_lazy__sequence,V_a,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_Lazy__Sequence_Olazy__sequence(T_a)),c_Lazy__Sequence_Olazy__sequence_OInsert(T_a,V_a,V_lazy__sequence)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_Lazy__Sequence_Olazy__sequence(T_a)),V_lazy__sequence)),hAPP(c_Nat_OSuc,c_Groups_Ozero__class_Ozero(tc_Nat_Onat))) )).

fof(fact_New__DSequence_Oneg__decr__bind__def,axiom,(
    ! [V_f_2,V_x_2,T_a,T_b,V_i_2] :
      ( ( V_i_2 = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(c_New__DSequence_Oneg__decr__bind(T_b,T_a,V_x_2,V_f_2),V_i_2) = c_Lazy__Sequence_Ohit__bound(T_a) )
      & ( V_i_2 != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(c_New__DSequence_Oneg__decr__bind(T_b,T_a,V_x_2,V_f_2),V_i_2) = c_Lazy__Sequence_Ohb__bind(T_b,T_a,hAPP(V_x_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_i_2),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a))),V_f_2),V_i_2)) ) ) )).

fof(fact_New__DSequence_Opos__decr__bind__def,axiom,(
    ! [V_f_2,V_x_2,T_a,T_b,V_i_2] :
      ( ( V_i_2 = c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(c_New__DSequence_Opos__decr__bind(T_b,T_a,V_x_2,V_f_2),V_i_2) = c_Lazy__Sequence_Oempty(T_a) )
      & ( V_i_2 != c_Groups_Ozero__class_Ozero(tc_Code__Numeral_Ocode__numeral)
       => hAPP(c_New__DSequence_Opos__decr__bind(T_b,T_a,V_x_2,V_f_2),V_i_2) = hAPP(c_Lazy__Sequence_Obind(T_b,T_a,hAPP(V_x_2,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Code__Numeral_Ocode__numeral),V_i_2),c_Groups_Oone__class_Oone(tc_Code__Numeral_Ocode__numeral)))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a)),V_f_2),V_i_2)) ) ) )).

fof(fact_New__Random__Sequence_Oneg__decr__bind__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,V_f_2,V_R_2,T_a,T_b] : c_New__Random__Sequence_Oneg__decr__bind(T_b,T_a,V_R_2,V_f_2,V_nrandom_2,V_size_2,V_seed_2) = c_New__DSequence_Oneg__decr__bind(T_b,T_a,hAPP(hAPP(hAPP(V_R_2,V_nrandom_2),V_size_2),V_seed_2),hAPP(hAPP(c_COMBC(T_b,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a)))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a))))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a)))))),V_f_2),V_nrandom_2)),V_size_2)),V_seed_2)) )).

fof(fact_New__Random__Sequence_Opos__decr__bind__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,V_f_2,V_R_2,T_a,T_b] : c_New__Random__Sequence_Opos__decr__bind(T_b,T_a,V_R_2,V_f_2,V_nrandom_2,V_size_2,V_seed_2) = c_New__DSequence_Opos__decr__bind(T_b,T_a,hAPP(hAPP(hAPP(V_R_2,V_nrandom_2),V_size_2),V_seed_2),hAPP(hAPP(c_COMBC(T_b,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a)))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a))))),V_f_2),V_nrandom_2)),V_size_2)),V_seed_2)) )).

fof(fact_New__DSequence_Oneg__bind__def,axiom,(
    ! [V_i_2,V_f_2,V_x_2,T_a,T_b] : hAPP(c_New__DSequence_Oneg__bind(T_b,T_a,V_x_2,V_f_2),V_i_2) = c_Lazy__Sequence_Ohb__bind(T_b,T_a,hAPP(V_x_2,V_i_2),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a))),V_f_2),V_i_2)) )).

fof(fact_New__DSequence_Opos__empty__def,axiom,(
    ! [V_i_1,T_a] : hAPP(c_New__DSequence_Opos__empty(T_a),V_i_1) = c_Lazy__Sequence_Oempty(T_a) )).

fof(fact_pos__empty__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,T_a] : c_New__Random__Sequence_Opos__empty(T_a,V_nrandom_2,V_size_2,V_seed_2) = c_New__DSequence_Opos__empty(T_a) )).

fof(fact_neg__bind__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,V_f_2,V_R_2,T_a,T_b] : hAPP(hAPP(hAPP(c_New__Random__Sequence_Oneg__bind(T_b,T_a,V_R_2,V_f_2),V_nrandom_2),V_size_2),V_seed_2) = c_New__DSequence_Oneg__bind(T_b,T_a,hAPP(hAPP(hAPP(V_R_2,V_nrandom_2),V_size_2),V_seed_2),hAPP(hAPP(c_COMBC(T_b,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a)))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a))))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a)))))),V_f_2),V_nrandom_2)),V_size_2)),V_seed_2)) )).

fof(fact_New__DSequence_Opos__bind__def,axiom,(
    ! [V_i_2,V_f_2,V_x_2,T_a,T_b] : hAPP(c_New__DSequence_Opos__bind(T_b,T_a,V_x_2,V_f_2),V_i_2) = hAPP(c_Lazy__Sequence_Obind(T_b,T_a,hAPP(V_x_2,V_i_2)),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a)),V_f_2),V_i_2)) )).

fof(fact_neg__map__def,axiom,(
    ! [V_P_2,V_f_2,T_a,T_b] : c_New__Random__Sequence_Oneg__map(T_b,T_a,V_f_2,V_P_2) = c_New__Random__Sequence_Oneg__bind(T_b,T_a,V_P_2,hAPP(c_Fun_Ocomp(T_a,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(tc_Option_Ooption(T_a)))))),T_b,c_New__Random__Sequence_Oneg__single(T_a)),V_f_2)) )).

fof(fact_neg__single__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,V_x_2,T_a] : hAPP(hAPP(hAPP(hAPP(c_New__Random__Sequence_Oneg__single(T_a),V_x_2),V_nrandom_2),V_size_2),V_seed_2) = c_New__DSequence_Oneg__single(T_a,V_x_2) )).

fof(fact_pos__bind__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,V_f_2,V_R_2,T_a,T_b] : hAPP(hAPP(hAPP(c_New__Random__Sequence_Opos__bind(T_b,T_a,V_R_2,V_f_2),V_nrandom_2),V_size_2),V_seed_2) = c_New__DSequence_Opos__bind(T_b,T_a,hAPP(hAPP(hAPP(V_R_2,V_nrandom_2),V_size_2),V_seed_2),hAPP(hAPP(c_COMBC(T_b,tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a)))),hAPP(hAPP(c_COMBC(T_b,tc_Code__Numeral_Ocode__numeral,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a))))),V_f_2),V_nrandom_2)),V_size_2)),V_seed_2)) )).

fof(fact_New__DSequence_Oneg__single__def,axiom,(
    ! [V_i_1,V_x,T_a] : hAPP(c_New__DSequence_Oneg__single(T_a,V_x),V_i_1) = c_Lazy__Sequence_Ohb__single(T_a,V_x) )).

fof(fact_pos__map__def,axiom,(
    ! [V_P_2,V_f_2,T_a,T_b] : c_New__Random__Sequence_Opos__map(T_b,T_a,V_f_2,V_P_2) = c_New__Random__Sequence_Opos__bind(T_b,T_a,V_P_2,hAPP(c_Fun_Ocomp(T_a,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_Code__Numeral_Ocode__numeral,tc_fun(tc_prod(tc_Code__Numeral_Ocode__numeral,tc_Code__Numeral_Ocode__numeral),tc_fun(tc_Code__Numeral_Ocode__numeral,tc_Lazy__Sequence_Olazy__sequence(T_a))))),T_b,c_New__Random__Sequence_Opos__single(T_a)),V_f_2)) )).

fof(fact_pos__single__def,axiom,(
    ! [V_seed_2,V_size_2,V_nrandom_2,V_x_2,T_a] : hAPP(hAPP(hAPP(hAPP(c_New__Random__Sequence_Opos__single(T_a),V_x_2),V_nrandom_2),V_size_2),V_seed_2) = c_New__DSequence_Opos__single(T_a,V_x_2) )).

fof(fact_length__splice,axiom,(
    ! [V_ys,V_xs,T_a] : hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),c_List_Osplice(T_a,V_xs,V_ys)) = hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_xs)),hAPP(c_Nat_Osize__class_Osize(tc_List_Olist(T_a)),V_ys)) )).

fof(fact_splice_Osimps_I3_J,axiom,(
    ! [V_ys,V_y,V_xs,V_x,T_a] : c_List_Osplice(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),V_ys)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Olist_OCons(T_a),V_y),c_List_Osplice(T_a,V_xs,V_ys))) )).

fof(fact_splice_Osimps_I1_J,axiom,(
    ! [V_ys,T_a] : c_List_Osplice(T_a,c_List_Olist_ONil(T_a),V_ys) = V_ys )).

fof(fact_splice__Nil2,axiom,(
    ! [V_xs,T_a] : c_List_Osplice(T_a,V_xs,c_List_Olist_ONil(T_a)) = V_xs )).

fof(fact_splice_Osimps_I2_J,axiom,(
    ! [V_va,V_v,T_a] : c_List_Osplice(T_a,hAPP(hAPP(c_List_Olist_OCons(T_a),V_v),V_va),c_List_Olist_ONil(T_a)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_v),V_va) )).

fof(fact_New__DSequence_Opos__single__def,axiom,(
    ! [V_i_1,V_x,T_a] : hAPP(c_New__DSequence_Opos__single(T_a,V_x),V_i_1) = hAPP(c_Lazy__Sequence_Osingle(T_a),V_x) )).

fof(fact_acyclicP__converse,axiom,(
    ! [V_r_2,T_a] :
      ( c_Wellfounded_Oacyclic(T_a,hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),c_Predicate_Oconversep(T_a,T_a,V_r_2))))
    <=> c_Wellfounded_Oacyclic(T_a,hAPP(c_Set_OCollect(tc_prod(T_a,T_a)),hAPP(c_Product__Type_Oprod_Oprod__case(T_a,T_a,tc_HOL_Obool),V_r_2))) ) )).

fof(fact_converse__meet,axiom,(
    ! [V_s_2,V_r_2,T_a,T_b] : c_Predicate_Oconversep(T_b,T_a,hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool))),V_r_2),V_s_2)) = hAPP(hAPP(c_Lattices_Osemilattice__inf__class_Oinf(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),c_Predicate_Oconversep(T_b,T_a,V_r_2)),c_Predicate_Oconversep(T_b,T_a,V_s_2)) )).

fof(fact_conversep__noteq,axiom,(
    ! [V_y_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_Predicate_Oconversep(T_a,T_a,hAPP(hAPP(c_COMBB(tc_fun(T_a,tc_HOL_Obool),tc_fun(T_a,tc_HOL_Obool),T_a),hAPP(c_COMBB(tc_HOL_Obool,tc_HOL_Obool,T_a),c_fNot)),c_fequal)),V_x_2),V_y_2))
    <=> V_x_2 != V_y_2 ) )).

fof(fact_conversepD,axiom,(
    ! [V_b_2,V_a_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Predicate_Oconversep(T_a,T_b,V_r_2),V_a_2),V_b_2))
     => hBOOL(hAPP(hAPP(V_r_2,V_b_2),V_a_2)) ) )).

fof(fact_conversep_Ointros,axiom,(
    ! [T_b,T_a,V_b_2,V_a_2,V_r_2] :
      ( hBOOL(hAPP(hAPP(V_r_2,V_a_2),V_b_2))
     => hBOOL(hAPP(hAPP(c_Predicate_Oconversep(T_a,T_b,V_r_2),V_b_2),V_a_2)) ) )).

fof(fact_conversep_Oequations,axiom,(
    ! [V_a1_2,V_a2_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Predicate_Oconversep(T_a,T_b,V_r_2),V_a2_2),V_a1_2))
    <=> hBOOL(hAPP(hAPP(V_r_2,V_a1_2),V_a2_2)) ) )).

fof(fact_conversep__iff,axiom,(
    ! [V_b_2,V_a_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Predicate_Oconversep(T_a,T_b,V_r_2),V_a_2),V_b_2))
    <=> hBOOL(hAPP(hAPP(V_r_2,V_b_2),V_a_2)) ) )).

fof(fact_conversep__conversep,axiom,(
    ! [V_r_2,T_a,T_b] : c_Predicate_Oconversep(T_b,T_a,c_Predicate_Oconversep(T_a,T_b,V_r_2)) = V_r_2 )).

fof(fact_conversep__eq,axiom,(
    ! [T_a] : c_Predicate_Oconversep(T_a,T_a,c_fequal) = c_fequal )).

fof(fact_converse__pred__comp,axiom,(
    ! [V_s_2,V_r_2,T_c,T_a,T_b] : c_Predicate_Oconversep(T_b,T_a,c_Predicate_Opred__comp(T_b,T_c,T_a,V_r_2,V_s_2)) = c_Predicate_Opred__comp(T_a,T_c,T_b,c_Predicate_Oconversep(T_c,T_a,V_s_2),c_Predicate_Oconversep(T_b,T_c,V_r_2)) )).

fof(fact_converse__join,axiom,(
    ! [V_s_2,V_r_2,T_a,T_b] : c_Predicate_Oconversep(T_b,T_a,hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_b,tc_fun(T_a,tc_HOL_Obool))),V_r_2),V_s_2)) = hAPP(hAPP(c_Lattices_Osemilattice__sup__class_Osup(tc_fun(T_a,tc_fun(T_b,tc_HOL_Obool))),c_Predicate_Oconversep(T_b,T_a,V_r_2)),c_Predicate_Oconversep(T_b,T_a,V_s_2)) )).

fof(fact_conversep__converse__eq,axiom,(
    ! [V_y_2,V_x_2,V_r_2,T_b,T_a] :
      ( hBOOL(hAPP(hAPP(c_Predicate_Oconversep(T_a,T_b,hAPP(hAPP(c_COMBC(T_a,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_fun(T_b,tc_HOL_Obool)),T_a),c_COMBC(T_b,tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool)),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_fun(tc_fun(tc_prod(T_a,T_b),tc_HOL_Obool),tc_HOL_Obool),T_b),c_member(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))),V_r_2)),V_x_2),V_y_2))
    <=> hBOOL(hAPP(hAPP(c_member(tc_prod(T_b,T_a)),hAPP(hAPP(c_Product__Type_OPair(T_b,T_a),V_x_2),V_y_2)),hAPP(c_Relation_Oconverse(T_a,T_b),V_r_2))) ) )).

fof(fact__02,axiom,(
    ! [V_s2_2,V_s1_2,T_b,T_a] : c_Lazy__Sequence_Oproduct(T_a,T_b,V_s1_2,V_s2_2) = hAPP(c_Lazy__Sequence_Obind(T_a,tc_prod(T_a,T_b),V_s1_2),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_Lazy__Sequence_Olazy__sequence(tc_prod(T_a,T_b))),tc_Lazy__Sequence_Olazy__sequence(tc_prod(T_a,T_b)),T_a),c_Lazy__Sequence_Obind(T_b,tc_prod(T_a,T_b),V_s2_2)),hAPP(hAPP(c_COMBB(tc_fun(T_b,tc_prod(T_a,T_b)),tc_fun(T_b,tc_Lazy__Sequence_Olazy__sequence(tc_prod(T_a,T_b))),T_a),hAPP(c_COMBB(tc_prod(T_a,T_b),tc_Lazy__Sequence_Olazy__sequence(tc_prod(T_a,T_b)),T_b),c_Lazy__Sequence_Osingle(tc_prod(T_a,T_b)))),c_Product__Type_OPair(T_a,T_b)))) )).

fof(fact_tl__replicate,axiom,(
    ! [V_x,T_a,V_n] :
      ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
     => hAPP(c_List_Otl(T_a),c_List_Oreplicate(T_a,V_n,V_x)) = c_List_Oreplicate(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_n),c_Groups_Oone__class_Oone(tc_Nat_Onat)),V_x) ) )).

fof(fact_zip__replicate,axiom,(
    ! [V_y,V_j,V_x,V_i,T_b,T_a] : hAPP(hAPP(c_List_Ozip(T_a,T_b),c_List_Oreplicate(T_a,V_i,V_x)),c_List_Oreplicate(T_b,V_j,V_y)) = c_List_Oreplicate(tc_prod(T_a,T_b),hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_i),V_j),hAPP(hAPP(c_Product__Type_OPair(T_a,T_b),V_x),V_y)) )).

fof(fact_replicate__app__Cons__same,axiom,(
    ! [V_xs,V_x,V_n,T_a] : hAPP(hAPP(c_List_Oappend(T_a),c_List_Oreplicate(T_a,V_n,V_x)),hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),V_xs)) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),hAPP(hAPP(c_List_Oappend(T_a),c_List_Oreplicate(T_a,V_n,V_x)),V_xs)) )).

fof(fact_replicate__Suc,axiom,(
    ! [V_x,V_n,T_a] : c_List_Oreplicate(T_a,hAPP(c_Nat_OSuc,V_n),V_x) = hAPP(hAPP(c_List_Olist_OCons(T_a),V_x),c_List_Oreplicate(T_a,V_n,V_x)) )).

fof(fact_rev__replicate,axiom,(
    ! [V_x,V_n,T_a] : hAPP(c_List_Orev(T_a),c_List_Oreplicate(T_a,V_n,V_x)) = c_List_Oreplicate(T_a,V_n,V_x) )).

fof(fact_last__replicate,axiom,(
    ! [V_x,T_a,V_n] :
      ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
     => c_List_Olast(T_a,c_List_Oreplicate(T_a,V_n,V_x)) = V_x ) )).

fof(fact_drop__replicate,axiom,(
    ! [V_x,V_k,V_i,T_a] : hAPP(hAPP(c_List_Odrop(T_a),V_i),c_List_Oreplicate(T_a,V_k,V_x)) = c_List_Oreplicate(T_a,hAPP(hAPP(c_Groups_Ominus__class_Ominus(tc_Nat_Onat),V_k),V_i),V_x) )).

fof(fact_hd__replicate,axiom,(
    ! [V_x,T_a,V_n] :
      ( V_n != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
     => hAPP(c_List_Ohd(T_a),c_List_Oreplicate(T_a,V_n,V_x)) = V_x ) )).

fof(fact_take__replicate,axiom,(
    ! [V_x,V_k,V_i,T_a] : hAPP(hAPP(c_List_Otake(T_a),V_i),c_List_Oreplicate(T_a,V_k,V_x)) = c_List_Oreplicate(T_a,hAPP(hAPP(c_Orderings_Oord__class_Omin(tc_Nat_Onat),V_i),V_k),V_x) )).

fof(fact_Bex__set__replicate,axiom,(
    ! [V_P_2,V_a_2,V_n_2,T_a] :
      ( ? [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),c_List_Oreplicate(T_a,V_n_2,V_a_2))))
          & hBOOL(hAPP(V_P_2,B_x)) )
    <=> ( hBOOL(hAPP(V_P_2,V_a_2))
        & V_n_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_Ball__set__replicate,axiom,(
    ! [V_P_2,V_a_2,V_n_2,T_a] :
      ( ! [B_x] :
          ( hBOOL(hAPP(hAPP(c_member(T_a),B_x),hAPP(c_List_Oset(T_a),c_List_Oreplicate(T_a,V_n_2,V_a_2))))
         => hBOOL(hAPP(V_P_2,B_x)) )
    <=> ( hBOOL(hAPP(V_P_2,V_a_2))
        | V_n_2 = c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_replicate__eq__replicate,axiom,(
    ! [V_y_2,V_n_2,V_x_2,V_m_2,T_a] :
      ( c_List_Oreplicate(T_a,V_m_2,V_x_2) = c_List_Oreplicate(T_a,V_n_2,V_y_2)
    <=> ( V_m_2 = V_n_2
        & ( V_m_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat)
         => V_x_2 = V_y_2 ) ) ) )).

fof(fact_nth__replicate,axiom,(
    ! [V_x,T_a,V_n,V_i] :
      ( hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless(tc_Nat_Onat),V_i),V_n))
     => hAPP(hAPP(c_List_Onth(T_a),c_List_Oreplicate(T_a,V_n,V_x)),V_i) = V_x ) )).

fof(fact_in__set__replicate,axiom,(
    ! [V_y_2,V_n_2,V_x_2,T_a] :
      ( hBOOL(hAPP(hAPP(c_member(T_a),V_x_2),hAPP(c_List_Oset(T_a),c_List_Oreplicate(T_a,V_n_2,V_y_2))))
    <=> ( V_x_2 = V_y_2
        & V_n_2 != c_Groups_Ozero__class_Ozero(tc_Nat_Onat) ) ) )).

fof(fact_append__replicate__commute,axiom,(
    ! [V_k,V_x,V_n,T_a] : hAPP(hAPP(c_List_Oappend(T_a),c_List_Oreplicate(T_a,V_n,V_x)),c_List_Oreplicate(T_a,V_k,V_x)) = hAPP(hAPP(c_List_Oappend(T_a),c_List_Oreplicate(T_a,V_k,V_x)),c_List_Oreplicate(T_a,V_n,V_x)) )).

fof(fact_replicate__add,axiom,(
    ! [V_x,V_m,V_n,T_a] : c_List_Oreplicate(T_a,hAPP(hAPP(c_Groups_Oplus__class_Oplus(tc_Nat_Onat),V_n),V_m),V_x) = hAPP(hAPP(c_List_Oappend(T_a),c_List_Oreplicate(T_a,V_n,V_x)),c_List_Oreplicate(T_a,V_m,V_x)) )).

fof(fact_filter__replicate,axiom,(
    ! [V_n_2,T_a,V_x_2,V_P_2] :
      ( ( hBOOL(hAPP(V_P_2,V_x_2))
       => hAPP(c_List_Ofilter(T_a,V_P_2),c_List_Oreplicate(T_a,V_n_2,V_x_2)) = c_List_Oreplicate(T_a,V_n_2,V_x_2) )
      & ( ~ hBOOL(hAPP(V_P_2,V_x_2))
       => hAPP(c_List_Ofilter(T_a,V_P_2),c_List_Oreplicate(T_a,V_n_2,V_x_2)) = c_List_Olist_ONil(T_a) ) ) )).

%----Arity declarations (231)
fof(arity_HOL__Obool__Lattices_Obounded__lattice,axiom,(
    class_Lattices_Obounded__lattice(tc_HOL_Obool) )).

fof(arity_fun__Lattices_Obounded__lattice,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Obounded__lattice(T_1)
     => class_Lattices_Obounded__lattice(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Complete__Lattice_Ocomplete__lattice,axiom,(
    ! [T_2,T_1] :
      ( class_Complete__Lattice_Ocomplete__lattice(T_1)
     => class_Complete__Lattice_Ocomplete__lattice(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Obounded__lattice__top,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Obounded__lattice(T_1)
     => class_Lattices_Obounded__lattice__top(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Obounded__lattice__bot,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Obounded__lattice(T_1)
     => class_Lattices_Obounded__lattice__bot(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Osemilattice__sup,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Olattice(T_1)
     => class_Lattices_Osemilattice__sup(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Osemilattice__inf,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Olattice(T_1)
     => class_Lattices_Osemilattice__inf(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Odistrib__lattice,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Odistrib__lattice(T_1)
     => class_Lattices_Odistrib__lattice(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Oboolean__algebra,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Oboolean__algebra(T_1)
     => class_Lattices_Oboolean__algebra(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Opreorder,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Opreorder(T_1)
     => class_Orderings_Opreorder(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Finite__Set_Ofinite,axiom,(
    ! [T_1,T_2] :
      ( ( class_Finite__Set_Ofinite(T_2)
        & class_Finite__Set_Ofinite(T_1) )
     => class_Finite__Set_Ofinite(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Lattices_Olattice,axiom,(
    ! [T_2,T_1] :
      ( class_Lattices_Olattice(T_1)
     => class_Lattices_Olattice(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Oorder,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Oorder(T_1)
     => class_Orderings_Oorder(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Otop,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Otop(T_1)
     => class_Orderings_Otop(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Oord,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Oord(T_1)
     => class_Orderings_Oord(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Orderings_Obot,axiom,(
    ! [T_2,T_1] :
      ( class_Orderings_Obot(T_1)
     => class_Orderings_Obot(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Groups_Ouminus,axiom,(
    ! [T_2,T_1] :
      ( class_Groups_Ouminus(T_1)
     => class_Groups_Ouminus(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Groups_Ominus,axiom,(
    ! [T_2,T_1] :
      ( class_Groups_Ominus(T_1)
     => class_Groups_Ominus(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__HOL_Oequal,axiom,(
    ! [T_1,T_2] :
      ( ( class_Enum_Oenum(T_2)
        & class_HOL_Oequal(T_1) )
     => class_HOL_Oequal(tc_fun(T_2,T_1)) ) )).

fof(arity_fun__Enum_Oenum,axiom,(
    ! [T_1,T_2] :
      ( ( class_Enum_Oenum(T_2)
        & class_Enum_Oenum(T_1) )
     => class_Enum_Oenum(tc_fun(T_2,T_1)) ) )).

fof(arity_Com__Ocom__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_Com_Ocom) )).

fof(arity_Com__Ocom__Nat_Osize,axiom,(
    class_Nat_Osize(tc_Com_Ocom) )).

fof(arity_Int__Oint__Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct,axiom,(
    class_Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oordered__cancel__ab__semigroup__add,axiom,(
    class_Groups_Oordered__cancel__ab__semigroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oordered__ab__semigroup__add__imp__le,axiom,(
    class_Groups_Oordered__ab__semigroup__add__imp__le(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__comm__semiring__strict,axiom,(
    class_Rings_Olinordered__comm__semiring__strict(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__semiring__1__strict,axiom,(
    class_Rings_Olinordered__semiring__1__strict(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Olinordered__ab__semigroup__add,axiom,(
    class_Groups_Olinordered__ab__semigroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__semiring__strict,axiom,(
    class_Rings_Olinordered__semiring__strict(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oordered__ab__semigroup__add,axiom,(
    class_Groups_Oordered__ab__semigroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oordered__ab__group__add__abs,axiom,(
    class_Groups_Oordered__ab__group__add__abs(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oordered__comm__monoid__add,axiom,(
    class_Groups_Oordered__comm__monoid__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Olinordered__ab__group__add,axiom,(
    class_Groups_Olinordered__ab__group__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ocancel__ab__semigroup__add,axiom,(
    class_Groups_Ocancel__ab__semigroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oring__1__no__zero__divisors,axiom,(
    class_Rings_Oring__1__no__zero__divisors(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oordered__cancel__semiring,axiom,(
    class_Rings_Oordered__cancel__semiring(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__ring__strict,axiom,(
    class_Rings_Olinordered__ring__strict(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oring__no__zero__divisors,axiom,(
    class_Rings_Oring__no__zero__divisors(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oordered__comm__semiring,axiom,(
    class_Rings_Oordered__comm__semiring(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__semiring__1,axiom,(
    class_Rings_Olinordered__semiring__1(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oordered__ab__group__add,axiom,(
    class_Groups_Oordered__ab__group__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ocancel__semigroup__add,axiom,(
    class_Groups_Ocancel__semigroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__semiring,axiom,(
    class_Rings_Olinordered__semiring(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__semidom,axiom,(
    class_Rings_Olinordered__semidom(tc_Int_Oint) )).

fof(arity_Int__Oint__Lattices_Osemilattice__sup,axiom,(
    class_Lattices_Osemilattice__sup(tc_Int_Oint) )).

fof(arity_Int__Oint__Lattices_Osemilattice__inf,axiom,(
    class_Lattices_Osemilattice__inf(tc_Int_Oint) )).

fof(arity_Int__Oint__Lattices_Odistrib__lattice,axiom,(
    class_Lattices_Odistrib__lattice(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oab__semigroup__mult,axiom,(
    class_Groups_Oab__semigroup__mult(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ocomm__monoid__mult,axiom,(
    class_Groups_Ocomm__monoid__mult(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oab__semigroup__add,axiom,(
    class_Groups_Oab__semigroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oordered__semiring,axiom,(
    class_Rings_Oordered__semiring(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oordered__ring__abs,axiom,(
    class_Rings_Oordered__ring__abs(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Ono__zero__divisors,axiom,(
    class_Rings_Ono__zero__divisors(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ocomm__monoid__add,axiom,(
    class_Groups_Ocomm__monoid__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__ring,axiom,(
    class_Rings_Olinordered__ring(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Olinordered__idom,axiom,(
    class_Rings_Olinordered__idom(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Ocomm__semiring__1,axiom,(
    class_Rings_Ocomm__semiring__1(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Osemigroup__add,axiom,(
    class_Groups_Osemigroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Divides_Osemiring__div,axiom,(
    class_Divides_Osemiring__div(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Ocomm__semiring,axiom,(
    class_Rings_Ocomm__semiring(tc_Int_Oint) )).

fof(arity_Int__Oint__Nat_Osemiring__char__0,axiom,(
    class_Nat_Osemiring__char__0(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oab__group__add,axiom,(
    class_Groups_Oab__group__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Ozero__neq__one,axiom,(
    class_Rings_Ozero__neq__one(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oordered__ring,axiom,(
    class_Rings_Oordered__ring(tc_Int_Oint) )).

fof(arity_Int__Oint__Orderings_Opreorder,axiom,(
    class_Orderings_Opreorder(tc_Int_Oint) )).

fof(arity_Int__Oint__Orderings_Olinorder,axiom,(
    class_Orderings_Olinorder(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Omonoid__mult,axiom,(
    class_Groups_Omonoid__mult(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Ocomm__ring__1,axiom,(
    class_Rings_Ocomm__ring__1(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Omonoid__add,axiom,(
    class_Groups_Omonoid__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Smallcheck_Osmall,axiom,(
    class_Smallcheck_Osmall(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Osemiring__1,axiom,(
    class_Rings_Osemiring__1(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Osemiring__0,axiom,(
    class_Rings_Osemiring__0(tc_Int_Oint) )).

fof(arity_Int__Oint__Lattices_Olattice,axiom,(
    class_Lattices_Olattice(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ogroup__add,axiom,(
    class_Groups_Ogroup__add(tc_Int_Oint) )).

fof(arity_Int__Oint__Divides_Oring__div,axiom,(
    class_Divides_Oring__div(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Omult__zero,axiom,(
    class_Rings_Omult__zero(tc_Int_Oint) )).

fof(arity_Int__Oint__Orderings_Oorder,axiom,(
    class_Orderings_Oorder(tc_Int_Oint) )).

fof(arity_Int__Oint__Int_Oring__char__0,axiom,(
    class_Int_Oring__char__0(tc_Int_Oint) )).

fof(arity_Int__Oint__Int_Onumber__ring,axiom,(
    class_Int_Onumber__ring(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Osemiring,axiom,(
    class_Rings_Osemiring(tc_Int_Oint) )).

fof(arity_Int__Oint__Orderings_Oord,axiom,(
    class_Orderings_Oord(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ouminus,axiom,(
    class_Groups_Ouminus(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Osgn__if,axiom,(
    class_Groups_Osgn__if(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oabs__if,axiom,(
    class_Groups_Oabs__if(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oring__1,axiom,(
    class_Rings_Oring__1(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ominus,axiom,(
    class_Groups_Ominus(tc_Int_Oint) )).

fof(arity_Int__Oint__Power_Opower,axiom,(
    class_Power_Opower(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Ozero,axiom,(
    class_Groups_Ozero(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oring,axiom,(
    class_Rings_Oring(tc_Int_Oint) )).

fof(arity_Int__Oint__Rings_Oidom,axiom,(
    class_Rings_Oidom(tc_Int_Oint) )).

fof(arity_Int__Oint__Int_Onumber,axiom,(
    class_Int_Onumber(tc_Int_Oint) )).

fof(arity_Int__Oint__Groups_Oone,axiom,(
    class_Groups_Oone(tc_Int_Oint) )).

fof(arity_Int__Oint__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_Int_Oint) )).

fof(arity_Nat__Onat__Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct,axiom,(
    class_Semiring__Normalization_Ocomm__semiring__1__cancel__crossproduct(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oordered__cancel__ab__semigroup__add,axiom,(
    class_Groups_Oordered__cancel__ab__semigroup__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oordered__ab__semigroup__add__imp__le,axiom,(
    class_Groups_Oordered__ab__semigroup__add__imp__le(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Olinordered__comm__semiring__strict,axiom,(
    class_Rings_Olinordered__comm__semiring__strict(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Olinordered__ab__semigroup__add,axiom,(
    class_Groups_Olinordered__ab__semigroup__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Olinordered__semiring__strict,axiom,(
    class_Rings_Olinordered__semiring__strict(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oordered__ab__semigroup__add,axiom,(
    class_Groups_Oordered__ab__semigroup__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oordered__comm__monoid__add,axiom,(
    class_Groups_Oordered__comm__monoid__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Ocancel__ab__semigroup__add,axiom,(
    class_Groups_Ocancel__ab__semigroup__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Oordered__cancel__semiring,axiom,(
    class_Rings_Oordered__cancel__semiring(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Oordered__comm__semiring,axiom,(
    class_Rings_Oordered__comm__semiring(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Ocancel__semigroup__add,axiom,(
    class_Groups_Ocancel__semigroup__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Olinordered__semiring,axiom,(
    class_Rings_Olinordered__semiring(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Olinordered__semidom,axiom,(
    class_Rings_Olinordered__semidom(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Lattices_Osemilattice__sup,axiom,(
    class_Lattices_Osemilattice__sup(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Lattices_Osemilattice__inf,axiom,(
    class_Lattices_Osemilattice__inf(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Lattices_Odistrib__lattice,axiom,(
    class_Lattices_Odistrib__lattice(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oab__semigroup__mult,axiom,(
    class_Groups_Oab__semigroup__mult(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Ocomm__monoid__mult,axiom,(
    class_Groups_Ocomm__monoid__mult(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oab__semigroup__add,axiom,(
    class_Groups_Oab__semigroup__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Oordered__semiring,axiom,(
    class_Rings_Oordered__semiring(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Ono__zero__divisors,axiom,(
    class_Rings_Ono__zero__divisors(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Ocomm__monoid__add,axiom,(
    class_Groups_Ocomm__monoid__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Ocomm__semiring__1,axiom,(
    class_Rings_Ocomm__semiring__1(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Osemigroup__add,axiom,(
    class_Groups_Osemigroup__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Divides_Osemiring__div,axiom,(
    class_Divides_Osemiring__div(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Ocomm__semiring,axiom,(
    class_Rings_Ocomm__semiring(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Owellorder,axiom,(
    class_Orderings_Owellorder(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Nat_Osemiring__char__0,axiom,(
    class_Nat_Osemiring__char__0(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Ozero__neq__one,axiom,(
    class_Rings_Ozero__neq__one(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Opreorder,axiom,(
    class_Orderings_Opreorder(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Olinorder,axiom,(
    class_Orderings_Olinorder(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Omonoid__mult,axiom,(
    class_Groups_Omonoid__mult(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Omonoid__add,axiom,(
    class_Groups_Omonoid__add(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Osemiring__1,axiom,(
    class_Rings_Osemiring__1(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Osemiring__0,axiom,(
    class_Rings_Osemiring__0(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Lattices_Olattice,axiom,(
    class_Lattices_Olattice(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Omult__zero,axiom,(
    class_Rings_Omult__zero(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Oorder,axiom,(
    class_Orderings_Oorder(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Rings_Osemiring,axiom,(
    class_Rings_Osemiring(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Oord,axiom,(
    class_Orderings_Oord(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Orderings_Obot,axiom,(
    class_Orderings_Obot(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Ominus,axiom,(
    class_Groups_Ominus(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Power_Opower,axiom,(
    class_Power_Opower(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Ozero,axiom,(
    class_Groups_Ozero(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Int_Onumber,axiom,(
    class_Int_Onumber(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Groups_Oone,axiom,(
    class_Groups_Oone(tc_Nat_Onat) )).

fof(arity_Nat__Onat__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_Nat_Onat) )).

fof(arity_Nat__Onat__Nat_Osize,axiom,(
    class_Nat_Osize(tc_Nat_Onat) )).

fof(arity_HOL__Obool__Complete__Lattice_Ocomplete__lattice,axiom,(
    class_Complete__Lattice_Ocomplete__lattice(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Obounded__lattice__top,axiom,(
    class_Lattices_Obounded__lattice__top(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Obounded__lattice__bot,axiom,(
    class_Lattices_Obounded__lattice__bot(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Osemilattice__sup,axiom,(
    class_Lattices_Osemilattice__sup(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Osemilattice__inf,axiom,(
    class_Lattices_Osemilattice__inf(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Odistrib__lattice,axiom,(
    class_Lattices_Odistrib__lattice(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Oboolean__algebra,axiom,(
    class_Lattices_Oboolean__algebra(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Opreorder,axiom,(
    class_Orderings_Opreorder(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Finite__Set_Ofinite,axiom,(
    class_Finite__Set_Ofinite(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Lattices_Olattice,axiom,(
    class_Lattices_Olattice(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Oorder,axiom,(
    class_Orderings_Oorder(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Otop,axiom,(
    class_Orderings_Otop(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Oord,axiom,(
    class_Orderings_Oord(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Orderings_Obot,axiom,(
    class_Orderings_Obot(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Groups_Ouminus,axiom,(
    class_Groups_Ouminus(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Groups_Ominus,axiom,(
    class_Groups_Ominus(tc_HOL_Obool) )).

fof(arity_HOL__Obool__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Enum_Oenum,axiom,(
    class_Enum_Oenum(tc_HOL_Obool) )).

fof(arity_HOL__Obool__Nat_Osize,axiom,(
    class_Nat_Osize(tc_HOL_Obool) )).

fof(arity_Com__Ostate__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_Com_Ostate) )).

fof(arity_Com__Ostate__Nat_Osize,axiom,(
    class_Nat_Osize(tc_Com_Ostate) )).

fof(arity_List__Olist__HOL_Oequal,axiom,(
    ! [T_1] : class_HOL_Oequal(tc_List_Olist(T_1)) )).

fof(arity_List__Olist__Nat_Osize,axiom,(
    ! [T_1] : class_Nat_Osize(tc_List_Olist(T_1)) )).

fof(arity_sum__Finite__Set_Ofinite,axiom,(
    ! [T_1,T_2] :
      ( ( class_Finite__Set_Ofinite(T_2)
        & class_Finite__Set_Ofinite(T_1) )
     => class_Finite__Set_Ofinite(tc_sum(T_2,T_1)) ) )).

fof(arity_sum__HOL_Oequal,axiom,(
    ! [T_1,T_2] : class_HOL_Oequal(tc_sum(T_2,T_1)) )).

fof(arity_sum__Enum_Oenum,axiom,(
    ! [T_1,T_2] :
      ( ( class_Enum_Oenum(T_2)
        & class_Enum_Oenum(T_1) )
     => class_Enum_Oenum(tc_sum(T_2,T_1)) ) )).

fof(arity_sum__Nat_Osize,axiom,(
    ! [T_1,T_2] : class_Nat_Osize(tc_sum(T_2,T_1)) )).

fof(arity_Option__Ooption__Finite__Set_Ofinite,axiom,(
    ! [T_1] :
      ( class_Finite__Set_Ofinite(T_1)
     => class_Finite__Set_Ofinite(tc_Option_Ooption(T_1)) ) )).

fof(arity_Option__Ooption__HOL_Oequal,axiom,(
    ! [T_1] : class_HOL_Oequal(tc_Option_Ooption(T_1)) )).

fof(arity_Option__Ooption__Enum_Oenum,axiom,(
    ! [T_1] :
      ( class_Enum_Oenum(T_1)
     => class_Enum_Oenum(tc_Option_Ooption(T_1)) ) )).

fof(arity_Option__Ooption__Nat_Osize,axiom,(
    ! [T_1] : class_Nat_Osize(tc_Option_Ooption(T_1)) )).

fof(arity_prod__Finite__Set_Ofinite,axiom,(
    ! [T_1,T_2] :
      ( ( class_Finite__Set_Ofinite(T_2)
        & class_Finite__Set_Ofinite(T_1) )
     => class_Finite__Set_Ofinite(tc_prod(T_2,T_1)) ) )).

fof(arity_prod__Smallcheck_Osmall,axiom,(
    ! [T_1,T_2] :
      ( ( class_Smallcheck_Osmall(T_2)
        & class_Smallcheck_Osmall(T_1) )
     => class_Smallcheck_Osmall(tc_prod(T_2,T_1)) ) )).

fof(arity_prod__HOL_Oequal,axiom,(
    ! [T_1,T_2] : class_HOL_Oequal(tc_prod(T_2,T_1)) )).

fof(arity_prod__Enum_Oenum,axiom,(
    ! [T_1,T_2] :
      ( ( class_Enum_Oenum(T_2)
        & class_Enum_Oenum(T_1) )
     => class_Enum_Oenum(tc_prod(T_2,T_1)) ) )).

fof(arity_prod__Nat_Osize,axiom,(
    ! [T_1,T_2] : class_Nat_Osize(tc_prod(T_2,T_1)) )).

fof(arity_Product____Type__Ounit__Finite__Set_Ofinite,axiom,(
    class_Finite__Set_Ofinite(tc_Product__Type_Ounit) )).

fof(arity_Product____Type__Ounit__Smallcheck_Osmall,axiom,(
    class_Smallcheck_Osmall(tc_Product__Type_Ounit) )).

fof(arity_Product____Type__Ounit__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_Product__Type_Ounit) )).

fof(arity_Product____Type__Ounit__Enum_Oenum,axiom,(
    class_Enum_Oenum(tc_Product__Type_Ounit) )).

fof(arity_Product____Type__Ounit__Nat_Osize,axiom,(
    class_Nat_Osize(tc_Product__Type_Ounit) )).

fof(arity_Code____Evaluation__Oterm__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_Code__Evaluation_Oterm) )).

fof(arity_Code____Evaluation__Oterm__Nat_Osize,axiom,(
    class_Nat_Osize(tc_Code__Evaluation_Oterm) )).

fof(arity_Hoare____Mirabelle__Otriple__HOL_Oequal,axiom,(
    ! [T_1] : class_HOL_Oequal(tc_Hoare__Mirabelle_Otriple(T_1)) )).

fof(arity_Hoare____Mirabelle__Otriple__Nat_Osize,axiom,(
    ! [T_1] : class_Nat_Osize(tc_Hoare__Mirabelle_Otriple(T_1)) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Oordered__cancel__ab__semigroup__add,axiom,(
    class_Groups_Oordered__cancel__ab__semigroup__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Oordered__ab__semigroup__add__imp__le,axiom,(
    class_Groups_Oordered__ab__semigroup__add__imp__le(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Olinordered__comm__semiring__strict,axiom,(
    class_Rings_Olinordered__comm__semiring__strict(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Olinordered__ab__semigroup__add,axiom,(
    class_Groups_Olinordered__ab__semigroup__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Olinordered__semiring__strict,axiom,(
    class_Rings_Olinordered__semiring__strict(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Oordered__ab__semigroup__add,axiom,(
    class_Groups_Oordered__ab__semigroup__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Oordered__comm__monoid__add,axiom,(
    class_Groups_Oordered__comm__monoid__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Ocancel__ab__semigroup__add,axiom,(
    class_Groups_Ocancel__ab__semigroup__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Oordered__cancel__semiring,axiom,(
    class_Rings_Oordered__cancel__semiring(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Oordered__comm__semiring,axiom,(
    class_Rings_Oordered__comm__semiring(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Ocancel__semigroup__add,axiom,(
    class_Groups_Ocancel__semigroup__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Olinordered__semiring,axiom,(
    class_Rings_Olinordered__semiring(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Olinordered__semidom,axiom,(
    class_Rings_Olinordered__semidom(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Oab__semigroup__mult,axiom,(
    class_Groups_Oab__semigroup__mult(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Ocomm__monoid__mult,axiom,(
    class_Groups_Ocomm__monoid__mult(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Oab__semigroup__add,axiom,(
    class_Groups_Oab__semigroup__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Oordered__semiring,axiom,(
    class_Rings_Oordered__semiring(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Ono__zero__divisors,axiom,(
    class_Rings_Ono__zero__divisors(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Ocomm__monoid__add,axiom,(
    class_Groups_Ocomm__monoid__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Ocomm__semiring__1,axiom,(
    class_Rings_Ocomm__semiring__1(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Osemigroup__add,axiom,(
    class_Groups_Osemigroup__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Divides_Osemiring__div,axiom,(
    class_Divides_Osemiring__div(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Ocomm__semiring,axiom,(
    class_Rings_Ocomm__semiring(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Nat_Osemiring__char__0,axiom,(
    class_Nat_Osemiring__char__0(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Ozero__neq__one,axiom,(
    class_Rings_Ozero__neq__one(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Orderings_Opreorder,axiom,(
    class_Orderings_Opreorder(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Orderings_Olinorder,axiom,(
    class_Orderings_Olinorder(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Omonoid__mult,axiom,(
    class_Groups_Omonoid__mult(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Omonoid__add,axiom,(
    class_Groups_Omonoid__add(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Osemiring__1,axiom,(
    class_Rings_Osemiring__1(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Osemiring__0,axiom,(
    class_Rings_Osemiring__0(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Omult__zero,axiom,(
    class_Rings_Omult__zero(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Orderings_Oorder,axiom,(
    class_Orderings_Oorder(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Rings_Osemiring,axiom,(
    class_Rings_Osemiring(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Orderings_Oord,axiom,(
    class_Orderings_Oord(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Ominus,axiom,(
    class_Groups_Ominus(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Power_Opower,axiom,(
    class_Power_Opower(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Ozero,axiom,(
    class_Groups_Ozero(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Int_Onumber,axiom,(
    class_Int_Onumber(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Groups_Oone,axiom,(
    class_Groups_Oone(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__HOL_Oequal,axiom,(
    class_HOL_Oequal(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Code____Numeral__Ocode____numeral__Nat_Osize,axiom,(
    class_Nat_Osize(tc_Code__Numeral_Ocode__numeral) )).

fof(arity_Lazy____Sequence__Olazy____sequence__HOL_Oequal,axiom,(
    ! [T_1] : class_HOL_Oequal(tc_Lazy__Sequence_Olazy__sequence(T_1)) )).

fof(arity_Lazy____Sequence__Olazy____sequence__Nat_Osize,axiom,(
    ! [T_1] : class_Nat_Osize(tc_Lazy__Sequence_Olazy__sequence(T_1)) )).

%----Helper facts (20)
fof(help_c__COMBI__1,axiom,(
    ! [V_P,T_a] : hAPP(c_COMBI(T_a),V_P) = V_P )).

fof(help_c__COMBK__1,axiom,(
    ! [V_Q,V_P,T_b,T_a] : hAPP(hAPP(c_COMBK(T_a,T_b),V_P),V_Q) = V_P )).

fof(help_c__COMBB__1,axiom,(
    ! [V_R_2,V_Q_2,V_P_2,T_c,T_a,T_b] : hAPP(hAPP(hAPP(c_COMBB(T_b,T_a,T_c),V_P_2),V_Q_2),V_R_2) = hAPP(V_P_2,hAPP(V_Q_2,V_R_2)) )).

fof(help_c__COMBC__1,axiom,(
    ! [V_R_2,V_Q_2,V_P_2,T_a,T_c,T_b] : hAPP(hAPP(hAPP(c_COMBC(T_b,T_c,T_a),V_P_2),V_Q_2),V_R_2) = hAPP(hAPP(V_P_2,V_R_2),V_Q_2) )).

fof(help_c__COMBS__1,axiom,(
    ! [V_R_2,V_Q_2,V_P_2,T_a,T_c,T_b] : hAPP(hAPP(hAPP(c_COMBS(T_b,T_c,T_a),V_P_2),V_Q_2),V_R_2) = hAPP(hAPP(V_P_2,V_R_2),hAPP(V_Q_2,V_R_2)) )).

fof(help_c__fequal__1,axiom,(
    ! [V_y_2,V_x_2] :
      ( ~ hBOOL(hAPP(hAPP(c_fequal,V_x_2),V_y_2))
      | V_x_2 = V_y_2 ) )).

fof(help_c__fequal__2,axiom,(
    ! [V_y_2,V_x_2] :
      ( V_x_2 != V_y_2
      | hBOOL(hAPP(hAPP(c_fequal,V_x_2),V_y_2)) ) )).

fof(help_c__fFalse__1,axiom,(
    ~ hBOOL(c_fFalse) )).

fof(help_c__fTrue__1,axiom,(
    hBOOL(c_fTrue) )).

fof(help_c__fNot__1,axiom,(
    ! [V_P_2] :
      ( ~ hBOOL(hAPP(c_fNot,V_P_2))
      | ~ hBOOL(V_P_2) ) )).

fof(help_c__fNot__2,axiom,(
    ! [V_P_2] :
      ( ~ ~ hBOOL(V_P_2)
      | hBOOL(hAPP(c_fNot,V_P_2)) ) )).

fof(help_c__fconj__1,axiom,(
    ! [V_Q_2,V_P_2] :
      ( ~ hBOOL(V_P_2)
      | ~ hBOOL(V_Q_2)
      | hBOOL(hAPP(hAPP(c_fconj,V_P_2),V_Q_2)) ) )).

fof(help_c__fconj__2,axiom,(
    ! [V_Q_2,V_P_2] :
      ( ~ hBOOL(hAPP(hAPP(c_fconj,V_P_2),V_Q_2))
      | hBOOL(V_P_2) ) )).

fof(help_c__fconj__3,axiom,(
    ! [V_Q_2,V_P_2] :
      ( ~ hBOOL(hAPP(hAPP(c_fconj,V_P_2),V_Q_2))
      | hBOOL(V_Q_2) ) )).

fof(help_c__fdisj__1,axiom,(
    ! [V_Q_2,V_P_2] :
      ( ~ hBOOL(V_P_2)
      | hBOOL(hAPP(hAPP(c_fdisj,V_P_2),V_Q_2)) ) )).

fof(help_c__fdisj__2,axiom,(
    ! [V_P_2,V_Q_2] :
      ( ~ hBOOL(V_Q_2)
      | hBOOL(hAPP(hAPP(c_fdisj,V_P_2),V_Q_2)) ) )).

fof(help_c__fdisj__3,axiom,(
    ! [V_Q_2,V_P_2] :
      ( ~ hBOOL(hAPP(hAPP(c_fdisj,V_P_2),V_Q_2))
      | hBOOL(V_P_2)
      | hBOOL(V_Q_2) ) )).

fof(help_c__fimplies__1,axiom,(
    ! [V_Q_2,V_P_2] :
      ( hBOOL(V_P_2)
      | hBOOL(hAPP(hAPP(c_fimplies,V_P_2),V_Q_2)) ) )).

fof(help_c__fimplies__2,axiom,(
    ! [V_P_2,V_Q_2] :
      ( ~ hBOOL(V_Q_2)
      | hBOOL(hAPP(hAPP(c_fimplies,V_P_2),V_Q_2)) ) )).

fof(help_c__fimplies__3,axiom,(
    ! [V_Q_2,V_P_2] :
      ( ~ hBOOL(hAPP(hAPP(c_fimplies,V_P_2),V_Q_2))
      | ~ hBOOL(V_P_2)
      | hBOOL(V_Q_2) ) )).

%----Conjectures (5)
fof(conj_0,hypothesis,(
    c_Hoare__Mirabelle_Ostate__not__singleton )).

fof(conj_1,hypothesis,(
    c_Com_OWT__bodies )).

fof(conj_2,hypothesis,(
    hBOOL(hAPP(hAPP(c_Orderings_Oord__class_Oless__eq(tc_fun(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_HOL_Obool)),v_F),hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),hAPP(hAPP(c_COMBB(tc_Com_Ocom,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_Com_Opname),c_Hoare__Mirabelle_OMGT),hAPP(hAPP(c_COMBB(tc_Option_Ooption(tc_Com_Ocom),tc_Com_Ocom,tc_Com_Opname),c_Option_Othe(tc_Com_Ocom)),c_Com_Obody))),c_Map_Odom(tc_Com_Opname,tc_Com_Ocom,c_Com_Obody)))) )).

fof(conj_3,hypothesis,(
    hBOOL(hAPP(c_Finite__Set_Ofinite(tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate)),v_F)) )).

fof(conj_4,conjecture,(
    c_Hoare__Mirabelle_Ohoare__derivs(tc_Com_Ostate,hAPP(c_Set_Oimage(tc_Com_Opname,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),hAPP(hAPP(c_COMBB(tc_Com_Ocom,tc_Hoare__Mirabelle_Otriple(tc_Com_Ostate),tc_Com_Opname),c_Hoare__Mirabelle_OMGT),c_Com_Ocom_OBODY)),c_Map_Odom(tc_Com_Opname,tc_Com_Ocom,c_Com_Obody)),v_F) )).

%------------------------------------------------------------------------------
