%------------------------------------------------------------------------------
% File     : LCL672+1.020 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logic Calculi (Modal Logic)
% Problem  : In S4, A5{box p0/p0} & box A5{~p0/p0} -> A5, size 20
% Version  : Especial.
% English  :

% Refs     : [BHS00] Balsiger et al. (2000), A Benchmark Method for the Pro
%          : [Kam08] Kaminski (2008), Email to G. Sutcliffe
% Source   : [Kam08]
% Names    : s4_45_p [BHS00]

% Status   : Theorem
% Rating   : 0.82 v6.1.0, 0.92 v6.0.0, 0.75 v5.5.0, 1.00 v5.4.0, 0.96 v5.3.0, 1.00 v5.2.0, 0.93 v5.0.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   1 unit)
%            Number of atoms       : 6684 (   0 equality)
%            Maximal formula depth :  228 (  79 average)
%            Number of connectives : 14303 (7622 ~  ;4939  |;1741  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   : 4025 (   0 singleton;4024 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_THM_RFO_NEQ

% Comments : A naive relational encoding of the modal logic problem into
%            first-order logic.
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : r1(X,X) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] :
      ( ( r1(X,Y)
        & r1(Y,Z) )
     => r1(X,Z) ) )).

fof(main,conjecture,(
    ~ ( ? [X] :
          ~ ( ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                              | ~ p1(X) ) ) ) )
                                                                                                                                                                                                                                                              & p1(X) ) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ! [Y] :
                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                      | p1(Y) ) ) ) ) ) )
                                                                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                              | p1(X) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                  | $false ) ) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                  | ~ p1(Y) ) ) ) )
                                                                                                                                                                                                                                                  & p1(Y) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ! [X] :
                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                  | p1(Y) ) ) ) ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                      | $false ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                      | ~ p1(X) ) ) ) )
                                                                                                                                                                                                                                      & p1(X) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ! [Y] :
                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                  | p1(X) ) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                      | p1(X) ) ) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                          | $false ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                          | ~ p1(Y) ) ) ) )
                                                                                                                                                                                                                          & p1(Y) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ! [X] :
                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                      | p1(Y) ) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                  | p1(X) ) ) ) ) ) )
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                          | p1(Y) ) ) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                              | $false ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                              | ~ p1(X) ) ) ) )
                                                                                                                                                                                                              & p1(X) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ! [Y] :
                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                      | p1(Y) ) ) ) ) ) )
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                              | p1(X) ) ) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p2(X) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                  | $false ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                  | ~ p1(Y) ) ) ) )
                                                                                                                                                                                                  & p1(Y) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ! [X] :
                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                  | p1(Y) ) ) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p2(Y) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                      | $false ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                      | ~ p1(X) ) ) ) )
                                                                                                                                                                                      & p1(X) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ! [Y] :
                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                  | p1(X) ) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                      | p1(X) ) ) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p2(X) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                          | $false ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                          | ~ p1(Y) ) ) ) )
                                                                                                                                                                          & p1(Y) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ! [X] :
                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                      | p1(Y) ) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                  | p1(X) ) ) ) ) ) )
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                          | p1(Y) ) ) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p2(Y) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                              | $false ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                              | ~ p1(X) ) ) ) )
                                                                                                                                                              & p1(X) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ! [Y] :
                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                      | p1(Y) ) ) ) ) ) )
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                              | p1(X) ) ) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p2(X) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                  | $false ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | p1(X) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                  | ~ p1(Y) ) ) ) )
                                                                                                                                                  & p1(Y) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ! [X] :
                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                  | p1(Y) ) ) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p2(Y) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                      | $false ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | p1(Y) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                      | ~ p1(X) ) ) ) )
                                                                                                                                      & p1(X) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ! [Y] :
                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                  | p1(X) ) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                      | p1(X) ) ) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p2(X) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                          | $false ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | p1(X) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                          | ~ p1(Y) ) ) ) )
                                                                                                                          & p1(Y) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ! [X] :
                                                                                                                          ( ~ r1(Y,X)
                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                      | p1(Y) ) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                  | p1(X) ) ) ) ) ) )
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                          | p1(Y) ) ) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p2(Y) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ! [X] :
                                                                                                                              ( ~ r1(Y,X)
                                                                                                                              | $false ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | p1(Y) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ! [X] :
                                                                                                                              ( ~ r1(Y,X)
                                                                                                                              | ~ p1(X) ) ) ) )
                                                                                                              & p1(X) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ! [Y] :
                                                                                                              ( ~ r1(X,Y)
                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                          ( ~ r1(Y,X)
                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                  & ~ ( ! [X] :
                                                                                                                          ( ~ r1(Y,X)
                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ! [X] :
                                                                                                                              ( ~ r1(Y,X)
                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                      | p1(Y) ) ) ) ) ) )
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ! [X] :
                                                                                                                              ( ~ r1(Y,X)
                                                                                                                              | p1(X) ) ) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p2(X) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ! [Y] :
                                                                                                                  ( ~ r1(X,Y)
                                                                                                                  | $false ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | p1(X) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ! [Y] :
                                                                                                                  ( ~ r1(X,Y)
                                                                                                                  | ~ p1(Y) ) ) ) )
                                                                                                  & p1(Y) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ! [X] :
                                                                                                  ( ~ r1(Y,X)
                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                              ( ~ r1(X,Y)
                                                                                                              | ~ ( ! [X] :
                                                                                                                      ( ~ r1(Y,X)
                                                                                                                      | p1(X) ) ) ) )
                                                                                                      & ~ ( ! [Y] :
                                                                                                              ( ~ r1(X,Y)
                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ! [Y] :
                                                                                                                  ( ~ r1(X,Y)
                                                                                                                  | ~ ( ! [X] :
                                                                                                                          ( ~ r1(Y,X)
                                                                                                                          | p1(X) ) ) ) ) ) )
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ! [Y] :
                                                                                                                  ( ~ r1(X,Y)
                                                                                                                  | p1(Y) ) ) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p2(Y) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ! [X] :
                                                                                                      ( ~ r1(Y,X)
                                                                                                      | $false ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | p1(Y) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ! [X] :
                                                                                                      ( ~ r1(Y,X)
                                                                                                      | ~ p1(X) ) ) ) )
                                                                                      & p1(X) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                  ( ~ r1(Y,X)
                                                                                                  | ~ ( ! [Y] :
                                                                                                          ( ~ r1(X,Y)
                                                                                                          | p1(Y) ) ) ) )
                                                                                          & ~ ( ! [X] :
                                                                                                  ( ~ r1(Y,X)
                                                                                                  | p1(X) ) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ! [X] :
                                                                                                      ( ~ r1(Y,X)
                                                                                                      | ~ ( ! [Y] :
                                                                                                              ( ~ r1(X,Y)
                                                                                                              | p1(Y) ) ) ) ) ) )
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ! [X] :
                                                                                                      ( ~ r1(Y,X)
                                                                                                      | p1(X) ) ) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p2(X) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ! [Y] :
                                                                                          ( ~ r1(X,Y)
                                                                                          | $false ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | p1(X) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ! [Y] :
                                                                                          ( ~ r1(X,Y)
                                                                                          | ~ p1(Y) ) ) ) )
                                                                          & p1(Y) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | ~ ( ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | ~ ( ! [X] :
                                                                                              ( ~ r1(Y,X)
                                                                                              | p1(X) ) ) ) )
                                                                              & ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | p1(Y) ) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ! [Y] :
                                                                                          ( ~ r1(X,Y)
                                                                                          | ~ ( ! [X] :
                                                                                                  ( ~ r1(Y,X)
                                                                                                  | p1(X) ) ) ) ) ) )
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ! [Y] :
                                                                                          ( ~ r1(X,Y)
                                                                                          | p1(Y) ) ) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | $false ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | ~ p1(X) ) ) ) )
                                                              & p1(X) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | ~ ( ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | ~ ( ! [Y] :
                                                                                  ( ~ r1(X,Y)
                                                                                  | p1(Y) ) ) ) )
                                                                  & ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | p1(X) ) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | p1(Y) ) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X) ) ) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | $false ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | ~ p1(Y) ) ) ) )
                                                  & p1(Y) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | ~ ( ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | ~ ( ! [X] :
                                                                      ( ~ r1(Y,X)
                                                                      | p1(X) ) ) ) )
                                                      & ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | p1(Y) ) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | p1(X) ) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y) ) ) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | $false ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | ~ p1(X) ) ) ) )
                                      & p1(X) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ~ ( ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | ~ ( ! [Y] :
                                                          ( ~ r1(X,Y)
                                                          | p1(Y) ) ) ) )
                                          & ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p1(X) ) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | p1(Y) ) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X) ) ) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ! [Y] :
                                          ( ~ r1(X,Y)
                                          | $false ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ! [Y] :
                                          ( ~ r1(X,Y)
                                          | ~ p1(Y) ) ) ) )
                          & p1(Y) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | ~ ( ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ~ ( ! [X] :
                                              ( ~ r1(Y,X)
                                              | p1(X) ) ) ) )
                              & ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y) ) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ! [Y] :
                                          ( ~ r1(X,Y)
                                          | ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p1(X) ) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y) ) ) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ! [X] :
                              ( ~ r1(Y,X)
                              | $false ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p2(X) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p2(Y) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p2(X) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p2(Y) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p2(Y) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p2(X) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p2(Y) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p2(X) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p2(Y) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p2(X) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p2(X) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | p1(X) ) ) )
                                                                                            | ! [Y] :
                                                                                                ( ~ r1(X,Y)
                                                                                                | p1(Y) ) )
                                                                                        | ! [X] :
                                                                                            ( ~ r1(Y,X)
                                                                                            | p1(X) ) )
                                                                                    | ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p1(Y) ) )
                                                                                | ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | p1(X) ) )
                                                                            | ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | p1(Y) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) ) ) ) )).

%------------------------------------------------------------------------------
