%------------------------------------------------------------------------------
% File     : HWV093=1 : TPTP v6.1.0. Released v6.1.0.
% Domain   : Hardware Verification
% Problem  : dmu_dmc property 6 cone of influence 5_b20
% Version  : Especial.
% English  : Verification of a property of the SPARCT2 RTL hardware design.

% Refs     : [Kha14] Khasidashvili (2014), Email to Geoff Sutcliffe
% Source   : [Kha14]
% Names    : dmu_dmc_prop6_cone5_b20 [Kha14]

% Status   : Theorem
% Rating   : 0.88 v6.1.0
% Syntax   : Number of formulae    : 1866 ( 267 unit; 710 type)
%            Number of atoms       : 5371 (  21 equality)
%            Maximal formula depth :  128 (   4 average)
%            Number of connectives : 3180 ( 500   ~; 131   |; 755   &)
%                                         (1456 <=>; 338  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  825 ( 687   >; 138   *;   0   +;   0  <<)
%            Number of predicates  : 1404 ( 715 propositional; 0-2 arity)
%            Number of functors    :  399 ( 399 constant; 0-0 arity)
%            Number of variables   : 1085 (   0 sgn;1085   !;   0   ?)
%            Maximal term depth    :    1 (   1 average)
%            Arithmetic symbols    :  380 (   2 pred;    0 func;  378 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : Copyright 2013 Moshe Emmer and Zurab Khasidashvili
%            Licensed under the Apache License, Version 2.0 (the "License");
%            you may not use this file except in compliance with the License.
%            You may obtain a copy of the License at
%                http://www.apache.org/licenses/LICENSE-2.0
%            Unless required by applicable law or agreed to in writing,
%            software distributed under the License is distributed on an "AS
%            IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
%            express or implied. See the License for the specific language
%            governing permissions and limitations under the License.
%------------------------------------------------------------------------------
tff(state_type,type,(
    state_type: $tType )).

tff(v20_type,type,(
    v20: ( state_type * $int ) > $o )).

tff(v18_type,type,(
    v18: ( state_type * $int ) > $o )).

tff(v14_type,type,(
    v14: ( state_type * $int ) > $o )).

tff(v52_type,type,(
    v52: ( state_type * $int ) > $o )).

tff(v50_type,type,(
    v50: ( state_type * $int ) > $o )).

tff(v16_type,type,(
    v16: ( state_type * $int ) > $o )).

tff(v12_type,type,(
    v12: ( state_type * $int ) > $o )).

tff(v10_type,type,(
    v10: ( state_type * $int ) > $o )).

tff(constB0_type,type,(
    constB0: state_type )).

tff(constB1_type,type,(
    constB1: state_type )).

tff(constB2_type,type,(
    constB2: state_type )).

tff(constB3_type,type,(
    constB3: state_type )).

tff(constB4_type,type,(
    constB4: state_type )).

tff(constB5_type,type,(
    constB5: state_type )).

tff(constB6_type,type,(
    constB6: state_type )).

tff(constB7_type,type,(
    constB7: state_type )).

tff(constB8_type,type,(
    constB8: state_type )).

tff(constB9_type,type,(
    constB9: state_type )).

tff(constB10_type,type,(
    constB10: state_type )).

tff(constB11_type,type,(
    constB11: state_type )).

tff(constB12_type,type,(
    constB12: state_type )).

tff(constB13_type,type,(
    constB13: state_type )).

tff(constB14_type,type,(
    constB14: state_type )).

tff(constB15_type,type,(
    constB15: state_type )).

tff(constB16_type,type,(
    constB16: state_type )).

tff(constB17_type,type,(
    constB17: state_type )).

tff(constB18_type,type,(
    constB18: state_type )).

tff(constB19_type,type,(
    constB19: state_type )).

tff(constB20_type,type,(
    constB20: state_type )).

tff(pred_def_9,type,(
    v48: ( state_type * $int ) > $o )).

tff(pred_def_10,type,(
    v46: ( state_type * $int ) > $o )).

tff(pred_def_11,type,(
    v58: state_type > $o )).

tff(pred_def_12,type,(
    v60: state_type > $o )).

tff(pred_def_13,type,(
    v56: state_type > $o )).

tff(pred_def_14,type,(
    v54: state_type > $o )).

tff(pred_def_15,type,(
    v63: state_type > $o )).

tff(pred_def_16,type,(
    v62: state_type > $o )).

tff(pred_def_17,type,(
    v44: state_type > $o )).

tff(pred_def_18,type,(
    v42: state_type > $o )).

tff(pred_def_19,type,(
    v74: ( state_type * $int ) > $o )).

tff(pred_def_20,type,(
    v25: state_type > $o )).

tff(pred_def_21,type,(
    b00: $int > $o )).

tff(pred_def_22,type,(
    v73: state_type > $o )).

tff(pred_def_23,type,(
    b00000: $int > $o )).

tff(pred_def_24,type,(
    v37: ( state_type * $int ) > $o )).

tff(pred_def_26,type,(
    v76: ( state_type * $int ) > $o )).

tff(pred_def_27,type,(
    b01: $int > $o )).

tff(pred_def_28,type,(
    v75: state_type > $o )).

tff(pred_def_29,type,(
    v78: state_type > $o )).

tff(pred_def_30,type,(
    v86: ( state_type * $int ) > $o )).

tff(pred_def_31,type,(
    v95: state_type > $o )).

tff(pred_def_32,type,(
    v94: state_type > $o )).

tff(pred_def_33,type,(
    v93: state_type > $o )).

tff(pred_def_34,type,(
    v96: state_type > $o )).

tff(pred_def_35,type,(
    v92: state_type > $o )).

tff(pred_def_36,type,(
    v91: state_type > $o )).

tff(pred_def_37,type,(
    v97: state_type > $o )).

tff(pred_def_38,type,(
    v90: state_type > $o )).

tff(pred_def_39,type,(
    v89: state_type > $o )).

tff(pred_def_40,type,(
    v98: state_type > $o )).

tff(pred_def_41,type,(
    v88: state_type > $o )).

tff(pred_def_42,type,(
    v85: state_type > $o )).

tff(pred_def_43,type,(
    v84: state_type > $o )).

tff(pred_def_44,type,(
    v83: state_type > $o )).

tff(pred_def_45,type,(
    v100: state_type > $o )).

tff(pred_def_46,type,(
    v99: state_type > $o )).

tff(pred_def_47,type,(
    v82: state_type > $o )).

tff(pred_def_48,type,(
    v103: state_type > $o )).

tff(pred_def_49,type,(
    v102: state_type > $o )).

tff(pred_def_50,type,(
    v104: state_type > $o )).

tff(pred_def_51,type,(
    v101: state_type > $o )).

tff(pred_def_52,type,(
    v107: state_type > $o )).

tff(pred_def_53,type,(
    v106: state_type > $o )).

tff(pred_def_54,type,(
    v108: state_type > $o )).

tff(pred_def_55,type,(
    v105: state_type > $o )).

tff(pred_def_56,type,(
    v111: state_type > $o )).

tff(pred_def_57,type,(
    v110: state_type > $o )).

tff(pred_def_58,type,(
    v112: state_type > $o )).

tff(pred_def_59,type,(
    v109: state_type > $o )).

tff(pred_def_60,type,(
    v115: state_type > $o )).

tff(pred_def_61,type,(
    v114: state_type > $o )).

tff(pred_def_62,type,(
    v116: state_type > $o )).

tff(pred_def_63,type,(
    v113: state_type > $o )).

tff(pred_def_64,type,(
    v80: ( state_type * $int ) > $o )).

tff(pred_def_65,type,(
    v79: ( state_type * $int ) > $o )).

tff(pred_def_66,type,(
    b00000000000000000000000000000000: $int > $o )).

tff(pred_def_67,type,(
    v77: ( state_type * $int ) > $o )).

tff(pred_def_68,type,(
    v119: ( state_type * $int ) > $o )).

tff(pred_def_69,type,(
    b10: $int > $o )).

tff(pred_def_70,type,(
    v118: state_type > $o )).

tff(pred_def_71,type,(
    b01111: $int > $o )).

tff(pred_def_72,type,(
    v121: state_type > $o )).

tff(pred_def_73,type,(
    v129: state_type > $o )).

tff(pred_def_74,type,(
    v128: state_type > $o )).

tff(pred_def_75,type,(
    v127: state_type > $o )).

tff(pred_def_76,type,(
    v126: state_type > $o )).

tff(pred_def_77,type,(
    v130: state_type > $o )).

tff(pred_def_78,type,(
    v125: state_type > $o )).

tff(pred_def_79,type,(
    v131: state_type > $o )).

tff(pred_def_80,type,(
    v124: state_type > $o )).

tff(pred_def_81,type,(
    v134: state_type > $o )).

tff(pred_def_82,type,(
    v135: state_type > $o )).

tff(pred_def_83,type,(
    v133: state_type > $o )).

tff(pred_def_84,type,(
    v136: state_type > $o )).

tff(pred_def_85,type,(
    v132: state_type > $o )).

tff(pred_def_86,type,(
    v139: state_type > $o )).

tff(pred_def_87,type,(
    v140: state_type > $o )).

tff(pred_def_88,type,(
    v138: state_type > $o )).

tff(pred_def_89,type,(
    v141: state_type > $o )).

tff(pred_def_90,type,(
    v137: state_type > $o )).

tff(pred_def_91,type,(
    v144: state_type > $o )).

tff(pred_def_92,type,(
    v145: state_type > $o )).

tff(pred_def_93,type,(
    v143: state_type > $o )).

tff(pred_def_94,type,(
    v146: state_type > $o )).

tff(pred_def_95,type,(
    v142: state_type > $o )).

tff(pred_def_96,type,(
    v122: ( state_type * $int ) > $o )).

tff(pred_def_97,type,(
    v120: ( state_type * $int ) > $o )).

tff(pred_def_98,type,(
    v148: ( state_type * $int ) > $o )).

tff(pred_def_99,type,(
    b11: $int > $o )).

tff(pred_def_100,type,(
    v147: state_type > $o )).

tff(pred_def_101,type,(
    v40: ( state_type * $int ) > $o )).

tff(pred_def_102,type,(
    v156: state_type > $o )).

tff(pred_def_103,type,(
    v1: state_type > $o )).

tff(pred_def_104,type,(
    v154: state_type > $o )).

tff(pred_def_105,type,(
    v152: state_type > $o )).

tff(pred_def_106,type,(
    v150: state_type > $o )).

tff(pred_def_107,type,(
    v163: state_type > $o )).

tff(pred_def_108,type,(
    nextState: ( state_type * state_type ) > $o )).

tff(pred_def_109,type,(
    v161: state_type > $o )).

tff(pred_def_110,type,(
    v160: state_type > $o )).

tff(pred_def_111,type,(
    v159: state_type > $o )).

tff(pred_def_112,type,(
    v170: state_type > $o )).

tff(pred_def_113,type,(
    v167: ( state_type * $int ) > $o )).

tff(pred_def_114,type,(
    v169: ( state_type * $int ) > $o )).

tff(pred_def_115,type,(
    undeclared: $o )).

tff(pred_def_116,type,(
    v35: state_type > $o )).

tff(pred_def_117,type,(
    v33: state_type > $o )).

tff(pred_def_118,type,(
    v181: state_type > $o )).

tff(pred_def_119,type,(
    v199: state_type > $o )).

tff(pred_def_120,type,(
    v197: state_type > $o )).

tff(pred_def_121,type,(
    v209: state_type > $o )).

tff(pred_def_122,type,(
    v227: ( state_type * $int ) > $o )).

tff(pred_def_123,type,(
    v225: state_type > $o )).

tff(pred_def_124,type,(
    v223: state_type > $o )).

tff(pred_def_125,type,(
    v221: state_type > $o )).

tff(pred_def_126,type,(
    v219: state_type > $o )).

tff(pred_def_127,type,(
    v217: state_type > $o )).

tff(pred_def_128,type,(
    v215: state_type > $o )).

tff(pred_def_129,type,(
    v213: state_type > $o )).

tff(pred_def_130,type,(
    v211: state_type > $o )).

tff(pred_def_131,type,(
    v239: state_type > $o )).

tff(pred_def_132,type,(
    v260: ( state_type * $int ) > $o )).

tff(pred_def_133,type,(
    v258: state_type > $o )).

tff(pred_def_134,type,(
    v256: state_type > $o )).

tff(pred_def_135,type,(
    v254: state_type > $o )).

tff(pred_def_136,type,(
    v252: state_type > $o )).

tff(pred_def_137,type,(
    v250: state_type > $o )).

tff(pred_def_138,type,(
    v248: state_type > $o )).

tff(pred_def_139,type,(
    v246: state_type > $o )).

tff(pred_def_140,type,(
    v244: state_type > $o )).

tff(pred_def_141,type,(
    v308: ( state_type * $int ) > $o )).

tff(pred_def_142,type,(
    v310: ( state_type * $int ) > $o )).

tff(pred_def_143,type,(
    v306: ( state_type * $int ) > $o )).

tff(pred_def_144,type,(
    v304: state_type > $o )).

tff(pred_def_145,type,(
    v316: ( state_type * $int ) > $o )).

tff(pred_def_146,type,(
    v318: ( state_type * $int ) > $o )).

tff(pred_def_147,type,(
    v314: ( state_type * $int ) > $o )).

tff(pred_def_148,type,(
    v312: state_type > $o )).

tff(pred_def_149,type,(
    v302: state_type > $o )).

tff(pred_def_150,type,(
    v300: state_type > $o )).

tff(pred_def_151,type,(
    v298: state_type > $o )).

tff(pred_def_152,type,(
    v296: state_type > $o )).

tff(pred_def_153,type,(
    v294: state_type > $o )).

tff(pred_def_154,type,(
    v292: state_type > $o )).

tff(pred_def_155,type,(
    v290: state_type > $o )).

tff(pred_def_156,type,(
    v288: state_type > $o )).

tff(pred_def_157,type,(
    v286: state_type > $o )).

tff(pred_def_158,type,(
    v284: state_type > $o )).

tff(pred_def_159,type,(
    v334: ( state_type * $int ) > $o )).

tff(pred_def_160,type,(
    v329: ( state_type * $int ) > $o )).

tff(pred_def_161,type,(
    v327: ( state_type * $int ) > $o )).

tff(pred_def_162,type,(
    v325: ( state_type * $int ) > $o )).

tff(pred_def_163,type,(
    b0000: $int > $o )).

tff(pred_def_164,type,(
    v340: ( state_type * $int ) > $o )).

tff(pred_def_165,type,(
    v338: state_type > $o )).

tff(pred_def_166,type,(
    v336: state_type > $o )).

tff(pred_def_167,type,(
    v323: ( state_type * $int ) > $o )).

tff(pred_def_168,type,(
    v343: state_type > $o )).

tff(pred_def_169,type,(
    v344: state_type > $o )).

tff(pred_def_170,type,(
    v321: state_type > $o )).

tff(pred_def_171,type,(
    v354: ( state_type * $int ) > $o )).

tff(pred_def_172,type,(
    v352: ( state_type * $int ) > $o )).

tff(pred_def_173,type,(
    v350: ( state_type * $int ) > $o )).

tff(pred_def_174,type,(
    v348: ( state_type * $int ) > $o )).

tff(pred_def_175,type,(
    v356: state_type > $o )).

tff(pred_def_176,type,(
    v358: state_type > $o )).

tff(pred_def_177,type,(
    v360: state_type > $o )).

tff(pred_def_178,type,(
    v361: state_type > $o )).

tff(pred_def_179,type,(
    v346: state_type > $o )).

tff(pred_def_180,type,(
    v367: ( state_type * $int ) > $o )).

tff(pred_def_181,type,(
    b010: $int > $o )).

tff(pred_def_182,type,(
    v366: state_type > $o )).

tff(pred_def_183,type,(
    v371: ( state_type * $int ) > $o )).

tff(pred_def_184,type,(
    b001: $int > $o )).

tff(pred_def_185,type,(
    v370: state_type > $o )).

tff(pred_def_186,type,(
    v369: state_type > $o )).

tff(pred_def_187,type,(
    v368: state_type > $o )).

tff(pred_def_188,type,(
    v365: state_type > $o )).

tff(pred_def_189,type,(
    v372: state_type > $o )).

tff(pred_def_190,type,(
    v282: state_type > $o )).

tff(pred_def_191,type,(
    v280: state_type > $o )).

tff(pred_def_192,type,(
    v278: state_type > $o )).

tff(pred_def_193,type,(
    v276: state_type > $o )).

tff(pred_def_194,type,(
    v203: ( state_type * $int ) > $o )).

tff(pred_def_195,type,(
    v381: state_type > $o )).

tff(pred_def_196,type,(
    v205: state_type > $o )).

tff(pred_def_197,type,(
    v382: state_type > $o )).

tff(pred_def_198,type,(
    v380: state_type > $o )).

tff(pred_def_199,type,(
    v383: state_type > $o )).

tff(pred_def_200,type,(
    v379: state_type > $o )).

tff(pred_def_201,type,(
    v233: state_type > $o )).

tff(pred_def_202,type,(
    v386: state_type > $o )).

tff(pred_def_203,type,(
    v269: state_type > $o )).

tff(pred_def_204,type,(
    v385: state_type > $o )).

tff(pred_def_205,type,(
    v384: state_type > $o )).

tff(pred_def_206,type,(
    v378: state_type > $o )).

tff(pred_def_207,type,(
    v388: state_type > $o )).

tff(pred_def_208,type,(
    v387: state_type > $o )).

tff(pred_def_209,type,(
    v376: state_type > $o )).

tff(pred_def_210,type,(
    v267: state_type > $o )).

tff(pred_def_211,type,(
    v374: state_type > $o )).

tff(pred_def_212,type,(
    v393: ( state_type * $int ) > $o )).

tff(pred_def_213,type,(
    v392: state_type > $o )).

tff(pred_def_214,type,(
    v271: ( state_type * $int ) > $o )).

tff(pred_def_215,type,(
    v403: state_type > $o )).

tff(pred_def_216,type,(
    v402: state_type > $o )).

tff(pred_def_217,type,(
    v401: state_type > $o )).

tff(pred_def_218,type,(
    v404: state_type > $o )).

tff(pred_def_219,type,(
    v400: state_type > $o )).

tff(pred_def_220,type,(
    v399: state_type > $o )).

tff(pred_def_221,type,(
    v398: state_type > $o )).

tff(pred_def_222,type,(
    v397: state_type > $o )).

tff(pred_def_223,type,(
    v406: state_type > $o )).

tff(pred_def_224,type,(
    v405: state_type > $o )).

tff(pred_def_225,type,(
    v396: state_type > $o )).

tff(pred_def_226,type,(
    v409: state_type > $o )).

tff(pred_def_227,type,(
    v408: state_type > $o )).

tff(pred_def_228,type,(
    v410: state_type > $o )).

tff(pred_def_229,type,(
    v407: state_type > $o )).

tff(pred_def_230,type,(
    v413: state_type > $o )).

tff(pred_def_231,type,(
    v412: state_type > $o )).

tff(pred_def_232,type,(
    v414: state_type > $o )).

tff(pred_def_233,type,(
    v411: state_type > $o )).

tff(pred_def_234,type,(
    v394: ( state_type * $int ) > $o )).

tff(pred_def_235,type,(
    v416: ( state_type * $int ) > $o )).

tff(pred_def_236,type,(
    v415: state_type > $o )).

tff(pred_def_237,type,(
    v423: state_type > $o )).

tff(pred_def_238,type,(
    v422: state_type > $o )).

tff(pred_def_239,type,(
    v421: state_type > $o )).

tff(pred_def_240,type,(
    v420: state_type > $o )).

tff(pred_def_241,type,(
    v424: state_type > $o )).

tff(pred_def_242,type,(
    v419: state_type > $o )).

tff(pred_def_243,type,(
    v427: state_type > $o )).

tff(pred_def_244,type,(
    v426: state_type > $o )).

tff(pred_def_245,type,(
    v428: state_type > $o )).

tff(pred_def_246,type,(
    v425: state_type > $o )).

tff(pred_def_247,type,(
    v430: state_type > $o )).

tff(pred_def_248,type,(
    v431: state_type > $o )).

tff(pred_def_249,type,(
    v429: state_type > $o )).

tff(pred_def_250,type,(
    v417: ( state_type * $int ) > $o )).

tff(pred_def_251,type,(
    v434: ( state_type * $int ) > $o )).

tff(pred_def_252,type,(
    v433: state_type > $o )).

tff(pred_def_253,type,(
    v436: ( state_type * $int ) > $o )).

tff(pred_def_254,type,(
    v435: state_type > $o )).

tff(pred_def_255,type,(
    v432: state_type > $o )).

tff(pred_def_256,type,(
    v274: ( state_type * $int ) > $o )).

tff(pred_def_257,type,(
    v440: state_type > $o )).

tff(pred_def_258,type,(
    v438: state_type > $o )).

tff(pred_def_259,type,(
    v447: state_type > $o )).

tff(pred_def_260,type,(
    v445: state_type > $o )).

tff(pred_def_261,type,(
    v444: state_type > $o )).

tff(pred_def_262,type,(
    v443: state_type > $o )).

tff(pred_def_263,type,(
    v454: state_type > $o )).

tff(pred_def_264,type,(
    b1000: $int > $o )).

tff(pred_def_265,type,(
    v451: ( state_type * $int ) > $o )).

tff(pred_def_266,type,(
    v453: ( state_type * $int ) > $o )).

tff(pred_def_267,type,(
    v459: state_type > $o )).

tff(pred_def_268,type,(
    v463: state_type > $o )).

tff(pred_def_269,type,(
    v464: state_type > $o )).

tff(pred_def_270,type,(
    v462: state_type > $o )).

tff(pred_def_271,type,(
    v461: state_type > $o )).

tff(pred_def_272,type,(
    v465: state_type > $o )).

tff(pred_def_273,type,(
    v265: state_type > $o )).

tff(pred_def_274,type,(
    v263: state_type > $o )).

tff(pred_def_275,type,(
    v469: ( state_type * $int ) > $o )).

tff(pred_def_276,type,(
    v468: state_type > $o )).

tff(pred_def_277,type,(
    v471: ( state_type * $int ) > $o )).

tff(pred_def_278,type,(
    v470: state_type > $o )).

tff(pred_def_279,type,(
    b000: $int > $o )).

tff(pred_def_280,type,(
    v237: ( state_type * $int ) > $o )).

tff(pred_def_281,type,(
    v473: state_type > $o )).

tff(pred_def_282,type,(
    v481: ( state_type * $int ) > $o )).

tff(pred_def_283,type,(
    v486: state_type > $o )).

tff(pred_def_284,type,(
    v485: state_type > $o )).

tff(pred_def_285,type,(
    v484: state_type > $o )).

tff(pred_def_286,type,(
    v487: state_type > $o )).

tff(pred_def_287,type,(
    v483: state_type > $o )).

tff(pred_def_288,type,(
    v480: state_type > $o )).

tff(pred_def_289,type,(
    v479: state_type > $o )).

tff(pred_def_290,type,(
    v478: state_type > $o )).

tff(pred_def_291,type,(
    v489: state_type > $o )).

tff(pred_def_292,type,(
    v488: state_type > $o )).

tff(pred_def_293,type,(
    v477: state_type > $o )).

tff(pred_def_294,type,(
    v492: state_type > $o )).

tff(pred_def_295,type,(
    v491: state_type > $o )).

tff(pred_def_296,type,(
    v493: state_type > $o )).

tff(pred_def_297,type,(
    v490: state_type > $o )).

tff(pred_def_298,type,(
    v496: state_type > $o )).

tff(pred_def_299,type,(
    v495: state_type > $o )).

tff(pred_def_300,type,(
    v497: state_type > $o )).

tff(pred_def_301,type,(
    v494: state_type > $o )).

tff(pred_def_302,type,(
    v475: ( state_type * $int ) > $o )).

tff(pred_def_303,type,(
    v474: ( state_type * $int ) > $o )).

tff(pred_def_304,type,(
    v472: ( state_type * $int ) > $o )).

tff(pred_def_305,type,(
    v499: ( state_type * $int ) > $o )).

tff(pred_def_306,type,(
    v498: state_type > $o )).

tff(pred_def_307,type,(
    b100: $int > $o )).

tff(pred_def_308,type,(
    v501: state_type > $o )).

tff(pred_def_309,type,(
    v507: state_type > $o )).

tff(pred_def_310,type,(
    v506: state_type > $o )).

tff(pred_def_311,type,(
    v508: state_type > $o )).

tff(pred_def_312,type,(
    v505: state_type > $o )).

tff(pred_def_313,type,(
    v509: state_type > $o )).

tff(pred_def_314,type,(
    v504: state_type > $o )).

tff(pred_def_315,type,(
    v512: state_type > $o )).

tff(pred_def_316,type,(
    v513: state_type > $o )).

tff(pred_def_317,type,(
    v511: state_type > $o )).

tff(pred_def_318,type,(
    v514: state_type > $o )).

tff(pred_def_319,type,(
    v510: state_type > $o )).

tff(pred_def_320,type,(
    v502: ( state_type * $int ) > $o )).

tff(pred_def_321,type,(
    v500: ( state_type * $int ) > $o )).

tff(pred_def_322,type,(
    v516: ( state_type * $int ) > $o )).

tff(pred_def_323,type,(
    v515: state_type > $o )).

tff(pred_def_324,type,(
    v242: ( state_type * $int ) > $o )).

tff(pred_def_325,type,(
    v518: state_type > $o )).

tff(pred_def_326,type,(
    v525: state_type > $o )).

tff(pred_def_327,type,(
    v523: state_type > $o )).

tff(pred_def_328,type,(
    v522: state_type > $o )).

tff(pred_def_329,type,(
    v521: state_type > $o )).

tff(pred_def_330,type,(
    v532: state_type > $o )).

tff(pred_def_331,type,(
    v529: ( state_type * $int ) > $o )).

tff(pred_def_332,type,(
    v531: ( state_type * $int ) > $o )).

tff(pred_def_333,type,(
    v235: state_type > $o )).

tff(pred_def_334,type,(
    v539: ( state_type * $int ) > $o )).

tff(pred_def_335,type,(
    v542: state_type > $o )).

tff(pred_def_336,type,(
    v537: state_type > $o )).

tff(pred_def_337,type,(
    v549: state_type > $o )).

tff(pred_def_338,type,(
    v548: state_type > $o )).

tff(pred_def_339,type,(
    v550: state_type > $o )).

tff(pred_def_340,type,(
    v547: state_type > $o )).

tff(pred_def_341,type,(
    v546: state_type > $o )).

tff(pred_def_342,type,(
    v551: state_type > $o )).

tff(pred_def_343,type,(
    v545: state_type > $o )).

tff(pred_def_344,type,(
    v552: state_type > $o )).

tff(pred_def_345,type,(
    v544: state_type > $o )).

tff(pred_def_346,type,(
    v555: state_type > $o )).

tff(pred_def_347,type,(
    v556: state_type > $o )).

tff(pred_def_348,type,(
    v554: state_type > $o )).

tff(pred_def_349,type,(
    v553: state_type > $o )).

tff(pred_def_350,type,(
    v231: state_type > $o )).

tff(pred_def_351,type,(
    v229: state_type > $o )).

tff(pred_def_352,type,(
    v562: ( state_type * $int ) > $o )).

tff(pred_def_353,type,(
    v561: ( state_type * $int ) > $o )).

tff(pred_def_354,type,(
    v560: ( state_type * $int ) > $o )).

tff(pred_def_355,type,(
    v565: state_type > $o )).

tff(pred_def_356,type,(
    v572: state_type > $o )).

tff(pred_def_357,type,(
    v570: state_type > $o )).

tff(pred_def_358,type,(
    v569: state_type > $o )).

tff(pred_def_359,type,(
    v582: state_type > $o )).

tff(pred_def_360,type,(
    v558: ( state_type * $int ) > $o )).

tff(pred_def_361,type,(
    v583: state_type > $o )).

tff(pred_def_362,type,(
    v581: state_type > $o )).

tff(pred_def_363,type,(
    v584: state_type > $o )).

tff(pred_def_364,type,(
    v580: state_type > $o )).

tff(pred_def_365,type,(
    v579: state_type > $o )).

tff(pred_def_366,type,(
    v585: state_type > $o )).

tff(pred_def_367,type,(
    v576: state_type > $o )).

tff(pred_def_368,type,(
    v578: state_type > $o )).

tff(pred_def_369,type,(
    v568: state_type > $o )).

tff(pred_def_370,type,(
    v589: state_type > $o )).

tff(pred_def_371,type,(
    v586: state_type > $o )).

tff(pred_def_372,type,(
    v588: state_type > $o )).

tff(pred_def_373,type,(
    v207: state_type > $o )).

tff(pred_def_374,type,(
    v609: state_type > $o )).

tff(pred_def_375,type,(
    v610: ( state_type * $int ) > $o )).

tff(pred_def_376,type,(
    v613: ( state_type * $int ) > $o )).

tff(pred_def_377,type,(
    v612: state_type > $o )).

tff(pred_def_378,type,(
    v615: ( state_type * $int ) > $o )).

tff(pred_def_379,type,(
    v614: state_type > $o )).

tff(pred_def_380,type,(
    v616: ( state_type * $int ) > $o )).

tff(pred_def_381,type,(
    v619: ( state_type * $int ) > $o )).

tff(pred_def_382,type,(
    v618: state_type > $o )).

tff(pred_def_383,type,(
    v620: ( state_type * $int ) > $o )).

tff(pred_def_384,type,(
    v623: ( state_type * $int ) > $o )).

tff(pred_def_385,type,(
    v622: state_type > $o )).

tff(pred_def_386,type,(
    v611: ( state_type * $int ) > $o )).

tff(pred_def_387,type,(
    v608: ( state_type * $int ) > $o )).

tff(pred_def_388,type,(
    v606: ( state_type * $int ) > $o )).

tff(pred_def_389,type,(
    v604: state_type > $o )).

tff(pred_def_390,type,(
    v639: ( state_type * $int ) > $o )).

tff(pred_def_391,type,(
    v637: ( state_type * $int ) > $o )).

tff(pred_def_392,type,(
    v635: ( state_type * $int ) > $o )).

tff(pred_def_393,type,(
    v633: ( state_type * $int ) > $o )).

tff(pred_def_394,type,(
    v631: ( state_type * $int ) > $o )).

tff(pred_def_395,type,(
    v629: ( state_type * $int ) > $o )).

tff(pred_def_396,type,(
    v627: ( state_type * $int ) > $o )).

tff(pred_def_397,type,(
    v625: ( state_type * $int ) > $o )).

tff(pred_def_398,type,(
    v599: ( state_type * $int ) > $o )).

tff(pred_def_399,type,(
    v641: ( state_type * $int ) > $o )).

tff(pred_def_400,type,(
    v642: ( state_type * $int ) > $o )).

tff(pred_def_401,type,(
    v602: ( state_type * $int ) > $o )).

tff(pred_def_402,type,(
    v646: state_type > $o )).

tff(pred_def_403,type,(
    v648: ( state_type * $int ) > $o )).

tff(pred_def_404,type,(
    v649: ( state_type * $int ) > $o )).

tff(pred_def_405,type,(
    v644: ( state_type * $int ) > $o )).

tff(pred_def_406,type,(
    v654: state_type > $o )).

tff(pred_def_407,type,(
    v653: state_type > $o )).

tff(pred_def_408,type,(
    v662: state_type > $o )).

tff(pred_def_409,type,(
    v667: ( state_type * $int ) > $o )).

tff(pred_def_410,type,(
    v666: state_type > $o )).

tff(pred_def_411,type,(
    v669: ( state_type * $int ) > $o )).

tff(pred_def_412,type,(
    v668: state_type > $o )).

tff(pred_def_413,type,(
    v665: state_type > $o )).

tff(pred_def_414,type,(
    v671: ( state_type * $int ) > $o )).

tff(pred_def_415,type,(
    v670: state_type > $o )).

tff(pred_def_416,type,(
    v664: state_type > $o )).

tff(pred_def_417,type,(
    v672: state_type > $o )).

tff(pred_def_418,type,(
    v663: state_type > $o )).

tff(pred_def_419,type,(
    v661: state_type > $o )).

tff(pred_def_420,type,(
    v676: ( state_type * $int ) > $o )).

tff(pred_def_421,type,(
    v675: state_type > $o )).

tff(pred_def_422,type,(
    v674: state_type > $o )).

tff(pred_def_423,type,(
    v673: state_type > $o )).

tff(pred_def_424,type,(
    v658: state_type > $o )).

tff(pred_def_425,type,(
    v660: state_type > $o )).

tff(pred_def_426,type,(
    v652: state_type > $o )).

tff(pred_def_427,type,(
    v680: ( state_type * $int ) > $o )).

tff(pred_def_428,type,(
    b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000: $int > $o )).

tff(pred_def_429,type,(
    v677: ( state_type * $int ) > $o )).

tff(pred_def_430,type,(
    v679: ( state_type * $int ) > $o )).

tff(pred_def_431,type,(
    v651: ( state_type * $int ) > $o )).

tff(pred_def_432,type,(
    v597: ( state_type * $int ) > $o )).

tff(pred_def_433,type,(
    v595: ( state_type * $int ) > $o )).

tff(pred_def_434,type,(
    v593: ( state_type * $int ) > $o )).

tff(pred_def_435,type,(
    v697: state_type > $o )).

tff(pred_def_436,type,(
    v695: state_type > $o )).

tff(pred_def_437,type,(
    v694: state_type > $o )).

tff(pred_def_438,type,(
    v692: ( state_type * $int ) > $o )).

tff(pred_def_439,type,(
    v690: state_type > $o )).

tff(pred_def_440,type,(
    v719: state_type > $o )).

tff(pred_def_441,type,(
    v720: state_type > $o )).

tff(pred_def_442,type,(
    v718: state_type > $o )).

tff(pred_def_443,type,(
    v721: state_type > $o )).

tff(pred_def_444,type,(
    v717: state_type > $o )).

tff(pred_def_445,type,(
    v722: state_type > $o )).

tff(pred_def_446,type,(
    v716: state_type > $o )).

tff(pred_def_447,type,(
    v723: state_type > $o )).

tff(pred_def_448,type,(
    v715: state_type > $o )).

tff(pred_def_449,type,(
    v724: state_type > $o )).

tff(pred_def_450,type,(
    v714: state_type > $o )).

tff(pred_def_451,type,(
    v725: state_type > $o )).

tff(pred_def_452,type,(
    v712: state_type > $o )).

tff(pred_def_453,type,(
    v728: state_type > $o )).

tff(pred_def_454,type,(
    v726: state_type > $o )).

tff(pred_def_455,type,(
    v711: state_type > $o )).

tff(pred_def_456,type,(
    v735: state_type > $o )).

tff(pred_def_457,type,(
    v734: state_type > $o )).

tff(pred_def_458,type,(
    v733: state_type > $o )).

tff(pred_def_459,type,(
    v732: state_type > $o )).

tff(pred_def_460,type,(
    v731: state_type > $o )).

tff(pred_def_461,type,(
    v729: state_type > $o )).

tff(pred_def_462,type,(
    v710: state_type > $o )).

tff(pred_def_463,type,(
    v738: state_type > $o )).

tff(pred_def_464,type,(
    v736: state_type > $o )).

tff(pred_def_465,type,(
    v709: state_type > $o )).

tff(pred_def_466,type,(
    v739: state_type > $o )).

tff(pred_def_467,type,(
    v708: state_type > $o )).

tff(pred_def_468,type,(
    v741: state_type > $o )).

tff(pred_def_469,type,(
    v706: state_type > $o )).

tff(pred_def_470,type,(
    v749: state_type > $o )).

tff(pred_def_471,type,(
    v748: state_type > $o )).

tff(pred_def_472,type,(
    v747: state_type > $o )).

tff(pred_def_473,type,(
    v746: state_type > $o )).

tff(pred_def_474,type,(
    v745: state_type > $o )).

tff(pred_def_475,type,(
    v743: state_type > $o )).

tff(pred_def_476,type,(
    v750: ( state_type * $int ) > $o )).

tff(pred_def_477,type,(
    v752: state_type > $o )).

tff(pred_def_478,type,(
    v758: state_type > $o )).

tff(pred_def_479,type,(
    v757: state_type > $o )).

tff(pred_def_480,type,(
    v756: state_type > $o )).

tff(pred_def_481,type,(
    v754: state_type > $o )).

tff(pred_def_482,type,(
    v751: state_type > $o )).

tff(pred_def_483,type,(
    v766: state_type > $o )).

tff(pred_def_484,type,(
    v765: state_type > $o )).

tff(pred_def_485,type,(
    v764: state_type > $o )).

tff(pred_def_486,type,(
    v762: state_type > $o )).

tff(pred_def_487,type,(
    v769: state_type > $o )).

tff(pred_def_488,type,(
    v767: state_type > $o )).

tff(pred_def_489,type,(
    v761: state_type > $o )).

tff(pred_def_490,type,(
    v773: state_type > $o )).

tff(pred_def_491,type,(
    v772: state_type > $o )).

tff(pred_def_492,type,(
    v770: state_type > $o )).

tff(pred_def_493,type,(
    v759: state_type > $o )).

tff(pred_def_494,type,(
    v705: ( state_type * $int ) > $o )).

tff(pred_def_495,type,(
    v777: state_type > $o )).

tff(pred_def_496,type,(
    v778: state_type > $o )).

tff(pred_def_497,type,(
    v776: state_type > $o )).

tff(pred_def_498,type,(
    v779: state_type > $o )).

tff(pred_def_499,type,(
    v775: state_type > $o )).

tff(pred_def_500,type,(
    v780: state_type > $o )).

tff(pred_def_501,type,(
    v201: state_type > $o )).

tff(pred_def_502,type,(
    v785: state_type > $o )).

tff(pred_def_503,type,(
    v784: state_type > $o )).

tff(pred_def_504,type,(
    v783: state_type > $o )).

tff(pred_def_505,type,(
    v792: state_type > $o )).

tff(pred_def_506,type,(
    v789: state_type > $o )).

tff(pred_def_507,type,(
    v791: state_type > $o )).

tff(pred_def_508,type,(
    v195: state_type > $o )).

tff(pred_def_509,type,(
    v193: state_type > $o )).

tff(pred_def_510,type,(
    v191: state_type > $o )).

tff(pred_def_511,type,(
    v189: state_type > $o )).

tff(pred_def_512,type,(
    v187: state_type > $o )).

tff(pred_def_513,type,(
    v185: state_type > $o )).

tff(pred_def_514,type,(
    v802: state_type > $o )).

tff(pred_def_515,type,(
    v29: ( state_type * $int ) > $o )).

tff(pred_def_516,type,(
    v803: state_type > $o )).

tff(pred_def_517,type,(
    v801: state_type > $o )).

tff(pred_def_518,type,(
    v175: state_type > $o )).

tff(pred_def_519,type,(
    v806: state_type > $o )).

tff(pred_def_520,type,(
    v805: state_type > $o )).

tff(pred_def_521,type,(
    v807: state_type > $o )).

tff(pred_def_522,type,(
    v804: state_type > $o )).

tff(pred_def_523,type,(
    v800: state_type > $o )).

tff(pred_def_524,type,(
    v810: state_type > $o )).

tff(pred_def_525,type,(
    v809: state_type > $o )).

tff(pred_def_526,type,(
    v808: state_type > $o )).

tff(pred_def_527,type,(
    v31: ( state_type * $int ) > $o )).

tff(pred_def_528,type,(
    v817: state_type > $o )).

tff(pred_def_529,type,(
    v815: state_type > $o )).

tff(pred_def_530,type,(
    v814: state_type > $o )).

tff(pred_def_531,type,(
    v813: state_type > $o )).

tff(pred_def_532,type,(
    v824: state_type > $o )).

tff(pred_def_533,type,(
    v821: state_type > $o )).

tff(pred_def_534,type,(
    v823: state_type > $o )).

tff(pred_def_535,type,(
    v828: state_type > $o )).

tff(pred_def_536,type,(
    v832: state_type > $o )).

tff(pred_def_537,type,(
    v831: state_type > $o )).

tff(pred_def_538,type,(
    v830: state_type > $o )).

tff(pred_def_539,type,(
    v834: state_type > $o )).

tff(pred_def_540,type,(
    v833: state_type > $o )).

tff(pred_def_541,type,(
    v829: state_type > $o )).

tff(pred_def_542,type,(
    v798: state_type > $o )).

tff(pred_def_543,type,(
    v796: state_type > $o )).

tff(pred_def_544,type,(
    v837: ( state_type * $int ) > $o )).

tff(pred_def_545,type,(
    v836: state_type > $o )).

tff(pred_def_546,type,(
    v179: ( state_type * $int ) > $o )).

tff(pred_def_547,type,(
    v839: ( state_type * $int ) > $o )).

tff(pred_def_548,type,(
    v838: state_type > $o )).

tff(pred_def_549,type,(
    v841: state_type > $o )).

tff(pred_def_550,type,(
    v849: ( state_type * $int ) > $o )).

tff(pred_def_551,type,(
    v857: state_type > $o )).

tff(pred_def_552,type,(
    v856: state_type > $o )).

tff(pred_def_553,type,(
    v855: state_type > $o )).

tff(pred_def_554,type,(
    v858: state_type > $o )).

tff(pred_def_555,type,(
    v854: state_type > $o )).

tff(pred_def_556,type,(
    v853: state_type > $o )).

tff(pred_def_557,type,(
    v859: state_type > $o )).

tff(pred_def_558,type,(
    v852: state_type > $o )).

tff(pred_def_559,type,(
    v851: state_type > $o )).

tff(pred_def_560,type,(
    v860: state_type > $o )).

tff(pred_def_561,type,(
    v850: state_type > $o )).

tff(pred_def_562,type,(
    v848: state_type > $o )).

tff(pred_def_563,type,(
    v847: state_type > $o )).

tff(pred_def_564,type,(
    v846: state_type > $o )).

tff(pred_def_565,type,(
    v862: state_type > $o )).

tff(pred_def_566,type,(
    v861: state_type > $o )).

tff(pred_def_567,type,(
    v845: state_type > $o )).

tff(pred_def_568,type,(
    v865: state_type > $o )).

tff(pred_def_569,type,(
    v864: state_type > $o )).

tff(pred_def_570,type,(
    v866: state_type > $o )).

tff(pred_def_571,type,(
    v863: state_type > $o )).

tff(pred_def_572,type,(
    v869: state_type > $o )).

tff(pred_def_573,type,(
    v868: state_type > $o )).

tff(pred_def_574,type,(
    v870: state_type > $o )).

tff(pred_def_575,type,(
    v867: state_type > $o )).

tff(pred_def_576,type,(
    v873: state_type > $o )).

tff(pred_def_577,type,(
    v872: state_type > $o )).

tff(pred_def_578,type,(
    v874: state_type > $o )).

tff(pred_def_579,type,(
    v871: state_type > $o )).

tff(pred_def_580,type,(
    v877: state_type > $o )).

tff(pred_def_581,type,(
    v876: state_type > $o )).

tff(pred_def_582,type,(
    v878: state_type > $o )).

tff(pred_def_583,type,(
    v875: state_type > $o )).

tff(pred_def_584,type,(
    v843: ( state_type * $int ) > $o )).

tff(pred_def_585,type,(
    v842: ( state_type * $int ) > $o )).

tff(pred_def_586,type,(
    v840: ( state_type * $int ) > $o )).

tff(pred_def_587,type,(
    v880: ( state_type * $int ) > $o )).

tff(pred_def_588,type,(
    v879: state_type > $o )).

tff(pred_def_589,type,(
    v882: state_type > $o )).

tff(pred_def_590,type,(
    v890: state_type > $o )).

tff(pred_def_591,type,(
    v889: state_type > $o )).

tff(pred_def_592,type,(
    v888: state_type > $o )).

tff(pred_def_593,type,(
    v887: state_type > $o )).

tff(pred_def_594,type,(
    v891: state_type > $o )).

tff(pred_def_595,type,(
    v886: state_type > $o )).

tff(pred_def_596,type,(
    v892: state_type > $o )).

tff(pred_def_597,type,(
    v885: state_type > $o )).

tff(pred_def_598,type,(
    v895: state_type > $o )).

tff(pred_def_599,type,(
    v896: state_type > $o )).

tff(pred_def_600,type,(
    v894: state_type > $o )).

tff(pred_def_601,type,(
    v897: state_type > $o )).

tff(pred_def_602,type,(
    v893: state_type > $o )).

tff(pred_def_603,type,(
    v900: state_type > $o )).

tff(pred_def_604,type,(
    v901: state_type > $o )).

tff(pred_def_605,type,(
    v899: state_type > $o )).

tff(pred_def_606,type,(
    v902: state_type > $o )).

tff(pred_def_607,type,(
    v898: state_type > $o )).

tff(pred_def_608,type,(
    v905: state_type > $o )).

tff(pred_def_609,type,(
    v906: state_type > $o )).

tff(pred_def_610,type,(
    v904: state_type > $o )).

tff(pred_def_611,type,(
    v907: state_type > $o )).

tff(pred_def_612,type,(
    v903: state_type > $o )).

tff(pred_def_613,type,(
    v883: ( state_type * $int ) > $o )).

tff(pred_def_614,type,(
    v881: ( state_type * $int ) > $o )).

tff(pred_def_615,type,(
    v909: ( state_type * $int ) > $o )).

tff(pred_def_616,type,(
    v908: state_type > $o )).

tff(pred_def_617,type,(
    v183: ( state_type * $int ) > $o )).

tff(pred_def_618,type,(
    v911: state_type > $o )).

tff(pred_def_619,type,(
    v918: state_type > $o )).

tff(pred_def_620,type,(
    v916: state_type > $o )).

tff(pred_def_621,type,(
    v915: state_type > $o )).

tff(pred_def_622,type,(
    v914: state_type > $o )).

tff(pred_def_623,type,(
    v925: state_type > $o )).

tff(pred_def_624,type,(
    v922: ( state_type * $int ) > $o )).

tff(pred_def_625,type,(
    v924: ( state_type * $int ) > $o )).

tff(pred_def_626,type,(
    v177: state_type > $o )).

tff(pred_def_627,type,(
    v932: state_type > $o )).

tff(pred_def_628,type,(
    v931: state_type > $o )).

tff(pred_def_629,type,(
    v933: state_type > $o )).

tff(pred_def_630,type,(
    v930: state_type > $o )).

tff(pred_def_631,type,(
    v935: state_type > $o )).

tff(pred_def_632,type,(
    v934: state_type > $o )).

tff(pred_def_633,type,(
    v941: state_type > $o )).

tff(pred_def_634,type,(
    v939: state_type > $o )).

tff(pred_def_635,type,(
    v938: state_type > $o )).

tff(pred_def_636,type,(
    v944: state_type > $o )).

tff(pred_def_637,type,(
    v946: state_type > $o )).

tff(pred_def_638,type,(
    v950: state_type > $o )).

tff(pred_def_639,type,(
    v953: state_type > $o )).

tff(pred_def_640,type,(
    v952: state_type > $o )).

tff(pred_def_641,type,(
    v955: state_type > $o )).

tff(pred_def_642,type,(
    v954: state_type > $o )).

tff(pred_def_643,type,(
    v951: state_type > $o )).

tff(pred_def_644,type,(
    v27: state_type > $o )).

tff(pred_def_645,type,(
    b1110: $int > $o )).

tff(pred_def_646,type,(
    v8: ( state_type * $int ) > $o )).

tff(pred_def_647,type,(
    v959: state_type > $o )).

tff(pred_def_648,type,(
    v966: state_type > $o )).

tff(pred_def_649,type,(
    v965: state_type > $o )).

tff(pred_def_650,type,(
    v964: state_type > $o )).

tff(pred_def_651,type,(
    v967: state_type > $o )).

tff(pred_def_652,type,(
    v963: state_type > $o )).

tff(pred_def_653,type,(
    v968: state_type > $o )).

tff(pred_def_654,type,(
    v962: state_type > $o )).

tff(pred_def_655,type,(
    v971: state_type > $o )).

tff(pred_def_656,type,(
    v972: state_type > $o )).

tff(pred_def_657,type,(
    v970: state_type > $o )).

tff(pred_def_658,type,(
    v973: state_type > $o )).

tff(pred_def_659,type,(
    v969: state_type > $o )).

tff(pred_def_660,type,(
    v976: state_type > $o )).

tff(pred_def_661,type,(
    v977: state_type > $o )).

tff(pred_def_662,type,(
    v975: state_type > $o )).

tff(pred_def_663,type,(
    v978: state_type > $o )).

tff(pred_def_664,type,(
    v974: state_type > $o )).

tff(pred_def_665,type,(
    v960: ( state_type * $int ) > $o )).

tff(pred_def_666,type,(
    v958: ( state_type * $int ) > $o )).

tff(pred_def_667,type,(
    v23: ( state_type * $int ) > $o )).

tff(pred_def_668,type,(
    v983: state_type > $o )).

tff(pred_def_669,type,(
    v982: state_type > $o )).

tff(pred_def_670,type,(
    v981: state_type > $o )).

tff(pred_def_671,type,(
    v990: state_type > $o )).

tff(pred_def_672,type,(
    v987: ( state_type * $int ) > $o )).

tff(pred_def_673,type,(
    v989: ( state_type * $int ) > $o )).

tff(pred_def_674,type,(
    v1007: ( state_type * $int ) > $o )).

tff(pred_def_675,type,(
    v1009: state_type > $o )).

tff(pred_def_676,type,(
    v1008: state_type > $o )).

tff(pred_def_677,type,(
    v1006: state_type > $o )).

tff(pred_def_678,type,(
    v1005: state_type > $o )).

tff(pred_def_679,type,(
    v1004: state_type > $o )).

tff(pred_def_680,type,(
    v1003: state_type > $o )).

tff(pred_def_681,type,(
    v1001: state_type > $o )).

tff(pred_def_682,type,(
    v1000: ( state_type * $int ) > $o )).

tff(pred_def_683,type,(
    v999: state_type > $o )).

tff(pred_def_684,type,(
    v998: state_type > $o )).

tff(pred_def_685,type,(
    v1010: state_type > $o )).

tff(pred_def_686,type,(
    v996: state_type > $o )).

tff(pred_def_687,type,(
    v995: state_type > $o )).

tff(pred_def_688,type,(
    v4: state_type > $o )).

tff(pred_def_689,type,(
    reachableState: state_type > $o )).

tff(pathAxiom_19,axiom,(
    nextState(constB19,constB20) )).

tff(pathAxiom_18,axiom,(
    nextState(constB18,constB19) )).

tff(pathAxiom_17,axiom,(
    nextState(constB17,constB18) )).

tff(pathAxiom_16,axiom,(
    nextState(constB16,constB17) )).

tff(pathAxiom_15,axiom,(
    nextState(constB15,constB16) )).

tff(pathAxiom_14,axiom,(
    nextState(constB14,constB15) )).

tff(pathAxiom_13,axiom,(
    nextState(constB13,constB14) )).

tff(pathAxiom_12,axiom,(
    nextState(constB12,constB13) )).

tff(pathAxiom_11,axiom,(
    nextState(constB11,constB12) )).

tff(pathAxiom_10,axiom,(
    nextState(constB10,constB11) )).

tff(pathAxiom_9,axiom,(
    nextState(constB9,constB10) )).

tff(pathAxiom_8,axiom,(
    nextState(constB8,constB9) )).

tff(pathAxiom_7,axiom,(
    nextState(constB7,constB8) )).

tff(pathAxiom_6,axiom,(
    nextState(constB6,constB7) )).

tff(pathAxiom_5,axiom,(
    nextState(constB5,constB6) )).

tff(pathAxiom_4,axiom,(
    nextState(constB4,constB5) )).

tff(pathAxiom_3,axiom,(
    nextState(constB3,constB4) )).

tff(pathAxiom_2,axiom,(
    nextState(constB2,constB3) )).

tff(pathAxiom_1,axiom,(
    nextState(constB1,constB2) )).

tff(pathAxiom,axiom,(
    nextState(constB0,constB1) )).

tff(reachableStateAxiom_22,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( reachableState(VarCurr)
        & reachableState(VarNext) ) ) )).

tff(reachableStateAxiom_21,axiom,(
    ! [VarState: state_type] :
      ( reachableState(VarState)
     => ( constB0 = VarState
        | constB1 = VarState
        | constB2 = VarState
        | constB3 = VarState
        | constB4 = VarState
        | constB5 = VarState
        | constB6 = VarState
        | constB7 = VarState
        | constB8 = VarState
        | constB9 = VarState
        | constB10 = VarState
        | constB11 = VarState
        | constB12 = VarState
        | constB13 = VarState
        | constB14 = VarState
        | constB15 = VarState
        | constB16 = VarState
        | constB17 = VarState
        | constB18 = VarState
        | constB19 = VarState
        | constB20 = VarState ) ) )).

tff(reachableStateAxiom_20,axiom,(
    reachableState(constB20) )).

tff(reachableStateAxiom_19,axiom,(
    reachableState(constB19) )).

tff(reachableStateAxiom_18,axiom,(
    reachableState(constB18) )).

tff(reachableStateAxiom_17,axiom,(
    reachableState(constB17) )).

tff(reachableStateAxiom_16,axiom,(
    reachableState(constB16) )).

tff(reachableStateAxiom_15,axiom,(
    reachableState(constB15) )).

tff(reachableStateAxiom_14,axiom,(
    reachableState(constB14) )).

tff(reachableStateAxiom_13,axiom,(
    reachableState(constB13) )).

tff(reachableStateAxiom_12,axiom,(
    reachableState(constB12) )).

tff(reachableStateAxiom_11,axiom,(
    reachableState(constB11) )).

tff(reachableStateAxiom_10,axiom,(
    reachableState(constB10) )).

tff(reachableStateAxiom_9,axiom,(
    reachableState(constB9) )).

tff(reachableStateAxiom_8,axiom,(
    reachableState(constB8) )).

tff(reachableStateAxiom_7,axiom,(
    reachableState(constB7) )).

tff(reachableStateAxiom_6,axiom,(
    reachableState(constB6) )).

tff(reachableStateAxiom_5,axiom,(
    reachableState(constB5) )).

tff(reachableStateAxiom_4,axiom,(
    reachableState(constB4) )).

tff(reachableStateAxiom_3,axiom,(
    reachableState(constB3) )).

tff(reachableStateAxiom_2,axiom,(
    reachableState(constB2) )).

tff(reachableStateAxiom_1,axiom,(
    reachableState(constB1) )).

tff(reachableStateAxiom,axiom,(
    reachableState(constB0) )).

tff(clock_toggling,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v1(VarCurr)
      <=> ~ v1(VarNext) ) ) )).

tff(clock_pattern,axiom,(
    ~ v1(constB0) )).

tff(addAssertion,conjecture,(
    ! [VarCurr: state_type] :
      ( reachableState(VarCurr)
     => v4(VarCurr) ) )).

tff(writeUnaryOperator_113,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v4(VarCurr)
    <=> v995(VarCurr) ) )).

tff(writeUnaryOperator_112,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v995(VarCurr)
    <=> v996(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_170,axiom,(
    ! [VarCurr: state_type] :
      ( v996(VarCurr)
    <=> ( v998(VarCurr)
        & v1010(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_80,axiom,(
    ! [VarCurr: state_type] :
      ( v1010(VarCurr)
    <=> ( v1000(VarCurr,0)
        | v1000(VarCurr,1) ) ) )).

tff(writeUnaryOperator_111,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v998(VarCurr)
    <=> v999(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_79,axiom,(
    ! [VarCurr: state_type] :
      ( v999(VarCurr)
    <=> ( v1000(VarCurr,0)
        & v1000(VarCurr,1) ) ) )).

tff(addAssignment_245,axiom,(
    ! [VarCurr: state_type] :
      ( v1000(VarCurr,0)
    <=> v1001(VarCurr) ) )).

tff(addAssignment_244,axiom,(
    ! [VarCurr: state_type] :
      ( v1000(VarCurr,1)
    <=> $true ) )).

tff(writeBinaryOperatorShiftedRanges_78,axiom,(
    ! [VarCurr: state_type] :
      ( v1001(VarCurr)
    <=> ( v1003(VarCurr)
        & v1007(VarCurr,5) ) ) )).

tff(writeBinaryOperatorShiftedRanges_77,axiom,(
    ! [VarCurr: state_type] :
      ( v1003(VarCurr)
    <=> ( v1004(VarCurr)
        & v1007(VarCurr,4) ) ) )).

tff(writeBinaryOperatorShiftedRanges_76,axiom,(
    ! [VarCurr: state_type] :
      ( v1004(VarCurr)
    <=> ( v1005(VarCurr)
        & v1007(VarCurr,3) ) ) )).

tff(writeBinaryOperatorShiftedRanges_75,axiom,(
    ! [VarCurr: state_type] :
      ( v1005(VarCurr)
    <=> ( v1006(VarCurr)
        & v1007(VarCurr,2) ) ) )).

tff(writeBinaryOperatorShiftedRanges_74,axiom,(
    ! [VarCurr: state_type] :
      ( v1006(VarCurr)
    <=> ( v1007(VarCurr,1)
        | v1008(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_169,axiom,(
    ! [VarCurr: state_type] :
      ( v1008(VarCurr)
    <=> ( v1007(VarCurr,0)
        & v1009(VarCurr) ) ) )).

tff(writeUnaryOperator_110,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v1009(VarCurr)
    <=> v1007(VarCurr,1) ) )).

tff(addZeroExtensionConstraint_4,axiom,(
    ! [VarCurr: state_type] : ~ v1007(VarCurr,4) )).

tff(addZeroExtensionConstraint_3,axiom,(
    ! [VarCurr: state_type] : ~ v1007(VarCurr,5) )).

tff(addAssignment_243,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,4)
        & ~ $less(B,0) )
     => ( v1007(VarCurr,B)
      <=> v8(VarCurr,B) ) ) )).

tff(addCaseBooleanConditionEqualRanges1_8,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v981(VarNext)
       => ! [B: $int] :
            ( ( $less(B,4)
              & ~ $less(B,0) )
           => ( v8(VarNext,B)
            <=> v8(VarCurr,B) ) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_9,axiom,(
    ! [VarNext: state_type] :
      ( v981(VarNext)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v8(VarNext,B)
          <=> v989(VarNext,B) ) ) ) )).

tff(addAssignment_242,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v989(VarNext,B)
          <=> v987(VarCurr,B) ) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_43,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v990(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v987(VarCurr,B)
          <=> v23(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_44,axiom,(
    ! [VarCurr: state_type] :
      ( v990(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v987(VarCurr,B)
          <=> $false ) ) ) )).

tff(writeUnaryOperator_109,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v990(VarCurr)
    <=> v10(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_168,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v981(VarNext)
      <=> v982(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_167,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v982(VarNext)
      <=> ( v983(VarNext)
          & v150(VarNext) ) ) ) )).

tff(writeUnaryOperator_108,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v983(VarNext)
      <=> v163(VarNext) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_42,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v25(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v23(VarCurr,B)
          <=> v8(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_43,axiom,(
    ! [VarCurr: state_type] :
      ( v25(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v23(VarCurr,B)
          <=> v958(VarCurr,B) ) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_41,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v959(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v958(VarCurr,B)
          <=> v960(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_42,axiom,(
    ! [VarCurr: state_type] :
      ( v959(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v958(VarCurr,B)
          <=> $false ) ) ) )).

tff(addAssignment_241,axiom,(
    ! [VarCurr: state_type] :
      ( v960(VarCurr,0)
    <=> v976(VarCurr) ) )).

tff(addAssignment_240,axiom,(
    ! [VarCurr: state_type] :
      ( v960(VarCurr,1)
    <=> v974(VarCurr) ) )).

tff(addAssignment_239,axiom,(
    ! [VarCurr: state_type] :
      ( v960(VarCurr,2)
    <=> v969(VarCurr) ) )).

tff(addAssignment_238,axiom,(
    ! [VarCurr: state_type] :
      ( v960(VarCurr,3)
    <=> v962(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_166,axiom,(
    ! [VarCurr: state_type] :
      ( v974(VarCurr)
    <=> ( v975(VarCurr)
        & v978(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_73,axiom,(
    ! [VarCurr: state_type] :
      ( v978(VarCurr)
    <=> ( v8(VarCurr,0)
        | v8(VarCurr,1) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_165,axiom,(
    ! [VarCurr: state_type] :
      ( v975(VarCurr)
    <=> ( v976(VarCurr)
        | v977(VarCurr) ) ) )).

tff(writeUnaryOperator_107,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v977(VarCurr)
    <=> v8(VarCurr,1) ) )).

tff(writeUnaryOperator_106,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v976(VarCurr)
    <=> v8(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_164,axiom,(
    ! [VarCurr: state_type] :
      ( v969(VarCurr)
    <=> ( v970(VarCurr)
        & v973(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_72,axiom,(
    ! [VarCurr: state_type] :
      ( v973(VarCurr)
    <=> ( v966(VarCurr)
        | v8(VarCurr,2) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_163,axiom,(
    ! [VarCurr: state_type] :
      ( v970(VarCurr)
    <=> ( v971(VarCurr)
        | v972(VarCurr) ) ) )).

tff(writeUnaryOperator_105,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v972(VarCurr)
    <=> v8(VarCurr,2) ) )).

tff(writeUnaryOperator_104,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v971(VarCurr)
    <=> v966(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_162,axiom,(
    ! [VarCurr: state_type] :
      ( v962(VarCurr)
    <=> ( v963(VarCurr)
        & v968(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_71,axiom,(
    ! [VarCurr: state_type] :
      ( v968(VarCurr)
    <=> ( v965(VarCurr)
        | v8(VarCurr,3) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_161,axiom,(
    ! [VarCurr: state_type] :
      ( v963(VarCurr)
    <=> ( v964(VarCurr)
        | v967(VarCurr) ) ) )).

tff(writeUnaryOperator_103,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v967(VarCurr)
    <=> v8(VarCurr,3) ) )).

tff(writeUnaryOperator_102,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v964(VarCurr)
    <=> v965(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_70,axiom,(
    ! [VarCurr: state_type] :
      ( v965(VarCurr)
    <=> ( v966(VarCurr)
        & v8(VarCurr,2) ) ) )).

tff(writeBinaryOperatorShiftedRanges_69,axiom,(
    ! [VarCurr: state_type] :
      ( v966(VarCurr)
    <=> ( v8(VarCurr,0)
        & v8(VarCurr,1) ) ) )).

tff(addBitVectorEqualityBitBlasted_47,axiom,(
    ! [VarCurr: state_type] :
      ( v959(VarCurr)
    <=> ( ( v8(VarCurr,3)
        <=> $true )
        & ( v8(VarCurr,2)
        <=> $true )
        & ( v8(VarCurr,1)
        <=> $true )
        & ( v8(VarCurr,0)
        <=> $false ) ) ) )).

tff(bitBlastConstant_196,axiom,(
    b1110(3) )).

tff(bitBlastConstant_195,axiom,(
    b1110(2) )).

tff(bitBlastConstant_194,axiom,(
    b1110(1) )).

tff(bitBlastConstant_193,axiom,(
    ~ b1110(0) )).

tff(addAssignment_237,axiom,(
    ! [VarCurr: state_type] :
      ( v25(VarCurr)
    <=> v27(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_40,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v950(VarCurr)
     => ( v27(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_41,axiom,(
    ! [VarCurr: state_type] :
      ( v950(VarCurr)
     => ( v27(VarCurr)
      <=> v951(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_17,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v803(VarCurr)
     => ( v951(VarCurr)
      <=> v954(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_16,axiom,(
    ! [VarCurr: state_type] :
      ( v803(VarCurr)
     => ( v951(VarCurr)
      <=> v952(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_39,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v806(VarCurr)
     => ( v954(VarCurr)
      <=> v955(VarCurr) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_40,axiom,(
    ! [VarCurr: state_type] :
      ( v806(VarCurr)
     => ( v954(VarCurr)
      <=> $false ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_38,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v810(VarCurr)
     => ( v955(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_39,axiom,(
    ! [VarCurr: state_type] :
      ( v810(VarCurr)
     => ( v955(VarCurr)
      <=> $true ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_37,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v802(VarCurr)
     => ( v952(VarCurr)
      <=> v953(VarCurr) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_38,axiom,(
    ! [VarCurr: state_type] :
      ( v802(VarCurr)
     => ( v952(VarCurr)
      <=> $true ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_36,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v832(VarCurr)
     => ( v953(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_37,axiom,(
    ! [VarCurr: state_type] :
      ( v832(VarCurr)
     => ( v953(VarCurr)
      <=> $false ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_160,axiom,(
    ! [VarCurr: state_type] :
      ( v950(VarCurr)
    <=> ( v803(VarCurr)
        | v807(VarCurr) ) ) )).

tff(addCaseBooleanConditionEqualRanges1_7,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v938(VarNext)
       => ( v29(VarNext,0)
        <=> v29(VarCurr,0) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_8,axiom,(
    ! [VarNext: state_type] :
      ( v938(VarNext)
     => ( v29(VarNext,0)
      <=> v946(VarNext) ) ) )).

tff(addAssignment_236,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v946(VarNext)
      <=> v944(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_35,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v824(VarCurr)
     => ( v944(VarCurr)
      <=> v31(VarCurr,0) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_36,axiom,(
    ! [VarCurr: state_type] :
      ( v824(VarCurr)
     => ( v944(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_159,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v938(VarNext)
      <=> v939(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_158,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v939(VarNext)
      <=> ( v941(VarNext)
          & v152(VarNext) ) ) ) )).

tff(writeUnaryOperator_101,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v941(VarNext)
      <=> v817(VarNext) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_34,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v930(VarCurr)
     => ( v31(VarCurr,0)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_35,axiom,(
    ! [VarCurr: state_type] :
      ( v930(VarCurr)
     => ( v31(VarCurr,0)
      <=> v934(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_16,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v931(VarCurr)
     => ( v934(VarCurr)
      <=> $true ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_15,axiom,(
    ! [VarCurr: state_type] :
      ( v931(VarCurr)
     => ( v934(VarCurr)
      <=> v935(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_33,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v832(VarCurr)
     => ( v935(VarCurr)
      <=> $true ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_34,axiom,(
    ! [VarCurr: state_type] :
      ( v832(VarCurr)
     => ( v935(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_157,axiom,(
    ! [VarCurr: state_type] :
      ( v930(VarCurr)
    <=> ( v931(VarCurr)
        | v933(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_156,axiom,(
    ! [VarCurr: state_type] :
      ( v933(VarCurr)
    <=> ( v806(VarCurr)
        & v807(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_155,axiom,(
    ! [VarCurr: state_type] :
      ( v931(VarCurr)
    <=> ( v932(VarCurr)
        & v803(VarCurr) ) ) )).

tff(writeUnaryOperator_100,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v932(VarCurr)
    <=> v802(VarCurr) ) )).

tff(addAssignment_235,axiom,(
    ! [VarCurr: state_type] :
      ( v175(VarCurr)
    <=> v177(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_46,axiom,(
    ! [VarCurr: state_type] :
      ( v177(VarCurr)
    <=> ( ( v179(VarCurr,4)
        <=> $false )
        & ( v179(VarCurr,3)
        <=> $false )
        & ( v179(VarCurr,2)
        <=> $false )
        & ( v179(VarCurr,1)
        <=> $false )
        & ( v179(VarCurr,0)
        <=> $false ) ) ) )).

tff(addCaseBooleanConditionEqualRanges1_6,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v914(VarNext)
       => ! [B: $int] :
            ( ( $less(B,5)
              & ~ $less(B,0) )
           => ( v179(VarNext,B)
            <=> v179(VarCurr,B) ) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_7,axiom,(
    ! [VarNext: state_type] :
      ( v914(VarNext)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v179(VarNext,B)
          <=> v924(VarNext,B) ) ) ) )).

tff(addAssignment_234,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v924(VarNext,B)
          <=> v922(VarCurr,B) ) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_32,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v925(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v922(VarCurr,B)
          <=> v183(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_33,axiom,(
    ! [VarCurr: state_type] :
      ( v925(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v922(VarCurr,B)
          <=> $false ) ) ) )).

tff(writeUnaryOperator_99,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v925(VarCurr)
    <=> v181(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_154,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v914(VarNext)
      <=> v915(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_153,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v915(VarNext)
      <=> ( v916(VarNext)
          & v911(VarNext) ) ) ) )).

tff(writeUnaryOperator_98,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v916(VarNext)
      <=> v918(VarNext) ) ) )).

tff(addAssignment_233,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v918(VarNext)
      <=> v911(VarCurr) ) ) )).

tff(addAssignment_232,axiom,(
    ! [VarCurr: state_type] :
      ( v911(VarCurr)
    <=> v152(VarCurr) ) )).

tff(addParallelCaseBooleanConditionEqualRanges3_4,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v836(VarCurr)
        & ~ v838(VarCurr)
        & ~ v879(VarCurr) )
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v183(VarCurr,B)
          <=> v179(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges2_7,axiom,(
    ! [VarCurr: state_type] :
      ( v879(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v183(VarCurr,B)
          <=> v881(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_15,axiom,(
    ! [VarCurr: state_type] :
      ( v838(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v183(VarCurr,B)
          <=> v840(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_14,axiom,(
    ! [VarCurr: state_type] :
      ( v836(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v183(VarCurr,B)
          <=> v179(VarCurr,B) ) ) ) )).

tff(addBitVectorEqualityBitBlasted_45,axiom,(
    ! [VarCurr: state_type] :
      ( v908(VarCurr)
    <=> ( ( v909(VarCurr,1)
        <=> $true )
        & ( v909(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_231,axiom,(
    ! [VarCurr: state_type] :
      ( v909(VarCurr,0)
    <=> v796(VarCurr) ) )).

tff(addAssignment_230,axiom,(
    ! [VarCurr: state_type] :
      ( v909(VarCurr,1)
    <=> v185(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_31,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v882(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v881(VarCurr,B)
          <=> v883(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_32,axiom,(
    ! [VarCurr: state_type] :
      ( v882(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v881(VarCurr,B)
          <=> b01111(B) ) ) ) )).

tff(addAssignment_229,axiom,(
    ! [VarCurr: state_type] :
      ( v883(VarCurr,0)
    <=> v905(VarCurr) ) )).

tff(addAssignment_228,axiom,(
    ! [VarCurr: state_type] :
      ( v883(VarCurr,1)
    <=> v903(VarCurr) ) )).

tff(addAssignment_227,axiom,(
    ! [VarCurr: state_type] :
      ( v883(VarCurr,2)
    <=> v898(VarCurr) ) )).

tff(addAssignment_226,axiom,(
    ! [VarCurr: state_type] :
      ( v883(VarCurr,3)
    <=> v893(VarCurr) ) )).

tff(addAssignment_225,axiom,(
    ! [VarCurr: state_type] :
      ( v883(VarCurr,4)
    <=> v885(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_152,axiom,(
    ! [VarCurr: state_type] :
      ( v903(VarCurr)
    <=> ( v904(VarCurr)
        & v907(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_68,axiom,(
    ! [VarCurr: state_type] :
      ( v907(VarCurr)
    <=> ( v179(VarCurr,0)
        | v179(VarCurr,1) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_151,axiom,(
    ! [VarCurr: state_type] :
      ( v904(VarCurr)
    <=> ( v905(VarCurr)
        | v906(VarCurr) ) ) )).

tff(writeUnaryOperator_97,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v906(VarCurr)
    <=> v179(VarCurr,1) ) )).

tff(writeUnaryOperator_96,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v905(VarCurr)
    <=> v179(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_150,axiom,(
    ! [VarCurr: state_type] :
      ( v898(VarCurr)
    <=> ( v899(VarCurr)
        & v902(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_67,axiom,(
    ! [VarCurr: state_type] :
      ( v902(VarCurr)
    <=> ( v890(VarCurr)
        | v179(VarCurr,2) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_149,axiom,(
    ! [VarCurr: state_type] :
      ( v899(VarCurr)
    <=> ( v900(VarCurr)
        | v901(VarCurr) ) ) )).

tff(writeUnaryOperator_95,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v901(VarCurr)
    <=> v179(VarCurr,2) ) )).

tff(writeUnaryOperator_94,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v900(VarCurr)
    <=> v890(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_148,axiom,(
    ! [VarCurr: state_type] :
      ( v893(VarCurr)
    <=> ( v894(VarCurr)
        & v897(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_66,axiom,(
    ! [VarCurr: state_type] :
      ( v897(VarCurr)
    <=> ( v889(VarCurr)
        | v179(VarCurr,3) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_147,axiom,(
    ! [VarCurr: state_type] :
      ( v894(VarCurr)
    <=> ( v895(VarCurr)
        | v896(VarCurr) ) ) )).

tff(writeUnaryOperator_93,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v896(VarCurr)
    <=> v179(VarCurr,3) ) )).

tff(writeUnaryOperator_92,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v895(VarCurr)
    <=> v889(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_146,axiom,(
    ! [VarCurr: state_type] :
      ( v885(VarCurr)
    <=> ( v886(VarCurr)
        & v892(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_65,axiom,(
    ! [VarCurr: state_type] :
      ( v892(VarCurr)
    <=> ( v888(VarCurr)
        | v179(VarCurr,4) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_145,axiom,(
    ! [VarCurr: state_type] :
      ( v886(VarCurr)
    <=> ( v887(VarCurr)
        | v891(VarCurr) ) ) )).

tff(writeUnaryOperator_91,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v891(VarCurr)
    <=> v179(VarCurr,4) ) )).

tff(writeUnaryOperator_90,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v887(VarCurr)
    <=> v888(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_64,axiom,(
    ! [VarCurr: state_type] :
      ( v888(VarCurr)
    <=> ( v889(VarCurr)
        & v179(VarCurr,3) ) ) )).

tff(writeBinaryOperatorShiftedRanges_63,axiom,(
    ! [VarCurr: state_type] :
      ( v889(VarCurr)
    <=> ( v890(VarCurr)
        & v179(VarCurr,2) ) ) )).

tff(writeBinaryOperatorShiftedRanges_62,axiom,(
    ! [VarCurr: state_type] :
      ( v890(VarCurr)
    <=> ( v179(VarCurr,0)
        & v179(VarCurr,1) ) ) )).

tff(addBitVectorEqualityBitBlasted_44,axiom,(
    ! [VarCurr: state_type] :
      ( v882(VarCurr)
    <=> ( ( v179(VarCurr,4)
        <=> $false )
        & ( v179(VarCurr,3)
        <=> $true )
        & ( v179(VarCurr,2)
        <=> $true )
        & ( v179(VarCurr,1)
        <=> $true )
        & ( v179(VarCurr,0)
        <=> $true ) ) ) )).

tff(addBitVectorEqualityBitBlasted_43,axiom,(
    ! [VarCurr: state_type] :
      ( v879(VarCurr)
    <=> ( ( v880(VarCurr,1)
        <=> $true )
        & ( v880(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_224,axiom,(
    ! [VarCurr: state_type] :
      ( v880(VarCurr,0)
    <=> v796(VarCurr) ) )).

tff(addAssignment_223,axiom,(
    ! [VarCurr: state_type] :
      ( v880(VarCurr,1)
    <=> v185(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_30,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v841(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,32)
            & ~ $less(B,0) )
         => ( v840(VarCurr,B)
          <=> v842(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_31,axiom,(
    ! [VarCurr: state_type] :
      ( v841(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,32)
            & ~ $less(B,0) )
         => ( v840(VarCurr,B)
          <=> $false ) ) ) )).

tff(addSignExtensionConstraint_79,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,6)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_78,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,7)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_77,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,8)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_76,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,9)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_75,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,10)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_74,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,11)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_73,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,12)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_72,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,13)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_71,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,14)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_70,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,15)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_69,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,16)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_68,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,17)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_67,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,18)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_66,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,19)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_65,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,20)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_64,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,21)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_63,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,22)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_62,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,23)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_61,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,24)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_60,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,25)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_59,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,26)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_58,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,27)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_57,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,28)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_56,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,29)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_55,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,30)
    <=> v843(VarCurr,5) ) )).

tff(addSignExtensionConstraint_54,axiom,(
    ! [VarCurr: state_type] :
      ( v842(VarCurr,31)
    <=> v843(VarCurr,5) ) )).

tff(addAssignment_222,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,6)
        & ~ $less(B,0) )
     => ( v842(VarCurr,B)
      <=> v843(VarCurr,B) ) ) )).

tff(addAssignment_221,axiom,(
    ! [VarCurr: state_type] :
      ( v843(VarCurr,0)
    <=> v877(VarCurr) ) )).

tff(addAssignment_220,axiom,(
    ! [VarCurr: state_type] :
      ( v843(VarCurr,1)
    <=> v875(VarCurr) ) )).

tff(addAssignment_219,axiom,(
    ! [VarCurr: state_type] :
      ( v843(VarCurr,2)
    <=> v871(VarCurr) ) )).

tff(addAssignment_218,axiom,(
    ! [VarCurr: state_type] :
      ( v843(VarCurr,3)
    <=> v867(VarCurr) ) )).

tff(addAssignment_217,axiom,(
    ! [VarCurr: state_type] :
      ( v843(VarCurr,4)
    <=> v863(VarCurr) ) )).

tff(addAssignment_216,axiom,(
    ! [VarCurr: state_type] :
      ( v843(VarCurr,5)
    <=> v845(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_144,axiom,(
    ! [VarCurr: state_type] :
      ( v875(VarCurr)
    <=> ( v876(VarCurr)
        & v878(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_143,axiom,(
    ! [VarCurr: state_type] :
      ( v878(VarCurr)
    <=> ( v849(VarCurr,0)
        | v857(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_61,axiom,(
    ! [VarCurr: state_type] :
      ( v876(VarCurr)
    <=> ( v877(VarCurr)
        | v849(VarCurr,1) ) ) )).

tff(writeUnaryOperator_89,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v877(VarCurr)
    <=> v849(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_142,axiom,(
    ! [VarCurr: state_type] :
      ( v871(VarCurr)
    <=> ( v872(VarCurr)
        & v874(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_141,axiom,(
    ! [VarCurr: state_type] :
      ( v874(VarCurr)
    <=> ( v855(VarCurr)
        | v858(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_60,axiom,(
    ! [VarCurr: state_type] :
      ( v872(VarCurr)
    <=> ( v873(VarCurr)
        | v849(VarCurr,2) ) ) )).

tff(writeUnaryOperator_88,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v873(VarCurr)
    <=> v855(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_140,axiom,(
    ! [VarCurr: state_type] :
      ( v867(VarCurr)
    <=> ( v868(VarCurr)
        & v870(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_139,axiom,(
    ! [VarCurr: state_type] :
      ( v870(VarCurr)
    <=> ( v853(VarCurr)
        | v859(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_59,axiom,(
    ! [VarCurr: state_type] :
      ( v868(VarCurr)
    <=> ( v869(VarCurr)
        | v849(VarCurr,3) ) ) )).

tff(writeUnaryOperator_87,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v869(VarCurr)
    <=> v853(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_138,axiom,(
    ! [VarCurr: state_type] :
      ( v863(VarCurr)
    <=> ( v864(VarCurr)
        & v866(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_137,axiom,(
    ! [VarCurr: state_type] :
      ( v866(VarCurr)
    <=> ( v851(VarCurr)
        | v860(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_58,axiom,(
    ! [VarCurr: state_type] :
      ( v864(VarCurr)
    <=> ( v865(VarCurr)
        | v849(VarCurr,4) ) ) )).

tff(writeUnaryOperator_86,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v865(VarCurr)
    <=> v851(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_136,axiom,(
    ! [VarCurr: state_type] :
      ( v845(VarCurr)
    <=> ( v846(VarCurr)
        & v861(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_135,axiom,(
    ! [VarCurr: state_type] :
      ( v861(VarCurr)
    <=> ( v848(VarCurr)
        | v862(VarCurr) ) ) )).

tff(writeUnaryOperator_85,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v862(VarCurr)
    <=> v849(VarCurr,5) ) )).

tff(writeBinaryOperatorShiftedRanges_57,axiom,(
    ! [VarCurr: state_type] :
      ( v846(VarCurr)
    <=> ( v847(VarCurr)
        | v849(VarCurr,5) ) ) )).

tff(writeUnaryOperator_84,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v847(VarCurr)
    <=> v848(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_56,axiom,(
    ! [VarCurr: state_type] :
      ( v848(VarCurr)
    <=> ( v849(VarCurr,4)
        | v850(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_134,axiom,(
    ! [VarCurr: state_type] :
      ( v850(VarCurr)
    <=> ( v851(VarCurr)
        & v860(VarCurr) ) ) )).

tff(writeUnaryOperator_83,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v860(VarCurr)
    <=> v849(VarCurr,4) ) )).

tff(writeBinaryOperatorShiftedRanges_55,axiom,(
    ! [VarCurr: state_type] :
      ( v851(VarCurr)
    <=> ( v849(VarCurr,3)
        | v852(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_133,axiom,(
    ! [VarCurr: state_type] :
      ( v852(VarCurr)
    <=> ( v853(VarCurr)
        & v859(VarCurr) ) ) )).

tff(writeUnaryOperator_82,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v859(VarCurr)
    <=> v849(VarCurr,3) ) )).

tff(writeBinaryOperatorShiftedRanges_54,axiom,(
    ! [VarCurr: state_type] :
      ( v853(VarCurr)
    <=> ( v849(VarCurr,2)
        | v854(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_132,axiom,(
    ! [VarCurr: state_type] :
      ( v854(VarCurr)
    <=> ( v855(VarCurr)
        & v858(VarCurr) ) ) )).

tff(writeUnaryOperator_81,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v858(VarCurr)
    <=> v849(VarCurr,2) ) )).

tff(writeBinaryOperatorShiftedRanges_53,axiom,(
    ! [VarCurr: state_type] :
      ( v855(VarCurr)
    <=> ( v849(VarCurr,1)
        | v856(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_131,axiom,(
    ! [VarCurr: state_type] :
      ( v856(VarCurr)
    <=> ( v849(VarCurr,0)
        & v857(VarCurr) ) ) )).

tff(writeUnaryOperator_80,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v857(VarCurr)
    <=> v849(VarCurr,1) ) )).

tff(addZeroExtensionConstraint_2,axiom,(
    ! [VarCurr: state_type] : ~ v849(VarCurr,5) )).

tff(addAssignment_215,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,5)
        & ~ $less(B,0) )
     => ( v849(VarCurr,B)
      <=> v179(VarCurr,B) ) ) )).

tff(addBitVectorEqualityBitBlasted_42,axiom,(
    ! [VarCurr: state_type] :
      ( v841(VarCurr)
    <=> ( ( v179(VarCurr,4)
        <=> $false )
        & ( v179(VarCurr,3)
        <=> $false )
        & ( v179(VarCurr,2)
        <=> $false )
        & ( v179(VarCurr,1)
        <=> $false )
        & ( v179(VarCurr,0)
        <=> $false ) ) ) )).

tff(addBitVectorEqualityBitBlasted_41,axiom,(
    ! [VarCurr: state_type] :
      ( v838(VarCurr)
    <=> ( ( v839(VarCurr,1)
        <=> $false )
        & ( v839(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_214,axiom,(
    ! [VarCurr: state_type] :
      ( v839(VarCurr,0)
    <=> v796(VarCurr) ) )).

tff(addAssignment_213,axiom,(
    ! [VarCurr: state_type] :
      ( v839(VarCurr,1)
    <=> v185(VarCurr) ) )).

tff(addAssignmentInitValueVector_3,axiom,(
    ! [B: $int] :
      ( ( $less(B,5)
        & ~ $less(B,0) )
     => ( v179(constB0,B)
      <=> $false ) ) )).

tff(addBitVectorEqualityBitBlasted_40,axiom,(
    ! [VarCurr: state_type] :
      ( v836(VarCurr)
    <=> ( ( v837(VarCurr,1)
        <=> $false )
        & ( v837(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_212,axiom,(
    ! [VarCurr: state_type] :
      ( v837(VarCurr,0)
    <=> v796(VarCurr) ) )).

tff(addAssignment_211,axiom,(
    ! [VarCurr: state_type] :
      ( v837(VarCurr,1)
    <=> v185(VarCurr) ) )).

tff(addAssignment_210,axiom,(
    ! [VarCurr: state_type] :
      ( v796(VarCurr)
    <=> v798(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_29,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v828(VarCurr)
     => ( v798(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_30,axiom,(
    ! [VarCurr: state_type] :
      ( v828(VarCurr)
     => ( v798(VarCurr)
      <=> v829(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_14,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v803(VarCurr)
     => ( v829(VarCurr)
      <=> v833(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_13,axiom,(
    ! [VarCurr: state_type] :
      ( v803(VarCurr)
     => ( v829(VarCurr)
      <=> v830(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_28,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v806(VarCurr)
     => ( v833(VarCurr)
      <=> v834(VarCurr) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_29,axiom,(
    ! [VarCurr: state_type] :
      ( v806(VarCurr)
     => ( v833(VarCurr)
      <=> $true ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_27,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v810(VarCurr)
     => ( v834(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_28,axiom,(
    ! [VarCurr: state_type] :
      ( v810(VarCurr)
     => ( v834(VarCurr)
      <=> $false ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_26,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v802(VarCurr)
     => ( v830(VarCurr)
      <=> v831(VarCurr) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_27,axiom,(
    ! [VarCurr: state_type] :
      ( v802(VarCurr)
     => ( v830(VarCurr)
      <=> $false ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_25,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v832(VarCurr)
     => ( v831(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_26,axiom,(
    ! [VarCurr: state_type] :
      ( v832(VarCurr)
     => ( v831(VarCurr)
      <=> $true ) ) )).

tff(writeUnaryOperator_79,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v832(VarCurr)
    <=> v175(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_130,axiom,(
    ! [VarCurr: state_type] :
      ( v828(VarCurr)
    <=> ( v803(VarCurr)
        | v807(VarCurr) ) ) )).

tff(addCaseBooleanConditionEqualRanges1_5,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v813(VarNext)
       => ( v29(VarNext,1)
        <=> v29(VarCurr,1) ) ) ) )).

tff(addCaseBooleanConditionShiftedRanges0,axiom,(
    ! [VarNext: state_type] :
      ( v813(VarNext)
     => ( v29(VarNext,1)
      <=> v823(VarNext) ) ) )).

tff(addAssignment_209,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v823(VarNext)
      <=> v821(VarCurr) ) ) )).

tff(addConditionBooleanCondShiftedRangesElseBranch_1,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v824(VarCurr)
     => ( v821(VarCurr)
      <=> v31(VarCurr,1) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_25,axiom,(
    ! [VarCurr: state_type] :
      ( v824(VarCurr)
     => ( v821(VarCurr)
      <=> $false ) ) )).

tff(writeUnaryOperator_78,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v824(VarCurr)
    <=> v12(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_129,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v813(VarNext)
      <=> v814(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_128,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v814(VarNext)
      <=> ( v815(VarNext)
          & v152(VarNext) ) ) ) )).

tff(writeUnaryOperator_77,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v815(VarNext)
      <=> v817(VarNext) ) ) )).

tff(addAssignment_208,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v817(VarNext)
      <=> v152(VarCurr) ) ) )).

tff(addConditionBooleanCondShiftedRangesElseBranch,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v800(VarCurr)
     => ( v31(VarCurr,1)
      <=> $false ) ) )).

tff(addConditionBooleanCondShiftedRangesThenBranch,axiom,(
    ! [VarCurr: state_type] :
      ( v800(VarCurr)
     => ( v31(VarCurr,1)
      <=> v808(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_13,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v801(VarCurr)
     => ( v808(VarCurr)
      <=> v809(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_12,axiom,(
    ! [VarCurr: state_type] :
      ( v801(VarCurr)
     => ( v808(VarCurr)
      <=> $true ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_24,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v810(VarCurr)
     => ( v809(VarCurr)
      <=> $true ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_24,axiom,(
    ! [VarCurr: state_type] :
      ( v810(VarCurr)
     => ( v809(VarCurr)
      <=> $true ) ) )).

tff(writeUnaryOperator_76,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v810(VarCurr)
    <=> v33(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_127,axiom,(
    ! [VarCurr: state_type] :
      ( v800(VarCurr)
    <=> ( v801(VarCurr)
        | v804(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_126,axiom,(
    ! [VarCurr: state_type] :
      ( v804(VarCurr)
    <=> ( v805(VarCurr)
        & v807(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_39,axiom,(
    ! [VarCurr: state_type] :
      ( v807(VarCurr)
    <=> ( $true
      <=> v29(VarCurr,1) ) ) )).

tff(writeUnaryOperator_75,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v805(VarCurr)
    <=> v806(VarCurr) ) )).

tff(writeUnaryOperator_74,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v806(VarCurr)
    <=> v175(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_125,axiom,(
    ! [VarCurr: state_type] :
      ( v801(VarCurr)
    <=> ( v802(VarCurr)
        & v803(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_38,axiom,(
    ! [VarCurr: state_type] :
      ( v803(VarCurr)
    <=> ( $true
      <=> v29(VarCurr,0) ) ) )).

tff(addAssignmentInitValueVector_2,axiom,
    ( v29(constB0,1)
  <=> $false )).

tff(addAssignmentInitValueVector_1,axiom,
    ( v29(constB0,0)
  <=> $true )).

tff(writeUnaryOperator_73,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v802(VarCurr)
    <=> v33(VarCurr) ) )).

tff(addAssignment_207,axiom,(
    ! [VarCurr: state_type] :
      ( v185(VarCurr)
    <=> v187(VarCurr) ) )).

tff(addAssignment_206,axiom,(
    ! [VarCurr: state_type] :
      ( v187(VarCurr)
    <=> v189(VarCurr) ) )).

tff(addAssignment_205,axiom,(
    ! [VarCurr: state_type] :
      ( v189(VarCurr)
    <=> v191(VarCurr) ) )).

tff(addAssignment_204,axiom,(
    ! [VarCurr: state_type] :
      ( v191(VarCurr)
    <=> v193(VarCurr) ) )).

tff(addAssignment_203,axiom,(
    ! [VarCurr: state_type] :
      ( v193(VarCurr)
    <=> v195(VarCurr) ) )).

tff(addCaseBooleanConditionEqualRanges1_4,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v783(VarNext)
       => ( v195(VarNext)
        <=> v195(VarCurr) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_6,axiom,(
    ! [VarNext: state_type] :
      ( v783(VarNext)
     => ( v195(VarNext)
      <=> v791(VarNext) ) ) )).

tff(addAssignment_202,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v791(VarNext)
      <=> v789(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_23,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v792(VarCurr)
     => ( v789(VarCurr)
      <=> v201(VarCurr) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_23,axiom,(
    ! [VarCurr: state_type] :
      ( v792(VarCurr)
     => ( v789(VarCurr)
      <=> $false ) ) )).

tff(writeUnaryOperator_72,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v792(VarCurr)
    <=> v197(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_124,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v783(VarNext)
      <=> v784(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_123,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v784(VarNext)
      <=> ( v785(VarNext)
          & v438(VarNext) ) ) ) )).

tff(writeUnaryOperator_71,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v785(VarNext)
      <=> v447(VarNext) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_22,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v775(VarCurr)
     => ( v201(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_22,axiom,(
    ! [VarCurr: state_type] :
      ( v775(VarCurr)
     => ( v201(VarCurr)
      <=> v780(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_12,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v777(VarCurr)
     => ( v780(VarCurr)
      <=> $false ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_11,axiom,(
    ! [VarCurr: state_type] :
      ( v777(VarCurr)
     => ( v780(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_122,axiom,(
    ! [VarCurr: state_type] :
      ( v775(VarCurr)
    <=> ( v776(VarCurr)
        & v779(VarCurr) ) ) )).

tff(writeUnaryOperator_70,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v779(VarCurr)
    <=> v385(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_121,axiom,(
    ! [VarCurr: state_type] :
      ( v776(VarCurr)
    <=> ( v777(VarCurr)
        | v778(VarCurr) ) ) )).

tff(writeUnaryOperator_69,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v778(VarCurr)
    <=> v382(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_120,axiom,(
    ! [VarCurr: state_type] :
      ( v777(VarCurr)
    <=> ( v550(VarCurr)
        & v382(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_21,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v205(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v203(VarCurr,B)
          <=> v705(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_21,axiom,(
    ! [VarCurr: state_type] :
      ( v205(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v203(VarCurr,B)
          <=> $false ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges4,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v706(VarCurr)
        & ~ v743(VarCurr)
        & ~ v751(VarCurr)
        & ~ v759(VarCurr) )
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v705(VarCurr,B)
          <=> $true ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges3_3,axiom,(
    ! [VarCurr: state_type] :
      ( v759(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v705(VarCurr,B)
          <=> b01(B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges2_6,axiom,(
    ! [VarCurr: state_type] :
      ( v751(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v705(VarCurr,B)
          <=> $false ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_11,axiom,(
    ! [VarCurr: state_type] :
      ( v743(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v705(VarCurr,B)
          <=> v750(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_10,axiom,(
    ! [VarCurr: state_type] :
      ( v706(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v705(VarCurr,B)
          <=> $false ) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_119,axiom,(
    ! [VarCurr: state_type] :
      ( v759(VarCurr)
    <=> ( v761(VarCurr)
        | v770(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_118,axiom,(
    ! [VarCurr: state_type] :
      ( v770(VarCurr)
    <=> ( v772(VarCurr)
        & v725(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_52,axiom,(
    ! [VarCurr: state_type] :
      ( v772(VarCurr)
    <=> ( v773(VarCurr)
        & v593(VarCurr,5) ) ) )).

tff(writeBinaryOperatorShiftedRanges_51,axiom,(
    ! [VarCurr: state_type] :
      ( v773(VarCurr)
    <=> ( v722(VarCurr)
        & v593(VarCurr,4) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_117,axiom,(
    ! [VarCurr: state_type] :
      ( v761(VarCurr)
    <=> ( v762(VarCurr)
        | v767(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_50,axiom,(
    ! [VarCurr: state_type] :
      ( v767(VarCurr)
    <=> ( v769(VarCurr)
        & v593(VarCurr,6) ) ) )).

tff(writeBinaryOperatorShiftedRanges_49,axiom,(
    ! [VarCurr: state_type] :
      ( v769(VarCurr)
    <=> ( v765(VarCurr)
        & v593(VarCurr,5) ) ) )).

tff(writeBinaryOperatorShiftedRanges_48,axiom,(
    ! [VarCurr: state_type] :
      ( v762(VarCurr)
    <=> ( v764(VarCurr)
        & v593(VarCurr,6) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_116,axiom,(
    ! [VarCurr: state_type] :
      ( v764(VarCurr)
    <=> ( v765(VarCurr)
        & v724(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_47,axiom,(
    ! [VarCurr: state_type] :
      ( v765(VarCurr)
    <=> ( v766(VarCurr)
        & v593(VarCurr,4) ) ) )).

tff(writeBinaryOperatorShiftedRanges_46,axiom,(
    ! [VarCurr: state_type] :
      ( v766(VarCurr)
    <=> ( v717(VarCurr)
        & v593(VarCurr,3) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_115,axiom,(
    ! [VarCurr: state_type] :
      ( v751(VarCurr)
    <=> ( v752(VarCurr)
        | v754(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_114,axiom,(
    ! [VarCurr: state_type] :
      ( v754(VarCurr)
    <=> ( v756(VarCurr)
        & v725(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_113,axiom,(
    ! [VarCurr: state_type] :
      ( v756(VarCurr)
    <=> ( v757(VarCurr)
        & v724(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_112,axiom,(
    ! [VarCurr: state_type] :
      ( v757(VarCurr)
    <=> ( v758(VarCurr)
        & v723(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_45,axiom,(
    ! [VarCurr: state_type] :
      ( v758(VarCurr)
    <=> ( v734(VarCurr)
        & v593(VarCurr,3) ) ) )).

tff(writeBinaryOperatorShiftedRanges_44,axiom,(
    ! [VarCurr: state_type] :
      ( v752(VarCurr)
    <=> ( v745(VarCurr)
        & v593(VarCurr,6) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_20,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v690(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v750(VarCurr,B)
          <=> $false ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_20,axiom,(
    ! [VarCurr: state_type] :
      ( v690(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,2)
            & ~ $less(B,0) )
         => ( v750(VarCurr,B)
          <=> b10(B) ) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_111,axiom,(
    ! [VarCurr: state_type] :
      ( v743(VarCurr)
    <=> ( v745(VarCurr)
        & v725(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_110,axiom,(
    ! [VarCurr: state_type] :
      ( v745(VarCurr)
    <=> ( v746(VarCurr)
        & v724(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_109,axiom,(
    ! [VarCurr: state_type] :
      ( v746(VarCurr)
    <=> ( v747(VarCurr)
        & v723(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_43,axiom,(
    ! [VarCurr: state_type] :
      ( v747(VarCurr)
    <=> ( v748(VarCurr)
        & v593(VarCurr,3) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_108,axiom,(
    ! [VarCurr: state_type] :
      ( v748(VarCurr)
    <=> ( v749(VarCurr)
        & v721(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_42,axiom,(
    ! [VarCurr: state_type] :
      ( v749(VarCurr)
    <=> ( v719(VarCurr)
        & v593(VarCurr,1) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_107,axiom,(
    ! [VarCurr: state_type] :
      ( v706(VarCurr)
    <=> ( v708(VarCurr)
        | v741(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_41,axiom,(
    ! [VarCurr: state_type] :
      ( v741(VarCurr)
    <=> ( v728(VarCurr)
        & v593(VarCurr,6) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_106,axiom,(
    ! [VarCurr: state_type] :
      ( v708(VarCurr)
    <=> ( v709(VarCurr)
        | v739(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_40,axiom,(
    ! [VarCurr: state_type] :
      ( v739(VarCurr)
    <=> ( v714(VarCurr)
        & v593(VarCurr,6) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_105,axiom,(
    ! [VarCurr: state_type] :
      ( v709(VarCurr)
    <=> ( v710(VarCurr)
        | v736(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_104,axiom,(
    ! [VarCurr: state_type] :
      ( v736(VarCurr)
    <=> ( v738(VarCurr)
        & v725(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_39,axiom,(
    ! [VarCurr: state_type] :
      ( v738(VarCurr)
    <=> ( v732(VarCurr)
        & v593(VarCurr,5) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_103,axiom,(
    ! [VarCurr: state_type] :
      ( v710(VarCurr)
    <=> ( v711(VarCurr)
        | v729(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_102,axiom,(
    ! [VarCurr: state_type] :
      ( v729(VarCurr)
    <=> ( v731(VarCurr)
        & v725(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_101,axiom,(
    ! [VarCurr: state_type] :
      ( v731(VarCurr)
    <=> ( v732(VarCurr)
        & v724(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_100,axiom,(
    ! [VarCurr: state_type] :
      ( v732(VarCurr)
    <=> ( v733(VarCurr)
        & v723(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_99,axiom,(
    ! [VarCurr: state_type] :
      ( v733(VarCurr)
    <=> ( v734(VarCurr)
        & v722(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_98,axiom,(
    ! [VarCurr: state_type] :
      ( v734(VarCurr)
    <=> ( v735(VarCurr)
        & v721(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_97,axiom,(
    ! [VarCurr: state_type] :
      ( v735(VarCurr)
    <=> ( v593(VarCurr,0)
        & v720(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_96,axiom,(
    ! [VarCurr: state_type] :
      ( v711(VarCurr)
    <=> ( v712(VarCurr)
        | v726(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_95,axiom,(
    ! [VarCurr: state_type] :
      ( v726(VarCurr)
    <=> ( v728(VarCurr)
        & v725(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_38,axiom,(
    ! [VarCurr: state_type] :
      ( v728(VarCurr)
    <=> ( v715(VarCurr)
        & v593(VarCurr,5) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_94,axiom,(
    ! [VarCurr: state_type] :
      ( v712(VarCurr)
    <=> ( v714(VarCurr)
        & v725(VarCurr) ) ) )).

tff(writeUnaryOperator_68,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v725(VarCurr)
    <=> v593(VarCurr,6) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_93,axiom,(
    ! [VarCurr: state_type] :
      ( v714(VarCurr)
    <=> ( v715(VarCurr)
        & v724(VarCurr) ) ) )).

tff(writeUnaryOperator_67,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v724(VarCurr)
    <=> v593(VarCurr,5) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_92,axiom,(
    ! [VarCurr: state_type] :
      ( v715(VarCurr)
    <=> ( v716(VarCurr)
        & v723(VarCurr) ) ) )).

tff(writeUnaryOperator_66,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v723(VarCurr)
    <=> v593(VarCurr,4) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_91,axiom,(
    ! [VarCurr: state_type] :
      ( v716(VarCurr)
    <=> ( v717(VarCurr)
        & v722(VarCurr) ) ) )).

tff(writeUnaryOperator_65,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v722(VarCurr)
    <=> v593(VarCurr,3) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_90,axiom,(
    ! [VarCurr: state_type] :
      ( v717(VarCurr)
    <=> ( v718(VarCurr)
        & v721(VarCurr) ) ) )).

tff(writeUnaryOperator_64,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v721(VarCurr)
    <=> v593(VarCurr,2) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_89,axiom,(
    ! [VarCurr: state_type] :
      ( v718(VarCurr)
    <=> ( v719(VarCurr)
        & v720(VarCurr) ) ) )).

tff(writeUnaryOperator_63,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v720(VarCurr)
    <=> v593(VarCurr,1) ) )).

tff(writeUnaryOperator_62,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v719(VarCurr)
    <=> v593(VarCurr,0) ) )).

tff(addAssignment_201,axiom,(
    ! [VarCurr: state_type] :
      ( v690(VarCurr)
    <=> v595(VarCurr,81) ) )).

tff(addAssignment_200,axiom,(
    ! [VarCurr: state_type] :
      ( v595(VarCurr,81)
    <=> v597(VarCurr,81) ) )).

tff(addAssignment_199,axiom,(
    ! [VarCurr: state_type] :
      ( v597(VarCurr,81)
    <=> v599(VarCurr,696) ) )).

tff(addAssignment_198,axiom,(
    ! [VarNext: state_type] :
      ( v599(VarNext,696)
    <=> v692(VarNext,81) ) )).

tff(addCaseBooleanConditionShiftedRanges1_1,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v694(VarNext)
       => ( ( v692(VarNext,122)
          <=> v599(VarCurr,737) )
          & ( v692(VarNext,121)
          <=> v599(VarCurr,736) )
          & ( v692(VarNext,120)
          <=> v599(VarCurr,735) )
          & ( v692(VarNext,119)
          <=> v599(VarCurr,734) )
          & ( v692(VarNext,118)
          <=> v599(VarCurr,733) )
          & ( v692(VarNext,117)
          <=> v599(VarCurr,732) )
          & ( v692(VarNext,116)
          <=> v599(VarCurr,731) )
          & ( v692(VarNext,115)
          <=> v599(VarCurr,730) )
          & ( v692(VarNext,114)
          <=> v599(VarCurr,729) )
          & ( v692(VarNext,113)
          <=> v599(VarCurr,728) )
          & ( v692(VarNext,112)
          <=> v599(VarCurr,727) )
          & ( v692(VarNext,111)
          <=> v599(VarCurr,726) )
          & ( v692(VarNext,110)
          <=> v599(VarCurr,725) )
          & ( v692(VarNext,109)
          <=> v599(VarCurr,724) )
          & ( v692(VarNext,108)
          <=> v599(VarCurr,723) )
          & ( v692(VarNext,107)
          <=> v599(VarCurr,722) )
          & ( v692(VarNext,106)
          <=> v599(VarCurr,721) )
          & ( v692(VarNext,105)
          <=> v599(VarCurr,720) )
          & ( v692(VarNext,104)
          <=> v599(VarCurr,719) )
          & ( v692(VarNext,103)
          <=> v599(VarCurr,718) )
          & ( v692(VarNext,102)
          <=> v599(VarCurr,717) )
          & ( v692(VarNext,101)
          <=> v599(VarCurr,716) )
          & ( v692(VarNext,100)
          <=> v599(VarCurr,715) )
          & ( v692(VarNext,99)
          <=> v599(VarCurr,714) )
          & ( v692(VarNext,98)
          <=> v599(VarCurr,713) )
          & ( v692(VarNext,97)
          <=> v599(VarCurr,712) )
          & ( v692(VarNext,96)
          <=> v599(VarCurr,711) )
          & ( v692(VarNext,95)
          <=> v599(VarCurr,710) )
          & ( v692(VarNext,94)
          <=> v599(VarCurr,709) )
          & ( v692(VarNext,93)
          <=> v599(VarCurr,708) )
          & ( v692(VarNext,92)
          <=> v599(VarCurr,707) )
          & ( v692(VarNext,91)
          <=> v599(VarCurr,706) )
          & ( v692(VarNext,90)
          <=> v599(VarCurr,705) )
          & ( v692(VarNext,89)
          <=> v599(VarCurr,704) )
          & ( v692(VarNext,88)
          <=> v599(VarCurr,703) )
          & ( v692(VarNext,87)
          <=> v599(VarCurr,702) )
          & ( v692(VarNext,86)
          <=> v599(VarCurr,701) )
          & ( v692(VarNext,85)
          <=> v599(VarCurr,700) )
          & ( v692(VarNext,84)
          <=> v599(VarCurr,699) )
          & ( v692(VarNext,83)
          <=> v599(VarCurr,698) )
          & ( v692(VarNext,82)
          <=> v599(VarCurr,697) )
          & ( v692(VarNext,81)
          <=> v599(VarCurr,696) )
          & ( v692(VarNext,80)
          <=> v599(VarCurr,695) )
          & ( v692(VarNext,79)
          <=> v599(VarCurr,694) )
          & ( v692(VarNext,78)
          <=> v599(VarCurr,693) )
          & ( v692(VarNext,77)
          <=> v599(VarCurr,692) )
          & ( v692(VarNext,76)
          <=> v599(VarCurr,691) )
          & ( v692(VarNext,75)
          <=> v599(VarCurr,690) )
          & ( v692(VarNext,74)
          <=> v599(VarCurr,689) )
          & ( v692(VarNext,73)
          <=> v599(VarCurr,688) )
          & ( v692(VarNext,72)
          <=> v599(VarCurr,687) )
          & ( v692(VarNext,71)
          <=> v599(VarCurr,686) )
          & ( v692(VarNext,70)
          <=> v599(VarCurr,685) )
          & ( v692(VarNext,69)
          <=> v599(VarCurr,684) )
          & ( v692(VarNext,68)
          <=> v599(VarCurr,683) )
          & ( v692(VarNext,67)
          <=> v599(VarCurr,682) )
          & ( v692(VarNext,66)
          <=> v599(VarCurr,681) )
          & ( v692(VarNext,65)
          <=> v599(VarCurr,680) )
          & ( v692(VarNext,64)
          <=> v599(VarCurr,679) )
          & ( v692(VarNext,63)
          <=> v599(VarCurr,678) )
          & ( v692(VarNext,62)
          <=> v599(VarCurr,677) )
          & ( v692(VarNext,61)
          <=> v599(VarCurr,676) )
          & ( v692(VarNext,60)
          <=> v599(VarCurr,675) )
          & ( v692(VarNext,59)
          <=> v599(VarCurr,674) )
          & ( v692(VarNext,58)
          <=> v599(VarCurr,673) )
          & ( v692(VarNext,57)
          <=> v599(VarCurr,672) )
          & ( v692(VarNext,56)
          <=> v599(VarCurr,671) )
          & ( v692(VarNext,55)
          <=> v599(VarCurr,670) )
          & ( v692(VarNext,54)
          <=> v599(VarCurr,669) )
          & ( v692(VarNext,53)
          <=> v599(VarCurr,668) )
          & ( v692(VarNext,52)
          <=> v599(VarCurr,667) )
          & ( v692(VarNext,51)
          <=> v599(VarCurr,666) )
          & ( v692(VarNext,50)
          <=> v599(VarCurr,665) )
          & ( v692(VarNext,49)
          <=> v599(VarCurr,664) )
          & ( v692(VarNext,48)
          <=> v599(VarCurr,663) )
          & ( v692(VarNext,47)
          <=> v599(VarCurr,662) )
          & ( v692(VarNext,46)
          <=> v599(VarCurr,661) )
          & ( v692(VarNext,45)
          <=> v599(VarCurr,660) )
          & ( v692(VarNext,44)
          <=> v599(VarCurr,659) )
          & ( v692(VarNext,43)
          <=> v599(VarCurr,658) )
          & ( v692(VarNext,42)
          <=> v599(VarCurr,657) )
          & ( v692(VarNext,41)
          <=> v599(VarCurr,656) )
          & ( v692(VarNext,40)
          <=> v599(VarCurr,655) )
          & ( v692(VarNext,39)
          <=> v599(VarCurr,654) )
          & ( v692(VarNext,38)
          <=> v599(VarCurr,653) )
          & ( v692(VarNext,37)
          <=> v599(VarCurr,652) )
          & ( v692(VarNext,36)
          <=> v599(VarCurr,651) )
          & ( v692(VarNext,35)
          <=> v599(VarCurr,650) )
          & ( v692(VarNext,34)
          <=> v599(VarCurr,649) )
          & ( v692(VarNext,33)
          <=> v599(VarCurr,648) )
          & ( v692(VarNext,32)
          <=> v599(VarCurr,647) )
          & ( v692(VarNext,31)
          <=> v599(VarCurr,646) )
          & ( v692(VarNext,30)
          <=> v599(VarCurr,645) )
          & ( v692(VarNext,29)
          <=> v599(VarCurr,644) )
          & ( v692(VarNext,28)
          <=> v599(VarCurr,643) )
          & ( v692(VarNext,27)
          <=> v599(VarCurr,642) )
          & ( v692(VarNext,26)
          <=> v599(VarCurr,641) )
          & ( v692(VarNext,25)
          <=> v599(VarCurr,640) )
          & ( v692(VarNext,24)
          <=> v599(VarCurr,639) )
          & ( v692(VarNext,23)
          <=> v599(VarCurr,638) )
          & ( v692(VarNext,22)
          <=> v599(VarCurr,637) )
          & ( v692(VarNext,21)
          <=> v599(VarCurr,636) )
          & ( v692(VarNext,20)
          <=> v599(VarCurr,635) )
          & ( v692(VarNext,19)
          <=> v599(VarCurr,634) )
          & ( v692(VarNext,18)
          <=> v599(VarCurr,633) )
          & ( v692(VarNext,17)
          <=> v599(VarCurr,632) )
          & ( v692(VarNext,16)
          <=> v599(VarCurr,631) )
          & ( v692(VarNext,15)
          <=> v599(VarCurr,630) )
          & ( v692(VarNext,14)
          <=> v599(VarCurr,629) )
          & ( v692(VarNext,13)
          <=> v599(VarCurr,628) )
          & ( v692(VarNext,12)
          <=> v599(VarCurr,627) )
          & ( v692(VarNext,11)
          <=> v599(VarCurr,626) )
          & ( v692(VarNext,10)
          <=> v599(VarCurr,625) )
          & ( v692(VarNext,9)
          <=> v599(VarCurr,624) )
          & ( v692(VarNext,8)
          <=> v599(VarCurr,623) )
          & ( v692(VarNext,7)
          <=> v599(VarCurr,622) )
          & ( v692(VarNext,6)
          <=> v599(VarCurr,621) )
          & ( v692(VarNext,5)
          <=> v599(VarCurr,620) )
          & ( v692(VarNext,4)
          <=> v599(VarCurr,619) )
          & ( v692(VarNext,3)
          <=> v599(VarCurr,618) )
          & ( v692(VarNext,2)
          <=> v599(VarCurr,617) )
          & ( v692(VarNext,1)
          <=> v599(VarCurr,616) )
          & ( v692(VarNext,0)
          <=> v599(VarCurr,615) ) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_5,axiom,(
    ! [VarNext: state_type] :
      ( v694(VarNext)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v692(VarNext,B)
          <=> v679(VarNext,B) ) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_88,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v694(VarNext)
      <=> ( v695(VarNext)
          & v660(VarNext) ) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_87,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v695(VarNext)
      <=> ( v697(VarNext)
          & v565(VarNext) ) ) ) )).

tff(writeUnaryOperator_61,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v697(VarNext)
      <=> v572(VarNext) ) ) )).

tff(addAssignment_197,axiom,(
    ! [VarCurr: state_type] :
      ( v644(VarCurr,81)
    <=> v649(VarCurr,81) ) )).

tff(addAssignment_196,axiom,(
    ! [VarCurr: state_type] :
      ( v648(VarCurr,81)
    <=> v599(VarCurr,573) ) )).

tff(addAssignment_195,axiom,(
    ! [VarCurr: state_type] :
      ( v602(VarCurr,81)
    <=> v642(VarCurr,81) ) )).

tff(addAssignment_194,axiom,(
    ! [VarCurr: state_type] :
      ( v641(VarCurr,81)
    <=> v599(VarCurr,696) ) )).

tff(addAssignment_193,axiom,(
    ! [VarCurr: state_type] :
      ( v625(VarCurr,81)
    <=> v627(VarCurr,81) ) )).

tff(addAssignment_192,axiom,(
    ! [VarCurr: state_type] :
      ( v627(VarCurr,81)
    <=> v629(VarCurr,81) ) )).

tff(addAssignment_191,axiom,(
    ! [VarCurr: state_type] :
      ( v629(VarCurr,81)
    <=> v631(VarCurr,81) ) )).

tff(addAssignment_190,axiom,(
    ! [VarCurr: state_type] :
      ( v631(VarCurr,81)
    <=> v633(VarCurr,81) ) )).

tff(addAssignment_189,axiom,(
    ! [VarCurr: state_type] :
      ( v633(VarCurr,81)
    <=> v635(VarCurr,81) ) )).

tff(addAssignment_188,axiom,(
    ! [VarCurr: state_type] :
      ( v635(VarCurr,81)
    <=> v637(VarCurr,81) ) )).

tff(addAssignment_187,axiom,(
    ! [VarCurr: state_type] :
      ( v637(VarCurr,81)
    <=> v639(VarCurr,81) ) )).

tff(addAssignment_186,axiom,(
    ! [VarCurr: state_type] :
      ( ( v593(VarCurr,6)
      <=> v595(VarCurr,122) )
      & ( v593(VarCurr,5)
      <=> v595(VarCurr,121) )
      & ( v593(VarCurr,4)
      <=> v595(VarCurr,120) )
      & ( v593(VarCurr,3)
      <=> v595(VarCurr,119) )
      & ( v593(VarCurr,2)
      <=> v595(VarCurr,118) )
      & ( v593(VarCurr,1)
      <=> v595(VarCurr,117) )
      & ( v593(VarCurr,0)
      <=> v595(VarCurr,116) ) ) )).

tff(addAssignment_185,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v595(VarCurr,B)
      <=> v597(VarCurr,B) ) ) )).

tff(addAssignment_184,axiom,(
    ! [VarCurr: state_type] :
      ( ( v597(VarCurr,122)
      <=> v599(VarCurr,737) )
      & ( v597(VarCurr,121)
      <=> v599(VarCurr,736) )
      & ( v597(VarCurr,120)
      <=> v599(VarCurr,735) )
      & ( v597(VarCurr,119)
      <=> v599(VarCurr,734) )
      & ( v597(VarCurr,118)
      <=> v599(VarCurr,733) )
      & ( v597(VarCurr,117)
      <=> v599(VarCurr,732) )
      & ( v597(VarCurr,116)
      <=> v599(VarCurr,731) ) ) )).

tff(addAssignment_183,axiom,(
    ! [VarNext: state_type] :
      ( ( v599(VarNext,737)
      <=> v651(VarNext,122) )
      & ( v599(VarNext,736)
      <=> v651(VarNext,121) )
      & ( v599(VarNext,735)
      <=> v651(VarNext,120) )
      & ( v599(VarNext,734)
      <=> v651(VarNext,119) )
      & ( v599(VarNext,733)
      <=> v651(VarNext,118) )
      & ( v599(VarNext,732)
      <=> v651(VarNext,117) )
      & ( v599(VarNext,731)
      <=> v651(VarNext,116) ) ) )).

tff(addCaseBooleanConditionShiftedRanges1,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v652(VarNext)
       => ( ( v651(VarNext,122)
          <=> v599(VarCurr,737) )
          & ( v651(VarNext,121)
          <=> v599(VarCurr,736) )
          & ( v651(VarNext,120)
          <=> v599(VarCurr,735) )
          & ( v651(VarNext,119)
          <=> v599(VarCurr,734) )
          & ( v651(VarNext,118)
          <=> v599(VarCurr,733) )
          & ( v651(VarNext,117)
          <=> v599(VarCurr,732) )
          & ( v651(VarNext,116)
          <=> v599(VarCurr,731) )
          & ( v651(VarNext,115)
          <=> v599(VarCurr,730) )
          & ( v651(VarNext,114)
          <=> v599(VarCurr,729) )
          & ( v651(VarNext,113)
          <=> v599(VarCurr,728) )
          & ( v651(VarNext,112)
          <=> v599(VarCurr,727) )
          & ( v651(VarNext,111)
          <=> v599(VarCurr,726) )
          & ( v651(VarNext,110)
          <=> v599(VarCurr,725) )
          & ( v651(VarNext,109)
          <=> v599(VarCurr,724) )
          & ( v651(VarNext,108)
          <=> v599(VarCurr,723) )
          & ( v651(VarNext,107)
          <=> v599(VarCurr,722) )
          & ( v651(VarNext,106)
          <=> v599(VarCurr,721) )
          & ( v651(VarNext,105)
          <=> v599(VarCurr,720) )
          & ( v651(VarNext,104)
          <=> v599(VarCurr,719) )
          & ( v651(VarNext,103)
          <=> v599(VarCurr,718) )
          & ( v651(VarNext,102)
          <=> v599(VarCurr,717) )
          & ( v651(VarNext,101)
          <=> v599(VarCurr,716) )
          & ( v651(VarNext,100)
          <=> v599(VarCurr,715) )
          & ( v651(VarNext,99)
          <=> v599(VarCurr,714) )
          & ( v651(VarNext,98)
          <=> v599(VarCurr,713) )
          & ( v651(VarNext,97)
          <=> v599(VarCurr,712) )
          & ( v651(VarNext,96)
          <=> v599(VarCurr,711) )
          & ( v651(VarNext,95)
          <=> v599(VarCurr,710) )
          & ( v651(VarNext,94)
          <=> v599(VarCurr,709) )
          & ( v651(VarNext,93)
          <=> v599(VarCurr,708) )
          & ( v651(VarNext,92)
          <=> v599(VarCurr,707) )
          & ( v651(VarNext,91)
          <=> v599(VarCurr,706) )
          & ( v651(VarNext,90)
          <=> v599(VarCurr,705) )
          & ( v651(VarNext,89)
          <=> v599(VarCurr,704) )
          & ( v651(VarNext,88)
          <=> v599(VarCurr,703) )
          & ( v651(VarNext,87)
          <=> v599(VarCurr,702) )
          & ( v651(VarNext,86)
          <=> v599(VarCurr,701) )
          & ( v651(VarNext,85)
          <=> v599(VarCurr,700) )
          & ( v651(VarNext,84)
          <=> v599(VarCurr,699) )
          & ( v651(VarNext,83)
          <=> v599(VarCurr,698) )
          & ( v651(VarNext,82)
          <=> v599(VarCurr,697) )
          & ( v651(VarNext,81)
          <=> v599(VarCurr,696) )
          & ( v651(VarNext,80)
          <=> v599(VarCurr,695) )
          & ( v651(VarNext,79)
          <=> v599(VarCurr,694) )
          & ( v651(VarNext,78)
          <=> v599(VarCurr,693) )
          & ( v651(VarNext,77)
          <=> v599(VarCurr,692) )
          & ( v651(VarNext,76)
          <=> v599(VarCurr,691) )
          & ( v651(VarNext,75)
          <=> v599(VarCurr,690) )
          & ( v651(VarNext,74)
          <=> v599(VarCurr,689) )
          & ( v651(VarNext,73)
          <=> v599(VarCurr,688) )
          & ( v651(VarNext,72)
          <=> v599(VarCurr,687) )
          & ( v651(VarNext,71)
          <=> v599(VarCurr,686) )
          & ( v651(VarNext,70)
          <=> v599(VarCurr,685) )
          & ( v651(VarNext,69)
          <=> v599(VarCurr,684) )
          & ( v651(VarNext,68)
          <=> v599(VarCurr,683) )
          & ( v651(VarNext,67)
          <=> v599(VarCurr,682) )
          & ( v651(VarNext,66)
          <=> v599(VarCurr,681) )
          & ( v651(VarNext,65)
          <=> v599(VarCurr,680) )
          & ( v651(VarNext,64)
          <=> v599(VarCurr,679) )
          & ( v651(VarNext,63)
          <=> v599(VarCurr,678) )
          & ( v651(VarNext,62)
          <=> v599(VarCurr,677) )
          & ( v651(VarNext,61)
          <=> v599(VarCurr,676) )
          & ( v651(VarNext,60)
          <=> v599(VarCurr,675) )
          & ( v651(VarNext,59)
          <=> v599(VarCurr,674) )
          & ( v651(VarNext,58)
          <=> v599(VarCurr,673) )
          & ( v651(VarNext,57)
          <=> v599(VarCurr,672) )
          & ( v651(VarNext,56)
          <=> v599(VarCurr,671) )
          & ( v651(VarNext,55)
          <=> v599(VarCurr,670) )
          & ( v651(VarNext,54)
          <=> v599(VarCurr,669) )
          & ( v651(VarNext,53)
          <=> v599(VarCurr,668) )
          & ( v651(VarNext,52)
          <=> v599(VarCurr,667) )
          & ( v651(VarNext,51)
          <=> v599(VarCurr,666) )
          & ( v651(VarNext,50)
          <=> v599(VarCurr,665) )
          & ( v651(VarNext,49)
          <=> v599(VarCurr,664) )
          & ( v651(VarNext,48)
          <=> v599(VarCurr,663) )
          & ( v651(VarNext,47)
          <=> v599(VarCurr,662) )
          & ( v651(VarNext,46)
          <=> v599(VarCurr,661) )
          & ( v651(VarNext,45)
          <=> v599(VarCurr,660) )
          & ( v651(VarNext,44)
          <=> v599(VarCurr,659) )
          & ( v651(VarNext,43)
          <=> v599(VarCurr,658) )
          & ( v651(VarNext,42)
          <=> v599(VarCurr,657) )
          & ( v651(VarNext,41)
          <=> v599(VarCurr,656) )
          & ( v651(VarNext,40)
          <=> v599(VarCurr,655) )
          & ( v651(VarNext,39)
          <=> v599(VarCurr,654) )
          & ( v651(VarNext,38)
          <=> v599(VarCurr,653) )
          & ( v651(VarNext,37)
          <=> v599(VarCurr,652) )
          & ( v651(VarNext,36)
          <=> v599(VarCurr,651) )
          & ( v651(VarNext,35)
          <=> v599(VarCurr,650) )
          & ( v651(VarNext,34)
          <=> v599(VarCurr,649) )
          & ( v651(VarNext,33)
          <=> v599(VarCurr,648) )
          & ( v651(VarNext,32)
          <=> v599(VarCurr,647) )
          & ( v651(VarNext,31)
          <=> v599(VarCurr,646) )
          & ( v651(VarNext,30)
          <=> v599(VarCurr,645) )
          & ( v651(VarNext,29)
          <=> v599(VarCurr,644) )
          & ( v651(VarNext,28)
          <=> v599(VarCurr,643) )
          & ( v651(VarNext,27)
          <=> v599(VarCurr,642) )
          & ( v651(VarNext,26)
          <=> v599(VarCurr,641) )
          & ( v651(VarNext,25)
          <=> v599(VarCurr,640) )
          & ( v651(VarNext,24)
          <=> v599(VarCurr,639) )
          & ( v651(VarNext,23)
          <=> v599(VarCurr,638) )
          & ( v651(VarNext,22)
          <=> v599(VarCurr,637) )
          & ( v651(VarNext,21)
          <=> v599(VarCurr,636) )
          & ( v651(VarNext,20)
          <=> v599(VarCurr,635) )
          & ( v651(VarNext,19)
          <=> v599(VarCurr,634) )
          & ( v651(VarNext,18)
          <=> v599(VarCurr,633) )
          & ( v651(VarNext,17)
          <=> v599(VarCurr,632) )
          & ( v651(VarNext,16)
          <=> v599(VarCurr,631) )
          & ( v651(VarNext,15)
          <=> v599(VarCurr,630) )
          & ( v651(VarNext,14)
          <=> v599(VarCurr,629) )
          & ( v651(VarNext,13)
          <=> v599(VarCurr,628) )
          & ( v651(VarNext,12)
          <=> v599(VarCurr,627) )
          & ( v651(VarNext,11)
          <=> v599(VarCurr,626) )
          & ( v651(VarNext,10)
          <=> v599(VarCurr,625) )
          & ( v651(VarNext,9)
          <=> v599(VarCurr,624) )
          & ( v651(VarNext,8)
          <=> v599(VarCurr,623) )
          & ( v651(VarNext,7)
          <=> v599(VarCurr,622) )
          & ( v651(VarNext,6)
          <=> v599(VarCurr,621) )
          & ( v651(VarNext,5)
          <=> v599(VarCurr,620) )
          & ( v651(VarNext,4)
          <=> v599(VarCurr,619) )
          & ( v651(VarNext,3)
          <=> v599(VarCurr,618) )
          & ( v651(VarNext,2)
          <=> v599(VarCurr,617) )
          & ( v651(VarNext,1)
          <=> v599(VarCurr,616) )
          & ( v651(VarNext,0)
          <=> v599(VarCurr,615) ) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_4,axiom,(
    ! [VarNext: state_type] :
      ( v652(VarNext)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v651(VarNext,B)
          <=> v679(VarNext,B) ) ) ) )).

tff(addAssignment_182,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v679(VarNext,B)
          <=> v677(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_10,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v662(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v677(VarCurr,B)
          <=> v680(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_9,axiom,(
    ! [VarCurr: state_type] :
      ( v662(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v677(VarCurr,B)
          <=> $false ) ) ) )).

tff(bitBlastConstant_192,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(122) )).

tff(bitBlastConstant_191,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(121) )).

tff(bitBlastConstant_190,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(120) )).

tff(bitBlastConstant_189,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(119) )).

tff(bitBlastConstant_188,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(118) )).

tff(bitBlastConstant_187,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(117) )).

tff(bitBlastConstant_186,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(116) )).

tff(bitBlastConstant_185,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(115) )).

tff(bitBlastConstant_184,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(114) )).

tff(bitBlastConstant_183,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(113) )).

tff(bitBlastConstant_182,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(112) )).

tff(bitBlastConstant_181,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(111) )).

tff(bitBlastConstant_180,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(110) )).

tff(bitBlastConstant_179,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(109) )).

tff(bitBlastConstant_178,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(108) )).

tff(bitBlastConstant_177,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(107) )).

tff(bitBlastConstant_176,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(106) )).

tff(bitBlastConstant_175,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(105) )).

tff(bitBlastConstant_174,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(104) )).

tff(bitBlastConstant_173,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(103) )).

tff(bitBlastConstant_172,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(102) )).

tff(bitBlastConstant_171,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(101) )).

tff(bitBlastConstant_170,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(100) )).

tff(bitBlastConstant_169,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(99) )).

tff(bitBlastConstant_168,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(98) )).

tff(bitBlastConstant_167,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(97) )).

tff(bitBlastConstant_166,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(96) )).

tff(bitBlastConstant_165,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(95) )).

tff(bitBlastConstant_164,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(94) )).

tff(bitBlastConstant_163,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(93) )).

tff(bitBlastConstant_162,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(92) )).

tff(bitBlastConstant_161,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(91) )).

tff(bitBlastConstant_160,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(90) )).

tff(bitBlastConstant_159,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(89) )).

tff(bitBlastConstant_158,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(88) )).

tff(bitBlastConstant_157,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(87) )).

tff(bitBlastConstant_156,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(86) )).

tff(bitBlastConstant_155,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(85) )).

tff(bitBlastConstant_154,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(84) )).

tff(bitBlastConstant_153,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(83) )).

tff(bitBlastConstant_152,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(82) )).

tff(bitBlastConstant_151,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(81) )).

tff(bitBlastConstant_150,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(80) )).

tff(bitBlastConstant_149,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(79) )).

tff(bitBlastConstant_148,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(78) )).

tff(bitBlastConstant_147,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(77) )).

tff(bitBlastConstant_146,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(76) )).

tff(bitBlastConstant_145,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(75) )).

tff(bitBlastConstant_144,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(74) )).

tff(bitBlastConstant_143,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(73) )).

tff(bitBlastConstant_142,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(72) )).

tff(bitBlastConstant_141,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(71) )).

tff(bitBlastConstant_140,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(70) )).

tff(bitBlastConstant_139,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(69) )).

tff(bitBlastConstant_138,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(68) )).

tff(bitBlastConstant_137,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(67) )).

tff(bitBlastConstant_136,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(66) )).

tff(bitBlastConstant_135,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(65) )).

tff(bitBlastConstant_134,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(64) )).

tff(bitBlastConstant_133,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(63) )).

tff(bitBlastConstant_132,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(62) )).

tff(bitBlastConstant_131,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(61) )).

tff(bitBlastConstant_130,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(60) )).

tff(bitBlastConstant_129,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(59) )).

tff(bitBlastConstant_128,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(58) )).

tff(bitBlastConstant_127,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(57) )).

tff(bitBlastConstant_126,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(56) )).

tff(bitBlastConstant_125,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(55) )).

tff(bitBlastConstant_124,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(54) )).

tff(bitBlastConstant_123,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(53) )).

tff(bitBlastConstant_122,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(52) )).

tff(bitBlastConstant_121,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(51) )).

tff(bitBlastConstant_120,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(50) )).

tff(bitBlastConstant_119,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(49) )).

tff(bitBlastConstant_118,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(48) )).

tff(bitBlastConstant_117,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(47) )).

tff(bitBlastConstant_116,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(46) )).

tff(bitBlastConstant_115,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(45) )).

tff(bitBlastConstant_114,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(44) )).

tff(bitBlastConstant_113,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(43) )).

tff(bitBlastConstant_112,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(42) )).

tff(bitBlastConstant_111,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(41) )).

tff(bitBlastConstant_110,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(40) )).

tff(bitBlastConstant_109,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(39) )).

tff(bitBlastConstant_108,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(38) )).

tff(bitBlastConstant_107,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(37) )).

tff(bitBlastConstant_106,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(36) )).

tff(bitBlastConstant_105,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(35) )).

tff(bitBlastConstant_104,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(34) )).

tff(bitBlastConstant_103,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(33) )).

tff(bitBlastConstant_102,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(32) )).

tff(bitBlastConstant_101,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(31) )).

tff(bitBlastConstant_100,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(30) )).

tff(bitBlastConstant_99,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(29) )).

tff(bitBlastConstant_98,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(28) )).

tff(bitBlastConstant_97,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(27) )).

tff(bitBlastConstant_96,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(26) )).

tff(bitBlastConstant_95,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(25) )).

tff(bitBlastConstant_94,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(24) )).

tff(bitBlastConstant_93,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(23) )).

tff(bitBlastConstant_92,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(22) )).

tff(bitBlastConstant_91,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(21) )).

tff(bitBlastConstant_90,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(20) )).

tff(bitBlastConstant_89,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(19) )).

tff(bitBlastConstant_88,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(18) )).

tff(bitBlastConstant_87,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(17) )).

tff(bitBlastConstant_86,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(16) )).

tff(bitBlastConstant_85,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(15) )).

tff(bitBlastConstant_84,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(14) )).

tff(bitBlastConstant_83,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(13) )).

tff(bitBlastConstant_82,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(12) )).

tff(bitBlastConstant_81,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(11) )).

tff(bitBlastConstant_80,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(10) )).

tff(bitBlastConstant_79,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(9) )).

tff(bitBlastConstant_78,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(8) )).

tff(bitBlastConstant_77,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(7) )).

tff(bitBlastConstant_76,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(6) )).

tff(bitBlastConstant_75,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(5) )).

tff(bitBlastConstant_74,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(4) )).

tff(bitBlastConstant_73,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(3) )).

tff(bitBlastConstant_72,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(2) )).

tff(bitBlastConstant_71,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(1) )).

tff(bitBlastConstant_70,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(0) )).

tff(addParallelCaseBooleanConditionEqualRanges2_5,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v666(VarCurr)
        & ~ v668(VarCurr) )
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v680(VarCurr,B)
          <=> v644(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_9,axiom,(
    ! [VarCurr: state_type] :
      ( v668(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v680(VarCurr,B)
          <=> v602(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionShiftedRanges0,axiom,(
    ! [VarCurr: state_type] :
      ( v666(VarCurr)
     => ( ( v680(VarCurr,122)
        <=> v599(VarCurr,614) )
        & ( v680(VarCurr,121)
        <=> v599(VarCurr,613) )
        & ( v680(VarCurr,120)
        <=> v599(VarCurr,612) )
        & ( v680(VarCurr,119)
        <=> v599(VarCurr,611) )
        & ( v680(VarCurr,118)
        <=> v599(VarCurr,610) )
        & ( v680(VarCurr,117)
        <=> v599(VarCurr,609) )
        & ( v680(VarCurr,116)
        <=> v599(VarCurr,608) )
        & ( v680(VarCurr,115)
        <=> v599(VarCurr,607) )
        & ( v680(VarCurr,114)
        <=> v599(VarCurr,606) )
        & ( v680(VarCurr,113)
        <=> v599(VarCurr,605) )
        & ( v680(VarCurr,112)
        <=> v599(VarCurr,604) )
        & ( v680(VarCurr,111)
        <=> v599(VarCurr,603) )
        & ( v680(VarCurr,110)
        <=> v599(VarCurr,602) )
        & ( v680(VarCurr,109)
        <=> v599(VarCurr,601) )
        & ( v680(VarCurr,108)
        <=> v599(VarCurr,600) )
        & ( v680(VarCurr,107)
        <=> v599(VarCurr,599) )
        & ( v680(VarCurr,106)
        <=> v599(VarCurr,598) )
        & ( v680(VarCurr,105)
        <=> v599(VarCurr,597) )
        & ( v680(VarCurr,104)
        <=> v599(VarCurr,596) )
        & ( v680(VarCurr,103)
        <=> v599(VarCurr,595) )
        & ( v680(VarCurr,102)
        <=> v599(VarCurr,594) )
        & ( v680(VarCurr,101)
        <=> v599(VarCurr,593) )
        & ( v680(VarCurr,100)
        <=> v599(VarCurr,592) )
        & ( v680(VarCurr,99)
        <=> v599(VarCurr,591) )
        & ( v680(VarCurr,98)
        <=> v599(VarCurr,590) )
        & ( v680(VarCurr,97)
        <=> v599(VarCurr,589) )
        & ( v680(VarCurr,96)
        <=> v599(VarCurr,588) )
        & ( v680(VarCurr,95)
        <=> v599(VarCurr,587) )
        & ( v680(VarCurr,94)
        <=> v599(VarCurr,586) )
        & ( v680(VarCurr,93)
        <=> v599(VarCurr,585) )
        & ( v680(VarCurr,92)
        <=> v599(VarCurr,584) )
        & ( v680(VarCurr,91)
        <=> v599(VarCurr,583) )
        & ( v680(VarCurr,90)
        <=> v599(VarCurr,582) )
        & ( v680(VarCurr,89)
        <=> v599(VarCurr,581) )
        & ( v680(VarCurr,88)
        <=> v599(VarCurr,580) )
        & ( v680(VarCurr,87)
        <=> v599(VarCurr,579) )
        & ( v680(VarCurr,86)
        <=> v599(VarCurr,578) )
        & ( v680(VarCurr,85)
        <=> v599(VarCurr,577) )
        & ( v680(VarCurr,84)
        <=> v599(VarCurr,576) )
        & ( v680(VarCurr,83)
        <=> v599(VarCurr,575) )
        & ( v680(VarCurr,82)
        <=> v599(VarCurr,574) )
        & ( v680(VarCurr,81)
        <=> v599(VarCurr,573) )
        & ( v680(VarCurr,80)
        <=> v599(VarCurr,572) )
        & ( v680(VarCurr,79)
        <=> v599(VarCurr,571) )
        & ( v680(VarCurr,78)
        <=> v599(VarCurr,570) )
        & ( v680(VarCurr,77)
        <=> v599(VarCurr,569) )
        & ( v680(VarCurr,76)
        <=> v599(VarCurr,568) )
        & ( v680(VarCurr,75)
        <=> v599(VarCurr,567) )
        & ( v680(VarCurr,74)
        <=> v599(VarCurr,566) )
        & ( v680(VarCurr,73)
        <=> v599(VarCurr,565) )
        & ( v680(VarCurr,72)
        <=> v599(VarCurr,564) )
        & ( v680(VarCurr,71)
        <=> v599(VarCurr,563) )
        & ( v680(VarCurr,70)
        <=> v599(VarCurr,562) )
        & ( v680(VarCurr,69)
        <=> v599(VarCurr,561) )
        & ( v680(VarCurr,68)
        <=> v599(VarCurr,560) )
        & ( v680(VarCurr,67)
        <=> v599(VarCurr,559) )
        & ( v680(VarCurr,66)
        <=> v599(VarCurr,558) )
        & ( v680(VarCurr,65)
        <=> v599(VarCurr,557) )
        & ( v680(VarCurr,64)
        <=> v599(VarCurr,556) )
        & ( v680(VarCurr,63)
        <=> v599(VarCurr,555) )
        & ( v680(VarCurr,62)
        <=> v599(VarCurr,554) )
        & ( v680(VarCurr,61)
        <=> v599(VarCurr,553) )
        & ( v680(VarCurr,60)
        <=> v599(VarCurr,552) )
        & ( v680(VarCurr,59)
        <=> v599(VarCurr,551) )
        & ( v680(VarCurr,58)
        <=> v599(VarCurr,550) )
        & ( v680(VarCurr,57)
        <=> v599(VarCurr,549) )
        & ( v680(VarCurr,56)
        <=> v599(VarCurr,548) )
        & ( v680(VarCurr,55)
        <=> v599(VarCurr,547) )
        & ( v680(VarCurr,54)
        <=> v599(VarCurr,546) )
        & ( v680(VarCurr,53)
        <=> v599(VarCurr,545) )
        & ( v680(VarCurr,52)
        <=> v599(VarCurr,544) )
        & ( v680(VarCurr,51)
        <=> v599(VarCurr,543) )
        & ( v680(VarCurr,50)
        <=> v599(VarCurr,542) )
        & ( v680(VarCurr,49)
        <=> v599(VarCurr,541) )
        & ( v680(VarCurr,48)
        <=> v599(VarCurr,540) )
        & ( v680(VarCurr,47)
        <=> v599(VarCurr,539) )
        & ( v680(VarCurr,46)
        <=> v599(VarCurr,538) )
        & ( v680(VarCurr,45)
        <=> v599(VarCurr,537) )
        & ( v680(VarCurr,44)
        <=> v599(VarCurr,536) )
        & ( v680(VarCurr,43)
        <=> v599(VarCurr,535) )
        & ( v680(VarCurr,42)
        <=> v599(VarCurr,534) )
        & ( v680(VarCurr,41)
        <=> v599(VarCurr,533) )
        & ( v680(VarCurr,40)
        <=> v599(VarCurr,532) )
        & ( v680(VarCurr,39)
        <=> v599(VarCurr,531) )
        & ( v680(VarCurr,38)
        <=> v599(VarCurr,530) )
        & ( v680(VarCurr,37)
        <=> v599(VarCurr,529) )
        & ( v680(VarCurr,36)
        <=> v599(VarCurr,528) )
        & ( v680(VarCurr,35)
        <=> v599(VarCurr,527) )
        & ( v680(VarCurr,34)
        <=> v599(VarCurr,526) )
        & ( v680(VarCurr,33)
        <=> v599(VarCurr,525) )
        & ( v680(VarCurr,32)
        <=> v599(VarCurr,524) )
        & ( v680(VarCurr,31)
        <=> v599(VarCurr,523) )
        & ( v680(VarCurr,30)
        <=> v599(VarCurr,522) )
        & ( v680(VarCurr,29)
        <=> v599(VarCurr,521) )
        & ( v680(VarCurr,28)
        <=> v599(VarCurr,520) )
        & ( v680(VarCurr,27)
        <=> v599(VarCurr,519) )
        & ( v680(VarCurr,26)
        <=> v599(VarCurr,518) )
        & ( v680(VarCurr,25)
        <=> v599(VarCurr,517) )
        & ( v680(VarCurr,24)
        <=> v599(VarCurr,516) )
        & ( v680(VarCurr,23)
        <=> v599(VarCurr,515) )
        & ( v680(VarCurr,22)
        <=> v599(VarCurr,514) )
        & ( v680(VarCurr,21)
        <=> v599(VarCurr,513) )
        & ( v680(VarCurr,20)
        <=> v599(VarCurr,512) )
        & ( v680(VarCurr,19)
        <=> v599(VarCurr,511) )
        & ( v680(VarCurr,18)
        <=> v599(VarCurr,510) )
        & ( v680(VarCurr,17)
        <=> v599(VarCurr,509) )
        & ( v680(VarCurr,16)
        <=> v599(VarCurr,508) )
        & ( v680(VarCurr,15)
        <=> v599(VarCurr,507) )
        & ( v680(VarCurr,14)
        <=> v599(VarCurr,506) )
        & ( v680(VarCurr,13)
        <=> v599(VarCurr,505) )
        & ( v680(VarCurr,12)
        <=> v599(VarCurr,504) )
        & ( v680(VarCurr,11)
        <=> v599(VarCurr,503) )
        & ( v680(VarCurr,10)
        <=> v599(VarCurr,502) )
        & ( v680(VarCurr,9)
        <=> v599(VarCurr,501) )
        & ( v680(VarCurr,8)
        <=> v599(VarCurr,500) )
        & ( v680(VarCurr,7)
        <=> v599(VarCurr,499) )
        & ( v680(VarCurr,6)
        <=> v599(VarCurr,498) )
        & ( v680(VarCurr,5)
        <=> v599(VarCurr,497) )
        & ( v680(VarCurr,4)
        <=> v599(VarCurr,496) )
        & ( v680(VarCurr,3)
        <=> v599(VarCurr,495) )
        & ( v680(VarCurr,2)
        <=> v599(VarCurr,494) )
        & ( v680(VarCurr,1)
        <=> v599(VarCurr,493) )
        & ( v680(VarCurr,0)
        <=> v599(VarCurr,492) ) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_86,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v652(VarNext)
      <=> ( v653(VarNext)
          & v660(VarNext) ) ) ) )).

tff(addAssignment_181,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v660(VarNext)
      <=> v658(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_85,axiom,(
    ! [VarCurr: state_type] :
      ( v658(VarCurr)
    <=> ( v661(VarCurr)
        & v673(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_84,axiom,(
    ! [VarCurr: state_type] :
      ( v673(VarCurr)
    <=> ( v674(VarCurr)
        | v662(VarCurr) ) ) )).

tff(writeUnaryOperator_60,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v674(VarCurr)
    <=> v675(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_37,axiom,(
    ! [VarCurr: state_type] :
      ( v675(VarCurr)
    <=> ( ( v676(VarCurr,1)
        <=> $false )
        & ( v676(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_180,axiom,(
    ! [VarCurr: state_type] :
      ( v676(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_179,axiom,(
    ! [VarCurr: state_type] :
      ( v676(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_83,axiom,(
    ! [VarCurr: state_type] :
      ( v661(VarCurr)
    <=> ( v662(VarCurr)
        | v663(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_82,axiom,(
    ! [VarCurr: state_type] :
      ( v663(VarCurr)
    <=> ( v664(VarCurr)
        & v672(VarCurr) ) ) )).

tff(writeUnaryOperator_59,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v672(VarCurr)
    <=> v662(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_81,axiom,(
    ! [VarCurr: state_type] :
      ( v664(VarCurr)
    <=> ( v665(VarCurr)
        | v670(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_36,axiom,(
    ! [VarCurr: state_type] :
      ( v670(VarCurr)
    <=> ( ( v671(VarCurr,1)
        <=> $true )
        & ( v671(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_178,axiom,(
    ! [VarCurr: state_type] :
      ( v671(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_177,axiom,(
    ! [VarCurr: state_type] :
      ( v671(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_80,axiom,(
    ! [VarCurr: state_type] :
      ( v665(VarCurr)
    <=> ( v666(VarCurr)
        | v668(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_35,axiom,(
    ! [VarCurr: state_type] :
      ( v668(VarCurr)
    <=> ( ( v669(VarCurr,1)
        <=> $true )
        & ( v669(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_176,axiom,(
    ! [VarCurr: state_type] :
      ( v669(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_175,axiom,(
    ! [VarCurr: state_type] :
      ( v669(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_34,axiom,(
    ! [VarCurr: state_type] :
      ( v666(VarCurr)
    <=> ( ( v667(VarCurr,1)
        <=> $false )
        & ( v667(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_174,axiom,(
    ! [VarCurr: state_type] :
      ( v667(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_173,axiom,(
    ! [VarCurr: state_type] :
      ( v667(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(writeUnaryOperator_58,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v662(VarCurr)
    <=> v209(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_79,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v653(VarNext)
      <=> ( v654(VarNext)
          & v565(VarNext) ) ) ) )).

tff(writeUnaryOperator_57,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v654(VarNext)
      <=> v572(VarNext) ) ) )).

tff(addAssignment_172,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v644(VarCurr,B)
      <=> v649(VarCurr,B) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_19,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v646(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v649(VarCurr,B)
          <=> v648(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_19,axiom,(
    ! [VarCurr: state_type] :
      ( v646(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v649(VarCurr,B)
          <=> v625(VarCurr,B) ) ) ) )).

tff(addAssignment_171,axiom,(
    ! [VarCurr: state_type] :
      ( ( v648(VarCurr,122)
      <=> v599(VarCurr,614) )
      & ( v648(VarCurr,121)
      <=> v599(VarCurr,613) )
      & ( v648(VarCurr,120)
      <=> v599(VarCurr,612) )
      & ( v648(VarCurr,119)
      <=> v599(VarCurr,611) )
      & ( v648(VarCurr,118)
      <=> v599(VarCurr,610) )
      & ( v648(VarCurr,117)
      <=> v599(VarCurr,609) )
      & ( v648(VarCurr,116)
      <=> v599(VarCurr,608) ) ) )).

tff(addAssignment_170,axiom,(
    ! [VarCurr: state_type] :
      ( v646(VarCurr)
    <=> v606(VarCurr,1) ) )).

tff(addAssignment_169,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v602(VarCurr,B)
      <=> v642(VarCurr,B) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_18,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v604(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v642(VarCurr,B)
          <=> v641(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_18,axiom,(
    ! [VarCurr: state_type] :
      ( v604(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,123)
            & ~ $less(B,0) )
         => ( v642(VarCurr,B)
          <=> v625(VarCurr,B) ) ) ) )).

tff(addAssignment_168,axiom,(
    ! [VarCurr: state_type] :
      ( ( v641(VarCurr,122)
      <=> v599(VarCurr,737) )
      & ( v641(VarCurr,121)
      <=> v599(VarCurr,736) )
      & ( v641(VarCurr,120)
      <=> v599(VarCurr,735) )
      & ( v641(VarCurr,119)
      <=> v599(VarCurr,734) )
      & ( v641(VarCurr,118)
      <=> v599(VarCurr,733) )
      & ( v641(VarCurr,117)
      <=> v599(VarCurr,732) )
      & ( v641(VarCurr,116)
      <=> v599(VarCurr,731) ) ) )).

tff(addAssignment_167,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v625(VarCurr,B)
      <=> v627(VarCurr,B) ) ) )).

tff(addAssignment_166,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v627(VarCurr,B)
      <=> v629(VarCurr,B) ) ) )).

tff(addAssignment_165,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v629(VarCurr,B)
      <=> v631(VarCurr,B) ) ) )).

tff(addAssignment_164,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v631(VarCurr,B)
      <=> v633(VarCurr,B) ) ) )).

tff(addAssignment_163,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v633(VarCurr,B)
      <=> v635(VarCurr,B) ) ) )).

tff(addAssignment_162,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v635(VarCurr,B)
      <=> v637(VarCurr,B) ) ) )).

tff(addAssignment_161,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,123)
        & ~ $less(B,116) )
     => ( v637(VarCurr,B)
      <=> v639(VarCurr,B) ) ) )).

tff(addAssignment_160,axiom,(
    ! [VarCurr: state_type] :
      ( v604(VarCurr)
    <=> v606(VarCurr,1) ) )).

tff(addAssignment_159,axiom,(
    ! [VarCurr: state_type] :
      ( v606(VarCurr,1)
    <=> v608(VarCurr,1) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_17,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v609(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,9)
            & ~ $less(B,0) )
         => ( v608(VarCurr,B)
          <=> v611(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_17,axiom,(
    ! [VarCurr: state_type] :
      ( v609(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,9)
            & ~ $less(B,0) )
         => ( v608(VarCurr,B)
          <=> v610(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges3_2,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v612(VarCurr)
        & ~ v614(VarCurr)
        & ~ v618(VarCurr) )
     => ! [B: $int] :
          ( ( $less(B,9)
            & ~ $less(B,0) )
         => ( v611(VarCurr,B)
          <=> v562(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges2_4,axiom,(
    ! [VarCurr: state_type] :
      ( v618(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,9)
            & ~ $less(B,0) )
         => ( v611(VarCurr,B)
          <=> v620(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_8,axiom,(
    ! [VarCurr: state_type] :
      ( v614(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,9)
            & ~ $less(B,0) )
         => ( v611(VarCurr,B)
          <=> v616(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_8,axiom,(
    ! [VarCurr: state_type] :
      ( v612(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,9)
            & ~ $less(B,0) )
         => ( v611(VarCurr,B)
          <=> v562(VarCurr,B) ) ) ) )).

tff(addBitVectorEqualityBitBlasted_33,axiom,(
    ! [VarCurr: state_type] :
      ( v622(VarCurr)
    <=> ( ( v623(VarCurr,1)
        <=> $true )
        & ( v623(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_158,axiom,(
    ! [VarCurr: state_type] :
      ( v623(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_157,axiom,(
    ! [VarCurr: state_type] :
      ( v623(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(addAssignment_156,axiom,(
    ! [VarCurr: state_type] :
      ( v620(VarCurr,0)
    <=> $false ) )).

tff(addAssignment_155,axiom,(
    ! [VarCurr: state_type] :
      ( ( v620(VarCurr,8)
      <=> v562(VarCurr,7) )
      & ( v620(VarCurr,7)
      <=> v562(VarCurr,6) )
      & ( v620(VarCurr,6)
      <=> v562(VarCurr,5) )
      & ( v620(VarCurr,5)
      <=> v562(VarCurr,4) )
      & ( v620(VarCurr,4)
      <=> v562(VarCurr,3) )
      & ( v620(VarCurr,3)
      <=> v562(VarCurr,2) )
      & ( v620(VarCurr,2)
      <=> v562(VarCurr,1) )
      & ( v620(VarCurr,1)
      <=> v562(VarCurr,0) ) ) )).

tff(addBitVectorEqualityBitBlasted_32,axiom,(
    ! [VarCurr: state_type] :
      ( v618(VarCurr)
    <=> ( ( v619(VarCurr,1)
        <=> $true )
        & ( v619(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_154,axiom,(
    ! [VarCurr: state_type] :
      ( v619(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_153,axiom,(
    ! [VarCurr: state_type] :
      ( v619(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(addAssignment_152,axiom,(
    ! [VarCurr: state_type] :
      ( ( v616(VarCurr,7)
      <=> v562(VarCurr,8) )
      & ( v616(VarCurr,6)
      <=> v562(VarCurr,7) )
      & ( v616(VarCurr,5)
      <=> v562(VarCurr,6) )
      & ( v616(VarCurr,4)
      <=> v562(VarCurr,5) )
      & ( v616(VarCurr,3)
      <=> v562(VarCurr,4) )
      & ( v616(VarCurr,2)
      <=> v562(VarCurr,3) )
      & ( v616(VarCurr,1)
      <=> v562(VarCurr,2) )
      & ( v616(VarCurr,0)
      <=> v562(VarCurr,1) ) ) )).

tff(addAssignment_151,axiom,(
    ! [VarCurr: state_type] :
      ( v616(VarCurr,8)
    <=> $false ) )).

tff(addBitVectorEqualityBitBlasted_31,axiom,(
    ! [VarCurr: state_type] :
      ( v614(VarCurr)
    <=> ( ( v615(VarCurr,1)
        <=> $false )
        & ( v615(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_150,axiom,(
    ! [VarCurr: state_type] :
      ( v615(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_149,axiom,(
    ! [VarCurr: state_type] :
      ( v615(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_30,axiom,(
    ! [VarCurr: state_type] :
      ( v612(VarCurr)
    <=> ( ( v613(VarCurr,1)
        <=> $false )
        & ( v613(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_148,axiom,(
    ! [VarCurr: state_type] :
      ( v613(VarCurr,0)
    <=> v229(VarCurr) ) )).

tff(addAssignment_147,axiom,(
    ! [VarCurr: state_type] :
      ( v613(VarCurr,1)
    <=> v211(VarCurr) ) )).

tff(addAssignment_146,axiom,(
    ! [VarCurr: state_type] :
      ( v610(VarCurr,0)
    <=> $true ) )).

tff(addAssignment_145,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,9)
        & ~ $less(B,1) )
     => ( v610(VarCurr,B)
      <=> v560(VarCurr,B) ) ) )).

tff(writeUnaryOperator_56,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v609(VarCurr)
    <=> v209(VarCurr) ) )).

tff(addAssignment_144,axiom,(
    ! [VarCurr: state_type] :
      ( v560(VarCurr,1)
    <=> v561(VarCurr,1) ) )).

tff(addAssignment_143,axiom,(
    ! [VarCurr: state_type] :
      ( v205(VarCurr)
    <=> v207(VarCurr) ) )).

tff(addCaseBooleanConditionEqualRanges1_3,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v568(VarNext)
       => ( v207(VarNext)
        <=> v207(VarCurr) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_3,axiom,(
    ! [VarNext: state_type] :
      ( v568(VarNext)
     => ( v207(VarNext)
      <=> v588(VarNext) ) ) )).

tff(addAssignment_142,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v588(VarNext)
      <=> v586(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_16,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v585(VarCurr)
     => ( v586(VarCurr)
      <=> v589(VarCurr) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_16,axiom,(
    ! [VarCurr: state_type] :
      ( v585(VarCurr)
     => ( v586(VarCurr)
      <=> $true ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_15,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v211(VarCurr)
     => ( v589(VarCurr)
      <=> $true ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_15,axiom,(
    ! [VarCurr: state_type] :
      ( v211(VarCurr)
     => ( v589(VarCurr)
      <=> $false ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_78,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v568(VarNext)
      <=> ( v569(VarNext)
          & v578(VarNext) ) ) ) )).

tff(addAssignment_141,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v578(VarNext)
      <=> v576(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_77,axiom,(
    ! [VarCurr: state_type] :
      ( v576(VarCurr)
    <=> ( v579(VarCurr)
        | v585(VarCurr) ) ) )).

tff(writeUnaryOperator_55,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v585(VarCurr)
    <=> v209(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_76,axiom,(
    ! [VarCurr: state_type] :
      ( v579(VarCurr)
    <=> ( v580(VarCurr)
        | v211(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_75,axiom,(
    ! [VarCurr: state_type] :
      ( v580(VarCurr)
    <=> ( v581(VarCurr)
        & v584(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_29,axiom,(
    ! [VarCurr: state_type] :
      ( v584(VarCurr)
    <=> ( v560(VarCurr,0)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_74,axiom,(
    ! [VarCurr: state_type] :
      ( v581(VarCurr)
    <=> ( v582(VarCurr)
        & v583(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_28,axiom,(
    ! [VarCurr: state_type] :
      ( v583(VarCurr)
    <=> ( v558(VarCurr,1)
      <=> $false ) ) )).

tff(addBitVectorEqualityBitBlasted_27,axiom,(
    ! [VarCurr: state_type] :
      ( v582(VarCurr)
    <=> ( v229(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_73,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v569(VarNext)
      <=> ( v570(VarNext)
          & v565(VarNext) ) ) ) )).

tff(writeUnaryOperator_54,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v570(VarNext)
      <=> v572(VarNext) ) ) )).

tff(addAssignment_140,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v572(VarNext)
      <=> v565(VarCurr) ) ) )).

tff(addAssignment_139,axiom,(
    ! [VarCurr: state_type] :
      ( v565(VarCurr)
    <=> v438(VarCurr) ) )).

tff(addAssignment_138,axiom,(
    ! [VarCurr: state_type] :
      ( v560(VarCurr,0)
    <=> v561(VarCurr,0) ) )).

tff(addAssignment_137,axiom,(
    ! [VarCurr: state_type] :
      ( v561(VarCurr,0)
    <=> $true ) )).

tff(addAssignment_136,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,9)
        & ~ $less(B,1) )
     => ( v561(VarCurr,B)
      <=> v562(VarCurr,B) ) ) )).

tff(addAssignment_135,axiom,(
    ! [VarCurr: state_type] :
      ( v229(VarCurr)
    <=> v231(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_14,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v544(VarCurr)
     => ( v231(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_14,axiom,(
    ! [VarCurr: state_type] :
      ( v544(VarCurr)
     => ( v231(VarCurr)
      <=> v553(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_7,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v546(VarCurr)
     => ( v553(VarCurr)
      <=> $false ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_7,axiom,(
    ! [VarCurr: state_type] :
      ( v546(VarCurr)
     => ( v553(VarCurr)
      <=> v554(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges2_3,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v549(VarCurr)
        & ~ v381(VarCurr) )
     => ( v554(VarCurr)
      <=> $true ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_6,axiom,(
    ! [VarCurr: state_type] :
      ( v381(VarCurr)
     => ( v554(VarCurr)
      <=> v556(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_6,axiom,(
    ! [VarCurr: state_type] :
      ( v549(VarCurr)
     => ( v554(VarCurr)
      <=> v555(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_13,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v269(VarCurr)
     => ( v556(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_13,axiom,(
    ! [VarCurr: state_type] :
      ( v269(VarCurr)
     => ( v556(VarCurr)
      <=> $true ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_12,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v537(VarCurr)
     => ( v555(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_12,axiom,(
    ! [VarCurr: state_type] :
      ( v537(VarCurr)
     => ( v555(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_72,axiom,(
    ! [VarCurr: state_type] :
      ( v544(VarCurr)
    <=> ( v545(VarCurr)
        & v552(VarCurr) ) ) )).

tff(writeUnaryOperator_53,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v552(VarCurr)
    <=> v385(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_71,axiom,(
    ! [VarCurr: state_type] :
      ( v545(VarCurr)
    <=> ( v546(VarCurr)
        | v551(VarCurr) ) ) )).

tff(writeUnaryOperator_52,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v551(VarCurr)
    <=> v382(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_70,axiom,(
    ! [VarCurr: state_type] :
      ( v546(VarCurr)
    <=> ( v547(VarCurr)
        & v382(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_69,axiom,(
    ! [VarCurr: state_type] :
      ( v547(VarCurr)
    <=> ( v548(VarCurr)
        | v550(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_26,axiom,(
    ! [VarCurr: state_type] :
      ( v550(VarCurr)
    <=> ( ( v203(VarCurr,1)
        <=> $true )
        & ( v203(VarCurr,0)
        <=> $false ) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_68,axiom,(
    ! [VarCurr: state_type] :
      ( v548(VarCurr)
    <=> ( v549(VarCurr)
        | v381(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_25,axiom,(
    ! [VarCurr: state_type] :
      ( v549(VarCurr)
    <=> ( ( v203(VarCurr,1)
        <=> $false )
        & ( v203(VarCurr,0)
        <=> $false ) ) ) )).

tff(writeBinaryOperatorShiftedRanges_37,axiom,(
    ! [VarCurr: state_type] :
      ( v537(VarCurr)
    <=> ( v542(VarCurr)
        | v539(VarCurr,2) ) ) )).

tff(writeBinaryOperatorShiftedRanges_36,axiom,(
    ! [VarCurr: state_type] :
      ( v542(VarCurr)
    <=> ( v539(VarCurr,0)
        | v539(VarCurr,1) ) ) )).

tff(addAssignment_134,axiom,(
    ! [VarCurr: state_type] :
      ( v233(VarCurr)
    <=> v235(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_24,axiom,(
    ! [VarCurr: state_type] :
      ( v235(VarCurr)
    <=> ( ( v237(VarCurr,2)
        <=> $false )
        & ( v237(VarCurr,1)
        <=> $false )
        & ( v237(VarCurr,0)
        <=> $false ) ) ) )).

tff(addCaseBooleanConditionEqualRanges1_2,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v521(VarNext)
       => ! [B: $int] :
            ( ( $less(B,3)
              & ~ $less(B,0) )
           => ( v237(VarNext,B)
            <=> v237(VarCurr,B) ) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_2,axiom,(
    ! [VarNext: state_type] :
      ( v521(VarNext)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v237(VarNext,B)
          <=> v531(VarNext,B) ) ) ) )).

tff(addAssignment_133,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v531(VarNext,B)
          <=> v529(VarCurr,B) ) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_11,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v532(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v529(VarCurr,B)
          <=> v242(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_11,axiom,(
    ! [VarCurr: state_type] :
      ( v532(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v529(VarCurr,B)
          <=> $false ) ) ) )).

tff(writeUnaryOperator_51,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v532(VarCurr)
    <=> v239(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_67,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v521(VarNext)
      <=> v522(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_66,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v522(VarNext)
      <=> ( v523(VarNext)
          & v518(VarNext) ) ) ) )).

tff(writeUnaryOperator_50,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v523(VarNext)
      <=> v525(VarNext) ) ) )).

tff(addAssignment_132,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v525(VarNext)
      <=> v518(VarCurr) ) ) )).

tff(addAssignment_131,axiom,(
    ! [VarCurr: state_type] :
      ( v518(VarCurr)
    <=> v438(VarCurr) ) )).

tff(addParallelCaseBooleanConditionEqualRanges3_1,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v468(VarCurr)
        & ~ v470(VarCurr)
        & ~ v498(VarCurr) )
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v242(VarCurr,B)
          <=> v237(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges2_2,axiom,(
    ! [VarCurr: state_type] :
      ( v498(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v242(VarCurr,B)
          <=> v500(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_5,axiom,(
    ! [VarCurr: state_type] :
      ( v470(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v242(VarCurr,B)
          <=> v472(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_5,axiom,(
    ! [VarCurr: state_type] :
      ( v468(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v242(VarCurr,B)
          <=> v237(VarCurr,B) ) ) ) )).

tff(addBitVectorEqualityBitBlasted_23,axiom,(
    ! [VarCurr: state_type] :
      ( v515(VarCurr)
    <=> ( ( v516(VarCurr,1)
        <=> $true )
        & ( v516(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_130,axiom,(
    ! [VarCurr: state_type] :
      ( v516(VarCurr,0)
    <=> v263(VarCurr) ) )).

tff(addAssignment_129,axiom,(
    ! [VarCurr: state_type] :
      ( v516(VarCurr,1)
    <=> v244(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_10,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v501(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v500(VarCurr,B)
          <=> v502(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_10,axiom,(
    ! [VarCurr: state_type] :
      ( v501(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,3)
            & ~ $less(B,0) )
         => ( v500(VarCurr,B)
          <=> b100(B) ) ) ) )).

tff(addAssignment_128,axiom,(
    ! [VarCurr: state_type] :
      ( v502(VarCurr,0)
    <=> v512(VarCurr) ) )).

tff(addAssignment_127,axiom,(
    ! [VarCurr: state_type] :
      ( v502(VarCurr,1)
    <=> v510(VarCurr) ) )).

tff(addAssignment_126,axiom,(
    ! [VarCurr: state_type] :
      ( v502(VarCurr,2)
    <=> v504(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_65,axiom,(
    ! [VarCurr: state_type] :
      ( v510(VarCurr)
    <=> ( v511(VarCurr)
        & v514(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_35,axiom,(
    ! [VarCurr: state_type] :
      ( v514(VarCurr)
    <=> ( v237(VarCurr,0)
        | v237(VarCurr,1) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_64,axiom,(
    ! [VarCurr: state_type] :
      ( v511(VarCurr)
    <=> ( v512(VarCurr)
        | v513(VarCurr) ) ) )).

tff(writeUnaryOperator_49,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v513(VarCurr)
    <=> v237(VarCurr,1) ) )).

tff(writeUnaryOperator_48,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v512(VarCurr)
    <=> v237(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_63,axiom,(
    ! [VarCurr: state_type] :
      ( v504(VarCurr)
    <=> ( v505(VarCurr)
        & v509(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_34,axiom,(
    ! [VarCurr: state_type] :
      ( v509(VarCurr)
    <=> ( v507(VarCurr)
        | v237(VarCurr,2) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_62,axiom,(
    ! [VarCurr: state_type] :
      ( v505(VarCurr)
    <=> ( v506(VarCurr)
        | v508(VarCurr) ) ) )).

tff(writeUnaryOperator_47,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v508(VarCurr)
    <=> v237(VarCurr,2) ) )).

tff(writeUnaryOperator_46,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v506(VarCurr)
    <=> v507(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_33,axiom,(
    ! [VarCurr: state_type] :
      ( v507(VarCurr)
    <=> ( v237(VarCurr,0)
        & v237(VarCurr,1) ) ) )).

tff(addBitVectorEqualityBitBlasted_22,axiom,(
    ! [VarCurr: state_type] :
      ( v501(VarCurr)
    <=> ( ( v237(VarCurr,2)
        <=> $true )
        & ( v237(VarCurr,1)
        <=> $false )
        & ( v237(VarCurr,0)
        <=> $false ) ) ) )).

tff(bitBlastConstant_69,axiom,(
    b100(2) )).

tff(bitBlastConstant_68,axiom,(
    ~ b100(1) )).

tff(bitBlastConstant_67,axiom,(
    ~ b100(0) )).

tff(addBitVectorEqualityBitBlasted_21,axiom,(
    ! [VarCurr: state_type] :
      ( v498(VarCurr)
    <=> ( ( v499(VarCurr,1)
        <=> $true )
        & ( v499(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_125,axiom,(
    ! [VarCurr: state_type] :
      ( v499(VarCurr,0)
    <=> v263(VarCurr) ) )).

tff(addAssignment_124,axiom,(
    ! [VarCurr: state_type] :
      ( v499(VarCurr,1)
    <=> v244(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_9,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v473(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,32)
            & ~ $less(B,0) )
         => ( v472(VarCurr,B)
          <=> v474(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_9,axiom,(
    ! [VarCurr: state_type] :
      ( v473(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,32)
            & ~ $less(B,0) )
         => ( v472(VarCurr,B)
          <=> $false ) ) ) )).

tff(addSignExtensionConstraint_53,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,4)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_52,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,5)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_51,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,6)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_50,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,7)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_49,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,8)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_48,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,9)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_47,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,10)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_46,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,11)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_45,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,12)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_44,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,13)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_43,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,14)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_42,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,15)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_41,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,16)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_40,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,17)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_39,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,18)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_38,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,19)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_37,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,20)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_36,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,21)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_35,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,22)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_34,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,23)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_33,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,24)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_32,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,25)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_31,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,26)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_30,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,27)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_29,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,28)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_28,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,29)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_27,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,30)
    <=> v475(VarCurr,3) ) )).

tff(addSignExtensionConstraint_26,axiom,(
    ! [VarCurr: state_type] :
      ( v474(VarCurr,31)
    <=> v475(VarCurr,3) ) )).

tff(addAssignment_123,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,4)
        & ~ $less(B,0) )
     => ( v474(VarCurr,B)
      <=> v475(VarCurr,B) ) ) )).

tff(addAssignment_122,axiom,(
    ! [VarCurr: state_type] :
      ( v475(VarCurr,0)
    <=> v496(VarCurr) ) )).

tff(addAssignment_121,axiom,(
    ! [VarCurr: state_type] :
      ( v475(VarCurr,1)
    <=> v494(VarCurr) ) )).

tff(addAssignment_120,axiom,(
    ! [VarCurr: state_type] :
      ( v475(VarCurr,2)
    <=> v490(VarCurr) ) )).

tff(addAssignment_119,axiom,(
    ! [VarCurr: state_type] :
      ( v475(VarCurr,3)
    <=> v477(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_61,axiom,(
    ! [VarCurr: state_type] :
      ( v494(VarCurr)
    <=> ( v495(VarCurr)
        & v497(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_60,axiom,(
    ! [VarCurr: state_type] :
      ( v497(VarCurr)
    <=> ( v481(VarCurr,0)
        | v486(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_32,axiom,(
    ! [VarCurr: state_type] :
      ( v495(VarCurr)
    <=> ( v496(VarCurr)
        | v481(VarCurr,1) ) ) )).

tff(writeUnaryOperator_45,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v496(VarCurr)
    <=> v481(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_59,axiom,(
    ! [VarCurr: state_type] :
      ( v490(VarCurr)
    <=> ( v491(VarCurr)
        & v493(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_58,axiom,(
    ! [VarCurr: state_type] :
      ( v493(VarCurr)
    <=> ( v484(VarCurr)
        | v487(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_31,axiom,(
    ! [VarCurr: state_type] :
      ( v491(VarCurr)
    <=> ( v492(VarCurr)
        | v481(VarCurr,2) ) ) )).

tff(writeUnaryOperator_44,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v492(VarCurr)
    <=> v484(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_57,axiom,(
    ! [VarCurr: state_type] :
      ( v477(VarCurr)
    <=> ( v478(VarCurr)
        & v488(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_56,axiom,(
    ! [VarCurr: state_type] :
      ( v488(VarCurr)
    <=> ( v480(VarCurr)
        | v489(VarCurr) ) ) )).

tff(writeUnaryOperator_43,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v489(VarCurr)
    <=> v481(VarCurr,3) ) )).

tff(writeBinaryOperatorShiftedRanges_30,axiom,(
    ! [VarCurr: state_type] :
      ( v478(VarCurr)
    <=> ( v479(VarCurr)
        | v481(VarCurr,3) ) ) )).

tff(writeUnaryOperator_42,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v479(VarCurr)
    <=> v480(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_29,axiom,(
    ! [VarCurr: state_type] :
      ( v480(VarCurr)
    <=> ( v481(VarCurr,2)
        | v483(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_55,axiom,(
    ! [VarCurr: state_type] :
      ( v483(VarCurr)
    <=> ( v484(VarCurr)
        & v487(VarCurr) ) ) )).

tff(writeUnaryOperator_41,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v487(VarCurr)
    <=> v481(VarCurr,2) ) )).

tff(writeBinaryOperatorShiftedRanges_28,axiom,(
    ! [VarCurr: state_type] :
      ( v484(VarCurr)
    <=> ( v481(VarCurr,1)
        | v485(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_54,axiom,(
    ! [VarCurr: state_type] :
      ( v485(VarCurr)
    <=> ( v481(VarCurr,0)
        & v486(VarCurr) ) ) )).

tff(writeUnaryOperator_40,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v486(VarCurr)
    <=> v481(VarCurr,1) ) )).

tff(addZeroExtensionConstraint_1,axiom,(
    ! [VarCurr: state_type] : ~ v481(VarCurr,3) )).

tff(addAssignment_118,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,3)
        & ~ $less(B,0) )
     => ( v481(VarCurr,B)
      <=> v237(VarCurr,B) ) ) )).

tff(addBitVectorEqualityBitBlasted_20,axiom,(
    ! [VarCurr: state_type] :
      ( v473(VarCurr)
    <=> ( ( v237(VarCurr,2)
        <=> $false )
        & ( v237(VarCurr,1)
        <=> $false )
        & ( v237(VarCurr,0)
        <=> $false ) ) ) )).

tff(bitBlastConstant_66,axiom,(
    ~ b000(2) )).

tff(bitBlastConstant_65,axiom,(
    ~ b000(1) )).

tff(bitBlastConstant_64,axiom,(
    ~ b000(0) )).

tff(addBitVectorEqualityBitBlasted_19,axiom,(
    ! [VarCurr: state_type] :
      ( v470(VarCurr)
    <=> ( ( v471(VarCurr,1)
        <=> $false )
        & ( v471(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_117,axiom,(
    ! [VarCurr: state_type] :
      ( v471(VarCurr,0)
    <=> v263(VarCurr) ) )).

tff(addAssignment_116,axiom,(
    ! [VarCurr: state_type] :
      ( v471(VarCurr,1)
    <=> v244(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_18,axiom,(
    ! [VarCurr: state_type] :
      ( v468(VarCurr)
    <=> ( ( v469(VarCurr,1)
        <=> $false )
        & ( v469(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_115,axiom,(
    ! [VarCurr: state_type] :
      ( v469(VarCurr,0)
    <=> v263(VarCurr) ) )).

tff(addAssignment_114,axiom,(
    ! [VarCurr: state_type] :
      ( v469(VarCurr,1)
    <=> v244(VarCurr) ) )).

tff(addAssignment_113,axiom,(
    ! [VarCurr: state_type] :
      ( v263(VarCurr)
    <=> v265(VarCurr) ) )).

tff(addAssignment_112,axiom,(
    ! [VarCurr: state_type] :
      ( v265(VarCurr)
    <=> v267(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_8,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v461(VarCurr)
     => ( v267(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_8,axiom,(
    ! [VarCurr: state_type] :
      ( v461(VarCurr)
     => ( v267(VarCurr)
      <=> v465(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_4,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v385(VarCurr)
     => ( v465(VarCurr)
      <=> $false ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_4,axiom,(
    ! [VarCurr: state_type] :
      ( v385(VarCurr)
     => ( v465(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_53,axiom,(
    ! [VarCurr: state_type] :
      ( v461(VarCurr)
    <=> ( v385(VarCurr)
        | v462(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_52,axiom,(
    ! [VarCurr: state_type] :
      ( v462(VarCurr)
    <=> ( v463(VarCurr)
        & v464(VarCurr) ) ) )).

tff(writeUnaryOperator_39,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v464(VarCurr)
    <=> v385(VarCurr) ) )).

tff(writeUnaryOperator_38,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v463(VarCurr)
    <=> v382(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_27,axiom,(
    ! [VarCurr: state_type] :
      ( v269(VarCurr)
    <=> ( v459(VarCurr)
        | v271(VarCurr,3) ) ) )).

tff(writeBinaryOperatorShiftedRanges_26,axiom,(
    ! [VarCurr: state_type] :
      ( v459(VarCurr)
    <=> ( v431(VarCurr)
        | v271(VarCurr,2) ) ) )).

tff(addCaseBooleanConditionEqualRanges1_1,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v443(VarNext)
       => ! [B: $int] :
            ( ( $less(B,4)
              & ~ $less(B,0) )
           => ( v271(VarNext,B)
            <=> v271(VarCurr,B) ) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0_1,axiom,(
    ! [VarNext: state_type] :
      ( v443(VarNext)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v271(VarNext,B)
          <=> v453(VarNext,B) ) ) ) )).

tff(addAssignment_111,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v453(VarNext,B)
          <=> v451(VarCurr,B) ) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_7,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v454(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v451(VarCurr,B)
          <=> v274(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_7,axiom,(
    ! [VarCurr: state_type] :
      ( v454(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v451(VarCurr,B)
          <=> b1000(B) ) ) ) )).

tff(bitBlastConstant_63,axiom,(
    b1000(3) )).

tff(bitBlastConstant_62,axiom,(
    ~ b1000(2) )).

tff(bitBlastConstant_61,axiom,(
    ~ b1000(1) )).

tff(bitBlastConstant_60,axiom,(
    ~ b1000(0) )).

tff(writeUnaryOperator_37,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v454(VarCurr)
    <=> v197(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_51,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v443(VarNext)
      <=> v444(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_50,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v444(VarNext)
      <=> ( v445(VarNext)
          & v438(VarNext) ) ) ) )).

tff(writeUnaryOperator_36,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v445(VarNext)
      <=> v447(VarNext) ) ) )).

tff(addAssignment_110,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v447(VarNext)
      <=> v438(VarCurr) ) ) )).

tff(addAssignment_109,axiom,(
    ! [VarCurr: state_type] :
      ( v438(VarCurr)
    <=> v440(VarCurr) ) )).

tff(addAssignment_108,axiom,(
    ! [VarCurr: state_type] :
      ( v440(VarCurr)
    <=> v156(VarCurr) ) )).

tff(addParallelCaseBooleanConditionEqualRanges2_1,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v392(VarCurr)
        & ~ v415(VarCurr) )
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v274(VarCurr,B)
          <=> v271(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_3,axiom,(
    ! [VarCurr: state_type] :
      ( v415(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v274(VarCurr,B)
          <=> v417(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_3,axiom,(
    ! [VarCurr: state_type] :
      ( v392(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,4)
            & ~ $less(B,0) )
         => ( v274(VarCurr,B)
          <=> v394(VarCurr,B) ) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_49,axiom,(
    ! [VarCurr: state_type] :
      ( v432(VarCurr)
    <=> ( v433(VarCurr)
        | v435(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_17,axiom,(
    ! [VarCurr: state_type] :
      ( v435(VarCurr)
    <=> ( ( v436(VarCurr,1)
        <=> $true )
        & ( v436(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_107,axiom,(
    ! [VarCurr: state_type] :
      ( v436(VarCurr,0)
    <=> v374(VarCurr) ) )).

tff(addAssignment_106,axiom,(
    ! [VarCurr: state_type] :
      ( v436(VarCurr,1)
    <=> v276(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_16,axiom,(
    ! [VarCurr: state_type] :
      ( v433(VarCurr)
    <=> ( ( v434(VarCurr,1)
        <=> $false )
        & ( v434(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_105,axiom,(
    ! [VarCurr: state_type] :
      ( v434(VarCurr,0)
    <=> v374(VarCurr) ) )).

tff(addAssignment_104,axiom,(
    ! [VarCurr: state_type] :
      ( v434(VarCurr,1)
    <=> v276(VarCurr) ) )).

tff(addAssignment_103,axiom,(
    ! [VarCurr: state_type] :
      ( v417(VarCurr,0)
    <=> v413(VarCurr) ) )).

tff(addAssignment_102,axiom,(
    ! [VarCurr: state_type] :
      ( v417(VarCurr,1)
    <=> v429(VarCurr) ) )).

tff(addAssignment_101,axiom,(
    ! [VarCurr: state_type] :
      ( v417(VarCurr,2)
    <=> v425(VarCurr) ) )).

tff(addAssignment_100,axiom,(
    ! [VarCurr: state_type] :
      ( v417(VarCurr,3)
    <=> v419(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_48,axiom,(
    ! [VarCurr: state_type] :
      ( v429(VarCurr)
    <=> ( v430(VarCurr)
        & v431(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_25,axiom,(
    ! [VarCurr: state_type] :
      ( v431(VarCurr)
    <=> ( v271(VarCurr,0)
        | v271(VarCurr,1) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_47,axiom,(
    ! [VarCurr: state_type] :
      ( v430(VarCurr)
    <=> ( v413(VarCurr)
        | v403(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_46,axiom,(
    ! [VarCurr: state_type] :
      ( v425(VarCurr)
    <=> ( v426(VarCurr)
        & v428(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_24,axiom,(
    ! [VarCurr: state_type] :
      ( v428(VarCurr)
    <=> ( v271(VarCurr,2)
        | v423(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_45,axiom,(
    ! [VarCurr: state_type] :
      ( v426(VarCurr)
    <=> ( v404(VarCurr)
        | v427(VarCurr) ) ) )).

tff(writeUnaryOperator_35,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v427(VarCurr)
    <=> v423(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_44,axiom,(
    ! [VarCurr: state_type] :
      ( v419(VarCurr)
    <=> ( v420(VarCurr)
        & v424(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_23,axiom,(
    ! [VarCurr: state_type] :
      ( v424(VarCurr)
    <=> ( v271(VarCurr,3)
        | v422(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_43,axiom,(
    ! [VarCurr: state_type] :
      ( v420(VarCurr)
    <=> ( v406(VarCurr)
        | v421(VarCurr) ) ) )).

tff(writeUnaryOperator_34,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v421(VarCurr)
    <=> v422(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_22,axiom,(
    ! [VarCurr: state_type] :
      ( v422(VarCurr)
    <=> ( v271(VarCurr,2)
        & v423(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_21,axiom,(
    ! [VarCurr: state_type] :
      ( v423(VarCurr)
    <=> ( v271(VarCurr,0)
        & v271(VarCurr,1) ) ) )).

tff(addBitVectorEqualityBitBlasted_15,axiom,(
    ! [VarCurr: state_type] :
      ( v415(VarCurr)
    <=> ( ( v416(VarCurr,1)
        <=> $true )
        & ( v416(VarCurr,0)
        <=> $false ) ) ) )).

tff(addAssignment_99,axiom,(
    ! [VarCurr: state_type] :
      ( v416(VarCurr,0)
    <=> v374(VarCurr) ) )).

tff(addAssignment_98,axiom,(
    ! [VarCurr: state_type] :
      ( v416(VarCurr,1)
    <=> v276(VarCurr) ) )).

tff(addAssignment_97,axiom,(
    ! [VarCurr: state_type] :
      ( v394(VarCurr,0)
    <=> v413(VarCurr) ) )).

tff(addAssignment_96,axiom,(
    ! [VarCurr: state_type] :
      ( v394(VarCurr,1)
    <=> v411(VarCurr) ) )).

tff(addAssignment_95,axiom,(
    ! [VarCurr: state_type] :
      ( v394(VarCurr,2)
    <=> v407(VarCurr) ) )).

tff(addAssignment_94,axiom,(
    ! [VarCurr: state_type] :
      ( v394(VarCurr,3)
    <=> v396(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_42,axiom,(
    ! [VarCurr: state_type] :
      ( v411(VarCurr)
    <=> ( v412(VarCurr)
        & v414(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_41,axiom,(
    ! [VarCurr: state_type] :
      ( v414(VarCurr)
    <=> ( v271(VarCurr,0)
        | v403(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_20,axiom,(
    ! [VarCurr: state_type] :
      ( v412(VarCurr)
    <=> ( v413(VarCurr)
        | v271(VarCurr,1) ) ) )).

tff(writeUnaryOperator_33,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v413(VarCurr)
    <=> v271(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_40,axiom,(
    ! [VarCurr: state_type] :
      ( v407(VarCurr)
    <=> ( v408(VarCurr)
        & v410(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_39,axiom,(
    ! [VarCurr: state_type] :
      ( v410(VarCurr)
    <=> ( v401(VarCurr)
        | v404(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_19,axiom,(
    ! [VarCurr: state_type] :
      ( v408(VarCurr)
    <=> ( v409(VarCurr)
        | v271(VarCurr,2) ) ) )).

tff(writeUnaryOperator_32,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v409(VarCurr)
    <=> v401(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_38,axiom,(
    ! [VarCurr: state_type] :
      ( v396(VarCurr)
    <=> ( v397(VarCurr)
        & v405(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_37,axiom,(
    ! [VarCurr: state_type] :
      ( v405(VarCurr)
    <=> ( v399(VarCurr)
        | v406(VarCurr) ) ) )).

tff(writeUnaryOperator_31,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v406(VarCurr)
    <=> v271(VarCurr,3) ) )).

tff(writeBinaryOperatorShiftedRanges_18,axiom,(
    ! [VarCurr: state_type] :
      ( v397(VarCurr)
    <=> ( v398(VarCurr)
        | v271(VarCurr,3) ) ) )).

tff(writeUnaryOperator_30,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v398(VarCurr)
    <=> v399(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_17,axiom,(
    ! [VarCurr: state_type] :
      ( v399(VarCurr)
    <=> ( v271(VarCurr,2)
        | v400(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_36,axiom,(
    ! [VarCurr: state_type] :
      ( v400(VarCurr)
    <=> ( v401(VarCurr)
        & v404(VarCurr) ) ) )).

tff(writeUnaryOperator_29,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v404(VarCurr)
    <=> v271(VarCurr,2) ) )).

tff(writeBinaryOperatorShiftedRanges_16,axiom,(
    ! [VarCurr: state_type] :
      ( v401(VarCurr)
    <=> ( v271(VarCurr,1)
        | v402(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_35,axiom,(
    ! [VarCurr: state_type] :
      ( v402(VarCurr)
    <=> ( v271(VarCurr,0)
        & v403(VarCurr) ) ) )).

tff(writeUnaryOperator_28,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v403(VarCurr)
    <=> v271(VarCurr,1) ) )).

tff(addBitVectorEqualityBitBlasted_14,axiom,(
    ! [VarCurr: state_type] :
      ( v392(VarCurr)
    <=> ( ( v393(VarCurr,1)
        <=> $false )
        & ( v393(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_93,axiom,(
    ! [VarCurr: state_type] :
      ( v393(VarCurr,0)
    <=> v374(VarCurr) ) )).

tff(addAssignment_92,axiom,(
    ! [VarCurr: state_type] :
      ( v393(VarCurr,1)
    <=> v276(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_34,axiom,(
    ! [VarCurr: state_type] :
      ( v374(VarCurr)
    <=> ( v267(VarCurr)
        | v376(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_6,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v378(VarCurr)
     => ( v376(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_6,axiom,(
    ! [VarCurr: state_type] :
      ( v378(VarCurr)
     => ( v376(VarCurr)
      <=> v387(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_2,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v380(VarCurr)
     => ( v387(VarCurr)
      <=> $false ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_2,axiom,(
    ! [VarCurr: state_type] :
      ( v380(VarCurr)
     => ( v387(VarCurr)
      <=> v388(VarCurr) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_5,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v269(VarCurr)
     => ( v388(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_5,axiom,(
    ! [VarCurr: state_type] :
      ( v269(VarCurr)
     => ( v388(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_33,axiom,(
    ! [VarCurr: state_type] :
      ( v378(VarCurr)
    <=> ( v379(VarCurr)
        & v384(VarCurr) ) ) )).

tff(writeUnaryOperator_27,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v384(VarCurr)
    <=> v385(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_32,axiom,(
    ! [VarCurr: state_type] :
      ( v385(VarCurr)
    <=> ( v386(VarCurr)
        & v269(VarCurr) ) ) )).

tff(writeUnaryOperator_26,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v386(VarCurr)
    <=> v233(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_31,axiom,(
    ! [VarCurr: state_type] :
      ( v379(VarCurr)
    <=> ( v380(VarCurr)
        | v383(VarCurr) ) ) )).

tff(writeUnaryOperator_25,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v383(VarCurr)
    <=> v382(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_30,axiom,(
    ! [VarCurr: state_type] :
      ( v380(VarCurr)
    <=> ( v381(VarCurr)
        & v382(VarCurr) ) ) )).

tff(writeUnaryOperator_24,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v382(VarCurr)
    <=> v205(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_13,axiom,(
    ! [VarCurr: state_type] :
      ( v381(VarCurr)
    <=> ( ( v203(VarCurr,1)
        <=> $false )
        & ( v203(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_91,axiom,(
    ! [VarCurr: state_type] :
      ( v276(VarCurr)
    <=> v278(VarCurr) ) )).

tff(addAssignment_90,axiom,(
    ! [VarCurr: state_type] :
      ( v278(VarCurr)
    <=> v280(VarCurr) ) )).

tff(addAssignment_89,axiom,(
    ! [VarCurr: state_type] :
      ( v280(VarCurr)
    <=> v282(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_4,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v365(VarCurr)
     => ( v282(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_4,axiom,(
    ! [VarCurr: state_type] :
      ( v365(VarCurr)
     => ( v282(VarCurr)
      <=> v372(VarCurr) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1_1,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v366(VarCurr)
     => ( v372(VarCurr)
      <=> $false ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0_1,axiom,(
    ! [VarCurr: state_type] :
      ( v366(VarCurr)
     => ( v372(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_29,axiom,(
    ! [VarCurr: state_type] :
      ( v365(VarCurr)
    <=> ( v366(VarCurr)
        | v368(VarCurr) ) ) )).

tff(writeUnaryOperator_23,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v368(VarCurr)
    <=> v369(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_28,axiom,(
    ! [VarCurr: state_type] :
      ( v369(VarCurr)
    <=> ( v370(VarCurr)
        | v366(VarCurr) ) ) )).

tff(addBitVectorEqualityBitBlasted_12,axiom,(
    ! [VarCurr: state_type] :
      ( v370(VarCurr)
    <=> ( ( v371(VarCurr,2)
        <=> $false )
        & ( v371(VarCurr,1)
        <=> $false )
        & ( v371(VarCurr,0)
        <=> $true ) ) ) )).

tff(bitBlastConstant_59,axiom,(
    ~ b001(2) )).

tff(bitBlastConstant_58,axiom,(
    ~ b001(1) )).

tff(bitBlastConstant_57,axiom,(
    b001(0) )).

tff(addAssignment_88,axiom,(
    ! [VarCurr: state_type] :
      ( v371(VarCurr,0)
    <=> v346(VarCurr) ) )).

tff(addAssignment_87,axiom,(
    ! [VarCurr: state_type] :
      ( v371(VarCurr,1)
    <=> v321(VarCurr) ) )).

tff(addAssignment_86,axiom,(
    ! [VarCurr: state_type] :
      ( v371(VarCurr,2)
    <=> v284(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_11,axiom,(
    ! [VarCurr: state_type] :
      ( v366(VarCurr)
    <=> ( ( v367(VarCurr,2)
        <=> $false )
        & ( v367(VarCurr,1)
        <=> $true )
        & ( v367(VarCurr,0)
        <=> $false ) ) ) )).

tff(bitBlastConstant_56,axiom,(
    ~ b010(2) )).

tff(bitBlastConstant_55,axiom,(
    b010(1) )).

tff(bitBlastConstant_54,axiom,(
    ~ b010(0) )).

tff(addAssignment_85,axiom,(
    ! [VarCurr: state_type] :
      ( v367(VarCurr,0)
    <=> v346(VarCurr) ) )).

tff(addAssignment_84,axiom,(
    ! [VarCurr: state_type] :
      ( v367(VarCurr,1)
    <=> v321(VarCurr) ) )).

tff(addAssignment_83,axiom,(
    ! [VarCurr: state_type] :
      ( v367(VarCurr,2)
    <=> v284(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_27,axiom,(
    ! [VarCurr: state_type] :
      ( v346(VarCurr)
    <=> ( v360(VarCurr)
        & v361(VarCurr) ) ) )).

tff(writeUnaryOperator_22,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v361(VarCurr)
    <=> v356(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_10,axiom,(
    ! [VarCurr: state_type] :
      ( v360(VarCurr)
    <=> ( ( v323(VarCurr,7)
        <=> v348(VarCurr,7) )
        & ( v323(VarCurr,6)
        <=> v348(VarCurr,6) )
        & ( v323(VarCurr,5)
        <=> v348(VarCurr,5) )
        & ( v323(VarCurr,4)
        <=> v348(VarCurr,4) )
        & ( v323(VarCurr,3)
        <=> v348(VarCurr,3) )
        & ( v323(VarCurr,2)
        <=> v348(VarCurr,2) )
        & ( v323(VarCurr,1)
        <=> v348(VarCurr,1) )
        & ( v323(VarCurr,0)
        <=> v348(VarCurr,0) ) ) ) )).

tff(addAssignment_82,axiom,(
    ! [VarCurr: state_type] :
      ( v356(VarCurr)
    <=> v358(VarCurr) ) )).

tff(addAssignment_81,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,8)
        & ~ $less(B,0) )
     => ( v348(VarCurr,B)
      <=> v350(VarCurr,B) ) ) )).

tff(addAssignment_80,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,8)
        & ~ $less(B,0) )
     => ( v350(VarCurr,B)
      <=> v352(VarCurr,B) ) ) )).

tff(addAssignment_79,axiom,(
    ! [VarCurr: state_type] :
      ( ( v352(VarCurr,7)
      <=> v354(VarCurr,400) )
      & ( v352(VarCurr,6)
      <=> v354(VarCurr,399) )
      & ( v352(VarCurr,5)
      <=> v354(VarCurr,398) )
      & ( v352(VarCurr,4)
      <=> v354(VarCurr,397) )
      & ( v352(VarCurr,3)
      <=> v354(VarCurr,396) )
      & ( v352(VarCurr,2)
      <=> v354(VarCurr,395) )
      & ( v352(VarCurr,1)
      <=> v354(VarCurr,394) )
      & ( v352(VarCurr,0)
      <=> v354(VarCurr,393) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_26,axiom,(
    ! [VarCurr: state_type] :
      ( v321(VarCurr)
    <=> ( v343(VarCurr)
        & v344(VarCurr) ) ) )).

tff(writeUnaryOperator_21,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v344(VarCurr)
    <=> v336(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_9,axiom,(
    ! [VarCurr: state_type] :
      ( v343(VarCurr)
    <=> ( ( v323(VarCurr,7)
        <=> v325(VarCurr,7) )
        & ( v323(VarCurr,6)
        <=> v325(VarCurr,6) )
        & ( v323(VarCurr,5)
        <=> v325(VarCurr,5) )
        & ( v323(VarCurr,4)
        <=> v325(VarCurr,4) )
        & ( v323(VarCurr,3)
        <=> v325(VarCurr,3) )
        & ( v323(VarCurr,2)
        <=> v325(VarCurr,2) )
        & ( v323(VarCurr,1)
        <=> v325(VarCurr,1) )
        & ( v323(VarCurr,0)
        <=> v325(VarCurr,0) ) ) ) )).

tff(addAssignment_78,axiom,(
    ! [VarCurr: state_type] :
      ( v336(VarCurr)
    <=> v338(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_8,axiom,(
    ! [VarCurr: state_type] :
      ( v338(VarCurr)
    <=> ( ( v340(VarCurr,3)
        <=> $false )
        & ( v340(VarCurr,2)
        <=> $false )
        & ( v340(VarCurr,1)
        <=> $false )
        & ( v340(VarCurr,0)
        <=> $false ) ) ) )).

tff(bitBlastConstant_53,axiom,(
    ~ b0000(3) )).

tff(bitBlastConstant_52,axiom,(
    ~ b0000(2) )).

tff(bitBlastConstant_51,axiom,(
    ~ b0000(1) )).

tff(bitBlastConstant_50,axiom,(
    ~ b0000(0) )).

tff(addAssignment_77,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,8)
        & ~ $less(B,0) )
     => ( v325(VarCurr,B)
      <=> v327(VarCurr,B) ) ) )).

tff(addAssignment_76,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,8)
        & ~ $less(B,0) )
     => ( v327(VarCurr,B)
      <=> v329(VarCurr,B) ) ) )).

tff(addAssignment_75,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,8)
        & ~ $less(B,0) )
     => ( v329(VarCurr,B)
      <=> v334(VarCurr,B) ) ) )).

tff(addAssignment_74,axiom,(
    ! [VarCurr: state_type] :
      ( v284(VarCurr)
    <=> v286(VarCurr) ) )).

tff(addAssignment_73,axiom,(
    ! [VarCurr: state_type] :
      ( v286(VarCurr)
    <=> v288(VarCurr) ) )).

tff(addAssignment_72,axiom,(
    ! [VarCurr: state_type] :
      ( v288(VarCurr)
    <=> v290(VarCurr) ) )).

tff(addAssignment_71,axiom,(
    ! [VarCurr: state_type] :
      ( v290(VarCurr)
    <=> v292(VarCurr) ) )).

tff(addAssignment_70,axiom,(
    ! [VarCurr: state_type] :
      ( v292(VarCurr)
    <=> v294(VarCurr) ) )).

tff(addAssignment_69,axiom,(
    ! [VarCurr: state_type] :
      ( v294(VarCurr)
    <=> v296(VarCurr) ) )).

tff(addAssignment_68,axiom,(
    ! [VarCurr: state_type] :
      ( v296(VarCurr)
    <=> v298(VarCurr) ) )).

tff(addAssignment_67,axiom,(
    ! [VarCurr: state_type] :
      ( v298(VarCurr)
    <=> v300(VarCurr) ) )).

tff(addAssignment_66,axiom,(
    ! [VarCurr: state_type] :
      ( v300(VarCurr)
    <=> v302(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_25,axiom,(
    ! [VarCurr: state_type] :
      ( v302(VarCurr)
    <=> ( v304(VarCurr)
        | v312(VarCurr) ) ) )).

tff(addAssignment_65,axiom,(
    ! [VarCurr: state_type] :
      ( v312(VarCurr)
    <=> v314(VarCurr,6) ) )).

tff(addAssignment_64,axiom,(
    ! [VarCurr: state_type] :
      ( v314(VarCurr,6)
    <=> v316(VarCurr,6) ) )).

tff(addAssignment_63,axiom,(
    ! [VarCurr: state_type] :
      ( v316(VarCurr,6)
    <=> v318(VarCurr,6) ) )).

tff(addAssignment_62,axiom,(
    ! [VarCurr: state_type] :
      ( v304(VarCurr)
    <=> v306(VarCurr,2) ) )).

tff(addAssignment_61,axiom,(
    ! [VarCurr: state_type] :
      ( v306(VarCurr,2)
    <=> v308(VarCurr,2) ) )).

tff(addAssignment_60,axiom,(
    ! [VarCurr: state_type] :
      ( v308(VarCurr,2)
    <=> v310(VarCurr,2) ) )).

tff(addAssignment_59,axiom,(
    ! [VarCurr: state_type] :
      ( v244(VarCurr)
    <=> v246(VarCurr) ) )).

tff(addAssignment_58,axiom,(
    ! [VarCurr: state_type] :
      ( v246(VarCurr)
    <=> v248(VarCurr) ) )).

tff(addAssignment_57,axiom,(
    ! [VarCurr: state_type] :
      ( v248(VarCurr)
    <=> v250(VarCurr) ) )).

tff(addAssignment_56,axiom,(
    ! [VarCurr: state_type] :
      ( v250(VarCurr)
    <=> v252(VarCurr) ) )).

tff(addAssignment_55,axiom,(
    ! [VarCurr: state_type] :
      ( v252(VarCurr)
    <=> v254(VarCurr) ) )).

tff(addAssignment_54,axiom,(
    ! [VarCurr: state_type] :
      ( v254(VarCurr)
    <=> v256(VarCurr) ) )).

tff(addAssignment_53,axiom,(
    ! [VarCurr: state_type] :
      ( v256(VarCurr)
    <=> v258(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_7,axiom,(
    ! [VarCurr: state_type] :
      ( v258(VarCurr)
    <=> ( ( v260(VarCurr,1)
        <=> $true )
        & ( v260(VarCurr,0)
        <=> $true ) ) ) )).

tff(addAssignment_52,axiom,(
    ! [VarCurr: state_type] :
      ( v239(VarCurr)
    <=> v197(VarCurr) ) )).

tff(addAssignment_51,axiom,(
    ! [VarCurr: state_type] :
      ( v211(VarCurr)
    <=> v213(VarCurr) ) )).

tff(addAssignment_50,axiom,(
    ! [VarCurr: state_type] :
      ( v213(VarCurr)
    <=> v215(VarCurr) ) )).

tff(addAssignment_49,axiom,(
    ! [VarCurr: state_type] :
      ( v215(VarCurr)
    <=> v217(VarCurr) ) )).

tff(addAssignment_48,axiom,(
    ! [VarCurr: state_type] :
      ( v217(VarCurr)
    <=> v219(VarCurr) ) )).

tff(addAssignment_47,axiom,(
    ! [VarCurr: state_type] :
      ( v219(VarCurr)
    <=> v221(VarCurr) ) )).

tff(addAssignment_46,axiom,(
    ! [VarCurr: state_type] :
      ( v221(VarCurr)
    <=> v223(VarCurr) ) )).

tff(addAssignment_45,axiom,(
    ! [VarCurr: state_type] :
      ( v223(VarCurr)
    <=> v225(VarCurr) ) )).

tff(addAssignment_44,axiom,(
    ! [VarCurr: state_type] :
      ( v225(VarCurr)
    <=> v227(VarCurr,1) ) )).

tff(addAssignment_43,axiom,(
    ! [VarCurr: state_type] :
      ( v209(VarCurr)
    <=> v197(VarCurr) ) )).

tff(addAssignment_42,axiom,(
    ! [VarCurr: state_type] :
      ( v197(VarCurr)
    <=> v199(VarCurr) ) )).

tff(addAssignment_41,axiom,(
    ! [VarCurr: state_type] :
      ( v199(VarCurr)
    <=> v16(VarCurr) ) )).

tff(addAssignment_40,axiom,(
    ! [VarCurr: state_type] :
      ( v181(VarCurr)
    <=> v12(VarCurr) ) )).

tff(addAssignment_39,axiom,(
    ! [VarCurr: state_type] :
      ( v33(VarCurr)
    <=> v35(VarCurr) ) )).

tff(addBitVectorEqualityBitBlasted_6,axiom,(
    ! [VarCurr: state_type] :
      ( v35(VarCurr)
    <=> ( ( v37(VarCurr,4)
        <=> $false )
        & ( v37(VarCurr,3)
        <=> $false )
        & ( v37(VarCurr,2)
        <=> $false )
        & ( v37(VarCurr,1)
        <=> $false )
        & ( v37(VarCurr,0)
        <=> $false ) ) ) )).

tff(addCaseBooleanConditionEqualRanges1,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v159(VarNext)
       => ! [B: $int] :
            ( ( $less(B,5)
              & ~ $less(B,0) )
           => ( v37(VarNext,B)
            <=> v37(VarCurr,B) ) ) ) ) )).

tff(addCaseBooleanConditionEqualRanges0,axiom,(
    ! [VarNext: state_type] :
      ( v159(VarNext)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v37(VarNext,B)
          <=> v169(VarNext,B) ) ) ) )).

tff(addAssignment_38,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v169(VarNext,B)
          <=> v167(VarCurr,B) ) ) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_3,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v170(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v167(VarCurr,B)
          <=> v40(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_3,axiom,(
    ! [VarCurr: state_type] :
      ( v170(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v167(VarCurr,B)
          <=> $false ) ) ) )).

tff(writeUnaryOperator_20,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v170(VarCurr)
    <=> v10(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_24,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v159(VarNext)
      <=> v160(VarNext) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_23,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v160(VarNext)
      <=> ( v161(VarNext)
          & v150(VarNext) ) ) ) )).

tff(writeUnaryOperator_19,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v161(VarNext)
      <=> v163(VarNext) ) ) )).

tff(addAssignment_37,axiom,(
    ! [VarNext: state_type,VarCurr: state_type] :
      ( nextState(VarCurr,VarNext)
     => ( v163(VarNext)
      <=> v150(VarCurr) ) ) )).

tff(addAssignment_36,axiom,(
    ! [VarCurr: state_type] :
      ( v150(VarCurr)
    <=> v152(VarCurr) ) )).

tff(addAssignment_35,axiom,(
    ! [VarCurr: state_type] :
      ( v152(VarCurr)
    <=> v154(VarCurr) ) )).

tff(addAssignment_34,axiom,(
    ! [VarCurr: state_type] :
      ( v154(VarCurr)
    <=> v156(VarCurr) ) )).

tff(addAssignment_33,axiom,(
    ! [VarCurr: state_type] :
      ( v156(VarCurr)
    <=> v1(VarCurr) ) )).

tff(addParallelCaseBooleanConditionEqualRanges3,axiom,(
    ! [VarCurr: state_type] :
      ( ( ~ v73(VarCurr)
        & ~ v75(VarCurr)
        & ~ v118(VarCurr) )
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v40(VarCurr,B)
          <=> v37(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges2,axiom,(
    ! [VarCurr: state_type] :
      ( v118(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v40(VarCurr,B)
          <=> v120(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges1,axiom,(
    ! [VarCurr: state_type] :
      ( v75(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v40(VarCurr,B)
          <=> v77(VarCurr,B) ) ) ) )).

tff(addParallelCaseBooleanConditionEqualRanges0,axiom,(
    ! [VarCurr: state_type] :
      ( v73(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v40(VarCurr,B)
          <=> v37(VarCurr,B) ) ) ) )).

tff(addBitVectorEqualityBitBlasted_5,axiom,(
    ! [VarCurr: state_type] :
      ( v147(VarCurr)
    <=> ( ( v148(VarCurr,1)
        <=> $true )
        & ( v148(VarCurr,0)
        <=> $true ) ) ) )).

tff(bitBlastConstant_49,axiom,(
    b11(1) )).

tff(bitBlastConstant_48,axiom,(
    b11(0) )).

tff(addAssignment_32,axiom,(
    ! [VarCurr: state_type] :
      ( v148(VarCurr,0)
    <=> v25(VarCurr) ) )).

tff(addAssignment_31,axiom,(
    ! [VarCurr: state_type] :
      ( v148(VarCurr,1)
    <=> v42(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_2,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v121(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v120(VarCurr,B)
          <=> v122(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_2,axiom,(
    ! [VarCurr: state_type] :
      ( v121(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,5)
            & ~ $less(B,0) )
         => ( v120(VarCurr,B)
          <=> b01111(B) ) ) ) )).

tff(addAssignment_30,axiom,(
    ! [VarCurr: state_type] :
      ( v122(VarCurr,0)
    <=> v144(VarCurr) ) )).

tff(addAssignment_29,axiom,(
    ! [VarCurr: state_type] :
      ( v122(VarCurr,1)
    <=> v142(VarCurr) ) )).

tff(addAssignment_28,axiom,(
    ! [VarCurr: state_type] :
      ( v122(VarCurr,2)
    <=> v137(VarCurr) ) )).

tff(addAssignment_27,axiom,(
    ! [VarCurr: state_type] :
      ( v122(VarCurr,3)
    <=> v132(VarCurr) ) )).

tff(addAssignment_26,axiom,(
    ! [VarCurr: state_type] :
      ( v122(VarCurr,4)
    <=> v124(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_22,axiom,(
    ! [VarCurr: state_type] :
      ( v142(VarCurr)
    <=> ( v143(VarCurr)
        & v146(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_15,axiom,(
    ! [VarCurr: state_type] :
      ( v146(VarCurr)
    <=> ( v37(VarCurr,0)
        | v37(VarCurr,1) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_21,axiom,(
    ! [VarCurr: state_type] :
      ( v143(VarCurr)
    <=> ( v144(VarCurr)
        | v145(VarCurr) ) ) )).

tff(writeUnaryOperator_18,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v145(VarCurr)
    <=> v37(VarCurr,1) ) )).

tff(writeUnaryOperator_17,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v144(VarCurr)
    <=> v37(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_20,axiom,(
    ! [VarCurr: state_type] :
      ( v137(VarCurr)
    <=> ( v138(VarCurr)
        & v141(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_14,axiom,(
    ! [VarCurr: state_type] :
      ( v141(VarCurr)
    <=> ( v129(VarCurr)
        | v37(VarCurr,2) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_19,axiom,(
    ! [VarCurr: state_type] :
      ( v138(VarCurr)
    <=> ( v139(VarCurr)
        | v140(VarCurr) ) ) )).

tff(writeUnaryOperator_16,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v140(VarCurr)
    <=> v37(VarCurr,2) ) )).

tff(writeUnaryOperator_15,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v139(VarCurr)
    <=> v129(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_18,axiom,(
    ! [VarCurr: state_type] :
      ( v132(VarCurr)
    <=> ( v133(VarCurr)
        & v136(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_13,axiom,(
    ! [VarCurr: state_type] :
      ( v136(VarCurr)
    <=> ( v128(VarCurr)
        | v37(VarCurr,3) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_17,axiom,(
    ! [VarCurr: state_type] :
      ( v133(VarCurr)
    <=> ( v134(VarCurr)
        | v135(VarCurr) ) ) )).

tff(writeUnaryOperator_14,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v135(VarCurr)
    <=> v37(VarCurr,3) ) )).

tff(writeUnaryOperator_13,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v134(VarCurr)
    <=> v128(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_16,axiom,(
    ! [VarCurr: state_type] :
      ( v124(VarCurr)
    <=> ( v125(VarCurr)
        & v131(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_12,axiom,(
    ! [VarCurr: state_type] :
      ( v131(VarCurr)
    <=> ( v127(VarCurr)
        | v37(VarCurr,4) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_15,axiom,(
    ! [VarCurr: state_type] :
      ( v125(VarCurr)
    <=> ( v126(VarCurr)
        | v130(VarCurr) ) ) )).

tff(writeUnaryOperator_12,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v130(VarCurr)
    <=> v37(VarCurr,4) ) )).

tff(writeUnaryOperator_11,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v126(VarCurr)
    <=> v127(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_11,axiom,(
    ! [VarCurr: state_type] :
      ( v127(VarCurr)
    <=> ( v128(VarCurr)
        & v37(VarCurr,3) ) ) )).

tff(writeBinaryOperatorShiftedRanges_10,axiom,(
    ! [VarCurr: state_type] :
      ( v128(VarCurr)
    <=> ( v129(VarCurr)
        & v37(VarCurr,2) ) ) )).

tff(writeBinaryOperatorShiftedRanges_9,axiom,(
    ! [VarCurr: state_type] :
      ( v129(VarCurr)
    <=> ( v37(VarCurr,0)
        & v37(VarCurr,1) ) ) )).

tff(addBitVectorEqualityBitBlasted_4,axiom,(
    ! [VarCurr: state_type] :
      ( v121(VarCurr)
    <=> ( ( v37(VarCurr,4)
        <=> $false )
        & ( v37(VarCurr,3)
        <=> $true )
        & ( v37(VarCurr,2)
        <=> $true )
        & ( v37(VarCurr,1)
        <=> $true )
        & ( v37(VarCurr,0)
        <=> $true ) ) ) )).

tff(bitBlastConstant_47,axiom,(
    ~ b01111(4) )).

tff(bitBlastConstant_46,axiom,(
    b01111(3) )).

tff(bitBlastConstant_45,axiom,(
    b01111(2) )).

tff(bitBlastConstant_44,axiom,(
    b01111(1) )).

tff(bitBlastConstant_43,axiom,(
    b01111(0) )).

tff(addBitVectorEqualityBitBlasted_3,axiom,(
    ! [VarCurr: state_type] :
      ( v118(VarCurr)
    <=> ( ( v119(VarCurr,1)
        <=> $true )
        & ( v119(VarCurr,0)
        <=> $false ) ) ) )).

tff(bitBlastConstant_42,axiom,(
    b10(1) )).

tff(bitBlastConstant_41,axiom,(
    ~ b10(0) )).

tff(addAssignment_25,axiom,(
    ! [VarCurr: state_type] :
      ( v119(VarCurr,0)
    <=> v25(VarCurr) ) )).

tff(addAssignment_24,axiom,(
    ! [VarCurr: state_type] :
      ( v119(VarCurr,1)
    <=> v42(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch_1,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v78(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,32)
            & ~ $less(B,0) )
         => ( v77(VarCurr,B)
          <=> v79(VarCurr,B) ) ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch_1,axiom,(
    ! [VarCurr: state_type] :
      ( v78(VarCurr)
     => ! [B: $int] :
          ( ( $less(B,32)
            & ~ $less(B,0) )
         => ( v77(VarCurr,B)
          <=> $false ) ) ) )).

tff(bitBlastConstant_40,axiom,(
    ~ b00000000000000000000000000000000(31) )).

tff(bitBlastConstant_39,axiom,(
    ~ b00000000000000000000000000000000(30) )).

tff(bitBlastConstant_38,axiom,(
    ~ b00000000000000000000000000000000(29) )).

tff(bitBlastConstant_37,axiom,(
    ~ b00000000000000000000000000000000(28) )).

tff(bitBlastConstant_36,axiom,(
    ~ b00000000000000000000000000000000(27) )).

tff(bitBlastConstant_35,axiom,(
    ~ b00000000000000000000000000000000(26) )).

tff(bitBlastConstant_34,axiom,(
    ~ b00000000000000000000000000000000(25) )).

tff(bitBlastConstant_33,axiom,(
    ~ b00000000000000000000000000000000(24) )).

tff(bitBlastConstant_32,axiom,(
    ~ b00000000000000000000000000000000(23) )).

tff(bitBlastConstant_31,axiom,(
    ~ b00000000000000000000000000000000(22) )).

tff(bitBlastConstant_30,axiom,(
    ~ b00000000000000000000000000000000(21) )).

tff(bitBlastConstant_29,axiom,(
    ~ b00000000000000000000000000000000(20) )).

tff(bitBlastConstant_28,axiom,(
    ~ b00000000000000000000000000000000(19) )).

tff(bitBlastConstant_27,axiom,(
    ~ b00000000000000000000000000000000(18) )).

tff(bitBlastConstant_26,axiom,(
    ~ b00000000000000000000000000000000(17) )).

tff(bitBlastConstant_25,axiom,(
    ~ b00000000000000000000000000000000(16) )).

tff(bitBlastConstant_24,axiom,(
    ~ b00000000000000000000000000000000(15) )).

tff(bitBlastConstant_23,axiom,(
    ~ b00000000000000000000000000000000(14) )).

tff(bitBlastConstant_22,axiom,(
    ~ b00000000000000000000000000000000(13) )).

tff(bitBlastConstant_21,axiom,(
    ~ b00000000000000000000000000000000(12) )).

tff(bitBlastConstant_20,axiom,(
    ~ b00000000000000000000000000000000(11) )).

tff(bitBlastConstant_19,axiom,(
    ~ b00000000000000000000000000000000(10) )).

tff(bitBlastConstant_18,axiom,(
    ~ b00000000000000000000000000000000(9) )).

tff(bitBlastConstant_17,axiom,(
    ~ b00000000000000000000000000000000(8) )).

tff(bitBlastConstant_16,axiom,(
    ~ b00000000000000000000000000000000(7) )).

tff(bitBlastConstant_15,axiom,(
    ~ b00000000000000000000000000000000(6) )).

tff(bitBlastConstant_14,axiom,(
    ~ b00000000000000000000000000000000(5) )).

tff(bitBlastConstant_13,axiom,(
    ~ b00000000000000000000000000000000(4) )).

tff(bitBlastConstant_12,axiom,(
    ~ b00000000000000000000000000000000(3) )).

tff(bitBlastConstant_11,axiom,(
    ~ b00000000000000000000000000000000(2) )).

tff(bitBlastConstant_10,axiom,(
    ~ b00000000000000000000000000000000(1) )).

tff(bitBlastConstant_9,axiom,(
    ~ b00000000000000000000000000000000(0) )).

tff(addSignExtensionConstraint_25,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,6)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_24,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,7)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_23,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,8)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_22,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,9)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_21,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,10)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_20,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,11)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_19,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,12)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_18,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,13)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_17,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,14)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_16,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,15)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_15,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,16)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_14,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,17)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_13,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,18)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_12,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,19)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_11,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,20)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_10,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,21)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_9,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,22)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_8,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,23)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_7,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,24)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_6,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,25)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_5,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,26)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_4,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,27)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_3,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,28)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_2,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,29)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint_1,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,30)
    <=> v80(VarCurr,5) ) )).

tff(addSignExtensionConstraint,axiom,(
    ! [VarCurr: state_type] :
      ( v79(VarCurr,31)
    <=> v80(VarCurr,5) ) )).

tff(addAssignment_23,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,6)
        & ~ $less(B,0) )
     => ( v79(VarCurr,B)
      <=> v80(VarCurr,B) ) ) )).

tff(addAssignment_22,axiom,(
    ! [VarCurr: state_type] :
      ( v80(VarCurr,0)
    <=> v115(VarCurr) ) )).

tff(addAssignment_21,axiom,(
    ! [VarCurr: state_type] :
      ( v80(VarCurr,1)
    <=> v113(VarCurr) ) )).

tff(addAssignment_20,axiom,(
    ! [VarCurr: state_type] :
      ( v80(VarCurr,2)
    <=> v109(VarCurr) ) )).

tff(addAssignment_19,axiom,(
    ! [VarCurr: state_type] :
      ( v80(VarCurr,3)
    <=> v105(VarCurr) ) )).

tff(addAssignment_18,axiom,(
    ! [VarCurr: state_type] :
      ( v80(VarCurr,4)
    <=> v101(VarCurr) ) )).

tff(addAssignment_17,axiom,(
    ! [VarCurr: state_type] :
      ( v80(VarCurr,5)
    <=> v82(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_14,axiom,(
    ! [VarCurr: state_type] :
      ( v113(VarCurr)
    <=> ( v114(VarCurr)
        & v116(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_13,axiom,(
    ! [VarCurr: state_type] :
      ( v116(VarCurr)
    <=> ( v86(VarCurr,0)
        | v95(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_8,axiom,(
    ! [VarCurr: state_type] :
      ( v114(VarCurr)
    <=> ( v115(VarCurr)
        | v86(VarCurr,1) ) ) )).

tff(writeUnaryOperator_10,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v115(VarCurr)
    <=> v86(VarCurr,0) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_12,axiom,(
    ! [VarCurr: state_type] :
      ( v109(VarCurr)
    <=> ( v110(VarCurr)
        & v112(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_11,axiom,(
    ! [VarCurr: state_type] :
      ( v112(VarCurr)
    <=> ( v93(VarCurr)
        | v96(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_7,axiom,(
    ! [VarCurr: state_type] :
      ( v110(VarCurr)
    <=> ( v111(VarCurr)
        | v86(VarCurr,2) ) ) )).

tff(writeUnaryOperator_9,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v111(VarCurr)
    <=> v93(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_10,axiom,(
    ! [VarCurr: state_type] :
      ( v105(VarCurr)
    <=> ( v106(VarCurr)
        & v108(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_9,axiom,(
    ! [VarCurr: state_type] :
      ( v108(VarCurr)
    <=> ( v91(VarCurr)
        | v97(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_6,axiom,(
    ! [VarCurr: state_type] :
      ( v106(VarCurr)
    <=> ( v107(VarCurr)
        | v86(VarCurr,3) ) ) )).

tff(writeUnaryOperator_8,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v107(VarCurr)
    <=> v91(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_8,axiom,(
    ! [VarCurr: state_type] :
      ( v101(VarCurr)
    <=> ( v102(VarCurr)
        & v104(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_7,axiom,(
    ! [VarCurr: state_type] :
      ( v104(VarCurr)
    <=> ( v89(VarCurr)
        | v98(VarCurr) ) ) )).

tff(writeBinaryOperatorShiftedRanges_5,axiom,(
    ! [VarCurr: state_type] :
      ( v102(VarCurr)
    <=> ( v103(VarCurr)
        | v86(VarCurr,4) ) ) )).

tff(writeUnaryOperator_7,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v103(VarCurr)
    <=> v89(VarCurr) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_6,axiom,(
    ! [VarCurr: state_type] :
      ( v82(VarCurr)
    <=> ( v83(VarCurr)
        & v99(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_5,axiom,(
    ! [VarCurr: state_type] :
      ( v99(VarCurr)
    <=> ( v85(VarCurr)
        | v100(VarCurr) ) ) )).

tff(writeUnaryOperator_6,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v100(VarCurr)
    <=> v86(VarCurr,5) ) )).

tff(writeBinaryOperatorShiftedRanges_4,axiom,(
    ! [VarCurr: state_type] :
      ( v83(VarCurr)
    <=> ( v84(VarCurr)
        | v86(VarCurr,5) ) ) )).

tff(writeUnaryOperator_5,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v84(VarCurr)
    <=> v85(VarCurr) ) )).

tff(writeBinaryOperatorShiftedRanges_3,axiom,(
    ! [VarCurr: state_type] :
      ( v85(VarCurr)
    <=> ( v86(VarCurr,4)
        | v88(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_4,axiom,(
    ! [VarCurr: state_type] :
      ( v88(VarCurr)
    <=> ( v89(VarCurr)
        & v98(VarCurr) ) ) )).

tff(writeUnaryOperator_4,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v98(VarCurr)
    <=> v86(VarCurr,4) ) )).

tff(writeBinaryOperatorShiftedRanges_2,axiom,(
    ! [VarCurr: state_type] :
      ( v89(VarCurr)
    <=> ( v86(VarCurr,3)
        | v90(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_3,axiom,(
    ! [VarCurr: state_type] :
      ( v90(VarCurr)
    <=> ( v91(VarCurr)
        & v97(VarCurr) ) ) )).

tff(writeUnaryOperator_3,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v97(VarCurr)
    <=> v86(VarCurr,3) ) )).

tff(writeBinaryOperatorShiftedRanges_1,axiom,(
    ! [VarCurr: state_type] :
      ( v91(VarCurr)
    <=> ( v86(VarCurr,2)
        | v92(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_2,axiom,(
    ! [VarCurr: state_type] :
      ( v92(VarCurr)
    <=> ( v93(VarCurr)
        & v96(VarCurr) ) ) )).

tff(writeUnaryOperator_2,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v96(VarCurr)
    <=> v86(VarCurr,2) ) )).

tff(writeBinaryOperatorShiftedRanges,axiom,(
    ! [VarCurr: state_type] :
      ( v93(VarCurr)
    <=> ( v86(VarCurr,1)
        | v94(VarCurr) ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits_1,axiom,(
    ! [VarCurr: state_type] :
      ( v94(VarCurr)
    <=> ( v86(VarCurr,0)
        & v95(VarCurr) ) ) )).

tff(writeUnaryOperator_1,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v95(VarCurr)
    <=> v86(VarCurr,1) ) )).

tff(addZeroExtensionConstraint,axiom,(
    ! [VarCurr: state_type] : ~ v86(VarCurr,5) )).

tff(addAssignment_16,axiom,(
    ! [VarCurr: state_type,B: $int] :
      ( ( $less(B,5)
        & ~ $less(B,0) )
     => ( v86(VarCurr,B)
      <=> v37(VarCurr,B) ) ) )).

tff(addBitVectorEqualityBitBlasted_2,axiom,(
    ! [VarCurr: state_type] :
      ( v78(VarCurr)
    <=> ( ( v37(VarCurr,4)
        <=> $false )
        & ( v37(VarCurr,3)
        <=> $false )
        & ( v37(VarCurr,2)
        <=> $false )
        & ( v37(VarCurr,1)
        <=> $false )
        & ( v37(VarCurr,0)
        <=> $false ) ) ) )).

tff(addBitVectorEqualityBitBlasted_1,axiom,(
    ! [VarCurr: state_type] :
      ( v75(VarCurr)
    <=> ( ( v76(VarCurr,1)
        <=> $false )
        & ( v76(VarCurr,0)
        <=> $true ) ) ) )).

tff(bitBlastConstant_8,axiom,(
    ~ b01(1) )).

tff(bitBlastConstant_7,axiom,(
    b01(0) )).

tff(addAssignment_15,axiom,(
    ! [VarCurr: state_type] :
      ( v76(VarCurr,0)
    <=> v25(VarCurr) ) )).

tff(addAssignment_14,axiom,(
    ! [VarCurr: state_type] :
      ( v76(VarCurr,1)
    <=> v42(VarCurr) ) )).

tff(addAssignmentInitValueVector,axiom,(
    ! [B: $int] :
      ( ( $less(B,5)
        & ~ $less(B,0) )
     => ( v37(constB0,B)
      <=> $false ) ) )).

tff(bitBlastConstant_6,axiom,(
    ~ b00000(4) )).

tff(bitBlastConstant_5,axiom,(
    ~ b00000(3) )).

tff(bitBlastConstant_4,axiom,(
    ~ b00000(2) )).

tff(bitBlastConstant_3,axiom,(
    ~ b00000(1) )).

tff(bitBlastConstant_2,axiom,(
    ~ b00000(0) )).

tff(addBitVectorEqualityBitBlasted,axiom,(
    ! [VarCurr: state_type] :
      ( v73(VarCurr)
    <=> ( ( v74(VarCurr,1)
        <=> $false )
        & ( v74(VarCurr,0)
        <=> $false ) ) ) )).

tff(bitBlastConstant_1,axiom,(
    ~ b00(1) )).

tff(bitBlastConstant,axiom,(
    ~ b00(0) )).

tff(addAssignment_13,axiom,(
    ! [VarCurr: state_type] :
      ( v74(VarCurr,0)
    <=> v25(VarCurr) ) )).

tff(addAssignment_12,axiom,(
    ! [VarCurr: state_type] :
      ( v74(VarCurr,1)
    <=> v42(VarCurr) ) )).

tff(addAssignment_11,axiom,(
    ! [VarCurr: state_type] :
      ( v42(VarCurr)
    <=> v44(VarCurr) ) )).

tff(aaddConditionBooleanCondEqualRangesElseBranch,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v62(VarCurr)
     => ( v44(VarCurr)
      <=> $false ) ) )).

tff(addConditionBooleanCondEqualRangesThenBranch,axiom,(
    ! [VarCurr: state_type] :
      ( v62(VarCurr)
     => ( v44(VarCurr)
      <=> $true ) ) )).

tff(writeBinaryOperatorEqualRangesSingleBits,axiom,(
    ! [VarCurr: state_type] :
      ( v62(VarCurr)
    <=> ( v63(VarCurr)
        & v54(VarCurr) ) ) )).

tff(writeUnaryOperator,axiom,(
    ! [VarCurr: state_type] :
      ( ~ v63(VarCurr)
    <=> v46(VarCurr,8) ) )).

tff(addAssignment_10,axiom,(
    ! [VarCurr: state_type] :
      ( v54(VarCurr)
    <=> v56(VarCurr) ) )).

tff(addAssignment_9,axiom,(
    ! [VarCurr: state_type] :
      ( v56(VarCurr)
    <=> v58(VarCurr) ) )).

tff(addAssignment_8,axiom,(
    ! [VarCurr: state_type] :
      ( v58(VarCurr)
    <=> v60(VarCurr) ) )).

tff(addAssignment_7,axiom,(
    ! [VarCurr: state_type] :
      ( v46(VarCurr,8)
    <=> v48(VarCurr,8) ) )).

tff(addAssignment_6,axiom,(
    ! [VarCurr: state_type] :
      ( v48(VarCurr,8)
    <=> v50(VarCurr,8) ) )).

tff(addAssignment_5,axiom,(
    ! [VarCurr: state_type] :
      ( v50(VarCurr,8)
    <=> v52(VarCurr,8) ) )).

tff(addAssignment_4,axiom,(
    ! [VarCurr: state_type] :
      ( v10(VarCurr)
    <=> v12(VarCurr) ) )).

tff(addAssignment_3,axiom,(
    ! [VarCurr: state_type] :
      ( v12(VarCurr)
    <=> v14(VarCurr) ) )).

tff(addAssignment_2,axiom,(
    ! [VarCurr: state_type] :
      ( v14(VarCurr)
    <=> v16(VarCurr) ) )).

tff(addAssignment_1,axiom,(
    ! [VarCurr: state_type] :
      ( v16(VarCurr)
    <=> v18(VarCurr) ) )).

tff(addAssignment,axiom,(
    ! [VarCurr: state_type] :
      ( v18(VarCurr)
    <=> v20(VarCurr) ) )).

%------------------------------------------------------------------------------
